diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 272d6cd..5ec4ffd 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -32949,6 +32949,813 @@ d03fafAnnaType():PartialDifferentialEquationsSolverCategory == Result add
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter E}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+\section{domain EFULS ElementaryFunctionsUnivariateLaurentSeries}
+
+\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.input}
+)set break resume
+)sys rm -f ElementaryFunctionsUnivariateLaurentSeries.output
+)spool ElementaryFunctionsUnivariateLaurentSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionsUnivariateLaurentSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.help}
+====================================================================
+ElementaryFunctionsUnivariateLaurentSeries examples
+====================================================================
+
+This domain provides elementary functions on any Laurent series
+domain over a field which was constructed from a Taylor series
+domain.  These functions are implemented by calling the
+corresponding functions on the Taylor series domain.  We also
+provide 'partial functions' which compute transcendental
+functions of Laurent series when possible and return "failed"
+when this is not possible.
+
+See Also:
+o )show ElementaryFunctionsUnivariateLaurentSeries
+
+\end{chunk}
+\pagehead{ElementaryFunctionsUnivariateLaurentSeries}{EFULS}
+\pagepic{ps/v103elementaryfunctionsunivariatelaurentseries.ps}{EFULS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EFULS}{acos} &
+\cross{EFULS}{acosIfCan} &
+\cross{EFULS}{acosh} &
+\cross{EFULS}{acoshIfCan} &
+\cross{EFULS}{acot} \\
+\cross{EFULS}{acotIfCan} &
+\cross{EFULS}{acoth} &
+\cross{EFULS}{acothIfCan} &
+\cross{EFULS}{acsc} &
+\cross{EFULS}{acscIfCan} \\
+\cross{EFULS}{acsch} &
+\cross{EFULS}{acschIfCan} &
+\cross{EFULS}{asec} &
+\cross{EFULS}{asecIfCan} &
+\cross{EFULS}{asech} \\
+\cross{EFULS}{asechIfCan} &
+\cross{EFULS}{asin} &
+\cross{EFULS}{asinIfCan} &
+\cross{EFULS}{asinh} &
+\cross{EFULS}{asinhIfCan} \\
+\cross{EFULS}{atan} &
+\cross{EFULS}{atanIfCan} &
+\cross{EFULS}{atanh} &
+\cross{EFULS}{atanhIfCan} &
+\cross{EFULS}{cos} \\
+\cross{EFULS}{cosIfCan} &
+\cross{EFULS}{cosh} &
+\cross{EFULS}{coshIfCan} &
+\cross{EFULS}{cot} &
+\cross{EFULS}{cotIfCan} \\
+\cross{EFULS}{coth} &
+\cross{EFULS}{cothIfCan} &
+\cross{EFULS}{csc} &
+\cross{EFULS}{cscIfCan} &
+\cross{EFULS}{csch} \\
+\cross{EFULS}{cschIfCan} &
+\cross{EFULS}{exp} &
+\cross{EFULS}{expIfCan} &
+\cross{EFULS}{log} &
+\cross{EFULS}{logIfCan} \\
+\cross{EFULS}{nthRootIfCan} &
+\cross{EFULS}{sec} &
+\cross{EFULS}{secIfCan} &
+\cross{EFULS}{sech} &
+\cross{EFULS}{sechIfCan} \\
+\cross{EFULS}{sin} &
+\cross{EFULS}{sinIfCan} &
+\cross{EFULS}{sinh} &
+\cross{EFULS}{sinhIfCan} &
+\cross{EFULS}{tan} \\
+\cross{EFULS}{tanIfCan} &
+\cross{EFULS}{tanh} &
+\cross{EFULS}{tanhIfCan} &
+\cross{EFULS}{?**?} &
+\end{tabular}
+
+\begin{chunk}{domain EFULS ElementaryFunctionsUnivariateLaurentSeries}
+)abbrev domain EFULS ElementaryFunctionsUnivariateLaurentSeries
+++ Author: Clifton J. Williamson
+++ Date Created: 6 February 1990
+++ Date Last Updated: 25 February 1990
+++ Description:
+++ This domain provides elementary functions on any Laurent series
+++ domain over a field which was constructed from a Taylor series
+++ domain.  These functions are implemented by calling the
+++ corresponding functions on the Taylor series domain.  We also
+++ provide 'partial functions' which compute transcendental
+++ functions of Laurent series when possible and return "failed"
+++ when this is not possible.
+
+ElementaryFunctionsUnivariateLaurentSeries(Coef,UTS,ULS):_
+ Exports == Implementation where
+  Coef   : Algebra Fraction Integer
+  UTS    : UnivariateTaylorSeriesCategory Coef
+  ULS    : UnivariateLaurentSeriesConstructorCategory(Coef,UTS)
+  I    ==> Integer
+  NNI  ==> NonNegativeInteger
+  RN   ==> Fraction Integer
+  S    ==> String
+  STTF ==> StreamTranscendentalFunctions(Coef)
+ 
+  Exports ==> PartialTranscendentalFunctions(ULS) with
+ 
+    if Coef has Field then
+      "**": (ULS,RN) -> ULS
+        ++ s ** r raises a Laurent series s to a rational power r
+ 
+--% Exponentials and Logarithms
+ 
+    exp: ULS -> ULS
+      ++ exp(z) returns the exponential of Laurent series z.
+    log: ULS -> ULS
+      ++ log(z) returns the logarithm of Laurent series z.
+ 
+--% TrigonometricFunctionCategory
+ 
+    sin: ULS -> ULS
+      ++ sin(z) returns the sine of Laurent series z.
+    cos: ULS -> ULS
+      ++ cos(z) returns the cosine of Laurent series z.
+    tan: ULS -> ULS
+      ++ tan(z) returns the tangent of Laurent series z.
+    cot: ULS -> ULS
+      ++ cot(z) returns the cotangent of Laurent series z.
+    sec: ULS -> ULS
+      ++ sec(z) returns the secant of Laurent series z.
+    csc: ULS -> ULS
+      ++ csc(z) returns the cosecant of Laurent series z.
+ 
+--% ArcTrigonometricFunctionCategory
+ 
+    asin: ULS -> ULS
+      ++ asin(z) returns the arc-sine of Laurent series z.
+    acos: ULS -> ULS
+      ++ acos(z) returns the arc-cosine of Laurent series z.
+    atan: ULS -> ULS
+      ++ atan(z) returns the arc-tangent of Laurent series z.
+    acot: ULS -> ULS
+      ++ acot(z) returns the arc-cotangent of Laurent series z.
+    asec: ULS -> ULS
+      ++ asec(z) returns the arc-secant of Laurent series z.
+    acsc: ULS -> ULS
+      ++ acsc(z) returns the arc-cosecant of Laurent series z.
+ 
+--% HyperbolicFunctionCategory
+ 
+    sinh: ULS -> ULS
+      ++ sinh(z) returns the hyperbolic sine of Laurent series z.
+    cosh: ULS -> ULS
+      ++ cosh(z) returns the hyperbolic cosine of Laurent series z.
+    tanh: ULS -> ULS
+      ++ tanh(z) returns the hyperbolic tangent of Laurent series z.
+    coth: ULS -> ULS
+      ++ coth(z) returns the hyperbolic cotangent of Laurent series z.
+    sech: ULS -> ULS
+      ++ sech(z) returns the hyperbolic secant of Laurent series z.
+    csch: ULS -> ULS
+      ++ csch(z) returns the hyperbolic cosecant of Laurent series z.
+ 
+--% ArcHyperbolicFunctionCategory
+ 
+    asinh: ULS -> ULS
+      ++ asinh(z) returns the inverse hyperbolic sine of Laurent series z.
+    acosh: ULS -> ULS
+      ++ acosh(z) returns the inverse hyperbolic cosine of Laurent series z.
+    atanh: ULS -> ULS
+      ++ atanh(z) returns the inverse hyperbolic tangent of Laurent series z.
+    acoth: ULS -> ULS
+      ++ acoth(z) returns the inverse hyperbolic cotangent of Laurent series z.
+    asech: ULS -> ULS
+      ++ asech(z) returns the inverse hyperbolic secant of Laurent series z.
+    acsch: ULS -> ULS
+      ++ acsch(z) returns the inverse hyperbolic cosecant of Laurent series z.
+ 
+  Implementation ==> add
+ 
+--% roots
+ 
+    RATPOWERS : Boolean := Coef has "**":(Coef,RN) -> Coef
+    TRANSFCN  : Boolean := Coef has TranscendentalFunctionCategory
+    RATS      : Boolean := Coef has retractIfCan: Coef -> Union(RN,"failed")
+ 
+    nthRootUTS:(UTS,I) -> Union(UTS,"failed")
+    nthRootUTS(uts,n) ==
+      -- assumed: n > 1, uts has non-zero constant term
+--      one? coefficient(uts,0) => uts ** inv(n::RN)
+      coefficient(uts,0) = 1 => uts ** inv(n::RN)
+      RATPOWERS => uts ** inv(n::RN)
+      "failed"
+ 
+    nthRootIfCan(uls,nn) ==
+      (n := nn :: I) < 1 => error "nthRootIfCan: n must be positive"
+      n = 1 => uls
+      deg := degree uls
+      if zero? (coef := coefficient(uls,deg)) then
+        uls := removeZeroes(1000,uls); deg := degree uls
+        zero? (coef := coefficient(uls,deg)) =>
+          error "root of series with many leading zero coefficients"
+      (k := deg exquo n) case "failed" => "failed"
+      uts := taylor(uls * monomial(1,-deg))
+      (root := nthRootUTS(uts,n)) case "failed" => "failed"
+      monomial(1,k :: I) * (root :: UTS :: ULS)
+ 
+    if Coef has Field then
+       (uls:ULS) ** (r:RN) ==
+         num := numer r; den := denom r
+--         one? den => uls ** num
+         den = 1 => uls ** num
+         deg := degree uls
+         if zero? (coef := coefficient(uls,deg)) then
+           uls := removeZeroes(1000,uls); deg := degree uls
+           zero? (coef := coefficient(uls,deg)) =>
+             error "power of series with many leading zero coefficients"
+         (k := deg exquo den) case "failed" =>
+           error "**: rational power does not exist"
+         uts := taylor(uls * monomial(1,-deg)) ** r
+         monomial(1,(k :: I) * num) * (uts :: ULS)
+ 
+--% transcendental functions
+ 
+    applyIfCan: (UTS -> UTS,ULS) -> Union(ULS,"failed")
+    applyIfCan(fcn,uls) ==
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      fcn(uts :: UTS) :: ULS
+ 
+    expIfCan   uls == applyIfCan(exp,uls)
+    sinIfCan   uls == applyIfCan(sin,uls)
+    cosIfCan   uls == applyIfCan(cos,uls)
+    asinIfCan  uls == applyIfCan(asin,uls)
+    acosIfCan  uls == applyIfCan(acos,uls)
+    asecIfCan  uls == applyIfCan(asec,uls)
+    acscIfCan  uls == applyIfCan(acsc,uls)
+    sinhIfCan  uls == applyIfCan(sinh,uls)
+    coshIfCan  uls == applyIfCan(cosh,uls)
+    asinhIfCan uls == applyIfCan(asinh,uls)
+    acoshIfCan uls == applyIfCan(acosh,uls)
+    atanhIfCan uls == applyIfCan(atanh,uls)
+    acothIfCan uls == applyIfCan(acoth,uls)
+    asechIfCan uls == applyIfCan(asech,uls)
+    acschIfCan uls == applyIfCan(acsch,uls)
+ 
+    logIfCan uls ==
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      zero? coefficient(ts := uts :: UTS,0) => "failed"
+      log(ts) :: ULS
+ 
+    tanIfCan uls ==
+      -- don't call 'tan' on a UTS (tan(uls) may have a singularity)
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      sc := sincos(coefficients(uts :: UTS))$STTF
+      (cosInv := recip(series(sc.cos) :: ULS)) case "failed" => "failed"
+      (series(sc.sin) :: ULS) * (cosInv :: ULS)
+ 
+    cotIfCan uls ==
+      -- don't call 'cot' on a UTS (cot(uls) may have a singularity)
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      sc := sincos(coefficients(uts :: UTS))$STTF
+      (sinInv := recip(series(sc.sin) :: ULS)) case "failed" => "failed"
+      (series(sc.cos) :: ULS) * (sinInv :: ULS)
+ 
+    secIfCan uls ==
+      cos := cosIfCan uls
+      cos case "failed" => "failed"
+      (cosInv := recip(cos :: ULS)) case "failed" => "failed"
+      cosInv :: ULS
+ 
+    cscIfCan uls ==
+      sin := sinIfCan uls
+      sin case "failed" => "failed"
+      (sinInv := recip(sin :: ULS)) case "failed" => "failed"
+      sinInv :: ULS
+
+    atanIfCan uls ==
+      coef := coefficient(uls,0)
+      (ord := order(uls,0)) = 0 and coef * coef = -1 => "failed"
+      cc : Coef := 
+        ord < 0 =>
+          TRANSFCN =>
+            RATS =>
+              lc := coefficient(uls,ord)
+              (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" =>
+                (1/2) * pi()
+              (rat :: RN) > 0 => (1/2) * pi()
+              (-1/2) * pi()
+            (1/2) * pi()
+          return "failed"
+        coef = 0 => 0
+        TRANSFCN => atan coef
+        return "failed"
+      (z := recip(1 + uls*uls)) case "failed" => "failed"
+      (cc :: ULS) + integrate(differentiate(uls) * (z :: ULS))
+
+    acotIfCan uls ==
+      coef := coefficient(uls,0)
+      (ord := order(uls,0)) = 0 and coef * coef = -1 => "failed"
+      cc : Coef := 
+        ord < 0 =>
+          RATS =>
+            lc := coefficient(uls,ord)
+            (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" => 0
+            (rat :: RN) > 0 => 0
+            TRANSFCN => pi()
+            return "failed"
+          0
+        TRANSFCN => acot coef
+        return "failed"
+      (z := recip(1 + uls*uls)) case "failed" => "failed"
+      (cc :: ULS) - integrate(differentiate(uls) * (z :: ULS))
+ 
+    tanhIfCan uls ==
+      -- don't call 'tanh' on a UTS (tanh(uls) may have a singularity)
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      sc := sinhcosh(coefficients(uts :: UTS))$STTF
+      (coshInv := recip(series(sc.cosh) :: ULS)) case "failed" =>
+        "failed"
+      (series(sc.sinh) :: ULS) * (coshInv :: ULS)
+ 
+    cothIfCan uls ==
+      -- don't call 'coth' on a UTS (coth(uls) may have a singularity)
+      uts := taylorIfCan uls
+      uts case "failed" => "failed"
+      sc := sinhcosh(coefficients(uts :: UTS))$STTF
+      (sinhInv := recip(series(sc.sinh) :: ULS)) case "failed" =>
+        "failed"
+      (series(sc.cosh) :: ULS) * (sinhInv :: ULS)
+ 
+    sechIfCan uls ==
+      cosh := coshIfCan uls
+      cosh case "failed" => "failed"
+      (coshInv := recip(cosh :: ULS)) case "failed" => "failed"
+      coshInv :: ULS
+ 
+    cschIfCan uls ==
+      sinh := sinhIfCan uls
+      sinh case "failed" => "failed"
+      (sinhInv := recip(sinh :: ULS)) case "failed" => "failed"
+      sinhInv :: ULS
+ 
+    applyOrError:(ULS -> Union(ULS,"failed"),S,ULS) -> ULS
+    applyOrError(fcn,name,uls) ==
+      ans := fcn uls
+      ans case "failed" =>
+        error concat(name," of function with singularity")
+      ans :: ULS
+ 
+    exp uls   == applyOrError(expIfCan,"exp",uls)
+    log uls   == applyOrError(logIfCan,"log",uls)
+    sin uls   == applyOrError(sinIfCan,"sin",uls)
+    cos uls   == applyOrError(cosIfCan,"cos",uls)
+    tan uls   == applyOrError(tanIfCan,"tan",uls)
+    cot uls   == applyOrError(cotIfCan,"cot",uls)
+    sec uls   == applyOrError(secIfCan,"sec",uls)
+    csc uls   == applyOrError(cscIfCan,"csc",uls)
+    asin uls  == applyOrError(asinIfCan,"asin",uls)
+    acos uls  == applyOrError(acosIfCan,"acos",uls)
+    asec uls  == applyOrError(asecIfCan,"asec",uls)
+    acsc uls  == applyOrError(acscIfCan,"acsc",uls)
+    sinh uls  == applyOrError(sinhIfCan,"sinh",uls)
+    cosh uls  == applyOrError(coshIfCan,"cosh",uls)
+    tanh uls  == applyOrError(tanhIfCan,"tanh",uls)
+    coth uls  == applyOrError(cothIfCan,"coth",uls)
+    sech uls  == applyOrError(sechIfCan,"sech",uls)
+    csch uls  == applyOrError(cschIfCan,"csch",uls)
+    asinh uls == applyOrError(asinhIfCan,"asinh",uls)
+    acosh uls == applyOrError(acoshIfCan,"acosh",uls)
+    atanh uls == applyOrError(atanhIfCan,"atanh",uls)
+    acoth uls == applyOrError(acothIfCan,"acoth",uls)
+    asech uls == applyOrError(asechIfCan,"asech",uls)
+    acsch uls == applyOrError(acschIfCan,"acsch",uls)
+
+    atan uls ==
+    -- code is duplicated so that correct error messages will be returned
+      coef := coefficient(uls,0)
+      (ord := order(uls,0)) = 0 and coef * coef = -1 =>
+        error "atan: series expansion has logarithmic term"
+      cc : Coef := 
+        ord < 0 =>
+          TRANSFCN =>
+            RATS =>
+              lc := coefficient(uls,ord)
+              (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" =>
+                (1/2) * pi()
+              (rat :: RN) > 0 => (1/2) * pi()
+              (-1/2) * pi()
+            (1/2) * pi()
+          error "atan: series expansion involves transcendental constants"
+        coef = 0 => 0
+        TRANSFCN => atan coef
+        error "atan: series expansion involves transcendental constants"
+      (z := recip(1 + uls*uls)) case "failed" =>
+        error "atan: leading coefficient not invertible"
+      (cc :: ULS) + integrate(differentiate(uls) * (z :: ULS))
+
+    acot uls ==
+    -- code is duplicated so that correct error messages will be returned
+      coef := coefficient(uls,0)
+      (ord := order(uls,0)) = 0 and coef * coef = -1 =>
+        error "acot: series expansion has logarithmic term"
+      cc : Coef := 
+        ord < 0 =>
+          RATS =>
+            lc := coefficient(uls,ord)
+            (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" => 0
+            (rat :: RN) > 0 => 0
+            TRANSFCN => pi()
+            error "acot: series expansion involves transcendental constants"
+          0
+        TRANSFCN => acot coef
+        error "acot: series expansion involves transcendental constants"
+      (z := recip(1 + uls*uls)) case "failed" =>
+        error "acot: leading coefficient not invertible"
+      (cc :: ULS) - integrate(differentiate(uls) * (z :: ULS))
+
+\end{chunk}
+\begin{chunk}{EFULS.dotabb}
+"EFULS" [color="#FF4488",href="bookvol10.4.pdf#nameddest=EFULS"]
+"ULSCCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=ULSCCAT"]
+"EFULS" -> "ULSCCAT"
+
+\end{chunk}
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
+\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.input}
+)set break resume
+)sys rm -f ElementaryFunctionsUnivariatePuiseuxSeries.output
+)spool ElementaryFunctionsUnivariatePuiseuxSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ElementaryFunctionsUnivariatePuiseuxSeries
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.help}
+====================================================================
+ElementaryFunctionsUnivariatePuiseuxSeries examples
+====================================================================
+
+This domain provides elementary functions on any Laurent series
+domain over a field which was constructed from a Taylor series
+domain.  These functions are implemented by calling the
+corresponding functions on the Taylor series domain.  We also
+provide 'partial functions' which compute transcendental
+functions of Laurent series when possible and return "failed"
+when this is not possible.
+
+See Also:
+o )show ElementaryFunctionsUnivariatePuiseuxSeries
+
+\end{chunk}
+\pagehead{ElementaryFunctionsUnivariatePuiseuxSeries}{EFUPXS}
+\pagepic{ps/v103elementaryfunctionsunivariatepuiseuxseries.ps}{EFUPXS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EFUPXS}{acos} &
+\cross{EFUPXS}{acosIfCan} &
+\cross{EFUPXS}{acosh} &
+\cross{EFUPXS}{acoshIfCan} &
+\cross{EFUPXS}{acot} \\
+\cross{EFUPXS}{acotIfCan} &
+\cross{EFUPXS}{acoth} &
+\cross{EFUPXS}{acothIfCan} &
+\cross{EFUPXS}{acsc} &
+\cross{EFUPXS}{acscIfCan} \\
+\cross{EFUPXS}{acsch} &
+\cross{EFUPXS}{acschIfCan} &
+\cross{EFUPXS}{asec} &
+\cross{EFUPXS}{asecIfCan} &
+\cross{EFUPXS}{asech} \\
+\cross{EFUPXS}{asechIfCan} &
+\cross{EFUPXS}{asin} &
+\cross{EFUPXS}{asinIfCan} &
+\cross{EFUPXS}{asinh} &
+\cross{EFUPXS}{asinhIfCan} \\
+\cross{EFUPXS}{atan} &
+\cross{EFUPXS}{atanIfCan} &
+\cross{EFUPXS}{atanh} &
+\cross{EFUPXS}{atanhIfCan} &
+\cross{EFUPXS}{cos} \\
+\cross{EFUPXS}{cosIfCan} &
+\cross{EFUPXS}{cosh} &
+\cross{EFUPXS}{coshIfCan} &
+\cross{EFUPXS}{cot} &
+\cross{EFUPXS}{cotIfCan} \\
+\cross{EFUPXS}{coth} &
+\cross{EFUPXS}{cothIfCan} &
+\cross{EFUPXS}{csc} &
+\cross{EFUPXS}{cscIfCan} &
+\cross{EFUPXS}{csch} \\
+\cross{EFUPXS}{cschIfCan} &
+\cross{EFUPXS}{exp} &
+\cross{EFUPXS}{expIfCan} &
+\cross{EFUPXS}{log} &
+\cross{EFUPXS}{logIfCan} \\
+\cross{EFUPXS}{nthRootIfCan} &
+\cross{EFUPXS}{sec} &
+\cross{EFUPXS}{secIfCan} &
+\cross{EFUPXS}{sech} &
+\cross{EFUPXS}{sechIfCan} \\
+\cross{EFUPXS}{sin} &
+\cross{EFUPXS}{sinIfCan} &
+\cross{EFUPXS}{sinh} &
+\cross{EFUPXS}{sinhIfCan} &
+\cross{EFUPXS}{tan} \\
+\cross{EFUPXS}{tanIfCan} &
+\cross{EFUPXS}{tanh} &
+\cross{EFUPXS}{tanhIfCan} &
+\cross{EFUPXS}{?**?} &
+\end{tabular}
+
+\begin{chunk}{domain EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
+)abbrev domain EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries
+++ Author: Clifton J. Williamson
+++ Date Created: 20 February 1990
+++ Date Last Updated: 20 February 1990
+++ Description:
+++ This package provides elementary functions on any Laurent series
+++ domain over a field which was constructed from a Taylor series
+++ domain.  These functions are implemented by calling the
+++ corresponding functions on the Taylor series domain.  We also
+++ provide 'partial functions' which compute transcendental
+++ functions of Laurent series when possible and return "failed"
+++ when this is not possible.
+
+ElementaryFunctionsUnivariatePuiseuxSeries(Coef,ULS,UPXS,EFULS):_
+ Exports == Implementation where
+  Coef   : Algebra Fraction Integer
+  ULS    : UnivariateLaurentSeriesCategory Coef
+  UPXS   : UnivariatePuiseuxSeriesConstructorCategory(Coef,ULS)
+  EFULS  : PartialTranscendentalFunctions(ULS)
+  I    ==> Integer
+  NNI  ==> NonNegativeInteger
+  RN   ==> Fraction Integer
+ 
+  Exports ==> PartialTranscendentalFunctions(UPXS) with
+ 
+    if Coef has Field then
+      "**": (UPXS,RN) -> UPXS
+        ++ z ** r raises a Puiseaux series z to a rational power r
+ 
+--% Exponentials and Logarithms
+ 
+    exp: UPXS -> UPXS
+      ++ exp(z) returns the exponential of a Puiseux series z.
+    log: UPXS -> UPXS
+      ++ log(z) returns the logarithm of a Puiseux series z.
+ 
+--% TrigonometricFunctionCategory
+ 
+    sin: UPXS -> UPXS
+      ++ sin(z) returns the sine of a Puiseux series z.
+    cos: UPXS -> UPXS
+      ++ cos(z) returns the cosine of a Puiseux series z.
+    tan: UPXS -> UPXS
+      ++ tan(z) returns the tangent of a Puiseux series z.
+    cot: UPXS -> UPXS
+      ++ cot(z) returns the cotangent of a Puiseux series z.
+    sec: UPXS -> UPXS
+      ++ sec(z) returns the secant of a Puiseux series z.
+    csc: UPXS -> UPXS
+      ++ csc(z) returns the cosecant of a Puiseux series z.
+ 
+--% ArcTrigonometricFunctionCategory
+ 
+    asin: UPXS -> UPXS
+      ++ asin(z) returns the arc-sine of a Puiseux series z.
+    acos: UPXS -> UPXS
+      ++ acos(z) returns the arc-cosine of a Puiseux series z.
+    atan: UPXS -> UPXS
+      ++ atan(z) returns the arc-tangent of a Puiseux series z.
+    acot: UPXS -> UPXS
+      ++ acot(z) returns the arc-cotangent of a Puiseux series z.
+    asec: UPXS -> UPXS
+      ++ asec(z) returns the arc-secant of a Puiseux series z.
+    acsc: UPXS -> UPXS
+      ++ acsc(z) returns the arc-cosecant of a Puiseux series z.
+ 
+--% HyperbolicFunctionCategory
+ 
+    sinh: UPXS -> UPXS
+      ++ sinh(z) returns the hyperbolic sine of a Puiseux series z.
+    cosh: UPXS -> UPXS
+      ++ cosh(z) returns the hyperbolic cosine of a Puiseux series z.
+    tanh: UPXS -> UPXS
+      ++ tanh(z) returns the hyperbolic tangent of a Puiseux series z.
+    coth: UPXS -> UPXS
+      ++ coth(z) returns the hyperbolic cotangent of a Puiseux series z.
+    sech: UPXS -> UPXS
+      ++ sech(z) returns the hyperbolic secant of a Puiseux series z.
+    csch: UPXS -> UPXS
+      ++ csch(z) returns the hyperbolic cosecant of a Puiseux series z.
+ 
+--% ArcHyperbolicFunctionCategory
+ 
+    asinh: UPXS -> UPXS
+      ++ asinh(z) returns the inverse hyperbolic sine of a Puiseux series z.
+    acosh: UPXS -> UPXS
+      ++ acosh(z) returns the inverse hyperbolic cosine of a Puiseux series z.
+    atanh: UPXS -> UPXS
+      ++ atanh(z) returns the inverse hyperbolic tangent of a Puiseux series z.
+    acoth: UPXS -> UPXS
+      ++ acoth(z) returns the inverse hyperbolic cotangent 
+      ++ of a Puiseux series z.
+    asech: UPXS -> UPXS
+      ++ asech(z) returns the inverse hyperbolic secant of a Puiseux series z.
+    acsch: UPXS -> UPXS
+      ++ acsch(z) returns the inverse hyperbolic cosecant 
+      ++ of a Puiseux series z.
+ 
+  Implementation ==> add
+
+    TRANSFCN : Boolean := Coef has TranscendentalFunctionCategory
+ 
+--% roots
+ 
+    nthRootIfCan(upxs,n) ==
+--      one? n => upxs
+      n = 1 => upxs
+      r := rationalPower upxs; uls := laurentRep upxs
+      deg := degree uls
+      if zero?(coef := coefficient(uls,deg)) then
+        deg := order(uls,deg + 1000)
+        zero?(coef := coefficient(uls,deg)) =>
+          error "root of series with many leading zero coefficients"
+      uls := uls * monomial(1,-deg)$ULS
+      (ulsRoot := nthRootIfCan(uls,n)) case "failed" => "failed"
+      puiseux(r,ulsRoot :: ULS) * monomial(1,deg * r * inv(n :: RN))
+ 
+    if Coef has Field then
+       (upxs:UPXS) ** (q:RN) ==
+         num := numer q; den := denom q
+--         one? den => upxs ** num
+         den = 1 => upxs ** num
+         r := rationalPower upxs; uls := laurentRep upxs
+         deg := degree uls
+         if zero?(coef := coefficient(uls,deg)) then
+           deg := order(uls,deg + 1000)
+           zero?(coef := coefficient(uls,deg)) =>
+             error "power of series with many leading zero coefficients"
+         ulsPow := (uls * monomial(1,-deg)$ULS) ** q
+         puiseux(r,ulsPow) * monomial(1,deg*q*r)
+ 
+--% transcendental functions
+ 
+    applyIfCan: (ULS -> Union(ULS,"failed"),UPXS) -> Union(UPXS,"failed")
+    applyIfCan(fcn,upxs) ==
+      uls := fcn laurentRep upxs
+      uls case "failed" => "failed"
+      puiseux(rationalPower upxs,uls :: ULS)
+ 
+    expIfCan   upxs == applyIfCan(expIfCan,upxs)
+    logIfCan   upxs == applyIfCan(logIfCan,upxs)
+    sinIfCan   upxs == applyIfCan(sinIfCan,upxs)
+    cosIfCan   upxs == applyIfCan(cosIfCan,upxs)
+    tanIfCan   upxs == applyIfCan(tanIfCan,upxs)
+    cotIfCan   upxs == applyIfCan(cotIfCan,upxs)
+    secIfCan   upxs == applyIfCan(secIfCan,upxs)
+    cscIfCan   upxs == applyIfCan(cscIfCan,upxs)
+    atanIfCan  upxs == applyIfCan(atanIfCan,upxs)
+    acotIfCan  upxs == applyIfCan(acotIfCan,upxs)
+    sinhIfCan  upxs == applyIfCan(sinhIfCan,upxs)
+    coshIfCan  upxs == applyIfCan(coshIfCan,upxs)
+    tanhIfCan  upxs == applyIfCan(tanhIfCan,upxs)
+    cothIfCan  upxs == applyIfCan(cothIfCan,upxs)
+    sechIfCan  upxs == applyIfCan(sechIfCan,upxs)
+    cschIfCan  upxs == applyIfCan(cschIfCan,upxs)
+    asinhIfCan upxs == applyIfCan(asinhIfCan,upxs)
+    acoshIfCan upxs == applyIfCan(acoshIfCan,upxs)
+    atanhIfCan upxs == applyIfCan(atanhIfCan,upxs)
+    acothIfCan upxs == applyIfCan(acothIfCan,upxs)
+    asechIfCan upxs == applyIfCan(asechIfCan,upxs)
+    acschIfCan upxs == applyIfCan(acschIfCan,upxs)
+
+    asinIfCan upxs ==
+      order(upxs,0) < 0 => "failed"
+      (coef := coefficient(upxs,0)) = 0 =>
+        integrate((1 - upxs*upxs)**(-1/2) * (differentiate upxs))
+      TRANSFCN =>
+        cc := asin(coef) :: UPXS
+        cc + integrate((1 - upxs*upxs)**(-1/2) * (differentiate upxs))
+      "failed"
+
+    acosIfCan upxs ==
+      order(upxs,0) < 0 => "failed"
+      TRANSFCN =>
+        cc := acos(coefficient(upxs,0)) :: UPXS
+        cc + integrate(-(1 - upxs*upxs)**(-1/2) * (differentiate upxs))
+      "failed"
+
+    asecIfCan upxs ==
+      order(upxs,0) < 0 => "failed"
+      TRANSFCN =>
+        cc := asec(coefficient(upxs,0)) :: UPXS
+        f := (upxs*upxs - 1)**(-1/2) * (differentiate upxs)
+        (rec := recip upxs) case "failed" => "failed"
+        cc + integrate(f * (rec :: UPXS))
+      "failed"
+
+    acscIfCan upxs ==
+      order(upxs,0) < 0 => "failed"
+      TRANSFCN =>
+        cc := acsc(coefficient(upxs,0)) :: UPXS
+        f := -(upxs*upxs - 1)**(-1/2) * (differentiate upxs)
+        (rec := recip upxs) case "failed" => "failed"
+        cc + integrate(f * (rec :: UPXS))
+      "failed"
+
+    asinhIfCan upxs ==
+      order(upxs,0) < 0 => "failed"
+      TRANSFCN or (coefficient(upxs,0) = 0) =>
+        log(upxs + (1 + upxs*upxs)**(1/2))
+      "failed"
+
+    acoshIfCan upxs ==
+      TRANSFCN =>
+        order(upxs,0) < 0 => "failed"
+        log(upxs + (upxs*upxs - 1)**(1/2))
+      "failed"
+
+    asechIfCan upxs ==
+      TRANSFCN =>
+        order(upxs,0) < 0 => "failed"
+        (rec := recip upxs) case "failed" => "failed"
+        log((1 + (1 - upxs*upxs)*(1/2)) * (rec :: UPXS))
+      "failed"
+
+    acschIfCan upxs ==
+      TRANSFCN =>
+        order(upxs,0) < 0 => "failed"
+        (rec := recip upxs) case "failed" => "failed"
+        log((1 + (1 + upxs*upxs)*(1/2)) * (rec :: UPXS))
+      "failed"
+ 
+    applyOrError:(UPXS -> Union(UPXS,"failed"),String,UPXS) -> UPXS
+    applyOrError(fcn,name,upxs) ==
+      ans := fcn upxs
+      ans case "failed" =>
+        error concat(name," of function with singularity")
+      ans :: UPXS
+ 
+    exp upxs   == applyOrError(expIfCan,"exp",upxs)
+    log upxs   == applyOrError(logIfCan,"log",upxs)
+    sin upxs   == applyOrError(sinIfCan,"sin",upxs)
+    cos upxs   == applyOrError(cosIfCan,"cos",upxs)
+    tan upxs   == applyOrError(tanIfCan,"tan",upxs)
+    cot upxs   == applyOrError(cotIfCan,"cot",upxs)
+    sec upxs   == applyOrError(secIfCan,"sec",upxs)
+    csc upxs   == applyOrError(cscIfCan,"csc",upxs)
+    asin upxs  == applyOrError(asinIfCan,"asin",upxs)
+    acos upxs  == applyOrError(acosIfCan,"acos",upxs)
+    atan upxs  == applyOrError(atanIfCan,"atan",upxs)
+    acot upxs  == applyOrError(acotIfCan,"acot",upxs)
+    asec upxs  == applyOrError(asecIfCan,"asec",upxs)
+    acsc upxs  == applyOrError(acscIfCan,"acsc",upxs)
+    sinh upxs  == applyOrError(sinhIfCan,"sinh",upxs)
+    cosh upxs  == applyOrError(coshIfCan,"cosh",upxs)
+    tanh upxs  == applyOrError(tanhIfCan,"tanh",upxs)
+    coth upxs  == applyOrError(cothIfCan,"coth",upxs)
+    sech upxs  == applyOrError(sechIfCan,"sech",upxs)
+    csch upxs  == applyOrError(cschIfCan,"csch",upxs)
+    asinh upxs == applyOrError(asinhIfCan,"asinh",upxs)
+    acosh upxs == applyOrError(acoshIfCan,"acosh",upxs)
+    atanh upxs == applyOrError(atanhIfCan,"atanh",upxs)
+    acoth upxs == applyOrError(acothIfCan,"acoth",upxs)
+    asech upxs == applyOrError(asechIfCan,"asech",upxs)
+    acsch upxs == applyOrError(acschIfCan,"acsch",upxs)
+
+\end{chunk}
+\begin{chunk}{EFUPXS.dotabb}
+"EFUPXS" [color="#FF4488",href="bookvol10.4.pdf#nameddest=EFUPXS"]
+"UPXSCCA" [color="#4488FF",href="bookvol10.2.pdf#nameddest=UPXSCCA"]
+"EFUPXS" -> "UPXSCCA"
+
+\end{chunk}
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EQ Equation}
 
 \begin{chunk}{Equation.input}
@@ -154777,6 +155584,8 @@ Note that this code is not included in the generated catdef.spad file.
 \getchunk{domain D03EEFA d03eefAnnaType}
 \getchunk{domain D03FAFA d03fafAnnaType}
 
+\getchunk{domain EFULS ElementaryFunctionsUnivariateLaurentSeries}
+\getchunk{domain EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
 \getchunk{domain EQTBL EqTable}
 \getchunk{domain EQ Equation}
 \getchunk{domain EXPEXPAN ExponentialExpansion}
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 2b910c8..566a2d4 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -22650,809 +22650,6 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{package EFULS ElementaryFunctionsUnivariateLaurentSeries}
-\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.input}
-)set break resume
-)sys rm -f ElementaryFunctionsUnivariateLaurentSeries.output
-)spool ElementaryFunctionsUnivariateLaurentSeries.output
-)set message test on
-)set message auto off
-)clear all
-
---S 1 of 1
-)show ElementaryFunctionsUnivariateLaurentSeries
---E 1
-
-)spool
-)lisp (bye)
-\end{chunk}
-\begin{chunk}{ElementaryFunctionsUnivariateLaurentSeries.help}
-====================================================================
-ElementaryFunctionsUnivariateLaurentSeries examples
-====================================================================
-
-This package provides elementary functions on any Laurent series
-domain over a field which was constructed from a Taylor series
-domain.  These functions are implemented by calling the
-corresponding functions on the Taylor series domain.  We also
-provide 'partial functions' which compute transcendental
-functions of Laurent series when possible and return "failed"
-when this is not possible.
-
-See Also:
-o )show ElementaryFunctionsUnivariateLaurentSeries
-
-\end{chunk}
-\pagehead{ElementaryFunctionsUnivariateLaurentSeries}{EFULS}
-\pagepic{ps/v104elementaryfunctionsunivariatelaurentseries.ps}{EFULS}{1.00}
-
-{\bf Exports:}\\
-\begin{tabular}{lllll}
-\cross{EFULS}{acos} &
-\cross{EFULS}{acosIfCan} &
-\cross{EFULS}{acosh} &
-\cross{EFULS}{acoshIfCan} &
-\cross{EFULS}{acot} \\
-\cross{EFULS}{acotIfCan} &
-\cross{EFULS}{acoth} &
-\cross{EFULS}{acothIfCan} &
-\cross{EFULS}{acsc} &
-\cross{EFULS}{acscIfCan} \\
-\cross{EFULS}{acsch} &
-\cross{EFULS}{acschIfCan} &
-\cross{EFULS}{asec} &
-\cross{EFULS}{asecIfCan} &
-\cross{EFULS}{asech} \\
-\cross{EFULS}{asechIfCan} &
-\cross{EFULS}{asin} &
-\cross{EFULS}{asinIfCan} &
-\cross{EFULS}{asinh} &
-\cross{EFULS}{asinhIfCan} \\
-\cross{EFULS}{atan} &
-\cross{EFULS}{atanIfCan} &
-\cross{EFULS}{atanh} &
-\cross{EFULS}{atanhIfCan} &
-\cross{EFULS}{cos} \\
-\cross{EFULS}{cosIfCan} &
-\cross{EFULS}{cosh} &
-\cross{EFULS}{coshIfCan} &
-\cross{EFULS}{cot} &
-\cross{EFULS}{cotIfCan} \\
-\cross{EFULS}{coth} &
-\cross{EFULS}{cothIfCan} &
-\cross{EFULS}{csc} &
-\cross{EFULS}{cscIfCan} &
-\cross{EFULS}{csch} \\
-\cross{EFULS}{cschIfCan} &
-\cross{EFULS}{exp} &
-\cross{EFULS}{expIfCan} &
-\cross{EFULS}{log} &
-\cross{EFULS}{logIfCan} \\
-\cross{EFULS}{nthRootIfCan} &
-\cross{EFULS}{sec} &
-\cross{EFULS}{secIfCan} &
-\cross{EFULS}{sech} &
-\cross{EFULS}{sechIfCan} \\
-\cross{EFULS}{sin} &
-\cross{EFULS}{sinIfCan} &
-\cross{EFULS}{sinh} &
-\cross{EFULS}{sinhIfCan} &
-\cross{EFULS}{tan} \\
-\cross{EFULS}{tanIfCan} &
-\cross{EFULS}{tanh} &
-\cross{EFULS}{tanhIfCan} &
-\cross{EFULS}{?**?} &
-\end{tabular}
-
-\begin{chunk}{package EFULS ElementaryFunctionsUnivariateLaurentSeries}
-)abbrev package EFULS ElementaryFunctionsUnivariateLaurentSeries
-++ Author: Clifton J. Williamson
-++ Date Created: 6 February 1990
-++ Date Last Updated: 25 February 1990
-++ Description:
-++ This package provides elementary functions on any Laurent series
-++ domain over a field which was constructed from a Taylor series
-++ domain.  These functions are implemented by calling the
-++ corresponding functions on the Taylor series domain.  We also
-++ provide 'partial functions' which compute transcendental
-++ functions of Laurent series when possible and return "failed"
-++ when this is not possible.
-
-ElementaryFunctionsUnivariateLaurentSeries(Coef,UTS,ULS):_
- Exports == Implementation where
-  Coef   : Algebra Fraction Integer
-  UTS    : UnivariateTaylorSeriesCategory Coef
-  ULS    : UnivariateLaurentSeriesConstructorCategory(Coef,UTS)
-  I    ==> Integer
-  NNI  ==> NonNegativeInteger
-  RN   ==> Fraction Integer
-  S    ==> String
-  STTF ==> StreamTranscendentalFunctions(Coef)
- 
-  Exports ==> PartialTranscendentalFunctions(ULS) with
- 
-    if Coef has Field then
-      "**": (ULS,RN) -> ULS
-        ++ s ** r raises a Laurent series s to a rational power r
- 
---% Exponentials and Logarithms
- 
-    exp: ULS -> ULS
-      ++ exp(z) returns the exponential of Laurent series z.
-    log: ULS -> ULS
-      ++ log(z) returns the logarithm of Laurent series z.
- 
---% TrigonometricFunctionCategory
- 
-    sin: ULS -> ULS
-      ++ sin(z) returns the sine of Laurent series z.
-    cos: ULS -> ULS
-      ++ cos(z) returns the cosine of Laurent series z.
-    tan: ULS -> ULS
-      ++ tan(z) returns the tangent of Laurent series z.
-    cot: ULS -> ULS
-      ++ cot(z) returns the cotangent of Laurent series z.
-    sec: ULS -> ULS
-      ++ sec(z) returns the secant of Laurent series z.
-    csc: ULS -> ULS
-      ++ csc(z) returns the cosecant of Laurent series z.
- 
---% ArcTrigonometricFunctionCategory
- 
-    asin: ULS -> ULS
-      ++ asin(z) returns the arc-sine of Laurent series z.
-    acos: ULS -> ULS
-      ++ acos(z) returns the arc-cosine of Laurent series z.
-    atan: ULS -> ULS
-      ++ atan(z) returns the arc-tangent of Laurent series z.
-    acot: ULS -> ULS
-      ++ acot(z) returns the arc-cotangent of Laurent series z.
-    asec: ULS -> ULS
-      ++ asec(z) returns the arc-secant of Laurent series z.
-    acsc: ULS -> ULS
-      ++ acsc(z) returns the arc-cosecant of Laurent series z.
- 
---% HyperbolicFunctionCategory
- 
-    sinh: ULS -> ULS
-      ++ sinh(z) returns the hyperbolic sine of Laurent series z.
-    cosh: ULS -> ULS
-      ++ cosh(z) returns the hyperbolic cosine of Laurent series z.
-    tanh: ULS -> ULS
-      ++ tanh(z) returns the hyperbolic tangent of Laurent series z.
-    coth: ULS -> ULS
-      ++ coth(z) returns the hyperbolic cotangent of Laurent series z.
-    sech: ULS -> ULS
-      ++ sech(z) returns the hyperbolic secant of Laurent series z.
-    csch: ULS -> ULS
-      ++ csch(z) returns the hyperbolic cosecant of Laurent series z.
- 
---% ArcHyperbolicFunctionCategory
- 
-    asinh: ULS -> ULS
-      ++ asinh(z) returns the inverse hyperbolic sine of Laurent series z.
-    acosh: ULS -> ULS
-      ++ acosh(z) returns the inverse hyperbolic cosine of Laurent series z.
-    atanh: ULS -> ULS
-      ++ atanh(z) returns the inverse hyperbolic tangent of Laurent series z.
-    acoth: ULS -> ULS
-      ++ acoth(z) returns the inverse hyperbolic cotangent of Laurent series z.
-    asech: ULS -> ULS
-      ++ asech(z) returns the inverse hyperbolic secant of Laurent series z.
-    acsch: ULS -> ULS
-      ++ acsch(z) returns the inverse hyperbolic cosecant of Laurent series z.
- 
-  Implementation ==> add
- 
---% roots
- 
-    RATPOWERS : Boolean := Coef has "**":(Coef,RN) -> Coef
-    TRANSFCN  : Boolean := Coef has TranscendentalFunctionCategory
-    RATS      : Boolean := Coef has retractIfCan: Coef -> Union(RN,"failed")
- 
-    nthRootUTS:(UTS,I) -> Union(UTS,"failed")
-    nthRootUTS(uts,n) ==
-      -- assumed: n > 1, uts has non-zero constant term
---      one? coefficient(uts,0) => uts ** inv(n::RN)
-      coefficient(uts,0) = 1 => uts ** inv(n::RN)
-      RATPOWERS => uts ** inv(n::RN)
-      "failed"
- 
-    nthRootIfCan(uls,nn) ==
-      (n := nn :: I) < 1 => error "nthRootIfCan: n must be positive"
-      n = 1 => uls
-      deg := degree uls
-      if zero? (coef := coefficient(uls,deg)) then
-        uls := removeZeroes(1000,uls); deg := degree uls
-        zero? (coef := coefficient(uls,deg)) =>
-          error "root of series with many leading zero coefficients"
-      (k := deg exquo n) case "failed" => "failed"
-      uts := taylor(uls * monomial(1,-deg))
-      (root := nthRootUTS(uts,n)) case "failed" => "failed"
-      monomial(1,k :: I) * (root :: UTS :: ULS)
- 
-    if Coef has Field then
-       (uls:ULS) ** (r:RN) ==
-         num := numer r; den := denom r
---         one? den => uls ** num
-         den = 1 => uls ** num
-         deg := degree uls
-         if zero? (coef := coefficient(uls,deg)) then
-           uls := removeZeroes(1000,uls); deg := degree uls
-           zero? (coef := coefficient(uls,deg)) =>
-             error "power of series with many leading zero coefficients"
-         (k := deg exquo den) case "failed" =>
-           error "**: rational power does not exist"
-         uts := taylor(uls * monomial(1,-deg)) ** r
-         monomial(1,(k :: I) * num) * (uts :: ULS)
- 
---% transcendental functions
- 
-    applyIfCan: (UTS -> UTS,ULS) -> Union(ULS,"failed")
-    applyIfCan(fcn,uls) ==
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      fcn(uts :: UTS) :: ULS
- 
-    expIfCan   uls == applyIfCan(exp,uls)
-    sinIfCan   uls == applyIfCan(sin,uls)
-    cosIfCan   uls == applyIfCan(cos,uls)
-    asinIfCan  uls == applyIfCan(asin,uls)
-    acosIfCan  uls == applyIfCan(acos,uls)
-    asecIfCan  uls == applyIfCan(asec,uls)
-    acscIfCan  uls == applyIfCan(acsc,uls)
-    sinhIfCan  uls == applyIfCan(sinh,uls)
-    coshIfCan  uls == applyIfCan(cosh,uls)
-    asinhIfCan uls == applyIfCan(asinh,uls)
-    acoshIfCan uls == applyIfCan(acosh,uls)
-    atanhIfCan uls == applyIfCan(atanh,uls)
-    acothIfCan uls == applyIfCan(acoth,uls)
-    asechIfCan uls == applyIfCan(asech,uls)
-    acschIfCan uls == applyIfCan(acsch,uls)
- 
-    logIfCan uls ==
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      zero? coefficient(ts := uts :: UTS,0) => "failed"
-      log(ts) :: ULS
- 
-    tanIfCan uls ==
-      -- don't call 'tan' on a UTS (tan(uls) may have a singularity)
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      sc := sincos(coefficients(uts :: UTS))$STTF
-      (cosInv := recip(series(sc.cos) :: ULS)) case "failed" => "failed"
-      (series(sc.sin) :: ULS) * (cosInv :: ULS)
- 
-    cotIfCan uls ==
-      -- don't call 'cot' on a UTS (cot(uls) may have a singularity)
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      sc := sincos(coefficients(uts :: UTS))$STTF
-      (sinInv := recip(series(sc.sin) :: ULS)) case "failed" => "failed"
-      (series(sc.cos) :: ULS) * (sinInv :: ULS)
- 
-    secIfCan uls ==
-      cos := cosIfCan uls
-      cos case "failed" => "failed"
-      (cosInv := recip(cos :: ULS)) case "failed" => "failed"
-      cosInv :: ULS
- 
-    cscIfCan uls ==
-      sin := sinIfCan uls
-      sin case "failed" => "failed"
-      (sinInv := recip(sin :: ULS)) case "failed" => "failed"
-      sinInv :: ULS
-
-    atanIfCan uls ==
-      coef := coefficient(uls,0)
-      (ord := order(uls,0)) = 0 and coef * coef = -1 => "failed"
-      cc : Coef := 
-        ord < 0 =>
-          TRANSFCN =>
-            RATS =>
-              lc := coefficient(uls,ord)
-              (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" =>
-                (1/2) * pi()
-              (rat :: RN) > 0 => (1/2) * pi()
-              (-1/2) * pi()
-            (1/2) * pi()
-          return "failed"
-        coef = 0 => 0
-        TRANSFCN => atan coef
-        return "failed"
-      (z := recip(1 + uls*uls)) case "failed" => "failed"
-      (cc :: ULS) + integrate(differentiate(uls) * (z :: ULS))
-
-    acotIfCan uls ==
-      coef := coefficient(uls,0)
-      (ord := order(uls,0)) = 0 and coef * coef = -1 => "failed"
-      cc : Coef := 
-        ord < 0 =>
-          RATS =>
-            lc := coefficient(uls,ord)
-            (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" => 0
-            (rat :: RN) > 0 => 0
-            TRANSFCN => pi()
-            return "failed"
-          0
-        TRANSFCN => acot coef
-        return "failed"
-      (z := recip(1 + uls*uls)) case "failed" => "failed"
-      (cc :: ULS) - integrate(differentiate(uls) * (z :: ULS))
- 
-    tanhIfCan uls ==
-      -- don't call 'tanh' on a UTS (tanh(uls) may have a singularity)
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      sc := sinhcosh(coefficients(uts :: UTS))$STTF
-      (coshInv := recip(series(sc.cosh) :: ULS)) case "failed" =>
-        "failed"
-      (series(sc.sinh) :: ULS) * (coshInv :: ULS)
- 
-    cothIfCan uls ==
-      -- don't call 'coth' on a UTS (coth(uls) may have a singularity)
-      uts := taylorIfCan uls
-      uts case "failed" => "failed"
-      sc := sinhcosh(coefficients(uts :: UTS))$STTF
-      (sinhInv := recip(series(sc.sinh) :: ULS)) case "failed" =>
-        "failed"
-      (series(sc.cosh) :: ULS) * (sinhInv :: ULS)
- 
-    sechIfCan uls ==
-      cosh := coshIfCan uls
-      cosh case "failed" => "failed"
-      (coshInv := recip(cosh :: ULS)) case "failed" => "failed"
-      coshInv :: ULS
- 
-    cschIfCan uls ==
-      sinh := sinhIfCan uls
-      sinh case "failed" => "failed"
-      (sinhInv := recip(sinh :: ULS)) case "failed" => "failed"
-      sinhInv :: ULS
- 
-    applyOrError:(ULS -> Union(ULS,"failed"),S,ULS) -> ULS
-    applyOrError(fcn,name,uls) ==
-      ans := fcn uls
-      ans case "failed" =>
-        error concat(name," of function with singularity")
-      ans :: ULS
- 
-    exp uls   == applyOrError(expIfCan,"exp",uls)
-    log uls   == applyOrError(logIfCan,"log",uls)
-    sin uls   == applyOrError(sinIfCan,"sin",uls)
-    cos uls   == applyOrError(cosIfCan,"cos",uls)
-    tan uls   == applyOrError(tanIfCan,"tan",uls)
-    cot uls   == applyOrError(cotIfCan,"cot",uls)
-    sec uls   == applyOrError(secIfCan,"sec",uls)
-    csc uls   == applyOrError(cscIfCan,"csc",uls)
-    asin uls  == applyOrError(asinIfCan,"asin",uls)
-    acos uls  == applyOrError(acosIfCan,"acos",uls)
-    asec uls  == applyOrError(asecIfCan,"asec",uls)
-    acsc uls  == applyOrError(acscIfCan,"acsc",uls)
-    sinh uls  == applyOrError(sinhIfCan,"sinh",uls)
-    cosh uls  == applyOrError(coshIfCan,"cosh",uls)
-    tanh uls  == applyOrError(tanhIfCan,"tanh",uls)
-    coth uls  == applyOrError(cothIfCan,"coth",uls)
-    sech uls  == applyOrError(sechIfCan,"sech",uls)
-    csch uls  == applyOrError(cschIfCan,"csch",uls)
-    asinh uls == applyOrError(asinhIfCan,"asinh",uls)
-    acosh uls == applyOrError(acoshIfCan,"acosh",uls)
-    atanh uls == applyOrError(atanhIfCan,"atanh",uls)
-    acoth uls == applyOrError(acothIfCan,"acoth",uls)
-    asech uls == applyOrError(asechIfCan,"asech",uls)
-    acsch uls == applyOrError(acschIfCan,"acsch",uls)
-
-    atan uls ==
-    -- code is duplicated so that correct error messages will be returned
-      coef := coefficient(uls,0)
-      (ord := order(uls,0)) = 0 and coef * coef = -1 =>
-        error "atan: series expansion has logarithmic term"
-      cc : Coef := 
-        ord < 0 =>
-          TRANSFCN =>
-            RATS =>
-              lc := coefficient(uls,ord)
-              (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" =>
-                (1/2) * pi()
-              (rat :: RN) > 0 => (1/2) * pi()
-              (-1/2) * pi()
-            (1/2) * pi()
-          error "atan: series expansion involves transcendental constants"
-        coef = 0 => 0
-        TRANSFCN => atan coef
-        error "atan: series expansion involves transcendental constants"
-      (z := recip(1 + uls*uls)) case "failed" =>
-        error "atan: leading coefficient not invertible"
-      (cc :: ULS) + integrate(differentiate(uls) * (z :: ULS))
-
-    acot uls ==
-    -- code is duplicated so that correct error messages will be returned
-      coef := coefficient(uls,0)
-      (ord := order(uls,0)) = 0 and coef * coef = -1 =>
-        error "acot: series expansion has logarithmic term"
-      cc : Coef := 
-        ord < 0 =>
-          RATS =>
-            lc := coefficient(uls,ord)
-            (rat := retractIfCan(lc)@Union(RN,"failed")) case "failed" => 0
-            (rat :: RN) > 0 => 0
-            TRANSFCN => pi()
-            error "acot: series expansion involves transcendental constants"
-          0
-        TRANSFCN => acot coef
-        error "acot: series expansion involves transcendental constants"
-      (z := recip(1 + uls*uls)) case "failed" =>
-        error "acot: leading coefficient not invertible"
-      (cc :: ULS) - integrate(differentiate(uls) * (z :: ULS))
-
-\end{chunk}
-\begin{chunk}{EFULS.dotabb}
-"EFULS" [color="#FF4488",href="bookvol10.4.pdf#nameddest=EFULS"]
-"ULSCCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=ULSCCAT"]
-"EFULS" -> "ULSCCAT"
-
-\end{chunk}
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
-\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.input}
-)set break resume
-)sys rm -f ElementaryFunctionsUnivariatePuiseuxSeries.output
-)spool ElementaryFunctionsUnivariatePuiseuxSeries.output
-)set message test on
-)set message auto off
-)clear all
-
---S 1 of 1
-)show ElementaryFunctionsUnivariatePuiseuxSeries
---E 1
-
-)spool
-)lisp (bye)
-\end{chunk}
-\begin{chunk}{ElementaryFunctionsUnivariatePuiseuxSeries.help}
-====================================================================
-ElementaryFunctionsUnivariatePuiseuxSeries examples
-====================================================================
-
-This package provides elementary functions on any Laurent series
-domain over a field which was constructed from a Taylor series
-domain.  These functions are implemented by calling the
-corresponding functions on the Taylor series domain.  We also
-provide 'partial functions' which compute transcendental
-functions of Laurent series when possible and return "failed"
-when this is not possible.
-
-See Also:
-o )show ElementaryFunctionsUnivariatePuiseuxSeries
-
-\end{chunk}
-\pagehead{ElementaryFunctionsUnivariatePuiseuxSeries}{EFUPXS}
-\pagepic{ps/v104elementaryfunctionsunivariatepuiseuxseries.ps}{EFUPXS}{1.00}
-
-{\bf Exports:}\\
-\begin{tabular}{lllll}
-\cross{EFUPXS}{acos} &
-\cross{EFUPXS}{acosIfCan} &
-\cross{EFUPXS}{acosh} &
-\cross{EFUPXS}{acoshIfCan} &
-\cross{EFUPXS}{acot} \\
-\cross{EFUPXS}{acotIfCan} &
-\cross{EFUPXS}{acoth} &
-\cross{EFUPXS}{acothIfCan} &
-\cross{EFUPXS}{acsc} &
-\cross{EFUPXS}{acscIfCan} \\
-\cross{EFUPXS}{acsch} &
-\cross{EFUPXS}{acschIfCan} &
-\cross{EFUPXS}{asec} &
-\cross{EFUPXS}{asecIfCan} &
-\cross{EFUPXS}{asech} \\
-\cross{EFUPXS}{asechIfCan} &
-\cross{EFUPXS}{asin} &
-\cross{EFUPXS}{asinIfCan} &
-\cross{EFUPXS}{asinh} &
-\cross{EFUPXS}{asinhIfCan} \\
-\cross{EFUPXS}{atan} &
-\cross{EFUPXS}{atanIfCan} &
-\cross{EFUPXS}{atanh} &
-\cross{EFUPXS}{atanhIfCan} &
-\cross{EFUPXS}{cos} \\
-\cross{EFUPXS}{cosIfCan} &
-\cross{EFUPXS}{cosh} &
-\cross{EFUPXS}{coshIfCan} &
-\cross{EFUPXS}{cot} &
-\cross{EFUPXS}{cotIfCan} \\
-\cross{EFUPXS}{coth} &
-\cross{EFUPXS}{cothIfCan} &
-\cross{EFUPXS}{csc} &
-\cross{EFUPXS}{cscIfCan} &
-\cross{EFUPXS}{csch} \\
-\cross{EFUPXS}{cschIfCan} &
-\cross{EFUPXS}{exp} &
-\cross{EFUPXS}{expIfCan} &
-\cross{EFUPXS}{log} &
-\cross{EFUPXS}{logIfCan} \\
-\cross{EFUPXS}{nthRootIfCan} &
-\cross{EFUPXS}{sec} &
-\cross{EFUPXS}{secIfCan} &
-\cross{EFUPXS}{sech} &
-\cross{EFUPXS}{sechIfCan} \\
-\cross{EFUPXS}{sin} &
-\cross{EFUPXS}{sinIfCan} &
-\cross{EFUPXS}{sinh} &
-\cross{EFUPXS}{sinhIfCan} &
-\cross{EFUPXS}{tan} \\
-\cross{EFUPXS}{tanIfCan} &
-\cross{EFUPXS}{tanh} &
-\cross{EFUPXS}{tanhIfCan} &
-\cross{EFUPXS}{?**?} &
-\end{tabular}
-
-\begin{chunk}{package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
-)abbrev package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries
-++ Author: Clifton J. Williamson
-++ Date Created: 20 February 1990
-++ Date Last Updated: 20 February 1990
-++ Description:
-++ This package provides elementary functions on any Laurent series
-++ domain over a field which was constructed from a Taylor series
-++ domain.  These functions are implemented by calling the
-++ corresponding functions on the Taylor series domain.  We also
-++ provide 'partial functions' which compute transcendental
-++ functions of Laurent series when possible and return "failed"
-++ when this is not possible.
-
-ElementaryFunctionsUnivariatePuiseuxSeries(Coef,ULS,UPXS,EFULS):_
- Exports == Implementation where
-  Coef   : Algebra Fraction Integer
-  ULS    : UnivariateLaurentSeriesCategory Coef
-  UPXS   : UnivariatePuiseuxSeriesConstructorCategory(Coef,ULS)
-  EFULS  : PartialTranscendentalFunctions(ULS)
-  I    ==> Integer
-  NNI  ==> NonNegativeInteger
-  RN   ==> Fraction Integer
- 
-  Exports ==> PartialTranscendentalFunctions(UPXS) with
- 
-    if Coef has Field then
-      "**": (UPXS,RN) -> UPXS
-        ++ z ** r raises a Puiseaux series z to a rational power r
- 
---% Exponentials and Logarithms
- 
-    exp: UPXS -> UPXS
-      ++ exp(z) returns the exponential of a Puiseux series z.
-    log: UPXS -> UPXS
-      ++ log(z) returns the logarithm of a Puiseux series z.
- 
---% TrigonometricFunctionCategory
- 
-    sin: UPXS -> UPXS
-      ++ sin(z) returns the sine of a Puiseux series z.
-    cos: UPXS -> UPXS
-      ++ cos(z) returns the cosine of a Puiseux series z.
-    tan: UPXS -> UPXS
-      ++ tan(z) returns the tangent of a Puiseux series z.
-    cot: UPXS -> UPXS
-      ++ cot(z) returns the cotangent of a Puiseux series z.
-    sec: UPXS -> UPXS
-      ++ sec(z) returns the secant of a Puiseux series z.
-    csc: UPXS -> UPXS
-      ++ csc(z) returns the cosecant of a Puiseux series z.
- 
---% ArcTrigonometricFunctionCategory
- 
-    asin: UPXS -> UPXS
-      ++ asin(z) returns the arc-sine of a Puiseux series z.
-    acos: UPXS -> UPXS
-      ++ acos(z) returns the arc-cosine of a Puiseux series z.
-    atan: UPXS -> UPXS
-      ++ atan(z) returns the arc-tangent of a Puiseux series z.
-    acot: UPXS -> UPXS
-      ++ acot(z) returns the arc-cotangent of a Puiseux series z.
-    asec: UPXS -> UPXS
-      ++ asec(z) returns the arc-secant of a Puiseux series z.
-    acsc: UPXS -> UPXS
-      ++ acsc(z) returns the arc-cosecant of a Puiseux series z.
- 
---% HyperbolicFunctionCategory
- 
-    sinh: UPXS -> UPXS
-      ++ sinh(z) returns the hyperbolic sine of a Puiseux series z.
-    cosh: UPXS -> UPXS
-      ++ cosh(z) returns the hyperbolic cosine of a Puiseux series z.
-    tanh: UPXS -> UPXS
-      ++ tanh(z) returns the hyperbolic tangent of a Puiseux series z.
-    coth: UPXS -> UPXS
-      ++ coth(z) returns the hyperbolic cotangent of a Puiseux series z.
-    sech: UPXS -> UPXS
-      ++ sech(z) returns the hyperbolic secant of a Puiseux series z.
-    csch: UPXS -> UPXS
-      ++ csch(z) returns the hyperbolic cosecant of a Puiseux series z.
- 
---% ArcHyperbolicFunctionCategory
- 
-    asinh: UPXS -> UPXS
-      ++ asinh(z) returns the inverse hyperbolic sine of a Puiseux series z.
-    acosh: UPXS -> UPXS
-      ++ acosh(z) returns the inverse hyperbolic cosine of a Puiseux series z.
-    atanh: UPXS -> UPXS
-      ++ atanh(z) returns the inverse hyperbolic tangent of a Puiseux series z.
-    acoth: UPXS -> UPXS
-      ++ acoth(z) returns the inverse hyperbolic cotangent 
-      ++ of a Puiseux series z.
-    asech: UPXS -> UPXS
-      ++ asech(z) returns the inverse hyperbolic secant of a Puiseux series z.
-    acsch: UPXS -> UPXS
-      ++ acsch(z) returns the inverse hyperbolic cosecant 
-      ++ of a Puiseux series z.
- 
-  Implementation ==> add
-
-    TRANSFCN : Boolean := Coef has TranscendentalFunctionCategory
- 
---% roots
- 
-    nthRootIfCan(upxs,n) ==
---      one? n => upxs
-      n = 1 => upxs
-      r := rationalPower upxs; uls := laurentRep upxs
-      deg := degree uls
-      if zero?(coef := coefficient(uls,deg)) then
-        deg := order(uls,deg + 1000)
-        zero?(coef := coefficient(uls,deg)) =>
-          error "root of series with many leading zero coefficients"
-      uls := uls * monomial(1,-deg)$ULS
-      (ulsRoot := nthRootIfCan(uls,n)) case "failed" => "failed"
-      puiseux(r,ulsRoot :: ULS) * monomial(1,deg * r * inv(n :: RN))
- 
-    if Coef has Field then
-       (upxs:UPXS) ** (q:RN) ==
-         num := numer q; den := denom q
---         one? den => upxs ** num
-         den = 1 => upxs ** num
-         r := rationalPower upxs; uls := laurentRep upxs
-         deg := degree uls
-         if zero?(coef := coefficient(uls,deg)) then
-           deg := order(uls,deg + 1000)
-           zero?(coef := coefficient(uls,deg)) =>
-             error "power of series with many leading zero coefficients"
-         ulsPow := (uls * monomial(1,-deg)$ULS) ** q
-         puiseux(r,ulsPow) * monomial(1,deg*q*r)
- 
---% transcendental functions
- 
-    applyIfCan: (ULS -> Union(ULS,"failed"),UPXS) -> Union(UPXS,"failed")
-    applyIfCan(fcn,upxs) ==
-      uls := fcn laurentRep upxs
-      uls case "failed" => "failed"
-      puiseux(rationalPower upxs,uls :: ULS)
- 
-    expIfCan   upxs == applyIfCan(expIfCan,upxs)
-    logIfCan   upxs == applyIfCan(logIfCan,upxs)
-    sinIfCan   upxs == applyIfCan(sinIfCan,upxs)
-    cosIfCan   upxs == applyIfCan(cosIfCan,upxs)
-    tanIfCan   upxs == applyIfCan(tanIfCan,upxs)
-    cotIfCan   upxs == applyIfCan(cotIfCan,upxs)
-    secIfCan   upxs == applyIfCan(secIfCan,upxs)
-    cscIfCan   upxs == applyIfCan(cscIfCan,upxs)
-    atanIfCan  upxs == applyIfCan(atanIfCan,upxs)
-    acotIfCan  upxs == applyIfCan(acotIfCan,upxs)
-    sinhIfCan  upxs == applyIfCan(sinhIfCan,upxs)
-    coshIfCan  upxs == applyIfCan(coshIfCan,upxs)
-    tanhIfCan  upxs == applyIfCan(tanhIfCan,upxs)
-    cothIfCan  upxs == applyIfCan(cothIfCan,upxs)
-    sechIfCan  upxs == applyIfCan(sechIfCan,upxs)
-    cschIfCan  upxs == applyIfCan(cschIfCan,upxs)
-    asinhIfCan upxs == applyIfCan(asinhIfCan,upxs)
-    acoshIfCan upxs == applyIfCan(acoshIfCan,upxs)
-    atanhIfCan upxs == applyIfCan(atanhIfCan,upxs)
-    acothIfCan upxs == applyIfCan(acothIfCan,upxs)
-    asechIfCan upxs == applyIfCan(asechIfCan,upxs)
-    acschIfCan upxs == applyIfCan(acschIfCan,upxs)
-
-    asinIfCan upxs ==
-      order(upxs,0) < 0 => "failed"
-      (coef := coefficient(upxs,0)) = 0 =>
-        integrate((1 - upxs*upxs)**(-1/2) * (differentiate upxs))
-      TRANSFCN =>
-        cc := asin(coef) :: UPXS
-        cc + integrate((1 - upxs*upxs)**(-1/2) * (differentiate upxs))
-      "failed"
-
-    acosIfCan upxs ==
-      order(upxs,0) < 0 => "failed"
-      TRANSFCN =>
-        cc := acos(coefficient(upxs,0)) :: UPXS
-        cc + integrate(-(1 - upxs*upxs)**(-1/2) * (differentiate upxs))
-      "failed"
-
-    asecIfCan upxs ==
-      order(upxs,0) < 0 => "failed"
-      TRANSFCN =>
-        cc := asec(coefficient(upxs,0)) :: UPXS
-        f := (upxs*upxs - 1)**(-1/2) * (differentiate upxs)
-        (rec := recip upxs) case "failed" => "failed"
-        cc + integrate(f * (rec :: UPXS))
-      "failed"
-
-    acscIfCan upxs ==
-      order(upxs,0) < 0 => "failed"
-      TRANSFCN =>
-        cc := acsc(coefficient(upxs,0)) :: UPXS
-        f := -(upxs*upxs - 1)**(-1/2) * (differentiate upxs)
-        (rec := recip upxs) case "failed" => "failed"
-        cc + integrate(f * (rec :: UPXS))
-      "failed"
-
-    asinhIfCan upxs ==
-      order(upxs,0) < 0 => "failed"
-      TRANSFCN or (coefficient(upxs,0) = 0) =>
-        log(upxs + (1 + upxs*upxs)**(1/2))
-      "failed"
-
-    acoshIfCan upxs ==
-      TRANSFCN =>
-        order(upxs,0) < 0 => "failed"
-        log(upxs + (upxs*upxs - 1)**(1/2))
-      "failed"
-
-    asechIfCan upxs ==
-      TRANSFCN =>
-        order(upxs,0) < 0 => "failed"
-        (rec := recip upxs) case "failed" => "failed"
-        log((1 + (1 - upxs*upxs)*(1/2)) * (rec :: UPXS))
-      "failed"
-
-    acschIfCan upxs ==
-      TRANSFCN =>
-        order(upxs,0) < 0 => "failed"
-        (rec := recip upxs) case "failed" => "failed"
-        log((1 + (1 + upxs*upxs)*(1/2)) * (rec :: UPXS))
-      "failed"
- 
-    applyOrError:(UPXS -> Union(UPXS,"failed"),String,UPXS) -> UPXS
-    applyOrError(fcn,name,upxs) ==
-      ans := fcn upxs
-      ans case "failed" =>
-        error concat(name," of function with singularity")
-      ans :: UPXS
- 
-    exp upxs   == applyOrError(expIfCan,"exp",upxs)
-    log upxs   == applyOrError(logIfCan,"log",upxs)
-    sin upxs   == applyOrError(sinIfCan,"sin",upxs)
-    cos upxs   == applyOrError(cosIfCan,"cos",upxs)
-    tan upxs   == applyOrError(tanIfCan,"tan",upxs)
-    cot upxs   == applyOrError(cotIfCan,"cot",upxs)
-    sec upxs   == applyOrError(secIfCan,"sec",upxs)
-    csc upxs   == applyOrError(cscIfCan,"csc",upxs)
-    asin upxs  == applyOrError(asinIfCan,"asin",upxs)
-    acos upxs  == applyOrError(acosIfCan,"acos",upxs)
-    atan upxs  == applyOrError(atanIfCan,"atan",upxs)
-    acot upxs  == applyOrError(acotIfCan,"acot",upxs)
-    asec upxs  == applyOrError(asecIfCan,"asec",upxs)
-    acsc upxs  == applyOrError(acscIfCan,"acsc",upxs)
-    sinh upxs  == applyOrError(sinhIfCan,"sinh",upxs)
-    cosh upxs  == applyOrError(coshIfCan,"cosh",upxs)
-    tanh upxs  == applyOrError(tanhIfCan,"tanh",upxs)
-    coth upxs  == applyOrError(cothIfCan,"coth",upxs)
-    sech upxs  == applyOrError(sechIfCan,"sech",upxs)
-    csch upxs  == applyOrError(cschIfCan,"csch",upxs)
-    asinh upxs == applyOrError(asinhIfCan,"asinh",upxs)
-    acosh upxs == applyOrError(acoshIfCan,"acosh",upxs)
-    atanh upxs == applyOrError(atanhIfCan,"atanh",upxs)
-    acoth upxs == applyOrError(acothIfCan,"acoth",upxs)
-    asech upxs == applyOrError(asechIfCan,"asech",upxs)
-    acsch upxs == applyOrError(acschIfCan,"acsch",upxs)
-
-\end{chunk}
-\begin{chunk}{EFUPXS.dotabb}
-"EFUPXS" [color="#FF4488",href="bookvol10.4.pdf#nameddest=EFUPXS"]
-"UPXSCCA" [color="#4488FF",href="bookvol10.2.pdf#nameddest=UPXSCCA"]
-"EFUPXS" -> "UPXSCCA"
-
-\end{chunk}
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package INTEF ElementaryIntegration}
 \begin{chunk}{ElementaryIntegration.input}
 )set break resume
@@ -175114,8 +174311,6 @@ ZeroDimensionalSolvePackage(R,ls,ls2): Exports == Implementation where
 \getchunk{package ODEEF ElementaryFunctionODESolver}
 \getchunk{package SIGNEF ElementaryFunctionSign}
 \getchunk{package EFSTRUC ElementaryFunctionStructurePackage}
-\getchunk{package EFULS ElementaryFunctionsUnivariateLaurentSeries}
-\getchunk{package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries}
 \getchunk{package INTEF ElementaryIntegration}
 \getchunk{package RDEEF ElementaryRischDE}
 \getchunk{package RDEEFS ElementaryRischDESystem}
diff --git a/books/ps/v103elementaryfunctionsunivariatelaurentseries.ps b/books/ps/v103elementaryfunctionsunivariatelaurentseries.ps
new file mode 100644
index 0000000..9bd4ab3
--- /dev/null
+++ b/books/ps/v103elementaryfunctionsunivariatelaurentseries.ps
@@ -0,0 +1,281 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16.1 (Mon Jul  7 18:20:33 UTC 2008)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 122 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 86 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath fill
+1 setlinewidth
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath stroke
+% EFULS
+gsave
+[ /Rect [ 10 72 68 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.4.pdf#nameddest=EFULS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.939 0.733 1.000 nodecolor
+newpath 68 108 moveto
+10 108 lineto
+10 72 lineto
+68 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.939 0.733 1.000 nodecolor
+newpath 68 108 moveto
+10 108 lineto
+10 72 lineto
+68 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+17.5 85.9 moveto 43 (EFULS) alignedtext
+grestore
+% ULSCCAT
+gsave
+[ /Rect [ 0 0 78 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=ULSCCAT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
+newpath 78 36 moveto
+2.634e-14 36 lineto
+5.29438e-15 1.06581e-14 lineto
+78 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 78 36 moveto
+2.634e-14 36 lineto
+5.29438e-15 1.06581e-14 lineto
+78 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+7.5 13.9 moveto 63 (ULSCCAT) alignedtext
+grestore
+% EFULS->ULSCCAT
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 39 72 moveto
+39 64 39 55 39 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 42.5001 46 moveto
+39 36 lineto
+35.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 42.5001 46 moveto
+39 36 lineto
+35.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 122 152
+end
+restore
+%%EOF
diff --git a/books/ps/v103elementaryfunctionsunivariatepuiseuxseries.ps b/books/ps/v103elementaryfunctionsunivariatepuiseuxseries.ps
new file mode 100644
index 0000000..87c18c4
--- /dev/null
+++ b/books/ps/v103elementaryfunctionsunivariatepuiseuxseries.ps
@@ -0,0 +1,281 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16.1 (Mon Jul  7 18:20:33 UTC 2008)
+%%For: (root) root
+%%Title: pic
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 124 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 88 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath fill
+1 setlinewidth
+0.167 0.600 1.000 graphcolor
+newpath -4 -4 moveto
+-4 716 lineto
+536 716 lineto
+536 -4 lineto
+closepath stroke
+% EFUPXS
+gsave
+[ /Rect [ 6 72 74 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.4.pdf#nameddest=EFUPXS) >>
+  /Subtype /Link
+/ANN pdfmark
+0.939 0.733 1.000 nodecolor
+newpath 74 108 moveto
+6 108 lineto
+6 72 lineto
+74 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.939 0.733 1.000 nodecolor
+newpath 74 108 moveto
+6 108 lineto
+6 72 lineto
+74 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+14 85.9 moveto 52 (EFUPXS) alignedtext
+grestore
+% UPXSCCA
+gsave
+[ /Rect [ 0 0 80 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=UPXSCCA) >>
+  /Subtype /Link
+/ANN pdfmark
+0.606 0.733 1.000 nodecolor
+newpath 80 36 moveto
+3.02917e-14 36 lineto
+9.23914e-15 1.06581e-14 lineto
+80 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.606 0.733 1.000 nodecolor
+newpath 80 36 moveto
+3.02917e-14 36 lineto
+9.23914e-15 1.06581e-14 lineto
+80 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+14.00 /Times-Roman set_font
+7.5 13.9 moveto 65 (UPXSCCA) alignedtext
+grestore
+% EFUPXS->UPXSCCA
+gsave
+1 setlinewidth
+0.000 0.000 0.000 edgecolor
+newpath 40 72 moveto
+40 64 40 55 40 46 curveto
+stroke
+0.000 0.000 0.000 edgecolor
+newpath 43.5001 46 moveto
+40 36 lineto
+36.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.000 0.000 edgecolor
+newpath 43.5001 46 moveto
+40 36 lineto
+36.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 124 152
+end
+restore
+%%EOF
diff --git a/books/ps/v104elementaryfunctionsunivariatelaurentseries.ps b/books/ps/v104elementaryfunctionsunivariatelaurentseries.ps
deleted file mode 100644
index 9bd4ab3..0000000
--- a/books/ps/v104elementaryfunctionsunivariatelaurentseries.ps
+++ /dev/null
@@ -1,281 +0,0 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16.1 (Mon Jul  7 18:20:33 UTC 2008)
-%%For: (root) root
-%%Title: pic
-%%Pages: (atend)
-%%BoundingBox: (atend)
-%%EndComments
-save
-%%BeginProlog
-/DotDict 200 dict def
-DotDict begin
-
-/setupLatin1 {
-mark
-/EncodingVector 256 array def
- EncodingVector 0
-
-ISOLatin1Encoding 0 255 getinterval putinterval
-EncodingVector 45 /hyphen put
-
-% Set up ISO Latin 1 character encoding
-/starnetISO {
-        dup dup findfont dup length dict begin
-        { 1 index /FID ne { def }{ pop pop } ifelse
-        } forall
-        /Encoding EncodingVector def
-        currentdict end definefont
-} def
-/Times-Roman starnetISO def
-/Times-Italic starnetISO def
-/Times-Bold starnetISO def
-/Times-BoldItalic starnetISO def
-/Helvetica starnetISO def
-/Helvetica-Oblique starnetISO def
-/Helvetica-Bold starnetISO def
-/Helvetica-BoldOblique starnetISO def
-/Courier starnetISO def
-/Courier-Oblique starnetISO def
-/Courier-Bold starnetISO def
-/Courier-BoldOblique starnetISO def
-cleartomark
-} bind def
-
-%%BeginResource: procset graphviz 0 0
-/coord-font-family /Times-Roman def
-/default-font-family /Times-Roman def
-/coordfont coord-font-family findfont 8 scalefont def
-
-/InvScaleFactor 1.0 def
-/set_scale {
-       dup 1 exch div /InvScaleFactor exch def
-       scale
-} bind def
-
-% styles
-/solid { [] 0 setdash } bind def
-/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
-/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
-/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
-/bold { 2 setlinewidth } bind def
-/filled { } bind def
-/unfilled { } bind def
-/rounded { } bind def
-/diagonals { } bind def
-
-% hooks for setting color 
-/nodecolor { sethsbcolor } bind def
-/edgecolor { sethsbcolor } bind def
-/graphcolor { sethsbcolor } bind def
-/nopcolor {pop pop pop} bind def
-
-/beginpage {	% i j npages
-	/npages exch def
-	/j exch def
-	/i exch def
-	/str 10 string def
-	npages 1 gt {
-		gsave
-			coordfont setfont
-			0 0 moveto
-			(\() show i str cvs show (,) show j str cvs show (\)) show
-		grestore
-	} if
-} bind def
-
-/set_font {
-	findfont exch
-	scalefont setfont
-} def
-
-% draw text fitted to its expected width
-/alignedtext {			% width text
-	/text exch def
-	/width exch def
-	gsave
-		width 0 gt {
-			[] 0 setdash
-			text stringwidth pop width exch sub text length div 0 text ashow
-		} if
-	grestore
-} def
-
-/boxprim {				% xcorner ycorner xsize ysize
-		4 2 roll
-		moveto
-		2 copy
-		exch 0 rlineto
-		0 exch rlineto
-		pop neg 0 rlineto
-		closepath
-} bind def
-
-/ellipse_path {
-	/ry exch def
-	/rx exch def
-	/y exch def
-	/x exch def
-	matrix currentmatrix
-	newpath
-	x y translate
-	rx ry scale
-	0 0 1 0 360 arc
-	setmatrix
-} bind def
-
-/endpage { showpage } bind def
-/showpage { } def
-
-/layercolorseq
-	[	% layer color sequence - darkest to lightest
-		[0 0 0]
-		[.2 .8 .8]
-		[.4 .8 .8]
-		[.6 .8 .8]
-		[.8 .8 .8]
-	]
-def
-
-/layerlen layercolorseq length def
-
-/setlayer {/maxlayer exch def /curlayer exch def
-	layercolorseq curlayer 1 sub layerlen mod get
-	aload pop sethsbcolor
-	/nodecolor {nopcolor} def
-	/edgecolor {nopcolor} def
-	/graphcolor {nopcolor} def
-} bind def
-
-/onlayer { curlayer ne {invis} if } def
-
-/onlayers {
-	/myupper exch def
-	/mylower exch def
-	curlayer mylower lt
-	curlayer myupper gt
-	or
-	{invis} if
-} def
-
-/curlayer 0 def
-
-%%EndResource
-%%EndProlog
-%%BeginSetup
-14 default-font-family set_font
-1 setmiterlimit
-% /arrowlength 10 def
-% /arrowwidth 5 def
-
-% make sure pdfmark is harmless for PS-interpreters other than Distiller
-/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
-% make '<<' and '>>' safe on PS Level 1 devices
-/languagelevel where {pop languagelevel}{1} ifelse
-2 lt {
-    userdict (<<) cvn ([) cvn load put
-    userdict (>>) cvn ([) cvn load put
-} if
-
-%%EndSetup
-setupLatin1
-%%Page: 1 1
-%%PageBoundingBox: 36 36 122 152
-%%PageOrientation: Portrait
-0 0 1 beginpage
-gsave
-36 36 86 116 boxprim clip newpath
-1 1 set_scale 0 rotate 40 40 translate
-0.167 0.600 1.000 graphcolor
-newpath -4 -4 moveto
--4 716 lineto
-536 716 lineto
-536 -4 lineto
-closepath fill
-1 setlinewidth
-0.167 0.600 1.000 graphcolor
-newpath -4 -4 moveto
--4 716 lineto
-536 716 lineto
-536 -4 lineto
-closepath stroke
-% EFULS
-gsave
-[ /Rect [ 10 72 68 108 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI (bookvol10.4.pdf#nameddest=EFULS) >>
-  /Subtype /Link
-/ANN pdfmark
-0.939 0.733 1.000 nodecolor
-newpath 68 108 moveto
-10 108 lineto
-10 72 lineto
-68 72 lineto
-closepath fill
-1 setlinewidth
-filled
-0.939 0.733 1.000 nodecolor
-newpath 68 108 moveto
-10 108 lineto
-10 72 lineto
-68 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14.00 /Times-Roman set_font
-17.5 85.9 moveto 43 (EFULS) alignedtext
-grestore
-% ULSCCAT
-gsave
-[ /Rect [ 0 0 78 36 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=ULSCCAT) >>
-  /Subtype /Link
-/ANN pdfmark
-0.606 0.733 1.000 nodecolor
-newpath 78 36 moveto
-2.634e-14 36 lineto
-5.29438e-15 1.06581e-14 lineto
-78 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.606 0.733 1.000 nodecolor
-newpath 78 36 moveto
-2.634e-14 36 lineto
-5.29438e-15 1.06581e-14 lineto
-78 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14.00 /Times-Roman set_font
-7.5 13.9 moveto 63 (ULSCCAT) alignedtext
-grestore
-% EFULS->ULSCCAT
-gsave
-1 setlinewidth
-0.000 0.000 0.000 edgecolor
-newpath 39 72 moveto
-39 64 39 55 39 46 curveto
-stroke
-0.000 0.000 0.000 edgecolor
-newpath 42.5001 46 moveto
-39 36 lineto
-35.5001 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.000 0.000 0.000 edgecolor
-newpath 42.5001 46 moveto
-39 36 lineto
-35.5001 46 lineto
-closepath stroke
-grestore
-endpage
-showpage
-grestore
-%%PageTrailer
-%%EndPage: 1
-%%Trailer
-%%Pages: 1
-%%BoundingBox: 36 36 122 152
-end
-restore
-%%EOF
diff --git a/books/ps/v104elementaryfunctionsunivariatepuiseuxseries.ps b/books/ps/v104elementaryfunctionsunivariatepuiseuxseries.ps
deleted file mode 100644
index 87c18c4..0000000
--- a/books/ps/v104elementaryfunctionsunivariatepuiseuxseries.ps
+++ /dev/null
@@ -1,281 +0,0 @@
-%!PS-Adobe-2.0
-%%Creator: Graphviz version 2.16.1 (Mon Jul  7 18:20:33 UTC 2008)
-%%For: (root) root
-%%Title: pic
-%%Pages: (atend)
-%%BoundingBox: (atend)
-%%EndComments
-save
-%%BeginProlog
-/DotDict 200 dict def
-DotDict begin
-
-/setupLatin1 {
-mark
-/EncodingVector 256 array def
- EncodingVector 0
-
-ISOLatin1Encoding 0 255 getinterval putinterval
-EncodingVector 45 /hyphen put
-
-% Set up ISO Latin 1 character encoding
-/starnetISO {
-        dup dup findfont dup length dict begin
-        { 1 index /FID ne { def }{ pop pop } ifelse
-        } forall
-        /Encoding EncodingVector def
-        currentdict end definefont
-} def
-/Times-Roman starnetISO def
-/Times-Italic starnetISO def
-/Times-Bold starnetISO def
-/Times-BoldItalic starnetISO def
-/Helvetica starnetISO def
-/Helvetica-Oblique starnetISO def
-/Helvetica-Bold starnetISO def
-/Helvetica-BoldOblique starnetISO def
-/Courier starnetISO def
-/Courier-Oblique starnetISO def
-/Courier-Bold starnetISO def
-/Courier-BoldOblique starnetISO def
-cleartomark
-} bind def
-
-%%BeginResource: procset graphviz 0 0
-/coord-font-family /Times-Roman def
-/default-font-family /Times-Roman def
-/coordfont coord-font-family findfont 8 scalefont def
-
-/InvScaleFactor 1.0 def
-/set_scale {
-       dup 1 exch div /InvScaleFactor exch def
-       scale
-} bind def
-
-% styles
-/solid { [] 0 setdash } bind def
-/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
-/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
-/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
-/bold { 2 setlinewidth } bind def
-/filled { } bind def
-/unfilled { } bind def
-/rounded { } bind def
-/diagonals { } bind def
-
-% hooks for setting color 
-/nodecolor { sethsbcolor } bind def
-/edgecolor { sethsbcolor } bind def
-/graphcolor { sethsbcolor } bind def
-/nopcolor {pop pop pop} bind def
-
-/beginpage {	% i j npages
-	/npages exch def
-	/j exch def
-	/i exch def
-	/str 10 string def
-	npages 1 gt {
-		gsave
-			coordfont setfont
-			0 0 moveto
-			(\() show i str cvs show (,) show j str cvs show (\)) show
-		grestore
-	} if
-} bind def
-
-/set_font {
-	findfont exch
-	scalefont setfont
-} def
-
-% draw text fitted to its expected width
-/alignedtext {			% width text
-	/text exch def
-	/width exch def
-	gsave
-		width 0 gt {
-			[] 0 setdash
-			text stringwidth pop width exch sub text length div 0 text ashow
-		} if
-	grestore
-} def
-
-/boxprim {				% xcorner ycorner xsize ysize
-		4 2 roll
-		moveto
-		2 copy
-		exch 0 rlineto
-		0 exch rlineto
-		pop neg 0 rlineto
-		closepath
-} bind def
-
-/ellipse_path {
-	/ry exch def
-	/rx exch def
-	/y exch def
-	/x exch def
-	matrix currentmatrix
-	newpath
-	x y translate
-	rx ry scale
-	0 0 1 0 360 arc
-	setmatrix
-} bind def
-
-/endpage { showpage } bind def
-/showpage { } def
-
-/layercolorseq
-	[	% layer color sequence - darkest to lightest
-		[0 0 0]
-		[.2 .8 .8]
-		[.4 .8 .8]
-		[.6 .8 .8]
-		[.8 .8 .8]
-	]
-def
-
-/layerlen layercolorseq length def
-
-/setlayer {/maxlayer exch def /curlayer exch def
-	layercolorseq curlayer 1 sub layerlen mod get
-	aload pop sethsbcolor
-	/nodecolor {nopcolor} def
-	/edgecolor {nopcolor} def
-	/graphcolor {nopcolor} def
-} bind def
-
-/onlayer { curlayer ne {invis} if } def
-
-/onlayers {
-	/myupper exch def
-	/mylower exch def
-	curlayer mylower lt
-	curlayer myupper gt
-	or
-	{invis} if
-} def
-
-/curlayer 0 def
-
-%%EndResource
-%%EndProlog
-%%BeginSetup
-14 default-font-family set_font
-1 setmiterlimit
-% /arrowlength 10 def
-% /arrowwidth 5 def
-
-% make sure pdfmark is harmless for PS-interpreters other than Distiller
-/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
-% make '<<' and '>>' safe on PS Level 1 devices
-/languagelevel where {pop languagelevel}{1} ifelse
-2 lt {
-    userdict (<<) cvn ([) cvn load put
-    userdict (>>) cvn ([) cvn load put
-} if
-
-%%EndSetup
-setupLatin1
-%%Page: 1 1
-%%PageBoundingBox: 36 36 124 152
-%%PageOrientation: Portrait
-0 0 1 beginpage
-gsave
-36 36 88 116 boxprim clip newpath
-1 1 set_scale 0 rotate 40 40 translate
-0.167 0.600 1.000 graphcolor
-newpath -4 -4 moveto
--4 716 lineto
-536 716 lineto
-536 -4 lineto
-closepath fill
-1 setlinewidth
-0.167 0.600 1.000 graphcolor
-newpath -4 -4 moveto
--4 716 lineto
-536 716 lineto
-536 -4 lineto
-closepath stroke
-% EFUPXS
-gsave
-[ /Rect [ 6 72 74 108 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI (bookvol10.4.pdf#nameddest=EFUPXS) >>
-  /Subtype /Link
-/ANN pdfmark
-0.939 0.733 1.000 nodecolor
-newpath 74 108 moveto
-6 108 lineto
-6 72 lineto
-74 72 lineto
-closepath fill
-1 setlinewidth
-filled
-0.939 0.733 1.000 nodecolor
-newpath 74 108 moveto
-6 108 lineto
-6 72 lineto
-74 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14.00 /Times-Roman set_font
-14 85.9 moveto 52 (EFUPXS) alignedtext
-grestore
-% UPXSCCA
-gsave
-[ /Rect [ 0 0 80 36 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=UPXSCCA) >>
-  /Subtype /Link
-/ANN pdfmark
-0.606 0.733 1.000 nodecolor
-newpath 80 36 moveto
-3.02917e-14 36 lineto
-9.23914e-15 1.06581e-14 lineto
-80 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.606 0.733 1.000 nodecolor
-newpath 80 36 moveto
-3.02917e-14 36 lineto
-9.23914e-15 1.06581e-14 lineto
-80 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-14.00 /Times-Roman set_font
-7.5 13.9 moveto 65 (UPXSCCA) alignedtext
-grestore
-% EFUPXS->UPXSCCA
-gsave
-1 setlinewidth
-0.000 0.000 0.000 edgecolor
-newpath 40 72 moveto
-40 64 40 55 40 46 curveto
-stroke
-0.000 0.000 0.000 edgecolor
-newpath 43.5001 46 moveto
-40 36 lineto
-36.5001 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.000 0.000 0.000 edgecolor
-newpath 43.5001 46 moveto
-40 36 lineto
-36.5001 46 lineto
-closepath stroke
-grestore
-endpage
-showpage
-grestore
-%%PageTrailer
-%%EndPage: 1
-%%Trailer
-%%Pages: 1
-%%BoundingBox: 36 36 124 152
-end
-restore
-%%EOF
diff --git a/buglist b/buglist
index b7da48e..e875999 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7237: 
+bug 7241: 
 todo 330:
 wish 1011:
 meh 5:
@@ -11,6 +11,2713 @@ typos 40363:
 dup 50006:
 nonextend 60077:
 
+=========================================================================
+bug 7240: 
+
+in richtrig800-899 there is an occasional failure
+
+--S 349 of 526
+a0864:= integrate(t0864,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . failed) cannot be coerced to mode (SparseUnivariatePolynomial (Integer))
+--R
+--R   Continuing to read the file...
+--R
+--E 349
+
+=========================================================================
+bug 7238: 
+
+int/input/en.regress
+
+MISMATCH
+expected:"     ,"
+     got:"     4503599627370496 4503599627370496 576460752303423488   576460752303423488"
+MISMATCH
+expected:"        1152921504606846976"
+     got:"    [----------------,----------------,------------------,- ------------------],"
+MISMATCH
+expected:"      - -------------------]"
+     got:"     8872091265919877  29811577733379   3815869687822149        12262050363"
+MISMATCH
+expected:"            24524100725"
+     got:"     ,"
+MISMATCH
+expected:"      4503599627370496  1152921504606846976  576460752303423488"
+     got:"      1152921504606846976"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"      -------------------]"
+MISMATCH
+expected:"      8872091265919877    7631763899745023    3815869687822149"
+     got:"          24724049267"
+MISMATCH
+expected:""
+     got:"      1125899906842624  1152921504606846976  144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"     [----------------, -------------------, ------------------,"
+MISMATCH
+expected:"      1152921504606846976"
+     got:"      2206763817411543    7712237820766581     964032818101981"
+MISMATCH
+expected:"      -------------------]"
+     got:""
+MISMATCH
+expected:"          24724049267"
+     got:"     4503599627370496 72057594037927936 576460752303423488 576460752303423488"
+MISMATCH
+expected:"      1125899906842624  1152921504606846976  144115188075855872"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"     8782019273372467  487102129936989   3896818706968169      1667472257"
+MISMATCH
+expected:"      2206763817411543    7712237820766581     964032818101981"
+     got:"     ,"
+MISMATCH
+expected:""
+     got:"      1152921504606846976"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 576460752303423488 576460752303423488"
+     got:"      -------------------]"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"          35633760657"
+MISMATCH
+expected:"     8782019273372467  487102129936989   3896818706968169      1667472257"
+     got:"      2251799813685248  1152921504606846976  576460752303423488"
+MISMATCH
+expected:"     ,"
+     got:"     [----------------, -------------------, ------------------,"
+MISMATCH
+expected:"      1152921504606846976"
+     got:"      4368491638549381    7875837382270293    3937936508015475"
+MISMATCH
+expected:"      -------------------]"
+     got:""
+MISMATCH
+expected:"          35633760657"
+     got:"     4503599627370496 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"      2251799813685248  1152921504606846976  576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"     8691947280825057  3979481511376223   1989744620054455      7728732687"
+MISMATCH
+expected:"      4368491638549381    7875837382270293    3937936508015475"
+     got:"     ,"
+MISMATCH
+expected:""
+     got:"      562949953421312 576460752303423488 72057594037927936   576460752303423488"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 288230376151711744 576460752303423488"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     1080863910568919  4021505500219143   502685189545857        23983852287"
+MISMATCH
+expected:"     8691947280825057  3979481511376223   1989744620054455      7728732687"
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"        288230376151711744"
+MISMATCH
+expected:"        1152921504606846976"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      - -------------------]"
+     got:"            7506301663"
+MISMATCH
+expected:"            47967704573"
+     got:"      4503599627370496  576460752303423488  576460752303423488"
+MISMATCH
+expected:"       562949953421312  1152921504606846976  72057594037927936"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     [----------------, -------------------, -----------------,"
+     got:"      8601875288277647   4063933011588675    4063917998985349"
+MISMATCH
+expected:"      1080863910568919    8043011000438285    502685189545857"
+     got:""
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"        1152921504606846976"
+MISMATCH
+expected:"        1152921504606846976"
+     got:"      - -------------------]"
+MISMATCH
+expected:"      - -------------------]"
+     got:"            36583596153"
+MISMATCH
+expected:"            30025206651"
+     got:"      2251799813685248  1152921504606846976  576460752303423488"
+MISMATCH
+expected:"      4503599627370496  1152921504606846976  576460752303423488"
+     got:"     [----------------, -------------------, ------------------,"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"      4278419646001971    8213643383120099    4106803399761973"
+MISMATCH
+expected:"      8601875288277647    8127866023177349    4063917998985349"
+     got:""
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"      288230376151711744"
+MISMATCH
+expected:"        1152921504606846976"
+     got:"      ------------------]"
+MISMATCH
+expected:"      - -------------------]"
+     got:"          14293283665"
+MISMATCH
+expected:"            36583596153"
+     got:"      4503599627370496  1152921504606846976  1152921504606846976"
+MISMATCH
+expected:"      2251799813685248  1152921504606846976  576460752303423488"
+     got:"     [----------------, -------------------, -------------------,"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"      8511803295730237    8300227788116073     8300284961250733"
+MISMATCH
+expected:"      4278419646001971    8213643383120099    4106803399761973"
+     got:""
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"      1152921504606846976"
+MISMATCH
+expected:"      288230376151711744"
+     got:"      -------------------]"
+MISMATCH
+expected:"      ------------------]"
+     got:"          30285874609"
+MISMATCH
+expected:"          14293283665"
+     got:"      1125899906842624  576460752303423488  1152921504606846976"
+MISMATCH
+expected:"      4503599627370496  1152921504606846976  1152921504606846976"
+     got:"     [----------------, ------------------, -------------------,"
+MISMATCH
+expected:"     [----------------, -------------------, -------------------,"
+     got:"      2116691824864133   4193924911233097     8387880108340803"
+MISMATCH
+expected:"      8511803295730237    8300227788116073     8300284961250733"
+     got:""
+MISMATCH
+expected:""
+     got:"     1125899906842624 36028797018963968 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      576460752303423488"
+     got:"     2105432825795707  264887318563125   4238200984199097      3887189097"
+MISMATCH
+expected:"      ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"          15142937305"
+     got:"        1152921504606846976"
+MISMATCH
+expected:"      1125899906842624  1152921504606846976  1152921504606846976"
+     got:"      - -------------------]"
+MISMATCH
+expected:"     [----------------, -------------------, -------------------,"
+     got:"             530242809"
+MISMATCH
+expected:"      2116691824864133    8387849822466193     8387880108340803"
+     got:"      2251799813685248  576460752303423488  1152921504606846976"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, -------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      4188347653454561   4282930451388745     8565860372534681"
+MISMATCH
+expected:"      1152921504606846976"
+     got:""
+MISMATCH
+expected:"      -------------------]"
+     got:"     ,"
+MISMATCH
+expected:"           7774378197"
+     got:"      1152921504606846976"
+MISMATCH
+expected:"      4503599627370496  1152921504606846976  288230376151711744"
+     got:"      -------------------]"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"          15307736217"
+MISMATCH
+expected:"      8421731303182827    8476394194019999    2119100492099549"
+     got:"      2251799813685248  288230376151711744  1152921504606846976"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, -------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      4165829655317709   2164062487184667     8656265256474885"
+MISMATCH
+expected:"        1152921504606846976"
+     got:""
+MISMATCH
+expected:"      - -------------------]"
+     got:"     ,"
+MISMATCH
+expected:"             530242809"
+     got:"        1152921504606846976"
+MISMATCH
+expected:"      2251799813685248  576460752303423488  1152921504606846976"
+     got:"      - -------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, -------------------,"
+     got:"            49962380685"
+MISMATCH
+expected:"      4188347653454561   4282930451388745     8565860372534681"
+     got:"      281474976710656  576460752303423488  1152921504606846976"
+MISMATCH
+expected:""
+     got:"     [---------------, ------------------, -------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      517913957147607   4373838312026995     8747626661673305"
+MISMATCH
+expected:"      1152921504606846976"
+     got:""
+MISMATCH
+expected:"      -------------------]"
+     got:"      562949953421312 576460752303423488 576460752303423488 288230376151711744"
+MISMATCH
+expected:"          15307736219"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      4503599627370496  1152921504606846976  576460752303423488"
+     got:"     1030198414761001  4419955172211269   4419977368221619      11098005175"
+MISMATCH
+expected:"     [----------------, -------------------, ------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      8331659310635417    8656249948738667    4328132628237443"
+     got:"        576460752303423488"
+MISMATCH
+expected:""
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            18624598907"
+MISMATCH
+expected:"        1152921504606846976"
+     got:"      2251799813685248  1152921504606846976  1152921504606846976"
+MISMATCH
+expected:"      - -------------------]"
+     got:"     [----------------, -------------------, -------------------,"
+MISMATCH
+expected:"            49962380685"
+     got:"      4098275660907151    8933296986295693     8933259737097879"
+MISMATCH
+expected:"      281474976710656  576460752303423488  1152921504606846976"
+     got:""
+MISMATCH
+expected:"     [---------------, ------------------, -------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      517913957147607   4373838312026995     8747626661673305"
+     got:"     2251799813685248 288230376151711744 72057594037927936   288230376151711744"
+MISMATCH
+expected:""
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488 36028797018963968"
+     got:"     4075757662770299  2256901491343133   564222001818973        13484067241"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     1125899906842624 576460752303423488 576460752303423488 18014398509481984"
+MISMATCH
+expected:"     8241587318088007  4419955172211269   4419977368221621      1387250647"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"     ,"
+     got:"     2026619832316723  4561418640826529   4561421044122753       75103007"
+MISMATCH
+expected:"        576460752303423488"
+     got:"     1125899906842624 576460752303423488 576460752303423488 36028797018963968"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"            18624598907"
+     got:"     2015360833248297  4609553113643865   4609570250902921      1071078691"
+MISMATCH
+expected:"      2251799813685248  1152921504606846976  1152921504606846976"
+     got:"     2251799813685248 288230376151711744 144115188075855872 288230376151711744"
+MISMATCH
+expected:"     [----------------, -------------------, -------------------,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      4098275660907151    8933296986295693     8933259737097879"
+     got:"     4008203668359741  2329103200569137   1164557246219315      11291869493"
+MISMATCH
+expected:""
+     got:"     2251799813685248 144115188075855872 144115188075855872 72057594037927936"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744   36028797018963968"
+     got:"     3985685670222889  1176844625827439   1176850663244097      3018708329"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"     562949953421312 576460752303423488 576460752303423488 288230376151711744"
+MISMATCH
+expected:"     8151515325540597  2256901491343133   2256888007275893        1685508405"
+     got:"    [---------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     1125899906842624 576460752303423488 576460752303423488 18014398509481984"
+     got:"     990791918021509  4757069420158311   4757096719684817      13649763253"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     4 288230376151711744 576460752303423488   576460752303423488"
+MISMATCH
+expected:"     2026619832316723  4561418640826529   4561421044122753       75103007"
+     got:"    [-,------------------,------------------,- ------------------],"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 288230376151711744 576460752303423488"
+     got:"     7  2403668398879585   4807316707655685        20090103485"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     4503599627370496 576460752303423488 576460752303423488 9007199254740992"
+MISMATCH
+expected:"     8061443332993187  4609553113643865   2304785125451461      17137259057"
+     got:"    [----------------,------------------,------------------,----------------],"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 144115188075855872 288230376151711744"
+     got:"     7836263351624663  4858065343961871   4858068198332111      44599535"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     ,"
+MISMATCH
+expected:"     4008203668359741  2329103200569137   1164557246219315      11291869493"
+     got:"        576460752303423488"
+MISMATCH
+expected:"     4503599627370496 144115188075855872 288230376151711744 288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"            13518341683"
+MISMATCH
+expected:"     7971371340445777  1176844625827439   2353701326488195      12074833317"
+     got:"      2251799813685248  144115188075855872  576460752303423488"
+MISMATCH
+expected:"     562949953421312 576460752303423488 576460752303423488 288230376151711744"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"    [---------------,------------------,------------------,------------------],"
+     got:"      3895613677675479   1227342587729219    4909356832575193"
+MISMATCH
+expected:"     990791918021509  4757069420158311   4757096719684817      13649763253"
+     got:""
+MISMATCH
+expected:"     4 576460752303423488 576460752303423488   144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"    [-,------------------,------------------,- ------------------],"
+     got:"        144115188075855872"
+MISMATCH
+expected:"     7  4807336797759169   4807316707655685        5022525871"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488 9007199254740992"
+     got:"            1465312553"
+MISMATCH
+expected:"    [----------------,------------------,------------------,----------------],"
+     got:"      4503599627370496  288230376151711744  288230376151711744"
+MISMATCH
+expected:"     7836263351624663  4858065343961871   4858068198332111      44599535"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      7746191359077253   2480597086274477    2480594155649371"
+MISMATCH
+expected:"        288230376151711744"
+     got:""
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            6759170841"
+     got:"        288230376151711744"
+MISMATCH
+expected:"      2251799813685248  576460752303423488  576460752303423488"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"            13029411249"
+MISMATCH
+expected:"      3895613677675479   4909370350916875    4909356832575193"
+     got:"      1125899906842624  288230376151711744  144115188075855872"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      1925288840700887   2506797227466667    1253392099027709"
+MISMATCH
+expected:"        576460752303423488"
+     got:""
+MISMATCH
+expected:"      - ------------------]"
+     got:"     4503599627370496 576460752303423488 281474976710656   576460752303423488"
+MISMATCH
+expected:"            5861250211"
+     got:"    [----------------,------------------,---------------,- ------------------],"
+MISMATCH
+expected:"      4503599627370496  576460752303423488  288230376151711744"
+     got:"     7656119366529843  5066513551994789   2473878374005        10642032549"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      7746191359077253   4961194172548953    2480594155649371"
+     got:"        576460752303423488"
+MISMATCH
+expected:""
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            11372006759"
+MISMATCH
+expected:"        288230376151711744"
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"            13029411249"
+     got:"      3805541685128069   2560004554904273    5119997737801787"
+MISMATCH
+expected:"      1125899906842624  288230376151711744  144115188075855872"
+     got:""
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      1925288840700887   2506797227466667    1253392099027709"
+     got:"     4503599627370496 36028797018963968 576460752303423488   576460752303423488"
+MISMATCH
+expected:""
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 281474976710656   576460752303423488"
+     got:"     7566047373982433  323380070523413   5174058827238795        22301135813"
+MISMATCH
+expected:"    [----------------,------------------,---------------,- ------------------],"
+     got:"     562949953421312 288230376151711744 288230376151711744 36028797018963968"
+MISMATCH
+expected:"     7656119366529843  5066513551994789   2473878374005        10642032549"
+     got:"    [---------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"     ,"
+     got:"     940126422213591  2614335980808871   2614346094606287      1264224677"
+MISMATCH
+expected:"        576460752303423488"
+     got:"     4503599627370496 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"            11372006759"
+     got:"     7475975381435023  2641948450844205   2641951949334563      1749245179"
+MISMATCH
+expected:"      2251799813685248  288230376151711744  576460752303423488"
+     got:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      3805541685128069   2560004554904273    5119997737801787"
+     got:"     3715469692580659  5339698302511381   2669850047622553      1792733725"
+MISMATCH
+expected:""
+     got:"     4503599627370496 4503599627370496 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,----------------,------------------,------------------],"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     7385903388887613  42156845031927   2698043491979555      5409936227"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            5575283953"
+     got:"     1125899906842624 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"      4503599627370496  576460752303423488  576460752303423488"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     1835216848153477  681636016561183   1363267708977597        4324144769"
+MISMATCH
+expected:"      7566047373982433   5174081128374607    5174058827238795"
+     got:"     ,"
+MISMATCH
+expected:""
+     got:"     1125899906842624 18014398509481984 576460752303423488   576460752303423488"
+MISMATCH
+expected:"     562949953421312 288230376151711744 288230376151711744 36028797018963968"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"    [---------------,------------------,------------------,-----------------],"
+     got:"     1823957849085051  172208642551393   5510657988985051        18572659525"
+MISMATCH
+expected:"     940126422213591  2614335980808871   2614346094606287      1264224677"
+     got:"     2251799813685248 72057594037927936 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744 144115188075855872"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     3625397700033249  696105181443999   2784427424284931      6698508935"
+MISMATCH
+expected:"     7475975381435023  2641948450844205   2641951949334563      1749245179"
+     got:"     2251799813685248 576460752303423488 576460752303423488 288230376151711744"
+MISMATCH
+expected:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     3602879701896397  5627640448286941   5627667888273659      13719993359"
+MISMATCH
+expected:"     3715469692580659  5339698302511381   2669850047622553      1792733725"
+     got:"     ,"
+MISMATCH
+expected:"     4503599627370496 4503599627370496 288230376151711744 288230376151711744"
+     got:"     281474976710656 288230376151711744 576460752303423488   576460752303423488"
+MISMATCH
+expected:"    [----------------,----------------,------------------,------------------],"
+     got:"    [---------------,------------------,------------------,- ------------------]"
+MISMATCH
+expected:"     7385903388887613  42156845031927   2698043491979555      5409936227"
+     got:"     447545212969943  2843565598962327   5687103650656567        27547268087"
+MISMATCH
+expected:"     ,"
+     got:"     562949953421312 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"     1125899906842624 72057594037927936 144115188075855872   144115188075855872"
+     got:"    [---------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     889460926405673  5747140762239441   2873584373983491      27985727541"
+MISMATCH
+expected:"     1835216848153477  681636016561183   1363267708977597        4324144769"
+     got:"     2251799813685248 18014398509481984 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     4503599627370496 18014398509481984 576460752303423488   576460752303423488"
+     got:"     3535325707485839  181495064983031   2903934931443255      13891714759"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"     7295831396340203  172208642551393   5510657988985053        18572659523"
+     got:"        576460752303423488"
+MISMATCH
+expected:"     2251799813685248 72057594037927936 288230376151711744 288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"            21400294443"
+MISMATCH
+expected:"     3625397700033249  696105181443999   2784427424284931      6698508935"
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 144115188075855872 576460752303423488"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"      3512807709348987   2934617574788653    5869213749282863"
+MISMATCH
+expected:"     7205759403792793  5627640448286941   1406916972068415      27439986719"
+     got:""
+MISMATCH
+expected:"     ,"
+     got:"     1125899906842624 144115188075855872 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     281474976710656 288230376151711744 576460752303423488   576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [---------------,------------------,------------------,- ------------------]"
+     got:"     1745144855606067  1482801170112481   5931207232970871      2552520947"
+MISMATCH
+expected:"     447545212969943  2843565598962327   5687103650656567        27547268087"
+     got:"     ,"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488 288230376151711744"
+     got:"        576460752303423488"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     7115687411245383  5747140762239441   5747168747966983      13992863771"
+     got:"            8751743685"
+MISMATCH
+expected:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+     got:"      1125899906842624  288230376151711744  576460752303423488"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     3535325707485839  5807842079456991   2903934931443255      27783429519"
+     got:"      1733885856537641   2996932982112653    5993857212481621"
+MISMATCH
+expected:"     ,"
+     got:""
+MISMATCH
+expected:"        576460752303423488"
+     got:"     2251799813685248 288230376151711744 144115188075855872 288230376151711744"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"            21400294441"
+     got:"     3445253714938429  3028580677414111   1514292664959975      4652505839"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  576460752303423488"
+     got:"     2251799813685248 288230376151711744 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      7025615418697973   2934617574788653    5869213749282865"
+     got:"     3422735716801577  3060574249166951   6121154621349935      6123016033"
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     1125899906842624 144115188075855872 576460752303423488 576460752303423488"
+     got:"     562949953421312 288230376151711744 576460752303423488   576460752303423488"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [---------------,------------------,------------------,- ------------------]"
+MISMATCH
+expected:"     1745144855606067  1482801170112481   5931207232970871      2552520947"
+     got:"     850054429666181  3092913697371173   6185816218389607        11176352739"
+MISMATCH
+expected:"     ,"
+     got:"     2 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"        144115188075855872"
+     got:"    [-,------------------,------------------,------------------],"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     3  1562785099494581   3125581324106579      11125117417"
+MISMATCH
+expected:"            2187935921"
+     got:"     4503599627370496 72057594037927936 72057594037927936   36028797018963968"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  288230376151711744"
+     got:"    [----------------,-----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     6710363444782039  789650350024037   789650148095319        100964359"
+MISMATCH
+expected:"      6935543426150563   2996932982112653    2996928606240811"
+     got:"     ,"
+MISMATCH
+expected:""
+     got:"        144115188075855872"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 144115188075855872 288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"            4443955381"
+MISMATCH
+expected:"     3445253714938429  3028580677414111   1514292664959975      4652505839"
+     got:"      2251799813685248  576460752303423488  576460752303423488"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 576460752303423488 576460752303423488"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"      3332663724254167   6383956955309033    6383939179487509"
+MISMATCH
+expected:"     6845471433603153  3060574249166951   6121154621349937      6123016035"
+     got:""
+MISMATCH
+expected:"     562949953421312 288230376151711744 576460752303423488   576460752303423488"
+     got:"     4503599627370496 288230376151711744 18014398509481984   288230376151711744"
+MISMATCH
+expected:"    [---------------,------------------,------------------,- ------------------]"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     850054429666181  3092913697371173   6185816218389607        11176352739"
+     got:"     6620291452234629  3225701431664267   201605751942949        9400577083"
+MISMATCH
+expected:"     2 144115188075855872 288230376151711744 288230376151711744"
+     got:"     1125899906842624 288230376151711744 576460752303423488 576460752303423488"
+MISMATCH
+expected:"    [-,------------------,------------------,------------------],"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     3  1562785099494581   3125581324106579      11125117417"
+     got:"     1643813863990231  3259770262125399   6519543341783843      2817533045"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 72057594037927936   36028797018963968"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,- -----------------],"
+     got:"     4503599627370496 576460752303423488 36028797018963968   576460752303423488"
+MISMATCH
+expected:"     6710363444782039  789650350024037   789650148095319        100964359"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"     6530219459687219  6588427584151057   411776537956111        2976853281"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"        576460752303423488"
+MISMATCH
+expected:"            4443955381"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      2251799813685248  576460752303423488  576460752303423488"
+     got:"            28514454329"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"      3332663724254167   6383956955309033    6383939179487509"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:""
+     got:"      3242591731706757   3329032021514655    6658035528574981"
+MISMATCH
+expected:"     ,"
+     got:""
+MISMATCH
+expected:"     4503599627370496 576460752303423488 18014398509481984   576460752303423488"
+     got:"     4503599627370496 72057594037927936 36028797018963968   72057594037927936"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"    [----------------,-----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"     6620291452234629  6451402863328533   201605751942949        18801154165"
+     got:"     6440147467139809  841049031851291   420523991076017        1049699257"
+MISMATCH
+expected:"     1125899906842624 288230376151711744 576460752303423488 576460752303423488"
+     got:"     562949953421312 144115188075855872 36028797018963968 144115188075855872"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [---------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"     1643813863990231  3259770262125399   6519543341783843      2817533045"
+     got:"     799388933858263  1699867466392335   424967339214925      1890467365"
+MISMATCH
+expected:"     ,"
+     got:"     4503599627370496 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 36028797018963968   576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     6350075474592399  6871296875306347   3435662078479879      27281653411"
+MISMATCH
+expected:"     6530219459687219  6588427584151057   411776537956111        2976853281"
+     got:"     2251799813685248 288230376151711744 288230376151711744 72057594037927936"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"        576460752303423488"
+     got:"     3152519739159347  3471965465048289   3471966023944797      139724127"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            28514454329"
+     got:"        288230376151711744"
+MISMATCH
+expected:"      2251799813685248  288230376151711744  576460752303423488"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"            2598114999"
+MISMATCH
+expected:"      3242591731706757   3329032021514655    6658035528574981"
+     got:"      4503599627370496  144115188075855872  288230376151711744"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 36028797018963968   72057594037927936"
+     got:"      6260003482044989   1754328595966201    3508654593817403"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,- -----------------],"
+     got:""
+MISMATCH
+expected:"     6440147467139809  841049031851291   420523991076017        1049699257"
+     got:"     1125899906842624 36028797018963968 36028797018963968 9007199254740992"
+MISMATCH
+expected:"     562949953421312 144115188075855872 36028797018963968 144115188075855872"
+     got:"    [----------------,-----------------,-----------------,----------------],"
+MISMATCH
+expected:"    [---------------,------------------,-----------------,------------------],"
+     got:"     1553741871442821  443215452288189   443216484363153      258018741"
+MISMATCH
+expected:"     799388933858263  1699867466392335   424967339214925      1890467365"
+     got:"     1125899906842624 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 288230376151711744 576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     1542482872374395  3583193567205235   3583201997581209      4215187987"
+MISMATCH
+expected:"     6350075474592399  6871296875306347   3435662078479879      27281653411"
+     got:"     2251799813685248 144115188075855872 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 288230376151711744 72057594037927936"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     3062447746611937  1810533519315785   7242138272499685      4195236545"
+MISMATCH
+expected:"     3152519739159347  3471965465048289   3471966023944797      139724127"
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"        576460752303423488"
+MISMATCH
+expected:"        288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      - ------------------]"
+     got:"            13045532553"
+MISMATCH
+expected:"            2598114999"
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"      4503599627370496  144115188075855872  288230376151711744"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"      3039929748475085   3659344032584517    7318675019636481"
+MISMATCH
+expected:"      6260003482044989   1754328595966201    3508654593817403"
+     got:""
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     1125899906842624 36028797018963968 36028797018963968 9007199254740992"
+     got:"     281474976710656 288230376151711744 576460752303423488   576460752303423488"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,----------------],"
+     got:"    [---------------,------------------,------------------,- ------------------]"
+MISMATCH
+expected:"     1553741871442821  443215452288189   443216484363153      258018741"
+     got:"     377176468792279  3698024549064077   7396022764344687        26333783467"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 144115188075855872 576460752303423488"
+     got:"     562949953421312 288230376151711744 288230376151711744   9007199254740992"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [---------------,------------------,------------------,- ----------------],"
+MISMATCH
+expected:"     6169931489497579  7166387134410469   1791600998790605      16860751951"
+     got:"     748723438050345  3737108588070249   3737095062658185        422669127"
+MISMATCH
+expected:"     2251799813685248 576460752303423488 576460752303423488 288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"        576460752303423488"
+MISMATCH
+expected:"     3062447746611937  7242134077263139   7242138272499685      2097618273"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            6486069327"
+MISMATCH
+expected:"        576460752303423488"
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"            13045532551"
+     got:"      2972375754064527   3776596149603033    7553185813136739"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  576460752303423488"
+     got:""
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      6079859496950169   3659344032584517    7318675019636483"
+     got:"        288230376151711744"
+MISMATCH
+expected:""
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            6741066301"
+MISMATCH
+expected:"     281474976710656 576460752303423488 576460752303423488   288230376151711744"
+     got:"      2251799813685248  576460752303423488  576460752303423488"
+MISMATCH
+expected:"    [---------------,------------------,------------------,- ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     377176468792279  7396049098128153   7396022764344687        13166891733"
+     got:"      2949857755927675   7633032113400091    7633018631267489"
+MISMATCH
+expected:"     ,"
+     got:""
+MISMATCH
+expected:"        576460752303423488"
+     got:"     1125899906842624 144115188075855872 576460752303423488 576460752303423488"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"            27050824125"
+     got:"     1463669878895411  1928419743161835   7713697477040771      18504393431"
+MISMATCH
+expected:"      4503599627370496  576460752303423488  144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     1125899906842624 288230376151711744 288230376151711744   72057594037927936"
+MISMATCH
+expected:"      5989787504402759   7474217176140497    1868547531329093"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:""
+     got:"     1452410879826985  3897624084549137   3897615671331893        2103304311"
+MISMATCH
+expected:"     ,"
+     got:"     2251799813685248 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"        576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     2882303761517117  3938812205301217   3938814658117119      1226407951"
+MISMATCH
+expected:"            6486069327"
+     got:"     ,"
+MISMATCH
+expected:"      2251799813685248  288230376151711744  576460752303423488"
+     got:"        576460752303423488"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      2972375754064527   3776596149603033    7553185813136739"
+     got:"            22406543649"
+MISMATCH
+expected:""
+     got:"      2251799813685248  288230376151711744  576460752303423488"
+MISMATCH
+expected:"     ,"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488   72057594037927936"
+     got:"      2859785763380265   3980461494655139    7960900582766629"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:""
+MISMATCH
+expected:"     5899715511855349  7633032113400091   7633018631267491        1685266575"
+     got:"     562949953421312 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     1125899906842624 144115188075855872 576460752303423488 576460752303423488"
+     got:"    [---------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     709316941310853  2011257153267837   4022527212614831      12906079157"
+MISMATCH
+expected:"     1463669878895411  1928419743161835   7713697477040771      18504393431"
+     got:"     4 576460752303423488 288230376151711744   576460752303423488"
+MISMATCH
+expected:"     ,"
+     got:"    [-,------------------,------------------,- ------------------],"
+MISMATCH
+expected:"        576460752303423488"
+     got:"     5  8130114220111333   4065050112797359        13994516615"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            16826434487"
+     got:"        576460752303423488"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  576460752303423488"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"            17052384101"
+MISMATCH
+expected:"      5809643519307939   3897624084549137    7795231342663787"
+     got:"      4503599627370496  288230376151711744  576460752303423488"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+     got:"      5584463537939415   4108032259139887    8216047465895673"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:""
+MISMATCH
+expected:"     2882303761517117  7877624410602433   3938814658117119      4905631805"
+     got:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744   18014398509481984"
+     got:"     2769713770832855  8302879507576669   4151452864650025      26221723381"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"     4503599627370496 18014398509481984 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     5719571526760529  3980461494655139   3980450291383315        700204489"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     562949953421312 576460752303423488 288230376151711744 576460752303423488"
+     got:"     5494391545392005  262208577504765   8390684701191725      10221039245"
+MISMATCH
+expected:"    [---------------,------------------,------------------,------------------],"
+     got:"     1125899906842624 576460752303423488 288230376151711744 576460752303423488"
+MISMATCH
+expected:"     709316941310853  8045028613071347   4022527212614831      25812158315"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     4 576460752303423488 288230376151711744   576460752303423488"
+     got:"     1362338887279575  8479391789931977   4239697085132627      2380333277"
+MISMATCH
+expected:"    [-,------------------,------------------,- ------------------],"
+     got:"     4503599627370496 72057594037927936 576460752303423488 576460752303423488"
+MISMATCH
+expected:"     5  8130114220111333   4065050112797359        13994516615"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     ,"
+     got:"     5404319552844595  1071128929614395  8569044029631969      12592716809"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     2251799813685248 288230376151711744 288230376151711744   72057594037927936"
+MISMATCH
+expected:"            4263096025"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:"      4503599627370496  576460752303423488  576460752303423488"
+     got:"     2679641778285445  4329825533588629   4329822138968985        848654911"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     4503599627370496 288230376151711744 576460752303423488 576460752303423488"
+MISMATCH
+expected:"      5584463537939415   8216064518279773    8216047465895673"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:""
+     got:"     5314247560297185  4375596517321521   8751205020494137      11985851095"
+MISMATCH
+expected:"     2251799813685248 576460752303423488 288230376151711744 576460752303423488"
+     got:"     562949953421312 576460752303423488 36028797018963968 576460752303423488"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [---------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"     2769713770832855  8302879507576669   4151452864650025      26221723381"
+     got:"     658651445502935  8843714985387741   552733529401143      21485030547"
+MISMATCH
+expected:"     4503599627370496 18014398509481984 576460752303423488 576460752303423488"
+     got:"     4503599627370496 288230376151711744 288230376151711744   9007199254740992"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"    [----------------,------------------,------------------,- ----------------],"
+MISMATCH
+expected:"     5494391545392005  262208577504765   8390684701191725      10221039245"
+     got:"     5224175567749775  4468637282743293   4468624474894813        400245265"
+MISMATCH
+expected:"     1125899906842624 576460752303423488 288230376151711744 576460752303423488"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"        288230376151711744"
+MISMATCH
+expected:"     1362338887279575  8479391789931977   4239697085132627      2380333277"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488 288230376151711744"
+     got:"            1795986759"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"      2251799813685248  144115188075855872  288230376151711744"
+MISMATCH
+expected:"     5404319552844595  8569031436915159   8569044029631969      6296358405"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      2589569785738035   2257939120697279    4515876445407799"
+MISMATCH
+expected:"        576460752303423488"
+     got:""
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            6789239287"
+     got:"        288230376151711744"
+MISMATCH
+expected:"      2251799813685248  576460752303423488  288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"            8596217249"
+MISMATCH
+expected:"      2679641778285445   8659651067177257    4329822138968985"
+     got:"      4503599627370496  144115188075855872  288230376151711744"
+MISMATCH
+expected:""
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     4503599627370496 576460752303423488 576460752303423488 72057594037927936"
+     got:"      5134103575202365   2281819007361449    4563629418505649"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:""
+MISMATCH
+expected:"     5314247560297185  8751193034643041   8751205020494137      1498231387"
+     got:"     1125899906842624 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     562949953421312 576460752303423488 36028797018963968 576460752303423488"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"    [---------------,------------------,-----------------,------------------],"
+     got:"     1272266894732165  2305943889845347   4611888722195781       942505087"
+MISMATCH
+expected:"     658651445502935  8843714985387741   552733529401143      21485030547"
+     got:"     1125899906842624 72057594037927936 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744   9007199254740992"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- ----------------],"
+     got:"     1261007895663739  1165164089833891  4660659741337943      3382002379"
+MISMATCH
+expected:"     5224175567749775  4468637282743293   4468624474894813        400245265"
+     got:"     2251799813685248 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"        288230376151711744"
+     got:"     2499497793190625  2354971876828753   4709947918253153      4164595647"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     2251799813685248 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"            1795986759"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      2251799813685248  144115188075855872  288230376151711744"
+     got:"     2476979795053773  2379874981328261   4759758753339173      8790682651"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     281474976710656 144115188075855872 72057594037927936   144115188075855872"
+MISMATCH
+expected:"      2589569785738035   2257939120697279    4515876445407799"
+     got:"    [---------------,------------------,-----------------,- ------------------],"
+MISMATCH
+expected:""
+     got:"     306807724614615  2405051904685113   1202524451423159       3001838795"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744   9007199254740992"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- ----------------],"
+     got:"     562949953421312 288230376151711744 144115188075855872   288230376151711744"
+MISMATCH
+expected:"     5134103575202365  4563638014722897   4563629418505649        268631789"
+     got:"    [---------------,------------------,------------------,- ------------------]"
+MISMATCH
+expected:"     1125899906842624 144115188075855872 288230376151711744 288230376151711744"
+     got:"     607985949695017  4860976470761003   2430485346868917        5777023169"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     ,"
+MISMATCH
+expected:"     1272266894732165  2305943889845347   4611888722195781       942505087"
+     got:"     2251799813685248 72057594037927936 288230376151711744   288230376151711744"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 36028797018963968 288230376151711744"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"     2409425800643215  1228099192466617  4912383095862291        13674004177"
+MISMATCH
+expected:"     5044031582654955  4660656359335563   582582467667243      3382002381"
+     got:"     2251799813685248 288230376151711744 288230376151711744 36028797018963968"
+MISMATCH
+expected:"     2251799813685248 144115188075855872 288230376151711744 288230376151711744"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     2386907802506363  4964335883649007   4964340751059159      608426269"
+MISMATCH
+expected:"     2499497793190625  2354971876828753   4709947918253153      4164595647"
+     got:"     ,"
+MISMATCH
+expected:"     4503599627370496 144115188075855872 144115188075855872 72057594037927936"
+     got:"        144115188075855872"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     4953959590107545  2379874981328261   2379879376669587      2197670663"
+     got:"             999303649"
+MISMATCH
+expected:"     281474976710656 144115188075855872 72057594037927936   144115188075855872"
+     got:"      1125899906842624  288230376151711744  288230376151711744"
+MISMATCH
+expected:"    [---------------,------------------,-----------------,- ------------------],"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     306807724614615  2405051904685113   1202524451423159       3001838795"
+     got:"      1182194902184755   5016851458183849    5016849459576551"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744   4503599627370496"
+     got:""
+MISMATCH
+expected:"    [----------------,------------------,------------------,- ----------------],"
+     got:"     1125899906842624 288230376151711744 72057594037927936 288230376151711744"
+MISMATCH
+expected:"     4863887597560135  4860976470761003   4860970693737835        90265987"
+     got:"    [----------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"     ,"
+     got:"     1170935903116329  5069914670433379   1267478770893455      413140441"
+MISMATCH
+expected:"     2251799813685248 72057594037927936 288230376151711744   288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     2251799813685248 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"     2409425800643215  1228099192466617  4912383095862291        13674004177"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 36028797018963968 288230376151711744"
+     got:"     2319353808095805  1280888585858803  2561771773892475        5397825131"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"     ,"
+MISMATCH
+expected:"     4773815605012725  4964335883649007   620542593882395      4867410153"
+     got:"     2251799813685248 144115188075855872 72057594037927936   144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     2296835809958953  2588870827075867   1294435210047259        406981349"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     562949953421312 18014398509481984 288230376151711744 288230376151711744"
+MISMATCH
+expected:"             999303649"
+     got:"    [---------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      1125899906842624  288230376151711744  288230376151711744"
+     got:"     568579452955525  327031589101285   5232513012688027      7587067467"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"       36028797018963968 144115188075855872   144115188075855872"
+MISMATCH
+expected:"      1182194902184755   5016851458183849    5016849459576551"
+     got:"    [1,-----------------,------------------,- ------------------],"
+MISMATCH
+expected:""
+     got:"        660984310109913   2643933090895859        4149543793"
+MISMATCH
+expected:"     4503599627370496 288230376151711744 288230376151711744 144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"        288230376151711744"
+MISMATCH
+expected:"     4683743612465315  5069914670433379   5069915083573821       206570221"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            13467580195"
+MISMATCH
+expected:"     2251799813685248 72057594037927936 144115188075855872   144115188075855872"
+     got:"      4503599627370496  144115188075855872  288230376151711744"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     2319353808095805  1280888585858803  2561771773892475        5397825131"
+     got:"      4458563631096791   2671909998445175    5343806529310155"
+MISMATCH
+expected:"     ,"
+     got:""
+MISMATCH
+expected:"        288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     2251799813685248 144115188075855872 36028797018963968   144115188075855872"
+MISMATCH
+expected:"             813962697"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"      4503599627370496  144115188075855872  288230376151711744"
+     got:"     2206763817411543  2700170986826851   675042537881683         835300119"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     4503599627370496 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"      4593671619917905   2588870827075867    5177740840189037"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:""
+     got:"     4368491638549381  2728734617103485   5457473817539223      4583332253"
+MISMATCH
+expected:"     562949953421312 288230376151711744 288230376151711744 72057594037927936"
+     got:"     1125899906842624 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"    [---------------,------------------,------------------,-----------------],"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     568579452955525  5232505425620559   5232513012688027      1896766867"
+     got:"     1080863910568919  2757600889275079   5515213454707457      11676157299"
+MISMATCH
+expected:"       288230376151711744 144115188075855872   288230376151711744"
+     got:"     4503599627370496 18014398509481984 72057594037927936   72057594037927936"
+MISMATCH
+expected:"    [1,------------------,------------------,- ------------------],"
+     got:"    [----------------,-----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"        5287874480879303   2643933090895859        8299087585"
+     got:"     4278419646001971  348348026857555   1393391416160829       691269391"
+MISMATCH
+expected:"        288230376151711744"
+     got:"     2251799813685248 18014398509481984 288230376151711744   288230376151711744"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"            13467580195"
+     got:"     2116691824864133  352033772792595   5632536966307539        3398373981"
+MISMATCH
+expected:"      4503599627370496  144115188075855872  288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     4503599627370496 144115188075855872 144115188075855872   36028797018963968"
+MISMATCH
+expected:"      4458563631096791   2671909998445175    5343806529310155"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:""
+     got:"     4188347653454561  2846073203234847   2846066974137395        1557274363"
+MISMATCH
+expected:"     ,"
+     got:"     562949953421312 288230376151711744 288230376151711744 72057594037927936"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 36028797018963968   288230376151711744"
+     got:"    [---------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     517913957147607  5752357732047787   5752363269479927      1384358035"
+MISMATCH
+expected:"     2206763817411543  5400341973653701   675042537881683        1670600237"
+     got:"     ,"
+MISMATCH
+expected:"     4503599627370496 144115188075855872 288230376151711744 288230376151711744"
+     got:"     4503599627370496 72057594037927936 288230376151711744   288230376151711744"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     4368491638549381  2728734617103485   5457473817539223      4583332253"
+     got:"     4098275660907151  1453307996872757  5813231659972327         327518701"
+MISMATCH
+expected:"     1125899906842624 144115188075855872 288230376151711744 288230376151711744"
+     got:"     2251799813685248 72057594037927936 288230376151711744 288230376151711744"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     1080863910568919  2757600889275079   5515213454707457      11676157299"
+     got:"     2026619832316723  1468685087440451  5874745921678315      5571916511"
+MISMATCH
+expected:"     4503599627370496 18014398509481984 72057594037927936   72057594037927936"
+     got:"     4503599627370496 1125899906842624 144115188075855872 144115188075855872"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,- -----------------],"
+     got:"    [----------------,----------------,------------------,------------------],"
+MISMATCH
+expected:"     4278419646001971  348348026857555   1393391416160829       691269391"
+     got:"     4008203668359741  23191061101163   2968456464585907       643637043"
+MISMATCH
+expected:"     2251799813685248 18014398509481984 288230376151711744   288230376151711744"
+     got:"        288230376151711744"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     2116691824864133  352033772792595   5632536966307539        3398373981"
+     got:"            6233445503"
+MISMATCH
+expected:"     ,"
+     got:"      1125899906842624  288230376151711744  144115188075855872"
+MISMATCH
+expected:"     4503599627370496 144115188075855872 144115188075855872   36028797018963968"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"       990791918021509   5999745863898801    2999869815226649"
+MISMATCH
+expected:"     4188347653454561  2846073203234847   2846066974137395        1557274363"
+     got:""
+MISMATCH
+expected:"     562949953421312 288230376151711744 288230376151711744 72057594037927936"
+     got:"     ,"
+MISMATCH
+expected:"    [---------------,------------------,------------------,-----------------],"
+     got:"        288230376151711744"
+MISMATCH
+expected:"     517913957147607  5752357732047787   5752363269479927      1384358035"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            9968027909"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 288230376151711744   288230376151711744"
+     got:"      9007199254740992  288230376151711744  144115188075855872"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     4098275660907151  1453307996872757  5813231659972327         327518701"
+     got:"      7836263351624663   6063243015765023    3031616523868557"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 288230376151711744 9007199254740992"
+     got:""
+MISMATCH
+expected:"    [----------------,------------------,------------------,----------------],"
+     got:"     ,"
+MISMATCH
+expected:"     2026619832316723  5874740349761803   5874745921678315      174122391"
+     got:"     9007199254740992 144115188075855872 72057594037927936   144115188075855872"
+MISMATCH
+expected:"     4503599627370496 1125899906842624 144115188075855872 144115188075855872"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"    [----------------,----------------,------------------,------------------],"
+     got:"     7746191359077253  3063701548748197   1531850069561829       1409624539"
+MISMATCH
+expected:"     4008203668359741  23191061101163   2968456464585907       643637043"
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"     9007199254740992 144115188075855872 144115188075855872   36028797018963968"
+MISMATCH
+expected:"        288230376151711744"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     7656119366529843  3096127466065265   3096124247511021        804638561"
+MISMATCH
+expected:"            6233445503"
+     got:"     9007199254740992 72057594037927936 36028797018963968   72057594037927936"
+MISMATCH
+expected:"      1125899906842624  288230376151711744  144115188075855872"
+     got:"    [----------------,-----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     7566047373982433  1564449629916857  782223118465821        3392985215"
+MISMATCH
+expected:"       990791918021509   5999745863898801    2999869815226649"
+     got:"     9007199254740992 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:""
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     ,"
+     got:"     7475975381435023  6324005037069477   6324016963475123      5963202823"
+MISMATCH
+expected:"        288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     9007199254740992 18014398509481984 288230376151711744   288230376151711744"
+MISMATCH
+expected:"            9968027909"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"      9007199254740992  288230376151711744  144115188075855872"
+     got:"     7385903388887613  399435059590595   6390951947661551        9005787969"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     ,"
+MISMATCH
+expected:"      7836263351624663   6063243015765023    3031616523868557"
+     got:"        288230376151711744"
+MISMATCH
+expected:""
+     got:"      - ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"            11237933401"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 72057594037927936   144115188075855872"
+     got:"      2251799813685248  144115188075855872  288230376151711744"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     7746191359077253  3063701548748197   1531850069561829       1409624539"
+     got:"      1823957849085051   3229304311366163    6458597384798925"
+MISMATCH
+expected:"     ,"
+     got:""
+MISMATCH
+expected:"        288230376151711744"
+     got:"     4503599627370496 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"            6437108487"
+     got:"     3602879701896397  6526948044917897   6526960839368211      6397225157"
+MISMATCH
+expected:"      9007199254740992  288230376151711744  144115188075855872"
+     got:"     1125899906842624 144115188075855872 288230376151711744 288230376151711744"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"      7656119366529843   6192254932130529    3096124247511021"
+     got:"      889460926405673  3298018433040731   6596049956676065      13090594603"
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     9007199254740992 72057594037927936 36028797018963968   72057594037927936"
+     got:"     4503599627370496 144115188075855872 72057594037927936   144115188075855872"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,- -----------------],"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     7566047373982433  1564449629916857  782223118465821        3392985215"
+     got:"     3512807709348987  3332937543111511   1666468115930471       1311250569"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 288230376151711744 144115188075855872"
+     got:"     2251799813685248 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"     7475975381435023  6324005037069477   6324016963475123      5963202823"
+     got:"     1733885856537641  6736433882304961   6736436170074199      1143884619"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 288230376151711744   4503599627370496"
+     got:"     4503599627370496 144115188075855872 144115188075855872 36028797018963968"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- ----------------],"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"     7385903388887613  6390960953449519   6390951947661551        140715437"
+     got:"     3422735716801577  3403871038682447   3403874484378251      861423951"
+MISMATCH
+expected:"     ,"
+     got:"     4 144115188075855872 288230376151711744   288230376151711744"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872   36028797018963968"
+     got:"    [-,------------------,------------------,- ------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"     3  3439914247220219   6879818837142637        9657297801"
+MISMATCH
+expected:"     7295831396340203  3229304311366163   3229298692399463        1404741675"
+     got:"     ,"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 72057594037927936 288230376151711744"
+     got:"     4503599627370496 36028797018963968 144115188075855872   144115188075855872"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     7205759403792793  6526948044917897   1631740209842053     12794450315"
+     got:"     3332663724254167  869083038811747   3476326918930911        5236316077"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872 72057594037927936"
+     got:"     2251799813685248 72057594037927936 72057594037927936 9007199254740992"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"    [----------------,-----------------,-----------------,----------------],"
+MISMATCH
+expected:"     7115687411245383  3298018433040731   3298024978338033      3272648651"
+     got:"     1643813863990231  1756562381381377  1756565529928361     393568373"
+MISMATCH
+expected:"     ,"
+     got:"     4503599627370496 36028797018963968 288230376151711744 288230376151711744"
+MISMATCH
+expected:"        288230376151711744"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     3242591731706757  887580223201283   7100651918591697      10132981433"
+MISMATCH
+expected:"            2622501137"
+     got:"     ,"
+MISMATCH
+expected:"      9007199254740992  144115188075855872  288230376151711744"
+     got:"     1125899906842624 144115188075855872 72057594037927936   144115188075855872"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"      7025615418697973   3332937543111511    6665872463721885"
+     got:"      799388933858263  3587920545374123   1793957889605051       4766164021"
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 36028797018963968 288230376151711744"
+     got:"        144115188075855872"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     6935543426150563  6736433882304961   842054521259275      2287769239"
+     got:"            4582902569"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 288230376151711744 288230376151711744"
+     got:"      4503599627370496  288230376151711744  288230376151711744"
+MISMATCH
+expected:"    [----------------,------------------,------------------,------------------],"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     6845471433603153  3403871038682447   6807748968756503      6891391609"
+     got:"      3152519739159347   7251818617901837    7251809452096699"
+MISMATCH
+expected:"     4 288230376151711744 288230376151711744   36028797018963968"
+     got:""
+MISMATCH
+expected:"    [-,------------------,------------------,- -----------------],"
+     got:"     ,"
+MISMATCH
+expected:"     3  6879828494440437   6879818837142637        1207162225"
+     got:"        144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"      - ------------------]"
+MISMATCH
+expected:"        288230376151711744"
+     got:"            4543830373"
+MISMATCH
+expected:"      - ------------------]"
+     got:"      2251799813685248  288230376151711744  288230376151711744"
+MISMATCH
+expected:"            10472632153"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  144115188075855872"
+     got:"      1553741871442821   7328603190108653    7328594102447907"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:""
+MISMATCH
+expected:"      3332663724254167   6952664310493975    3476326918930911"
+     got:"     ,"
+MISMATCH
+expected:""
+     got:"        288230376151711744"
+MISMATCH
+expected:"     2251799813685248 288230376151711744 72057594037927936 288230376151711744"
+     got:"      - ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"             704173991"
+MISMATCH
+expected:"     1643813863990231  7026249525525507   1756565529928361     12594187937"
+     got:"      4503599627370496  144115188075855872  288230376151711744"
+MISMATCH
+expected:"     4503599627370496 36028797018963968 288230376151711744 288230376151711744"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"      3062447746611937   3703097403684347    7406194103194703"
+MISMATCH
+expected:"     3242591731706757  887580223201283   7100651918591697      10132981433"
+     got:""
+MISMATCH
+expected:"     ,"
+     got:"     562949953421312 144115188075855872 18014398509481984   144115188075855872"
+MISMATCH
+expected:"     1125899906842624 288230376151711744 72057594037927936   288230376151711744"
+     got:"    [---------------,------------------,-----------------,- ------------------],"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     377176468792279  3742311146359787   467788633745481        2076395939"
+MISMATCH
+expected:"      799388933858263  7175841090748245   1793957889605051       9532328041"
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"        288230376151711744"
+MISMATCH
+expected:"        144115188075855872"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      - ------------------]"
+     got:"            10655067977"
+MISMATCH
+expected:"            4582902569"
+     got:"      4503599627370496  288230376151711744  144115188075855872"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  288230376151711744"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"      2972375754064527   7563885646161295    3781937495546659"
+MISMATCH
+expected:"      3152519739159347   7251818617901837    7251809452096699"
+     got:""
+MISMATCH
+expected:""
+     got:"     2251799813685248 9007199254740992 288230376151711744   288230376151711744"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,----------------,------------------,- ------------------],"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     1463669878895411  238874527115433  7643973528990551        11338703305"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     4503599627370496 36028797018963968 288230376151711744 288230376151711744"
+MISMATCH
+expected:"            4543830373"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      2251799813685248  288230376151711744  288230376151711744"
+     got:"     2882303761517117  965614994664657   7724922720778403      2763461147"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     1125899906842624 36028797018963968 288230376151711744 288230376151711744"
+MISMATCH
+expected:"      1553741871442821   7328603190108653    7328594102447907"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:""
+     got:"      709316941310853  975839967258639   7806731629494243      11891425131"
+MISMATCH
+expected:"     ,"
+     got:"     9007199254740992 144115188075855872 144115188075855872   9007199254740992"
+MISMATCH
+expected:"        144115188075855872"
+     got:"    [----------------,------------------,------------------,- ----------------],"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     5584463537939415  3944706516493519   3944704707541567        113059497"
+MISMATCH
+expected:"             352086995"
+     got:"     ,"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  288230376151711744"
+     got:"     9007199254740992 72057594037927936 288230376151711744   288230376151711744"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"      3062447746611937   7406194807368693    7406194103194703"
+     got:"     5494391545392005  1993242754758355  7972965335438253        5683595167"
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     562949953421312 144115188075855872 18014398509481984   144115188075855872"
+     got:"     9007199254740992 288230376151711744 18014398509481984   288230376151711744"
+MISMATCH
+expected:"    [---------------,------------------,-----------------,- ------------------],"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     377176468792279  3742311146359787   467788633745481        2076395939"
+     got:"     5404319552844595  8057422519245871   503588046715783        13771793343"
+MISMATCH
+expected:"     ,"
+     got:"     9007199254740992 144115188075855872 72057594037927936 144115188075855872"
+MISMATCH
+expected:"        288230376151711744"
+     got:"    [----------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     5314247560297185  4071369355293389   2035687277020413     5198747437"
+MISMATCH
+expected:"            10655067977"
+     got:"     ,"
+MISMATCH
+expected:"      4503599627370496  288230376151711744  144115188075855872"
+     got:"     9007199254740992 288230376151711744 288230376151711744   72057594037927936"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:"      2972375754064527   7563885646161295    3781937495546659"
+     got:"     5224175567749775  8229006062168985   8228995975418509        2521687619"
+MISMATCH
+expected:""
+     got:"     ,"
+MISMATCH
+expected:"     2251799813685248 9007199254740992 288230376151711744   288230376151711744"
+     got:"     9007199254740992 288230376151711744 72057594037927936   288230376151711744"
+MISMATCH
+expected:"    [----------------,----------------,------------------,- ------------------],"
+     got:"    [----------------,------------------,-----------------,- ------------------]"
+MISMATCH
+expected:"     1463669878895411  238874527115433  7643973528990551        11338703305"
+     got:"     5134103575202365  8316166927917263   2079039752444813       7918138011"
+MISMATCH
+expected:"     4503599627370496 36028797018963968 288230376151711744 288230376151711744"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"        288230376151711744"
+MISMATCH
+expected:"     2882303761517117  965614994664657   7724922720778403      2763461147"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     1125899906842624 36028797018963968 288230376151711744 288230376151711744"
+     got:"            2156068169"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"      2251799813685248  144115188075855872  288230376151711744"
+MISMATCH
+expected:"      709316941310853  975839967258639   7806731629494243      11891425131"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872   9007199254740992"
+     got:"      1261007895663739   4202125065434613    8404247974801057"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- ----------------],"
+     got:""
+MISMATCH
+expected:"     5584463537939415  3944706516493519   3944704707541567        113059497"
+     got:"     ,"
+MISMATCH
+expected:"     ,"
+     got:"        288230376151711744"
+MISMATCH
+expected:"        144115188075855872"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      - ------------------]"
+     got:"            11755510763"
+MISMATCH
+expected:"            2841797583"
+     got:"      4503599627370496  144115188075855872  288230376151711744"
+MISMATCH
+expected:"      9007199254740992  288230376151711744  288230376151711744"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"      2476979795053773   4246642247031245    8493272738551727"
+MISMATCH
+expected:"      5494391545392005   7972971019033419    7972965335438253"
+     got:""
+MISMATCH
+expected:""
+     got:"     1125899906842624 288230376151711744 288230376151711744 144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,------------------,------------------],"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 18014398509481984   288230376151711744"
+     got:"      607985949695017  8583241194459439   8583243274651285      1040095923"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"     5404319552844595  8057422519245871   503588046715783        13771793343"
+     got:"     4503599627370496 36028797018963968 288230376151711744   288230376151711744"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 72057594037927936 144115188075855872"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"     2386907802506363  1084272234766913  8674169663405653        8214729651"
+MISMATCH
+expected:"     5314247560297185  4071369355293389   2035687277020413     5198747437"
+     got:"     2251799813685248 144115188075855872 281474976710656   144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,---------------,- ------------------],"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 288230376151711744   72057594037927936"
+     got:"     1170935903116329  4383032861026235   8560607512649        1814549947"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"     ,"
+MISMATCH
+expected:"     5224175567749775  8229006062168985   8228995975418509        2521687619"
+     got:"        144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 72057594037927936   288230376151711744"
+     got:"            1344414329"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"      4503599627370496  288230376151711744  288230376151711744"
+MISMATCH
+expected:"     5134103575202365  8316166927917263   2079039752444813       7918138011"
+     got:"     [----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     ,"
+     got:"      2296835809958953   8858933549248551    8858930860419893"
+MISMATCH
+expected:"        288230376151711744"
+     got:""
+MISMATCH
+expected:"      - ------------------]"
+     got:"     2 72057594037927936 144115188075855872 144115188075855872"
+MISMATCH
+expected:"            2156068169"
+     got:"    [-,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      9007199254740992  144115188075855872  288230376151711744"
+     got:"     1  2238195339930887  4476393186548175      2506686401"
+MISMATCH
+expected:"     [----------------, ------------------, ------------------,"
+     got:"     4503599627370496 72057594037927936 144115188075855872 144115188075855872"
+MISMATCH
+expected:"      5044031582654955   4202125065434613    8404247974801057"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:""
+     got:"     2206763817411543  2261909494128769  4523819574807495       586549957"
+MISMATCH
+expected:"     ,"
+     got:"     2251799813685248 9007199254740992 144115188075855872   144115188075855872"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 18014398509481984   288230376151711744"
+     got:"    [----------------,----------------,------------------,- ------------------],"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"     1080863910568919  285734481238223  4571749910574687        1789236881"
+MISMATCH
+expected:"     4953959590107545  8493284494062489   530829546159483        11755510761"
+     got:"     4503599627370496 144115188075855872 144115188075855872 72057594037927936"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 288230376151711744 36028797018963968"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     2116691824864133  4620188814523863   4620189566311337      375893737"
+MISMATCH
+expected:"     4863887597560135  8583241194459439   8583243274651287      260023981"
+     got:"     1125899906842624 9007199254740992 18014398509481984   18014398509481984"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"     9007199254740992 36028797018963968 288230376151711744   288230376151711744"
+     got:"      517913957147607  291821546494577  583642996495615         96493539"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"     4773815605012725  1084272234766913  8674169663405655        8214729649"
+     got:"     4503599627370496 18014398509481984 144115188075855872   144115188075855872"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 281474976710656   288230376151711744"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"    [----------------,------------------,---------------,- ------------------],"
+     got:"     2026619832316723  589827435997459   4718618615586477         872393195"
+MISMATCH
+expected:"     4683743612465315  8766065722052469   8560607512649        3629099893"
+     got:"     2251799813685248 144115188075855872 36028797018963968 144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"     9007199254740992 288230376151711744 288230376151711744   18014398509481984"
+     got:"      990791918021509  4768613046723187   1192154760988739     5997231769"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"     ,"
+MISMATCH
+expected:"     4593671619917905  8858933549248551   8858930860419895        168051791"
+     got:"        144115188075855872"
+MISMATCH
+expected:"     2 72057594037927936 144115188075855872 144115188075855872"
+     got:"      - ------------------]"
+MISMATCH
+expected:"    [-,-----------------,------------------,------------------],"
+     got:"            3379973089"
+MISMATCH
+expected:"     1  2238195339930887  4476393186548175      2506686401"
+     got:"      18014398509481984  72057594037927936  144115188075855872"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 144115188075855872 144115188075855872"
+     got:"     [-----------------, -----------------, ------------------,"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,------------------],"
+     got:"       7746191359077253   2409577121590695   4819150863208301"
+MISMATCH
+expected:"     2206763817411543  2261909494128769  4523819574807495       586549957"
+     got:""
+MISMATCH
+expected:"     2251799813685248 9007199254740992 144115188075855872   144115188075855872"
+     got:"     18014398509481984 72057594037927936 144115188075855872 144115188075855872"
+MISMATCH
+expected:"    [----------------,----------------,------------------,- ------------------],"
+     got:"    [-----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     1080863910568919  285734481238223  4571749910574687        1789236881"
+     got:"      7566047373982433  2435107127158333  4870219739481359      5485164693"
+MISMATCH
+expected:"     4503599627370496 144115188075855872 144115188075855872 72057594037927936"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     18014398509481984 144115188075855872 2251799813685248   144115188075855872"
+MISMATCH
+expected:"     2116691824864133  4620188814523863   4620189566311337      375893737"
+     got:"    [-----------------,------------------,----------------,- ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"      7385903388887613  4921836314685437   76903615617979        4915134781"
+MISMATCH
+expected:"     1125899906842624 144115188075855872 18014398509481984   144115188075855872"
+     got:"     9007199254740992 72057594037927936 36028797018963968 72057594037927936"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,- ------------------]"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"      517913957147607  4669144743913231   583642996495615         771948311"
+     got:"     3602879701896397  2486995800625045  1243497907871539      15118033"
+MISMATCH
+expected:"     4503599627370496 18014398509481984 144115188075855872   144115188075855872"
+     got:"     9007199254740992 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"     2026619832316723  589827435997459   4718618615586477         872393195"
+     got:"     3512807709348987  2513354468524119  5026706285310053        2651738185"
+MISMATCH
+expected:"     2251799813685248 144115188075855872 36028797018963968 144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"     9007199254740992 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"      990791918021509  4768613046723187   1192154760988739     5997231769"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"     ,"
+     got:"     3422735716801577  2539994161039941  5079981273662669        7048417213"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     9007199254740992 144115188075855872 144115188075855872   18014398509481984"
+MISMATCH
+expected:"            3379973089"
+     got:"    [----------------,------------------,------------------,- -----------------]"
+MISMATCH
+expected:"      18014398509481984  72057594037927936  144115188075855872"
+     got:"     3332663724254167  5133829756345021   5133822572475557        897983683"
+MISMATCH
+expected:"     [-----------------, -----------------, ------------------,"
+     got:"     9007199254740992 18014398509481984 72057594037927936 72057594037927936"
+MISMATCH
+expected:"       7746191359077253   2409577121590695   4819150863208301"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:""
+     got:"     3242591731706757  648529154980457   2594118110825931     1490904103"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 144115188075855872 72057594037927936"
+     got:"     9007199254740992 36028797018963968 144115188075855872 144115188075855872"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"      7566047373982433  4870214254316665   4870219739481359      2742582347"
+     got:"     3152519739159347  1310806898903351  5243228325754049       730140645"
+MISMATCH
+expected:"     ,"
+     got:"     9007199254740992 72057594037927936 72057594037927936 36028797018963968"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 2251799813685248   144115188075855872"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"    [-----------------,------------------,----------------,- ------------------]"
+     got:"     3062447746611937  2649399206067727  2649402527349517     1660640895"
+MISMATCH
+expected:"      7385903388887613  4921836314685437   76903615617979        4915134781"
+     got:"     ,"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 36028797018963968 144115188075855872"
+     got:"     9007199254740992 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"    [-----------------,------------------,-----------------,------------------],"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"      7205759403792793  4973991601250089   1243497907871539      30236067"
+     got:"     2972375754064527  2677487256223711  5354972644460849        1867986573"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     9007199254740992 72057594037927936 144115188075855872   144115188075855872"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,-----------------,------------------,- ------------------]"
+MISMATCH
+expected:"            2651738183"
+     got:"     2882303761517117  2705870742515251  5411737397780889        4087249613"
+MISMATCH
+expected:"      18014398509481984  144115188075855872  72057594037927936"
+     got:"     18014398509481984 36028797018963968 144115188075855872 144115188075855872"
+MISMATCH
+expected:"     [-----------------, ------------------, -----------------,"
+     got:"    [-----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"       7025615418697973   5026708937048237    2513353142655027"
+     got:"      5584463537939415  1367274832471173  5469105684885827      6355001135"
+MISMATCH
+expected:""
+     got:"     18014398509481984 144115188075855872 144115188075855872 36028797018963968"
+MISMATCH
+expected:"     ,"
+     got:"    [-----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"        144115188075855872"
+     got:"      5404319552844595  5527076870047609   5527083944213301      1768541423"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     18014398509481984 36028797018963968 72057594037927936 72057594037927936"
+MISMATCH
+expected:"            7048417211"
+     got:"    [-----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"      18014398509481984  144115188075855872  72057594037927936"
+     got:"      5224175567749775  1396418526379813  2792839341572711     2288813085"
+MISMATCH
+expected:"     [-----------------, ------------------, -----------------,"
+     got:"     4503599627370496 144115188075855872 72057594037927936 144115188075855872"
+MISMATCH
+expected:"       6845471433603153   5079988322079881    2539990636831335"
+     got:"    [----------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:""
+     got:"     1261007895663739  5644891036299621   2822448239375115     5442450609"
+MISMATCH
+expected:"     ,"
+     got:"     2251799813685248 36028797018963968 144115188075855872 144115188075855872"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872   18014398509481984"
+     got:"    [----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"      607985949695017  1426185518476881  5704743978531149      1904623625"
+MISMATCH
+expected:"     3332663724254167  5133829756345021   5133822572475557        897983683"
+     got:"     4503599627370496 144115188075855872 72057594037927936 144115188075855872"
+MISMATCH
+expected:"     9007199254740992 18014398509481984 72057594037927936 72057594037927936"
+     got:"    [----------------,------------------,-----------------,------------------],"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,-----------------],"
+     got:"     1170935903116329  5765227218342961   2882613950592275      682841589"
+MISMATCH
+expected:"     3242591731706757  648529154980457   2594118110825931     1490904103"
+     got:"     4 144115188075855872 144115188075855872   72057594037927936"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872 72057594037927936"
+     got:"    [-,------------------,------------------,- -----------------],"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     1  5826360881124739   5826355037365493        2921879623"
+MISMATCH
+expected:"     3152519739159347  5243227595613403   5243228325754049      365070323"
+     got:"     4503599627370496 72057594037927936 18014398509481984 72057594037927936"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 72057594037927936 144115188075855872"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"    [----------------,------------------,-----------------,------------------],"
+     got:"     1080863910568919  2944064325367025  736016531307719      1799863851"
+MISMATCH
+expected:"     3062447746611937  5298798412135453   2649402527349517     6642563581"
+     got:"     2251799813685248 70368744177664 144115188075855872 144115188075855872"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,--------------,------------------,------------------],"
+MISMATCH
+expected:"     9007199254740992 72057594037927936 144115188075855872   144115188075855872"
+     got:"      517913957147607  2905546557719  5950566477376213      7127167701"
+MISMATCH
+expected:"    [----------------,-----------------,------------------,- ------------------]"
+     got:"     4503599627370496 9007199254740992 72057594037927936   72057594037927936"
+MISMATCH
+expected:"     2972375754064527  2677487256223711  5354972644460849        1867986573"
+     got:"    [----------------,----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"     ,"
+     got:"      990791918021509  375854211941683  3006832364658857       1330874607"
+MISMATCH
+expected:"     9007199254740992 144115188075855872 144115188075855872   36028797018963968"
+     got:"     ,"
+MISMATCH
+expected:"    [----------------,------------------,------------------,- -----------------]"
+     got:"        144115188075855872"
+MISMATCH
+expected:"     2882303761517117  5411741485030501   5411737397780889        1021812403"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     18014398509481984 36028797018963968 144115188075855872 144115188075855872"
+     got:"            4269190041"
+MISMATCH
+expected:"    [-----------------,-----------------,------------------,------------------],"
+     got:"      36028797018963968  144115188075855872  72057594037927936"
+MISMATCH
+expected:"      5584463537939415  1367274832471173  5469105684885827      6355001135"
+     got:"     [-----------------, ------------------, -----------------,"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 144115188075855872 36028797018963968"
+     got:"       7566047373982433   6077438361790495    3038717046300227"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:""
+MISMATCH
+expected:"      5404319552844595  5527076870047609   5527083944213301      1768541423"
+     got:"     18014398509481984 72057594037927936 72057594037927936   18014398509481984"
+MISMATCH
+expected:"     18014398509481984 36028797018963968 72057594037927936 72057594037927936"
+     got:"    [-----------------,-----------------,-----------------,- -----------------],"
+MISMATCH
+expected:"    [-----------------,-----------------,-----------------,-----------------],"
+     got:"      3602879701896397  3070943336949009  3070940864726013       618055749"
+MISMATCH
+expected:"      5224175567749775  1396418526379813  2792839341572711     2288813085"
+     got:"     18014398509481984 144115188075855872 144115188075855872 72057594037927936"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 72057594037927936 144115188075855872"
+     got:"    [-----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"    [-----------------,------------------,-----------------,------------------],"
+     got:"      3422735716801577  6207012327389497   6207014878830203      1275720353"
+MISMATCH
+expected:"      5044031582654955  5644891036299621   2822448239375115     5442450609"
+     got:"     18014398509481984 36028797018963968 4503599627370496   36028797018963968"
+MISMATCH
+expected:"     18014398509481984 36028797018963968 72057594037927936 72057594037927936"
+     got:"    [-----------------,-----------------,----------------,- -----------------],"
+MISMATCH
+expected:"    [-----------------,-----------------,-----------------,-----------------],"
+     got:"      3242591731706757  1568211036325637  196026276789017       822013501"
+MISMATCH
+expected:"      4863887597560135  1426185518476881  2852371989265575     952311813"
+     got:"     ,"
+MISMATCH
+expected:"     18014398509481984 144115188075855872 144115188075855872 72057594037927936"
+     got:"        72057594037927936"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:"      - -----------------]"
+MISMATCH
+expected:"      4683743612465315  5765227218342961   5765227901184551      341420795"
+     got:"            328253711"
+MISMATCH
+expected:"     4 144115188075855872 144115188075855872   72057594037927936"
+     got:"      18014398509481984  144115188075855872  144115188075855872"
+MISMATCH
+expected:"    [-,------------------,------------------,- -----------------],"
+     got:"     [-----------------, ------------------, ------------------,"
+MISMATCH
+expected:"     1  5826360881124739   5826355037365493        2921879623"
+     got:"       3062447746611937   6339367716118363    6339367059610941"
+MISMATCH
+expected:"     4503599627370496 72057594037927936 18014398509481984 72057594037927936"
+     got:""
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,-----------------],"
+     got:"     18014398509481984 72057594037927936 72057594037927936 36028797018963968"
+MISMATCH
+expected:"     1080863910568919  2944064325367025  736016531307719      1799863851"
+     got:"    [-----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"     2251799813685248 144115188075855872 144115188075855872 72057594037927936"
+     got:"      2882303761517117  3203298725677875  3203300480027585     877174855"
+MISMATCH
+expected:"    [----------------,------------------,------------------,-----------------],"
+     got:"     36028797018963968 36028797018963968 72057594037927936 72057594037927936"
+MISMATCH
+expected:"      517913957147607  5950559350208511   5950566477376213      3563583851"
+     got:"    [-----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"     4503599627370496 9007199254740992 72057594037927936   72057594037927936"
+     got:"      5404319552844595  1618636940633379  3237275056402795     1175136037"
+MISMATCH
+expected:"    [----------------,----------------,-----------------,- -----------------],"
+     got:"     9007199254740992 144115188075855872 144115188075855872 72057594037927936"
+MISMATCH
+expected:"      990791918021509  375854211941683  3006832364658857       1330874607"
+     got:"    [----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"     ,"
+     got:"     1261007895663739  6543218649651661   6543222153035051      1751691695"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     9007199254740992 72057594037927936 72057594037927936 36028797018963968"
+MISMATCH
+expected:"      - ------------------]"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"            4269190041"
+     got:"     1170935903116329  3306312262114497  3306312398868059      68376781"
+MISMATCH
+expected:"      36028797018963968  144115188075855872  72057594037927936"
+     got:"     9007199254740992 18014398509481984 36028797018963968 36028797018963968"
+MISMATCH
+expected:"     [-----------------, ------------------, -----------------,"
+     got:"    [----------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"       7566047373982433   6077438361790495    3038717046300227"
+     got:"     1080863910568919  835345673283189   1670691461650435     115084057"
+MISMATCH
+expected:""
+     got:"     9007199254740992 72057594037927936 4503599627370496   72057594037927936"
+MISMATCH
+expected:"     ,"
+     got:"    [----------------,-----------------,----------------,- -----------------],"
+MISMATCH
+expected:"        144115188075855872"
+     got:"      990791918021509  3376827823640013  211051661966107       1232182301"
+MISMATCH
+expected:"      - ------------------]"
+     got:"     ,"
+MISMATCH
+expected:"            4944445991"
+     got:"        144115188075855872"
+MISMATCH
+expected:"      36028797018963968  144115188075855872  72057594037927936"
+     got:"      - ------------------]"
+MISMATCH
+expected:"     [-----------------, ------------------, -----------------,"
+     got:"             532821479"
+MISMATCH
+expected:"       7205759403792793   6141886673898017    3070940864726013"
+     got:"      36028797018963968  72057594037927936  144115188075855872"
+MISMATCH
+expected:""
+     got:"     [-----------------, -----------------, ------------------,"
+MISMATCH
+expected:"     36028797018963968 144115188075855872 144115188075855872 72057594037927936"
+     got:"       3602879701896397   3412647653636267   6825294774451055"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:""
+MISMATCH
+expected:"      6845471433603153  6207012327389497   6207014878830203      1275720353"
+     got:"     ,"
+MISMATCH
+expected:"     18014398509481984 36028797018963968 4503599627370496   36028797018963968"
+     got:"        144115188075855872"
+MISMATCH
+expected:"    [-----------------,-----------------,----------------,- -----------------],"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      3242591731706757  1568211036325637  196026276789017       822013501"
+     got:"             103379403"
+MISMATCH
+expected:"     ,"
+     got:"      36028797018963968  36028797018963968  144115188075855872"
+MISMATCH
+expected:"        72057594037927936"
+     got:"     [-----------------, -----------------, ------------------,"
+MISMATCH
+expected:"      - -----------------]"
+     got:"       3242591731706757   1724424694440461   6897698674382441"
+MISMATCH
+expected:"            328253711"
+     got:""
+MISMATCH
+expected:"      18014398509481984  144115188075855872  144115188075855872"
+     got:"     36028797018963968 36028797018963968 9007199254740992   36028797018963968"
+MISMATCH
+expected:"     [-----------------, ------------------, ------------------,"
+     got:"    [-----------------,-----------------,----------------,- -----------------],"
+MISMATCH
+expected:"       3062447746611937   6339367716118363    6339367059610941"
+     got:"      2882303761517117  1742720117566691  435679563887669       1862016015"
+MISMATCH
+expected:""
+     got:"     18014398509481984 144115188075855872 144115188075855872 72057594037927936"
+MISMATCH
+expected:"     18014398509481984 72057594037927936 72057594037927936 36028797018963968"
+     got:"    [-----------------,------------------,------------------,-----------------],"
+MISMATCH
+expected:"    [-----------------,-----------------,-----------------,-----------------],"
+     got:"      1261007895663739  7044825973268485   7044826044653627       35692571"
+MISMATCH
+expected:"      2882303761517117  3203298725677875  3203300480027585     877174855"
+     got:"     18014398509481984 9007199254740992 72057594037927936 72057594037927936"
+MISMATCH
+expected:"     36028797018963968 36028797018963968 72057594037927936 72057594037927936"
+     got:"    [-----------------,----------------,-----------------,-----------------],"
+MISMATCH
+expected:"    [-----------------,-----------------,-----------------,-----------------],"
+     got:"      1080863910568919  444972756862789  3559783028332517     973430205"
+MISMATCH
+expected:"      5404319552844595  1618636940633379  3237275056402795     1175136037"
+     got:"     72057594037927936 36028797018963968 144115188075855872 144115188075855872"
+MISMATCH
+expected:"     36028797018963968 144115188075855872 144115188075855872 72057594037927936"
+     got:"    [-----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:"      3602879701896397  1798773719968795  7195101462304363      6582429183"
+MISMATCH
+expected:"      5044031582654955  6543218649651661   6543222153035051      1751691695"
+     got:"     ,"
+MISMATCH
+expected:"     36028797018963968 144115188075855872 72057594037927936 144115188075855872"
+     got:"        144115188075855872"
+MISMATCH
+expected:"    [-----------------,------------------,-----------------,------------------],"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      4683743612465315  6612624524228993   3306312398868059      273507125"
+     got:"            6350781267"
+MISMATCH
+expected:"     9007199254740992 18014398509481984 36028797018963968 36028797018963968"
+     got:"      72057594037927936  18014398509481984  144115188075855872"
+MISMATCH
+expected:"    [----------------,-----------------,-----------------,-----------------],"
+     got:"     [-----------------, -----------------, ------------------,"
+MISMATCH
+expected:"     1080863910568919  835345673283189   1670691461650435     115084057"
+     got:"       2882303761517117   908930888314721    7271440755736501"
+MISMATCH
+expected:"     9007199254740992 72057594037927936 4503599627370496   72057594037927936"
+     got:""
+MISMATCH
+expected:"    [----------------,-----------------,----------------,- -----------------],"
+     got:"     36028797018963968 72057594037927936 144115188075855872 144115188075855872"
+MISMATCH
+expected:"      990791918021509  3376827823640013  211051661966107       1232182301"
+     got:"    [-----------------,-----------------,------------------,------------------],"
+MISMATCH
+expected:"     72057594037927936 72057594037927936 9007199254740992   72057594037927936"
+     got:"      1080863910568919  3674295983347387  7348592522194013       555499239"
+MISMATCH
+expected:"    [-----------------,-----------------,----------------,- -----------------],"
+     got:"     144115188075855872 36028797018963968 72057594037927936 72057594037927936"
+MISMATCH
+expected:"      7205759403792793  3412647653636267  426580923403191       266410739"
+     got:"    [------------------,-----------------,-----------------,-----------------],"
+MISMATCH
+expected:"     ,"
+     got:"      2882303761517117   1856639570860953  3713282719478931     3577757025"
+MISMATCH
+expected:"        144115188075855872"
+     got:"     ,"
+MISMATCH
+expected:"      - ------------------]"
+     got:"        144115188075855872"
+MISMATCH
+expected:"             103379403"
+     got:"      - ------------------]"
+MISMATCH
+expected:"      36028797018963968  36028797018963968  144115188075855872"
+     got:"            6603453733"
+MISMATCH
+expected:"     [-----------------, -----------------, ------------------,"
+     got:"      288230376151711744  72057594037927936  144115188075855872"
+MISMATCH
+expected:"       3242591731706757   1724424694440461   6897698674382441"
+     got:"     [------------------, -----------------, ------------------,"
+MISMATCH
+expected:""
+     got:"       2882303761517117    3752687439901249   7505368276348765"
+MISMATCH
+expected:"     ,"
+     got:"   ["
+MISMATCH
+expected:"     36028797018963968 144115188075855872 9007199254740992   144115188075855872"
+     got:"   (7)"
+MISMATCH
+expected:"    [-----------------,------------------,----------------,- ------------------]"
+     got:""
+MISMATCH
+expected:"      2882303761517117  6970880470266763   435679563887669       7448064059"
+     got:" "
+MISMATCH
+expected:"     72057594037927936 144115188075855872 144115188075855872 72057594037927936"
+     got:"[2.00,0.0064143,En(20,2.00),En(20,2.00)-0.0064143]]]"
+MISMATCH
+expected:"    [-----------------,------------------,------------------,-----------------],"
+     got:"[1.99,0.0064820,En(20,1.99),En(20,1.99)-0.0064820],_"
+MISMATCH
+expected:"      5044031582654955  7044825973268485   7044826044653627       35692571"
+     got:"[1.98,0.0065504,En(20,1.98),En(20,1.98)-0.0065504],_"
+MISMATCH
+expected:"     18014398509481984 9007199254740992 72057594037927936 72057594037927936"
+     got:"[1.97,0.0066195,En(20,1.97),En(20,1.97)-0.0066195],_"
+MISMATCH
+expected:"    [-----------------,----------------,-----------------,-----------------],"
+     got:"[1.96,0.0066893,En(20,1.96),En(20,1.96)-0.0066893],_"
+MISMATCH
+expected:"      1080863910568919  444972756862789  3559783028332517     973430205"
+     got:"[1.95,0.0067599,En(20,1.95),En(20,1.95)-0.0067599],_"
+MISMATCH
+expected:"     ,"
+     got:"[1.94,0.0068312,En(20,1.94),En(20,1.94)-0.0068312],_"
+MISMATCH
+expected:"     144115188075855872 36028797018963968 144115188075855872 144115188075855872"
+     got:"[1.93,0.0069033,En(20,1.93),En(20,1.93)-0.0069033],_"
+MISMATCH
+expected:"    [------------------,-----------------,------------------,------------------]"
+     got:"[1.92,0.0069762,En(20,1.92),En(20,1.92)-0.0069762],_"
+MISMATCH
+expected:"      7205759403792793   1798773719968795  7195101462304363      6582429183"
+     got:"[1.91,0.0070498,En(20,1.91),En(20,1.91)-0.0070498],_"
+MISMATCH
+expected:"     ,"
+     got:"[1.90,0.0071242,En(20,1.90),En(20,1.90)-0.0071242],_"
+MISMATCH
+expected:"        144115188075855872"
+     got:"[1.89,0.0071993,En(20,1.89),En(20,1.89)-0.0071993],_"
+MISMATCH
+expected:"      - ------------------]"
+     got:"[1.88,0.0072753,En(20,1.88),En(20,1.88)-0.0072753],_"
+MISMATCH
+expected:"            6350781267"
+     got:"[1.87,0.0073521,En(20,1.87),En(20,1.87)-0.0073521],_"
+MISMATCH
+expected:"      72057594037927936  18014398509481984  144115188075855872"
+     got:"[1.86,0.0074297,En(20,1.86),En(20,1.86)-0.0074297],_"
+MISMATCH
+expected:"     [-----------------, -----------------, ------------------,"
+     got:"[1.85,0.0075081,En(20,1.85),En(20,1.85)-0.0075081],_"
+MISMATCH
+expected:"       2882303761517117   908930888314721    7271440755736501"
+     got:"[1.84,0.0075874,En(20,1.84),En(20,1.84)-0.0075874],_"
+MISMATCH
+expected:""
+     got:"[1.83,0.0076674,En(20,1.83),En(20,1.83)-0.0076674],_"
+MISMATCH
+expected:"     36028797018963968 72057594037927936 144115188075855872 144115188075855872"
+     got:"[1.82,0.0077484,En(20,1.82),En(20,1.82)-0.0077484],_"
+MISMATCH
+expected:"    [-----------------,-----------------,------------------,------------------],"
+     got:"[1.81,0.0078302,En(20,1.81),En(20,1.81)-0.0078302],_"
+MISMATCH
+expected:"      1080863910568919  3674295983347387  7348592522194013       555499239"
+     got:"[1.80,0.0079128,En(20,1.80),En(20,1.80)-0.0079128],_"
+MISMATCH
+expected:"     144115188075855872 36028797018963968 72057594037927936 72057594037927936"
+     got:"[1.79,0.0079963,En(20,1.79),En(20,1.79)-0.0079963],_"
+MISMATCH
+expected:"    [------------------,-----------------,-----------------,-----------------],"
+     got:"[1.78,0.0080807,En(20,1.78),En(20,1.78)-0.0080807],_"
+MISMATCH
+expected:"      2882303761517117   1856639570860953  3713282719478931     3577757025"
+     got:"[1.77,0.0081660,En(20,1.77),En(20,1.77)-0.0081660],_"
+MISMATCH
+expected:"     ,"
+     got:"[1.76,0.0082522,En(20,1.76),En(20,1.76)-0.0082522],_"
+MISMATCH
+expected:"        36028797018963968"
+     got:"[1.75,0.0083394,En(20,1.75),En(20,1.75)-0.0083394],_"
+MISMATCH
+expected:"      - -----------------]"
+     got:"[1.74,0.0084274,En(20,1.74),En(20,1.74)-0.0084274],_"
+MISMATCH
+expected:"            1650863433"
+     got:"[1.73,0.0085164,En(20,1.73),En(20,1.73)-0.0085164],_"
+MISMATCH
+expected:"      288230376151711744  144115188075855872  144115188075855872"
+     got:"[1.72,0.0086063,En(20,1.72),En(20,1.72)-0.0086063],_"
+MISMATCH
+expected:"     [------------------, ------------------, ------------------,"
+     got:"[1.71,0.0086972,En(20,1.71),En(20,1.71)-0.0086972],_"
+MISMATCH
+expected:"       2882303761517117    7505374879802497    7505368276348765"
+     got:"[1.70,0.0087890,En(20,1.70),En(20,1.70)-0.0087890],_"
+MISMATCH
+expected:"   ["
+     got:"[1.69,0.0088818,En(20,1.69),En(20,1.69)-0.0088818],_"
+MISMATCH
+expected:"   (7)"
+     got:"[1.68,0.0089756,En(20,1.68),En(20,1.68)-0.0089756],_"
+MISMATCH
+expected:""
+     got:"[1.67,0.0090703,En(20,1.67),En(20,1.67)-0.0090703],_"
+MISMATCH
+expected:" "
+     got:"[1.66,0.0091661,En(20,1.66),En(20,1.66)-0.0091661],_"
+FAILED en  7 of 7
+regression result FAILED 1 of 7 stanzas file en
+
+=========================================================================
+bug 7237: 
+
+)d op coerce
+ 
+
+There are 194 exposed functions called coerce :
+   [1] List(D2) -> D from D if D2 has FIELD and D has AFSPCAT(D2)
+   [2] D -> List(D2) from D if D has AFSPCAT(D2) and D2 has FIELD
+   [3] D1 -> D from D if D has ALGEBRA(D1) and D1 has COMRING
+ 
+Daly Bug
+   >> System error:
+   D2 is not of type SEQUENCE.
+
+   Continuing to read the file...
+
+--R 
+--R
+--RThere are 194 exposed functions called coerce :
+--R   [1] List D2 -> D from D if D2 has FIELD and D has AFSPCAT D2
+--R   [2] D -> List D2 from D if D has AFSPCAT D2 and D2 has FIELD
+--R   [3] D1 -> D from D if D has ALGEBRA D1 and D1 has COMRING
+--R   [4] Vector D2 -> AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
+--R            from AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
+--R            if D2 has FIELD and D5: VECTOR MATRIX D2 and D3: PI and D4
+--R            : LIST SYMBOL
+
 ============================================================================
 
    finalizing nrlib IDPAM 
@@ -57,34 +2764,6 @@ warnings 20568:
       [4] changeBase:  f has no value
  
 =========================================================================
-warnings 20567:
-
->compiling SMTS.spad to SMTS.nrlib
- 
-   Warnings: 
-      [1] evalstream:  z1 has no value
-      [2] addvariable:  c2 has no value
-      [3] addvariable:  n1 has no value
-      [4] coefficient: signature of lhs not unique: SMP$(NonNegativeInteger) chosen
-      [5] coefficient:  z1 has no value
-      [6] *: pretendRep -- should replace by @
-      [7] *: pretend$ -- should replace by @
-      [8] sortmfirst:  v2 has no value
-      [9] sortmfirst:  v1 has no value
-      [10] csubst:  p1 has no value
-      [11] eval: pretend$ -- should replace by @
-      [12] subststream: pretend$ -- should replace by @
-      [13] comp1:  p1 has no value
-      [14] differentiate:  z1 has no value
-      [15] stream: pretendRep -- should replace by @
-      [16] *:  z1 has no value
-      [17] fintegrate:  z1 has no value
-      [18] integrate:  z1 has no value
-      [19] coerce:  l has no value
-      [20] /:  z1 has no value
-      [21] /: pretend$ -- should replace by @
- 
-=========================================================================
 nonextend 60076:
 
 >compiling AFFSP.spad to AFFSP.nrlib
@@ -102,18 +2781,6 @@ todo 329:
       [1] output: :(OutputForm) -- should replace by pretend
 
 =========================================================================
-bug 7234: 
-
->compiling EFULS.spad to EFULS.nrlib
-
-   Illegal nrlib 
-   EFULS.nrlib claims that its constructor name is the package 
-      ElementaryFunctionsUnivariateLaurentSeries but 
-      ElementaryFunctionsUnivariateLaurentSeries is already known to be
-      the for domain EFULS .
-   EFULS abbreviates package ElementaryFunctionsUnivariateLaurentSeries
-
-=========================================================================
 nonextend 60075:
 
 >compiling BSTREE.spad to BSTREE.nrlib
@@ -40496,3 +43163,58 @@ bug 7236:
  This constructor is exposed in this frame.
  Issue )edit NIL to see algebra source code for ELTAB 
 
+=========================================================================
+warnings 20567:
+
+>compiling SMTS.spad to SMTS.nrlib
+ 
+   Warnings: 
+      [1] evalstream:  z1 has no value
+      [2] addvariable:  c2 has no value
+      [3] addvariable:  n1 has no value
+      [4] coefficient: signature of lhs not unique: SMP$(NonNegativeInteger) chosen
+      [5] coefficient:  z1 has no value
+      [6] *: pretendRep -- should replace by @
+      [7] *: pretend$ -- should replace by @
+      [8] sortmfirst:  v2 has no value
+      [9] sortmfirst:  v1 has no value
+      [10] csubst:  p1 has no value
+      [11] eval: pretend$ -- should replace by @
+      [12] subststream: pretend$ -- should replace by @
+      [13] comp1:  p1 has no value
+      [14] differentiate:  z1 has no value
+      [15] stream: pretendRep -- should replace by @
+      [16] *:  z1 has no value
+      [17] fintegrate:  z1 has no value
+      [18] integrate:  z1 has no value
+      [19] coerce:  l has no value
+      [20] /:  z1 has no value
+      [21] /: pretend$ -- should replace by @
+ 
+=========================================================================
+bug 7234: 
+
+>compiling EFULS.spad to EFULS.nrlib
+
+   Illegal nrlib 
+   EFULS.nrlib claims that its constructor name is the package 
+      ElementaryFunctionsUnivariateLaurentSeries but 
+      ElementaryFunctionsUnivariateLaurentSeries is already known to be
+      the for domain EFULS .
+   EFULS abbreviates package ElementaryFunctionsUnivariateLaurentSeries
+
+=========================================================================
+bug 7239: 
+
+NOTE: fix --S to allow ignore on comment
+
+int/input/grpthry.regress
+
+MISMATCH
+expected:"     not have a one-dimensional kernel"
+     got:" "
+MISMATCH
+expected:"   Random element in generated algebra does"
+     got:"isAbsolutelyIrreducible? ma.1"
+FAILED grpthry  35 of 68 random generation, FAILURE OK.
+
diff --git a/changelog b/changelog
index 163a29d..881a3e3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,19 @@
+20130326 tpd src/axiom-website/patches.html 20130326.01.tpd.patch
+20130326 tpd v103elementaryfunctionsunivariatepuiseuxseries.ps renamed
+20130326 tpd v103elementaryfunctionsunivariatelaurentseries.ps renamed
+20130326 tpd books/bookvol10.3 move EFULS EFUPXS from package to domain
+20130326 tpd books/bookvol10.4 move EFULS EFUPXS from package to domain
+20130326 tpd buglist add bugs found in tests
+20130326 tpd src/input/cmds.input fix failures
+20130326 tpd src/input/complexfactor.input fix failures
+20130326 tpd src/input/r20bugs.input fix failures
+20130326 tpd src/input/richalgebraic000-099.input fix failures
+20130326 tpd src/input/richalgebraic100-199.input fix failures
+20130326 tpd src/input/richalgebraic400-461.input fix failures
+20130326 tpd src/input/richhyper1000-1098.input fix failures
+20130326 tpd src/input/richinvhyper000-099.input fix failures
+20130326 tpd src/input/richlog300-391.input fix failures
+20130326 tpd src/input/richtrig800-899.input fix failures
 20130324 tpd src/axiom-website/patches.html 20130324.02.tpd.patch
 20130324 tpd books/bookvolbib add references
 20130324 jxb src/axiom-website/patches.html 20130324.01.jxb.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d783b80..e86c6e0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4117,5 +4117,7 @@ books/bookvolbib add references
 src/input/romanpolynomials.input create POLY(ROMAN)
 <a href="patches/20130324.02.tpd.patch">20130324.02.tpd.patch</a>
 books/bookvolbib add references
+<a href="patches/20130326.01.tpd.patch">20130326.01.tpd.patch</a>
+src/input/* fix failing tests, move EFULS, EFUPXS from package to domain
  </body>
 </html>
diff --git a/src/input/cmds.input.pamphlet b/src/input/cmds.input.pamphlet
index dfdf5b5..96e7411 100644
--- a/src/input/cmds.input.pamphlet
+++ b/src/input/cmds.input.pamphlet
@@ -614,7 +614,7 @@
 --R FAMR2    FiniteAbelianMonoidRingFunctions2
 --R FCPAK1   FortranCodePackage1          FDIV2    FiniteDivisorFunctions2
 --R FFCAT2   FunctionFieldCategoryFunctions2
---R FFF      FiniteFieldFunctions
+--R FFF      FiniteFieldFunctions         FFFACTOR FiniteFieldFactorization
 --R FFFACTSE FiniteFieldFactorizationWithSizeParseBySideEffect
 --R FFFG     FractionFreeFastGaussian
 --R FFFGF    FractionFreeFastGaussianFractions
diff --git a/src/input/complexfactor.input.pamphlet b/src/input/complexfactor.input.pamphlet
index 283a3a6..4893e0d 100644
--- a/src/input/complexfactor.input.pamphlet
+++ b/src/input/complexfactor.input.pamphlet
@@ -517,11 +517,13 @@ t2:=factor t1
 --R            from FiniteFieldFactorizationWithSizeParseBySideEffect(D3,
 --R            D2)
 --R            if D3 has FFIELDC and D2 has UPOLYC(D3)
---R   [12] D2 -> Factored(D2) from DistinctDegreeFactorize(D3,D2)
+--R   [12] D2 -> Factored(D2) from FiniteFieldFactorization(D3,D2)
 --R            if D3 has FFIELDC and D2 has UPOLYC(D3)
---R   [13] D2 -> Factored(D2) from ComplexFactorization(D3,D2)
+--R   [13] D2 -> Factored(D2) from DistinctDegreeFactorize(D3,D2)
+--R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R   [14] D2 -> Factored(D2) from ComplexFactorization(D3,D2)
 --R            if D3 has EUCDOM and D2 has UPOLYC(COMPLEX(D3))
---R   [14] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
+--R   [15] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
 --R   -> no appropriate map found in Complex(Integer) 
 --R   -> no appropriate map found in Integer 
 --R   -> no appropriate map found in Complex(Polynomial(Integer)) 
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index 8891729..c5d746d 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -194,11 +194,17 @@ positiveRemainder(-1::SINT,-5::SINT)
 
 )clear completely
  
---S 17 of 27
+ 
+
+--   (1)  [[1.73046875 %i,- 2.0],[- 1.73046875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--                                             Type: List(List(Complex(Float)))
+
+--S 17 of 27 ok to fail. it seems there are 2 answers (see above)
 complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --R 
 --R
---R   (1)  [[1.73046875 %i,- 2.0],[- 1.73046875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--R   (1)
+--R   [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
 --R                                             Type: List(List(Complex(Float)))
 --E 17
 
diff --git a/src/input/richalgebraic000-099.input.pamphlet b/src/input/richalgebraic000-099.input.pamphlet
index 9d4d297..a93236a 100644
--- a/src/input/richalgebraic000-099.input.pamphlet
+++ b/src/input/richalgebraic000-099.input.pamphlet
@@ -539,7 +539,7 @@ Occasionally we get a different answer to this same integration:
 Both answers are correct as can be seen by taking the difference between
 the original integrand and the derivative of the expression.
 \begin{chunk}{*}
---S 46 of 518
+--S 46 of 518 ok to fail. there appear to be 2 answers (see above)
 a0009:= integrate(t0009,x)
 --R 
 --R
@@ -567,7 +567,7 @@ Occasionally we get a different answer to this same integration:
 Both answers are correct as can be seen by taking the difference between
 the original integrand and the derivative of the expression.
 \begin{chunk}{*}
---S 47 of 518 this command generates random output, ok
+--S 47 of 518  ok to fail. there appear to be 2 answers (see above)
 m0009:= a0009-r0009
 --R 
 --R
diff --git a/src/input/richalgebraic100-199.input.pamphlet b/src/input/richalgebraic100-199.input.pamphlet
index 13e90e4..8c99352 100644
--- a/src/input/richalgebraic100-199.input.pamphlet
+++ b/src/input/richalgebraic100-199.input.pamphlet
@@ -1957,7 +1957,12 @@ r0131:= acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 157
 
---S 158 of 512
+ 
+--                  +-----+ +-----+
+--   (65)  - log(- \|x - 1 \|x + 1  + x)
+--                                         Type: Union(Expression(Integer),...)
+
+--S 158 of 512 ok to fail. seems there are 2 answers (see above)
 a0131:= integrate(t0131,x)
 --R 
 --R
@@ -1966,7 +1971,7 @@ a0131:= integrate(t0131,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 158
 
---S 159 of 512
+--S 159 of 512 ok to fail. due to 2 answers (see above)
 m0131:= a0131-r0131
 --R 
 --R
@@ -2012,7 +2017,16 @@ r0132:= 2*atan((-1+x)^(1/2)/(1+x)^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 162
 
---S 163 of 512
+ 
+
+--                  +-----+ +-----+
+--              220\|x - 1 \|x + 1  - 21
+--   (70)  atan(------------------------)
+--                 +-----+ +-----+
+--              21\|x - 1 \|x + 1  + 220
+--                                         Type: Union(Expression(Integer),...)
+
+--S 163 of 512 ok to fail. seems there are 2 answers (see above)
 a0132:= integrate(t0132,x)
 --R 
 --R
@@ -2024,7 +2038,7 @@ a0132:= integrate(t0132,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 163
 
---S 164 of 512
+--S 164 of 512ok to fail. due to 2 answers (see above)
 m0132:= a0132-r0132
 --R 
 --R
@@ -2065,7 +2079,15 @@ r0133:= -1/8*(-1+x)^(1/2)*x*(1+x)^(1/2)+1/4*(-1+x)^(1/2)*x^3*(1+x)^(1/2)-_
 --R                                                    Type: Expression(Integer)
 --E 167
 
---S 168 of 512
+ 
+
+--                  +-----+ +-----+           3      +-----+ +-----+
+--         - log(- \|x - 1 \|x + 1  - x) + (2x  - x)\|x - 1 \|x + 1
+--   (75)  ---------------------------------------------------------
+--                                     8
+--                                         Type: Union(Expression(Integer),...)
+
+--S 168 of 512 ok to fail. seems there are 2 answers (see above)
 a0133:= integrate(t0133,x)
 --R 
 --R
@@ -2076,7 +2098,7 @@ a0133:= integrate(t0133,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 168
 
---S 169 of 512
+--S 169 of 512 ok to fail. due to 2 answers (see above)
 m0133:= a0133-r0133
 --R 
 --R
@@ -2121,7 +2143,15 @@ r0134:= 1/2*(-1+x)^(1/2)*x*(1+x)^(1/2)-1/2*acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 172
 
---S 173 of 512
+ 
+
+--                +-----+ +-----+          +-----+ +-----+
+--         - log(\|x - 1 \|x + 1  + x) + x\|x - 1 \|x + 1
+--   (80)  -----------------------------------------------
+--                                2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 173 of 512 ok to fail. seems there are 2 answers (see above)
 a0134:= integrate(t0134,x)
 --R 
 --R
@@ -2137,7 +2167,7 @@ a0134:= integrate(t0134,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 173
 
---S 174 of 512
+--S 174 of 512 ok to fail. due to 2 answers, see above
 m0134:= a0134-r0134
 --R 
 --R
@@ -2185,7 +2215,15 @@ r0135:= -(-1+x)^(1/2)*(1+x)^(1/2)/x+acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 177
 
---S 178 of 512
+ 
+
+--                      +-----+ +-----+           +-----+ +-----+
+--         - 16x log(- \|x - 1 \|x + 1  + x) - 16\|x - 1 \|x + 1  + 19x
+--   (85)  ------------------------------------------------------------
+--                                      16x
+--                                         Type: Union(Expression(Integer),...)
+
+--S 178 of 512 ok to fail. seems there are 2 answers (see above)
 a0135:= integrate(t0135,x)
 --R 
 --R
@@ -2196,7 +2234,7 @@ a0135:= integrate(t0135,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 178
 
---S 179 of 512
+--S 179 of 512 ok to fail. due to 2 answers (see above)
 m0135:= a0135-r0135
 --R 
 --R
@@ -2241,7 +2279,15 @@ r0136:= asinh(1/2*(1+2*x)^(1/2)*2^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 182
 
---S 183 of 512
+ 
+
+--                  +------+ +------+
+--           log(- \|2x + 1 \|2x + 3  + 2x + 2)
+--   (90)  - ----------------------------------
+--                            2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 183 of 512 ok to fail. seems there are 2 answers (see above)
 a0136:= integrate(t0136,x)
 --R 
 --R
@@ -2250,7 +2296,7 @@ a0136:= integrate(t0136,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 183
 
---S 184 of 512
+--S 184 of 512 ok to fail. due to 2 answers (see above)
 m0136:= a0136-r0136
 --R 
 --R
@@ -2294,7 +2340,18 @@ r0137:= 1/3*6^(1/2)*atan(1/2*6^(1/2)*(-2+3*x)^(1/2)/(3+5*x)^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 187
 
---S 188 of 512
+ 
+
+--                             +-+ +-+ +------+ +------+               +-+ +-+
+--            +-+ +-+     3192\|2 \|3 \|3x - 2 \|5x + 3  + (67x + 804)\|2 \|3
+--           \|2 \|3 atan(----------------------------------------------------)
+--                                    +------+ +------+
+--                                804\|3x - 2 \|5x + 3  - 1596x - 19152
+--   (95)  - ------------------------------------------------------------------
+--                                            6
+--                                         Type: Union(Expression(Integer),...)
+
+--S 188 of 512 ok to fail. seems there are 2 answers (see above)
 a0137:= integrate(t0137,x)
 --R 
 --R
@@ -2308,7 +2365,7 @@ a0137:= integrate(t0137,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 188
 
---S 189 of 512
+--S 189 of 512 ok to fail. due to 2 answers (see above)
 m0137:= a0137-r0137
 --R 
 --R
@@ -2363,7 +2420,20 @@ r0138:= -1/(-1+x)^(1/2)/(1+x)^(1/2)-2*atan((-1+x)^(1/2)/(1+x)^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 192
 
---S 193 of 512
+ 
+
+--   (100)
+--                       +-----+ +-----+
+--       2           416\|x - 1 \|x + 1  + 87       +-----+ +-----+      2
+--   (24x  - 24)atan(------------------------) - 24\|x - 1 \|x + 1  + 19x  - 19
+--                      +-----+ +-----+
+--                   87\|x - 1 \|x + 1  - 416
+--   --------------------------------------------------------------------------
+--                                       2
+--                                    24x  - 24
+--                                         Type: Union(Expression(Integer),...)
+
+--S 193 of 512 ok to fail. seems there are 2 answers (see above)
 a0138:= integrate(t0138,x)
 --R 
 --R
@@ -2379,7 +2449,7 @@ a0138:= integrate(t0138,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 193
 
---S 194 of 512
+--S 194 of 512 ok to fail. due to 2 answers (see above)
 m0138:= a0138-r0138
 --R 
 --R
@@ -2538,7 +2608,25 @@ r0141:= 1/2*x^2+(2+x)^(1/2)*(3+x)^(1/2)-5*asinh((2+x)^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 207
 
---S 208 of 512
+ 
+
+--   (115)
+--                          +-----+ +-----+       2
+--         ((- 640x - 1600)\|x + 2 \|x + 3  - 640x  - 3200x - 3920)
+--      *
+--              +-----+    +-----+
+--         log(\|x + 3  + \|x + 2 )
+--     + 
+--           3       2               +-----+ +-----+      4       3       2
+--       (64x  + 288x  + 232x - 236)\|x + 2 \|x + 3  + 64x  + 448x  + 944x  + 328x
+--     + 
+--       - 579
+--  /
+--                  +-----+ +-----+       2
+--     (128x + 320)\|x + 2 \|x + 3  + 128x  + 640x + 784
+--                                         Type: Union(Expression(Integer),...)
+
+--S 208 of 512 ok to fail. seems there are 2 answers (see above)
 a0141:= integrate(t0141,x)
 --R 
 --R
@@ -2549,7 +2637,7 @@ a0141:= integrate(t0141,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 208
 
---S 209 of 512
+--S 209 of 512 ok to fail. due to 2 answers (see above)
 m0141:= a0141-r0141
 --R 
 --R
@@ -10751,7 +10839,16 @@ r0184:= (1-x^2)^(1/2)-atanh((1-x^2)^(1/2))+log(x)
 --R                                                    Type: Expression(Integer)
 --E 422
 
---S 423 of 512
+ 
+
+--                   +-------+ +-----+
+--                - \|- x + 1 \|x + 1  - 1     +-------+ +-----+
+--   (291)  - log(------------------------) + \|- x + 1 \|x + 1
+--                            2
+--                           x
+--                                         Type: Union(Expression(Integer),...)
+
+--S 423 of 512 ok to fail. seems there are 2 answers (see above)
 a0184:= integrate(t0184,x)
 --R 
 --R
@@ -10763,7 +10860,7 @@ a0184:= integrate(t0184,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 423
 
---S 424 of 512
+--S 424 of 512 ok to fail. due to 2 answers (see above)
 m0184:= a0184-r0184
 --R 
 --R
@@ -10818,7 +10915,15 @@ r0185:= 1/2*x^2-1/2*(-1+x)^(1/2)*x*(1+x)^(1/2)+1/2*acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 427
 
---S 428 of 512
+ 
+
+--                   +-----+ +-----+          +-----+ +-----+    2
+--          - log(- \|x - 1 \|x + 1  + x) - x\|x - 1 \|x + 1  + x
+--   (296)  ------------------------------------------------------
+--                                     2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 428 of 512 ok to fail. seems there are 2 answers (see above)
 a0185:= integrate(t0185,x)
 --R 
 --R
@@ -10829,7 +10934,7 @@ a0185:= integrate(t0185,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 428
 
---S 429 of 512
+--S 429 of 512 ok to fail. due to 2 answers (see above)
 m0185:= a0185-r0185
 --R 
 --R
@@ -12523,7 +12628,17 @@ r0193:= -1/2*x-1/2*(-(-2+x)*x)^(1/2)+atanh((2-x)^(1/2)/x^(1/2))-1/2*log(1-x)
 --R                                                    Type: Expression(Integer)
 --E 467
 
---S 468 of 512
+
+--                 +-------+ +-+
+--              - \|- x + 2 \|x  - 1     +-------+ +-+
+--          log(--------------------) - \|- x + 2 \|x  - x
+--                    2
+--                   x  - 2x + 1
+--   (324)  ----------------------------------------------
+--                                 2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 468 of 512 ok to fail. seems there are 2 answers (see above)
 a0193:= integrate(t0193,x)
 --R 
 --R
@@ -12537,7 +12652,7 @@ a0193:= integrate(t0193,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 468
 
---S 469 of 512
+--S 469 of 512 ok to fail. due to 2 answers (see above)
 m0193:= a0193-r0193
 --R 
 --R
diff --git a/src/input/richalgebraic400-461.input.pamphlet b/src/input/richalgebraic400-461.input.pamphlet
index 27f16b7..df05911 100644
--- a/src/input/richalgebraic400-461.input.pamphlet
+++ b/src/input/richalgebraic400-461.input.pamphlet
@@ -204,7 +204,15 @@ r0403:= x^(1/2)*(1+x)^(1/2)-asinh(x^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 17
 
---S 18 of 324
+ 
+
+--                   +-+ +-----+               +-+ +-----+
+--         - log(- 2\|x \|x + 1  - 2x - 1) + 2\|x \|x + 1
+--   (18)  -----------------------------------------------
+--                                2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 18 of 324 ok to fail due to sign difference (see above)
 a0403:= integrate(t0403,x)
 --R 
 --R
@@ -215,7 +223,15 @@ a0403:= integrate(t0403,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 18
 
---S 19 of 324
+ 
+
+--                   +-+ +-----+                     +-+
+--         - log(- 2\|x \|x + 1  - 2x - 1) + 2asinh(\|x )
+--   (19)  ----------------------------------------------
+--                                2
+--                                                    Type: Expression(Integer)
+
+--S 19 of 324 ok to fail due to sign difference (see above)
 m0403:= a0403-r0403
 --R 
 --R
@@ -255,7 +271,15 @@ r0404:= (-1+x)^(1/2)*x^(1/2)-asinh((-1+x)^(1/2))
 --R                                                    Type: Expression(Integer)
 --E 22
 
---S 23 of 324
+ 
+
+--                 +-----+ +-+               +-----+ +-+
+--         - log(2\|x - 1 \|x  + 2x - 1) + 2\|x - 1 \|x
+--   (23)  ---------------------------------------------
+--                               2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 23 of 324 ok to fail due to sign difference (see above)
 a0404:= integrate(t0404,x)
 --R 
 --R
@@ -266,7 +290,15 @@ a0404:= integrate(t0404,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 23
 
---S 24 of 324
+ 
+
+--                 +-----+ +-+                     +-----+
+--         - log(2\|x - 1 \|x  + 2x - 1) + 2asinh(\|x - 1 )
+--   (24)  ------------------------------------------------
+--                                 2
+--                                                    Type: Expression(Integer)
+
+--S 24 of 324 ok to fail due to sign difference (see above)
 m0404:= a0404-r0404
 --R 
 --R
diff --git a/src/input/richhyper1000-1098.input.pamphlet b/src/input/richhyper1000-1098.input.pamphlet
index c27c7f6..5e4c6ca 100644
--- a/src/input/richhyper1000-1098.input.pamphlet
+++ b/src/input/richhyper1000-1098.input.pamphlet
@@ -16,6 +16,7 @@
 )spool richhyper1000-1098.output
 )set message auto off
 )clear all
+ 
 
 --S 1 of 531
 t1000:= sech(6*x)*sinh(x)
@@ -558,11 +559,14 @@ d1000:= D(m1000,x)
 --R                                                    Type: Expression(Integer)
 --E 5
 
+)clear all
+
+
 --S 6 of 531
 t1001:= csch(2*x)*sinh(x)
 --R 
 --R
---R   (6)  csch(2x)sinh(x)
+--R   (1)  csch(2x)sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 6
 
@@ -571,7 +575,7 @@ r1001:= 1/2*atan(sinh(x))
 --R 
 --R
 --R        atan(sinh(x))
---R   (7)  -------------
+--R   (2)  -------------
 --R              2
 --R                                                    Type: Expression(Integer)
 --E 7
@@ -580,7 +584,7 @@ r1001:= 1/2*atan(sinh(x))
 a1001:= integrate(t1001,x)
 --R 
 --R
---R   (8)  atan(sinh(x) + cosh(x))
+--R   (3)  atan(sinh(x) + cosh(x))
 --R                                         Type: Union(Expression(Integer),...)
 --E 8
 
@@ -589,7 +593,7 @@ m1001:= a1001-r1001
 --R 
 --R
 --R        2atan(sinh(x) + cosh(x)) - atan(sinh(x))
---R   (9)  ----------------------------------------
+--R   (4)  ----------------------------------------
 --R                            2
 --R                                                    Type: Expression(Integer)
 --E 9
@@ -598,7 +602,7 @@ m1001:= a1001-r1001
 d1001:= D(m1001,x)
 --R 
 --R
---R   (10)
+--R   (5)
 --R             3                 2              2                      3
 --R     2sinh(x)  + cosh(x)sinh(x)  + (- 2cosh(x)  + 2)sinh(x) - cosh(x)  + cosh(x)
 --R  /
@@ -610,11 +614,14 @@ d1001:= D(m1001,x)
 --R                                                    Type: Expression(Integer)
 --E 10
 
+)clear all
+
+
 --S 11 of 531
 t1002:= csch(3*x)*sinh(x)
 --R 
 --R
---R   (11)  csch(3x)sinh(x)
+--R   (1)  csch(3x)sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 11
 
@@ -622,12 +629,12 @@ t1002:= csch(3*x)*sinh(x)
 r1002:= 1/3*atan(1/3*tanh(x)*3^(1/2))*3^(1/2)
 --R 
 --R
---R                   +-+
---R          +-+     \|3 tanh(x)
---R         \|3 atan(-----------)
---R                       3
---R   (12)  ---------------------
---R                   3
+--R                  +-+
+--R         +-+     \|3 tanh(x)
+--R        \|3 atan(-----------)
+--R                      3
+--R   (2)  ---------------------
+--R                  3
 --R                                                    Type: Expression(Integer)
 --E 12
 
@@ -635,13 +642,13 @@ r1002:= 1/3*atan(1/3*tanh(x)*3^(1/2))*3^(1/2)
 a1002:= integrate(t1002,x)
 --R 
 --R
---R                 +-+            +-+
---R                \|3 sinh(x) + 3\|3 cosh(x)
---R           atan(--------------------------)
---R                    3sinh(x) - 3cosh(x)
---R   (13)  - --------------------------------
---R                          +-+
---R                         \|3
+--R                +-+            +-+
+--R               \|3 sinh(x) + 3\|3 cosh(x)
+--R          atan(--------------------------)
+--R                   3sinh(x) - 3cosh(x)
+--R   (3)  - --------------------------------
+--R                         +-+
+--R                        \|3
 --R                                         Type: Union(Expression(Integer),...)
 --E 13
 
@@ -649,13 +656,13 @@ a1002:= integrate(t1002,x)
 m1002:= a1002-r1002
 --R 
 --R
---R                 +-+                 +-+            +-+
---R                \|3 tanh(x)         \|3 sinh(x) + 3\|3 cosh(x)
---R         - atan(-----------) - atan(--------------------------)
---R                     3                  3sinh(x) - 3cosh(x)
---R   (14)  ------------------------------------------------------
---R                                   +-+
---R                                  \|3
+--R                +-+                 +-+            +-+
+--R               \|3 tanh(x)         \|3 sinh(x) + 3\|3 cosh(x)
+--R        - atan(-----------) - atan(--------------------------)
+--R                    3                  3sinh(x) - 3cosh(x)
+--R   (4)  ------------------------------------------------------
+--R                                  +-+
+--R                                 \|3
 --R                                                    Type: Expression(Integer)
 --E 14
 
@@ -663,19 +670,22 @@ m1002:= a1002-r1002
 d1002:= D(m1002,x)
 --R 
 --R
---R                              2       2           2
---R                      4cosh(x) tanh(x)  - 4sinh(x)
---R   (15)  ------------------------------------------------------
---R                 2           2        2           2           2
---R         (sinh(x)  + 3cosh(x) )tanh(x)  + 3sinh(x)  + 9cosh(x)
+--R                             2       2           2
+--R                     4cosh(x) tanh(x)  - 4sinh(x)
+--R   (5)  ------------------------------------------------------
+--R                2           2        2           2           2
+--R        (sinh(x)  + 3cosh(x) )tanh(x)  + 3sinh(x)  + 9cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 15
 
+)clear all
+
+
 --S 16 of 531
 t1003:= csch(4*x)*sinh(x)
 --R 
 --R
---R   (16)  csch(4x)sinh(x)
+--R   (1)  csch(4x)sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 16
 
@@ -683,10 +693,10 @@ t1003:= csch(4*x)*sinh(x)
 r1003:= -1/4*atan(sinh(x))+1/4*atan(2^(1/2)*sinh(x))*2^(1/2)
 --R 
 --R
---R          +-+      +-+
---R         \|2 atan(\|2 sinh(x)) - atan(sinh(x))
---R   (17)  -------------------------------------
---R                           4
+--R         +-+      +-+
+--R        \|2 atan(\|2 sinh(x)) - atan(sinh(x))
+--R   (2)  -------------------------------------
+--R                          4
 --R                                                    Type: Expression(Integer)
 --E 17
 
@@ -694,7 +704,7 @@ r1003:= -1/4*atan(sinh(x))+1/4*atan(2^(1/2)*sinh(x))*2^(1/2)
 a1003:= integrate(t1003,x)
 --R 
 --R
---R   (18)
+--R   (3)
 --R             +-+           +-+
 --R            \|2 sinh(x) + \|2 cosh(x)     +-+
 --R       atan(-------------------------) - \|2 atan(sinh(x) + cosh(x))
@@ -715,7 +725,7 @@ a1003:= integrate(t1003,x)
 m1003:= a1003-r1003
 --R 
 --R
---R   (19)
+--R   (4)
 --R                                     +-+           +-+
 --R                +-+                 \|2 sinh(x) + \|2 cosh(x)
 --R       - 2atan(\|2 sinh(x)) + 2atan(-------------------------)
@@ -739,7 +749,7 @@ m1003:= a1003-r1003
 d1003:= D(m1003,x)
 --R 
 --R
---R   (20)
+--R   (5)
 --R                  11                   10                2             9
 --R       - 12sinh(x)   - 60cosh(x)sinh(x)   + (- 108cosh(x)  - 62)sinh(x)
 --R     + 
@@ -805,11 +815,14 @@ d1003:= D(m1003,x)
 --R                                                    Type: Expression(Integer)
 --E 20
 
+)clear all
+
+
 --S 21 of 531
 t1004:= csch(5*x)*sinh(x)
 --R 
 --R
---R   (21)  csch(5x)sinh(x)
+--R   (1)  csch(5x)sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 21
 
@@ -818,7 +831,7 @@ r1004:= -1/10*(10+2*5^(1/2))^(1/2)*atan(1/5*(25-10*5^(1/2))^(1/2)*tanh(x))+_
         1/10*(10-2*5^(1/2))^(1/2)*atan(1/5*(25+10*5^(1/2))^(1/2)*tanh(x))
 --R 
 --R
---R   (22)
+--R   (2)
 --R                                   +-----------+
 --R        +------------+             |   +-+
 --R        |    +-+           tanh(x)\|10\|5  + 25
@@ -839,7 +852,7 @@ r1004:= -1/10*(10+2*5^(1/2))^(1/2)*atan(1/5*(25-10*5^(1/2))^(1/2)*tanh(x))+_
 a1004:= integrate(t1004,x)
 --R 
 --R
---R   (23)
+--R   (3)
 --R     -
 --R           +--------+
 --R           | +-+
@@ -882,7 +895,7 @@ a1004:= integrate(t1004,x)
 m1004:= a1004-r1004
 --R 
 --R
---R   (24)
+--R   (4)
 --R                                     +-----------+
 --R          +------------+             |   +-+
 --R          |    +-+           tanh(x)\|10\|5  + 25
@@ -939,7 +952,7 @@ m1004:= a1004-r1004
 d1004:= D(m1004,x)
 --R 
 --R
---R   (25)
+--R   (5)
 --R                    +-+            8         +-+                    7
 --R               (- 2\|5  + 5)sinh(x)  + (- 16\|5  + 40)cosh(x)sinh(x)
 --R             + 
@@ -1265,11 +1278,14 @@ d1004:= D(m1004,x)
 --R                                                    Type: Expression(Integer)
 --E 25
 
+)clear all
+
+
 --S 26 of 531
 t1005:= csch(6*x)*sinh(x)
 --R 
 --R
---R   (26)  csch(6x)sinh(x)
+--R   (1)  csch(6x)sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 26
 
@@ -1278,12 +1294,12 @@ r1005:= 1/6*atan(sinh(x))+1/6*atan(2*sinh(x))-_
         1/6*atan(2/3*sinh(x)*3^(1/2))*3^(1/2)
 --R 
 --R
---R                      +-+
---R            +-+     2\|3 sinh(x)
---R         - \|3 atan(------------) + atan(2sinh(x)) + atan(sinh(x))
---R                          3
---R   (27)  ---------------------------------------------------------
---R                                     6
+--R                     +-+
+--R           +-+     2\|3 sinh(x)
+--R        - \|3 atan(------------) + atan(2sinh(x)) + atan(sinh(x))
+--R                         3
+--R   (2)  ---------------------------------------------------------
+--R                                    6
 --R                                                    Type: Expression(Integer)
 --E 27
 
@@ -1291,7 +1307,7 @@ r1005:= 1/6*atan(sinh(x))+1/6*atan(2*sinh(x))-_
 a1005:= integrate(t1005,x)
 --R 
 --R
---R   (28)
+--R   (3)
 --R                +-+           +-+
 --R               \|3 sinh(x) + \|3 cosh(x)
 --R       - 3atan(-------------------------)
@@ -1320,7 +1336,7 @@ a1005:= integrate(t1005,x)
 m1005:= a1005-r1005
 --R 
 --R
---R   (29)
+--R   (4)
 --R               +-+                  +-+           +-+
 --R             2\|3 sinh(x)          \|3 sinh(x) + \|3 cosh(x)
 --R       3atan(------------) - 3atan(-------------------------)
@@ -1349,7 +1365,7 @@ m1005:= a1005-r1005
 d1005:= D(m1005,x)
 --R 
 --R
---R   (30)
+--R   (5)
 --R                17                    16               2              15
 --R       32sinh(x)   + 288cosh(x)sinh(x)   + (1120cosh(x)  + 192)sinh(x)
 --R     + 
@@ -1562,12 +1578,15 @@ d1005:= D(m1005,x)
 --R                                                    Type: Expression(Integer)
 --E 30
 
+)clear all
+
+
 --S 31 of 531
 t1006:= x*cosh(2*x)*sech(x)^2
 --R 
 --R
---R                          2
---R   (31)  x cosh(2x)sech(x)
+--R                         2
+--R   (1)  x cosh(2x)sech(x)
 --R                                                    Type: Expression(Integer)
 --E 31
 
@@ -1575,8 +1594,8 @@ t1006:= x*cosh(2*x)*sech(x)^2
 r1006:= x^2+log(cosh(x))-x*tanh(x)
 --R 
 --R
---R                                     2
---R   (32)  log(cosh(x)) - x tanh(x) + x
+--R                                    2
+--R   (2)  log(cosh(x)) - x tanh(x) + x
 --R                                                    Type: Expression(Integer)
 --E 32
 
@@ -1584,7 +1603,7 @@ r1006:= x^2+log(cosh(x))-x*tanh(x)
 a1006:= integrate(t1006,x)
 --R 
 --R
---R   (33)
+--R   (3)
 --R               2                            2                2cosh(x)
 --R       (sinh(x)  + 2cosh(x)sinh(x) + cosh(x)  + 1)log(- -----------------)
 --R                                                        sinh(x) - cosh(x)
@@ -1601,7 +1620,7 @@ a1006:= integrate(t1006,x)
 m1006:= a1006-r1006
 --R 
 --R
---R   (34)
+--R   (4)
 --R                 2                            2
 --R       (- sinh(x)  - 2cosh(x)sinh(x) - cosh(x)  - 1)log(cosh(x))
 --R     + 
@@ -1624,7 +1643,7 @@ m1006:= a1006-r1006
 d1006:= D(m1006,x)
 --R 
 --R
---R   (35)
+--R   (5)
 --R                      4                    3                2             2
 --R           - x sinh(x)  - 4x cosh(x)sinh(x)  + (- 6x cosh(x)  - 2x)sinh(x)
 --R         + 
@@ -1659,12 +1678,15 @@ d1006:= D(m1006,x)
 --R                                                    Type: Expression(Integer)
 --E 35
 
+)clear all
+
+
 --S 36 of 531
 t1007:= x*cosh(2*x)*sech(x)^3
 --R 
 --R
---R                          3
---R   (36)  x cosh(2x)sech(x)
+--R                         3
+--R   (1)  x cosh(2x)sech(x)
 --R                                                    Type: Expression(Integer)
 --E 36
 
@@ -1691,10 +1713,10 @@ r1007:= 3*x*atan(exp(x))-3/2*%i*polylog(2,-%i*exp(x))+_
 a1007:= integrate(t1007,x)
 --R 
 --R
---R            x
---R          ++                      3
---I   (37)   |   %Q cosh(2%Q)sech(%Q) d%Q
---R         ++
+--R           x
+--R         ++                      3
+--I   (2)   |   %U cosh(2%U)sech(%U) d%U
+--R        ++
 --R                                         Type: Union(Expression(Integer),...)
 --E 38
 
@@ -1706,15 +1728,18 @@ a1007:= integrate(t1007,x)
 --d1007:= D(m1007,x)
 --E 40
 
+)clear all
+
+
 --S 41 of 531
 t1008:= sinh(a+b*x)^(1/2)/cosh(a+b*x)^(1/2)
 --R 
 --R
---R          +-------------+
---R         \|sinh(b x + a)
---R   (38)  ----------------
---R          +-------------+
---R         \|cosh(b x + a)
+--R         +-------------+
+--R        \|sinh(b x + a)
+--R   (1)  ----------------
+--R         +-------------+
+--R        \|cosh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 41
 
@@ -1723,13 +1748,13 @@ r1008:= -(atan(sinh(a+b*x)^(1/2)/cosh(a+b*x)^(1/2))-_
         atanh(sinh(a+b*x)^(1/2)/cosh(a+b*x)^(1/2)))/b
 --R 
 --R
---R                +-------------+          +-------------+
---R               \|sinh(b x + a)          \|sinh(b x + a)
---R         atanh(----------------) - atan(----------------)
---R                +-------------+          +-------------+
---R               \|cosh(b x + a)          \|cosh(b x + a)
---R   (39)  ------------------------------------------------
---R                                 b
+--R               +-------------+          +-------------+
+--R              \|sinh(b x + a)          \|sinh(b x + a)
+--R        atanh(----------------) - atan(----------------)
+--R               +-------------+          +-------------+
+--R              \|cosh(b x + a)          \|cosh(b x + a)
+--R   (2)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 42
 
@@ -1752,15 +1777,18 @@ a1008:= integrate(t1008,x)
 --d1008:= D(m1008,x)
 --E 45
 
+)clear all
+
+
 --S 46 of 531
 t1009:= cosh(a+b*x)^(1/2)/sinh(a+b*x)^(1/2)
 --R 
 --R
---R          +-------------+
---R         \|cosh(b x + a)
---R   (40)  ----------------
---R          +-------------+
---R         \|sinh(b x + a)
+--R         +-------------+
+--R        \|cosh(b x + a)
+--R   (1)  ----------------
+--R         +-------------+
+--R        \|sinh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 46
 
@@ -1769,13 +1797,13 @@ r1009:= -(atan(cosh(a+b*x)^(1/2)/sinh(a+b*x)^(1/2))-_
         atanh(cosh(a+b*x)^(1/2)/sinh(a+b*x)^(1/2)))/b
 --R 
 --R
---R                +-------------+          +-------------+
---R               \|cosh(b x + a)          \|cosh(b x + a)
---R         atanh(----------------) - atan(----------------)
---R                +-------------+          +-------------+
---R               \|sinh(b x + a)          \|sinh(b x + a)
---R   (41)  ------------------------------------------------
---R                                 b
+--R               +-------------+          +-------------+
+--R              \|cosh(b x + a)          \|cosh(b x + a)
+--R        atanh(----------------) - atan(----------------)
+--R               +-------------+          +-------------+
+--R              \|sinh(b x + a)          \|sinh(b x + a)
+--R   (2)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 47
 
@@ -1798,15 +1826,18 @@ a1009:= integrate(t1009,x)
 --d1009:= D(m1009,x)
 --E 50
 
+)clear all
+
+
 --S 51 of 531
 t1010:= sinh(a+b*x)^(1/3)/cosh(a+b*x)^(1/3)
 --R 
 --R
---R         3+-------------+
---R         \|sinh(b x + a)
---R   (42)  ----------------
---R         3+-------------+
---R         \|cosh(b x + a)
+--R        3+-------------+
+--R        \|sinh(b x + a)
+--R   (1)  ----------------
+--R        3+-------------+
+--R        \|cosh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 51
 
@@ -1817,7 +1848,7 @@ r1010:= -1/2*3^(1/2)*atan(1/3*(1+2*sinh(a+b*x)^(2/3)/cosh(a+b*x)^(2/3))*_
         sinh(a+b*x)^(4/3)/cosh(a+b*x)^(4/3))/b
 --R 
 --R
---R   (43)
+--R   (2)
 --R       log
 --R                           3+-------------+2
 --R              cosh(b x + a)\|sinh(b x + a)
@@ -1866,15 +1897,18 @@ a1010:= integrate(t1010,x)
 --d1010:= D(m1010,x)
 --E 55
 
+)clear all
+
+
 --S 56 of 531
 t1011:= cosh(a+b*x)^(1/3)/sinh(a+b*x)^(1/3)
 --R 
 --R
---R         3+-------------+
---R         \|cosh(b x + a)
---R   (44)  ----------------
---R         3+-------------+
---R         \|sinh(b x + a)
+--R        3+-------------+
+--R        \|cosh(b x + a)
+--R   (1)  ----------------
+--R        3+-------------+
+--R        \|sinh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 56
 
@@ -1885,7 +1919,7 @@ r1011:= -1/2*3^(1/2)*atan(1/3*(1+2*cosh(a+b*x)^(2/3)/sinh(a+b*x)^(2/3))*_
         cosh(a+b*x)^(2/3)/sinh(a+b*x)^(2/3))/b
 --R 
 --R
---R   (45)
+--R   (2)
 --R       log
 --R                           3+-------------+2
 --R              sinh(b x + a)\|sinh(b x + a)
@@ -1934,15 +1968,18 @@ a1011:= integrate(t1011,x)
 --d1011:= D(m1011,x)
 --E 60
 
+)clear all
+
+
 --S 61 of 531
 t1012:= cosh(x)^(2/3)/sinh(x)^(8/3)
 --R 
 --R
---R             3+-------+2
---R             \|cosh(x)
---R   (46)  -------------------
---R                2 3+-------+2
---R         sinh(x)  \|sinh(x)
+--R            3+-------+2
+--R            \|cosh(x)
+--R   (1)  -------------------
+--R               2 3+-------+2
+--R        sinh(x)  \|sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 61
 
@@ -1950,84 +1987,124 @@ t1012:= cosh(x)^(2/3)/sinh(x)^(8/3)
 r1012:= -3/5*cosh(x)^(5/3)/sinh(x)^(5/3)
 --R 
 --R
---R                   3+-------+2
---R           3cosh(x)\|cosh(x)
---R   (47)  - -------------------
---R                   3+-------+2
---R           5sinh(x)\|sinh(x)
+--R                  3+-------+2
+--R          3cosh(x)\|cosh(x)
+--R   (2)  - -------------------
+--R                  3+-------+2
+--R          5sinh(x)\|sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 62
 
---S 63 of 531
+ 
+--
+--   (3)
+--                         3                      2
+--           - 31914sinh(x)  - 95742cosh(x)sinh(x)
+--         + 
+--                          2                               3
+--           (- 95742cosh(x)  - 31914)sinh(x) - 31914cosh(x)  - 31914cosh(x)
+--      *
+--         3+-------+2 3+-------+
+--         \|cosh(x)   \|sinh(x)
+--     + 
+--                   4                       3                 2                 2
+--       61805sinh(x)  + 247220cosh(x)sinh(x)  + (370830cosh(x)  - 123610)sinh(x)
+--     + 
+--                     3                                       4                2
+--       (247220cosh(x)  - 247220cosh(x))sinh(x) + 61805cosh(x)  - 123610cosh(x)
+--     + 
+--       61805
+--  /
+--                   4                       3                 2                2
+--       26595sinh(x)  + 106380cosh(x)sinh(x)  + (159570cosh(x)  - 53190)sinh(x)
+--     + 
+--                     3                                       4               2
+--       (106380cosh(x)  - 106380cosh(x))sinh(x) + 26595cosh(x)  - 53190cosh(x)
+--     + 
+--       26595
+--                                         Type: Union(Expression(Integer),...)
+
+--S 63 of 531 ok to fail. seems there are 2 answers (see above)
 a1012:= integrate(t1012,x)
 --R 
 --R
---R   (48)
---R                        3                      2
---R           - 9234sinh(x)  - 27702cosh(x)sinh(x)
+--R   (3)
+--R                         3                      2
+--R           - 30294sinh(x)  - 90882cosh(x)sinh(x)
 --R         + 
---R                          2                             3
---R           (- 27702cosh(x)  - 9234)sinh(x) - 9234cosh(x)  - 9234cosh(x)
+--R                          2                               3
+--R           (- 90882cosh(x)  - 30294)sinh(x) - 30294cosh(x)  - 30294cosh(x)
 --R      *
 --R         3+-------+2 3+-------+
 --R         \|cosh(x)   \|sinh(x)
 --R     + 
---R                  4                     3                2               2
---R       1745sinh(x)  + 6980cosh(x)sinh(x)  + (10470cosh(x)  - 3490)sinh(x)
+--R                   4                       3                 2                2
+--R       30605sinh(x)  + 122420cosh(x)sinh(x)  + (183630cosh(x)  - 61210)sinh(x)
+--R     + 
+--R                     3                                       4               2
+--R       (122420cosh(x)  - 122420cosh(x))sinh(x) + 30605cosh(x)  - 61210cosh(x)
 --R     + 
---R                   3                                    4              2
---R       (6980cosh(x)  - 6980cosh(x))sinh(x) + 1745cosh(x)  - 3490cosh(x)  + 1745
+--R       30605
 --R  /
---R                  4                      3                2                2
---R       7695sinh(x)  + 30780cosh(x)sinh(x)  + (46170cosh(x)  - 15390)sinh(x)
+--R                   4                       3                 2                2
+--R       25245sinh(x)  + 100980cosh(x)sinh(x)  + (151470cosh(x)  - 50490)sinh(x)
 --R     + 
---R                  3                                     4               2
---R     (30780cosh(x)  - 30780cosh(x))sinh(x) + 7695cosh(x)  - 15390cosh(x)  + 7695
+--R                     3                                       4               2
+--R       (100980cosh(x)  - 100980cosh(x))sinh(x) + 25245cosh(x)  - 50490cosh(x)
+--R     + 
+--R       25245
 --R                                         Type: Union(Expression(Integer),...)
 --E 63
 
---S 64 of 531
+--S 64 of 531 ok to fail. due to 2 answers (see above)
 m1012:= a1012-r1012
 --R 
 --R
---R   (49)
---R                      5                     4                2               3
---R           1745sinh(x)  + 6980cosh(x)sinh(x)  + (10470cosh(x)  - 3490)sinh(x)
+--R   (4)
+--R                       5                       4
+--R           30605sinh(x)  + 122420cosh(x)sinh(x)
 --R         + 
---R                       3                      2
---R           (6980cosh(x)  - 6980cosh(x))sinh(x)
+--R                         2                3
+--R           (183630cosh(x)  - 61210)sinh(x)
 --R         + 
---R                       4              2
---R           (1745cosh(x)  - 3490cosh(x)  + 1745)sinh(x)
+--R                         3                        2
+--R           (122420cosh(x)  - 122420cosh(x))sinh(x)
+--R         + 
+--R                        4               2
+--R           (30605cosh(x)  - 61210cosh(x)  + 30605)sinh(x)
 --R      *
 --R         3+-------+2
 --R         \|sinh(x)
 --R     + 
---R                        5                      4
---R           - 9234sinh(x)  - 23085cosh(x)sinh(x)
+--R                         5                      4
+--R           - 30294sinh(x)  - 75735cosh(x)sinh(x)
 --R         + 
---R                         2               3
---R           (- 9234cosh(x)  - 9234)sinh(x)
+--R                          2                3
+--R           (- 30294cosh(x)  - 30294)sinh(x)
 --R         + 
 --R                        3                       2
---R           (18468cosh(x)  - 18468cosh(x))sinh(x)
+--R           (60588cosh(x)  - 60588cosh(x))sinh(x)
 --R         + 
---R                        4               2                      5              3
---R           (18468cosh(x)  - 18468cosh(x) )sinh(x) + 4617cosh(x)  - 9234cosh(x)
+--R                        4               2                       5
+--R           (60588cosh(x)  - 60588cosh(x) )sinh(x) + 15147cosh(x)
 --R         + 
---R           4617cosh(x)
+--R                         3
+--R           - 30294cosh(x)  + 15147cosh(x)
 --R      *
 --R         3+-------+2
 --R         \|cosh(x)
 --R  /
---R                    5                      4                2                3
---R         7695sinh(x)  + 30780cosh(x)sinh(x)  + (46170cosh(x)  - 15390)sinh(x)
+--R                     5                       4
+--R         25245sinh(x)  + 100980cosh(x)sinh(x)
 --R       + 
---R                      3                       2
---R         (30780cosh(x)  - 30780cosh(x))sinh(x)
+--R                       2                3
+--R         (151470cosh(x)  - 50490)sinh(x)
 --R       + 
---R                     4               2
---R         (7695cosh(x)  - 15390cosh(x)  + 7695)sinh(x)
+--R                       3                        2
+--R         (100980cosh(x)  - 100980cosh(x))sinh(x)
+--R       + 
+--R                      4               2
+--R         (25245cosh(x)  - 50490cosh(x)  + 25245)sinh(x)
 --R    *
 --R       3+-------+2
 --R       \|sinh(x)
@@ -2038,7 +2115,7 @@ m1012:= a1012-r1012
 d1012:= D(m1012,x)
 --R 
 --R
---R   (50)
+--R   (5)
 --R                 9                  8            2       7
 --R       - 4sinh(x)  - 9cosh(x)sinh(x)  + 18cosh(x) sinh(x)
 --R     + 
@@ -2080,15 +2157,18 @@ d1012:= D(m1012,x)
 --R                                                    Type: Expression(Integer)
 --E 65
 
+)clear all
+
+
 --S 66 of 531
 t1013:= sinh(x)^(2/3)/cosh(x)^(8/3)
 --R 
 --R
---R             3+-------+2
---R             \|sinh(x)
---R   (51)  -------------------
---R                2 3+-------+2
---R         cosh(x)  \|cosh(x)
+--R            3+-------+2
+--R            \|sinh(x)
+--R   (1)  -------------------
+--R               2 3+-------+2
+--R        cosh(x)  \|cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 66
 
@@ -2096,51 +2176,75 @@ t1013:= sinh(x)^(2/3)/cosh(x)^(8/3)
 r1013:= 3/5*sinh(x)^(5/3)/cosh(x)^(5/3)
 --R 
 --R
---R                 3+-------+2
---R         3sinh(x)\|sinh(x)
---R   (52)  -------------------
---R                 3+-------+2
---R         5cosh(x)\|cosh(x)
+--R                3+-------+2
+--R        3sinh(x)\|sinh(x)
+--R   (2)  -------------------
+--R                3+-------+2
+--R        5cosh(x)\|cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 67
 
---S 68 of 531
+ 
+--   (3)
+--                       3                      2                2
+--           14250sinh(x)  + 42750cosh(x)sinh(x)  + (42750cosh(x)  - 14250)sinh(x)
+--         + 
+--                       3
+--           14250cosh(x)  - 14250cosh(x)
+--      *
+--         3+-------+3+-------+2
+--         \|cosh(x) \|sinh(x)
+--     + 
+--                    4                      3                  2                2
+--       - 5869sinh(x)  - 23476cosh(x)sinh(x)  + (- 35214cosh(x)  - 11738)sinh(x)
+--     + 
+--                      3                                     4               2
+--       (- 23476cosh(x)  - 23476cosh(x))sinh(x) - 5869cosh(x)  - 11738cosh(x)
+--     + 
+--       - 5869
+--  /
+--                   4                      3                2                2
+--       11875sinh(x)  + 47500cosh(x)sinh(x)  + (71250cosh(x)  + 23750)sinh(x)
+--     + 
+--                    3                                      4               2
+--       (47500cosh(x)  + 47500cosh(x))sinh(x) + 11875cosh(x)  + 23750cosh(x)
+--     + 
+--       11875
+--                                         Type: Union(Expression(Integer),...)
+
+--S 68 of 531 ok to fail. seems there are 2 answers (see above)
 a1013:= integrate(t1013,x)
 --R 
 --R
---R   (53)
---R                       3                      2                2
---R           14250sinh(x)  + 42750cosh(x)sinh(x)  + (42750cosh(x)  - 14250)sinh(x)
+--R   (3)
+--R                     3                    2              2
+--R           150sinh(x)  + 450cosh(x)sinh(x)  + (450cosh(x)  - 150)sinh(x)
 --R         + 
---R                       3
---R           14250cosh(x)  - 14250cosh(x)
+--R                     3
+--R           150cosh(x)  - 150cosh(x)
 --R      *
 --R         3+-------+3+-------+2
 --R         \|cosh(x) \|sinh(x)
 --R     + 
---R                    4                      3                  2                2
---R       - 5869sinh(x)  - 23476cosh(x)sinh(x)  + (- 35214cosh(x)  - 11738)sinh(x)
---R     + 
---R                      3                                     4               2
---R       (- 23476cosh(x)  - 23476cosh(x))sinh(x) - 5869cosh(x)  - 11738cosh(x)
+--R                4                    3              2              2
+--R       67sinh(x)  + 268cosh(x)sinh(x)  + (402cosh(x)  + 134)sinh(x)
 --R     + 
---R       - 5869
+--R                  3                                 4             2
+--R       (268cosh(x)  + 268cosh(x))sinh(x) + 67cosh(x)  + 134cosh(x)  + 67
 --R  /
---R                   4                      3                2                2
---R       11875sinh(x)  + 47500cosh(x)sinh(x)  + (71250cosh(x)  + 23750)sinh(x)
+--R                 4                    3              2              2
+--R       125sinh(x)  + 500cosh(x)sinh(x)  + (750cosh(x)  + 250)sinh(x)
 --R     + 
---R                    3                                      4               2
---R       (47500cosh(x)  + 47500cosh(x))sinh(x) + 11875cosh(x)  + 23750cosh(x)
---R     + 
---R       11875
+--R                  3                                  4             2
+--R       (500cosh(x)  + 500cosh(x))sinh(x) + 125cosh(x)  + 250cosh(x)  + 125
 --R                                         Type: Union(Expression(Integer),...)
 --E 68
 
---S 69 of 531
+--S 69 of 531 ok to fail. due to 2 answers (see above)
 m1013:= a1013-r1013
 --R 
 --R
---R   (54)
+--R   (4)
 --R                      5                    4                2              3
 --R           - 75sinh(x)  - 300cosh(x)sinh(x)  + (- 300cosh(x)  - 150)sinh(x)
 --R         + 
@@ -2153,16 +2257,16 @@ m1013:= a1013-r1013
 --R         3+-------+2
 --R         \|sinh(x)
 --R     + 
---R                             4             2       3
---R           - 32cosh(x)sinh(x)  - 128cosh(x) sinh(x)
+--R                           4             2       3
+--R           67cosh(x)sinh(x)  + 268cosh(x) sinh(x)
 --R         + 
---R                        3                    2
---R           (- 192cosh(x)  - 64cosh(x))sinh(x)
+--R                      3                     2
+--R           (402cosh(x)  + 134cosh(x))sinh(x)
 --R         + 
---R                        4             2                    5            3
---R           (- 128cosh(x)  - 128cosh(x) )sinh(x) - 32cosh(x)  - 64cosh(x)
+--R                      4             2                    5             3
+--R           (268cosh(x)  + 268cosh(x) )sinh(x) + 67cosh(x)  + 134cosh(x)
 --R         + 
---R           - 32cosh(x)
+--R           67cosh(x)
 --R      *
 --R         3+-------+2
 --R         \|cosh(x)
@@ -2185,7 +2289,7 @@ m1013:= a1013-r1013
 d1013:= D(m1013,x)
 --R 
 --R
---R   (55)
+--R   (5)
 --R               9                   8             2             7
 --R       5sinh(x)  + 30cosh(x)sinh(x)  + (72cosh(x)  + 15)sinh(x)
 --R     + 
@@ -2230,12 +2334,15 @@ d1013:= D(m1013,x)
 --R                                                    Type: Expression(Integer)
 --E 70
 
+)clear all
+
+
 --S 71 of 531
 t1014:= cosh(x)*csch(x)^(7/3)
 --R 
 --R
---R                       2 3+-------+
---R   (56)  cosh(x)csch(x)  \|csch(x)
+--R                      2 3+-------+
+--R   (1)  cosh(x)csch(x)  \|csch(x)
 --R                                                    Type: Expression(Integer)
 --E 71
 
@@ -2243,10 +2350,10 @@ t1014:= cosh(x)*csch(x)^(7/3)
 r1014:= -3/4*csch(x)^(4/3)
 --R 
 --R
---R                   3+-------+
---R           3csch(x)\|csch(x)
---R   (57)  - ------------------
---R                    4
+--R                  3+-------+
+--R          3csch(x)\|csch(x)
+--R   (2)  - ------------------
+--R                   4
 --R                                                    Type: Expression(Integer)
 --E 72
 
@@ -2254,7 +2361,7 @@ r1014:= -3/4*csch(x)^(4/3)
 a1014:= integrate(t1014,x)
 --R 
 --R
---R   (58)
+--R   (3)
 --R                              +-----------------------------------------+
 --R                              |           2sinh(x) + 2cosh(x)
 --R     (- 3sinh(x) - 3cosh(x))  |-----------------------------------------
@@ -2279,7 +2386,7 @@ a1014:= integrate(t1014,x)
 m1014:= a1014-r1014
 --R 
 --R
---R   (59)
+--R   (4)
 --R                          6                          5
 --R           3csch(x)sinh(x)  + 18cosh(x)csch(x)sinh(x)
 --R         + 
@@ -2325,7 +2432,7 @@ m1014:= a1014-r1014
 d1014:= D(m1014,x)
 --R 
 --R
---R   (60)
+--R   (5)
 --R                    4                   3             2            2
 --R           16sinh(x)  + 64cosh(x)sinh(x)  + (96cosh(x)  + 4)sinh(x)
 --R         + 
@@ -2421,12 +2528,15 @@ d1014:= D(m1014,x)
 --R                                                    Type: Expression(Integer)
 --E 75
 
+)clear all
+
+
 --S 76 of 531
 t1015:= (1+coth(x))^(1/2)*sech(x)^2
 --R 
 --R
---R                2 +-----------+
---R   (61)  sech(x) \|coth(x) + 1
+--R               2 +-----------+
+--R   (1)  sech(x) \|coth(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 76
 
@@ -2434,8 +2544,8 @@ t1015:= (1+coth(x))^(1/2)*sech(x)^2
 r1015:= atanh((1+coth(x))^(1/2))+(1+coth(x))^(1/2)*tanh(x)
 --R 
 --R
---R                +-----------+            +-----------+
---R   (62)  atanh(\|coth(x) + 1 ) + tanh(x)\|coth(x) + 1
+--R               +-----------+            +-----------+
+--R   (2)  atanh(\|coth(x) + 1 ) + tanh(x)\|coth(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 77
 
@@ -2443,7 +2553,7 @@ r1015:= atanh((1+coth(x))^(1/2))+(1+coth(x))^(1/2)*tanh(x)
 a1015:= integrate(t1015,x)
 --R 
 --R
---R   (63)
+--R   (3)
 --R                  12                   11             2            10
 --R           sinh(x)   + 12cosh(x)sinh(x)   + (66cosh(x)  + 8)sinh(x)
 --R         + 
@@ -2733,7 +2843,7 @@ a1015:= integrate(t1015,x)
 m1015:= a1015-r1015
 --R 
 --R
---R   (64)
+--R   (4)
 --R                  12                   11             2            10
 --R           sinh(x)   + 12cosh(x)sinh(x)   + (66cosh(x)  + 8)sinh(x)
 --R         + 
@@ -3133,13 +3243,16 @@ m1015:= a1015-r1015
 --d1015:= D(m1015,x)
 --E 80
 
+)clear all
+
+
 --S 81 of 531
 t1016:= sinh(x)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                sinh(x)
---R   (65)  ---------------------
---R         b sinh(x) + a cosh(x)
+--R               sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 81
 
@@ -3147,10 +3260,10 @@ t1016:= sinh(x)/(a*cosh(x)+b*sinh(x))
 r1016:= (-b*x+a*log(a*cosh(x)+b*sinh(x)))/(a^2-b^2)
 --R 
 --R
---R         - a log(b sinh(x) + a cosh(x)) + b x
---R   (66)  ------------------------------------
---R                         2    2
---R                        b  - a
+--R        - a log(b sinh(x) + a cosh(x)) + b x
+--R   (2)  ------------------------------------
+--R                        2    2
+--R                       b  - a
 --R                                                    Type: Expression(Integer)
 --E 82
 
@@ -3158,12 +3271,12 @@ r1016:= (-b*x+a*log(a*cosh(x)+b*sinh(x)))/(a^2-b^2)
 a1016:= integrate(t1016,x)
 --R 
 --R
---R                 - 2b sinh(x) - 2a cosh(x)
---R         - a log(-------------------------) + (b + a)x
---R                     sinh(x) - cosh(x)
---R   (67)  ---------------------------------------------
---R                             2    2
---R                            b  - a
+--R                - 2b sinh(x) - 2a cosh(x)
+--R        - a log(-------------------------) + (b + a)x
+--R                    sinh(x) - cosh(x)
+--R   (3)  ---------------------------------------------
+--R                            2    2
+--R                           b  - a
 --R                                         Type: Union(Expression(Integer),...)
 --E 83
 
@@ -3171,12 +3284,12 @@ a1016:= integrate(t1016,x)
 m1016:= a1016-r1016
 --R 
 --R
---R                                              - 2b sinh(x) - 2a cosh(x)
---R         a log(b sinh(x) + a cosh(x)) - a log(-------------------------) + a x
---R                                                  sinh(x) - cosh(x)
---R   (68)  ---------------------------------------------------------------------
---R                                         2    2
---R                                        b  - a
+--R                                             - 2b sinh(x) - 2a cosh(x)
+--R        a log(b sinh(x) + a cosh(x)) - a log(-------------------------) + a x
+--R                                                 sinh(x) - cosh(x)
+--R   (4)  ---------------------------------------------------------------------
+--R                                        2    2
+--R                                       b  - a
 --R                                                    Type: Expression(Integer)
 --E 84
 
@@ -3184,18 +3297,21 @@ m1016:= a1016-r1016
 d1016:= D(m1016,x)
 --R 
 --R
---R   (69)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 85
 
+)clear all
+
+
 --S 86 of 531
 t1017:= sinh(x)^2/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                       2
---R                sinh(x)
---R   (70)  ---------------------
---R         b sinh(x) + a cosh(x)
+--R                      2
+--R               sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 86
 
@@ -3204,16 +3320,16 @@ r1017:= -a^2*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
         b*cosh(x)/(a^2-b^2)+a*sinh(x)/(a^2-b^2)
 --R 
 --R
---R                                                                   +---------+
---R          2     a sinh(x) + b cosh(x)                              |   2    2
---R         a atan(---------------------) + (- a sinh(x) + b cosh(x))\|- b  + a
---R                      +---------+
---R                      |   2    2
---R                     \|- b  + a
---R   (71)  ---------------------------------------------------------------------
---R                                           +---------+
---R                                   2    2  |   2    2
---R                                 (b  - a )\|- b  + a
+--R                                                                  +---------+
+--R         2     a sinh(x) + b cosh(x)                              |   2    2
+--R        a atan(---------------------) + (- a sinh(x) + b cosh(x))\|- b  + a
+--R                     +---------+
+--R                     |   2    2
+--R                    \|- b  + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                          +---------+
+--R                                  2    2  |   2    2
+--R                                (b  - a )\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 87
 
@@ -3221,7 +3337,7 @@ r1017:= -a^2*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
 a1017:= integrate(t1017,x)
 --R 
 --R
---R   (72)
+--R   (3)
 --R   [
 --R              2            2
 --R           (2a sinh(x) + 2a cosh(x))
@@ -3281,7 +3397,7 @@ a1017:= integrate(t1017,x)
 m1017a:= a1017.1-r1017
 --R 
 --R
---R   (73)
+--R   (4)
 --R                                   +---------+
 --R            2            2         |   2    2
 --R         (2a sinh(x) + 2a cosh(x))\|- b  + a
@@ -3325,7 +3441,7 @@ m1017a:= a1017.1-r1017
 d1017a:= D(m1017a,x)
 --R 
 --R
---R   (74)
+--R   (5)
 --R           2 2     3     4        6
 --R       (- a b  - 2a b - a )sinh(x)
 --R     + 
@@ -3426,7 +3542,7 @@ d1017a:= D(m1017a,x)
 m1017b:= a1017.2-r1017
 --R 
 --R
---R   (75)
+--R   (6)
 --R                                                           +---------+
 --R                                                           |   2    2
 --R            2            2             (sinh(x) + cosh(x))\|- b  + a
@@ -3453,7 +3569,7 @@ m1017b:= a1017.2-r1017
 d1017b:= D(m1017b,x)
 --R 
 --R
---R   (76)
+--R   (7)
 --R           2 2     3     4        6
 --R       (- a b  - 2a b - a )sinh(x)
 --R     + 
@@ -3550,14 +3666,17 @@ d1017b:= D(m1017b,x)
 --R                                                    Type: Expression(Integer)
 --E 92
 
+)clear all
+
+
 --S 93 of 531
 t1018:= sinh(x)^3/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                       3
---R                sinh(x)
---R   (77)  ---------------------
---R         b sinh(x) + a cosh(x)
+--R                      3
+--R               sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 93
 
@@ -3567,7 +3686,7 @@ r1018:= -1/2*(-3*a^2*b*x+b^3*x+2*a^3*log(a*cosh(x)+_
         a^3-cosh(x)^2*a^3-b^2*a+cosh(x)^2*b^2*a)/(a^2-b^2)^2
 --R 
 --R
---R   (78)
+--R   (2)
 --R           3                               3    2
 --R       - 2a log(b sinh(x) + a cosh(x)) + (b  - a b)cosh(x)sinh(x)
 --R     + 
@@ -3583,7 +3702,7 @@ r1018:= -1/2*(-3*a^2*b*x+b^3*x+2*a^3*log(a*cosh(x)+_
 a1018:= integrate(t1018,x)
 --R 
 --R
---R   (79)
+--R   (3)
 --R              3       2      3                   3       2
 --R         (- 8a sinh(x)  - 16a cosh(x)sinh(x) - 8a cosh(x) )
 --R      *
@@ -3623,7 +3742,7 @@ a1018:= integrate(t1018,x)
 m1018:= a1018-r1018
 --R 
 --R
---R   (80)
+--R   (4)
 --R            3       2      3                   3       2
 --R         (8a sinh(x)  + 16a cosh(x)sinh(x) + 8a cosh(x) )
 --R      *
@@ -3663,22 +3782,25 @@ m1018:= a1018-r1018
 d1018:= D(m1018,x)
 --R 
 --R
---R                           4           2       2          4
---R                  - sinh(x)  + 2cosh(x) sinh(x)  - cosh(x)  + 1
---R   (81)  ---------------------------------------------------------------
---R                         2                                             2
---R         (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
+--R                          4           2       2          4
+--R                 - sinh(x)  + 2cosh(x) sinh(x)  - cosh(x)  + 1
+--R   (5)  ---------------------------------------------------------------
+--R                        2                                             2
+--R        (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 97
 
+)clear all
+
+
 --S 98 of 531
 t1019:= sinh(x)/(a*cosh(x)+b*sinh(x))^2
 --R 
 --R
---R                            sinh(x)
---R   (82)  ---------------------------------------------
---R          2       2                          2       2
---R         b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
+--R                           sinh(x)
+--R   (1)  ---------------------------------------------
+--R         2       2                          2       2
+--R        b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 98
 
@@ -3687,16 +3809,16 @@ r1019:= -b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
         a/(a^2-b^2)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                                                                  +---------+
---R           2                           a sinh(x) + b cosh(x)      |   2    2
---R         (b sinh(x) + a b cosh(x))atan(---------------------) + a\|- b  + a
---R                                             +---------+
---R                                             |   2    2
---R                                            \|- b  + a
---R   (83)  --------------------------------------------------------------------
---R                                                          +---------+
---R                    3    2                2    3          |   2    2
---R                 ((b  - a b)sinh(x) + (a b  - a )cosh(x))\|- b  + a
+--R                                                                 +---------+
+--R          2                           a sinh(x) + b cosh(x)      |   2    2
+--R        (b sinh(x) + a b cosh(x))atan(---------------------) + a\|- b  + a
+--R                                            +---------+
+--R                                            |   2    2
+--R                                           \|- b  + a
+--R   (2)  --------------------------------------------------------------------
+--R                                                         +---------+
+--R                   3    2                2    3          |   2    2
+--R                ((b  - a b)sinh(x) + (a b  - a )cosh(x))\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 99
 
@@ -3704,7 +3826,7 @@ r1019:= -b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
 a1019:= integrate(t1019,x)
 --R 
 --R
---R   (84)
+--R   (3)
 --R   [
 --R               2              2      2
 --R             (b  + a b)sinh(x)  + (2b  + 2a b)cosh(x)sinh(x)
@@ -3785,7 +3907,7 @@ a1019:= integrate(t1019,x)
 m1019a:= a1019.1-r1019
 --R 
 --R
---R   (85)
+--R   (4)
 --R             3      2        3      3       2    2                2
 --R           (b  + a b )sinh(x)  + (2b  + 3a b  + a b)cosh(x)sinh(x)
 --R         + 
@@ -3865,7 +3987,7 @@ m1019a:= a1019.1-r1019
 d1019a:= D(m1019a,x)
 --R 
 --R
---R   (86)
+--R   (5)
 --R           4       3     3     4        7
 --R       (- b  - 2a b  - 2a b - a )sinh(x)
 --R     + 
@@ -4023,7 +4145,7 @@ d1019a:= D(m1019a,x)
 m1019b:= a1019.2-r1019
 --R 
 --R
---R   (87)
+--R   (6)
 --R                3       2        3        3       2     2                2
 --R           (- 2b  - 2a b )sinh(x)  + (- 4b  - 6a b  - 2a b)cosh(x)sinh(x)
 --R         + 
@@ -4082,7 +4204,7 @@ m1019b:= a1019.2-r1019
 d1019b:= D(m1019b,x)
 --R 
 --R
---R   (88)
+--R   (7)
 --R           4       3     3     4        7
 --R       (- b  - 2a b  - 2a b - a )sinh(x)
 --R     + 
@@ -4236,15 +4358,18 @@ d1019b:= D(m1019b,x)
 --R                                                    Type: Expression(Integer)
 --E 104
 
+)clear all
+
+
 --S 105 of 531
 t1020:= sinh(x)^2/(a*cosh(x)+b*sinh(x))^2
 --R 
 --R
---R                                   2
---R                            sinh(x)
---R   (89)  ---------------------------------------------
---R          2       2                          2       2
---R         b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
+--R                                  2
+--R                           sinh(x)
+--R   (1)  ---------------------------------------------
+--R         2       2                          2       2
+--R        b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 105
 
@@ -4253,7 +4378,7 @@ r1020:= (a^2+b^2)*x/(a^2-b^2)^2-a/(a^2-b^2)/(b+a*coth(x))-_
         2*a*b*log(a*cosh(x)+b*sinh(x))/(a^2-b^2)^2
 --R 
 --R
---R   (90)
+--R   (2)
 --R            2                2                                  2    3
 --R       (- 2a b coth(x) - 2a b )log(b sinh(x) + a cosh(x)) + (a b  + a )x coth(x)
 --R     + 
@@ -4269,7 +4394,7 @@ r1020:= (a^2+b^2)*x/(a^2-b^2)^2-a/(a^2-b^2)/(b+a*coth(x))-_
 a1020:= integrate(t1020,x)
 --R 
 --R
---R   (91)
+--R   (3)
 --R                  2     2         2          2     2
 --R           (- 2a b  - 2a b)sinh(x)  + (- 4a b  - 4a b)cosh(x)sinh(x)
 --R         + 
@@ -4307,7 +4432,7 @@ a1020:= integrate(t1020,x)
 m1020:= a1020-r1020
 --R 
 --R
---R   (92)
+--R   (4)
 --R               2 2     3                3     2 2        2
 --R           ((2a b  + 2a b)coth(x) + 2a b  + 2a b )sinh(x)
 --R         + 
@@ -4398,7 +4523,7 @@ m1020:= a1020-r1020
 d1020:= D(m1020,x)
 --R 
 --R
---R   (93)
+--R   (5)
 --R            2 2     3     4        2    2 2     3     4        4
 --R       ((- a b  - 2a b - a )coth(x)  + a b  + 2a b + a )sinh(x)
 --R     + 
@@ -4528,14 +4653,17 @@ d1020:= D(m1020,x)
 --R                                                    Type: Expression(Integer)
 --E 109
 
+)clear all
+
+
 --S 110 of 531
 t1021:= sinh(x)/(a*cosh(x)+b*sinh(x))^3
 --R 
 --R
---R                                        sinh(x)
---R   (94)  ---------------------------------------------------------------------
---R          3       3       2              2     2         2           3       3
---R         b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
+--R                                       sinh(x)
+--R   (1)  ---------------------------------------------------------------------
+--R         3       3       2              2     2         2           3       3
+--R        b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 110
 
@@ -4544,7 +4672,7 @@ r1021:= -1/2*a/(a^2-b^2)/(a*cosh(x)+b*sinh(x))^2-_
         b*sinh(x)/a/(a^2-b^2)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R   (95)
+--R   (2)
 --R       2       2                          2
 --R     2b sinh(x)  + 2a b cosh(x)sinh(x) + a
 --R  /
@@ -4560,7 +4688,7 @@ r1021:= -1/2*a/(a^2-b^2)/(a*cosh(x)+b*sinh(x))^2-_
 a1021:= integrate(t1021,x)
 --R 
 --R
---R   (96)
+--R   (3)
 --R     (- 4b - 2a)sinh(x) - 2a cosh(x)
 --R  /
 --R         4       3     2 2     3     4        3
@@ -4589,7 +4717,7 @@ a1021:= integrate(t1021,x)
 m1021:= a1021-r1021
 --R 
 --R
---R   (97)
+--R   (4)
 --R            5       4     2 3     3 2        5
 --R       (- 2b  - 6a b  - 6a b  - 2a b )sinh(x)
 --R     + 
@@ -4675,7 +4803,7 @@ m1021:= a1021-r1021
 d1021:= D(m1021,x)
 --R 
 --R
---R   (98)
+--R   (5)
 --R         6       5     2 4     3 3    4 2        9
 --R       (b  + 4a b  + 6a b  + 4a b  + a b )sinh(x)
 --R     + 
@@ -4968,15 +5096,18 @@ d1021:= D(m1021,x)
 --R                                                    Type: Expression(Integer)
 --E 114
 
+)clear all
+
+
 --S 115 of 531
 t1022:= sinh(x)^3/(a*cosh(x)+b*sinh(x))^3
 --R 
 --R
---R                                               3
---R                                        sinh(x)
---R   (99)  ---------------------------------------------------------------------
---R          3       3       2              2     2         2           3       3
---R         b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
+--R                                              3
+--R                                       sinh(x)
+--R   (1)  ---------------------------------------------------------------------
+--R         3       3       2              2     2         2           3       3
+--R        b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 115
 
@@ -4986,7 +5117,7 @@ r1022:= -b*(3*a^2+b^2)*x/(a^2-b^2)^3-1/2*a/(a^2-b^2)/(b+a*coth(x))^2+_
         log(a*cosh(x)+b*sinh(x))/(a^2-b^2)^3
 --R 
 --R
---R   (100)
+--R   (2)
 --R               3 2     5        2         2 3     4                4     3 2
 --R         ((- 6a b  - 2a )coth(x)  + (- 12a b  - 4a b)coth(x) - 6a b  - 2a b )
 --R      *
@@ -5010,7 +5141,7 @@ r1022:= -b*(3*a^2+b^2)*x/(a^2-b^2)^3-1/2*a/(a^2-b^2)/(b+a*coth(x))^2+_
 a1022:= integrate(t1022,x)
 --R 
 --R
---R   (101)
+--R   (3)
 --R                  4     2 3     3 2     4     5        4
 --R           (- 3a b  - 6a b  - 4a b  - 2a b - a )sinh(x)
 --R         + 
@@ -5134,7 +5265,7 @@ a1022:= integrate(t1022,x)
 m1022:= a1022-r1022
 --R 
 --R
---R   (102)
+--R   (4)
 --R                  3 4      4 3     5 2     6      7        2
 --R               (6a b  + 12a b  + 8a b  + 4a b + 2a )coth(x)
 --R             + 
@@ -5717,13 +5848,16 @@ m1022:= a1022-r1022
 --d1022:= D(m1022,x)
 --E 119
 
+)clear all
+
+
 --S 120 of 531
 t1023:= cosh(x)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                 cosh(x)
---R   (103)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R               cosh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 120
 
@@ -5731,10 +5865,10 @@ t1023:= cosh(x)/(a*cosh(x)+b*sinh(x))
 r1023:= -(-a*x+b*log(a*cosh(x)+b*sinh(x)))/(a^2-b^2)
 --R 
 --R
---R          b log(b sinh(x) + a cosh(x)) - a x
---R   (104)  ----------------------------------
---R                         2    2
---R                        b  - a
+--R        b log(b sinh(x) + a cosh(x)) - a x
+--R   (2)  ----------------------------------
+--R                       2    2
+--R                      b  - a
 --R                                                    Type: Expression(Integer)
 --E 121
 
@@ -5742,12 +5876,12 @@ r1023:= -(-a*x+b*log(a*cosh(x)+b*sinh(x)))/(a^2-b^2)
 a1023:= integrate(t1023,x)
 --R 
 --R
---R                - 2b sinh(x) - 2a cosh(x)
---R          b log(-------------------------) + (- b - a)x
---R                    sinh(x) - cosh(x)
---R   (105)  ---------------------------------------------
---R                              2    2
---R                             b  - a
+--R              - 2b sinh(x) - 2a cosh(x)
+--R        b log(-------------------------) + (- b - a)x
+--R                  sinh(x) - cosh(x)
+--R   (3)  ---------------------------------------------
+--R                            2    2
+--R                           b  - a
 --R                                         Type: Union(Expression(Integer),...)
 --E 122
 
@@ -5755,7 +5889,7 @@ a1023:= integrate(t1023,x)
 m1023:= a1023-r1023
 --R 
 --R
---R   (106)
+--R   (4)
 --R                                          - 2b sinh(x) - 2a cosh(x)
 --R   - b log(b sinh(x) + a cosh(x)) + b log(-------------------------) - b x
 --R                                              sinh(x) - cosh(x)
@@ -5769,18 +5903,21 @@ m1023:= a1023-r1023
 d1023:= D(m1023,x)
 --R 
 --R
---R   (107)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 124
 
+)clear all
+
+
 --S 125 of 531
 t1024:= cosh(x)^2/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                        2
---R                 cosh(x)
---R   (108)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                      2
+--R               cosh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 125
 
@@ -5789,17 +5926,16 @@ r1024:= -b^2*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
         b*cosh(x)/(a^2-b^2)+a*sinh(x)/(a^2-b^2)
 --R 
 --R
---R   (109)
---R                                                             +---------+
---R    2     a sinh(x) + b cosh(x)                              |   2    2
---R   b atan(---------------------) + (- a sinh(x) + b cosh(x))\|- b  + a
---R                +---------+
---R                |   2    2
---R               \|- b  + a
---R   ---------------------------------------------------------------------
---R                                     +---------+
---R                             2    2  |   2    2
---R                           (b  - a )\|- b  + a
+--R                                                                  +---------+
+--R         2     a sinh(x) + b cosh(x)                              |   2    2
+--R        b atan(---------------------) + (- a sinh(x) + b cosh(x))\|- b  + a
+--R                     +---------+
+--R                     |   2    2
+--R                    \|- b  + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                          +---------+
+--R                                  2    2  |   2    2
+--R                                (b  - a )\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 126
 
@@ -5807,7 +5943,7 @@ r1024:= -b^2*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)-_
 a1024:= integrate(t1024,x)
 --R 
 --R
---R   (110)
+--R   (3)
 --R   [
 --R              2            2
 --R           (2b sinh(x) + 2b cosh(x))
@@ -5867,7 +6003,7 @@ a1024:= integrate(t1024,x)
 m1024a:= a1024.1-r1024
 --R 
 --R
---R   (111)
+--R   (4)
 --R                                   +---------+
 --R            2            2         |   2    2
 --R         (2b sinh(x) + 2b cosh(x))\|- b  + a
@@ -5911,7 +6047,7 @@ m1024a:= a1024.1-r1024
 d1024a:= D(m1024a,x)
 --R 
 --R
---R   (112)
+--R   (5)
 --R           2 2     3     4        6
 --R       (- a b  - 2a b - a )sinh(x)
 --R     + 
@@ -6006,7 +6142,7 @@ d1024a:= D(m1024a,x)
 m1024b:= a1024.2-r1024
 --R 
 --R
---R   (113)
+--R   (6)
 --R                                                           +---------+
 --R                                                           |   2    2
 --R            2            2             (sinh(x) + cosh(x))\|- b  + a
@@ -6033,7 +6169,7 @@ m1024b:= a1024.2-r1024
 d1024b:= D(m1024b,x)
 --R 
 --R
---R   (114)
+--R   (7)
 --R           2 2     3     4        6
 --R       (- a b  - 2a b - a )sinh(x)
 --R     + 
@@ -6124,14 +6260,17 @@ d1024b:= D(m1024b,x)
 --R                                                    Type: Expression(Integer)
 --E 131
 
+)clear all
+
+
 --S 132 of 531
 t1025:= cosh(x)^3/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                        3
---R                 cosh(x)
---R   (115)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                      3
+--R               cosh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 132
 
@@ -6141,7 +6280,7 @@ r1025:= 1/2/(a^2-b^2)^2*(-3*a*b^2*x+a^3*x+2*log(a*cosh(x)+_
         a^2*b*cosh(x)^2-b^3+cosh(x)^2*b^3)
 --R 
 --R
---R   (116)
+--R   (2)
 --R         3                                   2    3
 --R       2b log(b sinh(x) + a cosh(x)) + (- a b  + a )cosh(x)sinh(x)
 --R     + 
@@ -6157,7 +6296,7 @@ r1025:= 1/2/(a^2-b^2)^2*(-3*a*b^2*x+a^3*x+2*log(a*cosh(x)+_
 a1025:= integrate(t1025,x)
 --R 
 --R
---R   (117)
+--R   (3)
 --R            3       2      3                   3       2
 --R         (8b sinh(x)  + 16b cosh(x)sinh(x) + 8b cosh(x) )
 --R      *
@@ -6197,7 +6336,7 @@ a1025:= integrate(t1025,x)
 m1025:= a1025-r1025
 --R 
 --R
---R   (118)
+--R   (4)
 --R              3       2      3                   3       2
 --R         (- 8b sinh(x)  - 16b cosh(x)sinh(x) - 8b cosh(x) )
 --R      *
@@ -6237,22 +6376,25 @@ m1025:= a1025-r1025
 d1025:= D(m1025,x)
 --R 
 --R
---R                           4           2       2          4
---R                    sinh(x)  - 2cosh(x) sinh(x)  + cosh(x)  - 1
---R   (119)  ---------------------------------------------------------------
---R                          2                                             2
---R          (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
+--R                         4           2       2          4
+--R                  sinh(x)  - 2cosh(x) sinh(x)  + cosh(x)  - 1
+--R   (5)  ---------------------------------------------------------------
+--R                        2                                             2
+--R        (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 136
 
+)clear all
+
+
 --S 137 of 531
 t1026:= cosh(x)/(a*cosh(x)+b*sinh(x))^2
 --R 
 --R
---R                             cosh(x)
---R   (120)  ---------------------------------------------
---R           2       2                          2       2
---R          b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
+--R                           cosh(x)
+--R   (1)  ---------------------------------------------
+--R         2       2                          2       2
+--R        b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 137
 
@@ -6261,17 +6403,16 @@ r1026:= a*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)+_
         b/(a^2-b^2)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R   (121)
---R                                                              +---------+
---R                     2             a sinh(x) + b cosh(x)      |   2    2
---R   (- a b sinh(x) - a cosh(x))atan(---------------------) - b\|- b  + a
---R                                         +---------+
---R                                         |   2    2
---R                                        \|- b  + a
---R   ----------------------------------------------------------------------
---R                                                     +---------+
---R               3    2                2    3          |   2    2
---R            ((b  - a b)sinh(x) + (a b  - a )cosh(x))\|- b  + a
+--R                                                                   +---------+
+--R                          2             a sinh(x) + b cosh(x)      |   2    2
+--R        (- a b sinh(x) - a cosh(x))atan(---------------------) - b\|- b  + a
+--R                                              +---------+
+--R                                              |   2    2
+--R                                             \|- b  + a
+--R   (2)  ----------------------------------------------------------------------
+--R                                                          +---------+
+--R                    3    2                2    3          |   2    2
+--R                 ((b  - a b)sinh(x) + (a b  - a )cosh(x))\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 138
 
@@ -6279,7 +6420,7 @@ r1026:= a*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)+_
 a1026:= integrate(t1026,x)
 --R 
 --R
---R   (122)
+--R   (3)
 --R   [
 --R                     2        2             2
 --R             (a b + a )sinh(x)  + (2a b + 2a )cosh(x)sinh(x)
@@ -6360,7 +6501,7 @@ a1026:= integrate(t1026,x)
 m1026a:= a1026.1-r1026
 --R 
 --R
---R   (123)
+--R   (4)
 --R               2    2         3        2     2     3               2
 --R           (a b  + a b)sinh(x)  + (2a b  + 3a b + a )cosh(x)sinh(x)
 --R         + 
@@ -6440,7 +6581,7 @@ m1026a:= a1026.1-r1026
 d1026a:= D(m1026a,x)
 --R 
 --R
---R   (124)
+--R   (5)
 --R           3     2 2    3         7        3      2 2     3                6
 --R       (a b  + 4a b  + a b)sinh(x)  + (8a b  + 14a b  + 8a b)cosh(x)sinh(x)
 --R     + 
@@ -6595,7 +6736,7 @@ d1026a:= D(m1026a,x)
 m1026b:= a1026.2-r1026
 --R 
 --R
---R   (125)
+--R   (6)
 --R                2     2         3        2     2      3               2
 --R           (2a b  + 2a b)sinh(x)  + (4a b  + 6a b + 2a )cosh(x)sinh(x)
 --R         + 
@@ -6654,7 +6795,7 @@ m1026b:= a1026.2-r1026
 d1026b:= D(m1026b,x)
 --R 
 --R
---R   (126)
+--R   (7)
 --R           3     2 2    3         7        3      2 2     3                6
 --R       (a b  + 4a b  + a b)sinh(x)  + (8a b  + 14a b  + 8a b)cosh(x)sinh(x)
 --R     + 
@@ -6805,15 +6946,18 @@ d1026b:= D(m1026b,x)
 --R                                                    Type: Expression(Integer)
 --E 143
 
+)clear all
+
+
 --S 144 of 531
 t1027:= cosh(x)^2/(a*cosh(x)+b*sinh(x))^2
 --R 
 --R
---R                                    2
---R                             cosh(x)
---R   (127)  ---------------------------------------------
---R           2       2                          2       2
---R          b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
+--R                                  2
+--R                           cosh(x)
+--R   (1)  ---------------------------------------------
+--R         2       2                          2       2
+--R        b sinh(x)  + 2a b cosh(x)sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 144
 
@@ -6822,7 +6966,7 @@ r1027:= (a^2+b^2)*x/(a^2-b^2)^2-2*a*b*log(a*cosh(x)+b*sinh(x))/(a^2-b^2)^2+_
         b/(a^2-b^2)/(a+b*tanh(x))
 --R 
 --R
---R   (128)
+--R   (2)
 --R              2            2                                 3    2
 --R       (- 2a b tanh(x) - 2a b)log(b sinh(x) + a cosh(x)) + (b  + a b)x tanh(x)
 --R     + 
@@ -6838,7 +6982,7 @@ r1027:= (a^2+b^2)*x/(a^2-b^2)^2-2*a*b*log(a*cosh(x)+b*sinh(x))/(a^2-b^2)^2+_
 a1027:= integrate(t1027,x)
 --R 
 --R
---R   (129)
+--R   (3)
 --R                  2     2         2          2     2
 --R           (- 2a b  - 2a b)sinh(x)  + (- 4a b  - 4a b)cosh(x)sinh(x)
 --R         + 
@@ -6879,7 +7023,7 @@ a1027:= integrate(t1027,x)
 m1027:= a1027-r1027
 --R 
 --R
---R   (130)
+--R   (4)
 --R                    3     2 2        2        3     2 2
 --R               (2a b  + 2a b )sinh(x)  + (4a b  + 4a b )cosh(x)sinh(x)
 --R             + 
@@ -6966,7 +7110,7 @@ m1027:= a1027-r1027
 d1027:= D(m1027,x)
 --R 
 --R
---R   (131)
+--R   (5)
 --R             4       3    2 2        4      4       3     2 2               3
 --R           (b  + 2a b  + a b )sinh(x)  + (4b  + 8a b  + 4a b )cosh(x)sinh(x)
 --R         + 
@@ -7076,15 +7220,17 @@ d1027:= D(m1027,x)
 --R                                                    Type: Expression(Integer)
 --E 148
 
+)clear all
+
+
 --S 149 of 531
 t1028:= cosh(x)/(a*cosh(x)+b*sinh(x))^3
 --R 
 --R
---R   (132)
---R                                  cosh(x)
---R   ---------------------------------------------------------------------
---R    3       3       2              2     2         2           3       3
---R   b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
+--R                                       cosh(x)
+--R   (1)  ---------------------------------------------------------------------
+--R         3       3       2              2     2         2           3       3
+--R        b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 149
 
@@ -7093,7 +7239,7 @@ r1028:= 1/2*b/(a^2-b^2)/(a*cosh(x)+b*sinh(x))^2+_
         sinh(x)/(a^2-b^2)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R   (133)
+--R   (2)
 --R                                   2
 --R                       - 2b sinh(x)  - 2a cosh(x)sinh(x) - b
 --R   ----------------------------------------------------------------------------
@@ -7106,7 +7252,7 @@ r1028:= 1/2*b/(a^2-b^2)/(a*cosh(x)+b*sinh(x))^2+_
 a1028:= integrate(t1028,x)
 --R 
 --R
---R   (134)
+--R   (3)
 --R     - 2b sinh(x) + (- 2b - 4a)cosh(x)
 --R  /
 --R         4       3     2 2     3     4        3
@@ -7135,7 +7281,7 @@ a1028:= integrate(t1028,x)
 m1028:= a1028-r1028
 --R 
 --R
---R   (135)
+--R   (4)
 --R          4       3     2 2     3         5
 --R       (2b  + 6a b  + 6a b  + 2a b)sinh(x)
 --R     + 
@@ -7224,7 +7370,7 @@ m1028:= a1028-r1028
 d1028:= D(m1028,x)
 --R 
 --R
---R   (136)
+--R   (5)
 --R             5     2 4     3 3     4 2    5         9
 --R       (- a b  - 4a b  - 6a b  - 4a b  - a b)sinh(x)
 --R     + 
@@ -7517,16 +7663,18 @@ d1028:= D(m1028,x)
 --R                                                    Type: Expression(Integer)
 --E 153
 
+)clear all
+
+
 --S 154 of 531
 t1029:= cosh(x)^3/(a*cosh(x)+b*sinh(x))^3
 --R 
 --R
---R   (137)
---R                                         3
---R                                  cosh(x)
---R   ---------------------------------------------------------------------
---R    3       3       2              2     2         2           3       3
---R   b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
+--R                                              3
+--R                                       cosh(x)
+--R   (1)  ---------------------------------------------------------------------
+--R         3       3       2              2     2         2           3       3
+--R        b sinh(x)  + 3a b cosh(x)sinh(x)  + 3a b cosh(x) sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 154
 
@@ -7536,7 +7684,7 @@ r1029:= a*(a^2+3*b^2)*x/(a^2-b^2)^3-b*(3*a^2+b^2)*log(a*cosh(x)+_
         2*a*b/(a^2-b^2)^2/(a+b*tanh(x))
 --R 
 --R
---R   (138)
+--R   (2)
 --R             5     2 3        2        4      3 2             2 3     4
 --R         ((2b  + 6a b )tanh(x)  + (4a b  + 12a b )tanh(x) + 2a b  + 6a b)
 --R      *
@@ -7560,7 +7708,7 @@ r1029:= a*(a^2+3*b^2)*x/(a^2-b^2)^3-b*(3*a^2+b^2)*log(a*cosh(x)+_
 a1029:= integrate(t1029,x)
 --R 
 --R
---R   (139)
+--R   (3)
 --R             5       4     2 3     3 2     4         4
 --R           (b  + 2a b  + 4a b  + 6a b  + 3a b)sinh(x)
 --R         + 
@@ -7684,7 +7832,7 @@ a1029:= integrate(t1029,x)
 m1029:= a1029-r1029
 --R 
 --R
---R   (140)
+--R   (4)
 --R                    7       6     2 5      3 4     4 3        4
 --R               (- 2b  - 4a b  - 8a b  - 12a b  - 6a b )sinh(x)
 --R             + 
@@ -8246,7 +8394,7 @@ m1029:= a1029-r1029
 d1029:= D(m1029,x)
 --R 
 --R
---R   (141)
+--R   (5)
 --R                  6     2 5     3 4     4 3        6
 --R           (- 2a b  - 6a b  - 6a b  - 2a b )sinh(x)
 --R         + 
@@ -8969,13 +9117,16 @@ d1029:= D(m1029,x)
 --R                                                    Type: Expression(Integer)
 --E 158
 
+)clear all
+
+
 --S 159 of 531
 t1030:= cosh(x)*sinh(x)/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R              cosh(x)sinh(x)
---R   (142)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R            cosh(x)sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 159
 
@@ -8984,7 +9135,7 @@ r1030:= a*b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)+_
         a*cosh(x)/(a^2-b^2)-b*sinh(x)/(a^2-b^2)
 --R 
 --R
---R   (143)
+--R   (2)
 --R                                                               +---------+
 --R              a sinh(x) + b cosh(x)                            |   2    2
 --R   - a b atan(---------------------) + (b sinh(x) - a cosh(x))\|- b  + a
@@ -9002,7 +9153,7 @@ r1030:= a*b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(3/2)+_
 a1030:= integrate(t1030,x)
 --R 
 --R
---R   (144)
+--R   (3)
 --R   [
 --R           (2a b sinh(x) + 2a b cosh(x))
 --R        *
@@ -9061,7 +9212,7 @@ a1030:= integrate(t1030,x)
 m1030a:= a1030.1-r1030
 --R 
 --R
---R   (145)
+--R   (4)
 --R                                       +---------+
 --R                                       |   2    2
 --R         (2a b sinh(x) + 2a b cosh(x))\|- b  + a
@@ -9105,7 +9256,7 @@ m1030a:= a1030.1-r1030
 d1030a:= D(m1030a,x)
 --R 
 --R
---R   (146)
+--R   (5)
 --R         2 2     3     4        6        3     2 2     3      4               5
 --R       (a b  + 2a b + a )sinh(x)  + (2a b  + 6a b  + 6a b + 2a )cosh(x)sinh(x)
 --R     + 
@@ -9194,7 +9345,7 @@ d1030a:= D(m1030a,x)
 m1030b:= a1030.2-r1030
 --R 
 --R
---R   (147)
+--R   (6)
 --R                                                             +---------+
 --R                                                             |   2    2
 --R                                         (sinh(x) + cosh(x))\|- b  + a
@@ -9221,7 +9372,7 @@ m1030b:= a1030.2-r1030
 d1030b:= D(m1030b,x)
 --R 
 --R
---R   (148)
+--R   (7)
 --R         2 2     3     4        6        3     2 2     3      4               5
 --R       (a b  + 2a b + a )sinh(x)  + (2a b  + 6a b  + 6a b + 2a )cosh(x)sinh(x)
 --R     + 
@@ -9306,14 +9457,17 @@ d1030b:= D(m1030b,x)
 --R                                                    Type: Expression(Integer)
 --E 165
 
+)clear all
+
+
 --S 166 of 531
 t1031:= cosh(x)*sinh(x)^2/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                           2
---R             cosh(x)sinh(x)
---R   (149)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                         2
+--R           cosh(x)sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 166
 
@@ -9323,7 +9477,7 @@ r1031:= 1/2/(a^2-b^2)^2*(-a^3*x-a*b^2*x+2*a^2*b*log(a*cosh(x)+b*sinh(x))+_
         a^2*b*cosh(x)^2-b^3+cosh(x)^2*b^3)
 --R 
 --R
---R   (150)
+--R   (2)
 --R         2                                     2    3
 --R       2a b log(b sinh(x) + a cosh(x)) + (- a b  + a )cosh(x)sinh(x)
 --R     + 
@@ -9339,7 +9493,7 @@ r1031:= 1/2/(a^2-b^2)^2*(-a^3*x-a*b^2*x+2*a^2*b*log(a*cosh(x)+b*sinh(x))+_
 a1031:= integrate(t1031,x)
 --R 
 --R
---R   (151)
+--R   (3)
 --R            2         2      2                     2         2
 --R         (8a b sinh(x)  + 16a b cosh(x)sinh(x) + 8a b cosh(x) )
 --R      *
@@ -9379,7 +9533,7 @@ a1031:= integrate(t1031,x)
 m1031:= a1031-r1031
 --R 
 --R
---R   (152)
+--R   (4)
 --R              2         2      2                     2         2
 --R         (- 8a b sinh(x)  - 16a b cosh(x)sinh(x) - 8a b cosh(x) )
 --R      *
@@ -9419,22 +9573,25 @@ m1031:= a1031-r1031
 d1031:= D(m1031,x)
 --R 
 --R
---R                           4           2       2          4
---R                    sinh(x)  - 2cosh(x) sinh(x)  + cosh(x)  - 1
---R   (153)  ---------------------------------------------------------------
---R                          2                                             2
---R          (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
+--R                         4           2       2          4
+--R                  sinh(x)  - 2cosh(x) sinh(x)  + cosh(x)  - 1
+--R   (5)  ---------------------------------------------------------------
+--R                        2                                             2
+--R        (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 170
 
+)clear all
+
+
 --S 171 of 531
 t1032:= cosh(x)*sinh(x)^3/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                           3
---R             cosh(x)sinh(x)
---R   (154)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                         3
+--R           cosh(x)sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 171
 
@@ -9445,7 +9602,7 @@ r1032:= -a^3*b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(5/2)-_
         b*sinh(x)^3/(3*a^2-3*b^2)
 --R 
 --R
---R   (155)
+--R   (2)
 --R           3       a sinh(x) + b cosh(x)
 --R       - 3a b atan(---------------------)
 --R                         +---------+
@@ -9472,7 +9629,7 @@ r1032:= -a^3*b*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(5/2)-_
 a1032:= integrate(t1032,x)
 --R 
 --R
---R   (156)
+--R   (3)
 --R   [
 --R                3         3      3                2      3         2
 --R             24a b sinh(x)  + 72a b cosh(x)sinh(x)  + 72a b cosh(x) sinh(x)
@@ -9665,7 +9822,7 @@ a1032:= integrate(t1032,x)
 m1032a:= a1032.1-r1032
 --R 
 --R
---R   (157)
+--R   (4)
 --R              3         3      3                2      3         2
 --R           24a b sinh(x)  + 72a b cosh(x)sinh(x)  + 72a b cosh(x) sinh(x)
 --R         + 
@@ -9780,7 +9937,7 @@ m1032a:= a1032.1-r1032
 d1032a:= D(m1032a,x)
 --R 
 --R
---R   (158)
+--R   (5)
 --R         2 4     4 2    6        10
 --R       (a b  - 2a b  + a )sinh(x)
 --R     + 
@@ -10038,7 +10195,7 @@ d1032a:= D(m1032a,x)
 m1032b:= a1032.2-r1032
 --R 
 --R
---R   (159)
+--R   (6)
 --R              3         3       3                2       3         2
 --R           48a b sinh(x)  + 144a b cosh(x)sinh(x)  + 144a b cosh(x) sinh(x)
 --R         + 
@@ -10136,7 +10293,7 @@ m1032b:= a1032.2-r1032
 d1032b:= D(m1032b,x)
 --R 
 --R
---R   (160)
+--R   (7)
 --R         2 4     4 2    6        10
 --R       (a b  - 2a b  + a )sinh(x)
 --R     + 
@@ -10390,14 +10547,17 @@ d1032b:= D(m1032b,x)
 --R                                                    Type: Expression(Integer)
 --E 177
 
+)clear all
+
+
 --S 178 of 531
 t1033:= sinh(x)*cosh(x)^2/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                    2
---R             cosh(x) sinh(x)
---R   (161)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                  2
+--R           cosh(x) sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 178
 
@@ -10407,7 +10567,7 @@ r1033:= -1/2*(-b^3*x-a^2*b*x+2*a*b^2*log(a*cosh(x)+b*sinh(x))+_
         b^2*a+cosh(x)^2*b^2*a)/(a^2-b^2)^2
 --R 
 --R
---R   (162)
+--R   (2)
 --R             2                               3    2
 --R       - 2a b log(b sinh(x) + a cosh(x)) + (b  - a b)cosh(x)sinh(x)
 --R     + 
@@ -10423,7 +10583,7 @@ r1033:= -1/2*(-b^3*x-a^2*b*x+2*a*b^2*log(a*cosh(x)+b*sinh(x))+_
 a1033:= integrate(t1033,x)
 --R 
 --R
---R   (163)
+--R   (3)
 --R                2       2        2                     2       2
 --R         (- 8a b sinh(x)  - 16a b cosh(x)sinh(x) - 8a b cosh(x) )
 --R      *
@@ -10463,7 +10623,7 @@ a1033:= integrate(t1033,x)
 m1033:= a1033-r1033
 --R 
 --R
---R   (164)
+--R   (4)
 --R              2       2        2                     2       2
 --R         (8a b sinh(x)  + 16a b cosh(x)sinh(x) + 8a b cosh(x) )
 --R      *
@@ -10503,22 +10663,25 @@ m1033:= a1033-r1033
 d1033:= D(m1033,x)
 --R 
 --R
---R                            4           2       2          4
---R                   - sinh(x)  + 2cosh(x) sinh(x)  - cosh(x)  + 1
---R   (165)  ---------------------------------------------------------------
---R                          2                                             2
---R          (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
+--R                          4           2       2          4
+--R                 - sinh(x)  + 2cosh(x) sinh(x)  - cosh(x)  + 1
+--R   (5)  ---------------------------------------------------------------
+--R                        2                                             2
+--R        (4b - 4a)sinh(x)  + (8b - 8a)cosh(x)sinh(x) + (4b - 4a)cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 182
 
+)clear all
+
+
 --S 183 of 531
 t1034:= sinh(x)*cosh(x)^3/(a*cosh(x)+b*sinh(x))
 --R 
 --R
---R                    3
---R             cosh(x) sinh(x)
---R   (166)  ---------------------
---R          b sinh(x) + a cosh(x)
+--R                  3
+--R           cosh(x) sinh(x)
+--R   (1)  ---------------------
+--R        b sinh(x) + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 183
 
@@ -10528,7 +10691,7 @@ r1034:= -a*b^3*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(5/2)-_
         a^2*b*sinh(x)/(a^2-b^2)^2-b*sinh(x)/(a^2-b^2)-b*sinh(x)^3/(3*a^2-3*b^2)
 --R 
 --R
---R   (167)
+--R   (2)
 --R             3     a sinh(x) + b cosh(x)
 --R       - 3a b atan(---------------------)
 --R                         +---------+
@@ -10555,7 +10718,7 @@ r1034:= -a*b^3*atan((b*cosh(x)+a*sinh(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(5/2)-_
 a1034:= integrate(t1034,x)
 --R 
 --R
---R   (168)
+--R   (3)
 --R   [
 --R                  3       3        3              2        3       2
 --R             24a b sinh(x)  + 72a b cosh(x)sinh(x)  + 72a b cosh(x) sinh(x)
@@ -10748,7 +10911,7 @@ a1034:= integrate(t1034,x)
 m1034a:= a1034.1-r1034
 --R 
 --R
---R   (169)
+--R   (4)
 --R                3       3        3              2        3       2
 --R           24a b sinh(x)  + 72a b cosh(x)sinh(x)  + 72a b cosh(x) sinh(x)
 --R         + 
@@ -10863,7 +11026,7 @@ m1034a:= a1034.1-r1034
 d1034a:= D(m1034a,x)
 --R 
 --R
---R   (170)
+--R   (5)
 --R         2 4     4 2    6        10
 --R       (a b  - 2a b  + a )sinh(x)
 --R     + 
@@ -11121,7 +11284,7 @@ d1034a:= D(m1034a,x)
 m1034b:= a1034.2-r1034
 --R 
 --R
---R   (171)
+--R   (6)
 --R                3       3         3              2         3       2
 --R           48a b sinh(x)  + 144a b cosh(x)sinh(x)  + 144a b cosh(x) sinh(x)
 --R         + 
@@ -11219,7 +11382,7 @@ m1034b:= a1034.2-r1034
 d1034b:= D(m1034b,x)
 --R 
 --R
---R   (172)
+--R   (7)
 --R         2 4     4 2    6        10
 --R       (a b  - 2a b  + a )sinh(x)
 --R     + 
@@ -11473,13 +11636,16 @@ d1034b:= D(m1034b,x)
 --R                                                    Type: Expression(Integer)
 --E 189
 
+)clear all
+
+
 --S 190 of 531
 t1035:= (A+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R                C sinh(x) + A
---R   (173)  -------------------------
---R          c sinh(x) + b cosh(x) + a
+--R              C sinh(x) + A
+--R   (1)  -------------------------
+--R        c sinh(x) + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 190
 
@@ -11489,7 +11655,7 @@ r1035:= -c*C*x/(b^2-c^2)-2*(A+a*c*C/(b^2-c^2))*_
         (a^2-b^2+c^2)^(1/2)+b*C*log(a+b*cosh(x)+c*sinh(x))/(b^2-c^2)
 --R 
 --R
---R   (174)
+--R   (2)
 --R             +------------+
 --R             | 2    2    2
 --R       - C b\|c  - b  + a  log(c sinh(x) + b cosh(x) + a)
@@ -11512,7 +11678,7 @@ r1035:= -c*C*x/(b^2-c^2)-2*(A+a*c*C/(b^2-c^2))*_
 a1035:= integrate(t1035,x)
 --R 
 --R
---R   (175)
+--R   (3)
 --R   [
 --R                 2              2
 --R           (- A c  + C a c + A b )
@@ -11593,7 +11759,7 @@ a1035:= integrate(t1035,x)
 m1035a:= a1035.1-r1035
 --R 
 --R
---R   (176)
+--R   (4)
 --R               2              2
 --R         (- A c  + C a c + A b )
 --R      *
@@ -11656,7 +11822,7 @@ m1035a:= a1035.1-r1035
 d1035a:= D(m1035a,x)
 --R 
 --R
---R   (177)
+--R   (5)
 --R               3               2         2                3        2
 --R           (A c  + (A b - C a)c  + (- A b  - C a b)c - A b )sinh(x)
 --R         + 
@@ -11778,7 +11944,7 @@ d1035a:= D(m1035a,x)
 m1035b:= a1035.2-r1035
 --R 
 --R
---R   (178)
+--R   (6)
 --R           +--------------+ +------------+
 --R           |   2    2    2  | 2    2    2
 --R       C b\|- c  + b  - a  \|c  - b  + a  log(c sinh(x) + b cosh(x) + a)
@@ -11821,7 +11987,7 @@ m1035b:= a1035.2-r1035
 d1035b:= D(m1035b,x)
 --R 
 --R
---R   (179)
+--R   (7)
 --R               3               2         2                3        2
 --R           (A c  + (A b - C a)c  + (- A b  - C a b)c - A b )sinh(x)
 --R         + 
@@ -11939,11 +12105,14 @@ d1035b:= D(m1035b,x)
 --R                                                    Type: Expression(Integer)
 --E 196
 
+)clear all
+
+
 --S 197 of 531
 t1036:= (A+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))^2
 --R 
 --R
---R   (180)
+--R   (1)
 --R                                  C sinh(x) + A
 --R   --------------------------------------------------------------------------
 --R    2       2                                   2       2                   2
@@ -11957,7 +12126,7 @@ r1036:= -2*(a*A+c*C)*atanh((c-(a-b)*tanh(1/2*x))/(a^2-b^2+c^2)^(1/2))/_
         (a^2-b^2+c^2)/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (181)
+--R   (2)
 --R                    2
 --R             (- 2C c  - 2A a c)sinh(x) + (- 2C b c - 2A a b)cosh(x) - 2C a c
 --R           + 
@@ -11992,7 +12161,7 @@ r1036:= -2*(a*A+c*C)*atanh((c-(a-b)*tanh(1/2*x))/(a^2-b^2+c^2)^(1/2))/_
 a1036:= integrate(t1036,x)
 --R 
 --R
---R   (182)
+--R   (3)
 --R   [
 --R                 3                2       2                   2        2
 --R             (C c  + (2C b + A a)c  + (C b  + 2A a b)c + A a b )sinh(x)
@@ -12163,7 +12332,7 @@ a1036:= integrate(t1036,x)
 m1036a:= a1036.1-r1036
 --R 
 --R
---R   (183)
+--R   (4)
 --R               4                3       2           2        2         3
 --R           (C c  + (2C b + A a)c  + (C b  + 2A a b)c  + A a b c)sinh(x)
 --R         + 
@@ -12444,7 +12613,7 @@ m1036a:= a1036.1-r1036
 m1036b:= a1036.2-r1036
 --R 
 --R
---R   (184)
+--R   (5)
 --R                4                 3        2           2         2         3
 --R           (2C c  + (4C b + 2A a)c  + (2C b  + 4A a b)c  + 2A a b c)sinh(x)
 --R         + 
@@ -12715,11 +12884,14 @@ m1036b:= a1036.2-r1036
 --d1036b:= D(m1036b,x)
 --E 203
 
+)clear all
+
+
 --S 204 of 531
 t1037:= (A+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))^3
 --R 
 --R
---R   (185)
+--R   (1)
 --R     C sinh(x) + A
 --R  /
 --R        3       3        2              2        2
@@ -12741,7 +12913,7 @@ r1037:= -(2*a^2*A+A*b^2-c*(A*c-3*a*C))*atanh((c-(a-b)*tanh(1/2*x))/_
         sinh(x))/(a^2-b^2+c^2)^2/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (186)
+--R   (2)
 --R                4         3          2       2  2        2
 --R           (2A c  - 6C a c  + (- 2A b  - 4A a )c )sinh(x)
 --R         + 
@@ -12824,7 +12996,7 @@ r1037:= -(2*a^2*A+A*b^2-c*(A*c-3*a*C))*atanh((c-(a-b)*tanh(1/2*x))/_
 a1037:= integrate(t1037,x)
 --R 
 --R
---R   (187)
+--R   (3)
 --R   [
 --R                    5                 4        2                2  3
 --R                 A c  + (3A b - 3C a)c  + (2A b  - 9C a b - 2A a )c
@@ -13728,13 +13900,16 @@ a1037:= integrate(t1037,x)
 --d1037b:= D(m1037b,x)
 --E 210
 
+)clear all
+
+
 --S 211 of 531
 t1038:= (A+B*cosh(x))/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R                B cosh(x) + A
---R   (188)  -------------------------
---R          c sinh(x) + b cosh(x) + a
+--R              B cosh(x) + A
+--R   (1)  -------------------------
+--R        c sinh(x) + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 211
 
@@ -13744,7 +13919,7 @@ r1038:= b*B*x/(b^2-c^2)-2*(A-a*b*B/(b^2-c^2))*_
         (a^2-b^2+c^2)^(1/2)-B*c*log(a+b*cosh(x)+c*sinh(x))/(b^2-c^2)
 --R 
 --R
---R   (189)
+--R   (2)
 --R           +------------+
 --R           | 2    2    2
 --R       B c\|c  - b  + a  log(c sinh(x) + b cosh(x) + a)
@@ -13767,7 +13942,7 @@ r1038:= b*B*x/(b^2-c^2)-2*(A-a*b*B/(b^2-c^2))*_
 a1038:= integrate(t1038,x)
 --R 
 --R
---R   (190)
+--R   (3)
 --R   [
 --R               2      2
 --R           (A c  - A b  + B a b)
@@ -13848,7 +14023,7 @@ a1038:= integrate(t1038,x)
 m1038a:= a1038.1-r1038
 --R 
 --R
---R   (191)
+--R   (4)
 --R             2      2
 --R         (A c  - A b  + B a b)
 --R      *
@@ -13911,7 +14086,7 @@ m1038a:= a1038.1-r1038
 d1038a:= D(m1038a,x)
 --R 
 --R
---R   (192)
+--R   (5)
 --R               3        2         2                3        2        2
 --R           (A c  + A b c  + (- A b  + B a b)c - A b  + B a b )sinh(x)
 --R         + 
@@ -14036,7 +14211,7 @@ d1038a:= D(m1038a,x)
 m1038b:= a1038.2-r1038
 --R 
 --R
---R   (193)
+--R   (6)
 --R             +--------------+ +------------+
 --R             |   2    2    2  | 2    2    2
 --R       - B c\|- c  + b  - a  \|c  - b  + a  log(c sinh(x) + b cosh(x) + a)
@@ -14079,7 +14254,7 @@ m1038b:= a1038.2-r1038
 d1038b:= D(m1038b,x)
 --R 
 --R
---R   (194)
+--R   (7)
 --R               3        2         2                3        2        2
 --R           (A c  + A b c  + (- A b  + B a b)c - A b  + B a b )sinh(x)
 --R         + 
@@ -14200,11 +14375,14 @@ d1038b:= D(m1038b,x)
 --R                                                    Type: Expression(Integer)
 --E 217
 
+)clear all
+
+
 --S 218 of 531
 t1039:= (A+B*cosh(x))/(a+b*cosh(x)+c*sinh(x))^2
 --R 
 --R
---R   (195)
+--R   (1)
 --R                                  B cosh(x) + A
 --R   --------------------------------------------------------------------------
 --R    2       2                                   2       2                   2
@@ -14218,7 +14396,7 @@ r1039:= -2*(a*A-b*B)*atanh((c-(a-b)*tanh(1/2*x))/(a^2-b^2+c^2)^(1/2))/_
         (a^2-b^2+c^2)/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (196)
+--R   (2)
 --R                                        2                                 2
 --R         ((2B b - 2A a)c sinh(x) + (2B b  - 2A a b)cosh(x) + 2B a b - 2A a )
 --R      *
@@ -14250,7 +14428,7 @@ r1039:= -2*(a*A-b*B)*atanh((c-(a-b)*tanh(1/2*x))/(a^2-b^2+c^2)^(1/2))/_
 a1039:= integrate(t1039,x)
 --R 
 --R
---R   (197)
+--R   (3)
 --R   [
 --R                          2        2                 3        2        2
 --R             ((B b - A a)c  + (2B b  - 2A a b)c + B b  - A a b )sinh(x)
@@ -14413,7 +14591,7 @@ a1039:= integrate(t1039,x)
 m1039a:= a1039.1-r1039
 --R 
 --R
---R   (198)
+--R   (4)
 --R                        3        2           2       3        2          3
 --R           ((B b - A a)c  + (2B b  - 2A a b)c  + (B b  - A a b )c)sinh(x)
 --R         + 
@@ -14700,7 +14878,7 @@ m1039a:= a1039.1-r1039
 m1039b:= a1039.2-r1039
 --R 
 --R
---R   (199)
+--R   (5)
 --R                              3          2           2          3         2
 --R             ((- 2B b + 2A a)c  + (- 4B b  + 4A a b)c  + (- 2B b  + 2A a b )c)
 --R          *
@@ -14968,11 +15146,14 @@ m1039b:= a1039.2-r1039
 --d1039b:= D(m1039b,x)
 --E 224
 
+)clear all
+
+
 --S 225 of 531
 t1040:= (A+B*cosh(x))/(a+b*cosh(x)+c*sinh(x))^3
 --R 
 --R
---R   (200)
+--R   (1)
 --R     B cosh(x) + A
 --R  /
 --R        3       3        2              2        2
@@ -14994,7 +15175,7 @@ r1040:= -(2*a^2*A+b*(A*b-3*a*B)-A*c^2)*atanh((c-(a-b)*tanh(1/2*x))/_
         sinh(x))/(a^2-b^2+c^2)^2/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (201)
+--R   (2)
 --R                4          2                2  2        2
 --R           (2A c  + (- 2A b  + 6B a b - 4A a )c )sinh(x)
 --R         + 
@@ -15074,7 +15255,7 @@ r1040:= -(2*a^2*A+b*(A*b-3*a*B)-A*c^2)*atanh((c-(a-b)*tanh(1/2*x))/_
 a1040:= integrate(t1040,x)
 --R 
 --R
---R   (202)
+--R   (3)
 --R   [
 --R                    5         4        2                2  3
 --R                 A c  + 3A b c  + (2A b  + 3B a b - 2A a )c
@@ -16008,13 +16189,16 @@ a1040:= integrate(t1040,x)
 --d1040b:= D(m1040b,x)
 --E 231
 
+)clear all
+
+
 --S 232 of 531
 t1041:= (A+B*cosh(x)+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R          C sinh(x) + B cosh(x) + A
---R   (203)  -------------------------
---R          c sinh(x) + b cosh(x) + a
+--R        C sinh(x) + B cosh(x) + A
+--R   (1)  -------------------------
+--R        c sinh(x) + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 232
 
@@ -16024,7 +16208,7 @@ r1041:= (b*B-c*C)*x/(b^2-c^2)-2*(A-a*(b*B-c*C)/(b^2-c^2))*_
         (a^2-b^2+c^2)^(1/2)-(B*c-b*C)*log(a+b*cosh(x)+c*sinh(x))/(b^2-c^2)
 --R 
 --R
---R   (204)
+--R   (2)
 --R                   +------------+
 --R                   | 2    2    2
 --R       (B c - C b)\|c  - b  + a  log(c sinh(x) + b cosh(x) + a)
@@ -16051,7 +16235,7 @@ r1041:= (b*B-c*C)*x/(b^2-c^2)-2*(A-a*(b*B-c*C)/(b^2-c^2))*_
 a1041:= integrate(t1041,x)
 --R 
 --R
---R   (205)
+--R   (3)
 --R   [
 --R                 2              2
 --R           (- A c  + C a c + A b  - B a b)
@@ -16132,7 +16316,7 @@ a1041:= integrate(t1041,x)
 m1041a:= a1041.1-r1041
 --R 
 --R
---R   (206)
+--R   (4)
 --R               2              2
 --R         (- A c  + C a c + A b  - B a b)
 --R      *
@@ -16199,7 +16383,7 @@ m1041a:= a1041.1-r1041
 d1041a:= D(m1041a,x)
 --R 
 --R
---R   (207)
+--R   (5)
 --R                 3               2         2                       3        2
 --R             (A c  + (A b - C a)c  + (- A b  + (- C + B)a b)c - A b  + B a b )
 --R          *
@@ -16340,7 +16524,7 @@ d1041a:= D(m1041a,x)
 m1041b:= a1041.2-r1041
 --R 
 --R
---R   (208)
+--R   (6)
 --R                       +--------------+ +------------+
 --R                       |   2    2    2  | 2    2    2
 --R         (- B c + C b)\|- c  + b  - a  \|c  - b  + a
@@ -16392,7 +16576,7 @@ m1041b:= a1041.2-r1041
 d1041b:= D(m1041b,x)
 --R 
 --R
---R   (209)
+--R   (7)
 --R                 3               2         2                       3        2
 --R             (A c  + (A b - C a)c  + (- A b  + (- C + B)a b)c - A b  + B a b )
 --R          *
@@ -16529,11 +16713,14 @@ d1041b:= D(m1041b,x)
 --R                                                    Type: Expression(Integer)
 --E 238
 
+)clear all
+
+
 --S 239 of 531
 t1042:= (A+B*cosh(x)+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))^2
 --R 
 --R
---R   (210)
+--R   (1)
 --R                            C sinh(x) + B cosh(x) + A
 --R   --------------------------------------------------------------------------
 --R    2       2                                   2       2                   2
@@ -16547,7 +16734,7 @@ r1042:= -2*(a*A-b*B+c*C)*atanh((c-(a-b)*tanh(1/2*x))/_
         cosh(x)+(A*b-a*B)*sinh(x))/(a^2-b^2+c^2)/(a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (211)
+--R   (2)
 --R                  2
 --R           (- 2C c  + (2B b - 2A a)c)sinh(x)
 --R         + 
@@ -16582,7 +16769,7 @@ r1042:= -2*(a*A-b*B+c*C)*atanh((c-(a-b)*tanh(1/2*x))/_
 a1042:= integrate(t1042,x)
 --R 
 --R
---R   (212)
+--R   (3)
 --R   [
 --R                    3                     2             2                 3
 --R                 C c  + ((2C - B)b + A a)c  + ((C - 2B)b  + 2A a b)c - B b
@@ -16787,7 +16974,7 @@ a1042:= integrate(t1042,x)
 m1042a:= a1042.1-r1042
 --R 
 --R
---R   (213)
+--R   (4)
 --R                  4                     3             2           2
 --R               C c  + ((2C - B)b + A a)c  + ((C - 2B)b  + 2A a b)c
 --R             + 
@@ -17133,7 +17320,7 @@ m1042a:= a1042.1-r1042
 m1042b:= a1042.2-r1042
 --R 
 --R
---R   (214)
+--R   (5)
 --R                   4                       3              2           2
 --R               2C c  + ((4C - 2B)b + 2A a)c  + ((2C - 4B)b  + 4A a b)c
 --R             + 
@@ -17463,11 +17650,14 @@ m1042b:= a1042.2-r1042
 --d1042b:= D(m1042b,x)
 --E 245
 
+)clear all
+
+
 --S 246 of 531
 t1043:= (A+B*cosh(x)+C*sinh(x))/(a+b*cosh(x)+c*sinh(x))^3
 --R 
 --R
---R   (215)
+--R   (1)
 --R     C sinh(x) + B cosh(x) + A
 --R  /
 --R        3       3        2              2        2
@@ -17491,7 +17681,7 @@ r1043:= -(2*a^2*A+b*(A*b-3*a*B)-c*(A*c-3*a*C))*_
         (a+b*cosh(x)+c*sinh(x))
 --R 
 --R
---R   (216)
+--R   (2)
 --R                4         3          2                2  2        2
 --R           (2A c  - 6C a c  + (- 2A b  + 6B a b - 4A a )c )sinh(x)
 --R         + 
@@ -17579,7 +17769,7 @@ r1043:= -(2*a^2*A+b*(A*b-3*a*B)-c*(A*c-3*a*C))*_
 a1043:= integrate(t1043,x)
 --R 
 --R
---R   (217)
+--R   (3)
 --R   [
 --R                    5                 4        2                        2  3
 --R                 A c  + (3A b - 3C a)c  + (2A b  + (- 9C + 3B)a b - 2A a )c
@@ -18612,7 +18802,7 @@ a1043:= integrate(t1043,x)
 m1043a:= a1043.1-r1043
 --R 
 --R
---R   (218)
+--R   (4)
 --R                  7                 6        2                        2  5
 --R               A c  + (3A b - 3C a)c  + (2A b  + (- 9C + 3B)a b - 2A a )c
 --R             + 
@@ -21184,7 +21374,7 @@ m1043a:= a1043.1-r1043
 m1043b:= a1043.2-r1043
 --R 
 --R
---R   (219)
+--R   (5)
 --R                     7                   6          2                       2  5
 --R               - 2A c  + (- 6A b + 6C a)c  + (- 4A b  + (18C - 6B)a b + 4A a )c
 --R             + 
@@ -23749,14 +23939,17 @@ m1043b:= a1043.2-r1043
 --d1043b:= D(m1043b,x)
 --E 252
 
+)clear all
+
+
 --S 253 of 531
 t1044:= 1/(a+b*sinh(x)+c*sinh(x)^2)
 --R 
 --R
---R                       1
---R   (220)  --------------------------
---R                   2
---R          c sinh(x)  + b sinh(x) + a
+--R                     1
+--R   (1)  --------------------------
+--R                 2
+--R        c sinh(x)  + b sinh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 253
 
@@ -23769,7 +23962,7 @@ r1044:= -4*c*atanh((2*c-(b-(b^2-4*a*c)^(1/2))*tanh(1/2*x))/_
         (4*c^2+(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (221)
+--R   (2)
 --R       -
 --R               +-----------------------------------+
 --R               |   +-----------+
@@ -23818,7 +24011,7 @@ r1044:= -4*c*atanh((2*c-(b-(b^2-4*a*c)^(1/2))*tanh(1/2*x))/_
 a1044:= integrate(t1044,x)
 --R 
 --R
---R   (222)
+--R   (3)
 --R         ROOT
 --R                       3        2      2  2         2     3       4     2 2
 --R                  (8a c  + (- 2b  - 16a )c  + (12a b  + 8a )c - 2b  - 2a b )
@@ -24224,7 +24417,7 @@ a1044:= integrate(t1044,x)
 m1044:= a1044-r1044
 --R 
 --R
---R   (223)
+--R   (4)
 --R                        +-------------------------------------+
 --R          +-----------+ |     +-----------+
 --R          |          2  |     |          2      2            2
@@ -24716,7 +24909,7 @@ m1044:= a1044-r1044
 d1044:= D(m1044,x)
 --R 
 --R
---R   (224)
+--R   (5)
 --R                      4                             3
 --R           - c sinh(x)  + (- 4c cosh(x) - 2b)sinh(x)
 --R         + 
@@ -24864,14 +25057,17 @@ d1044:= D(m1044,x)
 --R                                                    Type: Expression(Integer)
 --E 257
 
+)clear all
+
+
 --S 258 of 531
 t1045:= sinh(x)/(a+b*sinh(x)+c*sinh(x)^2)
 --R 
 --R
---R                    sinh(x)
---R   (225)  --------------------------
---R                   2
---R          c sinh(x)  + b sinh(x) + a
+--R                  sinh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c sinh(x)  + b sinh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 258
 
@@ -24883,7 +25079,7 @@ r1045:= -2*(1-b/(b^2-4*a*c)^(1/2))*atanh((2*c-(b-(b^2-4*a*c)^(1/2))*_
         (b+(b^2-4*a*c)^(1/2))^2)^(1/2))/(4*c^2+(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (226)
+--R   (2)
 --R                                  +-----------------------------------+
 --R              +-----------+       |   +-----------+
 --R              |          2        |   |          2      2            2
@@ -24930,7 +25126,7 @@ r1045:= -2*(1-b/(b^2-4*a*c)^(1/2))*atanh((2*c-(b-(b^2-4*a*c)^(1/2))*_
 a1045:= integrate(t1045,x)
 --R 
 --R
---R   (227)
+--R   (3)
 --R         ROOT
 --R                       3        2      2  2         2     3       4     2 2
 --R                  (8a c  + (- 2b  - 16a )c  + (12a b  + 8a )c - 2b  - 2a b )
@@ -25336,7 +25532,7 @@ a1045:= integrate(t1045,x)
 m1045:= a1045-r1045
 --R 
 --R
---R   (228)
+--R   (4)
 --R                        +-------------------------------------+
 --R          +-----------+ |     +-----------+
 --R          |          2  |     |          2      2            2
@@ -25828,7 +26024,7 @@ m1045:= a1045-r1045
 d1045:= D(m1045,x)
 --R 
 --R
---R   (229)
+--R   (5)
 --R                     3                    2              2
 --R           2a sinh(x)  + 6a cosh(x)sinh(x)  + (6a cosh(x)  - 2a)sinh(x)
 --R         + 
@@ -25984,15 +26180,18 @@ d1045:= D(m1045,x)
 --R                                                    Type: Expression(Integer)
 --E 262
 
+)clear all
+
+
 --S 263 of 531
 t1046:= sinh(x)^2/(a+b*sinh(x)+c*sinh(x)^2)
 --R 
 --R
---R                          2
---R                   sinh(x)
---R   (230)  --------------------------
---R                   2
---R          c sinh(x)  + b sinh(x) + a
+--R                        2
+--R                 sinh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c sinh(x)  + b sinh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 263
 
@@ -26006,7 +26205,7 @@ r1046:= x/c+2*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2+(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (231)
+--R   (2)
 --R                                         +-----------------------------------+
 --R             +-----------+               |   +-----------+
 --R             |          2             2  |   |          2      2            2
@@ -26067,7 +26266,7 @@ r1046:= x/c+2*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
 a1046:= integrate(t1046,x)
 --R 
 --R
---R   (232)
+--R   (3)
 --R       -
 --R            c
 --R         *
@@ -26506,7 +26705,7 @@ a1046:= integrate(t1046,x)
 m1046:= a1046-r1046
 --R 
 --R
---R   (233)
+--R   (4)
 --R       -
 --R                            +-------------------------------------+
 --R              +-----------+ |     +-----------+
@@ -27021,7 +27220,7 @@ m1046:= a1046-r1046
 d1046:= D(m1046,x)
 --R 
 --R
---R   (234)
+--R   (5)
 --R                    4                    3              2             2
 --R           a sinh(x)  + 4a cosh(x)sinh(x)  + (6a cosh(x)  - 2a)sinh(x)
 --R         + 
@@ -27172,15 +27371,18 @@ d1046:= D(m1046,x)
 --R                                                    Type: Expression(Integer)
 --E 267
 
+)clear all
+
+
 --S 268 of 531
 t1047:= sinh(x)^3/(a+b*sinh(x)+c*sinh(x)^2)
 --R 
 --R
---R                          3
---R                   sinh(x)
---R   (235)  --------------------------
---R                   2
---R          c sinh(x)  + b sinh(x) + a
+--R                        3
+--R                 sinh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c sinh(x)  + b sinh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 268
 
@@ -27194,7 +27396,7 @@ r1047:= -b*x/c^2-2*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2+(b+(b^2-4*a*c)^(1/2))^2)^(1/2)+cosh(x)/c
 --R 
 --R
---R   (236)
+--R   (2)
 --R                       +-----------+
 --R                    2  |          2               3
 --R         ((2a c - 2b )\|- 4a c + b   - 6a b c + 2b )
@@ -27259,7 +27461,7 @@ r1047:= -b*x/c^2-2*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
 a1047:= integrate(t1047,x)
 --R 
 --R
---R   (237)
+--R   (3)
 --R             2           2
 --R         (- c sinh(x) - c cosh(x))
 --R      *
@@ -27816,7 +28018,7 @@ a1047:= integrate(t1047,x)
 m1047:= a1047-r1047
 --R 
 --R
---R   (238)
+--R   (4)
 --R                                   +-----------+
 --R             2           2         |          2
 --R         (- c sinh(x) - c cosh(x))\|- 4a c + b
@@ -28483,7 +28685,7 @@ m1047:= a1047-r1047
 d1047:= D(m1047,x)
 --R 
 --R
---R   (239)
+--R   (5)
 --R                        6                                 5
 --R           - a c sinh(x)  + (- 4a c cosh(x) - 4a b)sinh(x)
 --R         + 
@@ -28856,14 +29058,17 @@ d1047:= D(m1047,x)
 --R                                                    Type: Expression(Integer)
 --E 272
 
+)clear all
+
+
 --S 273 of 531
 t1048:= (a+b*sinh(x))/(b^2-2*a*b*sinh(x)+a^2*sinh(x)^2)
 --R 
 --R
---R                   b sinh(x) + a
---R   (240)  ------------------------------
---R           2       2                   2
---R          a sinh(x)  - 2a b sinh(x) + b
+--R                 b sinh(x) + a
+--R   (1)  ------------------------------
+--R         2       2                   2
+--R        a sinh(x)  - 2a b sinh(x) + b
 --R                                                    Type: Expression(Integer)
 --E 273
 
@@ -28871,9 +29076,9 @@ t1048:= (a+b*sinh(x))/(b^2-2*a*b*sinh(x)+a^2*sinh(x)^2)
 r1048:= cosh(x)/(b-a*sinh(x))
 --R 
 --R
---R               cosh(x)
---R   (241)  - -------------
---R            a sinh(x) - b
+--R             cosh(x)
+--R   (2)  - -------------
+--R          a sinh(x) - b
 --R                                                    Type: Expression(Integer)
 --E 274
 
@@ -28881,7 +29086,7 @@ r1048:= cosh(x)/(b-a*sinh(x))
 a1048:= integrate(t1048,x)
 --R 
 --R
---R   (242)
+--R   (3)
 --R                        - 2b sinh(x) - 2b cosh(x) - 2a
 --R   ------------------------------------------------------------------------
 --R    2       2      2                          2       2                   2
@@ -28893,7 +29098,7 @@ a1048:= integrate(t1048,x)
 m1048:= a1048-r1048
 --R 
 --R
---R   (243)
+--R   (4)
 --R         2                      2
 --R       (a cosh(x) - 2a b)sinh(x)
 --R     + 
@@ -28918,7 +29123,7 @@ m1048:= a1048-r1048
 d1048:= D(m1048,x)
 --R 
 --R
---R   (244)
+--R   (5)
 --R        3       6      3            2         5
 --R       a sinh(x)  + (4a cosh(x) - 3a b)sinh(x)
 --R     + 
@@ -28985,14 +29190,17 @@ d1048:= D(m1048,x)
 --R                                                    Type: Expression(Integer)
 --E 277
 
+)clear all
+
+
 --S 278 of 531
 t1049:= (d+e*sinh(x))/(a+b*sinh(x)+c*sinh(x)^2)
 --R 
 --R
---R                 e sinh(x) + d
---R   (245)  --------------------------
---R                   2
---R          c sinh(x)  + b sinh(x) + a
+--R               e sinh(x) + d
+--R   (1)  --------------------------
+--R                 2
+--R        c sinh(x)  + b sinh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 278
 
@@ -29006,7 +29214,7 @@ r1049:= -2*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
         (4*c^2+(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (246)
+--R   (2)
 --R               +-----------+
 --R               |          2
 --R         (- 2e\|- 4a c + b   + 2b e - 4c d)
@@ -29061,7 +29269,7 @@ r1049:= -2*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
 a1049:= integrate(t1049,x)
 --R 
 --R
---R   (247)
+--R   (3)
 --R         ROOT
 --R                       3        2      2  2         2     3       4     2 2
 --R                  (8a c  + (- 2b  - 16a )c  + (12a b  + 8a )c - 2b  - 2a b )
@@ -29785,7 +29993,7 @@ a1049:= integrate(t1049,x)
 m1049:= a1049-r1049
 --R 
 --R
---R   (248)
+--R   (4)
 --R                        +-------------------------------------+
 --R          +-----------+ |     +-----------+
 --R          |          2  |     |          2      2            2
@@ -30591,7 +30799,7 @@ m1049:= a1049-r1049
 d1049:= D(m1049,x)
 --R 
 --R
---R   (249)
+--R   (5)
 --R                        4                                        3
 --R           - c d sinh(x)  + (- 4c d cosh(x) + 2a e - 2b d)sinh(x)
 --R         + 
@@ -30782,14 +30990,17 @@ d1049:= D(m1049,x)
 --R                                                    Type: Expression(Integer)
 --E 282
 
+)clear all
+
+
 --S 283 of 531
 t1050:= 1/(a+b*cosh(x)+c*cosh(x)^2)
 --R 
 --R
---R                       1
---R   (250)  --------------------------
---R                   2
---R          c cosh(x)  + b cosh(x) + a
+--R                     1
+--R   (1)  --------------------------
+--R                 2
+--R        c cosh(x)  + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 283
 
@@ -30802,7 +31013,7 @@ r1050:= -2*2^(1/2)*c*atan(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (251)
+--R   (2)
 --R            +---------------------------------+
 --R            |  +-----------+
 --R            |  |          2      2           2
@@ -30849,7 +31060,7 @@ r1050:= -2*2^(1/2)*c*atan(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*_
 a1050:= integrate(t1050,x)
 --R 
 --R
---R   (252)
+--R   (3)
 --R       -
 --R            ROOT
 --R                             3        2      2  2           2     3       4
@@ -31255,7 +31466,7 @@ a1050:= integrate(t1050,x)
 m1050:= a1050-r1050
 --R 
 --R
---R   (253)
+--R   (4)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -31749,7 +31960,7 @@ m1050:= a1050-r1050
 d1050:= D(m1050,x)
 --R 
 --R
---R   (254)
+--R   (5)
 --R                      4                             3
 --R           - c sinh(x)  + (- 4c cosh(x) - 2b)sinh(x)
 --R         + 
@@ -31893,14 +32104,17 @@ d1050:= D(m1050,x)
 --R                                                    Type: Expression(Integer)
 --E 287
 
+)clear all
+
+
 --S 288 of 531
 t1051:= cosh(x)/(a+b*cosh(x)+c*cosh(x)^2)
 --R 
 --R
---R                    cosh(x)
---R   (255)  --------------------------
---R                   2
---R          c cosh(x)  + b cosh(x) + a
+--R                  cosh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c cosh(x)  + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 288
 
@@ -31914,7 +32128,7 @@ r1051:= -2^(1/2)*(1-b/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (256)
+--R   (2)
 --R                                  +---------------------------------+
 --R              +-----------+       |  +-----------+
 --R              |          2        |  |          2      2           2
@@ -31961,7 +32175,7 @@ r1051:= -2^(1/2)*(1-b/(b^2-4*a*c)^(1/2))*_
 a1051:= integrate(t1051,x)
 --R 
 --R
---R   (257)
+--R   (3)
 --R         ROOT
 --R                       3        2      2  2           2     3       4     2 2
 --R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
@@ -32367,7 +32581,7 @@ a1051:= integrate(t1051,x)
 m1051:= a1051-r1051
 --R 
 --R
---R   (258)
+--R   (4)
 --R                        +-------------------------------------+
 --R          +-----------+ |     +-----------+
 --R          |          2  |     |          2      2            2
@@ -32863,7 +33077,7 @@ m1051:= a1051-r1051
 d1051:= D(m1051,x)
 --R 
 --R
---R   (259)
+--R   (5)
 --R                    4                                3
 --R           c sinh(x)  + (4c cosh(x) + 2c + 2a)sinh(x)
 --R         + 
@@ -33007,15 +33221,18 @@ d1051:= D(m1051,x)
 --R                                                    Type: Expression(Integer)
 --E 292
 
+)clear all
+
+
 --S 293 of 531
 t1052:= cosh(x)^2/(a+b*cosh(x)+c*cosh(x)^2)
 --R 
 --R
---R                          2
---R                   cosh(x)
---R   (260)  --------------------------
---R                   2
---R          c cosh(x)  + b cosh(x) + a
+--R                        2
+--R                 cosh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c cosh(x)  + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 293
 
@@ -33029,7 +33246,7 @@ r1052:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (261)
+--R   (2)
 --R                                         +---------------------------------+
 --R             +-----------+               |  +-----------+
 --R             |          2             2  |  |          2      2           2
@@ -33090,7 +33307,7 @@ r1052:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
 a1052:= integrate(t1052,x)
 --R 
 --R
---R   (262)
+--R   (3)
 --R       -
 --R            c
 --R         *
@@ -33529,7 +33746,7 @@ a1052:= integrate(t1052,x)
 m1052:= a1052-r1052
 --R 
 --R
---R   (263)
+--R   (4)
 --R       -
 --R                            +-------------------------------------+
 --R              +-----------+ |     +-----------+
@@ -34048,7 +34265,7 @@ m1052:= a1052-r1052
 d1052:= D(m1052,x)
 --R 
 --R
---R   (264)
+--R   (5)
 --R                           4                                   3
 --R           (- b + a)sinh(x)  + ((- 4b + 4a)cosh(x) - 2b)sinh(x)
 --R         + 
@@ -34194,15 +34411,18 @@ d1052:= D(m1052,x)
 --R                                                    Type: Expression(Integer)
 --E 297
 
+)clear all
+
+
 --S 298 of 531
 t1053:= cosh(x)^3/(a+b*cosh(x)+c*cosh(x)^2)
 --R 
 --R
---R                          3
---R                   cosh(x)
---R   (265)  --------------------------
---R                   2
---R          c cosh(x)  + b cosh(x) + a
+--R                        3
+--R                 cosh(x)
+--R   (1)  --------------------------
+--R                 2
+--R        c cosh(x)  + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 298
 
@@ -34216,7 +34436,7 @@ r1053:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)+sinh(x)/c
 --R 
 --R
---R   (266)
+--R   (2)
 --R                       +-----------+
 --R                    2  |          2               3
 --R         ((2a c - 2b )\|- 4a c + b   + 6a b c - 2b )
@@ -34281,7 +34501,7 @@ r1053:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
 a1053:= integrate(t1053,x)
 --R 
 --R
---R   (267)
+--R   (3)
 --R             2           2
 --R         (- c sinh(x) - c cosh(x))
 --R      *
@@ -34838,7 +35058,7 @@ a1053:= integrate(t1053,x)
 m1053:= a1053-r1053
 --R 
 --R
---R   (268)
+--R   (4)
 --R                                   +-----------+
 --R             2           2         |          2
 --R         (- c sinh(x) - c cosh(x))\|- 4a c + b
@@ -35505,7 +35725,7 @@ m1053:= a1053-r1053
 d1053:= D(m1053,x)
 --R 
 --R
---R   (269)
+--R   (5)
 --R             2                     6
 --R           (c  + (- b + a)c)sinh(x)
 --R         + 
@@ -35860,14 +36080,17 @@ d1053:= D(m1053,x)
 --R                                                    Type: Expression(Integer)
 --E 302
 
+)clear all
+
+
 --S 303 of 531
 t1054:= (d+e*cosh(x))/(a+b*cosh(x)+c*cosh(x)^2)
 --R 
 --R
---R                 e cosh(x) + d
---R   (270)  --------------------------
---R                   2
---R          c cosh(x)  + b cosh(x) + a
+--R               e cosh(x) + d
+--R   (1)  --------------------------
+--R                 2
+--R        c cosh(x)  + b cosh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 303
 
@@ -35881,7 +36104,7 @@ r1054:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (271)
+--R   (2)
 --R                                            +---------------------------------+
 --R               +-----------+                |  +-----------+
 --R               |          2                 |  |          2      2           2
@@ -35932,7 +36155,7 @@ r1054:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
 a1054:= integrate(t1054,x)
 --R 
 --R
---R   (272)
+--R   (3)
 --R         ROOT
 --R                       3        2      2  2           2     3       4     2 2
 --R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
@@ -36644,7 +36867,7 @@ a1054:= integrate(t1054,x)
 m1054:= a1054-r1054
 --R 
 --R
---R   (273)
+--R   (4)
 --R                        +-------------------------------------+
 --R          +-----------+ |     +-----------+
 --R          |          2  |     |          2      2            2
@@ -37438,7 +37661,7 @@ m1054:= a1054-r1054
 d1054:= D(m1054,x)
 --R 
 --R
---R   (274)
+--R   (5)
 --R                             4
 --R           (c e - c d)sinh(x)
 --R         + 
@@ -37622,15 +37845,18 @@ d1054:= D(m1054,x)
 --R                                                    Type: Expression(Integer)
 --E 307
 
+)clear all
+
+
 --S 308 of 531
 t1055:= sinh(x)^2/(a*cosh(x)^2+b*sinh(x)^2)
 --R 
 --R
---R                         2
---R                  sinh(x)
---R   (275)  -----------------------
---R                   2            2
---R          b sinh(x)  + a cosh(x)
+--R                       2
+--R                sinh(x)
+--R   (1)  -----------------------
+--R                 2            2
+--R        b sinh(x)  + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 308
 
@@ -37638,14 +37864,14 @@ t1055:= sinh(x)^2/(a*cosh(x)^2+b*sinh(x)^2)
 r1055:= x/(a+b)+a^(1/2)*atan(a^(1/2)*coth(x)/b^(1/2))/b^(1/2)/(a+b)
 --R 
 --R
---R                           +-+
---R           +-+     coth(x)\|a       +-+
---R          \|a atan(-----------) + x\|b
---R                        +-+
---R                       \|b
---R   (276)  -----------------------------
---R                           +-+
---R                   (b + a)\|b
+--R                         +-+
+--R         +-+     coth(x)\|a       +-+
+--R        \|a atan(-----------) + x\|b
+--R                      +-+
+--R                     \|b
+--R   (2)  -----------------------------
+--R                         +-+
+--R                 (b + a)\|b
 --R                                                    Type: Expression(Integer)
 --E 309
 
@@ -37653,7 +37879,7 @@ r1055:= x/(a+b)+a^(1/2)*atan(a^(1/2)*coth(x)/b^(1/2))/b^(1/2)/(a+b)
 a1055:= integrate(t1055,x)
 --R 
 --R
---R   (277)
+--R   (3)
 --R   [
 --R            +---+
 --R            |  a
@@ -37731,7 +37957,7 @@ a1055:= integrate(t1055,x)
 m1055a:= a1055.1-r1055
 --R 
 --R
---R   (278)
+--R   (4)
 --R          +---+
 --R          |  a  +-+
 --R          |- - \|b
@@ -37788,7 +38014,7 @@ m1055a:= a1055.1-r1055
 d1055a:= D(m1055a,x)
 --R 
 --R
---R   (279)
+--R   (5)
 --R                 2            4                     2                     3
 --R       (a coth(x)  - a)sinh(x)  + (4a cosh(x)coth(x)  - 4a cosh(x))sinh(x)
 --R     + 
@@ -37836,7 +38062,7 @@ d1055a:= D(m1055a,x)
 m1055b:= a1055.2-r1055
 --R 
 --R
---R   (280)
+--R   (6)
 --R          +-+
 --R          |a  +-+
 --R          |- \|b
@@ -37865,7 +38091,7 @@ m1055b:= a1055.2-r1055
 d1055b:= D(m1055b,x)
 --R 
 --R
---R   (281)
+--R   (7)
 --R                 2            4                     2                     3
 --R       (a coth(x)  - a)sinh(x)  + (4a cosh(x)coth(x)  - 4a cosh(x))sinh(x)
 --R     + 
@@ -37909,15 +38135,18 @@ d1055b:= D(m1055b,x)
 --R                                                    Type: Expression(Integer)
 --E 314
 
+)clear all
+
+
 --S 315 of 531
 t1056:= cosh(x)^2/(a*cosh(x)^2+b*sinh(x)^2)
 --R 
 --R
---R                         2
---R                  cosh(x)
---R   (282)  -----------------------
---R                   2            2
---R          b sinh(x)  + a cosh(x)
+--R                       2
+--R                cosh(x)
+--R   (1)  -----------------------
+--R                 2            2
+--R        b sinh(x)  + a cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 315
 
@@ -37925,14 +38154,14 @@ t1056:= cosh(x)^2/(a*cosh(x)^2+b*sinh(x)^2)
 r1056:= x/(a+b)+b^(1/2)*atan(b^(1/2)*tanh(x)/a^(1/2))/a^(1/2)/(a+b)
 --R 
 --R
---R                           +-+
---R           +-+     tanh(x)\|b       +-+
---R          \|b atan(-----------) + x\|a
---R                        +-+
---R                       \|a
---R   (283)  -----------------------------
---R                           +-+
---R                   (b + a)\|a
+--R                         +-+
+--R         +-+     tanh(x)\|b       +-+
+--R        \|b atan(-----------) + x\|a
+--R                      +-+
+--R                     \|a
+--R   (2)  -----------------------------
+--R                         +-+
+--R                 (b + a)\|a
 --R                                                    Type: Expression(Integer)
 --E 316
 
@@ -37940,7 +38169,7 @@ r1056:= x/(a+b)+b^(1/2)*atan(b^(1/2)*tanh(x)/a^(1/2))/a^(1/2)/(a+b)
 a1056:= integrate(t1056,x)
 --R 
 --R
---R   (284)
+--R   (3)
 --R   [
 --R            +---+
 --R            |  b
@@ -38019,7 +38248,7 @@ a1056:= integrate(t1056,x)
 m1056a:= a1056.1-r1056
 --R 
 --R
---R   (285)
+--R   (4)
 --R          +---+
 --R          |  b  +-+
 --R          |- - \|a
@@ -38076,7 +38305,7 @@ m1056a:= a1056.1-r1056
 d1056a:= D(m1056a,x)
 --R 
 --R
---R   (286)
+--R   (5)
 --R                    4                    3              2             2
 --R           b sinh(x)  + 4b cosh(x)sinh(x)  + (6b cosh(x)  + 2b)sinh(x)
 --R         + 
@@ -38125,7 +38354,7 @@ d1056a:= D(m1056a,x)
 m1056b:= a1056.2-r1056
 --R 
 --R
---R   (287)
+--R   (6)
 --R                          +-+
 --R          +-+     tanh(x)\|b
 --R       - \|b atan(-----------)
@@ -38158,7 +38387,7 @@ m1056b:= a1056.2-r1056
 d1056b:= D(m1056b,x)
 --R 
 --R
---R   (288)
+--R   (7)
 --R                    4                    3              2             2
 --R           b sinh(x)  + 4b cosh(x)sinh(x)  + (6b cosh(x)  + 2b)sinh(x)
 --R         + 
@@ -38203,15 +38432,18 @@ d1056b:= D(m1056b,x)
 --R                                                    Type: Expression(Integer)
 --E 321
 
+)clear all
+
+
 --S 322 of 531
 t1057:= sinh(x)^3/(cosh(x)^3+sinh(x)^3)
 --R 
 --R
---R                       3
---R                sinh(x)
---R   (289)  -------------------
---R                 3          3
---R          sinh(x)  + cosh(x)
+--R                     3
+--R              sinh(x)
+--R   (1)  -------------------
+--R               3          3
+--R        sinh(x)  + cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 322
 
@@ -38219,13 +38451,12 @@ t1057:= sinh(x)^3/(cosh(x)^3+sinh(x)^3)
 r1057:= 1/2*x-2/9*atan(1/3*(1-2*coth(x))*3^(1/2))*3^(1/2)-1/(6+6*coth(x))
 --R 
 --R
---R   (290)
---R                                +-+           +-+
---R      +-+            +-+      2\|3 coth(x) - \|3
---R   (4\|3 coth(x) + 4\|3 )atan(-------------------) + 9x coth(x) + 9x - 3
---R                                       3
---R   ---------------------------------------------------------------------
---R                               18coth(x) + 18
+--R                                     +-+           +-+
+--R           +-+            +-+      2\|3 coth(x) - \|3
+--R        (4\|3 coth(x) + 4\|3 )atan(-------------------) + 9x coth(x) + 9x - 3
+--R                                            3
+--R   (2)  ---------------------------------------------------------------------
+--R                                    18coth(x) + 18
 --R                                                    Type: Expression(Integer)
 --E 323
 
@@ -38233,7 +38464,7 @@ r1057:= 1/2*x-2/9*atan(1/3*(1-2*coth(x))*3^(1/2))*3^(1/2)-1/(6+6*coth(x))
 a1057:= integrate(t1057,x)
 --R 
 --R
---R   (291)
+--R   (3)
 --R                                                       +-+           +-+
 --R                2                              2      \|3 sinh(x) + \|3 cosh(x)
 --R       (8sinh(x)  + 16cosh(x)sinh(x) + 8cosh(x) )atan(-------------------------)
@@ -38251,7 +38482,7 @@ a1057:= integrate(t1057,x)
 m1057:= a1057-r1057
 --R 
 --R
---R   (292)
+--R   (4)
 --R                                  2
 --R           (- 8coth(x) - 8)sinh(x)  + (- 16cosh(x)coth(x) - 16cosh(x))sinh(x)
 --R         + 
@@ -38292,7 +38523,7 @@ m1057:= a1057-r1057
 d1057:= D(m1057,x)
 --R 
 --R
---R   (293)
+--R   (5)
 --R                3            4                   3                  3
 --R       (5coth(x)  - 1)sinh(x)  + (7cosh(x)coth(x)  + cosh(x))sinh(x)
 --R     + 
@@ -38313,15 +38544,18 @@ d1057:= D(m1057,x)
 --R                                                    Type: Expression(Integer)
 --E 326
 
+)clear all
+
+
 --S 327 of 531
 t1058:= cosh(x)^3/(cosh(x)^3+sinh(x)^3)
 --R 
 --R
---R                       3
---R                cosh(x)
---R   (294)  -------------------
---R                 3          3
---R          sinh(x)  + cosh(x)
+--R                     3
+--R              cosh(x)
+--R   (1)  -------------------
+--R               3          3
+--R        sinh(x)  + cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 327
 
@@ -38329,13 +38563,12 @@ t1058:= cosh(x)^3/(cosh(x)^3+sinh(x)^3)
 r1058:= 1/2*x-2/9*atan(1/3*(1-2*tanh(x))*3^(1/2))*3^(1/2)-1/(6+6*tanh(x))
 --R 
 --R
---R   (295)
---R                                +-+           +-+
---R      +-+            +-+      2\|3 tanh(x) - \|3
---R   (4\|3 tanh(x) + 4\|3 )atan(-------------------) + 9x tanh(x) + 9x - 3
---R                                       3
---R   ---------------------------------------------------------------------
---R                               18tanh(x) + 18
+--R                                     +-+           +-+
+--R           +-+            +-+      2\|3 tanh(x) - \|3
+--R        (4\|3 tanh(x) + 4\|3 )atan(-------------------) + 9x tanh(x) + 9x - 3
+--R                                            3
+--R   (2)  ---------------------------------------------------------------------
+--R                                    18tanh(x) + 18
 --R                                                    Type: Expression(Integer)
 --E 328
 
@@ -38343,7 +38576,7 @@ r1058:= 1/2*x-2/9*atan(1/3*(1-2*tanh(x))*3^(1/2))*3^(1/2)-1/(6+6*tanh(x))
 a1058:= integrate(t1058,x)
 --R 
 --R
---R   (296)
+--R   (3)
 --R                    2                              2
 --R         (- 8sinh(x)  - 16cosh(x)sinh(x) - 8cosh(x) )
 --R      *
@@ -38364,7 +38597,7 @@ a1058:= integrate(t1058,x)
 m1058:= a1058-r1058
 --R 
 --R
---R   (297)
+--R   (4)
 --R                      2                              2                   2
 --R           (- 8sinh(x)  - 16cosh(x)sinh(x) - 8cosh(x) )tanh(x) - 8sinh(x)
 --R         + 
@@ -38402,7 +38635,7 @@ m1058:= a1058-r1058
 d1058:= D(m1058,x)
 --R 
 --R
---R   (298)
+--R   (5)
 --R                  4                 3          2            3
 --R           sinh(x)  - cosh(x)sinh(x)  + sinh(x)  + (7cosh(x)  - cosh(x))sinh(x)
 --R         + 
@@ -38426,12 +38659,15 @@ d1058:= D(m1058,x)
 --R                                                    Type: Expression(Integer)
 --E 331
 
+)clear all
+
+
 --S 332 of 531
 t1059:= exp(1)^(a+b*x)*sinh(a+b*x)
 --R 
 --R
---R            b x + a
---R   (299)  %e       sinh(b x + a)
+--R          b x + a
+--R   (1)  %e       sinh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 332
 
@@ -38439,10 +38675,10 @@ t1059:= exp(1)^(a+b*x)*sinh(a+b*x)
 r1059:= 1/4*(exp(2*a+2*b*x)-2*b*x)/b
 --R 
 --R
---R            2b x + 2a
---R          %e          - 2b x
---R   (300)  ------------------
---R                  4b
+--R          2b x + 2a
+--R        %e          - 2b x
+--R   (2)  ------------------
+--R                4b
 --R                                                    Type: Expression(Integer)
 --E 333
 
@@ -38450,9 +38686,9 @@ r1059:= 1/4*(exp(2*a+2*b*x)-2*b*x)/b
 a1059:= integrate(t1059,x)
 --R 
 --R
---R          (- 2b x - 1)sinh(b x + a) + (2b x - 1)cosh(b x + a)
---R   (301)  ---------------------------------------------------
---R                  4b sinh(b x + a) - 4b cosh(b x + a)
+--R        (- 2b x - 1)sinh(b x + a) + (2b x - 1)cosh(b x + a)
+--R   (3)  ---------------------------------------------------
+--R                4b sinh(b x + a) - 4b cosh(b x + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 334
 
@@ -38460,7 +38696,7 @@ a1059:= integrate(t1059,x)
 m1059:= a1059-r1059
 --R 
 --R
---R   (302)
+--R   (4)
 --R        2b x + 2a                                    2b x + 2a
 --R   (- %e          - 1)sinh(b x + a) + cosh(b x + a)%e          - cosh(b x + a)
 --R   ---------------------------------------------------------------------------
@@ -38472,7 +38708,7 @@ m1059:= a1059-r1059
 d1059:= D(m1059,x)
 --R 
 --R
---R   (303)
+--R   (5)
 --R        2b x + 2a                                    2b x + 2a
 --R   (- %e          - 1)sinh(b x + a) + cosh(b x + a)%e          - cosh(b x + a)
 --R   ---------------------------------------------------------------------------
@@ -38480,12 +38716,15 @@ d1059:= D(m1059,x)
 --R                                                    Type: Expression(Integer)
 --E 336
 
+)clear all
+
+
 --S 337 of 531
 t1060:= exp(1)^(a+b*x)*sinh(a+b*x)^3
 --R 
 --R
---R            b x + a             3
---R   (304)  %e       sinh(b x + a)
+--R          b x + a             3
+--R   (1)  %e       sinh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 337
 
@@ -38493,10 +38732,10 @@ t1060:= exp(1)^(a+b*x)*sinh(a+b*x)^3
 r1060:= 1/32*(2*exp(-2*a-2*b*x)-6*exp(2*a+2*b*x)+exp(4*a+4*b*x)+12*b*x)/b
 --R 
 --R
---R            4b x + 4a      2b x + 2a      - 2b x - 2a
---R          %e          - 6%e          + 2%e            + 12b x
---R   (305)  ---------------------------------------------------
---R                                  32b
+--R          4b x + 4a      2b x + 2a      - 2b x - 2a
+--R        %e          - 6%e          + 2%e            + 12b x
+--R   (2)  ---------------------------------------------------
+--R                                32b
 --R                                                    Type: Expression(Integer)
 --E 338
 
@@ -38504,7 +38743,7 @@ r1060:= 1/32*(2*exp(-2*a-2*b*x)-6*exp(2*a+2*b*x)+exp(4*a+4*b*x)+12*b*x)/b
 a1060:= integrate(t1060,x)
 --R 
 --R
---R   (306)
+--R   (3)
 --R                    3                              2
 --R       sinh(b x + a)  - 9cosh(b x + a)sinh(b x + a)
 --R     + 
@@ -38521,7 +38760,7 @@ a1060:= integrate(t1060,x)
 m1060:= a1060-r1060
 --R 
 --R
---R   (307)
+--R   (4)
 --R                    3                              2
 --R       sinh(b x + a)  - 9cosh(b x + a)sinh(b x + a)
 --R     + 
@@ -38544,7 +38783,7 @@ m1060:= a1060-r1060
 d1060:= D(m1060,x)
 --R 
 --R
---R   (308)
+--R   (5)
 --R                       3
 --R       - 2sinh(b x + a)
 --R     + 
@@ -38563,16 +38802,19 @@ d1060:= D(m1060,x)
 --R                                                    Type: Expression(Integer)
 --E 341
 
+)clear all
+
+
 --S 342 of 531
 t1061:= exp(1)^(a+b*x)*sinh(c+d*x)^(3/2)-3*d^2/(4*b^2-9*d^2)*_
         exp(1)^(a+b*x)/sinh(c+d*x)^(1/2)
 --R 
 --R
---R             2     2   b x + a             2     2  b x + a
---R          (9d  - 4b )%e       sinh(d x + c)  + 3d %e
---R   (309)  -------------------------------------------------
---R                        2     2  +-------------+
---R                     (9d  - 4b )\|sinh(d x + c)
+--R           2     2   b x + a             2     2  b x + a
+--R        (9d  - 4b )%e       sinh(d x + c)  + 3d %e
+--R   (1)  -------------------------------------------------
+--R                      2     2  +-------------+
+--R                   (9d  - 4b )\|sinh(d x + c)
 --R                                                    Type: Expression(Integer)
 --E 342
 
@@ -38581,7 +38823,7 @@ r1061:= -2*exp(a+b*x)*sinh(c+d*x)^(1/2)*(3*d*cosh(c+d*x)-_
         2*b*sinh(c+d*x))/(4*b^2-9*d^2)
 --R 
 --R
---R   (310)
+--R   (2)
 --R           b x + a                                  b x + a  +-------------+
 --R   (- 4b %e       sinh(d x + c) + 6d cosh(d x + c)%e       )\|sinh(d x + c)
 --R   -------------------------------------------------------------------------
@@ -38609,12 +38851,15 @@ a1061:= integrate(t1061,x)
 --d1061:= D(m1061,x)
 --E 346
 
+)clear all
+
+
 --S 347 of 531
 t1062:= exp(1)^(a+b*x)*cosh(a+b*x)
 --R 
 --R
---R                         b x + a
---R   (311)  cosh(b x + a)%e
+--R                       b x + a
+--R   (1)  cosh(b x + a)%e
 --R                                                    Type: Expression(Integer)
 --E 347
 
@@ -38622,10 +38867,10 @@ t1062:= exp(1)^(a+b*x)*cosh(a+b*x)
 r1062:= 1/4*(exp(2*a+2*b*x)+2*b*x)/b
 --R 
 --R
---R            2b x + 2a
---R          %e          + 2b x
---R   (312)  ------------------
---R                  4b
+--R          2b x + 2a
+--R        %e          + 2b x
+--R   (2)  ------------------
+--R                4b
 --R                                                    Type: Expression(Integer)
 --E 348
 
@@ -38633,9 +38878,9 @@ r1062:= 1/4*(exp(2*a+2*b*x)+2*b*x)/b
 a1062:= integrate(t1062,x)
 --R 
 --R
---R          (2b x - 1)sinh(b x + a) + (- 2b x - 1)cosh(b x + a)
---R   (313)  ---------------------------------------------------
---R                  4b sinh(b x + a) - 4b cosh(b x + a)
+--R        (2b x - 1)sinh(b x + a) + (- 2b x - 1)cosh(b x + a)
+--R   (3)  ---------------------------------------------------
+--R                4b sinh(b x + a) - 4b cosh(b x + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 349
 
@@ -38643,7 +38888,7 @@ a1062:= integrate(t1062,x)
 m1062:= a1062-r1062
 --R 
 --R
---R   (314)
+--R   (4)
 --R        2b x + 2a                                    2b x + 2a
 --R   (- %e          - 1)sinh(b x + a) + cosh(b x + a)%e          - cosh(b x + a)
 --R   ---------------------------------------------------------------------------
@@ -38655,7 +38900,7 @@ m1062:= a1062-r1062
 d1062:= D(m1062,x)
 --R 
 --R
---R   (315)
+--R   (5)
 --R        2b x + 2a                                    2b x + 2a
 --R   (- %e          - 1)sinh(b x + a) + cosh(b x + a)%e          - cosh(b x + a)
 --R   ---------------------------------------------------------------------------
@@ -38663,12 +38908,15 @@ d1062:= D(m1062,x)
 --R                                                    Type: Expression(Integer)
 --E 351
 
+)clear all
+
+
 --S 352 of 531
 t1063:= exp(1)^(a+b*x)*cosh(a+b*x)^3
 --R 
 --R
---R                       3  b x + a
---R   (316)  cosh(b x + a) %e
+--R                     3  b x + a
+--R   (1)  cosh(b x + a) %e
 --R                                                    Type: Expression(Integer)
 --E 352
 
@@ -38676,10 +38924,10 @@ t1063:= exp(1)^(a+b*x)*cosh(a+b*x)^3
 r1063:= 1/32*(-2*exp(-2*a-2*b*x)+6*exp(2*a+2*b*x)+exp(4*a+4*b*x)+12*b*x)/b
 --R 
 --R
---R            4b x + 4a      2b x + 2a      - 2b x - 2a
---R          %e          + 6%e          - 2%e            + 12b x
---R   (317)  ---------------------------------------------------
---R                                  32b
+--R          4b x + 4a      2b x + 2a      - 2b x - 2a
+--R        %e          + 6%e          - 2%e            + 12b x
+--R   (2)  ---------------------------------------------------
+--R                                32b
 --R                                                    Type: Expression(Integer)
 --E 353
 
@@ -38687,7 +38935,7 @@ r1063:= 1/32*(-2*exp(-2*a-2*b*x)+6*exp(2*a+2*b*x)+exp(4*a+4*b*x)+12*b*x)/b
 a1063:= integrate(t1063,x)
 --R 
 --R
---R   (318)
+--R   (3)
 --R                       3                              2
 --R       - 3sinh(b x + a)  + 3cosh(b x + a)sinh(b x + a)
 --R     + 
@@ -38704,7 +38952,7 @@ a1063:= integrate(t1063,x)
 m1063:= a1063-r1063
 --R 
 --R
---R   (319)
+--R   (4)
 --R                       3                              2
 --R       - 3sinh(b x + a)  + 3cosh(b x + a)sinh(b x + a)
 --R     + 
@@ -38727,7 +38975,7 @@ m1063:= a1063-r1063
 d1063:= D(m1063,x)
 --R 
 --R
---R   (320)
+--R   (5)
 --R                                    2
 --R       - 6cosh(b x + a)sinh(b x + a)
 --R     + 
@@ -38744,14 +38992,17 @@ d1063:= D(m1063,x)
 --R                                                    Type: Expression(Integer)
 --E 356
 
+)clear all
+
+
 --S 357 of 531
 t1064:= sech(x)^2/(a+b*tanh(x))
 --R 
 --R
---R                    2
---R             sech(x)
---R   (321)  -------------
---R          b tanh(x) + a
+--R                  2
+--R           sech(x)
+--R   (1)  -------------
+--R        b tanh(x) + a
 --R                                                    Type: Expression(Integer)
 --E 357
 
@@ -38759,9 +39010,9 @@ t1064:= sech(x)^2/(a+b*tanh(x))
 r1064:= log(a+b*tanh(x))/b
 --R 
 --R
---R          log(b tanh(x) + a)
---R   (322)  ------------------
---R                   b
+--R        log(b tanh(x) + a)
+--R   (2)  ------------------
+--R                 b
 --R                                                    Type: Expression(Integer)
 --E 358
 
@@ -38769,11 +39020,11 @@ r1064:= log(a+b*tanh(x))/b
 a1064:= integrate(t1064,x)
 --R 
 --R
---R                       2cosh(x)            - 2b sinh(x) - 2a cosh(x)
---R          - log(- -----------------) + log(-------------------------)
---R                  sinh(x) - cosh(x)            sinh(x) - cosh(x)
---R   (323)  -----------------------------------------------------------
---R                                       b
+--R                     2cosh(x)            - 2b sinh(x) - 2a cosh(x)
+--R        - log(- -----------------) + log(-------------------------)
+--R                sinh(x) - cosh(x)            sinh(x) - cosh(x)
+--R   (3)  -----------------------------------------------------------
+--R                                     b
 --R                                         Type: Union(Expression(Integer),...)
 --E 359
 
@@ -38781,7 +39032,7 @@ a1064:= integrate(t1064,x)
 m1064:= a1064-r1064
 --R 
 --R
---R   (324)
+--R   (4)
 --R                                         2cosh(x)
 --R       - log(b tanh(x) + a) - log(- -----------------)
 --R                                    sinh(x) - cosh(x)
@@ -38798,7 +39049,7 @@ m1064:= a1064-r1064
 d1064:= D(m1064,x)
 --R 
 --R
---R   (325)
+--R   (5)
 --R                                    2        2
 --R       (b cosh(x)sinh(x) + a cosh(x) )tanh(x)
 --R     + 
@@ -38810,12 +39061,15 @@ d1064:= D(m1064,x)
 --R                                                    Type: Expression(Integer)
 --E 361
 
+)clear all
+
+
 --S 362 of 531
 t1065:= sech(x)^2*(a+b*tanh(x))^n
 --R 
 --R
---R                 2               n
---R   (326)  sech(x) (b tanh(x) + a)
+--R               2               n
+--R   (1)  sech(x) (b tanh(x) + a)
 --R                                                    Type: Expression(Integer)
 --E 362
 
@@ -38823,10 +39077,10 @@ t1065:= sech(x)^2*(a+b*tanh(x))^n
 r1065:= (a+b*tanh(x))^(1+n)/b/(1+n)
 --R 
 --R
---R                         n + 1
---R          (b tanh(x) + a)
---R   (327)  --------------------
---R                 b n + b
+--R                       n + 1
+--R        (b tanh(x) + a)
+--R   (2)  --------------------
+--R               b n + b
 --R                                                    Type: Expression(Integer)
 --E 363
 
@@ -38834,7 +39088,7 @@ r1065:= (a+b*tanh(x))^(1+n)/b/(1+n)
 a1065:= integrate(t1065,x)
 --R 
 --R
---R   (328)
+--R   (3)
 --R                                         b sinh(x) + a cosh(x)
 --R       (b sinh(x) + a cosh(x))sinh(n log(---------------------))
 --R                                                cosh(x)
@@ -38851,7 +39105,7 @@ a1065:= integrate(t1065,x)
 m1065:= a1065-r1065
 --R 
 --R
---R   (329)
+--R   (4)
 --R                                         b sinh(x) + a cosh(x)
 --R       (b sinh(x) + a cosh(x))sinh(n log(---------------------))
 --R                                                cosh(x)
@@ -38871,7 +39125,7 @@ m1065:= a1065-r1065
 d1065:= D(m1065,x)
 --R 
 --R
---R   (330)
+--R   (5)
 --R                 2          2            b sinh(x) + a cosh(x)
 --R       (- sinh(x)  + cosh(x) )sinh(n log(---------------------))
 --R                                                cosh(x)
@@ -38888,15 +39142,18 @@ d1065:= D(m1065,x)
 --R                                                    Type: Expression(Integer)
 --E 366
 
+)clear all
+
+
 --S 367 of 531
 t1066:= sech(x)^2*(1+1/(1-tanh(x)^2))
 --R 
 --R
---R                 2       2           2
---R          sech(x) tanh(x)  - 2sech(x)
---R   (331)  ----------------------------
---R                         2
---R                  tanh(x)  - 1
+--R               2       2           2
+--R        sech(x) tanh(x)  - 2sech(x)
+--R   (1)  ----------------------------
+--R                       2
+--R                tanh(x)  - 1
 --R                                                    Type: Expression(Integer)
 --E 367
 
@@ -38904,7 +39161,7 @@ t1066:= sech(x)^2*(1+1/(1-tanh(x)^2))
 r1066:= x+tanh(x)
 --R 
 --R
---R   (332)  tanh(x) + x
+--R   (2)  tanh(x) + x
 --R                                                    Type: Expression(Integer)
 --E 368
 
@@ -38912,9 +39169,9 @@ r1066:= x+tanh(x)
 a1066:= integrate(t1066,x)
 --R 
 --R
---R          sinh(x) + (x - 1)cosh(x)
---R   (333)  ------------------------
---R                   cosh(x)
+--R        sinh(x) + (x - 1)cosh(x)
+--R   (3)  ------------------------
+--R                 cosh(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 369
 
@@ -38922,9 +39179,9 @@ a1066:= integrate(t1066,x)
 m1066:= a1066-r1066
 --R 
 --R
---R          - cosh(x)tanh(x) + sinh(x) - cosh(x)
---R   (334)  ------------------------------------
---R                         cosh(x)
+--R        - cosh(x)tanh(x) + sinh(x) - cosh(x)
+--R   (4)  ------------------------------------
+--R                       cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 370
 
@@ -38932,23 +39189,26 @@ m1066:= a1066-r1066
 d1066:= D(m1066,x)
 --R 
 --R
---R                 2       2          2
---R          cosh(x) tanh(x)  - sinh(x)
---R   (335)  ---------------------------
---R                           2
---R                    cosh(x)
+--R               2       2          2
+--R        cosh(x) tanh(x)  - sinh(x)
+--R   (5)  ---------------------------
+--R                         2
+--R                  cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 371
 
+)clear all
+
+
 --S 372 of 531
 t1067:= sech(x)^2*(2-tanh(x)^2)/(1-tanh(x)^2)
 --R 
 --R
---R                 2       2           2
---R          sech(x) tanh(x)  - 2sech(x)
---R   (336)  ----------------------------
---R                         2
---R                  tanh(x)  - 1
+--R               2       2           2
+--R        sech(x) tanh(x)  - 2sech(x)
+--R   (1)  ----------------------------
+--R                       2
+--R                tanh(x)  - 1
 --R                                                    Type: Expression(Integer)
 --E 372
 
@@ -38956,7 +39216,7 @@ t1067:= sech(x)^2*(2-tanh(x)^2)/(1-tanh(x)^2)
 r1067:= x+tanh(x)
 --R 
 --R
---R   (337)  tanh(x) + x
+--R   (2)  tanh(x) + x
 --R                                                    Type: Expression(Integer)
 --E 373
 
@@ -38964,9 +39224,9 @@ r1067:= x+tanh(x)
 a1067:= integrate(t1067,x)
 --R 
 --R
---R          sinh(x) + (x - 1)cosh(x)
---R   (338)  ------------------------
---R                   cosh(x)
+--R        sinh(x) + (x - 1)cosh(x)
+--R   (3)  ------------------------
+--R                 cosh(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 374
 
@@ -38974,9 +39234,9 @@ a1067:= integrate(t1067,x)
 m1067:= a1067-r1067
 --R 
 --R
---R          - cosh(x)tanh(x) + sinh(x) - cosh(x)
---R   (339)  ------------------------------------
---R                         cosh(x)
+--R        - cosh(x)tanh(x) + sinh(x) - cosh(x)
+--R   (4)  ------------------------------------
+--R                       cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 375
 
@@ -38984,23 +39244,26 @@ m1067:= a1067-r1067
 d1067:= D(m1067,x)
 --R 
 --R
---R                 2       2          2
---R          cosh(x) tanh(x)  - sinh(x)
---R   (340)  ---------------------------
---R                           2
---R                    cosh(x)
+--R               2       2          2
+--R        cosh(x) tanh(x)  - sinh(x)
+--R   (5)  ---------------------------
+--R                         2
+--R                  cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 376
 
+)clear all
+
+
 --S 377 of 531
 t1068:= sech(x)^2/(1+tanh(x)^2)
 --R 
 --R
---R                   2
---R            sech(x)
---R   (341)  ------------
 --R                 2
---R          tanh(x)  + 1
+--R          sech(x)
+--R   (1)  ------------
+--R               2
+--R        tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 377
 
@@ -39008,7 +39271,7 @@ t1068:= sech(x)^2/(1+tanh(x)^2)
 r1068:= atan(tanh(x))
 --R 
 --R
---R   (342)  atan(tanh(x))
+--R   (2)  atan(tanh(x))
 --R                                                    Type: Expression(Integer)
 --E 378
 
@@ -39016,9 +39279,9 @@ r1068:= atan(tanh(x))
 a1068:= integrate(t1068,x)
 --R 
 --R
---R                 sinh(x) + cosh(x)
---R   (343)  - atan(-----------------)
---R                 sinh(x) - cosh(x)
+--R               sinh(x) + cosh(x)
+--R   (3)  - atan(-----------------)
+--R               sinh(x) - cosh(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 379
 
@@ -39026,9 +39289,9 @@ a1068:= integrate(t1068,x)
 m1068:= a1068-r1068
 --R 
 --R
---R                                 sinh(x) + cosh(x)
---R   (344)  - atan(tanh(x)) - atan(-----------------)
---R                                 sinh(x) - cosh(x)
+--R                               sinh(x) + cosh(x)
+--R   (4)  - atan(tanh(x)) - atan(-----------------)
+--R                               sinh(x) - cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 380
 
@@ -39036,23 +39299,26 @@ m1068:= a1068-r1068
 d1068:= D(m1068,x)
 --R 
 --R
---R                             2       2           2
---R                     2cosh(x) tanh(x)  - 2sinh(x)
---R   (345)  ---------------------------------------------------
---R                  2          2        2          2          2
---R          (sinh(x)  + cosh(x) )tanh(x)  + sinh(x)  + cosh(x)
+--R                           2       2           2
+--R                   2cosh(x) tanh(x)  - 2sinh(x)
+--R   (5)  ---------------------------------------------------
+--R                2          2        2          2          2
+--R        (sinh(x)  + cosh(x) )tanh(x)  + sinh(x)  + cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 381
 
+)clear all
+
+
 --S 382 of 531
 t1069:= sech(x)^2/(9+tanh(x)^2)
 --R 
 --R
---R                   2
---R            sech(x)
---R   (346)  ------------
 --R                 2
---R          tanh(x)  + 9
+--R          sech(x)
+--R   (1)  ------------
+--R               2
+--R        tanh(x)  + 9
 --R                                                    Type: Expression(Integer)
 --E 382
 
@@ -39060,11 +39326,11 @@ t1069:= sech(x)^2/(9+tanh(x)^2)
 r1069:= 1/3*atan(1/3*tanh(x))
 --R 
 --R
---R               tanh(x)
---R          atan(-------)
---R                  3
---R   (347)  -------------
+--R             tanh(x)
+--R        atan(-------)
 --R                3
+--R   (2)  -------------
+--R              3
 --R                                                    Type: Expression(Integer)
 --E 383
 
@@ -39072,11 +39338,11 @@ r1069:= 1/3*atan(1/3*tanh(x))
 a1069:= integrate(t1069,x)
 --R 
 --R
---R                  sinh(x) + 9cosh(x)
---R            atan(-------------------)
---R                 3sinh(x) - 3cosh(x)
---R   (348)  - -------------------------
---R                        3
+--R                sinh(x) + 9cosh(x)
+--R          atan(-------------------)
+--R               3sinh(x) - 3cosh(x)
+--R   (3)  - -------------------------
+--R                      3
 --R                                         Type: Union(Expression(Integer),...)
 --E 384
 
@@ -39084,11 +39350,11 @@ a1069:= integrate(t1069,x)
 m1069:= a1069-r1069
 --R 
 --R
---R                 tanh(x)          sinh(x) + 9cosh(x)
---R          - atan(-------) - atan(-------------------)
---R                    3            3sinh(x) - 3cosh(x)
---R   (349)  -------------------------------------------
---R                               3
+--R               tanh(x)          sinh(x) + 9cosh(x)
+--R        - atan(-------) - atan(-------------------)
+--R                  3            3sinh(x) - 3cosh(x)
+--R   (4)  -------------------------------------------
+--R                             3
 --R                                                    Type: Expression(Integer)
 --E 385
 
@@ -39096,24 +39362,27 @@ m1069:= a1069-r1069
 d1069:= D(m1069,x)
 --R 
 --R
---R                               2       2            2
---R                      10cosh(x) tanh(x)  - 10sinh(x)
---R   (350)  -------------------------------------------------------
---R                  2           2        2           2            2
---R          (sinh(x)  + 9cosh(x) )tanh(x)  + 9sinh(x)  + 81cosh(x)
+--R                             2       2            2
+--R                    10cosh(x) tanh(x)  - 10sinh(x)
+--R   (5)  -------------------------------------------------------
+--R                2           2        2           2            2
+--R        (sinh(x)  + 9cosh(x) )tanh(x)  + 9sinh(x)  + 81cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 386
 
+)clear all
+
+
 --S 387 of 531
 t1070:= sech(x)^2/(4-sech(x)^2)^(1/2)
 --R 
 --R
---R                      2
---R               sech(x)
---R   (351)  -----------------
---R           +--------------+
---R           |         2
---R          \|- sech(x)  + 4
+--R                    2
+--R             sech(x)
+--R   (1)  -----------------
+--R         +--------------+
+--R         |         2
+--R        \|- sech(x)  + 4
 --R                                                    Type: Expression(Integer)
 --E 387
 
@@ -39121,10 +39390,10 @@ t1070:= sech(x)^2/(4-sech(x)^2)^(1/2)
 r1070:= asinh(1/3*tanh(x)*3^(1/2))
 --R 
 --R
---R                 +-+
---R                \|3 tanh(x)
---R   (352)  asinh(-----------)
---R                     3
+--R               +-+
+--R              \|3 tanh(x)
+--R   (2)  asinh(-----------)
+--R                   3
 --R                                                    Type: Expression(Integer)
 --E 388
 
@@ -39132,7 +39401,7 @@ r1070:= asinh(1/3*tanh(x)*3^(1/2))
 a1070:= integrate(t1070,x)
 --R 
 --R
---R   (353)
+--R   (3)
 --R     -
 --R        log
 --R              +-------------------------------------+
@@ -39162,7 +39431,7 @@ a1070:= integrate(t1070,x)
 m1070:= a1070-r1070
 --R 
 --R
---R   (354)
+--R   (4)
 --R     -
 --R        log
 --R              +-------------------------------------+
@@ -39197,7 +39466,7 @@ m1070:= a1070-r1070
 d1070:= D(m1070,x)
 --R 
 --R
---R   (355)
+--R   (5)
 --R                         4            2            2
 --R               - 4sinh(x)  + (8cosh(x)  - 2)sinh(x)  + 4cosh(x)sinh(x)
 --R             + 
@@ -39319,16 +39588,19 @@ d1070:= D(m1070,x)
 --R                                                    Type: Expression(Integer)
 --E 391
 
+)clear all
+
+
 --S 392 of 531
 t1071:= sech(x)^2/(1-4*tanh(x)^2)^(1/2)
 --R 
 --R
---R                      2
---R               sech(x)
---R   (356)  ------------------
---R           +---------------+
---R           |          2
---R          \|- 4tanh(x)  + 1
+--R                    2
+--R             sech(x)
+--R   (1)  ------------------
+--R         +---------------+
+--R         |          2
+--R        \|- 4tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 392
 
@@ -39336,9 +39608,9 @@ t1071:= sech(x)^2/(1-4*tanh(x)^2)^(1/2)
 r1071:= 1/2*asin(2*tanh(x))
 --R 
 --R
---R          asin(2tanh(x))
---R   (357)  --------------
---R                 2
+--R        asin(2tanh(x))
+--R   (2)  --------------
+--R               2
 --R                                                    Type: Expression(Integer)
 --E 393
 
@@ -39346,17 +39618,17 @@ r1071:= 1/2*asin(2*tanh(x))
 a1071:= integrate(t1071,x)
 --R 
 --R
---R                    +-------------------------------------+
---R                    |               2           2
---R                    |     - 6sinh(x)  - 6cosh(x)  + 10
---R                    |-------------------------------------
---R                    |       2                            2
---R                   \|sinh(x)  - 2cosh(x)sinh(x) + cosh(x)
---R            atan(-------------------------------------------)
---R                         2                             2
---R                 2sinh(x)  + 4cosh(x)sinh(x) + 2cosh(x)  - 2
---R   (358)  - -------------------------------------------------
---R                                    2
+--R                  +-------------------------------------+
+--R                  |               2           2
+--R                  |     - 6sinh(x)  - 6cosh(x)  + 10
+--R                  |-------------------------------------
+--R                  |       2                            2
+--R                 \|sinh(x)  - 2cosh(x)sinh(x) + cosh(x)
+--R          atan(-------------------------------------------)
+--R                       2                             2
+--R               2sinh(x)  + 4cosh(x)sinh(x) + 2cosh(x)  - 2
+--R   (3)  - -------------------------------------------------
+--R                                  2
 --R                                         Type: Union(Expression(Integer),...)
 --E 394
 
@@ -39364,17 +39636,17 @@ a1071:= integrate(t1071,x)
 m1071:= a1071-r1071
 --R 
 --R
---R                    +-------------------------------------+
---R                    |               2           2
---R                    |     - 6sinh(x)  - 6cosh(x)  + 10
---R                    |-------------------------------------
---R                    |       2                            2
---R                   \|sinh(x)  - 2cosh(x)sinh(x) + cosh(x)
---R          - atan(-------------------------------------------) - asin(2tanh(x))
---R                         2                             2
---R                 2sinh(x)  + 4cosh(x)sinh(x) + 2cosh(x)  - 2
---R   (359)  --------------------------------------------------------------------
---R                                            2
+--R                  +-------------------------------------+
+--R                  |               2           2
+--R                  |     - 6sinh(x)  - 6cosh(x)  + 10
+--R                  |-------------------------------------
+--R                  |       2                            2
+--R                 \|sinh(x)  - 2cosh(x)sinh(x) + cosh(x)
+--R        - atan(-------------------------------------------) - asin(2tanh(x))
+--R                       2                             2
+--R               2sinh(x)  + 4cosh(x)sinh(x) + 2cosh(x)  - 2
+--R   (4)  --------------------------------------------------------------------
+--R                                          2
 --R                                                    Type: Expression(Integer)
 --E 395
 
@@ -39382,7 +39654,7 @@ m1071:= a1071-r1071
 d1071:= D(m1071,x)
 --R 
 --R
---R   (360)
+--R   (5)
 --R                       6                  5              2            4
 --R               2sinh(x)  + 4cosh(x)sinh(x)  + (- 2cosh(x)  - 4)sinh(x)
 --R             + 
@@ -39441,16 +39713,19 @@ d1071:= D(m1071,x)
 --R                                                    Type: Expression(Integer)
 --E 396
 
+)clear all
+
+
 --S 397 of 531
 t1072:= sech(x)^2/(-4+tanh(x)^2)^(1/2)
 --R 
 --R
---R                     2
---R              sech(x)
---R   (361)  ---------------
---R           +------------+
---R           |       2
---R          \|tanh(x)  - 4
+--R                   2
+--R            sech(x)
+--R   (1)  ---------------
+--R         +------------+
+--R         |       2
+--R        \|tanh(x)  - 4
 --R                                                    Type: Expression(Integer)
 --E 397
 
@@ -39458,9 +39733,9 @@ t1072:= sech(x)^2/(-4+tanh(x)^2)^(1/2)
 r1072:= atanh(coth(x)*(-4+tanh(x)^2)^(1/2))
 --R 
 --R
---R                        +------------+
---R                        |       2
---R   (362)  atanh(coth(x)\|tanh(x)  - 4 )
+--R                      +------------+
+--R                      |       2
+--R   (2)  atanh(coth(x)\|tanh(x)  - 4 )
 --R                                                    Type: Expression(Integer)
 --E 398
 
@@ -39468,7 +39743,7 @@ r1072:= atanh(coth(x)*(-4+tanh(x)^2)^(1/2))
 a1072:= integrate(t1072,x)
 --R 
 --R
---R   (363)  0
+--R   (3)  0
 --R                                         Type: Union(Expression(Integer),...)
 --E 399
 
@@ -39476,9 +39751,9 @@ a1072:= integrate(t1072,x)
 m1072:= a1072-r1072
 --R 
 --R
---R                          +------------+
---R                          |       2
---R   (364)  - atanh(coth(x)\|tanh(x)  - 4 )
+--R                        +------------+
+--R                        |       2
+--R   (4)  - atanh(coth(x)\|tanh(x)  - 4 )
 --R                                                    Type: Expression(Integer)
 --E 400
 
@@ -39486,7 +39761,7 @@ m1072:= a1072-r1072
 d1072:= D(m1072,x)
 --R 
 --R
---R   (365)
+--R   (5)
 --R                   3             2            2                            2
 --R   - coth(x)tanh(x)  + (- coth(x)  + 1)tanh(x)  + coth(x)tanh(x) + 4coth(x)  - 4
 --R   -----------------------------------------------------------------------------
@@ -39496,13 +39771,16 @@ d1072:= D(m1072,x)
 --R                                                    Type: Expression(Integer)
 --E 401
 
+)clear all
+
+
 --S 402 of 531
 t1073:= sech(x)^2*(1+coth(x)^2)^(1/2)
 --R 
 --R
---R                   +------------+
---R                 2 |       2
---R   (366)  sech(x) \|coth(x)  + 1
+--R                 +------------+
+--R               2 |       2
+--R   (1)  sech(x) \|coth(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 402
 
@@ -39510,9 +39788,9 @@ t1073:= sech(x)^2*(1+coth(x)^2)^(1/2)
 r1073:= -acsch(tanh(x))+(1+coth(x)^2)^(1/2)*tanh(x)
 --R 
 --R
---R                  +------------+
---R                  |       2
---R   (367)  tanh(x)\|coth(x)  + 1  - acsch(tanh(x))
+--R                +------------+
+--R                |       2
+--R   (2)  tanh(x)\|coth(x)  + 1  - acsch(tanh(x))
 --R                                                    Type: Expression(Integer)
 --E 403
 
@@ -39520,7 +39798,7 @@ r1073:= -acsch(tanh(x))+(1+coth(x)^2)^(1/2)*tanh(x)
 a1073:= integrate(t1073,x)
 --R 
 --R
---R   (368)
+--R   (3)
 --R                 +-+       2     +-+                  +-+       2    +-+
 --R             (- \|2 sinh(x)  - 2\|2 cosh(x)sinh(x) - \|2 cosh(x)  - \|2 )
 --R          *
@@ -39610,7 +39888,7 @@ a1073:= integrate(t1073,x)
 m1073:= a1073-r1073
 --R 
 --R
---R   (369)
+--R   (4)
 --R                 +-+       2     +-+                  +-+       2    +-+
 --R             (- \|2 sinh(x)  - 2\|2 cosh(x)sinh(x) - \|2 cosh(x)  - \|2 )
 --R          *
@@ -39725,13 +40003,16 @@ m1073:= a1073-r1073
 --d1073:= D(m1073,x)
 --E 406
 
+)clear all
+
+
 --S 407 of 531
 t1074:= sech(x)^2*(1+tanh(x)^2)^(1/2)
 --R 
 --R
---R                   +------------+
---R                 2 |       2
---R   (370)  sech(x) \|tanh(x)  + 1
+--R                 +------------+
+--R               2 |       2
+--R   (1)  sech(x) \|tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 407
 
@@ -39739,11 +40020,11 @@ t1074:= sech(x)^2*(1+tanh(x)^2)^(1/2)
 r1074:= 1/2*asinh(tanh(x))+1/2*tanh(x)*(1+tanh(x)^2)^(1/2)
 --R 
 --R
---R                  +------------+
---R                  |       2
---R          tanh(x)\|tanh(x)  + 1  + asinh(tanh(x))
---R   (371)  ---------------------------------------
---R                             2
+--R                +------------+
+--R                |       2
+--R        tanh(x)\|tanh(x)  + 1  + asinh(tanh(x))
+--R   (2)  ---------------------------------------
+--R                           2
 --R                                                    Type: Expression(Integer)
 --E 408
 
@@ -39751,7 +40032,7 @@ r1074:= 1/2*asinh(tanh(x))+1/2*tanh(x)*(1+tanh(x)^2)^(1/2)
 a1074:= integrate(t1074,x)
 --R 
 --R
---R   (372)
+--R   (3)
 --R                +-+       4     +-+              3
 --R               \|2 sinh(x)  + 4\|2 cosh(x)sinh(x)
 --R             + 
@@ -39949,7 +40230,7 @@ a1074:= integrate(t1074,x)
 m1074:= a1074-r1074
 --R 
 --R
---R   (373)
+--R   (4)
 --R                +-+       4     +-+              3
 --R               \|2 sinh(x)  + 4\|2 cosh(x)sinh(x)
 --R             + 
@@ -40230,15 +40511,18 @@ m1074:= a1074-r1074
 --d1074:= D(m1074,x)
 --E 411
 
+)clear all
+
+
 --S 412 of 531
 t1075:= sech(x)^2/(tanh(x)^2+tanh(x)^3)
 --R 
 --R
---R                       2
---R                sech(x)
---R   (374)  -------------------
---R                 3          2
---R          tanh(x)  + tanh(x)
+--R                     2
+--R              sech(x)
+--R   (1)  -------------------
+--R               3          2
+--R        tanh(x)  + tanh(x)
 --R                                                    Type: Expression(Integer)
 --E 412
 
@@ -40246,7 +40530,7 @@ t1075:= sech(x)^2/(tanh(x)^2+tanh(x)^3)
 r1075:= -coth(x)+log(1+coth(x))
 --R 
 --R
---R   (375)  log(coth(x) + 1) - coth(x)
+--R   (2)  log(coth(x) + 1) - coth(x)
 --R                                                    Type: Expression(Integer)
 --E 413
 
@@ -40254,7 +40538,7 @@ r1075:= -coth(x)+log(1+coth(x))
 a1075:= integrate(t1075,x)
 --R 
 --R
---R   (376)
+--R   (3)
 --R                 2                            2                2sinh(x)
 --R       (- sinh(x)  - 2cosh(x)sinh(x) - cosh(x)  + 1)log(- -----------------)
 --R                                                          sinh(x) - cosh(x)
@@ -40271,7 +40555,7 @@ a1075:= integrate(t1075,x)
 m1075:= a1075-r1075
 --R 
 --R
---R   (377)
+--R   (4)
 --R                 2                            2
 --R       (- sinh(x)  - 2cosh(x)sinh(x) - cosh(x)  + 1)log(coth(x) + 1)
 --R     + 
@@ -40294,7 +40578,7 @@ m1075:= a1075-r1075
 d1075:= D(m1075,x)
 --R 
 --R
---R   (378)
+--R   (5)
 --R                 2                      5
 --R       (- coth(x)  + coth(x) + 1)sinh(x)
 --R     + 
@@ -40335,15 +40619,18 @@ d1075:= D(m1075,x)
 --R                                                    Type: Expression(Integer)
 --E 416
 
+)clear all
+
+
 --S 417 of 531
 t1076:= sech(x)^2/(-tanh(x)^2+tanh(x)^3)
 --R 
 --R
---R                       2
---R                sech(x)
---R   (379)  -------------------
---R                 3          2
---R          tanh(x)  - tanh(x)
+--R                     2
+--R              sech(x)
+--R   (1)  -------------------
+--R               3          2
+--R        tanh(x)  - tanh(x)
 --R                                                    Type: Expression(Integer)
 --E 417
 
@@ -40351,7 +40638,7 @@ t1076:= sech(x)^2/(-tanh(x)^2+tanh(x)^3)
 r1076:= coth(x)+log(1-coth(x))
 --R 
 --R
---R   (380)  log(- coth(x) + 1) + coth(x)
+--R   (2)  log(- coth(x) + 1) + coth(x)
 --R                                                    Type: Expression(Integer)
 --E 418
 
@@ -40359,7 +40646,7 @@ r1076:= coth(x)+log(1-coth(x))
 a1076:= integrate(t1076,x)
 --R 
 --R
---R   (381)
+--R   (3)
 --R             2                            2                2sinh(x)
 --R   (- sinh(x)  - 2cosh(x)sinh(x) - cosh(x)  + 1)log(- -----------------) + 2
 --R                                                      sinh(x) - cosh(x)
@@ -40373,7 +40660,7 @@ a1076:= integrate(t1076,x)
 m1076:= a1076-r1076
 --R 
 --R
---R   (382)
+--R   (4)
 --R                 2                            2                2sinh(x)
 --R       (- sinh(x)  - 2cosh(x)sinh(x) - cosh(x)  + 1)log(- -----------------)
 --R                                                          sinh(x) - cosh(x)
@@ -40393,7 +40680,7 @@ m1076:= a1076-r1076
 d1076:= D(m1076,x)
 --R 
 --R
---R   (383)
+--R   (5)
 --R               2                      5
 --R       (coth(x)  + coth(x) - 1)sinh(x)
 --R     + 
@@ -40434,15 +40721,18 @@ d1076:= D(m1076,x)
 --R                                                    Type: Expression(Integer)
 --E 421
 
+)clear all
+
+
 --S 422 of 531
 t1077:= sech(x)^2/(2+2*tanh(x)+tanh(x)^2)
 --R 
 --R
---R                         2
---R                  sech(x)
---R   (384)  -----------------------
---R                 2
---R          tanh(x)  + 2tanh(x) + 2
+--R                       2
+--R                sech(x)
+--R   (1)  -----------------------
+--R               2
+--R        tanh(x)  + 2tanh(x) + 2
 --R                                                    Type: Expression(Integer)
 --E 422
 
@@ -40450,7 +40740,7 @@ t1077:= sech(x)^2/(2+2*tanh(x)+tanh(x)^2)
 r1077:= atan(1+tanh(x))
 --R 
 --R
---R   (385)  atan(tanh(x) + 1)
+--R   (2)  atan(tanh(x) + 1)
 --R                                                    Type: Expression(Integer)
 --E 423
 
@@ -40458,9 +40748,9 @@ r1077:= atan(1+tanh(x))
 a1077:= integrate(t1077,x)
 --R 
 --R
---R                 2sinh(x) + 3cosh(x)
---R   (386)  - atan(-------------------)
---R                  sinh(x) - cosh(x)
+--R               2sinh(x) + 3cosh(x)
+--R   (3)  - atan(-------------------)
+--R                sinh(x) - cosh(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 424
 
@@ -40468,9 +40758,9 @@ a1077:= integrate(t1077,x)
 m1077:= a1077-r1077
 --R 
 --R
---R                                     2sinh(x) + 3cosh(x)
---R   (387)  - atan(tanh(x) + 1) - atan(-------------------)
---R                                      sinh(x) - cosh(x)
+--R                                   2sinh(x) + 3cosh(x)
+--R   (4)  - atan(tanh(x) + 1) - atan(-------------------)
+--R                                    sinh(x) - cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 425
 
@@ -40478,7 +40768,7 @@ m1077:= a1077-r1077
 d1077:= D(m1077,x)
 --R 
 --R
---R   (388)
+--R   (5)
 --R                                  2        2              2           2
 --R       (2cosh(x)sinh(x) + 3cosh(x) )tanh(x)  + (- 2sinh(x)  + 2cosh(x) )tanh(x)
 --R     + 
@@ -40496,15 +40786,18 @@ d1077:= D(m1077,x)
 --R                                                    Type: Expression(Integer)
 --E 426
 
+)clear all
+
+
 --S 427 of 531
 t1078:= sech(x)^2/(3-4*tanh(x)^3)
 --R 
 --R
---R                      2
---R               sech(x)
---R   (389)  - -------------
---R                    3
---R            4tanh(x)  - 3
+--R                    2
+--R             sech(x)
+--R   (1)  - -------------
+--R                  3
+--R          4tanh(x)  - 3
 --R                                                    Type: Expression(Integer)
 --E 427
 
@@ -40514,7 +40807,7 @@ r1078:= 1/18*atan(1/6*(6^(1/3)+4*tanh(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-_
         2*6^(1/3)*tanh(x)+4*tanh(x)^2)*6^(1/3)
 --R 
 --R
---R   (390)
+--R   (2)
 --R       3+-+            2    3+-+          3+-+2     3+-+                 3+-+
 --R       \|6 log(4tanh(x)  + 2\|6 tanh(x) + \|6  ) - 2\|6 log(- 2tanh(x) + \|6 )
 --R     + 
@@ -40531,7 +40824,7 @@ r1078:= 1/18*atan(1/6*(6^(1/3)+4*tanh(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-_
 a1078:= integrate(t1078,x)
 --R 
 --R
---R   (391)
+--R   (3)
 --R       -
 --R            3+---+ +-+
 --R            \|- 1 \|3
@@ -40590,7 +40883,7 @@ a1078:= integrate(t1078,x)
 m1078:= a1078-r1078
 --R 
 --R
---R   (392)
+--R   (4)
 --R          +-+3+-+3+--+            2    3+-+          3+-+2
 --R       - \|3 \|6 \|36 log(4tanh(x)  + 2\|6 tanh(x) + \|6  )
 --R     + 
@@ -40660,15 +40953,18 @@ m1078:= a1078-r1078
 --d1078:= D(m1078,x)
 --E 431
 
+)clear all
+
+
 --S 432 of 531
 t1079:= sech(x)^2/(11-5*tanh(x)+5*tanh(x)^2)
 --R 
 --R
---R                          2
---R                   sech(x)
---R   (393)  -------------------------
---R                  2
---R          5tanh(x)  - 5tanh(x) + 11
+--R                        2
+--R                 sech(x)
+--R   (1)  -------------------------
+--R                2
+--R        5tanh(x)  - 5tanh(x) + 11
 --R                                                    Type: Expression(Integer)
 --E 432
 
@@ -40676,12 +40972,12 @@ t1079:= sech(x)^2/(11-5*tanh(x)+5*tanh(x)^2)
 r1079:= -2/195*atan(1/39*195^(1/2)*(1-2*tanh(x)))*195^(1/2)
 --R 
 --R
---R                        +---+           +---+
---R            +---+     2\|195 tanh(x) - \|195
---R          2\|195 atan(-----------------------)
---R                                 39
---R   (394)  ------------------------------------
---R                           195
+--R                      +---+           +---+
+--R          +---+     2\|195 tanh(x) - \|195
+--R        2\|195 atan(-----------------------)
+--R                               39
+--R   (2)  ------------------------------------
+--R                         195
 --R                                                    Type: Expression(Integer)
 --E 433
 
@@ -40689,13 +40985,13 @@ r1079:= -2/195*atan(1/39*195^(1/2)*(1-2*tanh(x)))*195^(1/2)
 a1079:= integrate(t1079,x)
 --R 
 --R
---R                    +---+             +---+
---R                  5\|195 sinh(x) + 17\|195 cosh(x)
---R            2atan(--------------------------------)
---R                       195sinh(x) - 195cosh(x)
---R   (395)  - ---------------------------------------
---R                              +---+
---R                             \|195
+--R                  +---+             +---+
+--R                5\|195 sinh(x) + 17\|195 cosh(x)
+--R          2atan(--------------------------------)
+--R                     195sinh(x) - 195cosh(x)
+--R   (3)  - ---------------------------------------
+--R                            +---+
+--R                           \|195
 --R                                         Type: Union(Expression(Integer),...)
 --E 434
 
@@ -40703,7 +40999,7 @@ a1079:= integrate(t1079,x)
 m1079:= a1079-r1079
 --R 
 --R
---R   (396)
+--R   (4)
 --R             +---+           +---+            +---+             +---+
 --R           2\|195 tanh(x) - \|195           5\|195 sinh(x) + 17\|195 cosh(x)
 --R   - 2atan(-----------------------) - 2atan(--------------------------------)
@@ -40718,7 +41014,7 @@ m1079:= a1079-r1079
 d1079:= D(m1079,x)
 --R 
 --R
---R   (397)
+--R   (5)
 --R                                     2        2            2           2
 --R       (- 5cosh(x)sinh(x) + 16cosh(x) )tanh(x)  + (5sinh(x)  - 5cosh(x) )tanh(x)
 --R     + 
@@ -40736,15 +41032,18 @@ d1079:= D(m1079,x)
 --R                                                    Type: Expression(Integer)
 --E 436
 
+)clear all
+
+
 --S 437 of 531
 t1080:= sech(x)^2/(1+sech(x)^2-3*tanh(x))
 --R 
 --R
---R                           2
---R                    sech(x)
---R   (398)  - -----------------------
---R                              2
---R            3tanh(x) - sech(x)  - 1
+--R                         2
+--R                  sech(x)
+--R   (1)  - -----------------------
+--R                            2
+--R          3tanh(x) - sech(x)  - 1
 --R                                                    Type: Expression(Integer)
 --E 437
 
@@ -40752,12 +41051,12 @@ t1080:= sech(x)^2/(1+sech(x)^2-3*tanh(x))
 r1080:= 2/17*atanh(1/17*(3+2*tanh(x))*17^(1/2))*17^(1/2)
 --R 
 --R
---R                        +--+            +--+
---R            +--+      2\|17 tanh(x) + 3\|17
---R          2\|17 atanh(----------------------)
---R                                17
---R   (399)  -----------------------------------
---R                           17
+--R                      +--+            +--+
+--R          +--+      2\|17 tanh(x) + 3\|17
+--R        2\|17 atanh(----------------------)
+--R                              17
+--R   (2)  -----------------------------------
+--R                         17
 --R                                                    Type: Expression(Integer)
 --E 438
 
@@ -40765,7 +41064,7 @@ r1080:= 2/17*atanh(1/17*(3+2*tanh(x))*17^(1/2))*17^(1/2)
 a1080:= integrate(t1080,x)
 --R 
 --R
---R   (400)
+--R   (3)
 --R     log
 --R                  +--+             2       +--+
 --R            (- 15\|17  + 51)sinh(x)  + (22\|17  - 102)cosh(x)sinh(x)
@@ -40785,7 +41084,7 @@ a1080:= integrate(t1080,x)
 m1080:= a1080-r1080
 --R 
 --R
---R   (401)
+--R   (4)
 --R       log
 --R                    +--+             2       +--+
 --R              (- 15\|17  + 51)sinh(x)  + (22\|17  - 102)cosh(x)sinh(x)
@@ -40810,7 +41109,7 @@ m1080:= a1080-r1080
 d1080:= D(m1080,x)
 --R 
 --R
---R   (402)
+--R   (5)
 --R                 +--+              4        +--+                     3
 --R           (- 27\|17  + 119)sinh(x)  + (112\|17  - 408)cosh(x)sinh(x)
 --R         + 
@@ -40895,14 +41194,17 @@ d1080:= D(m1080,x)
 --R                                                    Type: Expression(Integer)
 --E 441
 
+)clear all
+
+
 --S 442 of 531
 t1081:= sech(x)^2*(a+b*tanh(x))/(c+d*tanh(x))
 --R 
 --R
---R                   2                   2
---R          b sech(x) tanh(x) + a sech(x)
---R   (403)  ------------------------------
---R                   d tanh(x) + c
+--R                 2                   2
+--R        b sech(x) tanh(x) + a sech(x)
+--R   (1)  ------------------------------
+--R                 d tanh(x) + c
 --R                                                    Type: Expression(Integer)
 --E 442
 
@@ -40910,10 +41212,10 @@ t1081:= sech(x)^2*(a+b*tanh(x))/(c+d*tanh(x))
 r1081:= -(b*c-a*d)*log(c+d*tanh(x))/d^2+b*tanh(x)/d
 --R 
 --R
---R          (a d - b c)log(d tanh(x) + c) + b d tanh(x)
---R   (404)  -------------------------------------------
---R                                2
---R                               d
+--R        (a d - b c)log(d tanh(x) + c) + b d tanh(x)
+--R   (2)  -------------------------------------------
+--R                              2
+--R                             d
 --R                                                    Type: Expression(Integer)
 --E 443
 
@@ -40921,7 +41223,7 @@ r1081:= -(b*c-a*d)*log(c+d*tanh(x))/d^2+b*tanh(x)/d
 a1081:= integrate(t1081,x)
 --R 
 --R
---R   (405)
+--R   (3)
 --R                               2
 --R           (- a d + b c)sinh(x)  + (- 2a d + 2b c)cosh(x)sinh(x)
 --R         + 
@@ -40953,7 +41255,7 @@ a1081:= integrate(t1081,x)
 m1081:= a1081-r1081
 --R 
 --R
---R   (406)
+--R   (4)
 --R                               2
 --R           (- a d + b c)sinh(x)  + (- 2a d + 2b c)cosh(x)sinh(x)
 --R         + 
@@ -40994,7 +41296,7 @@ m1081:= a1081-r1081
 d1081:= D(m1081,x)
 --R 
 --R
---R   (407)
+--R   (5)
 --R              2              5        2                2       4
 --R           b d cosh(x)sinh(x)  + (4b d  + b c d)cosh(x) sinh(x)
 --R         + 
@@ -41132,14 +41434,17 @@ d1081:= D(m1081,x)
 --R                                                    Type: Expression(Integer)
 --E 446
 
+)clear all
+
+
 --S 447 of 531
 t1082:= sech(x)^2*(a+b*tanh(x))^2/(c+d*tanh(x))
 --R 
 --R
---R           2       2       2               2           2       2
---R          b sech(x) tanh(x)  + 2a b sech(x) tanh(x) + a sech(x)
---R   (408)  ------------------------------------------------------
---R                               d tanh(x) + c
+--R         2       2       2               2           2       2
+--R        b sech(x) tanh(x)  + 2a b sech(x) tanh(x) + a sech(x)
+--R   (1)  ------------------------------------------------------
+--R                             d tanh(x) + c
 --R                                                    Type: Expression(Integer)
 --E 447
 
@@ -41148,7 +41453,7 @@ r1082:= (b*c-a*d)^2*log(c+d*tanh(x))/d^3-b*(b*c-a*d)*tanh(x)/d^2+_
         1/2*(a+b*tanh(x))^2/d
 --R 
 --R
---R   (409)
+--R   (2)
 --R          2 2                2 2                       2 2       2
 --R       (2a d  - 4a b c d + 2b c )log(d tanh(x) + c) + b d tanh(x)
 --R     + 
@@ -41164,7 +41469,7 @@ r1082:= (b*c-a*d)^2*log(c+d*tanh(x))/d^3-b*(b*c-a*d)*tanh(x)/d^2+_
 a1082:= integrate(t1082,x)
 --R 
 --R
---R   (410)
+--R   (3)
 --R               2 2               2 2        4
 --R           (- a d  + 2a b c d - b c )sinh(x)
 --R         + 
@@ -41246,7 +41551,7 @@ a1082:= integrate(t1082,x)
 m1082:= a1082-r1082
 --R 
 --R
---R   (411)
+--R   (4)
 --R                2 2                2 2        4
 --R           (- 2a d  + 4a b c d - 2b c )sinh(x)
 --R         + 
@@ -41400,7 +41705,7 @@ m1082:= a1082-r1082
 d1082:= D(m1082,x)
 --R 
 --R
---R   (412)
+--R   (5)
 --R            2 3              7      2 3    2   2        2       6
 --R           b d cosh(x)sinh(x)  + (6b d  + b c d )cosh(x) sinh(x)
 --R         + 
@@ -41830,11 +42135,14 @@ d1082:= D(m1082,x)
 --R                                                    Type: Expression(Integer)
 --E 451
 
+)clear all
+
+
 --S 452 of 531
 t1083:= sech(x)^2*(a+b*tanh(x))^3/(c+d*tanh(x))
 --R 
 --R
---R   (413)
+--R   (1)
 --R        3       2       3       2       2       2     2         2
 --R       b sech(x) tanh(x)  + 3a b sech(x) tanh(x)  + 3a b sech(x) tanh(x)
 --R     + 
@@ -41850,7 +42158,7 @@ r1083:= -(b*c-a*d)^3*log(c+d*tanh(x))/d^4+b*(b*c-a*d)^2*tanh(x)/d^3-_
         1/2*(b*c-a*d)*(a+b*tanh(x))^2/d^2+1/3*(a+b*tanh(x))^3/d
 --R 
 --R
---R   (414)
+--R   (2)
 --R          3 3      2     2        2 2      3 3
 --R       (6a d  - 18a b c d  + 18a b c d - 6b c )log(d tanh(x) + c)
 --R     + 
@@ -41869,7 +42177,7 @@ r1083:= -(b*c-a*d)^3*log(c+d*tanh(x))/d^4+b*(b*c-a*d)^2*tanh(x)/d^3-_
 a1083:= integrate(t1083,x)
 --R 
 --R
---R   (415)
+--R   (3)
 --R                3 3     2     2       2 2      3 3        6
 --R           (- 3a d  + 9a b c d  - 9a b c d + 3b c )sinh(x)
 --R         + 
@@ -42055,7 +42363,7 @@ a1083:= integrate(t1083,x)
 m1083:= a1083-r1083
 --R 
 --R
---R   (416)
+--R   (4)
 --R                3 3      2     2        2 2      3 3        6
 --R           (- 6a d  + 18a b c d  - 18a b c d + 6b c )sinh(x)
 --R         + 
@@ -42477,7 +42785,7 @@ m1083:= a1083-r1083
 d1083:= D(m1083,x)
 --R 
 --R
---R   (417)
+--R   (5)
 --R            3 4              9      3 4    3   3        2       8
 --R           b d cosh(x)sinh(x)  + (8b d  + b c d )cosh(x) sinh(x)
 --R         + 
@@ -43394,15 +43702,18 @@ d1083:= D(m1083,x)
 --R                                                    Type: Expression(Integer)
 --E 456
 
+)clear all
+
+
 --S 457 of 531
 t1084:= sech(x)^2*tanh(x)^2/(2+tanh(x)^3)^2
 --R 
 --R
---R                     2       2
---R              sech(x) tanh(x)
---R   (418)  ------------------------
---R                 6           3
---R          tanh(x)  + 4tanh(x)  + 4
+--R                   2       2
+--R            sech(x) tanh(x)
+--R   (1)  ------------------------
+--R               6           3
+--R        tanh(x)  + 4tanh(x)  + 4
 --R                                                    Type: Expression(Integer)
 --E 457
 
@@ -43410,10 +43721,10 @@ t1084:= sech(x)^2*tanh(x)^2/(2+tanh(x)^3)^2
 r1084:= -1/(6+3*tanh(x)^3)
 --R 
 --R
---R                  1
---R   (419)  - -------------
---R                    3
---R            3tanh(x)  + 6
+--R                1
+--R   (2)  - -------------
+--R                  3
+--R          3tanh(x)  + 6
 --R                                                    Type: Expression(Integer)
 --E 458
 
@@ -43421,7 +43732,7 @@ r1084:= -1/(6+3*tanh(x)^3)
 a1084:= integrate(t1084,x)
 --R 
 --R
---R   (420)
+--R   (3)
 --R               2                             2
 --R     - 8sinh(x)  - 8cosh(x)sinh(x) - 8cosh(x)
 --R  /
@@ -43437,7 +43748,7 @@ a1084:= integrate(t1084,x)
 m1084:= a1084-r1084
 --R 
 --R
---R   (421)
+--R   (4)
 --R                  2                             2        3           4
 --R       (- 8sinh(x)  - 8cosh(x)sinh(x) - 8cosh(x) )tanh(x)  + 9sinh(x)
 --R     + 
@@ -43468,7 +43779,7 @@ m1084:= a1084-r1084
 d1084:= D(m1084,x)
 --R 
 --R
---R   (422)
+--R   (5)
 --R                   6                   5            2       4
 --R           8sinh(x)  + 32cosh(x)sinh(x)  + 56cosh(x) sinh(x)
 --R         + 
@@ -43621,15 +43932,18 @@ d1084:= D(m1084,x)
 --R                                                    Type: Expression(Integer)
 --E 461
 
+)clear all
+
+
 --S 462 of 531
 t1085:= sech(x)^2*(2+tanh(x)^2)/(1+tanh(x)^3)
 --R 
 --R
---R                 2       2           2
---R          sech(x) tanh(x)  + 2sech(x)
---R   (423)  ----------------------------
---R                         3
---R                  tanh(x)  + 1
+--R               2       2           2
+--R        sech(x) tanh(x)  + 2sech(x)
+--R   (1)  ----------------------------
+--R                       3
+--R                tanh(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 462
 
@@ -43637,12 +43951,12 @@ t1085:= sech(x)^2*(2+tanh(x)^2)/(1+tanh(x)^3)
 r1085:= -2/3*atan(1/3*(1-2*tanh(x))*3^(1/2))*3^(1/2)+log(1+tanh(x))
 --R 
 --R
---R                                          +-+           +-+
---R                                +-+     2\|3 tanh(x) - \|3
---R          3log(tanh(x) + 1) + 2\|3 atan(-------------------)
---R                                                 3
---R   (424)  --------------------------------------------------
---R                                   3
+--R                                        +-+           +-+
+--R                              +-+     2\|3 tanh(x) - \|3
+--R        3log(tanh(x) + 1) + 2\|3 atan(-------------------)
+--R                                               3
+--R   (2)  --------------------------------------------------
+--R                                 3
 --R                                                    Type: Expression(Integer)
 --E 463
 
@@ -43650,7 +43964,7 @@ r1085:= -2/3*atan(1/3*(1-2*tanh(x))*3^(1/2))*3^(1/2)+log(1+tanh(x))
 a1085:= integrate(t1085,x)
 --R 
 --R
---R   (425)
+--R   (3)
 --R                                           +-+           +-+
 --R      +-+           2cosh(x)              \|3 sinh(x) + \|3 cosh(x)       +-+
 --R   - \|3 log(- -----------------) - 2atan(-------------------------) + 2x\|3
@@ -43665,7 +43979,7 @@ a1085:= integrate(t1085,x)
 m1085:= a1085-r1085
 --R 
 --R
---R   (426)
+--R   (4)
 --R          +-+                    +-+           2cosh(x)
 --R       - \|3 log(tanh(x) + 1) - \|3 log(- -----------------)
 --R                                          sinh(x) - cosh(x)
@@ -43684,7 +43998,7 @@ m1085:= a1085-r1085
 d1085:= D(m1085,x)
 --R 
 --R
---R   (427)
+--R   (5)
 --R                      2          2                 3        3
 --R       (cosh(x)sinh(x)  - cosh(x) sinh(x) + cosh(x) )tanh(x)
 --R     + 
@@ -43705,12 +44019,15 @@ d1085:= D(m1085,x)
 --R                                                    Type: Expression(Integer)
 --E 466
 
+)clear all
+
+
 --S 467 of 531
 t1086:= sech(x)^4*(-1+sech(x)^2)^2*tanh(x)
 --R 
 --R
---R                  8           6          4
---R   (428)  (sech(x)  - 2sech(x)  + sech(x) )tanh(x)
+--R                8           6          4
+--R   (1)  (sech(x)  - 2sech(x)  + sech(x) )tanh(x)
 --R                                                    Type: Expression(Integer)
 --E 467
 
@@ -43718,10 +44035,10 @@ t1086:= sech(x)^4*(-1+sech(x)^2)^2*tanh(x)
 r1086:= -1/24*tanh(x)^6*(-4+3*tanh(x)^2)
 --R 
 --R
---R                    8           6
---R          - 3tanh(x)  + 4tanh(x)
---R   (429)  -----------------------
---R                     24
+--R                  8           6
+--R        - 3tanh(x)  + 4tanh(x)
+--R   (2)  -----------------------
+--R                   24
 --R                                                    Type: Expression(Integer)
 --E 468
 
@@ -43729,7 +44046,7 @@ r1086:= -1/24*tanh(x)^6*(-4+3*tanh(x)^2)
 a1086:= integrate(t1086,x)
 --R 
 --R
---R   (430)
+--R   (3)
 --R                  6                   5                2             4
 --R       - 12sinh(x)  - 72cosh(x)sinh(x)  + (- 180cosh(x)  + 16)sinh(x)
 --R     + 
@@ -43780,7 +44097,7 @@ a1086:= integrate(t1086,x)
 m1086:= a1086-r1086
 --R 
 --R
---R   (431)
+--R   (4)
 --R                   10                   9              2             8
 --R           3sinh(x)   + 30cosh(x)sinh(x)  + (135cosh(x)  + 24)sinh(x)
 --R         + 
@@ -43912,7 +44229,7 @@ m1086:= a1086-r1086
 d1086:= D(m1086,x)
 --R 
 --R
---R   (432)
+--R   (5)
 --R                     20                   19                2             18
 --R           - 3sinh(x)   - 60cosh(x)sinh(x)   + (- 570cosh(x)  - 48)sinh(x)
 --R         + 
@@ -44633,14 +44950,17 @@ d1086:= D(m1086,x)
 --R                                                    Type: Expression(Integer)
 --E 471
 
+)clear all
+
+
 --S 472 of 531
 t1087:= csch(x)^2/(a+b*coth(x))
 --R 
 --R
---R                    2
---R             csch(x)
---R   (433)  -------------
---R          b coth(x) + a
+--R                  2
+--R           csch(x)
+--R   (1)  -------------
+--R        b coth(x) + a
 --R                                                    Type: Expression(Integer)
 --E 472
 
@@ -44648,9 +44968,9 @@ t1087:= csch(x)^2/(a+b*coth(x))
 r1087:= -log(a+b*coth(x))/b
 --R 
 --R
---R            log(b coth(x) + a)
---R   (434)  - ------------------
---R                     b
+--R          log(b coth(x) + a)
+--R   (2)  - ------------------
+--R                   b
 --R                                                    Type: Expression(Integer)
 --E 473
 
@@ -44658,11 +44978,11 @@ r1087:= -log(a+b*coth(x))/b
 a1087:= integrate(t1087,x)
 --R 
 --R
---R                     2sinh(x)            - 2a sinh(x) - 2b cosh(x)
---R          log(- -----------------) - log(-------------------------)
---R                sinh(x) - cosh(x)            sinh(x) - cosh(x)
---R   (435)  ---------------------------------------------------------
---R                                      b
+--R                   2sinh(x)            - 2a sinh(x) - 2b cosh(x)
+--R        log(- -----------------) - log(-------------------------)
+--R              sinh(x) - cosh(x)            sinh(x) - cosh(x)
+--R   (3)  ---------------------------------------------------------
+--R                                    b
 --R                                         Type: Union(Expression(Integer),...)
 --E 474
 
@@ -44670,7 +44990,7 @@ a1087:= integrate(t1087,x)
 m1087:= a1087-r1087
 --R 
 --R
---R   (436)
+--R   (4)
 --R                                       2sinh(x)
 --R       log(b coth(x) + a) + log(- -----------------)
 --R                                  sinh(x) - cosh(x)
@@ -44687,7 +45007,7 @@ m1087:= a1087-r1087
 d1087:= D(m1087,x)
 --R 
 --R
---R   (437)
+--R   (5)
 --R                   2                    2
 --R       (- a coth(x)  - b coth(x))sinh(x)
 --R     + 
@@ -44699,12 +45019,15 @@ d1087:= D(m1087,x)
 --R                                                    Type: Expression(Integer)
 --E 476
 
+)clear all
+
+
 --S 477 of 531
 t1088:= csch(x)^2*(a+b*coth(x))^n
 --R 
 --R
---R                 2               n
---R   (438)  csch(x) (b coth(x) + a)
+--R               2               n
+--R   (1)  csch(x) (b coth(x) + a)
 --R                                                    Type: Expression(Integer)
 --E 477
 
@@ -44712,10 +45035,10 @@ t1088:= csch(x)^2*(a+b*coth(x))^n
 r1088:= -(a+b*coth(x))^(1+n)/b/(1+n)
 --R 
 --R
---R                           n + 1
---R            (b coth(x) + a)
---R   (439)  - --------------------
---R                   b n + b
+--R                         n + 1
+--R          (b coth(x) + a)
+--R   (2)  - --------------------
+--R                 b n + b
 --R                                                    Type: Expression(Integer)
 --E 478
 
@@ -44723,7 +45046,7 @@ r1088:= -(a+b*coth(x))^(1+n)/b/(1+n)
 a1088:= integrate(t1088,x)
 --R 
 --R
---R   (440)
+--R   (3)
 --R                                           a sinh(x) + b cosh(x)
 --R       (- a sinh(x) - b cosh(x))sinh(n log(---------------------))
 --R                                                  sinh(x)
@@ -44740,7 +45063,7 @@ a1088:= integrate(t1088,x)
 m1088:= a1088-r1088
 --R 
 --R
---R   (441)
+--R   (4)
 --R                                           a sinh(x) + b cosh(x)
 --R       (- a sinh(x) - b cosh(x))sinh(n log(---------------------))
 --R                                                  sinh(x)
@@ -44760,7 +45083,7 @@ m1088:= a1088-r1088
 d1088:= D(m1088,x)
 --R 
 --R
---R   (442)
+--R   (5)
 --R                 2          2            a sinh(x) + b cosh(x)
 --R       (- sinh(x)  + cosh(x) )sinh(n log(---------------------))
 --R                                                sinh(x)
@@ -44777,15 +45100,18 @@ d1088:= D(m1088,x)
 --R                                                    Type: Expression(Integer)
 --E 481
 
+)clear all
+
+
 --S 482 of 531
 t1089:= csch(x)^2*(-1-1/(1-coth(x)^2))
 --R 
 --R
---R                    2            2
---R          (- coth(x)  + 2)csch(x)
---R   (443)  ------------------------
---R                       2
---R                coth(x)  - 1
+--R                  2            2
+--R        (- coth(x)  + 2)csch(x)
+--R   (1)  ------------------------
+--R                     2
+--R              coth(x)  - 1
 --R                                                    Type: Expression(Integer)
 --E 482
 
@@ -44793,7 +45119,7 @@ t1089:= csch(x)^2*(-1-1/(1-coth(x)^2))
 r1089:= x+coth(x)
 --R 
 --R
---R   (444)  coth(x) + x
+--R   (2)  coth(x) + x
 --R                                                    Type: Expression(Integer)
 --E 483
 
@@ -44801,9 +45127,9 @@ r1089:= x+coth(x)
 a1089:= integrate(t1089,x)
 --R 
 --R
---R          (x - 1)sinh(x) + cosh(x)
---R   (445)  ------------------------
---R                   sinh(x)
+--R        (x - 1)sinh(x) + cosh(x)
+--R   (3)  ------------------------
+--R                 sinh(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 484
 
@@ -44811,9 +45137,9 @@ a1089:= integrate(t1089,x)
 m1089:= a1089-r1089
 --R 
 --R
---R          (- coth(x) - 1)sinh(x) + cosh(x)
---R   (446)  --------------------------------
---R                       sinh(x)
+--R        (- coth(x) - 1)sinh(x) + cosh(x)
+--R   (4)  --------------------------------
+--R                     sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 485
 
@@ -44821,22 +45147,25 @@ m1089:= a1089-r1089
 d1089:= D(m1089,x)
 --R 
 --R
---R                 2       2          2
---R          coth(x) sinh(x)  - cosh(x)
---R   (447)  ---------------------------
---R                           2
---R                    sinh(x)
+--R               2       2          2
+--R        coth(x) sinh(x)  - cosh(x)
+--R   (5)  ---------------------------
+--R                         2
+--R                  sinh(x)
 --R                                                    Type: Expression(Integer)
 --E 486
 
+)clear all
+
+
 --S 487 of 531
 t1090:= csch(x)^2*(a+b*coth(x))/(c+d*coth(x))
 --R 
 --R
---R                                2
---R          (b coth(x) + a)csch(x)
---R   (448)  -----------------------
---R               d coth(x) + c
+--R                              2
+--R        (b coth(x) + a)csch(x)
+--R   (1)  -----------------------
+--R             d coth(x) + c
 --R                                                    Type: Expression(Integer)
 --E 487
 
@@ -44844,10 +45173,10 @@ t1090:= csch(x)^2*(a+b*coth(x))/(c+d*coth(x))
 r1090:= -b*coth(x)/d+(b*c-a*d)*log(c+d*coth(x))/d^2
 --R 
 --R
---R          (- a d + b c)log(d coth(x) + c) - b d coth(x)
---R   (449)  ---------------------------------------------
---R                                 2
---R                                d
+--R        (- a d + b c)log(d coth(x) + c) - b d coth(x)
+--R   (2)  ---------------------------------------------
+--R                               2
+--R                              d
 --R                                                    Type: Expression(Integer)
 --E 488
 
@@ -44855,7 +45184,7 @@ r1090:= -b*coth(x)/d+(b*c-a*d)*log(c+d*coth(x))/d^2
 a1090:= integrate(t1090,x)
 --R 
 --R
---R   (450)
+--R   (3)
 --R                             2
 --R           (a d - b c)sinh(x)  + (2a d - 2b c)cosh(x)sinh(x)
 --R         + 
@@ -44887,7 +45216,7 @@ a1090:= integrate(t1090,x)
 m1090:= a1090-r1090
 --R 
 --R
---R   (451)
+--R   (4)
 --R                             2
 --R           (a d - b c)sinh(x)  + (2a d - 2b c)cosh(x)sinh(x)
 --R         + 
@@ -44931,7 +45260,7 @@ m1090:= a1090-r1090
 d1090:= D(m1090,x)
 --R 
 --R
---R   (452)
+--R   (5)
 --R                         3                2         2                       2
 --R         (- b c d coth(x)  - a c d coth(x)  + (- a d  + 2b c d)coth(x) + b c )
 --R      *
@@ -45084,14 +45413,17 @@ d1090:= D(m1090,x)
 --R                                                    Type: Expression(Integer)
 --E 491
 
+)clear all
+
+
 --S 492 of 531
 t1091:= csch(x)^2*(a+b*coth(x))^2/(c+d*coth(x))
 --R 
 --R
---R            2       2                   2        2
---R          (b coth(x)  + 2a b coth(x) + a )csch(x)
---R   (453)  ----------------------------------------
---R                        d coth(x) + c
+--R          2       2                   2        2
+--R        (b coth(x)  + 2a b coth(x) + a )csch(x)
+--R   (1)  ----------------------------------------
+--R                      d coth(x) + c
 --R                                                    Type: Expression(Integer)
 --E 492
 
@@ -45100,7 +45432,7 @@ r1091:= b*(b*c-a*d)*coth(x)/d^2-1/2*(a+b*coth(x))^2/d-_
         (b*c-a*d)^2*log(c+d*coth(x))/d^3
 --R 
 --R
---R   (454)
+--R   (2)
 --R            2 2                2 2                       2 2       2
 --R       (- 2a d  + 4a b c d - 2b c )log(d coth(x) + c) - b d coth(x)
 --R     + 
@@ -45116,7 +45448,7 @@ r1091:= b*(b*c-a*d)*coth(x)/d^2-1/2*(a+b*coth(x))^2/d-_
 a1091:= integrate(t1091,x)
 --R 
 --R
---R   (455)
+--R   (3)
 --R             2 2               2 2        4
 --R           (a d  - 2a b c d + b c )sinh(x)
 --R         + 
@@ -45198,7 +45530,7 @@ a1091:= integrate(t1091,x)
 m1091:= a1091-r1091
 --R 
 --R
---R   (456)
+--R   (4)
 --R              2 2                2 2        4
 --R           (2a d  - 4a b c d + 2b c )sinh(x)
 --R         + 
@@ -45354,7 +45686,7 @@ m1091:= a1091-r1091
 d1091:= D(m1091,x)
 --R 
 --R
---R   (457)
+--R   (5)
 --R              2   2       4           2       3     2    2    2       2
 --R           - b c d coth(x)  - 2a b c d coth(x)  + (b  - a )c d coth(x)
 --R         + 
@@ -45775,14 +46107,17 @@ d1091:= D(m1091,x)
 --R                                                    Type: Expression(Integer)
 --E 496
 
+)clear all
+
+
 --S 497 of 531
 t1092:= csch(x)^2*(a+b*coth(x))^3/(c+d*coth(x))
 --R 
 --R
---R            3       3       2       2     2             3        2
---R          (b coth(x)  + 3a b coth(x)  + 3a b coth(x) + a )csch(x)
---R   (458)  --------------------------------------------------------
---R                                d coth(x) + c
+--R          3       3       2       2     2             3        2
+--R        (b coth(x)  + 3a b coth(x)  + 3a b coth(x) + a )csch(x)
+--R   (1)  --------------------------------------------------------
+--R                              d coth(x) + c
 --R                                                    Type: Expression(Integer)
 --E 497
 
@@ -45791,7 +46126,7 @@ r1092:= -b*(b*c-a*d)^2*coth(x)/d^3+1/2*(b*c-a*d)*(a+b*coth(x))^2/d^2-_
         1/3*(a+b*coth(x))^3/d+(b*c-a*d)^3*log(c+d*coth(x))/d^4
 --R 
 --R
---R   (459)
+--R   (2)
 --R            3 3      2     2        2 2      3 3
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(d coth(x) + c)
 --R     + 
@@ -45810,7 +46145,7 @@ r1092:= -b*(b*c-a*d)^2*coth(x)/d^3+1/2*(b*c-a*d)*(a+b*coth(x))^2/d^2-_
 a1092:= integrate(t1092,x)
 --R 
 --R
---R   (460)
+--R   (3)
 --R              3 3     2     2       2 2      3 3        6
 --R           (3a d  - 9a b c d  + 9a b c d - 3b c )sinh(x)
 --R         + 
@@ -45996,7 +46331,7 @@ a1092:= integrate(t1092,x)
 m1092:= a1092-r1092
 --R 
 --R
---R   (461)
+--R   (4)
 --R              3 3      2     2        2 2      3 3        6
 --R           (6a d  - 18a b c d  + 18a b c d - 6b c )sinh(x)
 --R         + 
@@ -46413,14 +46748,17 @@ m1092:= a1092-r1092
 --d1092:= D(m1092,x)
 --E 501
 
+)clear all
+
+
 --S 502 of 531
 t1093:= (1+sinh(x)^2)/(1+cosh(x)+sinh(x))
 --R 
 --R
---R                      2
---R               sinh(x)  + 1
---R   (462)  ---------------------
---R          sinh(x) + cosh(x) + 1
+--R                    2
+--R             sinh(x)  + 1
+--R   (1)  ---------------------
+--R        sinh(x) + cosh(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 502
 
@@ -46429,7 +46767,7 @@ r1093:= 3/4*x+1/2*cosh(x)-1/4*cosh(x)^2-log(1+cosh(x)+sinh(x))+_
         1/4*cosh(x)*sinh(x)+1/8
 --R 
 --R
---R   (463)
+--R   (2)
 --R                                                                 2
 --R       - 8log(sinh(x) + cosh(x) + 1) + 2cosh(x)sinh(x) - 2cosh(x)  + 4cosh(x)
 --R     + 
@@ -46443,7 +46781,7 @@ r1093:= 3/4*x+1/2*cosh(x)-1/4*cosh(x)^2-log(1+cosh(x)+sinh(x))+_
 a1093:= integrate(t1093,x)
 --R 
 --R
---R   (464)
+--R   (3)
 --R                  2                              2
 --R       (- 8sinh(x)  - 16cosh(x)sinh(x) - 8cosh(x) )log(sinh(x) + cosh(x) + 1)
 --R     + 
@@ -46464,7 +46802,7 @@ a1093:= integrate(t1093,x)
 m1093:= a1093-r1093
 --R 
 --R
---R   (465)
+--R   (4)
 --R                              3              2                       2
 --R       (- 2cosh(x) + 2)sinh(x)  + (- 2cosh(x)  + 2cosh(x) - 1)sinh(x)
 --R     + 
@@ -46483,7 +46821,7 @@ m1093:= a1093-r1093
 d1093:= D(m1093,x)
 --R 
 --R
---R   (466)
+--R   (5)
 --R                4          3            2                  2
 --R       - sinh(x)  - sinh(x)  + (2cosh(x)  - cosh(x))sinh(x)
 --R     + 
@@ -46495,15 +46833,18 @@ d1093:= D(m1093,x)
 --R                                                    Type: Expression(Integer)
 --E 506
 
+)clear all
+
+
 --S 507 of 531
 t1094:= cosh(x)^2/(1+exp(x))
 --R 
 --R
---R                 2
---R          cosh(x)
---R   (467)  --------
---R             x
---R           %e  + 1
+--R               2
+--R        cosh(x)
+--R   (1)  --------
+--R           x
+--R         %e  + 1
 --R                                                    Type: Expression(Integer)
 --E 507
 
@@ -46511,10 +46852,10 @@ t1094:= cosh(x)^2/(1+exp(x))
 r1094:= -1/8*exp(-2*x)+1/4*exp(-x)+1/4*exp(x)+3/4*x-log(1+exp(x))
 --R 
 --R
---R                   x           x      - x     - 2x
---R          - 8log(%e  + 1) + 2%e  + 2%e    - %e     + 6x
---R   (468)  ---------------------------------------------
---R                                8
+--R                 x           x      - x     - 2x
+--R        - 8log(%e  + 1) + 2%e  + 2%e    - %e     + 6x
+--R   (2)  ---------------------------------------------
+--R                              8
 --R                                                    Type: Expression(Integer)
 --E 508
 
@@ -46522,7 +46863,7 @@ r1094:= -1/8*exp(-2*x)+1/4*exp(-x)+1/4*exp(x)+3/4*x-log(1+exp(x))
 a1094:= integrate(t1094,x)
 --R 
 --R
---R   (469)
+--R   (3)
 --R                  2                              2
 --R       (- 8sinh(x)  - 16cosh(x)sinh(x) - 8cosh(x) )log(sinh(x) + cosh(x) + 1)
 --R     + 
@@ -46543,7 +46884,7 @@ a1094:= integrate(t1094,x)
 m1094:= a1094-r1094
 --R 
 --R
---R   (470)
+--R   (4)
 --R                  2                              2
 --R       (- 8sinh(x)  - 16cosh(x)sinh(x) - 8cosh(x) )log(sinh(x) + cosh(x) + 1)
 --R     + 
@@ -46568,7 +46909,7 @@ m1094:= a1094-r1094
 d1094:= D(m1094,x)
 --R 
 --R
---R   (471)
+--R   (5)
 --R          x            4
 --R       (%e  + 1)sinh(x)
 --R     + 
@@ -46641,12 +46982,15 @@ d1094:= D(m1094,x)
 --R                                                    Type: Expression(Integer)
 --E 511
 
+)clear all
+
+
 --S 512 of 531
 t1095:= (1+sech(x))^(1/2)*sech(x)*tanh(x)^3
 --R 
 --R
---R                        3 +-----------+
---R   (472)  sech(x)tanh(x) \|sech(x) + 1
+--R                      3 +-----------+
+--R   (1)  sech(x)tanh(x) \|sech(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 512
 
@@ -46654,10 +46998,10 @@ t1095:= (1+sech(x))^(1/2)*sech(x)*tanh(x)^3
 r1095:= -4/5*(1+sech(x))^(5/2)+2/7*(1+sech(x))^(7/2)
 --R 
 --R
---R                    3           2                   +-----------+
---R          (10sech(x)  + 2sech(x)  - 26sech(x) - 18)\|sech(x) + 1
---R   (473)  -------------------------------------------------------
---R                                     35
+--R                  3           2                   +-----------+
+--R        (10sech(x)  + 2sech(x)  - 26sech(x) - 18)\|sech(x) + 1
+--R   (2)  -------------------------------------------------------
+--R                                   35
 --R                                                    Type: Expression(Integer)
 --E 513
 
@@ -46665,7 +47009,7 @@ r1095:= -4/5*(1+sech(x))^(5/2)+2/7*(1+sech(x))^(7/2)
 a1095:= integrate(t1095,x)
 --R 
 --R
---R   (474)
+--R   (3)
 --R                      12                               11
 --R           4480sinh(x)   + (53760cosh(x) + 2240)sinh(x)
 --R         + 
@@ -47059,12 +47403,15 @@ a1095:= integrate(t1095,x)
 --d1095:= D(m1095,x)
 --E 516
 
+)clear all
+
+
 --S 517 of 531
 t1096:= (1+csch(x))^(1/2)*csch(x)*coth(x)^3
 --R 
 --R
---R                 3        +-----------+
---R   (475)  coth(x) csch(x)\|csch(x) + 1
+--R               3        +-----------+
+--R   (1)  coth(x) csch(x)\|csch(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 517
 
@@ -47072,10 +47419,10 @@ t1096:= (1+csch(x))^(1/2)*csch(x)*coth(x)^3
 r1096:= -4/3*(1+csch(x))^(3/2)+4/5*(1+csch(x))^(5/2)-2/7*(1+csch(x))^(7/2)
 --R 
 --R
---R                      3           2                   +-----------+
---R          (- 30csch(x)  - 6csch(x)  - 62csch(x) - 86)\|csch(x) + 1
---R   (476)  ---------------------------------------------------------
---R                                     105
+--R                    3           2                   +-----------+
+--R        (- 30csch(x)  - 6csch(x)  - 62csch(x) - 86)\|csch(x) + 1
+--R   (2)  ---------------------------------------------------------
+--R                                   105
 --R                                                    Type: Expression(Integer)
 --E 518
 
@@ -47083,7 +47430,7 @@ r1096:= -4/3*(1+csch(x))^(3/2)+4/5*(1+csch(x))^(5/2)-2/7*(1+csch(x))^(7/2)
 a1096:= integrate(t1096,x)
 --R 
 --R
---R   (477)
+--R   (3)
 --R                    6                              5
 --R         - 86sinh(x)  + (- 516cosh(x) - 124)sinh(x)
 --R       + 
@@ -47158,7 +47505,7 @@ a1096:= integrate(t1096,x)
 m1096:= a1096-r1096
 --R 
 --R
---R   (478)
+--R   (4)
 --R                     3           2                         10
 --R           (30csch(x)  + 6csch(x)  + 62csch(x) + 86)sinh(x)
 --R         + 
@@ -47420,7 +47767,7 @@ m1096:= a1096-r1096
 d1096:= D(m1096,x)
 --R 
 --R
---R   (479)
+--R   (5)
 --R                     10                             9
 --R           344sinh(x)   + (2752cosh(x) + 964)sinh(x)
 --R         + 
@@ -47888,12 +48235,15 @@ d1096:= D(m1096,x)
 --R                                                    Type: Expression(Integer)
 --E 521
 
+)clear all
+
+
 --S 522 of 531
 t1097:= cosh(x)^x*(log(cosh(x))+x*tanh(x))
 --R 
 --R
---R                                           x
---R   (480)  (log(cosh(x)) + x tanh(x))cosh(x)
+--R                                         x
+--R   (1)  (log(cosh(x)) + x tanh(x))cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 522
 
@@ -47901,8 +48251,8 @@ t1097:= cosh(x)^x*(log(cosh(x))+x*tanh(x))
 r1097:= cosh(x)^x
 --R 
 --R
---R                 x
---R   (481)  cosh(x)
+--R               x
+--R   (2)  cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 523
 
@@ -47910,7 +48260,7 @@ r1097:= cosh(x)^x
 a1097:= integrate(t1097,x)
 --R 
 --R
---R   (482)  sinh(x log(cosh(x))) + cosh(x log(cosh(x)))
+--R   (3)  sinh(x log(cosh(x))) + cosh(x log(cosh(x)))
 --R                                         Type: Union(Expression(Integer),...)
 --E 524
 
@@ -47918,8 +48268,8 @@ a1097:= integrate(t1097,x)
 m1097:= a1097-r1097
 --R 
 --R
---R                                                               x
---R   (483)  sinh(x log(cosh(x))) + cosh(x log(cosh(x))) - cosh(x)
+--R                                                             x
+--R   (4)  sinh(x log(cosh(x))) + cosh(x log(cosh(x))) - cosh(x)
 --R                                                    Type: Expression(Integer)
 --E 525
 
@@ -47927,7 +48277,7 @@ m1097:= a1097-r1097
 d1097:= D(m1097,x)
 --R 
 --R
---R   (484)
+--R   (5)
 --R       (cosh(x)log(cosh(x)) + x sinh(x))sinh(x log(cosh(x)))
 --R     + 
 --R       (cosh(x)log(cosh(x)) + x sinh(x))cosh(x log(cosh(x)))
@@ -47939,13 +48289,16 @@ d1097:= D(m1097,x)
 --R                                                    Type: Expression(Integer)
 --E 526
 
+)clear all
+
+
 --S 527 of 531
 t1098:= csch(x)*(1+log(coth(x))^2)^(1/2)*sech(x)
 --R 
 --R
---R                         +-----------------+
---R                         |            2
---R   (485)  csch(x)sech(x)\|log(coth(x))  + 1
+--R                       +-----------------+
+--R                       |            2
+--R   (1)  csch(x)sech(x)\|log(coth(x))  + 1
 --R                                                    Type: Expression(Integer)
 --E 527
 
@@ -47953,11 +48306,11 @@ t1098:= csch(x)*(1+log(coth(x))^2)^(1/2)*sech(x)
 r1098:= -1/2*asinh(log(coth(x)))-1/2*log(coth(x))*(1+log(coth(x))^2)^(1/2)
 --R 
 --R
---R                         +-----------------+
---R                         |            2
---R          - log(coth(x))\|log(coth(x))  + 1  - asinh(log(coth(x)))
---R   (486)  --------------------------------------------------------
---R                                      2
+--R                       +-----------------+
+--R                       |            2
+--R        - log(coth(x))\|log(coth(x))  + 1  - asinh(log(coth(x)))
+--R   (2)  --------------------------------------------------------
+--R                                    2
 --R                                                    Type: Expression(Integer)
 --E 528
 
@@ -47965,7 +48318,7 @@ r1098:= -1/2*asinh(log(coth(x)))-1/2*log(coth(x))*(1+log(coth(x))^2)^(1/2)
 a1098:= integrate(t1098,x)
 --R 
 --R
---R   (487)
+--R   (3)
 --R                        +-----------------+
 --R               cosh(x)  |    cosh(x) 2             cosh(x) 2
 --R         (2log(-------) |log(-------)  + 1  - 2log(-------)  - 1)
@@ -47996,7 +48349,7 @@ a1098:= integrate(t1098,x)
 m1098:= a1098-r1098
 --R 
 --R
---R   (488)
+--R   (4)
 --R                        +-----------------+
 --R               cosh(x)  |    cosh(x) 2             cosh(x) 2
 --R         (2log(-------) |log(-------)  + 1  - 2log(-------)  - 1)
@@ -48044,7 +48397,7 @@ m1098:= a1098-r1098
 d1098:= D(m1098,x)
 --R 
 --R
---R   (489)
+--R   (5)
 --R                               2           2            cosh(x) 5
 --R               (8coth(x)sinh(x)  - 8cosh(x) coth(x))log(-------)
 --R                                                        sinh(x)
diff --git a/src/input/richinvhyper000-099.input.pamphlet b/src/input/richinvhyper000-099.input.pamphlet
index 2aa64aa..a7eab02 100644
--- a/src/input/richinvhyper000-099.input.pamphlet
+++ b/src/input/richinvhyper000-099.input.pamphlet
@@ -16,6 +16,7 @@
 )spool richinvhyper000-099.output
 )set message auto off
 )clear all
+ 
 
 --S 1 of 510
 t0000:= asinh(x)^2
@@ -88,12 +89,15 @@ d0000:= D(m0000,x)
 --R                                                    Type: Expression(Integer)
 --E 5
 
+)clear all
+ 
+
 --S 6 of 510
 t0001:= asinh(x)^3
 --R 
 --R
 --R                3
---R   (6)  asinh(x)
+--R   (1)  asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 6
 
@@ -103,7 +107,7 @@ r0001:= -6*(1+x^2)^(1/2)+6*x*asinh(x)-3*(1+x^2)^(1/2)*asinh(x)^2+x*asinh(x)^3
 --R
 --R                           +------+
 --R                    2      | 2                  3
---R   (7)  (- 3asinh(x)  - 6)\|x  + 1  + x asinh(x)  + 6x asinh(x)
+--R   (2)  (- 3asinh(x)  - 6)\|x  + 1  + x asinh(x)  + 6x asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 7
 
@@ -111,7 +115,7 @@ r0001:= -6*(1+x^2)^(1/2)+6*x*asinh(x)-3*(1+x^2)^(1/2)*asinh(x)^2+x*asinh(x)^3
 a0001:= integrate(t0001,x)
 --R 
 --R
---R   (8)
+--R   (3)
 --R          +------+           +------+     3
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -134,7 +138,7 @@ a0001:= integrate(t0001,x)
 m0001:= a0001-r0001
 --R 
 --R
---R   (9)
+--R   (4)
 --R          +------+           +------+     3
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -164,18 +168,21 @@ m0001:= a0001-r0001
 d0001:= D(m0001,x)
 --R 
 --R
---R              +------+     3
---R              | 2                      3
---R   (10)  log(\|x  + 1  + x)  - asinh(x)
+--R             +------+     3
+--R             | 2                      3
+--R   (5)  log(\|x  + 1  + x)  - asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 10
 
+)clear all
+ 
+
 --S 11 of 510
 t0002:= asinh(x)^4
 --R 
 --R
---R                 4
---R   (11)  asinh(x)
+--R                4
+--R   (1)  asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 11
 
@@ -184,7 +191,7 @@ r0002:= 24*x-24*(1+x^2)^(1/2)*asinh(x)+12*x*asinh(x)^2-_
         4*(1+x^2)^(1/2)*asinh(x)^3+x*asinh(x)^4
 --R 
 --R
---R   (12)
+--R   (2)
 --R                               +------+
 --R               3               | 2                  4               2
 --R   (- 4asinh(x)  - 24asinh(x))\|x  + 1  + x asinh(x)  + 12x asinh(x)  + 24x
@@ -195,7 +202,7 @@ r0002:= 24*x-24*(1+x^2)^(1/2)*asinh(x)+12*x*asinh(x)^2-_
 a0002:= integrate(t0002,x)
 --R 
 --R
---R   (13)
+--R   (3)
 --R          +------+           +------+     4
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -222,7 +229,7 @@ a0002:= integrate(t0002,x)
 m0002:= a0002-r0002
 --R 
 --R
---R   (14)
+--R   (4)
 --R          +------+           +------+     4
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -256,18 +263,21 @@ m0002:= a0002-r0002
 d0002:= D(m0002,x)
 --R 
 --R
---R              +------+     4
---R              | 2                      4
---R   (15)  log(\|x  + 1  + x)  - asinh(x)
+--R             +------+     4
+--R             | 2                      4
+--R   (5)  log(\|x  + 1  + x)  - asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 15
 
+)clear all
+ 
+
 --S 16 of 510
 t0003:= asinh(x)^5
 --R 
 --R
---R                 5
---R   (16)  asinh(x)
+--R                5
+--R   (1)  asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 16
 
@@ -276,7 +286,7 @@ r0003:= -120*(1+x^2)^(1/2)+120*x*asinh(x)-60*(1+x^2)^(1/2)*asinh(x)^2+_
         20*x*asinh(x)^3-5*(1+x^2)^(1/2)*asinh(x)^4+x*asinh(x)^5
 --R 
 --R
---R   (17)
+--R   (2)
 --R                                        +------+
 --R                 4             2        | 2                  5               3
 --R     (- 5asinh(x)  - 60asinh(x)  - 120)\|x  + 1  + x asinh(x)  + 20x asinh(x)
@@ -289,7 +299,7 @@ r0003:= -120*(1+x^2)^(1/2)+120*x*asinh(x)-60*(1+x^2)^(1/2)*asinh(x)^2+_
 a0003:= integrate(t0003,x)
 --R 
 --R
---R   (18)
+--R   (3)
 --R          +------+           +------+     5
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -320,7 +330,7 @@ a0003:= integrate(t0003,x)
 m0003:= a0003-r0003
 --R 
 --R
---R   (19)
+--R   (4)
 --R          +------+           +------+     5
 --R          | 2         2      | 2
 --R       (x\|x  + 1  - x )log(\|x  + 1  + x)
@@ -366,19 +376,22 @@ m0003:= a0003-r0003
 d0003:= D(m0003,x)
 --R 
 --R
---R              +------+     5
---R              | 2                      5
---R   (20)  log(\|x  + 1  + x)  - asinh(x)
+--R             +------+     5
+--R             | 2                      5
+--R   (5)  log(\|x  + 1  + x)  - asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 20
 
+)clear all
+ 
+
 --S 21 of 510
 t0004:= 1/asinh(x)
 --R 
 --R
---R             1
---R   (21)  --------
---R         asinh(x)
+--R            1
+--R   (1)  --------
+--R        asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 21
 
@@ -403,10 +416,10 @@ r0004:= Chi(asinh(x))
 a0004:= integrate(t0004,x)
 --R 
 --R
---R            x
---R          ++      1
---I   (22)   |   --------- d%P
---I         ++   asinh(%P)
+--R           x
+--R         ++      1
+--I   (2)   |   --------- d%T
+--I        ++   asinh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 23
 
@@ -418,14 +431,17 @@ a0004:= integrate(t0004,x)
 --d0004:= D(m0004,x)
 --E 25
 
+)clear all
+ 
+
 --S 26 of 510
 t0005:= 1/asinh(x)^2
 --R 
 --R
---R             1
---R   (23)  ---------
---R                 2
---R         asinh(x)
+--R            1
+--R   (1)  ---------
+--R                2
+--R        asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 26
 
@@ -450,11 +466,11 @@ r0005:= -(1+x^2)^(1/2)/asinh(x)+Shi(asinh(x))
 a0005:= integrate(t0005,x)
 --R 
 --R
---R            x
---R          ++       1
---I   (24)   |   ---------- d%P
---R         ++            2
---I              asinh(%P)
+--R           x
+--R         ++       1
+--I   (2)   |   ---------- d%T
+--I        ++            2
+--R             asinh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 28
 
@@ -466,14 +482,17 @@ a0005:= integrate(t0005,x)
 --d0005:= D(m0005,x)
 --E 30
 
+)clear all
+ 
+
 --S 31 of 510
 t0006:= 1/asinh(x)^3
 --R 
 --R
---R             1
---R   (25)  ---------
---R                 3
---R         asinh(x)
+--R            1
+--R   (1)  ---------
+--R                3
+--R        asinh(x)
 --R                                                    Type: Expression(Integer)
 --E 31
 
@@ -498,11 +517,11 @@ r0006:= 1/2*(-(1+x^2)^(1/2)-x*asinh(x)+Chi(asinh(x))*asinh(x)^2)/asinh(x)^2
 a0006:= integrate(t0006,x)
 --R 
 --R
---R            x
---R          ++       1
---I   (26)   |   ---------- d%P
---R         ++            3
---I              asinh(%P)
+--R           x
+--R         ++       1
+--I   (2)   |   ---------- d%T
+--R        ++            3
+--I             asinh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 33
 
@@ -514,13 +533,16 @@ a0006:= integrate(t0006,x)
 --d0006:= D(m0006,x)
 --E 35
 
+)clear all
+ 
+
 --S 36 of 510
 t0007:= asinh(a*x)/x
 --R 
 --R
---R         asinh(a x)
---R   (27)  ----------
---R              x
+--R        asinh(a x)
+--R   (1)  ----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 36
 
@@ -547,10 +569,10 @@ r0007:= 1/2*asinh(a*x)^2+asinh(a*x)*log(1-exp(1)^(-2*asinh(a*x)))-_
 a0007:= integrate(t0007,x)
 --R 
 --R
---R            x
---I          ++  asinh(%P a)
---I   (28)   |   ----------- d%P
---I         ++        %P
+--R           x
+--I         ++  asinh(%T a)
+--I   (2)   |   ----------- d%T
+--I        ++        %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 38
 
@@ -562,14 +584,17 @@ a0007:= integrate(t0007,x)
 --d0007:= D(m0007,x)
 --E 40
 
+)clear all
+ 
+
 --S 41 of 510
 t0008:= 1/(a+b*asinh(c+d*x))^(1/2)
 --R 
 --R
---R                    1
---R   (29)  -----------------------
---R          +--------------------+
---R         \|b asinh(d x + c) + a
+--R                   1
+--R   (1)  -----------------------
+--R         +--------------------+
+--R        \|b asinh(d x + c) + a
 --R                                                    Type: Expression(Integer)
 --E 41
 
@@ -578,17 +603,17 @@ r0I08:= -1/2*%pi^(1/2)*(-exp(2*a/b)*erf((a+b*asinh(c+d*x))^(1/2)/b^(1/2))+_
         %i*erf(%i*(a+b*asinh(c+d*x))^(1/2)/b^(1/2)))*exp(-a/b)/b^(1/2)/d
 --R 
 --R
---R   (30)
+--R   (2)
 --R           a  2a
 --R         - -  --           +--------------------+
 --R           b   b +---+    \|b asinh(d x + c) + a
---I       %e   %e  \|%pi erf(-----------------------)
+--R       %e   %e  \|%pi erf(-----------------------)
 --R                                     +-+
 --R                                    \|b
 --R     + 
 --R                a
 --R              - -             +--------------------+
---I                b +---+    %i\|b asinh(d x + c) + a
+--R                b +---+    %i\|b asinh(d x + c) + a
 --R       - %i %e   \|%pi erf(-------------------------)
 --R                                       +-+
 --R                                      \|b
@@ -617,14 +642,17 @@ a0008:= integrate(t0008,x)
 --d0008:= D(m0008,x)
 --E 45
 
+)clear all
+ 
+
 --S 46 of 510
 t0009:= 1/(a-b*asinh(c+d*x))^(1/2)
 --R 
 --R
---R                     1
---R   (31)  -------------------------
---R          +----------------------+
---R         \|- b asinh(d x + c) + a
+--R                    1
+--R   (1)  -------------------------
+--R         +----------------------+
+--R        \|- b asinh(d x + c) + a
 --R                                                    Type: Expression(Integer)
 --E 46
 
@@ -633,7 +661,7 @@ r0009:= -1/2*%pi^(1/2)*(exp(2*a/b)*erf((a-b*asinh(c+d*x))^(1/2)/b^(1/2))-_
         %i*erf(%i*(a-b*asinh(c+d*x))^(1/2)/b^(1/2)))*exp(-a/b)/b^(1/2)/d
 --R 
 --R
---R   (32)
+--R   (2)
 --R             a  2a
 --R           - -  --           +----------------------+
 --R             b   b +---+    \|- b asinh(d x + c) + a
@@ -672,14 +700,17 @@ a0009:= integrate(t0009,x)
 --d0009:= D(m0009,x)
 --E 50
 
+)clear all
+ 
+
 --S 51 of 510
 t0010:= asinh(x^(1/2))/x
 --R 
 --R
---R                +-+
---R         asinh(\|x )
---R   (33)  -----------
---R              x
+--R               +-+
+--R        asinh(\|x )
+--R   (1)  -----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 51
 
@@ -706,10 +737,10 @@ r0010:= asinh(x^(1/2))^2+2*asinh(x^(1/2))*log(1-exp(1)^(-2*asinh(x^(1/2))))-_
 a0010:= integrate(t0010,x)
 --R 
 --R
---R            x        +--+
---I          ++  asinh(\|%P )
---I   (34)   |   ------------ d%P
---I         ++        %P
+--R           x        +--+
+--I         ++  asinh(\|%T )
+--I   (2)   |   ------------ d%T
+--I        ++        %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 53
 
@@ -721,12 +752,15 @@ a0010:= integrate(t0010,x)
 --d0010:= D(m0010,x)
 --E 55
 
+)clear all
+ 
+
 --S 56 of 510
 t0011:= acosh(x)^2
 --R 
 --R
---R                 2
---R   (35)  acosh(x)
+--R                2
+--R   (1)  acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 56
 
@@ -734,8 +768,8 @@ t0011:= acosh(x)^2
 r0011:= 2*x-2*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)+x*acosh(x)^2
 --R 
 --R
---R                     +-----+ +-----+             2
---R   (36)  - 2acosh(x)\|x - 1 \|x + 1  + x acosh(x)  + 2x
+--R                    +-----+ +-----+             2
+--R   (2)  - 2acosh(x)\|x - 1 \|x + 1  + x acosh(x)  + 2x
 --R                                                    Type: Expression(Integer)
 --E 57
 
@@ -743,7 +777,7 @@ r0011:= 2*x-2*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)+x*acosh(x)^2
 a0011:= integrate(t0011,x)
 --R 
 --R
---R   (37)
+--R   (3)
 --R          +------+           +------+     2
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -762,7 +796,7 @@ a0011:= integrate(t0011,x)
 m0011:= a0011-r0011
 --R 
 --R
---R   (38)
+--R   (4)
 --R          +------+           +------+     2
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -788,7 +822,7 @@ m0011:= a0011-r0011
 d0011:= D(m0011,x)
 --R 
 --R
---R   (39)
+--R   (5)
 --R                                    +------+
 --R             2      +-----+ +-----+ | 2             3       +-----+ +-----+
 --R         ((2x  - 1)\|x - 1 \|x + 1 \|x  - 1  + (- 2x  + 2x)\|x - 1 \|x + 1 )
@@ -819,12 +853,15 @@ d0011:= D(m0011,x)
 --R                                                    Type: Expression(Integer)
 --E 60
 
+)clear all
+ 
+
 --S 61 of 510
 t0012:= acosh(x)^3
 --R 
 --R
---R                 3
---R   (40)  acosh(x)
+--R                3
+--R   (1)  acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 61
 
@@ -833,8 +870,8 @@ r0012:= -6*(-1+x)^(1/2)*(1+x)^(1/2)+6*x*acosh(x)-_
         3*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)^2+x*acosh(x)^3
 --R 
 --R
---R                     2      +-----+ +-----+             3
---R   (41)  (- 3acosh(x)  - 6)\|x - 1 \|x + 1  + x acosh(x)  + 6x acosh(x)
+--R                    2      +-----+ +-----+             3
+--R   (2)  (- 3acosh(x)  - 6)\|x - 1 \|x + 1  + x acosh(x)  + 6x acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 62
 
@@ -842,7 +879,7 @@ r0012:= -6*(-1+x)^(1/2)*(1+x)^(1/2)+6*x*acosh(x)-_
 a0012:= integrate(t0012,x)
 --R 
 --R
---R   (42)
+--R   (3)
 --R          +------+           +------+     3
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -865,7 +902,7 @@ a0012:= integrate(t0012,x)
 m0012:= a0012-r0012
 --R 
 --R
---R   (43)
+--R   (4)
 --R          +------+           +------+     3
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -898,7 +935,7 @@ m0012:= a0012-r0012
 d0012:= D(m0012,x)
 --R 
 --R
---R   (44)
+--R   (5)
 --R                                    +------+
 --R             2      +-----+ +-----+ | 2             3       +-----+ +-----+
 --R         ((2x  - 1)\|x - 1 \|x + 1 \|x  - 1  + (- 2x  + 2x)\|x - 1 \|x + 1 )
@@ -938,12 +975,15 @@ d0012:= D(m0012,x)
 --R                                                    Type: Expression(Integer)
 --E 65
 
+)clear all
+ 
+
 --S 66 of 510
 t0013:= acosh(x)^4
 --R 
 --R
---R                 4
---R   (45)  acosh(x)
+--R                4
+--R   (1)  acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 66
 
@@ -952,7 +992,7 @@ r0013:= 24*x-24*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)+12*x*acosh(x)^2-_
         4*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)^3+x*acosh(x)^4
 --R 
 --R
---R   (46)
+--R   (2)
 --R                 3               +-----+ +-----+             4               2
 --R     (- 4acosh(x)  - 24acosh(x))\|x - 1 \|x + 1  + x acosh(x)  + 12x acosh(x)
 --R   + 
@@ -964,7 +1004,7 @@ r0013:= 24*x-24*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)+12*x*acosh(x)^2-_
 a0013:= integrate(t0013,x)
 --R 
 --R
---R   (47)
+--R   (3)
 --R          +------+           +------+     4
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -991,7 +1031,7 @@ a0013:= integrate(t0013,x)
 m0013:= a0013-r0013
 --R 
 --R
---R   (48)
+--R   (4)
 --R          +------+           +------+     4
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -1034,7 +1074,7 @@ m0013:= a0013-r0013
 d0013:= D(m0013,x)
 --R 
 --R
---R   (49)
+--R   (5)
 --R                                    +------+
 --R             2      +-----+ +-----+ | 2             3       +-----+ +-----+
 --R         ((2x  - 1)\|x - 1 \|x + 1 \|x  - 1  + (- 2x  + 2x)\|x - 1 \|x + 1 )
@@ -1083,12 +1123,15 @@ d0013:= D(m0013,x)
 --R                                                    Type: Expression(Integer)
 --E 70
 
+)clear all
+ 
+
 --S 71 of 510
 t0014:= acosh(x)^5
 --R 
 --R
---R                 5
---R   (50)  acosh(x)
+--R                5
+--R   (1)  acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 71
 
@@ -1098,7 +1141,7 @@ r0014:= -120*(-1+x)^(1/2)*(1+x)^(1/2)+120*x*acosh(x)-60*(-1+x)^(1/2)*_
         5*(-1+x)^(1/2)*(1+x)^(1/2)*acosh(x)^4+x*acosh(x)^5
 --R 
 --R
---R   (51)
+--R   (2)
 --R                 4             2        +-----+ +-----+             5
 --R     (- 5acosh(x)  - 60acosh(x)  - 120)\|x - 1 \|x + 1  + x acosh(x)
 --R   + 
@@ -1111,7 +1154,7 @@ r0014:= -120*(-1+x)^(1/2)*(1+x)^(1/2)+120*x*acosh(x)-60*(-1+x)^(1/2)*_
 a0014:= integrate(t0014,x)
 --R 
 --R
---R   (52)
+--R   (3)
 --R          +------+           +------+     5
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -1142,7 +1185,7 @@ a0014:= integrate(t0014,x)
 m0014:= a0014-r0014
 --R 
 --R
---R   (53)
+--R   (4)
 --R          +------+           +------+     5
 --R          | 2         2      | 2
 --R       (x\|x  - 1  - x )log(\|x  - 1  + x)
@@ -1189,7 +1232,7 @@ m0014:= a0014-r0014
 d0014:= D(m0014,x)
 --R 
 --R
---R   (54)
+--R   (5)
 --R                                    +------+
 --R             2      +-----+ +-----+ | 2             3       +-----+ +-----+
 --R         ((2x  - 1)\|x - 1 \|x + 1 \|x  - 1  + (- 2x  + 2x)\|x - 1 \|x + 1 )
@@ -1238,13 +1281,16 @@ d0014:= D(m0014,x)
 --R                                                    Type: Expression(Integer)
 --E 75
 
+)clear all
+ 
+
 --S 76 of 510
 t0015:= 1/acosh(x)
 --R 
 --R
---R             1
---R   (55)  --------
---R         acosh(x)
+--R            1
+--R   (1)  --------
+--R        acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 76
 
@@ -1269,10 +1315,10 @@ r0015:= Shi(acosh(x))
 a0015:= integrate(t0015,x)
 --R 
 --R
---R            x
---R          ++      1
---I   (56)   |   --------- d%P
---I         ++   acosh(%P)
+--R           x
+--R         ++      1
+--I   (2)   |   --------- d%T
+--I        ++   acosh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 78
 
@@ -1284,14 +1330,17 @@ a0015:= integrate(t0015,x)
 --d0015:= D(m0015,x)
 --E 80
 
+)clear all
+ 
+
 --S 81 of 510
 t0016:= 1/acosh(x)^2
 --R 
 --R
---R             1
---R   (57)  ---------
---R                 2
---R         acosh(x)
+--R            1
+--R   (1)  ---------
+--R                2
+--R        acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 81
 
@@ -1316,11 +1365,11 @@ r0016:= -(-1+x)^(1/2)*(1+x)^(1/2)/acosh(x)+Chi(acosh(x))
 a0016:= integrate(t0016,x)
 --R 
 --R
---R            x
---R          ++       1
---I   (58)   |   ---------- d%P
---R         ++            2
---I              acosh(%P)
+--R           x
+--R         ++       1
+--I   (2)   |   ---------- d%T
+--R        ++            2
+--I             acosh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 83
 
@@ -1332,14 +1381,17 @@ a0016:= integrate(t0016,x)
 --d0016:= D(m0016,x)
 --E 85
 
+)clear all
+ 
+
 --S 86 of 510
 t0017:= 1/acosh(x)^3
 --R 
 --R
---R             1
---R   (59)  ---------
---R                 3
---R         acosh(x)
+--R            1
+--R   (1)  ---------
+--R                3
+--R        acosh(x)
 --R                                                    Type: Expression(Integer)
 --E 86
 
@@ -1365,11 +1417,11 @@ r0017:= -1/2*((-1+x)^(1/2)*(1+x)^(1/2)+x*acosh(x)-_
 a0017:= integrate(t0017,x)
 --R 
 --R
---R            x
---R          ++       1
---I   (60)   |   ---------- d%P
---R         ++            3
---I              acosh(%P)
+--R           x
+--R         ++       1
+--I   (2)   |   ---------- d%T
+--R        ++            3
+--I             acosh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 88
 
@@ -1381,11 +1433,14 @@ a0017:= integrate(t0017,x)
 --d0017:= D(m0017,x)
 --E 90
 
+)clear all
+ 
+
 --S 91 of 510
 t0018:= x*acosh(a*x)
 --R 
 --R
---R   (61)  x acosh(a x)
+--R   (1)  x acosh(a x)
 --R                                                    Type: Expression(Integer)
 --E 91
 
@@ -1394,11 +1449,11 @@ r0018:= -1/4*(x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a+acosh(a*x)-_
         2*x^2*acosh(a*x)*a^2)/a^2
 --R 
 --R
---R               +-------+ +-------+      2 2
---R         - a x\|a x - 1 \|a x + 1  + (2a x  - 1)acosh(a x)
---R   (62)  -------------------------------------------------
---R                                  2
---R                                4a
+--R              +-------+ +-------+      2 2
+--R        - a x\|a x - 1 \|a x + 1  + (2a x  - 1)acosh(a x)
+--R   (2)  -------------------------------------------------
+--R                                 2
+--R                               4a
 --R                                                    Type: Expression(Integer)
 --E 92
 
@@ -1406,7 +1461,7 @@ r0018:= -1/4*(x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a+acosh(a*x)-_
 a0018:= integrate(t0018,x)
 --R 
 --R
---R   (63)
+--R   (3)
 --R                       +--------+                          +--------+
 --R           3 3         | 2 2          4 4     2 2          | 2 2
 --R       ((4a x  - 2a x)\|a x  - 1  - 4a x  + 4a x  - 1)log(\|a x  - 1  + a x)
@@ -1425,7 +1480,7 @@ a0018:= integrate(t0018,x)
 m0018:= a0018-r0018
 --R 
 --R
---R   (64)
+--R   (4)
 --R                       +--------+                          +--------+
 --R           3 3         | 2 2          4 4     2 2          | 2 2
 --R       ((4a x  - 2a x)\|a x  - 1  - 4a x  + 4a x  - 1)log(\|a x  - 1  + a x)
@@ -1453,7 +1508,7 @@ m0018:= a0018-r0018
 d0018:= D(m0018,x)
 --R 
 --R
---R   (65)
+--R   (5)
 --R                                                        +--------+
 --R               5 5      3 3         +-------+ +-------+ | 2 2
 --R           (32a x  - 32a x  + 4a x)\|a x - 1 \|a x + 1 \|a x  - 1
@@ -1496,12 +1551,15 @@ d0018:= D(m0018,x)
 --R                                                    Type: Expression(Integer)
 --E 95
 
+)clear all
+ 
+
 --S 96 of 510
 t0019:= x^3*acosh(a*x)
 --R 
 --R
---R          3
---R   (66)  x acosh(a x)
+--R         3
+--R   (1)  x acosh(a x)
 --R                                                    Type: Expression(Integer)
 --E 96
 
@@ -1511,11 +1569,11 @@ r0019:= -1/32*(3*x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a+_
         8*x^4*acosh(a*x)*a^4)/a^4
 --R 
 --R
---R              3 3         +-------+ +-------+      4 4
---R         (- 2a x  - 3a x)\|a x - 1 \|a x + 1  + (8a x  - 3)acosh(a x)
---R   (67)  ------------------------------------------------------------
---R                                        4
---R                                     32a
+--R             3 3         +-------+ +-------+      4 4
+--R        (- 2a x  - 3a x)\|a x - 1 \|a x + 1  + (8a x  - 3)acosh(a x)
+--R   (2)  ------------------------------------------------------------
+--R                                       4
+--R                                    32a
 --R                                                    Type: Expression(Integer)
 --E 97
 
@@ -1523,7 +1581,7 @@ r0019:= -1/32*(3*x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a+_
 a0019:= integrate(t0019,x)
 --R 
 --R
---R   (68)
+--R   (3)
 --R                                              +--------+
 --R               7 7      5 5      3 3          | 2 2           8 8      6 6
 --R           (64a x  - 32a x  - 24a x  + 12a x)\|a x  - 1  - 64a x  + 64a x
@@ -1549,7 +1607,7 @@ a0019:= integrate(t0019,x)
 m0019:= a0019-r0019
 --R 
 --R
---R   (69)
+--R   (4)
 --R                                              +--------+
 --R               7 7      5 5      3 3          | 2 2           8 8      6 6
 --R           (64a x  - 32a x  - 24a x  + 12a x)\|a x  - 1  - 64a x  + 64a x
@@ -1593,7 +1651,7 @@ m0019:= a0019-r0019
 d0019:= D(m0019,x)
 --R 
 --R
---R   (70)
+--R   (5)
 --R                   11 11        9 9        7 7        5 5      3 3  +-------+
 --R             (4096a  x   - 8192a x  + 5120a x  - 1024a x  + 32a x )\|a x - 1
 --R          *
@@ -1656,13 +1714,16 @@ d0019:= D(m0019,x)
 --R                                                    Type: Expression(Integer)
 --E 100
 
+)clear all
+ 
+
 --S 101 of 510
 t0020:= acosh(a*x)/x
 --R 
 --R
---R         acosh(a x)
---R   (71)  ----------
---R              x
+--R        acosh(a x)
+--R   (1)  ----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 101
 
@@ -1689,10 +1750,10 @@ r0020:= 1/2*acosh(a*x)^2+acosh(a*x)*log(1+exp(1)^(-2*acosh(a*x)))-_
 a0020:= integrate(t0020,x)
 --R 
 --R
---R            x
---I          ++  acosh(%P a)
---I   (72)   |   ----------- d%P
---I         ++        %P
+--R           x
+--I         ++  acosh(%T a)
+--I   (2)   |   ----------- d%T
+--I        ++        %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 103
 
@@ -1704,14 +1765,17 @@ a0020:= integrate(t0020,x)
 --d0020:= D(m0020,x)
 --E 105
 
+)clear all
+ 
+
 --S 106 of 510
 t0021:= acosh(a*x)/x^2
 --R 
 --R
---R         acosh(a x)
---R   (73)  ----------
---R              2
---R             x
+--R        acosh(a x)
+--R   (1)  ----------
+--R             2
+--R            x
 --R                                                    Type: Expression(Integer)
 --E 106
 
@@ -1719,13 +1783,13 @@ t0021:= acosh(a*x)/x^2
 r0021:= -acosh(a*x)/x+2*a*atan((-1+a*x)^(1/2)/(1+a*x)^(1/2))
 --R 
 --R
---R                    +-------+
---R                   \|a x - 1
---R         2a x atan(----------) - acosh(a x)
---R                    +-------+
---R                   \|a x + 1
---R   (74)  ----------------------------------
---R                          x
+--R                   +-------+
+--R                  \|a x - 1
+--R        2a x atan(----------) - acosh(a x)
+--R                   +-------+
+--R                  \|a x + 1
+--R   (2)  ----------------------------------
+--R                         x
 --R                                                    Type: Expression(Integer)
 --E 107
 
@@ -1733,11 +1797,11 @@ r0021:= -acosh(a*x)/x+2*a*atan((-1+a*x)^(1/2)/(1+a*x)^(1/2))
 a0021:= integrate(t0021,x)
 --R 
 --R
---R                +--------+                     +--------+
---R                | 2 2                          | 2 2
---R         - log(\|a x  - 1  + a x) + 2a x atan(\|a x  - 1  - a x)
---R   (75)  -------------------------------------------------------
---R                                    x
+--R               +--------+                     +--------+
+--R               | 2 2                          | 2 2
+--R        - log(\|a x  - 1  + a x) + 2a x atan(\|a x  - 1  - a x)
+--R   (3)  -------------------------------------------------------
+--R                                   x
 --R                                         Type: Union(Expression(Integer),...)
 --E 108
 
@@ -1745,7 +1809,7 @@ a0021:= integrate(t0021,x)
 m0021:= a0021-r0021
 --R 
 --R
---R   (76)
+--R   (4)
 --R              +--------+                     +--------+
 --R              | 2 2                          | 2 2
 --R       - log(\|a x  - 1  + a x) + 2a x atan(\|a x  - 1  - a x)
@@ -1764,7 +1828,7 @@ m0021:= a0021-r0021
 d0021:= D(m0021,x)
 --R 
 --R
---R   (77)
+--R   (5)
 --R                            +--------+     +--------+
 --R        +-------+ +-------+ | 2 2          | 2 2
 --R       \|a x - 1 \|a x + 1 \|a x  - 1 log(\|a x  - 1  + a x)
@@ -1782,14 +1846,17 @@ d0021:= D(m0021,x)
 --R                                                    Type: Expression(Integer)
 --E 110
 
+)clear all
+ 
+
 --S 111 of 510
 t0022:= acosh(a*x)/x^4
 --R 
 --R
---R         acosh(a x)
---R   (78)  ----------
---R              4
---R             x
+--R        acosh(a x)
+--R   (1)  ----------
+--R             4
+--R            x
 --R                                                    Type: Expression(Integer)
 --E 111
 
@@ -1798,14 +1865,14 @@ r0022:= 1/6*(x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a-2*acosh(a*x)+_
         2*a^3*atan((-1+a*x)^(1/2)/(1+a*x)^(1/2))*x^3)/x^3
 --R 
 --R
---R                    +-------+
---R           3 3     \|a x - 1         +-------+ +-------+
---R         2a x atan(----------) + a x\|a x - 1 \|a x + 1  - 2acosh(a x)
---R                    +-------+
---R                   \|a x + 1
---R   (79)  -------------------------------------------------------------
---R                                        3
---R                                      6x
+--R                   +-------+
+--R          3 3     \|a x - 1         +-------+ +-------+
+--R        2a x atan(----------) + a x\|a x - 1 \|a x + 1  - 2acosh(a x)
+--R                   +-------+
+--R                  \|a x + 1
+--R   (2)  -------------------------------------------------------------
+--R                                       3
+--R                                     6x
 --R                                                    Type: Expression(Integer)
 --E 112
 
@@ -1813,7 +1880,7 @@ r0022:= 1/6*(x*(-1+a*x)^(1/2)*(1+a*x)^(1/2)*a-2*acosh(a*x)+_
 a0022:= integrate(t0022,x)
 --R 
 --R
---R   (80)
+--R   (3)
 --R               +--------+                  +--------+
 --R               | 2 2          2 2          | 2 2
 --R       (- 4a x\|a x  - 1  + 4a x  - 2)log(\|a x  - 1  + a x)
@@ -1836,7 +1903,7 @@ a0022:= integrate(t0022,x)
 m0022:= a0022-r0022
 --R 
 --R
---R   (81)
+--R   (4)
 --R               +--------+                  +--------+
 --R               | 2 2          2 2          | 2 2
 --R       (- 4a x\|a x  - 1  + 4a x  - 2)log(\|a x  - 1  + a x)
@@ -1868,7 +1935,7 @@ m0022:= a0022-r0022
 d0022:= D(m0022,x)
 --R 
 --R
---R   (82)
+--R   (5)
 --R                                                     +--------+
 --R               4 4      2 2      +-------+ +-------+ | 2 2
 --R           (24a x  - 24a x  + 3)\|a x - 1 \|a x + 1 \|a x  - 1
@@ -1911,12 +1978,15 @@ d0022:= D(m0022,x)
 --R                                                    Type: Expression(Integer)
 --E 115
 
+)clear all
+ 
+
 --S 116 of 510
 t0023:= x^2*acosh(a+b*x)
 --R 
 --R
---R          2
---R   (83)  x acosh(b x + a)
+--R         2
+--R   (1)  x acosh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 116
 
@@ -1929,7 +1999,7 @@ r0023:= -1/18*(4*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)+_
         12*a^3*asinh(1/2*(a+b*x-1)^(1/2)*2^(1/2)))/b^3
 --R 
 --R
---R   (84)
+--R   (2)
 --R                          +-+ +-----------+
 --R           3             \|2 \|b x + a - 1
 --R       (12a  + 18a)asinh(------------------)
@@ -1950,7 +2020,7 @@ r0023:= -1/18*(4*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)+_
 a0023:= integrate(t0023,x)
 --R 
 --R
---R   (85)
+--R   (3)
 --R                  5 5         4 4       2       3 3       3         2 2
 --R               96b x  + 192a b x  + (96a  - 24)b x  + (96a  + 144a)b x
 --R             + 
@@ -2006,7 +2076,7 @@ a0023:= integrate(t0023,x)
 m0023:= a0023-r0023
 --R 
 --R
---R   (86)
+--R   (4)
 --R                  5 5         4 4       2       3 3       3         2 2
 --R               96b x  + 192a b x  + (96a  - 24)b x  + (96a  + 144a)b x
 --R             + 
@@ -2104,7 +2174,7 @@ m0023:= a0023-r0023
 d0023:= D(m0023,x)
 --R 
 --R
---R   (87)
+--R   (5)
 --R                  6 8         5 7         2        4 6         3         3 5
 --R               96b x  + 576a b x  + (1440a  - 144)b x  + (1920a  - 576a)b x
 --R             + 
@@ -2232,12 +2302,15 @@ d0023:= D(m0023,x)
 --R                                                    Type: Expression(Integer)
 --E 120
 
+)clear all
+ 
+
 --S 121 of 510
 t0024:= x^3*acosh(a+b*x)
 --R 
 --R
---R          3
---R   (88)  x acosh(b x + a)
+--R         3
+--R   (1)  x acosh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 121
 
@@ -2253,7 +2326,7 @@ r0024:= 1/96*(55*a*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)+_
         18*asinh(1/2*(a+b*x-1)^(1/2)*2^(1/2)))/b^4
 --R 
 --R
---R   (89)
+--R   (2)
 --R                                   +-+ +-----------+
 --R             4       2            \|2 \|b x + a - 1
 --R       (- 48a  - 144a  - 18)asinh(------------------)
@@ -2277,7 +2350,7 @@ r0024:= 1/96*(55*a*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)+_
 a0024:= integrate(t0024,x)
 --R 
 --R
---R   (90)
+--R   (3)
 --R                    7 7          6 6         2        5 5         3         4 4
 --R               1536b x  + 4608a b x  + (4608a  - 768)b x  + (1536a  - 768a)b x
 --R             + 
@@ -2356,7 +2429,7 @@ a0024:= integrate(t0024,x)
 m0024:= a0024-r0024
 --R 
 --R
---R   (91)
+--R   (4)
 --R                    7 7          6 6         2        5 5         3         4 4
 --R               1536b x  + 4608a b x  + (4608a  - 768)b x  + (1536a  - 768a)b x
 --R             + 
@@ -2503,7 +2576,7 @@ m0024:= a0024-r0024
 d0024:= D(m0024,x)
 --R 
 --R
---R   (92)
+--R   (5)
 --R                   8 11          7 10          2         6 9
 --R               512b x   + 4096a b x   + (14336a  - 1024)b x
 --R             + 
@@ -2711,14 +2784,17 @@ d0024:= D(m0024,x)
 --R                                                    Type: Expression(Integer)
 --E 125
 
+)clear all
+ 
+
 --S 126 of 510
 t0025:= acosh(a+b*x)/x^2
 --R 
 --R
---R         acosh(b x + a)
---R   (93)  --------------
---R                2
---R               x
+--R        acosh(b x + a)
+--R   (1)  --------------
+--R               2
+--R              x
 --R                                                    Type: Expression(Integer)
 --E 126
 
@@ -2727,7 +2803,7 @@ r0025:= -acosh(a+b*x)/x-2*b*atan((-1-a)^(1/2)*_
         (a+b*x-1)^(1/2)/(-1+a)^(1/2)/(a+1+b*x)^(1/2))/(-1-a)^(1/2)/(-1+a)^(1/2)
 --R 
 --R
---R   (94)
+--R   (2)
 --R                +-------+ +-----------+
 --R               \|- a - 1 \|b x + a - 1                    +-------+ +-----+
 --R   - 2b x atan(------------------------) - acosh(b x + a)\|- a - 1 \|a - 1
@@ -2743,7 +2819,7 @@ r0025:= -acosh(a+b*x)/x-2*b*atan((-1-a)^(1/2)*_
 a0025:= integrate(t0025,x)
 --R 
 --R
---R   (95)
+--R   (3)
 --R   [
 --R            +------+     +----------------------+
 --R            | 2          | 2 2             2
@@ -2791,7 +2867,7 @@ a0025:= integrate(t0025,x)
 m0025a:= a0025.1-r0025
 --R 
 --R
---R   (96)
+--R   (4)
 --R                            +------+     +----------------------+
 --R          +-------+ +-----+ | 2          | 2 2             2
 --R       - \|- a - 1 \|a - 1 \|a  - 1 log(\|b x  + 2a b x + a  - 1  + b x + a)
@@ -2832,7 +2908,7 @@ m0025a:= a0025.1-r0025
 d0025a:= D(m0025a,x)
 --R 
 --R
---R   (97)
+--R   (5)
 --R                                      +----------------------+
 --R          +-----------+ +-----------+ | 2 2             2
 --R         \|b x + a - 1 \|b x + a + 1 \|b x  + 2a b x + a  - 1
@@ -2861,7 +2937,7 @@ d0025a:= D(m0025a,x)
 m0025b:= a0025.2-r0025
 --R 
 --R
---R   (98)
+--R   (6)
 --R          +--------+                       +----------------------+
 --R          |   2      +-------+ +-----+     | 2 2             2
 --R       - \|- a  + 1 \|- a - 1 \|a - 1 log(\|b x  + 2a b x + a  - 1  + b x + a)
@@ -2897,7 +2973,7 @@ m0025b:= a0025.2-r0025
 d0025b:= D(m0025b,x)
 --R 
 --R
---R   (99)
+--R   (7)
 --R                                      +----------------------+
 --R          +-----------+ +-----------+ | 2 2             2
 --R         \|b x + a - 1 \|b x + a + 1 \|b x  + 2a b x + a  - 1
@@ -2922,14 +2998,17 @@ d0025b:= D(m0025b,x)
 --R                                                    Type: Expression(Integer)
 --E 132
 
+)clear all
+ 
+
 --S 133 of 510
 t0026:= acosh(a+b*x)/x^3
 --R 
 --R
---R          acosh(b x + a)
---R   (100)  --------------
---R                 3
---R                x
+--R        acosh(b x + a)
+--R   (1)  --------------
+--R               3
+--R              x
 --R                                                    Type: Expression(Integer)
 --E 133
 
@@ -2939,7 +3018,7 @@ r0026:= 1/2*b*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)/(1-a^2)/x-_
         (a+b*x-1)^(1/2)/(-1+a)^(1/2)/(a+1+b*x)^(1/2))/(-1-a)^(3/2)/(-1+a)^(3/2)
 --R 
 --R
---R   (101)
+--R   (2)
 --R                    +-------+ +-----------+
 --R           2 2     \|- a - 1 \|b x + a - 1
 --R       2a b x atan(------------------------)
@@ -2961,7 +3040,7 @@ r0026:= 1/2*b*(a+b*x-1)^(1/2)*(a+1+b*x)^(1/2)/(1-a^2)/x-_
 a0026:= integrate(t0026,x)
 --R 
 --R
---R   (102)
+--R   (3)
 --R   [
 --R                        +------+ +----------------------+
 --R                 2      | 2      | 2 2             2
@@ -3055,7 +3134,7 @@ a0026:= integrate(t0026,x)
 m0026a:= a0026.1-r0026
 --R 
 --R
---R   (103)
+--R   (4)
 --R                                        +------+ +----------------------+
 --R               2      +-------+ +-----+ | 2      | 2 2             2
 --R           (- a  + 1)\|- a - 1 \|a - 1 \|a  - 1 \|b x  + 2a b x + a  - 1
@@ -3139,7 +3218,7 @@ m0026a:= a0026.1-r0026
 d0026a:= D(m0026a,x)
 --R 
 --R
---R   (104)
+--R   (5)
 --R                      6 6         5 5        2       4 4        3         3 3
 --R                   32b x  + 160a b x  + (336a  - 56)b x  + (384a  - 184a)b x
 --R                 + 
@@ -3394,7 +3473,7 @@ d0026a:= D(m0026a,x)
 m0026b:= a0026.2-r0026
 --R 
 --R
---R   (105)
+--R   (6)
 --R                      +--------+                   +----------------------+
 --R               2      |   2      +-------+ +-----+ | 2 2             2
 --R           (- a  + 1)\|- a  + 1 \|- a - 1 \|a - 1 \|b x  + 2a b x + a  - 1
@@ -3472,7 +3551,7 @@ m0026b:= a0026.2-r0026
 d0026b:= D(m0026b,x)
 --R 
 --R
---R   (106)
+--R   (7)
 --R                2 2              2      +-----------+ +-----------+
 --R             (4b x  + 8a b x + 4a  - 2)\|b x + a - 1 \|b x + a + 1
 --R          *
@@ -3530,14 +3609,17 @@ d0026b:= D(m0026b,x)
 --R                                                    Type: Expression(Integer)
 --E 139
 
+)clear all
+ 
+
 --S 140 of 510
 t0027:= 1/(a+b*acosh(c+d*x))^(1/2)
 --R 
 --R
---R                     1
---R   (107)  -----------------------
---R           +--------------------+
---R          \|b acosh(d x + c) + a
+--R                   1
+--R   (1)  -----------------------
+--R         +--------------------+
+--R        \|b acosh(d x + c) + a
 --R                                                    Type: Expression(Integer)
 --E 140
 
@@ -3546,7 +3628,7 @@ r0027:= -1/2*%pi^(1/2)*(exp(2*a/b)*erf((a+b*acosh(c+d*x))^(1/2)/b^(1/2))+_
         %i*erf(%i*(a+b*acosh(c+d*x))^(1/2)/b^(1/2)))*exp(-a/b)/b^(1/2)/d
 --R 
 --R
---R   (108)
+--R   (2)
 --R             a  2a
 --R           - -  --           +--------------------+
 --R             b   b +---+    \|b acosh(d x + c) + a
@@ -3585,14 +3667,17 @@ a0027:= integrate(t0027,x)
 --d0027:= D(m0027,x)
 --E 144
 
+)clear all
+ 
+
 --S 145 of 510
 t0028:= 1/(a-b*acosh(c+d*x))^(1/2)
 --R 
 --R
---R                      1
---R   (109)  -------------------------
---R           +----------------------+
---R          \|- b acosh(d x + c) + a
+--R                    1
+--R   (1)  -------------------------
+--R         +----------------------+
+--R        \|- b acosh(d x + c) + a
 --R                                                    Type: Expression(Integer)
 --E 145
 
@@ -3601,7 +3686,7 @@ r0028:= -1/2*%pi^(1/2)*(exp(2*a/b)*erf((a-b*acosh(c+d*x))^(1/2)/b^(1/2))+_
         %i*erf(%i*(a-b*acosh(c+d*x))^(1/2)/b^(1/2)))*exp(-a/b)/b^(1/2)/d
 --R 
 --R
---R   (110)
+--R   (2)
 --R             a  2a
 --R           - -  --           +----------------------+
 --R             b   b +---+    \|- b acosh(d x + c) + a
@@ -3640,12 +3725,15 @@ a0028:= integrate(t0028,x)
 --d0028:= D(m0028,x)
 --E 149
 
+)clear all
+ 
+
 --S 150 of 510
 t0029:= acosh(x^(1/2))
 --R 
 --R
---R                 +-+
---R   (111)  acosh(\|x )
+--R               +-+
+--R   (1)  acosh(\|x )
 --R                                                    Type: Expression(Integer)
 --E 150
 
@@ -3654,15 +3742,29 @@ r0029:= -1/2*(-1+x^(1/2))^(1/2)*(1+x^(1/2))^(1/2)*x^(1/2)-_
         1/2*acosh(x^(1/2))+x*acosh(x^(1/2))
 --R 
 --R
---R                 +--------+ +--------+
---R             +-+ | +-+      | +-+                       +-+
---R          - \|x \|\|x  - 1 \|\|x  + 1  + (2x - 1)acosh(\|x )
---R   (112)  --------------------------------------------------
---R                                   2
+--R               +--------+ +--------+
+--R           +-+ | +-+      | +-+                       +-+
+--R        - \|x \|\|x  - 1 \|\|x  + 1  + (2x - 1)acosh(\|x )
+--R   (2)  --------------------------------------------------
+--R                                 2
 --R                                                    Type: Expression(Integer)
 --E 151
 
---S 152 of 510
+-- sometimes this seems to come out with a different sign
+-- 
+--
+--   (113)
+--                 +-----+ +-+     2               +-+    +-----+
+--       ((4x - 2)\|x - 1 \|x  + 4x  - 4x + 1)log(\|x  + \|x - 1 )
+--     + 
+--                  +-----+ +-+     2
+--       (- 2x + 1)\|x - 1 \|x  - 2x  + 2x
+--  /
+--       +-----+ +-+
+--     4\|x - 1 \|x  + 4x - 2
+--                                         Type: Union(Expression(Integer),...)
+
+--S 152 of 510 ok if failed. sometimes has different sign (see above)
 a0029:= integrate(t0029,x)
 --R 
 --R 
@@ -3673,23 +3775,71 @@ a0029:= integrate(t0029,x)
 --R
 --E 152
 
---S 153 of 510
+-- sometimes this seems sometimes have different sign 
+-- 
+--
+--   (114)
+--                                   +--------+ +--------+
+--                 +-+      +-----+  | +-+      | +-+
+--       ((2x - 1)\|x  + 2x\|x - 1 )\|\|x  - 1 \|\|x  + 1
+--     + 
+--                 +-----+ +-+     2               +-+    +-----+
+--       ((4x - 2)\|x - 1 \|x  + 4x  - 4x + 1)log(\|x  + \|x - 1 )
+--     + 
+--                   +-----+ +-+     2                 +-+
+--       ((- 4x + 2)\|x - 1 \|x  - 4x  + 4x - 1)acosh(\|x )
+--     + 
+--                  +-----+ +-+     2
+--       (- 2x + 1)\|x - 1 \|x  - 2x  + 2x
+--  /
+--       +-----+ +-+
+--     4\|x - 1 \|x  + 4x - 2
+--                                                    Type: Expression(Integer)
+--S 153 of 510 ok if failed. sometimes has different sign (see above)
 m0029:= a0029-r0029
 --R 
 --R
---R               +--------+ +--------+
---R           +-+ | +-+      | +-+                         +-+
---R          \|x \|\|x  - 1 \|\|x  + 1  + (- 2x + 1)acosh(\|x ) + 2a0029
---R   (113)  -----------------------------------------------------------
---R                                       2
+--R             +--------+ +--------+
+--R         +-+ | +-+      | +-+                         +-+
+--R        \|x \|\|x  - 1 \|\|x  + 1  + (- 2x + 1)acosh(\|x ) + 2a0029
+--R   (3)  -----------------------------------------------------------
+--R                                     2
 --R                                                    Type: Expression(Integer)
 --E 153
 
---S 154 of 510
+-- sometimes this seems sometimes have different sign 
+-- 
+--
+--   (115)
+--                  2            +-----+ +-+      3      2
+--             ((32x  - 32x + 4)\|x - 1 \|x  + 32x  - 48x  + 16x)
+--          *
+--                  +-+    +-----+
+--             log(\|x  + \|x - 1 )
+--         + 
+--                  2            +-----+ +-+      3      2              +-+
+--           ((- 32x  + 32x - 4)\|x - 1 \|x  - 32x  + 48x  - 16x)acosh(\|x )
+--         + 
+--                 2            +-----+ +-+      3      2
+--           (- 16x  + 16x - 4)\|x - 1 \|x  - 16x  + 24x  - 10x + 1
+--      *
+--          +--------+ +--------+
+--          | +-+      | +-+
+--         \|\|x  - 1 \|\|x  + 1
+--     + 
+--           3      2            +-+       3      2            +-----+
+--       (16x  - 32x  + 20x - 4)\|x  + (16x  - 24x  + 10x - 1)\|x - 1
+--  /
+--                                                        +--------+ +--------+
+--          2            +-----+ +-+      3      2        | +-+      | +-+
+--     ((32x  - 32x + 4)\|x - 1 \|x  + 32x  - 48x  + 16x)\|\|x  - 1 \|\|x  + 1
+--                                                    Type: Expression(Integer)
+
+--S 154 of 510 ok if failed. sometimes has different sign (see above)
 d0029:= D(m0029,x)
 --R 
 --R
---R   (114)
+--R   (4)
 --R                                             +--------+ +--------+
 --R            +-----+ +-+       +-+            | +-+      | +-+
 --R       (- 4\|x - 1 \|x acosh(\|x ) - 2x + 1)\|\|x  - 1 \|\|x  + 1
@@ -3703,14 +3853,17 @@ d0029:= D(m0029,x)
 --R                                                    Type: Expression(Integer)
 --E 154
 
+)clear all
+ 
+
 --S 155 of 510
 t0030:= acosh(x^(1/2))/x
 --R 
 --R
---R                 +-+
---R          acosh(\|x )
---R   (115)  -----------
---R               x
+--R               +-+
+--R        acosh(\|x )
+--R   (1)  -----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 155
 
@@ -3737,10 +3890,10 @@ r0030:= acosh(x^(1/2))^2+2*acosh(x^(1/2))*log(1+exp(1)^(-2*acosh(x^(1/2))))-_
 a0030:= integrate(t0030,x)
 --R 
 --R
---R             x        +--+
---I           ++  acosh(\|%P )
---I   (116)   |   ------------ d%P
---I          ++        %P
+--R           x        +--+
+--I         ++  acosh(\|%T )
+--I   (2)   |   ------------ d%T
+--I        ++        %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 157
 
@@ -3752,11 +3905,14 @@ a0030:= integrate(t0030,x)
 --d0030:= D(m0030,x)
 --E 159
 
+)clear all
+ 
+
 --S 160 of 510
 t0031:= x*atanh(a*x)
 --R 
 --R
---R   (117)  x atanh(a x)
+--R   (1)  x atanh(a x)
 --R                                                    Type: Expression(Integer)
 --E 160
 
@@ -3764,11 +3920,11 @@ t0031:= x*atanh(a*x)
 r0031:= 1/2*(a*x-atanh(a*x)+x^2*atanh(a*x)*a^2)/a^2
 --R 
 --R
---R            2 2
---R          (a x  - 1)atanh(a x) + a x
---R   (118)  --------------------------
---R                        2
---R                      2a
+--R          2 2
+--R        (a x  - 1)atanh(a x) + a x
+--R   (2)  --------------------------
+--R                      2
+--R                    2a
 --R                                                    Type: Expression(Integer)
 --E 161
 
@@ -3776,12 +3932,12 @@ r0031:= 1/2*(a*x-atanh(a*x)+x^2*atanh(a*x)*a^2)/a^2
 a0031:= integrate(t0031,x)
 --R 
 --R
---R            2 2         - a x - 1
---R          (a x  - 1)log(---------) + 2a x
---R                         a x - 1
---R   (119)  -------------------------------
---R                          2
---R                        4a
+--R          2 2         - a x - 1
+--R        (a x  - 1)log(---------) + 2a x
+--R                       a x - 1
+--R   (3)  -------------------------------
+--R                        2
+--R                      4a
 --R                                         Type: Union(Expression(Integer),...)
 --E 162
 
@@ -3789,12 +3945,12 @@ a0031:= integrate(t0031,x)
 m0031:= a0031-r0031
 --R 
 --R
---R            2 2         - a x - 1         2 2
---R          (a x  - 1)log(---------) + (- 2a x  + 2)atanh(a x)
---R                         a x - 1
---R   (120)  --------------------------------------------------
---R                                    2
---R                                  4a
+--R          2 2         - a x - 1         2 2
+--R        (a x  - 1)log(---------) + (- 2a x  + 2)atanh(a x)
+--R                       a x - 1
+--R   (4)  --------------------------------------------------
+--R                                  2
+--R                                4a
 --R                                                    Type: Expression(Integer)
 --E 163
 
@@ -3802,21 +3958,24 @@ m0031:= a0031-r0031
 d0031:= D(m0031,x)
 --R 
 --R
---R                - a x - 1
---R          x log(---------) - 2x atanh(a x)
---R                 a x - 1
---R   (121)  --------------------------------
---R                          2
+--R              - a x - 1
+--R        x log(---------) - 2x atanh(a x)
+--R               a x - 1
+--R   (5)  --------------------------------
+--R                        2
 --R                                                    Type: Expression(Integer)
 --E 164
 
+)clear all
+ 
+
 --S 165 of 510
 t0032:= atanh(a*x)/x
 --R 
 --R
---R          atanh(a x)
---R   (122)  ----------
---R               x
+--R        atanh(a x)
+--R   (1)  ----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 165
 
@@ -3842,10 +4001,10 @@ r0032:= -1/2*polylog(2,-a*x)+1/2*polylog(2,a*x)
 a0032:= integrate(t0032,x)
 --R 
 --R
---R             x
---I           ++  atanh(%P a)
---I   (123)   |   ----------- d%P
---I          ++        %P
+--R           x
+--I         ++  atanh(%T a)
+--I   (2)   |   ----------- d%T
+--I        ++        %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 167
 
@@ -3857,14 +4016,17 @@ a0032:= integrate(t0032,x)
 --d0032:= D(m0032,x)
 --E 169
 
+)clear all
+ 
+
 --S 170 of 510
 t0033:= atanh(a*x)/x^3
 --R 
 --R
---R          atanh(a x)
---R   (124)  ----------
---R               3
---R              x
+--R        atanh(a x)
+--R   (1)  ----------
+--R             3
+--R            x
 --R                                                    Type: Expression(Integer)
 --E 170
 
@@ -3872,11 +4034,11 @@ t0033:= atanh(a*x)/x^3
 r0033:= 1/2*(-atanh(a*x)+x^2*atanh(a*x)*a^2-a*x)/x^2
 --R 
 --R
---R            2 2
---R          (a x  - 1)atanh(a x) - a x
---R   (125)  --------------------------
---R                        2
---R                      2x
+--R          2 2
+--R        (a x  - 1)atanh(a x) - a x
+--R   (2)  --------------------------
+--R                      2
+--R                    2x
 --R                                                    Type: Expression(Integer)
 --E 171
 
@@ -3884,12 +4046,12 @@ r0033:= 1/2*(-atanh(a*x)+x^2*atanh(a*x)*a^2-a*x)/x^2
 a0033:= integrate(t0033,x)
 --R 
 --R
---R            2 2         - a x - 1
---R          (a x  - 1)log(---------) - 2a x
---R                         a x - 1
---R   (126)  -------------------------------
---R                          2
---R                        4x
+--R          2 2         - a x - 1
+--R        (a x  - 1)log(---------) - 2a x
+--R                       a x - 1
+--R   (3)  -------------------------------
+--R                        2
+--R                      4x
 --R                                         Type: Union(Expression(Integer),...)
 --E 172
 
@@ -3897,12 +4059,12 @@ a0033:= integrate(t0033,x)
 m0033:= a0033-r0033
 --R 
 --R
---R            2 2         - a x - 1         2 2
---R          (a x  - 1)log(---------) + (- 2a x  + 2)atanh(a x)
---R                         a x - 1
---R   (127)  --------------------------------------------------
---R                                    2
---R                                  4x
+--R          2 2         - a x - 1         2 2
+--R        (a x  - 1)log(---------) + (- 2a x  + 2)atanh(a x)
+--R                       a x - 1
+--R   (4)  --------------------------------------------------
+--R                                  2
+--R                                4x
 --R                                                    Type: Expression(Integer)
 --E 173
 
@@ -3910,20 +4072,23 @@ m0033:= a0033-r0033
 d0033:= D(m0033,x)
 --R 
 --R
---R              - a x - 1
---R          log(---------) - 2atanh(a x)
---R               a x - 1
---R   (128)  ----------------------------
---R                         3
---R                       2x
+--R            - a x - 1
+--R        log(---------) - 2atanh(a x)
+--R             a x - 1
+--R   (5)  ----------------------------
+--R                       3
+--R                     2x
 --R                                                    Type: Expression(Integer)
 --E 174
 
+)clear all
+ 
+
 --S 175 of 510
 t0034:= (a+b*x)*atanh(a+b*x)
 --R 
 --R
---R   (129)  (b x + a)atanh(b x + a)
+--R   (1)  (b x + a)atanh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 175
 
@@ -3931,10 +4096,10 @@ t0034:= (a+b*x)*atanh(a+b*x)
 r0034:= 1/2/b*(a+b*x)-1/2*atanh(a+b*x)/b+1/2*(a+b*x)^2*atanh(a+b*x)/b
 --R 
 --R
---R            2 2             2
---R          (b x  + 2a b x + a  - 1)atanh(b x + a) + b x + a
---R   (130)  ------------------------------------------------
---R                                 2b
+--R          2 2             2
+--R        (b x  + 2a b x + a  - 1)atanh(b x + a) + b x + a
+--R   (2)  ------------------------------------------------
+--R                               2b
 --R                                                    Type: Expression(Integer)
 --E 176
 
@@ -3942,11 +4107,11 @@ r0034:= 1/2/b*(a+b*x)-1/2*atanh(a+b*x)/b+1/2*(a+b*x)^2*atanh(a+b*x)/b
 a0034:= integrate(t0034,x)
 --R 
 --R
---R            2 2             2         - b x - a - 1
---R          (b x  + 2a b x + a  - 1)log(-------------) + 2b x
---R                                       b x + a - 1
---R   (131)  -------------------------------------------------
---R                                  4b
+--R          2 2             2         - b x - a - 1
+--R        (b x  + 2a b x + a  - 1)log(-------------) + 2b x
+--R                                     b x + a - 1
+--R   (3)  -------------------------------------------------
+--R                                4b
 --R                                         Type: Union(Expression(Integer),...)
 --E 177
 
@@ -3954,7 +4119,7 @@ a0034:= integrate(t0034,x)
 m0034:= a0034-r0034
 --R 
 --R
---R   (132)
+--R   (4)
 --R         2 2             2         - b x - a - 1
 --R       (b x  + 2a b x + a  - 1)log(-------------)
 --R                                    b x + a - 1
@@ -3970,20 +4135,23 @@ m0034:= a0034-r0034
 d0034:= D(m0034,x)
 --R 
 --R
---R                       - b x - a - 1
---R          (b x + a)log(-------------) + (- 2b x - 2a)atanh(b x + a)
---R                        b x + a - 1
---R   (133)  ---------------------------------------------------------
---R                                      2
+--R                     - b x - a - 1
+--R        (b x + a)log(-------------) + (- 2b x - 2a)atanh(b x + a)
+--R                      b x + a - 1
+--R   (5)  ---------------------------------------------------------
+--R                                    2
 --R                                                    Type: Expression(Integer)
 --E 179
 
+)clear all
+ 
+
 --S 180 of 510
 t0035:= (a+b*x)^2*atanh(a+b*x)
 --R 
 --R
---R            2 2             2
---R   (134)  (b x  + 2a b x + a )atanh(b x + a)
+--R          2 2             2
+--R   (1)  (b x  + 2a b x + a )atanh(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 180
 
@@ -3991,7 +4159,7 @@ t0035:= (a+b*x)^2*atanh(a+b*x)
 r0035:= 1/6*(a+b*x)^2/b+1/3*(a+b*x)^3*atanh(a+b*x)/b+1/6*log(1-(a+b*x)^2)/b
 --R 
 --R
---R   (135)
+--R   (2)
 --R              2 2             2
 --R       log(- b x  - 2a b x - a  + 1)
 --R     + 
@@ -4006,7 +4174,7 @@ r0035:= 1/6*(a+b*x)^2/b+1/3*(a+b*x)^3*atanh(a+b*x)/b+1/6*log(1-(a+b*x)^2)/b
 a0035:= integrate(t0035,x)
 --R 
 --R
---R   (136)
+--R   (3)
 --R         3                            3
 --R       (a  + 1)log(b x + a + 1) + (- a  + 1)log(b x + a - 1)
 --R     + 
@@ -4022,7 +4190,7 @@ a0035:= integrate(t0035,x)
 m0035:= a0035-r0035
 --R 
 --R
---R   (137)
+--R   (4)
 --R         3                            3
 --R       (a  + 1)log(b x + a + 1) + (- a  + 1)log(b x + a - 1)
 --R     + 
@@ -4044,7 +4212,7 @@ m0035:= a0035-r0035
 d0035:= D(m0035,x)
 --R 
 --R
---R   (138)
+--R   (5)
 --R         2 2             2     - b x - a - 1
 --R       (b x  + 2a b x + a )log(-------------)
 --R                                b x + a - 1
@@ -4056,13 +4224,16 @@ d0035:= D(m0035,x)
 --R                                                    Type: Expression(Integer)
 --E 184
 
+)clear all
+ 
+
 --S 185 of 510
 t0036:= atanh(1+x)/(2+2*x)
 --R 
 --R
---R          atanh(x + 1)
---R   (139)  ------------
---R             2x + 2
+--R        atanh(x + 1)
+--R   (1)  ------------
+--R           2x + 2
 --R                                                    Type: Expression(Integer)
 --E 185
 
@@ -4088,10 +4259,10 @@ r0036:= -1/4*polylog(2,-1-x)+1/4*polylog(2,1+x)
 a0036:= integrate(t0036,x)
 --R 
 --R
---R             x
---I           ++  atanh(%P + 1)
---I   (140)   |   ------------- d%P
---I          ++      2%P + 2
+--R           x
+--I         ++  atanh(%T + 1)
+--I   (2)   |   ------------- d%T
+--I        ++      2%T + 2
 --R                                         Type: Union(Expression(Integer),...)
 --E 187
 
@@ -4103,13 +4274,16 @@ a0036:= integrate(t0036,x)
 --d0036:= D(m0036,x)
 --E 189
 
+)clear all
+ 
+
 --S 190 of 510
 t0037:= atanh(a+b*x)/(a+b*x)
 --R 
 --R
---R          atanh(b x + a)
---R   (141)  --------------
---R              b x + a
+--R        atanh(b x + a)
+--R   (1)  --------------
+--R            b x + a
 --R                                                    Type: Expression(Integer)
 --E 190
 
@@ -4135,10 +4309,10 @@ r0037:= -1/2*(polylog(2,-a-b*x)-polylog(2,a+b*x))/b
 a0037:= integrate(t0037,x)
 --R 
 --R
---R             x
---I           ++  atanh(%P b + a)
---I   (142)   |   --------------- d%P
---I          ++       %P b + a
+--R           x
+--I         ++  atanh(%T b + a)
+--I   (2)   |   --------------- d%T
+--I        ++       %T b + a
 --R                                         Type: Union(Expression(Integer),...)
 --E 192
 
@@ -4150,14 +4324,17 @@ a0037:= integrate(t0037,x)
 --d0037:= D(m0037,x)
 --E 194
 
+)clear all
+ 
+
 --S 195 of 510
 t0038:= atanh(x)/(1-x^2)^2
 --R 
 --R
---R            atanh(x)
---R   (143)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 195
 
@@ -4165,11 +4342,11 @@ t0038:= atanh(x)/(1-x^2)^2
 r0038:= 1/4*(1-2*x*atanh(x)-atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 --R 
 --R
---R            2             2
---R          (x  - 1)atanh(x)  - 2x atanh(x) + 1
---R   (144)  -----------------------------------
---R                          2
---R                        4x  - 4
+--R          2             2
+--R        (x  - 1)atanh(x)  - 2x atanh(x) + 1
+--R   (2)  -----------------------------------
+--R                        2
+--R                      4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 196
 
@@ -4177,12 +4354,12 @@ r0038:= 1/4*(1-2*x*atanh(x)-atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 a0038:= integrate(t0038,x)
 --R 
 --R
---R            2         - x - 1 2          - x - 1
---R          (x  - 1)log(-------)  - 4x log(-------) + 4
---R                       x - 1              x - 1
---R   (145)  -------------------------------------------
---R                              2
---R                           16x  - 16
+--R          2         - x - 1 2          - x - 1
+--R        (x  - 1)log(-------)  - 4x log(-------) + 4
+--R                     x - 1              x - 1
+--R   (3)  -------------------------------------------
+--R                            2
+--R                         16x  - 16
 --R                                         Type: Union(Expression(Integer),...)
 --E 197
 
@@ -4190,7 +4367,7 @@ a0038:= integrate(t0038,x)
 m0038:= a0038-r0038
 --R 
 --R
---R   (146)
+--R   (4)
 --R     2         - x - 1 2          - x - 1         2             2
 --R   (x  - 1)log(-------)  - 4x log(-------) + (- 4x  + 4)atanh(x)  + 8x atanh(x)
 --R                x - 1              x - 1
@@ -4204,24 +4381,27 @@ m0038:= a0038-r0038
 d0038:= D(m0038,x)
 --R 
 --R
---R              - x - 1
---R          log(-------) - 2atanh(x)
---R               x - 1
---R   (147)  ------------------------
---R                  4     2
---R                2x  - 4x  + 2
+--R            - x - 1
+--R        log(-------) - 2atanh(x)
+--R             x - 1
+--R   (5)  ------------------------
+--R                4     2
+--R              2x  - 4x  + 2
 --R                                                    Type: Expression(Integer)
 --E 199
 
+)clear all
+ 
+
 --S 200 of 510
 t0039:= atanh(x)^2/(1-x^2)^2
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (148)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R                  2
+--R          atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 200
 
@@ -4230,11 +4410,11 @@ r0039:= 1/12*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2-2*atanh(x)^3+_
         2*x^2*atanh(x)^3)/(-1+x^2)
 --R 
 --R
---R             2             3              2      2
---R          (2x  - 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
---R   (149)  ----------------------------------------------------------
---R                                      2
---R                                   12x  - 12
+--R           2             3              2      2
+--R        (2x  - 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
+--R   (2)  ----------------------------------------------------------
+--R                                    2
+--R                                 12x  - 12
 --R                                                    Type: Expression(Integer)
 --E 201
 
@@ -4242,13 +4422,12 @@ r0039:= 1/12*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2-2*atanh(x)^3+_
 a0039:= integrate(t0039,x)
 --R 
 --R
---R   (150)
---R     2         - x - 1 3          - x - 1 2      2         - x - 1
---R   (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------) - 12x
---R                x - 1              x - 1                    x - 1
---R   ----------------------------------------------------------------------
---R                                     2
---R                                  48x  - 48
+--R          2         - x - 1 3          - x - 1 2      2         - x - 1
+--R        (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------) - 12x
+--R                     x - 1              x - 1                    x - 1
+--R   (3)  ----------------------------------------------------------------------
+--R                                          2
+--R                                       48x  - 48
 --R                                         Type: Union(Expression(Integer),...)
 --E 202
 
@@ -4256,7 +4435,7 @@ a0039:= integrate(t0039,x)
 m0039:= a0039-r0039
 --R 
 --R
---R   (151)
+--R   (4)
 --R         2         - x - 1 3          - x - 1 2      2         - x - 1
 --R       (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------)
 --R                    x - 1              x - 1                    x - 1
@@ -4273,23 +4452,26 @@ m0039:= a0039-r0039
 d0039:= D(m0039,x)
 --R 
 --R
---R              - x - 1 2            2
---R          log(-------)  - 4atanh(x)
---R               x - 1
---R   (152)  --------------------------
---R                   4     2
---R                 4x  - 8x  + 4
+--R            - x - 1 2            2
+--R        log(-------)  - 4atanh(x)
+--R             x - 1
+--R   (5)  --------------------------
+--R                 4     2
+--R               4x  - 8x  + 4
 --R                                                    Type: Expression(Integer)
 --E 204
 
+)clear all
+ 
+
 --S 205 of 510
 t0040:= 1/(a-a*x^2)/(b-2*b*atanh(x))
 --R 
 --R
---R                             1
---R   (153)  ---------------------------------------
---R                 2                        2
---R          (2a b x  - 2a b)atanh(x) - a b x  + a b
+--R                           1
+--R   (1)  ---------------------------------------
+--R               2                        2
+--R        (2a b x  - 2a b)atanh(x) - a b x  + a b
 --R                                                    Type: Expression(Integer)
 --E 205
 
@@ -4297,9 +4479,9 @@ t0040:= 1/(a-a*x^2)/(b-2*b*atanh(x))
 r0040:= -1/2*log(1-2*atanh(x))/a/b
 --R 
 --R
---R            log(- 2atanh(x) + 1)
---R   (154)  - --------------------
---R                    2a b
+--R          log(- 2atanh(x) + 1)
+--R   (2)  - --------------------
+--R                  2a b
 --R                                                    Type: Expression(Integer)
 --E 206
 
@@ -4307,11 +4489,11 @@ r0040:= -1/2*log(1-2*atanh(x))/a/b
 a0040:= integrate(t0040,x)
 --R 
 --R
---R                    - x - 1
---R            log(log(-------) - 1)
---R                     x - 1
---R   (155)  - ---------------------
---R                     2a b
+--R                  - x - 1
+--R          log(log(-------) - 1)
+--R                   x - 1
+--R   (3)  - ---------------------
+--R                   2a b
 --R                                         Type: Union(Expression(Integer),...)
 --E 207
 
@@ -4319,11 +4501,11 @@ a0040:= integrate(t0040,x)
 m0040:= a0040-r0040
 --R 
 --R
---R                    - x - 1
---R          - log(log(-------) - 1) + log(- 2atanh(x) + 1)
---R                     x - 1
---R   (156)  ----------------------------------------------
---R                               2a b
+--R                  - x - 1
+--R        - log(log(-------) - 1) + log(- 2atanh(x) + 1)
+--R                   x - 1
+--R   (4)  ----------------------------------------------
+--R                             2a b
 --R                                                    Type: Expression(Integer)
 --E 208
 
@@ -4331,7 +4513,7 @@ m0040:= a0040-r0040
 d0040:= D(m0040,x)
 --R 
 --R
---R   (157)
+--R   (5)
 --R           - x - 1
 --R     - log(-------) + 2atanh(x)
 --R            x - 1
@@ -4345,14 +4527,17 @@ d0040:= D(m0040,x)
 --R                                                    Type: Expression(Integer)
 --E 209
 
+)clear all
+ 
+
 --S 210 of 510
 t0041:= x*atanh(x)/(1-x^2)
 --R 
 --R
---R            x atanh(x)
---R   (158)  - ----------
---R               2
---R              x  - 1
+--R          x atanh(x)
+--R   (1)  - ----------
+--R             2
+--R            x  - 1
 --R                                                    Type: Expression(Integer)
 --E 210
 
@@ -4378,11 +4563,11 @@ r0041:= -1/2*atanh(x)^2+atanh(x)*log(2/(1-x))+1/2*polylog(2,1-2/(1-x))
 a0041:= integrate(t0041,x)
 --R 
 --R
---R             x
---I           ++    %P atanh(%P)
---I   (159)   |   - ------------ d%P
---R          ++          2
---I                    %P  - 1
+--R           x
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------ d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 212
 
@@ -4394,14 +4579,17 @@ a0041:= integrate(t0041,x)
 --d0041:= D(m0041,x)
 --E 214
 
+)clear all
+ 
+
 --S 215 of 510
 t0042:= x*atanh(x)/(1-x^2)^2
 --R 
 --R
---R           x atanh(x)
---R   (160)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 215
 
@@ -4409,11 +4597,11 @@ t0042:= x*atanh(x)/(1-x^2)^2
 r0042:= -1/4*(-x+atanh(x)+x^2*atanh(x))/(-1+x^2)
 --R 
 --R
---R              2
---R          (- x  - 1)atanh(x) + x
---R   (161)  ----------------------
---R                    2
---R                  4x  - 4
+--R            2
+--R        (- x  - 1)atanh(x) + x
+--R   (2)  ----------------------
+--R                  2
+--R                4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 216
 
@@ -4421,12 +4609,12 @@ r0042:= -1/4*(-x+atanh(x)+x^2*atanh(x))/(-1+x^2)
 a0042:= integrate(t0042,x)
 --R 
 --R
---R              2         - x - 1
---R          (- x  - 1)log(-------) + 2x
---R                         x - 1
---R   (162)  ---------------------------
---R                      2
---R                    8x  - 8
+--R            2         - x - 1
+--R        (- x  - 1)log(-------) + 2x
+--R                       x - 1
+--R   (3)  ---------------------------
+--R                    2
+--R                  8x  - 8
 --R                                         Type: Union(Expression(Integer),...)
 --E 217
 
@@ -4434,12 +4622,12 @@ a0042:= integrate(t0042,x)
 m0042:= a0042-r0042
 --R 
 --R
---R              2         - x - 1       2
---R          (- x  - 1)log(-------) + (2x  + 2)atanh(x)
---R                         x - 1
---R   (163)  ------------------------------------------
---R                              2
---R                            8x  - 8
+--R            2         - x - 1       2
+--R        (- x  - 1)log(-------) + (2x  + 2)atanh(x)
+--R                       x - 1
+--R   (4)  ------------------------------------------
+--R                            2
+--R                          8x  - 8
 --R                                                    Type: Expression(Integer)
 --E 218
 
@@ -4447,23 +4635,26 @@ m0042:= a0042-r0042
 d0042:= D(m0042,x)
 --R 
 --R
---R                - x - 1
---R          x log(-------) - 2x atanh(x)
---R                 x - 1
---R   (164)  ----------------------------
---R                    4     2
---R                  2x  - 4x  + 2
+--R              - x - 1
+--R        x log(-------) - 2x atanh(x)
+--R               x - 1
+--R   (5)  ----------------------------
+--R                  4     2
+--R                2x  - 4x  + 2
 --R                                                    Type: Expression(Integer)
 --E 219
 
+)clear all
+ 
+
 --S 220 of 510
 t0043:= x*atanh(x)/(1-x^2)^3
 --R 
 --R
---R                x atanh(x)
---R   (165)  - ------------------
---R             6     4     2
---R            x  - 3x  + 3x  - 1
+--R              x atanh(x)
+--R   (1)  - ------------------
+--R           6     4     2
+--R          x  - 3x  + 3x  - 1
 --R                                                    Type: Expression(Integer)
 --E 220
 
@@ -4471,11 +4662,11 @@ t0043:= x*atanh(x)/(1-x^2)^3
 r0043:= -1/32*(5*x-3*x^3-5*atanh(x)-6*x^2*atanh(x)+3*atanh(x)*x^4)/(-1+x^2)^2
 --R 
 --R
---R               4     2                  3
---R          (- 3x  + 6x  + 5)atanh(x) + 3x  - 5x
---R   (166)  ------------------------------------
---R                       4      2
---R                    32x  - 64x  + 32
+--R             4     2                  3
+--R        (- 3x  + 6x  + 5)atanh(x) + 3x  - 5x
+--R   (2)  ------------------------------------
+--R                     4      2
+--R                  32x  - 64x  + 32
 --R                                                    Type: Expression(Integer)
 --E 221
 
@@ -4483,12 +4674,12 @@ r0043:= -1/32*(5*x-3*x^3-5*atanh(x)-6*x^2*atanh(x)+3*atanh(x)*x^4)/(-1+x^2)^2
 a0043:= integrate(t0043,x)
 --R 
 --R
---R               4     2         - x - 1      3
---R          (- 3x  + 6x  + 5)log(-------) + 6x  - 10x
---R                                x - 1
---R   (167)  -----------------------------------------
---R                         4       2
---R                      64x  - 128x  + 64
+--R             4     2         - x - 1      3
+--R        (- 3x  + 6x  + 5)log(-------) + 6x  - 10x
+--R                              x - 1
+--R   (3)  -----------------------------------------
+--R                       4       2
+--R                    64x  - 128x  + 64
 --R                                         Type: Union(Expression(Integer),...)
 --E 222
 
@@ -4496,12 +4687,12 @@ a0043:= integrate(t0043,x)
 m0043:= a0043-r0043
 --R 
 --R
---R               4     2         - x - 1       4      2
---R          (- 3x  + 6x  + 5)log(-------) + (6x  - 12x  - 10)atanh(x)
---R                                x - 1
---R   (168)  ---------------------------------------------------------
---R                                 4       2
---R                              64x  - 128x  + 64
+--R             4     2         - x - 1       4      2
+--R        (- 3x  + 6x  + 5)log(-------) + (6x  - 12x  - 10)atanh(x)
+--R                              x - 1
+--R   (4)  ---------------------------------------------------------
+--R                               4       2
+--R                            64x  - 128x  + 64
 --R                                                    Type: Expression(Integer)
 --E 223
 
@@ -4509,24 +4700,27 @@ m0043:= a0043-r0043
 d0043:= D(m0043,x)
 --R 
 --R
---R                  - x - 1
---R          - x log(-------) + 2x atanh(x)
---R                   x - 1
---R   (169)  ------------------------------
---R                  6     4     2
---R                2x  - 6x  + 6x  - 2
+--R                - x - 1
+--R        - x log(-------) + 2x atanh(x)
+--R                 x - 1
+--R   (5)  ------------------------------
+--R                6     4     2
+--R              2x  - 6x  + 6x  - 2
 --R                                                    Type: Expression(Integer)
 --E 224
 
+)clear all
+ 
+
 --S 225 of 510
 t0044:= x^3*atanh(x)/(1-x^2)
 --R 
 --R
---R             3
---R            x atanh(x)
---R   (170)  - ----------
---R               2
---R              x  - 1
+--R           3
+--R          x atanh(x)
+--R   (1)  - ----------
+--R             2
+--R            x  - 1
 --R                                                    Type: Expression(Integer)
 --E 225
 
@@ -4553,11 +4747,11 @@ r0044:= -1/2*x+1/2*atanh(x)-1/2*x^2*atanh(x)-1/2*atanh(x)^2+_
 a0044:= integrate(t0044,x)
 --R 
 --R
---R             x     3
---I           ++    %P atanh(%P)
---I   (171)   |   - ------------ d%P
---R          ++          2
---I                    %P  - 1
+--R           x     3
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------ d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 227
 
@@ -4569,15 +4763,18 @@ a0044:= integrate(t0044,x)
 --d0044:= D(m0044,x)
 --E 229
 
+)clear all
+ 
+
 --S 230 of 510
 t0045:= x^2*atanh(x)/(1-x^2)
 --R 
 --R
+--R           2
+--R          x atanh(x)
+--R   (1)  - ----------
 --R             2
---R            x atanh(x)
---R   (172)  - ----------
---R               2
---R              x  - 1
+--R            x  - 1
 --R                                                    Type: Expression(Integer)
 --E 230
 
@@ -4585,10 +4782,10 @@ t0045:= x^2*atanh(x)/(1-x^2)
 r0045:= -x*atanh(x)+1/2*atanh(x)^2-1/2*log(1-x^2)
 --R 
 --R
---R                   2                2
---R          - log(- x  + 1) + atanh(x)  - 2x atanh(x)
---R   (173)  -----------------------------------------
---R                              2
+--R                 2                2
+--R        - log(- x  + 1) + atanh(x)  - 2x atanh(x)
+--R   (2)  -----------------------------------------
+--R                            2
 --R                                                    Type: Expression(Integer)
 --E 231
 
@@ -4596,11 +4793,11 @@ r0045:= -x*atanh(x)+1/2*atanh(x)^2-1/2*log(1-x^2)
 a0045:= integrate(t0045,x)
 --R 
 --R
---R                  2            - x - 1 2          - x - 1
---R          - 4log(x  - 1) + log(-------)  - 4x log(-------)
---R                                x - 1              x - 1
---R   (174)  ------------------------------------------------
---R                                  8
+--R                2            - x - 1 2          - x - 1
+--R        - 4log(x  - 1) + log(-------)  - 4x log(-------)
+--R                              x - 1              x - 1
+--R   (3)  ------------------------------------------------
+--R                                8
 --R                                         Type: Union(Expression(Integer),...)
 --E 232
 
@@ -4608,7 +4805,7 @@ a0045:= integrate(t0045,x)
 m0045:= a0045-r0045
 --R 
 --R
---R   (175)
+--R   (4)
 --R               2            - x - 1 2          - x - 1            2
 --R       - 4log(x  - 1) + log(-------)  - 4x log(-------) + 4log(- x  + 1)
 --R                             x - 1              x - 1
@@ -4624,23 +4821,26 @@ m0045:= a0045-r0045
 d0045:= D(m0045,x)
 --R 
 --R
---R             2    - x - 1      2
---R          - x log(-------) + 2x atanh(x)
---R                   x - 1
---R   (176)  ------------------------------
---R                        2
---R                      2x  - 2
+--R           2    - x - 1      2
+--R        - x log(-------) + 2x atanh(x)
+--R                 x - 1
+--R   (5)  ------------------------------
+--R                      2
+--R                    2x  - 2
 --R                                                    Type: Expression(Integer)
 --E 234
 
+)clear all
+ 
+
 --S 235 of 510
 t0046:= x*atanh(x)/(1-x^2)
 --R 
 --R
---R            x atanh(x)
---R   (177)  - ----------
---R               2
---R              x  - 1
+--R          x atanh(x)
+--R   (1)  - ----------
+--R             2
+--R            x  - 1
 --R                                                    Type: Expression(Integer)
 --E 235
 
@@ -4666,11 +4866,11 @@ r0046:= -1/2*atanh(x)^2+atanh(x)*log(2/(1-x))+1/2*polylog(2,1-2/(1-x))
 a0046:= integrate(t0046,x)
 --R 
 --R
---R             x
---I           ++    %P atanh(%P)
---I   (178)   |   - ------------ d%P
---R          ++          2
---I                    %P  - 1
+--R           x
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------ d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 237
 
@@ -4682,14 +4882,17 @@ a0046:= integrate(t0046,x)
 --d0046:= D(m0046,x)
 --E 239
 
+)clear all
+ 
+
 --S 240 of 510
 t0047:= atanh(x)/x/(1-x^2)
 --R 
 --R
---R            atanh(x)
---R   (179)  - --------
---R              3
---R             x  - x
+--R          atanh(x)
+--R   (1)  - --------
+--R            3
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 240
 
@@ -4715,11 +4918,11 @@ r0047:= -1/2*atanh(x)^2+atanh(x)*log(-2*x/(1-x))+1/2*polylog(2,-1+2/(1-x))
 a0047:= integrate(t0047,x)
 --R 
 --R
---R             x
---I           ++    atanh(%P)
---I   (180)   |   - --------- d%P
---R          ++        3
---I                  %P  - %P
+--R           x
+--I         ++    atanh(%T)
+--I   (2)   |   - --------- d%T
+--R        ++        3
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 242
 
@@ -4731,14 +4934,17 @@ a0047:= integrate(t0047,x)
 --d0047:= D(m0047,x)
 --E 244
 
+)clear all
+ 
+
 --S 245 of 510
 t0048:= atanh(x)/x^2/(1-x^2)
 --R 
 --R
---R            atanh(x)
---R   (181)  - --------
---R              4    2
---R             x  - x
+--R          atanh(x)
+--R   (1)  - --------
+--R            4    2
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 245
 
@@ -4746,13 +4952,13 @@ t0048:= atanh(x)/x^2/(1-x^2)
 r0048:= -atanh(x)/x+1/2*atanh(x)^2+log(x/(1-x^2)^(1/2))
 --R 
 --R
---R                      x                   2
---R          2x log(-----------) + x atanh(x)  - 2atanh(x)
---R                  +--------+
---R                  |   2
---R                 \|- x  + 1
---R   (182)  ---------------------------------------------
---R                                2x
+--R                    x                   2
+--R        2x log(-----------) + x atanh(x)  - 2atanh(x)
+--R                +--------+
+--R                |   2
+--R               \|- x  + 1
+--R   (2)  ---------------------------------------------
+--R                              2x
 --R                                                    Type: Expression(Integer)
 --E 246
 
@@ -4760,11 +4966,11 @@ r0048:= -atanh(x)/x+1/2*atanh(x)^2+log(x/(1-x^2)^(1/2))
 a0048:= integrate(t0048,x)
 --R 
 --R
---R                    2                          - x - 1 2        - x - 1
---R          - 4x log(x  - 1) + 8x log(x) + x log(-------)  - 4log(-------)
---R                                                x - 1            x - 1
---R   (183)  --------------------------------------------------------------
---R                                        8x
+--R                  2                          - x - 1 2        - x - 1
+--R        - 4x log(x  - 1) + 8x log(x) + x log(-------)  - 4log(-------)
+--R                                              x - 1            x - 1
+--R   (3)  --------------------------------------------------------------
+--R                                      8x
 --R                                         Type: Union(Expression(Integer),...)
 --E 247
 
@@ -4772,7 +4978,7 @@ a0048:= integrate(t0048,x)
 m0048:= a0048-r0048
 --R 
 --R
---R   (184)
+--R   (4)
 --R                     x                 2                          - x - 1 2
 --R       - 8x log(-----------) - 4x log(x  - 1) + 8x log(x) + x log(-------)
 --R                 +--------+                                        x - 1
@@ -4791,23 +4997,26 @@ m0048:= a0048-r0048
 d0048:= D(m0048,x)
 --R 
 --R
---R                - x - 1
---R          - log(-------) + 2atanh(x)
---R                 x - 1
---R   (185)  --------------------------
---R                     4     2
---R                   2x  - 2x
+--R              - x - 1
+--R        - log(-------) + 2atanh(x)
+--R               x - 1
+--R   (5)  --------------------------
+--R                   4     2
+--R                 2x  - 2x
 --R                                                    Type: Expression(Integer)
 --E 249
 
+)clear all
+ 
+
 --S 250 of 510
 t0049:= atanh(x)/x^3/(1-x^2)
 --R 
 --R
---R            atanh(x)
---R   (186)  - --------
---R              5    3
---R             x  - x
+--R          atanh(x)
+--R   (1)  - --------
+--R            5    3
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 250
 
@@ -4834,11 +5043,11 @@ r0049:= -1/2/x+1/2*atanh(x)-1/2*atanh(x)/x^2-1/2*atanh(x)^2+_
 a0049:= integrate(t0049,x)
 --R 
 --R
---R             x
---I           ++    atanh(%P)
---I   (187)   |   - --------- d%P
---R          ++       5     3
---I                 %P  - %P
+--R           x
+--I         ++    atanh(%T)
+--I   (2)   |   - --------- d%T
+--R        ++       5     3
+--I               %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 252
 
@@ -4850,15 +5059,18 @@ a0049:= integrate(t0049,x)
 --d0049:= D(m0049,x)
 --E 254
 
+)clear all
+ 
+
 --S 255 of 510
 t0050:= x^3*atanh(x)^2/(1-x^2)
 --R 
 --R
---R             3        2
---R            x atanh(x)
---R   (188)  - -----------
---R                2
---R               x  - 1
+--R           3        2
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 255
 
@@ -4887,11 +5099,11 @@ r0050:= -x*atanh(x)+1/2*atanh(x)^2-1/2*x^2*atanh(x)^2-_
 a0050:= integrate(t0050,x)
 --R 
 --R
---R             x     3         2
---I           ++    %P atanh(%P)
---I   (189)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x     3         2
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 257
 
@@ -4903,15 +5115,18 @@ a0050:= integrate(t0050,x)
 --d0050:= D(m0050,x)
 --E 259
 
+)clear all
+ 
+
 --S 260 of 510
 t0051:= x^2*atanh(x)^2/(1-x^2)
 --R 
 --R
---R             2        2
---R            x atanh(x)
---R   (190)  - -----------
---R                2
---R               x  - 1
+--R           2        2
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 260
 
@@ -4938,11 +5153,11 @@ r0051:= -atanh(x)^2-x*atanh(x)^2+1/3*atanh(x)^3+_
 a0051:= integrate(t0051,x)
 --R 
 --R
---R             x     2         2
---I           ++    %P atanh(%P)
---I   (191)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x     2         2
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 262
 
@@ -4954,15 +5169,18 @@ a0051:= integrate(t0051,x)
 --d0051:= D(m0051,x)
 --E 264
 
+)clear all
+ 
+
 --S 265 of 510
 t0052:= x*atanh(x)^2/(1-x^2)
 --R 
 --R
---R                      2
---R            x atanh(x)
---R   (192)  - -----------
---R                2
---R               x  - 1
+--R                    2
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 265
 
@@ -4989,11 +5207,11 @@ r0052:= -1/3*atanh(x)^3+atanh(x)^2*log(2/(1-x))+_
 a0052:= integrate(t0052,x)
 --R 
 --R
---R             x               2
---I           ++    %P atanh(%P)
---I   (193)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x               2
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 267
 
@@ -5005,15 +5223,18 @@ a0052:= integrate(t0052,x)
 --d0052:= D(m0052,x)
 --E 269
 
+)clear all
+ 
+
 --S 270 of 510
 t0053:= atanh(x)^2/x/(1-x^2)
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (194)  - ---------
---R               3
---R              x  - x
+--R                  2
+--R          atanh(x)
+--R   (1)  - ---------
+--R             3
+--R            x  - x
 --R                                                    Type: Expression(Integer)
 --E 270
 
@@ -5040,11 +5261,11 @@ r0053:= -1/3*atanh(x)^3+atanh(x)^2*log(-2*x/(1-x))+_
 a0053:= integrate(t0053,x)
 --R 
 --R
---R             x            2
---I           ++    atanh(%P)
---I   (195)   |   - ---------- d%P
---R          ++        3
---I                  %P  - %P
+--R           x            2
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        3
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 272
 
@@ -5056,15 +5277,18 @@ a0053:= integrate(t0053,x)
 --d0053:= D(m0053,x)
 --E 274
 
+)clear all
+ 
+
 --S 275 of 510
 t0054:= atanh(x)^2/x^2/(1-x^2)
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (196)  - ---------
---R              4    2
---R             x  - x
+--R                  2
+--R          atanh(x)
+--R   (1)  - ---------
+--R            4    2
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 275
 
@@ -5091,11 +5315,11 @@ r0054:= -atanh(x)^2-atanh(x)^2/x+1/3*atanh(x)^3+_
 a0054:= integrate(t0054,x)
 --R 
 --R
---R             x            2
---I           ++    atanh(%P)
---I   (197)   |   - ---------- d%P
---R          ++        4     2
---I                  %P  - %P
+--R           x            2
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        4     2
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 277
 
@@ -5107,15 +5331,18 @@ a0054:= integrate(t0054,x)
 --d0054:= D(m0054,x)
 --E 279
 
+)clear all
+ 
+
 --S 280 of 510
 t0055:= atanh(x)^2/x^3/(1-x^2)
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (198)  - ---------
---R              5    3
---R             x  - x
+--R                  2
+--R          atanh(x)
+--R   (1)  - ---------
+--R            5    3
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 280
 
@@ -5144,11 +5371,11 @@ r0055:= -atanh(x)/x+1/2*atanh(x)^2-1/2*atanh(x)^2/x^2-_
 a0055:= integrate(t0055,x)
 --R 
 --R
---R             x            2
---I           ++    atanh(%P)
---I   (199)   |   - ---------- d%P
---R          ++        5     3
---I                  %P  - %P
+--R           x            2
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        5     3
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 282
 
@@ -5160,15 +5387,18 @@ a0055:= integrate(t0055,x)
 --d0055:= D(m0055,x)
 --E 284
 
+)clear all
+ 
+
 --S 285 of 510
 t0056:= x^3*atanh(x)^3/(1-x^2)
 --R 
 --R
---R             3        3
---R            x atanh(x)
---R   (200)  - -----------
---R                2
---R               x  - 1
+--R           3        3
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 285
 
@@ -5198,11 +5428,11 @@ r0056:= -3/2*atanh(x)^2-3/2*x*atanh(x)^2+1/2*atanh(x)^3-_
 a0056:= integrate(t0056,x)
 --R 
 --R
---R             x     3         3
---I           ++    %P atanh(%P)
---I   (201)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x     3         3
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 287
 
@@ -5214,15 +5444,18 @@ a0056:= integrate(t0056,x)
 --d0056:= D(m0056,x)
 --E 289
 
+)clear all
+ 
+
 --S 290 of 510
 t0057:= x^2*atanh(x)^3/(1-x^2)
 --R 
 --R
---R             2        3
---R            x atanh(x)
---R   (202)  - -----------
---R                2
---R               x  - 1
+--R           2        3
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 290
 
@@ -5250,11 +5483,11 @@ r0057:= -atanh(x)^3-x*atanh(x)^3+1/4*atanh(x)^4+_
 a0057:= integrate(t0057,x)
 --R 
 --R
---R             x     2         3
---I           ++    %P atanh(%P)
---I   (203)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x     2         3
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 292
 
@@ -5266,15 +5499,18 @@ a0057:= integrate(t0057,x)
 --d0057:= D(m0057,x)
 --E 294
 
+)clear all
+ 
+
 --S 295 of 510
 t0058:= x*atanh(x)^3/(1-x^2)
 --R 
 --R
---R                      3
---R            x atanh(x)
---R   (204)  - -----------
---R                2
---R               x  - 1
+--R                    3
+--R          x atanh(x)
+--R   (1)  - -----------
+--R              2
+--R             x  - 1
 --R                                                    Type: Expression(Integer)
 --E 295
 
@@ -5302,11 +5538,11 @@ r0058:= -1/4*atanh(x)^4+atanh(x)^3*log(2)+atanh(x)^3*log(-1/(-1+x))+_
 a0058:= integrate(t0058,x)
 --R 
 --R
---R             x               3
---I           ++    %P atanh(%P)
---I   (205)   |   - ------------- d%P
---R          ++          2
---I                    %P  - 1
+--R           x               3
+--I         ++    %T atanh(%T)
+--I   (2)   |   - ------------- d%T
+--R        ++          2
+--I                  %T  - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 297
 
@@ -5318,15 +5554,18 @@ a0058:= integrate(t0058,x)
 --d0058:= D(m0058,x)
 --E 299
 
+)clear all
+ 
+
 --S 300 of 510
 t0059:= atanh(x)^3/x/(1-x^2)
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (206)  - ---------
---R               3
---R              x  - x
+--R                  3
+--R          atanh(x)
+--R   (1)  - ---------
+--R             3
+--R            x  - x
 --R                                                    Type: Expression(Integer)
 --E 300
 
@@ -5354,11 +5593,11 @@ r0059:= -1/4*atanh(x)^4+atanh(x)^3*log(-2*x/(1-x))+_
 a0059:= integrate(t0059,x)
 --R 
 --R
---R             x            3
---I           ++    atanh(%P)
---I   (207)   |   - ---------- d%P
---R          ++        3
---I                  %P  - %P
+--R           x            3
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        3
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 302
 
@@ -5370,15 +5609,18 @@ a0059:= integrate(t0059,x)
 --d0059:= D(m0059,x)
 --E 304
 
+)clear all
+ 
+
 --S 305 of 510
 t0060:= atanh(x)^3/x^2/(1-x^2)
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (208)  - ---------
---R              4    2
---R             x  - x
+--R                  3
+--R          atanh(x)
+--R   (1)  - ---------
+--R            4    2
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 305
 
@@ -5406,11 +5648,11 @@ r0060:= -atanh(x)^3-atanh(x)^3/x+1/4*atanh(x)^4+_
 a0060:= integrate(t0060,x)
 --R 
 --R
---R             x            3
---I           ++    atanh(%P)
---I   (209)   |   - ---------- d%P
---R          ++        4     2
---I                  %P  - %P
+--R           x            3
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        4     2
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 307
 
@@ -5422,15 +5664,18 @@ a0060:= integrate(t0060,x)
 --d0060:= D(m0060,x)
 --E 309
 
+)clear all
+ 
+
 --S 310 of 510
 t0061:= atanh(x)^3/x^3/(1-x^2)
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (210)  - ---------
---R              5    3
---R             x  - x
+--R                  3
+--R          atanh(x)
+--R   (1)  - ---------
+--R            5    3
+--R           x  - x
 --R                                                    Type: Expression(Integer)
 --E 310
 
@@ -5460,11 +5705,11 @@ r0061:= -3/2*atanh(x)^2-3/2*atanh(x)^2/x+1/2*atanh(x)^3-_
 a0061:= integrate(t0061,x)
 --R 
 --R
---R             x            3
---I           ++    atanh(%P)
---I   (211)   |   - ---------- d%P
---R          ++        5     3
---I                  %P  - %P
+--R           x            3
+--I         ++    atanh(%T)
+--I   (2)   |   - ---------- d%T
+--R        ++        5     3
+--I                %T  - %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 312
 
@@ -5476,15 +5721,18 @@ a0061:= integrate(t0061,x)
 --d0061:= D(m0061,x)
 --E 314
 
+)clear all
+ 
+
 --S 315 of 510
 t0062:= x^3*atanh(x)/(1-x^2)^2
 --R 
 --R
---R            3
---R           x atanh(x)
---R   (212)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          3
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 315
 
@@ -5511,11 +5759,11 @@ r0062:= 1/2*atanh(x)^2+1/4*atanh(x)*cosh(2*atanh(x))-_
 a0062:= integrate(t0062,x)
 --R 
 --R
---R             x    3
---I           ++   %P atanh(%P)
---I   (213)   |   -------------- d%P
---R          ++     4      2
---I               %P  - 2%P  + 1
+--R           x    3
+--I         ++   %T atanh(%T)
+--I   (2)   |   -------------- d%T
+--R        ++     4      2
+--I             %T  - 2%T  + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 317
 
@@ -5527,15 +5775,18 @@ a0062:= integrate(t0062,x)
 --d0062:= D(m0062,x)
 --E 319
 
+)clear all
+ 
+
 --S 320 of 510
 t0063:= x^2*atanh(x)/(1-x^2)^2
 --R 
 --R
---R            2
---R           x atanh(x)
---R   (214)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          2
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 320
 
@@ -5543,11 +5794,11 @@ t0063:= x^2*atanh(x)/(1-x^2)^2
 r0063:= -x^2/(4-4*x^2)+x*atanh(x)/(2-2*x^2)-1/4*atanh(x)^2
 --R 
 --R
---R              2             2                  2
---R          (- x  + 1)atanh(x)  - 2x atanh(x) + x
---R   (215)  --------------------------------------
---R                            2
---R                          4x  - 4
+--R            2             2                  2
+--R        (- x  + 1)atanh(x)  - 2x atanh(x) + x
+--R   (2)  --------------------------------------
+--R                          2
+--R                        4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 321
 
@@ -5555,12 +5806,12 @@ r0063:= -x^2/(4-4*x^2)+x*atanh(x)/(2-2*x^2)-1/4*atanh(x)^2
 a0063:= integrate(t0063,x)
 --R 
 --R
---R              2         - x - 1 2          - x - 1
---R          (- x  + 1)log(-------)  - 4x log(-------) + 4
---R                         x - 1              x - 1
---R   (216)  ---------------------------------------------
---R                               2
---R                            16x  - 16
+--R            2         - x - 1 2          - x - 1
+--R        (- x  + 1)log(-------)  - 4x log(-------) + 4
+--R                       x - 1              x - 1
+--R   (3)  ---------------------------------------------
+--R                             2
+--R                          16x  - 16
 --R                                         Type: Union(Expression(Integer),...)
 --E 322
 
@@ -5568,7 +5819,7 @@ a0063:= integrate(t0063,x)
 m0063:= a0063-r0063
 --R 
 --R
---R   (217)
+--R   (4)
 --R           2         - x - 1 2          - x - 1       2             2
 --R       (- x  + 1)log(-------)  - 4x log(-------) + (4x  - 4)atanh(x)
 --R                      x - 1              x - 1
@@ -5585,23 +5836,26 @@ m0063:= a0063-r0063
 d0063:= D(m0063,x)
 --R 
 --R
---R           2    - x - 1      2
---R          x log(-------) - 2x atanh(x)
---R                 x - 1
---R   (218)  ----------------------------
---R                    4     2
---R                  2x  - 4x  + 2
+--R         2    - x - 1      2
+--R        x log(-------) - 2x atanh(x)
+--R               x - 1
+--R   (5)  ----------------------------
+--R                  4     2
+--R                2x  - 4x  + 2
 --R                                                    Type: Expression(Integer)
 --E 324
 
+)clear all
+ 
+
 --S 325 of 510
 t0064:= x*atanh(x)/(1-x^2)^2
 --R 
 --R
---R           x atanh(x)
---R   (219)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 325
 
@@ -5609,11 +5863,11 @@ t0064:= x*atanh(x)/(1-x^2)^2
 r0064:= -1/4*(-x+atanh(x)+x^2*atanh(x))/(-1+x^2)
 --R 
 --R
---R              2
---R          (- x  - 1)atanh(x) + x
---R   (220)  ----------------------
---R                    2
---R                  4x  - 4
+--R            2
+--R        (- x  - 1)atanh(x) + x
+--R   (2)  ----------------------
+--R                  2
+--R                4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 326
 
@@ -5621,12 +5875,12 @@ r0064:= -1/4*(-x+atanh(x)+x^2*atanh(x))/(-1+x^2)
 a0064:= integrate(t0064,x)
 --R 
 --R
---R              2         - x - 1
---R          (- x  - 1)log(-------) + 2x
---R                         x - 1
---R   (221)  ---------------------------
---R                      2
---R                    8x  - 8
+--R            2         - x - 1
+--R        (- x  - 1)log(-------) + 2x
+--R                       x - 1
+--R   (3)  ---------------------------
+--R                    2
+--R                  8x  - 8
 --R                                         Type: Union(Expression(Integer),...)
 --E 327
 
@@ -5634,12 +5888,12 @@ a0064:= integrate(t0064,x)
 m0064:= a0064-r0064
 --R 
 --R
---R              2         - x - 1       2
---R          (- x  - 1)log(-------) + (2x  + 2)atanh(x)
---R                         x - 1
---R   (222)  ------------------------------------------
---R                              2
---R                            8x  - 8
+--R            2         - x - 1       2
+--R        (- x  - 1)log(-------) + (2x  + 2)atanh(x)
+--R                       x - 1
+--R   (4)  ------------------------------------------
+--R                            2
+--R                          8x  - 8
 --R                                                    Type: Expression(Integer)
 --E 328
 
@@ -5647,23 +5901,26 @@ m0064:= a0064-r0064
 d0064:= D(m0064,x)
 --R 
 --R
---R                - x - 1
---R          x log(-------) - 2x atanh(x)
---R                 x - 1
---R   (223)  ----------------------------
---R                    4     2
---R                  2x  - 4x  + 2
+--R              - x - 1
+--R        x log(-------) - 2x atanh(x)
+--R               x - 1
+--R   (5)  ----------------------------
+--R                  4     2
+--R                2x  - 4x  + 2
 --R                                                    Type: Expression(Integer)
 --E 329
 
+)clear all
+ 
+
 --S 330 of 510
 t0065:= atanh(x)/(1-x^2)^2
 --R 
 --R
---R            atanh(x)
---R   (224)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 330
 
@@ -5671,11 +5928,11 @@ t0065:= atanh(x)/(1-x^2)^2
 r0065:= 1/4*(1-2*x*atanh(x)-atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 --R 
 --R
---R            2             2
---R          (x  - 1)atanh(x)  - 2x atanh(x) + 1
---R   (225)  -----------------------------------
---R                          2
---R                        4x  - 4
+--R          2             2
+--R        (x  - 1)atanh(x)  - 2x atanh(x) + 1
+--R   (2)  -----------------------------------
+--R                        2
+--R                      4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 331
 
@@ -5683,12 +5940,12 @@ r0065:= 1/4*(1-2*x*atanh(x)-atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 a0065:= integrate(t0065,x)
 --R 
 --R
---R            2         - x - 1 2          - x - 1
---R          (x  - 1)log(-------)  - 4x log(-------) + 4
---R                       x - 1              x - 1
---R   (226)  -------------------------------------------
---R                              2
---R                           16x  - 16
+--R          2         - x - 1 2          - x - 1
+--R        (x  - 1)log(-------)  - 4x log(-------) + 4
+--R                     x - 1              x - 1
+--R   (3)  -------------------------------------------
+--R                            2
+--R                         16x  - 16
 --R                                         Type: Union(Expression(Integer),...)
 --E 332
 
@@ -5696,7 +5953,7 @@ a0065:= integrate(t0065,x)
 m0065:= a0065-r0065
 --R 
 --R
---R   (227)
+--R   (4)
 --R     2         - x - 1 2          - x - 1         2             2
 --R   (x  - 1)log(-------)  - 4x log(-------) + (- 4x  + 4)atanh(x)  + 8x atanh(x)
 --R                x - 1              x - 1
@@ -5710,23 +5967,26 @@ m0065:= a0065-r0065
 d0065:= D(m0065,x)
 --R 
 --R
---R              - x - 1
---R          log(-------) - 2atanh(x)
---R               x - 1
---R   (228)  ------------------------
---R                  4     2
---R                2x  - 4x  + 2
+--R            - x - 1
+--R        log(-------) - 2atanh(x)
+--R             x - 1
+--R   (5)  ------------------------
+--R                4     2
+--R              2x  - 4x  + 2
 --R                                                    Type: Expression(Integer)
 --E 334
 
+)clear all
+ 
+
 --S 335 of 510
 t0066:= atanh(x)/x/(1-x^2)^2
 --R 
 --R
---R            atanh(x)
---R   (229)  ------------
---R           5     3
---R          x  - 2x  + x
+--R          atanh(x)
+--R   (1)  ------------
+--R         5     3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 335
 
@@ -5753,11 +6013,11 @@ r0066:= -1/2*atanh(x)^2+1/4*atanh(x)*cosh(2*atanh(x))+_
 a0066:= integrate(t0066,x)
 --R 
 --R
---R             x
---I           ++     atanh(%P)
---I   (230)   |   --------------- d%P
---R          ++     5      3
---I               %P  - 2%P  + %P
+--R           x
+--I         ++     atanh(%T)
+--I   (2)   |   --------------- d%T
+--R        ++     5      3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 337
 
@@ -5769,14 +6029,17 @@ a0066:= integrate(t0066,x)
 --d0066:= D(m0066,x)
 --E 339
 
+)clear all
+ 
+
 --S 340 of 510
 t0067:= atanh(x)/x^2/(1-x^2)^2
 --R 
 --R
---R             atanh(x)
---R   (231)  -------------
---R           6     4    2
---R          x  - 2x  + x
+--R           atanh(x)
+--R   (1)  -------------
+--R         6     4    2
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 340
 
@@ -5785,7 +6048,7 @@ r0067:= -atanh(x)/x+3/4*atanh(x)^2-1/8*cosh(2*atanh(x))+_
         log(x/(1-x^2)^(1/2))+1/4*atanh(x)*sinh(2*atanh(x))
 --R 
 --R
---R   (232)
+--R   (2)
 --R                                                x
 --R       2x atanh(x)sinh(2atanh(x)) + 8x log(-----------) - x cosh(2atanh(x))
 --R                                            +--------+
@@ -5803,7 +6066,7 @@ r0067:= -atanh(x)/x+3/4*atanh(x)^2-1/8*cosh(2*atanh(x))+_
 a0067:= integrate(t0067,x)
 --R 
 --R
---R   (233)
+--R   (3)
 --R            3           2            3                   3          - x - 1 2
 --R       (- 8x  + 8x)log(x  - 1) + (16x  - 16x)log(x) + (3x  - 3x)log(-------)
 --R                                                                     x - 1
@@ -5821,7 +6084,7 @@ a0067:= integrate(t0067,x)
 m0067:= a0067-r0067
 --R 
 --R
---R   (234)
+--R   (4)
 --R            3                                      3                x
 --R       (- 4x  + 4x)atanh(x)sinh(2atanh(x)) + (- 16x  + 16x)log(-----------)
 --R                                                                +--------+
@@ -5847,7 +6110,7 @@ m0067:= a0067-r0067
 d0067:= D(m0067,x)
 --R 
 --R
---R   (235)
+--R   (5)
 --R     4    2                               - x - 1      4    2
 --R   (x  - x )atanh(x)cosh(2atanh(x)) + log(-------) + (x  + x  - 2)atanh(x)
 --R                                           x - 1
@@ -5857,14 +6120,17 @@ d0067:= D(m0067,x)
 --R                                                    Type: Expression(Integer)
 --E 344
 
+)clear all
+ 
+
 --S 345 of 510
 t0068:= atanh(x)/x^3/(1-x^2)^2
 --R 
 --R
---R             atanh(x)
---R   (236)  -------------
---R           7     5    3
---R          x  - 2x  + x
+--R           atanh(x)
+--R   (1)  -------------
+--R         7     5    3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 345
 
@@ -5892,11 +6158,11 @@ r0068:= -1/2/x-1/2*(1-x^2)*atanh(x)/x^2-atanh(x)^2+_
 a0068:= integrate(t0068,x)
 --R 
 --R
---R             x
---I           ++      atanh(%P)
---I   (237)   |   ---------------- d%P
---R          ++     7      5     3
---I               %P  - 2%P  + %P
+--R           x
+--I         ++      atanh(%T)
+--I   (2)   |   ---------------- d%T
+--R        ++     7      5     3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 347
 
@@ -5908,15 +6174,18 @@ a0068:= integrate(t0068,x)
 --d0068:= D(m0068,x)
 --E 349
 
+)clear all
+ 
+
 --S 350 of 510
 t0069:= x^3*atanh(x)^2/(1-x^2)^2
 --R 
 --R
---R            3        2
---R           x atanh(x)
---R   (238)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          3        2
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 350
 
@@ -5945,11 +6214,11 @@ r0069:= 1/3*atanh(x)^3+1/8*cosh(2*atanh(x))+_
 a0069:= integrate(t0069,x)
 --R 
 --R
---R             x    3         2
---I           ++   %P atanh(%P)
---I   (239)   |   -------------- d%P
---R          ++     4      2
---I               %P  - 2%P  + 1
+--R           x    3         2
+--I         ++   %T atanh(%T)
+--I   (2)   |   -------------- d%T
+--R        ++     4      2
+--I             %T  - 2%T  + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 352
 
@@ -5961,15 +6230,18 @@ a0069:= integrate(t0069,x)
 --d0069:= D(m0069,x)
 --E 354
 
+)clear all
+ 
+
 --S 355 of 510
 t0070:= x^2*atanh(x)^2/(1-x^2)^2
 --R 
 --R
---R            2        2
---R           x atanh(x)
---R   (240)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          2        2
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 355
 
@@ -5978,11 +6250,11 @@ r0070:= -1/12*(3*x-3*atanh(x)-3*x^2*atanh(x)+6*x*atanh(x)^2-_
         2*atanh(x)^3+2*x^2*atanh(x)^3)/(-1+x^2)
 --R 
 --R
---R               2             3              2      2
---R          (- 2x  + 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
---R   (241)  ------------------------------------------------------------
---R                                       2
---R                                    12x  - 12
+--R             2             3              2      2
+--R        (- 2x  + 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
+--R   (2)  ------------------------------------------------------------
+--R                                     2
+--R                                  12x  - 12
 --R                                                    Type: Expression(Integer)
 --E 356
 
@@ -5990,7 +6262,7 @@ r0070:= -1/12*(3*x-3*atanh(x)-3*x^2*atanh(x)+6*x*atanh(x)^2-_
 a0070:= integrate(t0070,x)
 --R 
 --R
---R   (242)
+--R   (3)
 --R       2         - x - 1 3          - x - 1 2      2         - x - 1
 --R   (- x  + 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------) - 12x
 --R                  x - 1              x - 1                    x - 1
@@ -6004,7 +6276,7 @@ a0070:= integrate(t0070,x)
 m0070:= a0070-r0070
 --R 
 --R
---R   (243)
+--R   (4)
 --R           2         - x - 1 3          - x - 1 2      2         - x - 1
 --R       (- x  + 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------)
 --R                      x - 1              x - 1                    x - 1
@@ -6021,24 +6293,27 @@ m0070:= a0070-r0070
 d0070:= D(m0070,x)
 --R 
 --R
---R           2    - x - 1 2     2        2
---R          x log(-------)  - 4x atanh(x)
---R                 x - 1
---R   (244)  ------------------------------
---R                     4     2
---R                   4x  - 8x  + 4
+--R         2    - x - 1 2     2        2
+--R        x log(-------)  - 4x atanh(x)
+--R               x - 1
+--R   (5)  ------------------------------
+--R                   4     2
+--R                 4x  - 8x  + 4
 --R                                                    Type: Expression(Integer)
 --E 359
 
+)clear all
+ 
+
 --S 360 of 510
 t0071:= x*atanh(x)^2/(1-x^2)^2
 --R 
 --R
---R                     2
---R           x atanh(x)
---R   (245)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R                   2
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 360
 
@@ -6046,11 +6321,11 @@ t0071:= x*atanh(x)^2/(1-x^2)^2
 r0071:= -1/4*(1-2*x*atanh(x)+atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 --R 
 --R
---R              2             2
---R          (- x  - 1)atanh(x)  + 2x atanh(x) - 1
---R   (246)  -------------------------------------
---R                           2
---R                         4x  - 4
+--R            2             2
+--R        (- x  - 1)atanh(x)  + 2x atanh(x) - 1
+--R   (2)  -------------------------------------
+--R                         2
+--R                       4x  - 4
 --R                                                    Type: Expression(Integer)
 --E 361
 
@@ -6058,12 +6333,12 @@ r0071:= -1/4*(1-2*x*atanh(x)+atanh(x)^2+x^2*atanh(x)^2)/(-1+x^2)
 a0071:= integrate(t0071,x)
 --R 
 --R
---R              2         - x - 1 2          - x - 1
---R          (- x  - 1)log(-------)  + 4x log(-------) - 4
---R                         x - 1              x - 1
---R   (247)  ---------------------------------------------
---R                               2
---R                            16x  - 16
+--R            2         - x - 1 2          - x - 1
+--R        (- x  - 1)log(-------)  + 4x log(-------) - 4
+--R                       x - 1              x - 1
+--R   (3)  ---------------------------------------------
+--R                             2
+--R                          16x  - 16
 --R                                         Type: Union(Expression(Integer),...)
 --E 362
 
@@ -6071,7 +6346,7 @@ a0071:= integrate(t0071,x)
 m0071:= a0071-r0071
 --R 
 --R
---R   (248)
+--R   (4)
 --R       2         - x - 1 2          - x - 1       2             2
 --R   (- x  - 1)log(-------)  + 4x log(-------) + (4x  + 4)atanh(x)  - 8x atanh(x)
 --R                  x - 1              x - 1
@@ -6085,24 +6360,27 @@ m0071:= a0071-r0071
 d0071:= D(m0071,x)
 --R 
 --R
---R                - x - 1 2              2
---R          x log(-------)  - 4x atanh(x)
---R                 x - 1
---R   (249)  ------------------------------
---R                     4     2
---R                   4x  - 8x  + 4
+--R              - x - 1 2              2
+--R        x log(-------)  - 4x atanh(x)
+--R               x - 1
+--R   (5)  ------------------------------
+--R                   4     2
+--R                 4x  - 8x  + 4
 --R                                                    Type: Expression(Integer)
 --E 364
 
+)clear all
+ 
+
 --S 365 of 510
 t0072:= atanh(x)^2/(1-x^2)^2
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (250)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R                  2
+--R          atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 365
 
@@ -6111,11 +6389,11 @@ r0072:= 1/12*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2-_
         2*atanh(x)^3+2*x^2*atanh(x)^3)/(-1+x^2)
 --R 
 --R
---R             2             3              2      2
---R          (2x  - 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
---R   (251)  ----------------------------------------------------------
---R                                      2
---R                                   12x  - 12
+--R           2             3              2      2
+--R        (2x  - 2)atanh(x)  - 6x atanh(x)  + (3x  + 3)atanh(x) - 3x
+--R   (2)  ----------------------------------------------------------
+--R                                    2
+--R                                 12x  - 12
 --R                                                    Type: Expression(Integer)
 --E 366
 
@@ -6123,13 +6401,12 @@ r0072:= 1/12*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2-_
 a0072:= integrate(t0072,x)
 --R 
 --R
---R   (252)
---R     2         - x - 1 3          - x - 1 2      2         - x - 1
---R   (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------) - 12x
---R                x - 1              x - 1                    x - 1
---R   ----------------------------------------------------------------------
---R                                     2
---R                                  48x  - 48
+--R          2         - x - 1 3          - x - 1 2      2         - x - 1
+--R        (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------) - 12x
+--R                     x - 1              x - 1                    x - 1
+--R   (3)  ----------------------------------------------------------------------
+--R                                          2
+--R                                       48x  - 48
 --R                                         Type: Union(Expression(Integer),...)
 --E 367
 
@@ -6137,7 +6414,7 @@ a0072:= integrate(t0072,x)
 m0072:= a0072-r0072
 --R 
 --R
---R   (253)
+--R   (4)
 --R         2         - x - 1 3          - x - 1 2      2         - x - 1
 --R       (x  - 1)log(-------)  - 6x log(-------)  + (6x  + 6)log(-------)
 --R                    x - 1              x - 1                    x - 1
@@ -6154,24 +6431,27 @@ m0072:= a0072-r0072
 d0072:= D(m0072,x)
 --R 
 --R
---R              - x - 1 2            2
---R          log(-------)  - 4atanh(x)
---R               x - 1
---R   (254)  --------------------------
---R                   4     2
---R                 4x  - 8x  + 4
+--R            - x - 1 2            2
+--R        log(-------)  - 4atanh(x)
+--R             x - 1
+--R   (5)  --------------------------
+--R                 4     2
+--R               4x  - 8x  + 4
 --R                                                    Type: Expression(Integer)
 --E 369
 
+)clear all
+ 
+
 --S 370 of 510
 t0073:= atanh(x)^2/x/(1-x^2)^2
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (255)  ------------
---R           5     3
---R          x  - 2x  + x
+--R                  2
+--R          atanh(x)
+--R   (1)  ------------
+--R         5     3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 370
 
@@ -6200,11 +6480,11 @@ r0073:= -1/3*atanh(x)^3+1/8*cosh(2*atanh(x))+_
 a0073:= integrate(t0073,x)
 --R 
 --R
---R             x             2
---I           ++     atanh(%P)
---I   (256)   |   --------------- d%P
---R          ++     5      3
---I               %P  - 2%P  + %P
+--R           x             2
+--I         ++     atanh(%T)
+--I   (2)   |   --------------- d%T
+--R        ++     5      3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 372
 
@@ -6216,15 +6496,18 @@ a0073:= integrate(t0073,x)
 --d0073:= D(m0073,x)
 --E 374
 
+)clear all
+ 
+
 --S 375 of 510
 t0074:= atanh(x)^2/x^2/(1-x^2)^2
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (257)  -------------
---R           6     4    2
---R          x  - 2x  + x
+--R                  2
+--R          atanh(x)
+--R   (1)  -------------
+--R         6     4    2
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 375
 
@@ -6253,11 +6536,11 @@ r0074:= -atanh(x)^2-atanh(x)^2/x+1/2*atanh(x)^3-_
 a0074:= integrate(t0074,x)
 --R 
 --R
---R             x             2
---I           ++     atanh(%P)
---I   (258)   |   ---------------- d%P
---R          ++     6      4     2
---I               %P  - 2%P  + %P
+--R           x             2
+--I         ++     atanh(%T)
+--I   (2)   |   ---------------- d%T
+--R        ++     6      4     2
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 377
 
@@ -6269,15 +6552,18 @@ a0074:= integrate(t0074,x)
 --d0074:= D(m0074,x)
 --E 379
 
+)clear all
+ 
+
 --S 380 of 510
 t0075:= atanh(x)^2/x^3/(1-x^2)^2
 --R 
 --R
---R                    2
---R            atanh(x)
---R   (259)  -------------
---R           7     5    3
---R          x  - 2x  + x
+--R                  2
+--R          atanh(x)
+--R   (1)  -------------
+--R         7     5    3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 380
 
@@ -6307,11 +6593,11 @@ r0075:= -atanh(x)/x-1/2*(1-x^2)*atanh(x)^2/x^2-2/3*atanh(x)^3+_
 a0075:= integrate(t0075,x)
 --R 
 --R
---R             x             2
---I           ++     atanh(%P)
---I   (260)   |   ---------------- d%P
---R          ++     7      5     3
---I               %P  - 2%P  + %P
+--R           x             2
+--I         ++     atanh(%T)
+--I   (2)   |   ---------------- d%T
+--R        ++     7      5     3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 382
 
@@ -6323,15 +6609,18 @@ a0075:= integrate(t0075,x)
 --d0075:= D(m0075,x)
 --E 384
 
+)clear all
+ 
+
 --S 385 of 510
 t0076:= x^3*atanh(x)^3/(1-x^2)^2
 --R 
 --R
---R            3        3
---R           x atanh(x)
---R   (261)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          3        3
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 385
 
@@ -6362,11 +6651,11 @@ r0076:= 1/4*atanh(x)^4+3/8*atanh(x)*cosh(2*atanh(x))+_
 a0076:= integrate(t0076,x)
 --R 
 --R
---R             x    3         3
---I           ++   %P atanh(%P)
---I   (262)   |   -------------- d%P
---R          ++     4      2
---I               %P  - 2%P  + 1
+--R           x    3         3
+--I         ++   %T atanh(%T)
+--I   (2)   |   -------------- d%T
+--R        ++     4      2
+--I             %T  - 2%T  + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 387
 
@@ -6378,15 +6667,18 @@ a0076:= integrate(t0076,x)
 --d0076:= D(m0076,x)
 --E 389
 
+)clear all
+ 
+
 --S 390 of 510
 t0077:= x^2*atanh(x)^3/(1-x^2)^2
 --R 
 --R
---R            2        3
---R           x atanh(x)
---R   (263)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R          2        3
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 390
 
@@ -6395,7 +6687,7 @@ r0077:= -1/8*(-3*x^2+6*x*atanh(x)-3*atanh(x)^2-3*x^2*atanh(x)^2+_
         4*x*atanh(x)^3-atanh(x)^4+atanh(x)^4*x^2)/(-1+x^2)
 --R 
 --R
---R   (264)
+--R   (2)
 --R       2             4              3      2             2                   2
 --R   (- x  + 1)atanh(x)  - 4x atanh(x)  + (3x  + 3)atanh(x)  - 6x atanh(x) + 3x
 --R   ---------------------------------------------------------------------------
@@ -6408,7 +6700,7 @@ r0077:= -1/8*(-3*x^2+6*x*atanh(x)-3*atanh(x)^2-3*x^2*atanh(x)^2+_
 a0077:= integrate(t0077,x)
 --R 
 --R
---R   (265)
+--R   (3)
 --R           2         - x - 1 4          - x - 1 3       2          - x - 1 2
 --R       (- x  + 1)log(-------)  - 8x log(-------)  + (12x  + 12)log(-------)
 --R                      x - 1              x - 1                      x - 1
@@ -6426,7 +6718,7 @@ a0077:= integrate(t0077,x)
 m0077:= a0077-r0077
 --R 
 --R
---R   (266)
+--R   (4)
 --R           2         - x - 1 4          - x - 1 3       2          - x - 1 2
 --R       (- x  + 1)log(-------)  - 8x log(-------)  + (12x  + 12)log(-------)
 --R                      x - 1              x - 1                      x - 1
@@ -6447,24 +6739,27 @@ m0077:= a0077-r0077
 d0077:= D(m0077,x)
 --R 
 --R
---R           2    - x - 1 3     2        3
---R          x log(-------)  - 8x atanh(x)
---R                 x - 1
---R   (267)  ------------------------------
---R                    4      2
---R                  8x  - 16x  + 8
+--R         2    - x - 1 3     2        3
+--R        x log(-------)  - 8x atanh(x)
+--R               x - 1
+--R   (5)  ------------------------------
+--R                  4      2
+--R                8x  - 16x  + 8
 --R                                                    Type: Expression(Integer)
 --E 394
 
+)clear all
+ 
+
 --S 395 of 510
 t0078:= x*atanh(x)^3/(1-x^2)^2
 --R 
 --R
---R                     3
---R           x atanh(x)
---R   (268)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R                   3
+--R         x atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 395
 
@@ -6473,11 +6768,11 @@ r0078:= -1/8*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2+2*atanh(x)^3+_
         2*x^2*atanh(x)^3)/(-1+x^2)
 --R 
 --R
---R               2             3              2        2
---R          (- 2x  - 2)atanh(x)  + 6x atanh(x)  + (- 3x  - 3)atanh(x) + 3x
---R   (269)  --------------------------------------------------------------
---R                                        2
---R                                      8x  - 8
+--R             2             3              2        2
+--R        (- 2x  - 2)atanh(x)  + 6x atanh(x)  + (- 3x  - 3)atanh(x) + 3x
+--R   (2)  --------------------------------------------------------------
+--R                                      2
+--R                                    8x  - 8
 --R                                                    Type: Expression(Integer)
 --E 396
 
@@ -6485,7 +6780,7 @@ r0078:= -1/8*(-3*x+3*atanh(x)+3*x^2*atanh(x)-6*x*atanh(x)^2+2*atanh(x)^3+_
 a0078:= integrate(t0078,x)
 --R 
 --R
---R   (270)
+--R   (3)
 --R       2         - x - 1 3          - x - 1 2        2         - x - 1
 --R   (- x  - 1)log(-------)  + 6x log(-------)  + (- 6x  - 6)log(-------) + 12x
 --R                  x - 1              x - 1                      x - 1
@@ -6499,7 +6794,7 @@ a0078:= integrate(t0078,x)
 m0078:= a0078-r0078
 --R 
 --R
---R   (271)
+--R   (4)
 --R           2         - x - 1 3          - x - 1 2        2         - x - 1
 --R       (- x  - 1)log(-------)  + 6x log(-------)  + (- 6x  - 6)log(-------)
 --R                      x - 1              x - 1                      x - 1
@@ -6516,24 +6811,27 @@ m0078:= a0078-r0078
 d0078:= D(m0078,x)
 --R 
 --R
---R                - x - 1 3              3
---R          x log(-------)  - 8x atanh(x)
---R                 x - 1
---R   (272)  ------------------------------
---R                    4      2
---R                  8x  - 16x  + 8
+--R              - x - 1 3              3
+--R        x log(-------)  - 8x atanh(x)
+--R               x - 1
+--R   (5)  ------------------------------
+--R                  4      2
+--R                8x  - 16x  + 8
 --R                                                    Type: Expression(Integer)
 --E 399
 
+)clear all
+ 
+
 --S 400 of 510
 t0079:= atanh(x)^3/(1-x^2)^2
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (273)  ------------
---R           4     2
---R          x  - 2x  + 1
+--R                  3
+--R          atanh(x)
+--R   (1)  ------------
+--R         4     2
+--R        x  - 2x  + 1
 --R                                                    Type: Expression(Integer)
 --E 400
 
@@ -6542,7 +6840,7 @@ r0079:= 1/8*(3-6*x*atanh(x)+3*atanh(x)^2+3*x^2*atanh(x)^2-_
         4*x*atanh(x)^3-atanh(x)^4+atanh(x)^4*x^2)/(-1+x^2)
 --R 
 --R
---R   (274)
+--R   (2)
 --R     2             4              3      2             2
 --R   (x  - 1)atanh(x)  - 4x atanh(x)  + (3x  + 3)atanh(x)  - 6x atanh(x) + 3
 --R   -----------------------------------------------------------------------
@@ -6555,7 +6853,7 @@ r0079:= 1/8*(3-6*x*atanh(x)+3*atanh(x)^2+3*x^2*atanh(x)^2-_
 a0079:= integrate(t0079,x)
 --R 
 --R
---R   (275)
+--R   (3)
 --R         2         - x - 1 4          - x - 1 3       2          - x - 1 2
 --R       (x  - 1)log(-------)  - 8x log(-------)  + (12x  + 12)log(-------)
 --R                    x - 1              x - 1                      x - 1
@@ -6573,7 +6871,7 @@ a0079:= integrate(t0079,x)
 m0079:= a0079-r0079
 --R 
 --R
---R   (276)
+--R   (4)
 --R         2         - x - 1 4          - x - 1 3       2          - x - 1 2
 --R       (x  - 1)log(-------)  - 8x log(-------)  + (12x  + 12)log(-------)
 --R                    x - 1              x - 1                      x - 1
@@ -6594,24 +6892,27 @@ m0079:= a0079-r0079
 d0079:= D(m0079,x)
 --R 
 --R
---R              - x - 1 3            3
---R          log(-------)  - 8atanh(x)
---R               x - 1
---R   (277)  --------------------------
---R                  4      2
---R                8x  - 16x  + 8
+--R            - x - 1 3            3
+--R        log(-------)  - 8atanh(x)
+--R             x - 1
+--R   (5)  --------------------------
+--R                4      2
+--R              8x  - 16x  + 8
 --R                                                    Type: Expression(Integer)
 --E 404
 
+)clear all
+ 
+
 --S 405 of 510
 t0080:= atanh(x)^3/x/(1-x^2)^2
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (278)  ------------
---R           5     3
---R          x  - 2x  + x
+--R                  3
+--R          atanh(x)
+--R   (1)  ------------
+--R         5     3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 405
 
@@ -6641,11 +6942,11 @@ r0080:= -1/4*atanh(x)^4+3/8*atanh(x)*cosh(2*atanh(x))+_
 a0080:= integrate(t0080,x)
 --R 
 --R
---R             x             3
---I           ++     atanh(%P)
---I   (279)   |   --------------- d%P
---R          ++     5      3
---I               %P  - 2%P  + %P
+--R           x             3
+--I         ++     atanh(%T)
+--I   (2)   |   --------------- d%T
+--R        ++     5      3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 407
 
@@ -6657,15 +6958,18 @@ a0080:= integrate(t0080,x)
 --d0080:= D(m0080,x)
 --E 409
 
+)clear all
+ 
+
 --S 410 of 510
 t0081:= atanh(x)^3/x^2/(1-x^2)^2
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (280)  -------------
---R           6     4    2
---R          x  - 2x  + x
+--R                  3
+--R          atanh(x)
+--R   (1)  -------------
+--R         6     4    2
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 410
 
@@ -6695,11 +6999,11 @@ r0081:= -atanh(x)^3-atanh(x)^3/x+3/8*atanh(x)^4-_
 a0081:= integrate(t0081,x)
 --R 
 --R
---R             x             3
---I           ++     atanh(%P)
---I   (281)   |   ---------------- d%P
---R          ++     6      4     2
---I               %P  - 2%P  + %P
+--R           x             3
+--I         ++     atanh(%T)
+--I   (2)   |   ---------------- d%T
+--R        ++     6      4     2
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 412
 
@@ -6711,15 +7015,18 @@ a0081:= integrate(t0081,x)
 --d0081:= D(m0081,x)
 --E 414
 
+)clear all
+ 
+
 --S 415 of 510
 t0082:= atanh(x)^3/x^3/(1-x^2)^2
 --R 
 --R
---R                    3
---R            atanh(x)
---R   (282)  -------------
---R           7     5    3
---R          x  - 2x  + x
+--R                  3
+--R          atanh(x)
+--R   (1)  -------------
+--R         7     5    3
+--R        x  - 2x  + x
 --R                                                    Type: Expression(Integer)
 --E 415
 
@@ -6752,11 +7059,11 @@ r0082:= -3/2*atanh(x)^2-3/2*atanh(x)^2/x-1/2*(1-x^2)*atanh(x)^3/x^2-_
 a0082:= integrate(t0082,x)
 --R 
 --R
---R             x             3
---I           ++     atanh(%P)
---I   (283)   |   ---------------- d%P
---R          ++     7      5     3
---I               %P  - 2%P  + %P
+--R           x             3
+--I         ++     atanh(%T)
+--I   (2)   |   ---------------- d%T
+--R        ++     7      5     3
+--I             %T  - 2%T  + %T
 --R                                         Type: Union(Expression(Integer),...)
 --E 417
 
@@ -6768,15 +7075,18 @@ a0082:= integrate(t0082,x)
 --d0082:= D(m0082,x)
 --E 419
 
+)clear all
+ 
+
 --S 420 of 510
 t0083:= x^2/(1-x^2)^2/atanh(x)
 --R 
 --R
---R                     2
---R                    x
---R   (284)  ----------------------
---R            4     2
---R          (x  - 2x  + 1)atanh(x)
+--R                   2
+--R                  x
+--R   (1)  ----------------------
+--R          4     2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 420
 
@@ -6801,11 +7111,11 @@ r0083:= 1/2*Chi(2*atanh(x))-1/2*log(atanh(x))
 a0083:= integrate(t0083,x)
 --R 
 --R
---R             x              2
---I           ++             %P
---I   (285)   |   ------------------------- d%P
---R          ++      4      2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x              2
+--I         ++             %T
+--I   (2)   |   ------------------------- d%T
+--R        ++      4      2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 422
 
@@ -6817,14 +7127,17 @@ a0083:= integrate(t0083,x)
 --d0083:= D(m0083,x)
 --E 424
 
+)clear all
+ 
+
 --S 425 of 510
 t0084:= x/(1-x^2)^2/atanh(x)
 --R 
 --R
---R                     x
---R   (286)  ----------------------
---R            4     2
---R          (x  - 2x  + 1)atanh(x)
+--R                   x
+--R   (1)  ----------------------
+--R          4     2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 425
 
@@ -6849,11 +7162,11 @@ r0084:= 1/2*Shi(2*atanh(x))
 a0084:= integrate(t0084,x)
 --R 
 --R
---R             x
---I           ++              %P
---I   (287)   |   ------------------------- d%P
---R          ++      4      2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--I         ++              %T
+--I   (2)   |   ------------------------- d%T
+--R        ++      4      2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 427
 
@@ -6865,14 +7178,17 @@ a0084:= integrate(t0084,x)
 --d0084:= D(m0084,x)
 --E 429
 
+)clear all
+ 
+
 --S 430 of 510
 t0085:= 1/(1-x^2)^2/atanh(x)
 --R 
 --R
---R                     1
---R   (288)  ----------------------
---R            4     2
---R          (x  - 2x  + 1)atanh(x)
+--R                   1
+--R   (1)  ----------------------
+--R          4     2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 430
 
@@ -6897,11 +7213,11 @@ r0085:= 1/2*Chi(2*atanh(x))+1/2*log(atanh(x))
 a0085:= integrate(t0085,x)
 --R 
 --R
---R             x
---R           ++              1
---I   (289)   |   ------------------------- d%P
---R          ++      4      2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--R         ++              1
+--I   (2)   |   ------------------------- d%T
+--R        ++      4      2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 432
 
@@ -6913,15 +7229,18 @@ a0085:= integrate(t0085,x)
 --d0085:= D(m0085,x)
 --E 434
 
+)clear all
+ 
+
 --S 435 of 510
 t0086:= x^2/(1-x^2)^2/atanh(x)^2
 --R 
 --R
---R                      2
---R                     x
---R   (290)  -----------------------
---R            4     2             2
---R          (x  - 2x  + 1)atanh(x)
+--R                    2
+--R                   x
+--R   (1)  -----------------------
+--R          4     2             2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 435
 
@@ -6946,11 +7265,11 @@ r0086:= -x^2/(1-x^2)/atanh(x)+Shi(2*atanh(x))
 a0086:= integrate(t0086,x)
 --R 
 --R
---R             x               2
---I           ++              %P
---I   (291)   |   -------------------------- d%P
---R          ++      4      2              2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x               2
+--I         ++              %T
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 437
 
@@ -6962,14 +7281,17 @@ a0086:= integrate(t0086,x)
 --d0086:= D(m0086,x)
 --E 439
 
+)clear all
+ 
+
 --S 440 of 510
 t0087:= x/(1-x^2)^2/atanh(x)^2
 --R 
 --R
---R                     x
---R   (292)  -----------------------
---R            4     2             2
---R          (x  - 2x  + 1)atanh(x)
+--R                   x
+--R   (1)  -----------------------
+--R          4     2             2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 440
 
@@ -6994,11 +7316,11 @@ r0087:= Chi(2*atanh(x))-1/2*sinh(2*atanh(x))/atanh(x)
 a0087:= integrate(t0087,x)
 --R 
 --R
---R             x
---I           ++              %P
---I   (293)   |   -------------------------- d%P
---R          ++      4      2              2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--I         ++              %T
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 442
 
@@ -7010,14 +7332,17 @@ a0087:= integrate(t0087,x)
 --d0087:= D(m0087,x)
 --E 444
 
+)clear all
+ 
+
 --S 445 of 510
 t0088:= 1/(1-x^2)^2/atanh(x)^2
 --R 
 --R
---R                     1
---R   (294)  -----------------------
---R            4     2             2
---R          (x  - 2x  + 1)atanh(x)
+--R                   1
+--R   (1)  -----------------------
+--R          4     2             2
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 445
 
@@ -7042,11 +7367,11 @@ r0088:= -1/(1-x^2)/atanh(x)+Shi(2*atanh(x))
 a0088:= integrate(t0088,x)
 --R 
 --R
---R             x
---R           ++               1
---I   (295)   |   -------------------------- d%P
---R          ++      4      2              2
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--R         ++               1
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              2
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 447
 
@@ -7058,15 +7383,18 @@ a0088:= integrate(t0088,x)
 --d0088:= D(m0088,x)
 --E 449
 
+)clear all
+ 
+
 --S 450 of 510
 t0089:= x^2/(1-x^2)^2/atanh(x)^3
 --R 
 --R
---R                      2
---R                     x
---R   (296)  -----------------------
---R            4     2             3
---R          (x  - 2x  + 1)atanh(x)
+--R                    2
+--R                   x
+--R   (1)  -----------------------
+--R          4     2             3
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 450
 
@@ -7091,11 +7419,11 @@ r0089:= -1/2*x^2/(1-x^2)/atanh(x)^2-x/(1-x^2)/atanh(x)+Chi(2*atanh(x))
 a0089:= integrate(t0089,x)
 --R 
 --R
---R             x               2
---I           ++              %P
---I   (297)   |   -------------------------- d%P
---R          ++      4      2              3
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x               2
+--I         ++              %T
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              3
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 452
 
@@ -7107,14 +7435,17 @@ a0089:= integrate(t0089,x)
 --d0089:= D(m0089,x)
 --E 454
 
+)clear all
+ 
+
 --S 455 of 510
 t0090:= x/(1-x^2)^2/atanh(x)^3
 --R 
 --R
---R                     x
---R   (298)  -----------------------
---R            4     2             3
---R          (x  - 2x  + 1)atanh(x)
+--R                   x
+--R   (1)  -----------------------
+--R          4     2             3
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 455
 
@@ -7140,11 +7471,11 @@ r0090:= -1/2*cosh(2*atanh(x))/atanh(x)-_
 a0090:= integrate(t0090,x)
 --R 
 --R
---R             x
---I           ++              %P
---I   (299)   |   -------------------------- d%P
---R          ++      4      2              3
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--I         ++              %T
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              3
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 457
 
@@ -7156,14 +7487,17 @@ a0090:= integrate(t0090,x)
 --d0090:= D(m0090,x)
 --E 459
 
+)clear all
+ 
+
 --S 460 of 510
 t0091:= 1/(1-x^2)^2/atanh(x)^3
 --R 
 --R
---R                     1
---R   (300)  -----------------------
---R            4     2             3
---R          (x  - 2x  + 1)atanh(x)
+--R                   1
+--R   (1)  -----------------------
+--R          4     2             3
+--R        (x  - 2x  + 1)atanh(x)
 --R                                                    Type: Expression(Integer)
 --E 460
 
@@ -7188,11 +7522,11 @@ r0091:= -1/2/(1-x^2)/atanh(x)^2-x/(1-x^2)/atanh(x)+Chi(2*atanh(x))
 a0091:= integrate(t0091,x)
 --R 
 --R
---R             x
---R           ++               1
---I   (301)   |   -------------------------- d%P
---R          ++      4      2              3
---I               (%P  - 2%P  + 1)atanh(%P)
+--R           x
+--R         ++               1
+--I   (2)   |   -------------------------- d%T
+--R        ++      4      2              3
+--I             (%T  - 2%T  + 1)atanh(%T)
 --R                                         Type: Union(Expression(Integer),...)
 --E 462
 
@@ -7204,15 +7538,18 @@ a0091:= integrate(t0091,x)
 --d0091:= D(m0091,x)
 --E 464
 
+)clear all
+ 
+
 --S 465 of 510
 t0092:= atanh(x)/(a+b*x^2)^(3/2)
 --R 
 --R
---R                 atanh(x)
---R   (302)  ---------------------
---R                     +--------+
---R              2      |   2
---R          (b x  + a)\|b x  + a
+--R               atanh(x)
+--R   (1)  ---------------------
+--R                   +--------+
+--R            2      |   2
+--R        (b x  + a)\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 465
 
@@ -7221,16 +7558,16 @@ r0092:= x*atanh(x)/a/(a+b*x^2)^(1/2)-_
         atanh((a+b*x^2)^(1/2)/(a+b)^(1/2))/a/(a+b)^(1/2)
 --R 
 --R
---R                              +--------+
---R             +--------+       |   2
---R             |   2           \|b x  + a                +-----+
---R          - \|b x  + a atanh(-----------) + x atanh(x)\|b + a
---R                                +-----+
---R                               \|b + a
---R   (303)  ----------------------------------------------------
---R                                    +--------+
---R                            +-----+ |   2
---R                          a\|b + a \|b x  + a
+--R                            +--------+
+--R           +--------+       |   2
+--R           |   2           \|b x  + a                +-----+
+--R        - \|b x  + a atanh(-----------) + x atanh(x)\|b + a
+--R                              +-----+
+--R                             \|b + a
+--R   (2)  ----------------------------------------------------
+--R                                  +--------+
+--R                          +-----+ |   2
+--R                        a\|b + a \|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 466
 
@@ -7238,7 +7575,7 @@ r0092:= x*atanh(x)/a/(a+b*x^2)^(1/2)-_
 a0092:= integrate(t0092,x)
 --R 
 --R
---R   (304)
+--R   (3)
 --R   [
 --R                 +--------+
 --R             +-+ |   2           2
@@ -7308,7 +7645,7 @@ a0092:= integrate(t0092,x)
 m0092a:= a0092.1-r0092
 --R 
 --R
---R   (305)
+--R   (4)
 --R                     +--------+
 --R              2      |   2              2      +-+
 --R         ((b x  + a)\|b x  + a  + (- b x  - a)\|a )
@@ -7366,13 +7703,13 @@ m0092a:= a0092.1-r0092
 d0092a:= D(m0092a,x)
 --R 
 --R
---R              - x - 1
---R          log(-------) - 2atanh(x)
---R               x - 1
---R   (306)  ------------------------
---R                        +--------+
---R                2       |   2
---R           (2b x  + 2a)\|b x  + a
+--R            - x - 1
+--R        log(-------) - 2atanh(x)
+--R             x - 1
+--R   (5)  ------------------------
+--R                      +--------+
+--R              2       |   2
+--R         (2b x  + 2a)\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 469
 
@@ -7380,7 +7717,7 @@ d0092a:= D(m0092a,x)
 m0092b:= a0092.2-r0092
 --R 
 --R
---R   (307)
+--R   (6)
 --R                                 +--------+
 --R               2       +-------+ |   2               2       +-------+ +-+
 --R         ((2b x  + 2a)\|- b - a \|b x  + a  + (- 2b x  - 2a)\|- b - a \|a )
@@ -7425,25 +7762,28 @@ m0092b:= a0092.2-r0092
 d0092b:= D(m0092b,x)
 --R 
 --R
---R              - x - 1
---R          log(-------) - 2atanh(x)
---R               x - 1
---R   (308)  ------------------------
---R                        +--------+
---R                2       |   2
---R           (2b x  + 2a)\|b x  + a
+--R            - x - 1
+--R        log(-------) - 2atanh(x)
+--R             x - 1
+--R   (7)  ------------------------
+--R                      +--------+
+--R              2       |   2
+--R         (2b x  + 2a)\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 471
 
+)clear all
+ 
+
 --S 472 of 510
 t0093:= atanh(x)/(a+b*x^2)^(5/2)
 --R 
 --R
---R                      atanh(x)
---R   (309)  --------------------------------
---R                                +--------+
---R            2 4         2    2  |   2
---R          (b x  + 2a b x  + a )\|b x  + a
+--R                    atanh(x)
+--R   (1)  --------------------------------
+--R                              +--------+
+--R          2 4         2    2  |   2
+--R        (b x  + 2a b x  + a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 472
 
@@ -7453,7 +7793,7 @@ r0093:= 1/3/a/(a+b)/(a+b*x^2)^(1/2)+_
         1/3*(3*a+2*b)*atanh((a+b*x^2)^(1/2)/(a+b)^(1/2))/a^2/(a+b)^(3/2)
 --R 
 --R
---R   (310)
+--R   (2)
 --R                                                        +--------+
 --R                                       +--------+       |   2
 --R             2         2            2  |   2           \|b x  + a
@@ -7474,7 +7814,7 @@ r0093:= 1/3/a/(a+b)/(a+b*x^2)^(1/2)+_
 a0093:= integrate(t0093,x)
 --R 
 --R
---R   (311)
+--R   (3)
 --R   [
 --R                    4        3  6         3      2 2  4       2 2      3   2
 --R                 (8b  + 12a b )x  + (32a b  + 48a b )x  + (40a b  + 60a b)x
@@ -7654,7 +7994,7 @@ a0093:= integrate(t0093,x)
 m0093a:= a0093.1-r0093
 --R 
 --R
---R   (312)
+--R   (4)
 --R                  4       3  6         3      2 2  4       2 2      3   2
 --R               (2b  + 3a b )x  + (18a b  + 27a b )x  + (32a b  + 48a b)x
 --R             + 
@@ -7793,13 +8133,13 @@ m0093a:= a0093.1-r0093
 d0093a:= D(m0093a,x)
 --R 
 --R
---R                   - x - 1
---R               log(-------) - 2atanh(x)
---R                    x - 1
---R   (313)  ----------------------------------
---R                                  +--------+
---R             2 4         2     2  |   2
---R          (2b x  + 4a b x  + 2a )\|b x  + a
+--R                 - x - 1
+--R             log(-------) - 2atanh(x)
+--R                  x - 1
+--R   (5)  ----------------------------------
+--R                                +--------+
+--R           2 4         2     2  |   2
+--R        (2b x  + 4a b x  + 2a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 476
 
@@ -7807,7 +8147,7 @@ d0093a:= D(m0093a,x)
 m0093b:= a0093.2-r0093
 --R 
 --R
---R   (314)
+--R   (6)
 --R                  4       3  6         3      2 2  4       2 2      3   2
 --R               (4b  + 6a b )x  + (36a b  + 54a b )x  + (64a b  + 96a b)x
 --R             + 
@@ -7926,25 +8266,28 @@ m0093b:= a0093.2-r0093
 d0093b:= D(m0093b,x)
 --R 
 --R
---R                   - x - 1
---R               log(-------) - 2atanh(x)
---R                    x - 1
---R   (315)  ----------------------------------
---R                                  +--------+
---R             2 4         2     2  |   2
---R          (2b x  + 4a b x  + 2a )\|b x  + a
+--R                 - x - 1
+--R             log(-------) - 2atanh(x)
+--R                  x - 1
+--R   (7)  ----------------------------------
+--R                                +--------+
+--R           2 4         2     2  |   2
+--R        (2b x  + 4a b x  + 2a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 478
 
+)clear all
+ 
+
 --S 479 of 510
 t0094:= atanh(x)/(a+b*x^2)^(7/2)
 --R 
 --R
---R                           atanh(x)
---R   (316)  ------------------------------------------
---R                                          +--------+
---R            3 6       2 4     2   2    3  |   2
---R          (b x  + 3a b x  + 3a b x  + a )\|b x  + a
+--R                         atanh(x)
+--R   (1)  ------------------------------------------
+--R                                        +--------+
+--R          3 6       2 4     2   2    3  |   2
+--R        (b x  + 3a b x  + 3a b x  + a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 479
 
@@ -7956,7 +8299,7 @@ r0094:= 1/15/a/(a+b)/(a+b*x^2)^(3/2)+_
         atanh((a+b*x^2)^(1/2)/(a+b)^(1/2))/a^3/(a+b)^(5/2)
 --R 
 --R
---R   (317)
+--R   (2)
 --R                4        3      2 2  4           3      2 2      3   2     2 2
 --R           (- 8b  - 20a b  - 15a b )x  + (- 16a b  - 40a b  - 30a b)x  - 8a b
 --R         + 
@@ -8000,7 +8343,7 @@ r0094:= 1/15/a/(a+b)/(a+b*x^2)^(3/2)+_
 a0094:= integrate(t0094,x)
 --R 
 --R
---R   (318)
+--R   (3)
 --R   [
 --R                     8         7       2 6  12
 --R                 (64b  + 160a b  + 120a b )x
@@ -8381,7 +8724,7 @@ a0094:= integrate(t0094,x)
 m0094a:= a0094.1-r0094
 --R 
 --R
---R   (319)
+--R   (4)
 --R                  8        7      2 6  12          7       2 6       3 5  10
 --R               (8b  + 20a b  + 15a b )x   + (272a b  + 680a b  + 510a b )x
 --R             + 
@@ -8654,13 +8997,13 @@ m0094a:= a0094.1-r0094
 d0094a:= D(m0094a,x)
 --R 
 --R
---R                        - x - 1
---R                    log(-------) - 2atanh(x)
---R                         x - 1
---R   (320)  --------------------------------------------
---R                                            +--------+
---R             3 6       2 4     2   2     3  |   2
---R          (2b x  + 6a b x  + 6a b x  + 2a )\|b x  + a
+--R                      - x - 1
+--R                  log(-------) - 2atanh(x)
+--R                       x - 1
+--R   (5)  --------------------------------------------
+--R                                          +--------+
+--R           3 6       2 4     2   2     3  |   2
+--R        (2b x  + 6a b x  + 6a b x  + 2a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 483
 
@@ -8668,7 +9011,7 @@ d0094a:= D(m0094a,x)
 m0094b:= a0094.2-r0094
 --R 
 --R
---R   (321)
+--R   (6)
 --R                   8        7      2 6  12          7        2 6        3 5  10
 --R               (16b  + 40a b  + 30a b )x   + (544a b  + 1360a b  + 1020a b )x
 --R             + 
@@ -8924,23 +9267,26 @@ m0094b:= a0094.2-r0094
 d0094b:= D(m0094b,x)
 --R 
 --R
---R                        - x - 1
---R                    log(-------) - 2atanh(x)
---R                         x - 1
---R   (322)  --------------------------------------------
---R                                            +--------+
---R             3 6       2 4     2   2     3  |   2
---R          (2b x  + 6a b x  + 6a b x  + 2a )\|b x  + a
+--R                      - x - 1
+--R                  log(-------) - 2atanh(x)
+--R                       x - 1
+--R   (7)  --------------------------------------------
+--R                                          +--------+
+--R           3 6       2 4     2   2     3  |   2
+--R        (2b x  + 6a b x  + 6a b x  + 2a )\|b x  + a
 --R                                                    Type: Expression(Integer)
 --E 485
 
+)clear all
+ 
+
 --S 486 of 510
 t0095:= atanh(x)*(a-a*x^2)^(1/2)
 --R 
 --R
---R                   +----------+
---R                   |     2
---R   (323)  atanh(x)\|- a x  + a
+--R                 +----------+
+--R                 |     2
+--R   (1)  atanh(x)\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 486
 
@@ -8968,10 +9314,10 @@ r0095:= 1/2/(1-x^2)^(1/2)*(a*(1-x^2))^(1/2)*((1-x^2)^(1/2)+_
 a0095:= integrate(t0095,x)
 --R 
 --R
---R             x           +------------+
---R           ++            |     2
---I   (324)   |   atanh(%P)\|(- %P  + 1)a d%P
---R          ++
+--R           x           +------------+
+--R         ++            |     2
+--I   (2)   |   atanh(%T)\|(- %T  + 1)a d%T
+--R        ++
 --R                                         Type: Union(Expression(Integer),...)
 --E 488
 
@@ -8983,15 +9329,18 @@ a0095:= integrate(t0095,x)
 --d0095:= D(m0095,x)
 --E 490
 
+)clear all
+ 
+
 --S 491 of 510
 t0096:= atanh(x)/(a-a*x^2)^(1/2)
 --R 
 --R
---R             atanh(x)
---R   (325)  -------------
---R           +----------+
---R           |     2
---R          \|- a x  + a
+--R           atanh(x)
+--R   (1)  -------------
+--R         +----------+
+--R         |     2
+--R        \|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 491
 
@@ -9019,12 +9368,12 @@ r0096:= (1-x^2)^(1/2)*(2*atan(exp(1)^atanh(x))*atanh(x)-_
 a0096:= integrate(t0096,x)
 --R 
 --R
---R             x
---I           ++     atanh(%P)
---I   (326)   |   --------------- d%P
---R          ++    +------------+
---R                |     2
---I               \|(- %P  + 1)a
+--R           x
+--I         ++     atanh(%T)
+--I   (2)   |   --------------- d%T
+--R        ++    +------------+
+--R              |     2
+--I             \|(- %T  + 1)a
 --R                                         Type: Union(Expression(Integer),...)
 --E 493
 
@@ -9036,15 +9385,18 @@ a0096:= integrate(t0096,x)
 --d0096:= D(m0096,x)
 --E 495
 
+)clear all
+ 
+
 --S 496 of 510
 t0097:= atanh(x)/(a-a*x^2)^(3/2)
 --R 
 --R
---R                    atanh(x)
---R   (327)  - -----------------------
---R                       +----------+
---R                2      |     2
---R            (a x  - a)\|- a x  + a
+--R                  atanh(x)
+--R   (1)  - -----------------------
+--R                     +----------+
+--R              2      |     2
+--R          (a x  - a)\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 496
 
@@ -9052,11 +9404,11 @@ t0097:= atanh(x)/(a-a*x^2)^(3/2)
 r0097:= (x*atanh(x)-1)/(-a*(-1+x^2))^(1/2)/a
 --R 
 --R
---R          x atanh(x) - 1
---R   (328)  --------------
---R            +----------+
---R            |     2
---R          a\|- a x  + a
+--R        x atanh(x) - 1
+--R   (2)  --------------
+--R          +----------+
+--R          |     2
+--R        a\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 497
 
@@ -9064,14 +9416,14 @@ r0097:= (x*atanh(x)-1)/(-a*(-1+x^2))^(1/2)/a
 a0097:= integrate(t0097,x)
 --R 
 --R
---R                                                      +----------+
---R                 - x - 1      2  +-+         - x - 1  |     2
---R          (x log(-------) - 2x )\|a  - x log(-------)\|- a x  + a
---R                  x - 1                       x - 1
---R   (329)  --------------------------------------------------------
---R                         +----------+
---R                         |     2      +-+     2 2     2
---R                      2a\|- a x  + a \|a  + 2a x  - 2a
+--R                                                    +----------+
+--R               - x - 1      2  +-+         - x - 1  |     2
+--R        (x log(-------) - 2x )\|a  - x log(-------)\|- a x  + a
+--R                x - 1                       x - 1
+--R   (3)  --------------------------------------------------------
+--R                       +----------+
+--R                       |     2      +-+     2 2     2
+--R                    2a\|- a x  + a \|a  + 2a x  - 2a
 --R                                         Type: Union(Expression(Integer),...)
 --E 498
 
@@ -9079,7 +9431,7 @@ a0097:= integrate(t0097,x)
 m0097:= a0097-r0097
 --R 
 --R
---R   (330)
+--R   (4)
 --R                                                  +----------+
 --R                - x - 1                    2      |     2      +-+
 --R       (- x log(-------) + 2x atanh(x) + 2x  - 2)\|- a x  + a \|a
@@ -9099,25 +9451,28 @@ m0097:= a0097-r0097
 d0097:= D(m0097,x)
 --R 
 --R
---R                - x - 1
---R          - log(-------) + 2atanh(x)
---R                 x - 1
---R   (331)  --------------------------
---R                        +----------+
---R                2       |     2
---R           (2a x  - 2a)\|- a x  + a
+--R              - x - 1
+--R        - log(-------) + 2atanh(x)
+--R               x - 1
+--R   (5)  --------------------------
+--R                      +----------+
+--R              2       |     2
+--R         (2a x  - 2a)\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 500
 
+)clear all
+ 
+
 --S 501 of 510
 t0098:= atanh(x)/(a-a*x^2)^(5/2)
 --R 
 --R
---R                      atanh(x)
---R   (332)  --------------------------------
---R                              +----------+
---R            2 4     2 2    2  |     2
---R          (a x  - 2a x  + a )\|- a x  + a
+--R                    atanh(x)
+--R   (1)  --------------------------------
+--R                            +----------+
+--R          2 4     2 2    2  |     2
+--R        (a x  - 2a x  + a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 501
 
@@ -9126,12 +9481,12 @@ r0098:= 1/9*(7-6*x^2-9*x*atanh(x)+_
         6*atanh(x)*x^3)/(-1+x^2)/(-a*(-1+x^2))^(1/2)/a^2
 --R 
 --R
---R             3                   2
---R          (6x  - 9x)atanh(x) - 6x  + 7
---R   (333)  ----------------------------
---R                         +----------+
---R              2 2     2  |     2
---R           (9a x  - 9a )\|- a x  + a
+--R           3                   2
+--R        (6x  - 9x)atanh(x) - 6x  + 7
+--R   (2)  ----------------------------
+--R                       +----------+
+--R            2 2     2  |     2
+--R         (9a x  - 9a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 502
 
@@ -9139,7 +9494,7 @@ r0098:= 1/9*(7-6*x^2-9*x*atanh(x)+_
 a0098:= integrate(t0098,x)
 --R 
 --R
---R   (334)
+--R   (3)
 --R            5      3           - x - 1       6      4      2  +-+
 --R       ((18x  - 51x  + 36x)log(-------) - 14x  + 48x  - 36x )\|a
 --R                                x - 1
@@ -9162,7 +9517,7 @@ a0098:= integrate(t0098,x)
 m0098:= a0098-r0098
 --R 
 --R
---R   (335)
+--R   (4)
 --R                 5      3           - x - 1        5       3
 --R           (- 18x  + 51x  - 36x)log(-------) + (36x  - 102x  + 72x)atanh(x)
 --R                                     x - 1
@@ -9196,25 +9551,28 @@ m0098:= a0098-r0098
 d0098:= D(m0098,x)
 --R 
 --R
---R                   - x - 1
---R               log(-------) - 2atanh(x)
---R                    x - 1
---R   (336)  ----------------------------------
---R                                +----------+
---R             2 4     2 2     2  |     2
---R          (2a x  - 4a x  + 2a )\|- a x  + a
+--R                 - x - 1
+--R             log(-------) - 2atanh(x)
+--R                  x - 1
+--R   (5)  ----------------------------------
+--R                              +----------+
+--R           2 4     2 2     2  |     2
+--R        (2a x  - 4a x  + 2a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 505
 
+)clear all
+ 
+
 --S 506 of 510
 t0099:= atanh(x)/(a-a*x^2)^(7/2)
 --R 
 --R
---R                            atanh(x)
---R   (337)  - ----------------------------------------
---R                                        +----------+
---R              3 6     3 4     3 2    3  |     2
---R            (a x  - 3a x  + 3a x  - a )\|- a x  + a
+--R                          atanh(x)
+--R   (1)  - ----------------------------------------
+--R                                      +----------+
+--R            3 6     3 4     3 2    3  |     2
+--R          (a x  - 3a x  + 3a x  - a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 506
 
@@ -9223,12 +9581,12 @@ r0099:= 1/225*(-149-120*x^4+260*x^2+225*x*atanh(x)+120*x^5*atanh(x)-_
         300*atanh(x)*x^3)/(-1+x^2)^2/(-a*(-1+x^2))^(1/2)/a^3
 --R 
 --R
---R               5       3                       4       2
---R          (120x  - 300x  + 225x)atanh(x) - 120x  + 260x  - 149
---R   (338)  ----------------------------------------------------
---R                                            +----------+
---R                     3 4       3 2       3  |     2
---R                (225a x  - 450a x  + 225a )\|- a x  + a
+--R             5       3                       4       2
+--R        (120x  - 300x  + 225x)atanh(x) - 120x  + 260x  - 149
+--R   (2)  ----------------------------------------------------
+--R                                          +----------+
+--R                   3 4       3 2       3  |     2
+--R              (225a x  - 450a x  + 225a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 507
 
@@ -9236,7 +9594,7 @@ r0099:= 1/225*(-149-120*x^4+260*x^2+225*x*atanh(x)+120*x^5*atanh(x)-_
 a0099:= integrate(t0099,x)
 --R 
 --R
---R   (339)
+--R   (3)
 --R                9        7        5        3             - x - 1        10
 --R           (600x  - 3900x  + 9045x  - 9300x  + 3600x)log(-------) - 298x
 --R                                                          x - 1
@@ -9271,7 +9629,7 @@ a0099:= integrate(t0099,x)
 m0099:= a0099-r0099
 --R 
 --R
---R   (340)
+--R   (4)
 --R                  9        7        5        3             - x - 1
 --R           (- 600x  + 3900x  - 9045x  + 9300x  - 3600x)log(-------)
 --R                                                            x - 1
@@ -9317,17 +9675,18 @@ m0099:= a0099-r0099
 d0099:= D(m0099,x)
 --R 
 --R
---R                        - x - 1
---R                  - log(-------) + 2atanh(x)
---R                         x - 1
---R   (341)  ------------------------------------------
---R                                        +----------+
---R             3 6     3 4     3 2     3  |     2
---R          (2a x  - 6a x  + 6a x  - 2a )\|- a x  + a
+--R                      - x - 1
+--R                - log(-------) + 2atanh(x)
+--R                       x - 1
+--R   (5)  ------------------------------------------
+--R                                      +----------+
+--R           3 6     3 4     3 2     3  |     2
+--R        (2a x  - 6a x  + 6a x  - 2a )\|- a x  + a
 --R                                                    Type: Expression(Integer)
 --E 510
 
 )spool
+ 
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/richlog300-391.input.pamphlet b/src/input/richlog300-391.input.pamphlet
index c30a8bb..3b4aeb4 100644
--- a/src/input/richlog300-391.input.pamphlet
+++ b/src/input/richlog300-391.input.pamphlet
@@ -14,6 +14,7 @@
 )set break resume
 )sys rm -f richlog300-391.output
 )spool richlog300-391.output
+)set message test on
 )set message auto off
 )clear all
 
@@ -39,6 +40,7 @@ r0300:= 2/3*EllipticF(1/2*a+1/2*b*log(c*x^n),2)/b/n+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -69,6 +71,8 @@ a0300:= integrate(t0300,x)
 --d0300:= D(m0300,x)
 --E 5
 
+)clear all
+ 
 --S 6 of 460
 t0301:= sec(a+b*log(c*x^n))^(1/2)/x
 --R 
@@ -76,7 +80,7 @@ t0301:= sec(a+b*log(c*x^n))^(1/2)/x
 --R         +--------------------+
 --R         |             n
 --R        \|sec(b log(c x ) + a)
---R   (3)  -----------------------
+--R   (1)  -----------------------
 --R                   x
 --R                                                    Type: Expression(Integer)
 --E 6
@@ -91,6 +95,7 @@ r0301:= 2*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+1/2*b*log(c*x^n),2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -107,7 +112,7 @@ a0301:= integrate(t0301,x)
 --R              +---------------------+
 --R           x  |              n
 --R         ++  \|sec(b log(c %R ) + a)
---R   (4)   |   ------------------------ d%R
+--R   (2)   |   ------------------------ d%R
 --R        ++              %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 8
@@ -120,6 +125,8 @@ a0301:= integrate(t0301,x)
 --d0301:= D(m0301,x)
 --E 10
 
+)clear all
+ 
 --S 11 of 460
 t0302:= sec(a+b*log(c*x^n))^(3/2)/x
 --R 
@@ -127,7 +134,7 @@ t0302:= sec(a+b*log(c*x^n))^(3/2)/x
 --R                             +--------------------+
 --R                     n       |             n
 --R        sec(b log(c x ) + a)\|sec(b log(c x ) + a)
---R   (5)  -------------------------------------------
+--R   (1)  -------------------------------------------
 --R                             x
 --R                                                    Type: Expression(Integer)
 --E 11
@@ -143,6 +150,7 @@ r0302:= -2*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+1/2*b*log(c*x^n),2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -159,7 +167,7 @@ a0302:= integrate(t0302,x)
 --R                                   +---------------------+
 --R           x               n       |              n
 --R         ++  sec(b log(c %R ) + a)\|sec(b log(c %R ) + a)
---R   (6)   |   --------------------------------------------- d%R
+--R   (2)   |   --------------------------------------------- d%R
 --R        ++                         %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 13
@@ -172,6 +180,8 @@ a0302:= integrate(t0302,x)
 --d0302:= D(m0302,x)
 --E 15
 
+)clear all
+ 
 --S 16 of 460
 t0303:= sec(a+b*log(c*x^n))^(5/2)/x
 --R 
@@ -179,7 +189,7 @@ t0303:= sec(a+b*log(c*x^n))^(5/2)/x
 --R                              +--------------------+
 --R                     n      2 |             n
 --R        sec(b log(c x ) + a) \|sec(b log(c x ) + a)
---R   (7)  --------------------------------------------
+--R   (1)  --------------------------------------------
 --R                              x
 --R                                                    Type: Expression(Integer)
 --E 16
@@ -195,6 +205,7 @@ r0303:= 2/3*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+1/2*b*log(c*x^n),2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -211,7 +222,7 @@ a0303:= integrate(t0303,x)
 --R                                    +---------------------+
 --R           x               n      2 |              n
 --R         ++  sec(b log(c %R ) + a) \|sec(b log(c %R ) + a)
---R   (8)   |   ---------------------------------------------- d%R
+--R   (2)   |   ---------------------------------------------- d%R
 --R        ++                         %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 18
@@ -224,12 +235,14 @@ a0303:= integrate(t0303,x)
 --d0303:= D(m0303,x)
 --E 20
 
+)clear all
+ 
 --S 21 of 460
 t0304:= 1/x/sec(a+b*log(c*x^n))^(1/2)
 --R 
 --R
 --R                    1
---R   (9)  ------------------------
+--R   (1)  ------------------------
 --R          +--------------------+
 --R          |             n
 --R        x\|sec(b log(c x ) + a)
@@ -246,6 +259,7 @@ r0304:= 2*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+1/2*b*log(c*x^n),2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -259,12 +273,12 @@ r0304:= 2*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+1/2*b*log(c*x^n),2)*_
 a0304:= integrate(t0304,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (10)   |   -------------------------- d%R
---R         ++      +---------------------+
---R                 |              n
---R              %R\|sec(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   -------------------------- d%R
+--R        ++      +---------------------+
+--R                |              n
+--R             %R\|sec(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 23
 
@@ -276,15 +290,17 @@ a0304:= integrate(t0304,x)
 --d0304:= D(m0304,x)
 --E 25
 
+)clear all
+ 
 --S 26 of 460
 t0305:= 1/x/sec(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                               1
---R   (11)  ---------------------------------------------
---R                                +--------------------+
---R                        n       |             n
---R         x sec(b log(c x ) + a)\|sec(b log(c x ) + a)
+--R                              1
+--R   (1)  ---------------------------------------------
+--R                               +--------------------+
+--R                       n       |             n
+--R        x sec(b log(c x ) + a)\|sec(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 26
 
@@ -299,6 +315,7 @@ r0305:= 2/3*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -312,12 +329,12 @@ r0305:= 2/3*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+_
 a0305:= integrate(t0305,x)
 --R 
 --R
---R            x
---R          ++                          1
---R   (12)   |   ------------------------------------------------ d%R
---R         ++                            +---------------------+
---R                               n       |              n
---R              %R sec(b log(c %R ) + a)\|sec(b log(c %R ) + a)
+--R           x
+--R         ++                          1
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                            +---------------------+
+--R                              n       |              n
+--R             %R sec(b log(c %R ) + a)\|sec(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 28
 
@@ -329,15 +346,17 @@ a0305:= integrate(t0305,x)
 --d0305:= D(m0305,x)
 --E 30
 
+)clear all
+ 
 --S 31 of 460
 t0306:= 1/x/sec(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                1
---R   (13)  ----------------------------------------------
---R                                 +--------------------+
---R                        n      2 |             n
---R         x sec(b log(c x ) + a) \|sec(b log(c x ) + a)
+--R                               1
+--R   (1)  ----------------------------------------------
+--R                                +--------------------+
+--R                       n      2 |             n
+--R        x sec(b log(c x ) + a) \|sec(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 31
 
@@ -352,6 +371,7 @@ r0306:= 6/5*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -365,12 +385,12 @@ r0306:= 6/5*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+_
 a0306:= integrate(t0306,x)
 --R 
 --R
---R            x
---R          ++                          1
---R   (14)   |   ------------------------------------------------- d%R
---R         ++                             +---------------------+
---R                               n      2 |              n
---R              %R sec(b log(c %R ) + a) \|sec(b log(c %R ) + a)
+--R           x
+--R         ++                          1
+--R   (2)   |   ------------------------------------------------- d%R
+--R        ++                             +---------------------+
+--R                              n      2 |              n
+--R             %R sec(b log(c %R ) + a) \|sec(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 33
 
@@ -382,15 +402,17 @@ a0306:= integrate(t0306,x)
 --d0306:= D(m0306,x)
 --E 35
 
+)clear all
+ 
 --S 36 of 460
 t0307:= csc(a+b*log(c*x^n))^(1/2)/x
 --R 
 --R
---R          +--------------------+
---R          |             n
---R         \|csc(b log(c x ) + a)
---R   (15)  -----------------------
---R                    x
+--R         +--------------------+
+--R         |             n
+--R        \|csc(b log(c x ) + a)
+--R   (1)  -----------------------
+--R                   x
 --R                                                    Type: Expression(Integer)
 --E 36
 
@@ -404,6 +426,7 @@ r0307:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a-1/4*%pi+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -417,11 +440,11 @@ r0307:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a-1/4*%pi+_
 a0307:= integrate(t0307,x)
 --R 
 --R
---R               +---------------------+
---R            x  |              n
---R          ++  \|csc(b log(c %R ) + a)
---R   (16)   |   ------------------------ d%R
---R         ++              %R
+--R              +---------------------+
+--R           x  |              n
+--R         ++  \|csc(b log(c %R ) + a)
+--R   (2)   |   ------------------------ d%R
+--R        ++              %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 38
 
@@ -433,15 +456,17 @@ a0307:= integrate(t0307,x)
 --d0307:= D(m0307,x)
 --E 40
 
+)clear all
+ 
 --S 41 of 460
 t0308:= csc(a+b*log(c*x^n))^(3/2)/x
 --R 
 --R
---R                              +--------------------+
---R                      n       |             n
---R         csc(b log(c x ) + a)\|csc(b log(c x ) + a)
---R   (17)  -------------------------------------------
---R                              x
+--R                             +--------------------+
+--R                     n       |             n
+--R        csc(b log(c x ) + a)\|csc(b log(c x ) + a)
+--R   (1)  -------------------------------------------
+--R                             x
 --R                                                    Type: Expression(Integer)
 --E 41
 
@@ -456,6 +481,7 @@ r0308:= -2*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(1/2)/b/n-_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -469,11 +495,11 @@ r0308:= -2*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(1/2)/b/n-_
 a0308:= integrate(t0308,x)
 --R 
 --R
---R                                    +---------------------+
---R            x               n       |              n
---R          ++  csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
---R   (18)   |   --------------------------------------------- d%R
---R         ++                         %R
+--R                                   +---------------------+
+--R           x               n       |              n
+--R         ++  csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
+--R   (2)   |   --------------------------------------------- d%R
+--R        ++                         %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 43
 
@@ -485,15 +511,17 @@ a0308:= integrate(t0308,x)
 --d0308:= D(m0308,x)
 --E 45
 
+)clear all
+ 
 --S 46 of 460
 t0309:= csc(a+b*log(c*x^n))^(5/2)/x
 --R 
 --R
---R                               +--------------------+
---R                      n      2 |             n
---R         csc(b log(c x ) + a) \|csc(b log(c x ) + a)
---R   (19)  --------------------------------------------
---R                               x
+--R                              +--------------------+
+--R                     n      2 |             n
+--R        csc(b log(c x ) + a) \|csc(b log(c x ) + a)
+--R   (1)  --------------------------------------------
+--R                              x
 --R                                                    Type: Expression(Integer)
 --E 46
 
@@ -508,6 +536,7 @@ r0309:= -2/3*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(3/2)/b/n+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -521,11 +550,11 @@ r0309:= -2/3*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(3/2)/b/n+_
 a0309:= integrate(t0309,x)
 --R 
 --R
---R                                     +---------------------+
---R            x               n      2 |              n
---R          ++  csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
---R   (20)   |   ---------------------------------------------- d%R
---R         ++                         %R
+--R                                    +---------------------+
+--R           x               n      2 |              n
+--R         ++  csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
+--R   (2)   |   ---------------------------------------------- d%R
+--R        ++                         %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 48
 
@@ -537,15 +566,17 @@ a0309:= integrate(t0309,x)
 --d0309:= D(m0309,x)
 --E 50
 
+)clear all
+ 
 --S 51 of 460
 t0310:= 1/x/csc(a+b*log(c*x^n))^(1/2)
 --R 
 --R
---R                     1
---R   (21)  ------------------------
---R           +--------------------+
---R           |             n
---R         x\|csc(b log(c x ) + a)
+--R                    1
+--R   (1)  ------------------------
+--R          +--------------------+
+--R          |             n
+--R        x\|csc(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 51
 
@@ -559,6 +590,7 @@ r0310:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a-1/4*%pi+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -572,12 +604,12 @@ r0310:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a-1/4*%pi+_
 a0310:= integrate(t0310,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (22)   |   -------------------------- d%R
---R         ++      +---------------------+
---R                 |              n
---R              %R\|csc(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   -------------------------- d%R
+--R        ++      +---------------------+
+--R                |              n
+--R             %R\|csc(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 53
 
@@ -589,15 +621,17 @@ a0310:= integrate(t0310,x)
 --d0310:= D(m0310,x)
 --E 55
 
+)clear all
+ 
 --S 56 of 460
 t0311:= 1/x/csc(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                               1
---R   (23)  ---------------------------------------------
---R                                +--------------------+
---R                        n       |             n
---R         x csc(b log(c x ) + a)\|csc(b log(c x ) + a)
+--R                              1
+--R   (1)  ---------------------------------------------
+--R                               +--------------------+
+--R                       n       |             n
+--R        x csc(b log(c x ) + a)\|csc(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 56
 
@@ -612,6 +646,7 @@ r0311:= -2/3*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(1/2)+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                             Expression(Integer)
@@ -625,12 +660,12 @@ r0311:= -2/3*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(1/2)+_
 a0311:= integrate(t0311,x)
 --R 
 --R
---R            x
---R          ++                          1
---R   (24)   |   ------------------------------------------------ d%R
---R         ++                            +---------------------+
---R                               n       |              n
---R              %R csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
+--R           x
+--R         ++                          1
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                            +---------------------+
+--R                              n       |              n
+--R             %R csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 58
 
@@ -642,15 +677,17 @@ a0311:= integrate(t0311,x)
 --d0311:= D(m0311,x)
 --E 60
 
+)clear all
+ 
 --S 61 of 460
 t0312:= 1/x/csc(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                1
---R   (25)  ----------------------------------------------
---R                                 +--------------------+
---R                        n      2 |             n
---R         x csc(b log(c x ) + a) \|csc(b log(c x ) + a)
+--R                               1
+--R   (1)  ----------------------------------------------
+--R                                +--------------------+
+--R                       n      2 |             n
+--R        x csc(b log(c x ) + a) \|csc(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 61
 
@@ -665,6 +702,7 @@ r0312:= -2/5*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(3/2)+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                             Expression(Integer)
@@ -678,12 +716,12 @@ r0312:= -2/5*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(3/2)+_
 a0312:= integrate(t0312,x)
 --R 
 --R
---R            x
---R          ++                          1
---R   (26)   |   ------------------------------------------------- d%R
---R         ++                             +---------------------+
---R                               n      2 |              n
---R              %R csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
+--R           x
+--R         ++                          1
+--R   (2)   |   ------------------------------------------------- d%R
+--R        ++                             +---------------------+
+--R                              n      2 |              n
+--R             %R csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 63
 
@@ -695,11 +733,13 @@ a0312:= integrate(t0312,x)
 --d0312:= D(m0312,x)
 --E 65
 
+)clear all
+ 
 --S 66 of 460
 t0313:= sin(log(a+b*x))
 --R 
 --R
---R   (27)  sin(log(b x + a))
+--R   (1)  sin(log(b x + a))
 --R                                                    Type: Expression(Integer)
 --E 66
 
@@ -707,9 +747,9 @@ t0313:= sin(log(a+b*x))
 r0313:= -1/2*(a+b*x)*(cos(log(a+b*x))-sin(log(a+b*x)))/b
 --R 
 --R
---R         (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
---R   (28)  ---------------------------------------------------------
---R                                     2b
+--R        (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
+--R   (2)  ---------------------------------------------------------
+--R                                    2b
 --R                                                    Type: Expression(Integer)
 --E 67
 
@@ -717,9 +757,9 @@ r0313:= -1/2*(a+b*x)*(cos(log(a+b*x))-sin(log(a+b*x)))/b
 a0313:= integrate(t0313,x)
 --R 
 --R
---R         (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
---R   (29)  ---------------------------------------------------------
---R                                     2b
+--R        (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
+--R   (3)  ---------------------------------------------------------
+--R                                    2b
 --R                                         Type: Union(Expression(Integer),...)
 --E 68
 
@@ -727,7 +767,7 @@ a0313:= integrate(t0313,x)
 m0313:= a0313-r0313
 --R 
 --R
---R   (30)  0
+--R   (4)  0
 --R                                                    Type: Expression(Integer)
 --E 69
 
@@ -735,18 +775,20 @@ m0313:= a0313-r0313
 d0313:= D(m0313,x)
 --R 
 --R
---R   (31)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 70
 
+)clear all
+ 
 --S 71 of 460
 t0314:= tanh(a+b*log(c*x^n))^2/x
 --R 
 --R
---R                       n      2
---R         tanh(b log(c x ) + a)
---R   (32)  ----------------------
---R                    x
+--R                      n      2
+--R        tanh(b log(c x ) + a)
+--R   (1)  ----------------------
+--R                   x
 --R                                                    Type: Expression(Integer)
 --E 71
 
@@ -754,10 +796,10 @@ t0314:= tanh(a+b*log(c*x^n))^2/x
 r0314:= 1/b/n*(b*log(c*x^n)-tanh(a+b*log(c*x^n)))
 --R 
 --R
---R                         n                  n
---R         - tanh(b log(c x ) + a) + b log(c x )
---R   (33)  -------------------------------------
---R                          b n
+--R                        n                  n
+--R        - tanh(b log(c x ) + a) + b log(c x )
+--R   (2)  -------------------------------------
+--R                         b n
 --R                                                    Type: Expression(Integer)
 --E 72
 
@@ -765,7 +807,7 @@ r0314:= 1/b/n*(b*log(c*x^n)-tanh(a+b*log(c*x^n)))
 a0314:= integrate(t0314,x)
 --R 
 --R
---R   (34)
+--R   (3)
 --R       - sinh(b n log(x) + b log(c) + a)
 --R     + 
 --R       (b n log(x) + 1)cosh(b n log(x) + b log(c) + a)
@@ -778,7 +820,7 @@ a0314:= integrate(t0314,x)
 m0314:= a0314-r0314
 --R 
 --R
---R   (35)
+--R   (4)
 --R                                                    n
 --R       cosh(b n log(x) + b log(c) + a)tanh(b log(c x ) + a)
 --R     + 
@@ -797,7 +839,7 @@ m0314:= a0314-r0314
 d0314:= D(m0314,x)
 --R 
 --R
---R   (36)
+--R   (5)
 --R            n - 1                               2              n      2
 --R       - x x     cosh(b n log(x) + b log(c) + a) tanh(b log(c x ) + a)
 --R     + 
@@ -809,14 +851,16 @@ d0314:= D(m0314,x)
 --R                                                    Type: Expression(Integer)
 --E 75
 
+)clear all
+ 
 --S 76 of 460
 t0315:= coth(a+b*log(c*x^n))^2/x
 --R 
 --R
---R                       n      2
---R         coth(b log(c x ) + a)
---R   (37)  ----------------------
---R                    x
+--R                      n      2
+--R        coth(b log(c x ) + a)
+--R   (1)  ----------------------
+--R                   x
 --R                                                    Type: Expression(Integer)
 --E 76
 
@@ -824,10 +868,10 @@ t0315:= coth(a+b*log(c*x^n))^2/x
 r0315:= -1/b/n*(coth(a+b*log(c*x^n))-b*log(c*x^n))
 --R 
 --R
---R                         n                  n
---R         - coth(b log(c x ) + a) + b log(c x )
---R   (38)  -------------------------------------
---R                          b n
+--R                        n                  n
+--R        - coth(b log(c x ) + a) + b log(c x )
+--R   (2)  -------------------------------------
+--R                         b n
 --R                                                    Type: Expression(Integer)
 --E 77
 
@@ -835,7 +879,7 @@ r0315:= -1/b/n*(coth(a+b*log(c*x^n))-b*log(c*x^n))
 a0315:= integrate(t0315,x)
 --R 
 --R
---R   (39)
+--R   (3)
 --R       (b n log(x) + 1)sinh(b n log(x) + b log(c) + a)
 --R     + 
 --R       - cosh(b n log(x) + b log(c) + a)
@@ -848,7 +892,7 @@ a0315:= integrate(t0315,x)
 m0315:= a0315-r0315
 --R 
 --R
---R   (40)
+--R   (4)
 --R                                                    n
 --R       sinh(b n log(x) + b log(c) + a)coth(b log(c x ) + a)
 --R     + 
@@ -865,7 +909,7 @@ m0315:= a0315-r0315
 d0315:= D(m0315,x)
 --R 
 --R
---R   (41)
+--R   (5)
 --R            n - 1                               2              n      2
 --R       - x x     sinh(b n log(x) + b log(c) + a) coth(b log(c x ) + a)
 --R     + 
@@ -877,15 +921,17 @@ d0315:= D(m0315,x)
 --R                                                    Type: Expression(Integer)
 --E 80
 
+)clear all
+ 
 --S 81 of 460
 t0316:= sinh(a+b*log(c*x^n))^(1/2)/x
 --R 
 --R
---R          +---------------------+
---R          |              n
---R         \|sinh(b log(c x ) + a)
---R   (42)  ------------------------
---R                     x
+--R         +---------------------+
+--R         |              n
+--R        \|sinh(b log(c x ) + a)
+--R   (1)  ------------------------
+--R                    x
 --R                                                    Type: Expression(Integer)
 --E 81
 
@@ -899,6 +945,7 @@ r0316:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -912,11 +959,11 @@ r0316:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 a0316:= integrate(t0316,x)
 --R 
 --R
---R               +----------------------+
---R            x  |               n
---R          ++  \|sinh(b log(c %R ) + a)
---R   (43)   |   ------------------------- d%R
---R         ++               %R
+--R              +----------------------+
+--R           x  |               n
+--R         ++  \|sinh(b log(c %R ) + a)
+--R   (2)   |   ------------------------- d%R
+--R        ++               %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 83
 
@@ -928,15 +975,17 @@ a0316:= integrate(t0316,x)
 --d0316:= D(m0316,x)
 --E 85
 
+)clear all
+ 
 --S 86 of 460
 t0317:= sinh(a+b*log(c*x^n))^(3/2)/x
 --R 
 --R
---R                               +---------------------+
---R                       n       |              n
---R         sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
---R   (44)  ---------------------------------------------
---R                               x
+--R                              +---------------------+
+--R                      n       |              n
+--R        sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
+--R   (1)  ---------------------------------------------
+--R                              x
 --R                                                    Type: Expression(Integer)
 --E 86
 
@@ -951,6 +1000,7 @@ r0317:= 2/3*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -964,11 +1014,11 @@ r0317:= 2/3*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 a0317:= integrate(t0317,x)
 --R 
 --R
---R                                     +----------------------+
---R            x                n       |               n
---R          ++  sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
---R   (45)   |   ----------------------------------------------- d%R
---R         ++                          %R
+--R                                    +----------------------+
+--R           x                n       |               n
+--R         ++  sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
+--R   (2)   |   ----------------------------------------------- d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 88
 
@@ -980,15 +1030,17 @@ a0317:= integrate(t0317,x)
 --d0317:= D(m0317,x)
 --E 90
 
+)clear all
+ 
 --S 91 of 460
 t0318:= sinh(a+b*log(c*x^n))^(5/2)/x
 --R 
 --R
---R                                +---------------------+
---R                       n      2 |              n
---R         sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
---R   (46)  ----------------------------------------------
---R                                x
+--R                               +---------------------+
+--R                      n      2 |              n
+--R        sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
+--R   (1)  ----------------------------------------------
+--R                               x
 --R                                                    Type: Expression(Integer)
 --E 91
 
@@ -1003,6 +1055,7 @@ r0318:= 6/5*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1016,11 +1069,11 @@ r0318:= 6/5*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 a0318:= integrate(t0318,x)
 --R 
 --R
---R                                      +----------------------+
---R            x                n      2 |               n
---R          ++  sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
---R   (47)   |   ------------------------------------------------ d%R
---R         ++                          %R
+--R                                     +----------------------+
+--R           x                n      2 |               n
+--R         ++  sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 93
 
@@ -1032,15 +1085,17 @@ a0318:= integrate(t0318,x)
 --d0318:= D(m0318,x)
 --E 95
 
+)clear all
+ 
 --S 96 of 460
 t0319:= 1/x/sinh(a+b*log(c*x^n))^(1/2)
 --R 
 --R
---R                     1
---R   (48)  -------------------------
---R           +---------------------+
---R           |              n
---R         x\|sinh(b log(c x ) + a)
+--R                    1
+--R   (1)  -------------------------
+--R          +---------------------+
+--R          |              n
+--R        x\|sinh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 96
 
@@ -1054,6 +1109,7 @@ r0319:= -2*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1067,12 +1123,12 @@ r0319:= -2*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
 a0319:= integrate(t0319,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (49)   |   --------------------------- d%R
---R         ++      +----------------------+
---R                 |               n
---R              %R\|sinh(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   --------------------------- d%R
+--R        ++      +----------------------+
+--R                |               n
+--R             %R\|sinh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 98
 
@@ -1084,15 +1140,17 @@ a0319:= integrate(t0319,x)
 --d0319:= D(m0319,x)
 --E 100
 
+)clear all
+ 
 --S 101 of 460
 t0320:= 1/x/sinh(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                                1
---R   (50)  -----------------------------------------------
---R                                 +---------------------+
---R                         n       |              n
---R         x sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
+--R                               1
+--R   (1)  -----------------------------------------------
+--R                                +---------------------+
+--R                        n       |              n
+--R        x sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 101
 
@@ -1107,6 +1165,7 @@ r0320:= -2*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(1/2)-_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1120,12 +1179,12 @@ r0320:= -2*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(1/2)-_
 a0320:= integrate(t0320,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (51)   |   -------------------------------------------------- d%R
---R         ++                             +----------------------+
---R                                n       |               n
---R              %R sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   -------------------------------------------------- d%R
+--R        ++                             +----------------------+
+--R                               n       |               n
+--R             %R sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 103
 
@@ -1137,15 +1196,17 @@ a0320:= integrate(t0320,x)
 --d0320:= D(m0320,x)
 --E 105
 
+)clear all
+ 
 --S 106 of 460
 t0321:= 1/x/sinh(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                 1
---R   (52)  ------------------------------------------------
---R                                  +---------------------+
---R                         n      2 |              n
---R         x sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
+--R                                1
+--R   (1)  ------------------------------------------------
+--R                                 +---------------------+
+--R                        n      2 |              n
+--R        x sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 106
 
@@ -1160,6 +1221,7 @@ r0321:= -2/3*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(3/2)+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1173,12 +1235,12 @@ r0321:= -2/3*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(3/2)+_
 a0321:= integrate(t0321,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (53)   |   --------------------------------------------------- d%R
---R         ++                              +----------------------+
---R                                n      2 |               n
---R              %R sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   --------------------------------------------------- d%R
+--R        ++                              +----------------------+
+--R                               n      2 |               n
+--R             %R sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 108
 
@@ -1190,15 +1252,17 @@ a0321:= integrate(t0321,x)
 --d0321:= D(m0321,x)
 --E 110
 
+)clear all
+ 
 --S 111 of 460
 t0322:= cosh(a+b*log(c*x^n))^(1/2)/x
 --R 
 --R
---R          +---------------------+
---R          |              n
---R         \|cosh(b log(c x ) + a)
---R   (54)  ------------------------
---R                     x
+--R         +---------------------+
+--R         |              n
+--R        \|cosh(b log(c x ) + a)
+--R   (1)  ------------------------
+--R                    x
 --R                                                    Type: Expression(Integer)
 --E 111
 
@@ -1211,6 +1275,7 @@ r0322:= -2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1224,11 +1289,11 @@ r0322:= -2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n
 a0322:= integrate(t0322,x)
 --R 
 --R
---R               +----------------------+
---R            x  |               n
---R          ++  \|cosh(b log(c %R ) + a)
---R   (55)   |   ------------------------- d%R
---R         ++               %R
+--R              +----------------------+
+--R           x  |               n
+--R         ++  \|cosh(b log(c %R ) + a)
+--R   (2)   |   ------------------------- d%R
+--R        ++               %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 113
 
@@ -1240,15 +1305,17 @@ a0322:= integrate(t0322,x)
 --d0322:= D(m0322,x)
 --E 115
 
+)clear all
+ 
 --S 116 of 460
 t0323:= cosh(a+b*log(c*x^n))^(3/2)/x
 --R 
 --R
---R                               +---------------------+
---R                       n       |              n
---R         cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
---R   (56)  ---------------------------------------------
---R                               x
+--R                              +---------------------+
+--R                      n       |              n
+--R        cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
+--R   (1)  ---------------------------------------------
+--R                              x
 --R                                                    Type: Expression(Integer)
 --E 116
 
@@ -1262,6 +1329,7 @@ r0323:= -2/3/b/n*(%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)-_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1275,11 +1343,11 @@ r0323:= -2/3/b/n*(%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)-_
 a0323:= integrate(t0323,x)
 --R 
 --R
---R                                     +----------------------+
---R            x                n       |               n
---R          ++  cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
---R   (57)   |   ----------------------------------------------- d%R
---R         ++                          %R
+--R                                    +----------------------+
+--R           x                n       |               n
+--R         ++  cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
+--R   (2)   |   ----------------------------------------------- d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 118
 
@@ -1291,15 +1359,17 @@ a0323:= integrate(t0323,x)
 --d0323:= D(m0323,x)
 --E 120
 
+)clear all
+ 
 --S 121 of 460
 t0324:= cosh(a+b*log(c*x^n))^(5/2)/x
 --R 
 --R
---R                                +---------------------+
---R                       n      2 |              n
---R         cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
---R   (58)  ----------------------------------------------
---R                                x
+--R                               +---------------------+
+--R                      n      2 |              n
+--R        cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
+--R   (1)  ----------------------------------------------
+--R                               x
 --R                                                    Type: Expression(Integer)
 --E 121
 
@@ -1313,6 +1383,7 @@ r0324:= 2/5/b/n*(-3*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1326,11 +1397,11 @@ r0324:= 2/5/b/n*(-3*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)+_
 a0324:= integrate(t0324,x)
 --R 
 --R
---R                                      +----------------------+
---R            x                n      2 |               n
---R          ++  cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
---R   (59)   |   ------------------------------------------------ d%R
---R         ++                          %R
+--R                                     +----------------------+
+--R           x                n      2 |               n
+--R         ++  cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 123
 
@@ -1342,15 +1413,17 @@ a0324:= integrate(t0324,x)
 --d0324:= D(m0324,x)
 --E 125
 
+)clear all
+ 
 --S 126 of 460
 t0325:= 1/x/cosh(a+b*log(c*x^n))^(1/2)
 --R 
 --R
---R                     1
---R   (60)  -------------------------
---R           +---------------------+
---R           |              n
---R         x\|cosh(b log(c x ) + a)
+--R                    1
+--R   (1)  -------------------------
+--R          +---------------------+
+--R          |              n
+--R        x\|cosh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 126
 
@@ -1363,6 +1436,7 @@ r0325:= -2*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1376,12 +1450,12 @@ r0325:= -2*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n
 a0325:= integrate(t0325,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (61)   |   --------------------------- d%R
---R         ++      +----------------------+
---R                 |               n
---R              %R\|cosh(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   --------------------------- d%R
+--R        ++      +----------------------+
+--R                |               n
+--R             %R\|cosh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 128
 
@@ -1393,15 +1467,17 @@ a0325:= integrate(t0325,x)
 --d0325:= D(m0325,x)
 --E 130
 
+)clear all
+ 
 --S 131 of 460
 t0326:= 1/x/cosh(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                                1
---R   (62)  -----------------------------------------------
---R                                 +---------------------+
---R                         n       |              n
---R         x cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
+--R                               1
+--R   (1)  -----------------------------------------------
+--R                                +---------------------+
+--R                        n       |              n
+--R        x cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 131
 
@@ -1415,6 +1491,7 @@ r0326:= 2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1428,12 +1505,12 @@ r0326:= 2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
 a0326:= integrate(t0326,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (63)   |   -------------------------------------------------- d%R
---R         ++                             +----------------------+
---R                                n       |               n
---R              %R cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   -------------------------------------------------- d%R
+--R        ++                             +----------------------+
+--R                               n       |               n
+--R             %R cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 133
 
@@ -1445,15 +1522,17 @@ a0326:= integrate(t0326,x)
 --d0326:= D(m0326,x)
 --E 135
 
+)clear all
+ 
 --S 136 of 460
 t0327:= 1/x/cosh(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                 1
---R   (64)  ------------------------------------------------
---R                                  +---------------------+
---R                         n      2 |              n
---R         x cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
+--R                                1
+--R   (1)  ------------------------------------------------
+--R                                 +---------------------+
+--R                        n      2 |              n
+--R        x cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 136
 
@@ -1467,6 +1546,7 @@ r0327:= -2/3*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1480,12 +1560,12 @@ r0327:= -2/3*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
 a0327:= integrate(t0327,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (65)   |   --------------------------------------------------- d%R
---R         ++                              +----------------------+
---R                                n      2 |               n
---R              %R cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   --------------------------------------------------- d%R
+--R        ++                              +----------------------+
+--R                               n      2 |               n
+--R             %R cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 138
 
@@ -1497,15 +1577,17 @@ a0327:= integrate(t0327,x)
 --d0327:= D(m0327,x)
 --E 140
 
+)clear all
+ 
 --S 141 of 460
 t0328:= sech(a+b*log(c*x^n))^(1/2)/x
 --R 
 --R
---R          +---------------------+
---R          |              n
---R         \|sech(b log(c x ) + a)
---R   (66)  ------------------------
---R                     x
+--R         +---------------------+
+--R         |              n
+--R        \|sech(b log(c x ) + a)
+--R   (1)  ------------------------
+--R                    x
 --R                                                    Type: Expression(Integer)
 --E 141
 
@@ -1519,6 +1601,7 @@ r0328:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1532,11 +1615,11 @@ r0328:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0328:= integrate(t0328,x)
 --R 
 --R
---R               +----------------------+
---R            x  |               n
---R          ++  \|sech(b log(c %R ) + a)
---R   (67)   |   ------------------------- d%R
---R         ++               %R
+--R              +----------------------+
+--R           x  |               n
+--R         ++  \|sech(b log(c %R ) + a)
+--R   (2)   |   ------------------------- d%R
+--R        ++               %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 143
 
@@ -1548,15 +1631,17 @@ a0328:= integrate(t0328,x)
 --d0328:= D(m0328,x)
 --E 145
 
+)clear all
+ 
 --S 146 of 460
 t0329:= sech(a+b*log(c*x^n))^(3/2)/x
 --R 
 --R
---R                               +---------------------+
---R                       n       |              n
---R         sech(b log(c x ) + a)\|sech(b log(c x ) + a)
---R   (68)  ---------------------------------------------
---R                               x
+--R                              +---------------------+
+--R                      n       |              n
+--R        sech(b log(c x ) + a)\|sech(b log(c x ) + a)
+--R   (1)  ---------------------------------------------
+--R                              x
 --R                                                    Type: Expression(Integer)
 --E 146
 
@@ -1571,6 +1656,7 @@ r0329:= 2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1584,11 +1670,11 @@ r0329:= 2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0329:= integrate(t0329,x)
 --R 
 --R
---R                                     +----------------------+
---R            x                n       |               n
---R          ++  sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
---R   (69)   |   ----------------------------------------------- d%R
---R         ++                          %R
+--R                                    +----------------------+
+--R           x                n       |               n
+--R         ++  sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
+--R   (2)   |   ----------------------------------------------- d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 148
 
@@ -1600,15 +1686,17 @@ a0329:= integrate(t0329,x)
 --d0329:= D(m0329,x)
 --E 150
 
+)clear all
+ 
 --S 151 of 460
 t0330:= sech(a+b*log(c*x^n))^(5/2)/x
 --R 
 --R
---R                                +---------------------+
---R                       n      2 |              n
---R         sech(b log(c x ) + a) \|sech(b log(c x ) + a)
---R   (70)  ----------------------------------------------
---R                                x
+--R                               +---------------------+
+--R                      n      2 |              n
+--R        sech(b log(c x ) + a) \|sech(b log(c x ) + a)
+--R   (1)  ----------------------------------------------
+--R                               x
 --R                                                    Type: Expression(Integer)
 --E 151
 
@@ -1623,6 +1711,7 @@ r0330:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1636,11 +1725,11 @@ r0330:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0330:= integrate(t0330,x)
 --R 
 --R
---R                                      +----------------------+
---R            x                n      2 |               n
---R          ++  sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
---R   (71)   |   ------------------------------------------------ d%R
---R         ++                          %R
+--R                                     +----------------------+
+--R           x                n      2 |               n
+--R         ++  sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 153
 
@@ -1652,15 +1741,17 @@ a0330:= integrate(t0330,x)
 --d0330:= D(m0330,x)
 --E 155
 
+)clear all
+ 
 --S 156 of 460
 t0331:= 1/x/sech(a+b*log(c*x^n))^(1/2)
 --R 
 --R
---R                     1
---R   (72)  -------------------------
---R           +---------------------+
---R           |              n
---R         x\|sech(b log(c x ) + a)
+--R                    1
+--R   (1)  -------------------------
+--R          +---------------------+
+--R          |              n
+--R        x\|sech(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 156
 
@@ -1674,6 +1765,7 @@ r0331:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1687,12 +1779,12 @@ r0331:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0331:= integrate(t0331,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (73)   |   --------------------------- d%R
---R         ++      +----------------------+
---R                 |               n
---R              %R\|sech(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   --------------------------- d%R
+--R        ++      +----------------------+
+--R                |               n
+--R             %R\|sech(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 158
 
@@ -1704,15 +1796,17 @@ a0331:= integrate(t0331,x)
 --d0331:= D(m0331,x)
 --E 160
 
+)clear all
+ 
 --S 161 of 460
 t0332:= 1/x/sech(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                                1
---R   (74)  -----------------------------------------------
---R                                 +---------------------+
---R                         n       |              n
---R         x sech(b log(c x ) + a)\|sech(b log(c x ) + a)
+--R                               1
+--R   (1)  -----------------------------------------------
+--R                                +---------------------+
+--R                        n       |              n
+--R        x sech(b log(c x ) + a)\|sech(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 161
 
@@ -1727,6 +1821,7 @@ r0332:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1740,12 +1835,12 @@ r0332:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0332:= integrate(t0332,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (75)   |   -------------------------------------------------- d%R
---R         ++                             +----------------------+
---R                                n       |               n
---R              %R sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   -------------------------------------------------- d%R
+--R        ++                             +----------------------+
+--R                               n       |               n
+--R             %R sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 163
 
@@ -1757,15 +1852,17 @@ a0332:= integrate(t0332,x)
 --d0332:= D(m0332,x)
 --E 165
 
+)clear all
+ 
 --S 166 of 460
 t0333:= 1/x/sech(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                 1
---R   (76)  ------------------------------------------------
---R                                  +---------------------+
---R                         n      2 |              n
---R         x sech(b log(c x ) + a) \|sech(b log(c x ) + a)
+--R                                1
+--R   (1)  ------------------------------------------------
+--R                                 +---------------------+
+--R                        n      2 |              n
+--R        x sech(b log(c x ) + a) \|sech(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 166
 
@@ -1780,6 +1877,7 @@ r0333:= -6/5*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1793,12 +1891,12 @@ r0333:= -6/5*%i*cosh(a+b*log(c*x^n))^(1/2)*_
 a0333:= integrate(t0333,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (77)   |   --------------------------------------------------- d%R
---R         ++                              +----------------------+
---R                                n      2 |               n
---R              %R sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   --------------------------------------------------- d%R
+--R        ++                              +----------------------+
+--R                               n      2 |               n
+--R             %R sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 168
 
@@ -1810,15 +1908,17 @@ a0333:= integrate(t0333,x)
 --d0333:= D(m0333,x)
 --E 170
 
+)clear all
+ 
 --S 171 of 460
 t0334:= csch(a+b*log(c*x^n))^(1/2)/x
 --R 
 --R
---R          +---------------------+
---R          |              n
---R         \|csch(b log(c x ) + a)
---R   (78)  ------------------------
---R                     x
+--R         +---------------------+
+--R         |              n
+--R        \|csch(b log(c x ) + a)
+--R   (1)  ------------------------
+--R                    x
 --R                                                    Type: Expression(Integer)
 --E 171
 
@@ -1833,6 +1933,7 @@ r0334:= -2*%i*csch(a+b*log(c*x^n))^(1/2)*_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1846,11 +1947,11 @@ r0334:= -2*%i*csch(a+b*log(c*x^n))^(1/2)*_
 a0334:= integrate(t0334,x)
 --R 
 --R
---R               +----------------------+
---R            x  |               n
---R          ++  \|csch(b log(c %R ) + a)
---R   (79)   |   ------------------------- d%R
---R         ++               %R
+--R              +----------------------+
+--R           x  |               n
+--R         ++  \|csch(b log(c %R ) + a)
+--R   (2)   |   ------------------------- d%R
+--R        ++               %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 173
 
@@ -1862,15 +1963,17 @@ a0334:= integrate(t0334,x)
 --d0334:= D(m0334,x)
 --E 175
 
+)clear all
+ 
 --S 176 of 460
 t0335:= csch(a+b*log(c*x^n))^(3/2)/x
 --R 
 --R
---R                               +---------------------+
---R                       n       |              n
---R         csch(b log(c x ) + a)\|csch(b log(c x ) + a)
---R   (80)  ---------------------------------------------
---R                               x
+--R                              +---------------------+
+--R                      n       |              n
+--R        csch(b log(c x ) + a)\|csch(b log(c x ) + a)
+--R   (1)  ---------------------------------------------
+--R                              x
 --R                                                    Type: Expression(Integer)
 --E 176
 
@@ -1885,6 +1988,7 @@ r0335:= -2*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(1/2)/b/n-_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1898,11 +2002,11 @@ r0335:= -2*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(1/2)/b/n-_
 a0335:= integrate(t0335,x)
 --R 
 --R
---R                                     +----------------------+
---R            x                n       |               n
---R          ++  csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
---R   (81)   |   ----------------------------------------------- d%R
---R         ++                          %R
+--R                                    +----------------------+
+--R           x                n       |               n
+--R         ++  csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
+--R   (2)   |   ----------------------------------------------- d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 178
 
@@ -1914,15 +2018,17 @@ a0335:= integrate(t0335,x)
 --d0335:= D(m0335,x)
 --E 180
 
+)clear all
+ 
 --S 181 of 460
 t0336:= csch(a+b*log(c*x^n))^(5/2)/x
 --R 
 --R
---R                                +---------------------+
---R                       n      2 |              n
---R         csch(b log(c x ) + a) \|csch(b log(c x ) + a)
---R   (82)  ----------------------------------------------
---R                                x
+--R                               +---------------------+
+--R                      n      2 |              n
+--R        csch(b log(c x ) + a) \|csch(b log(c x ) + a)
+--R   (1)  ----------------------------------------------
+--R                               x
 --R                                                    Type: Expression(Integer)
 --E 181
 
@@ -1937,6 +2043,7 @@ r0336:= -2/3*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(3/2)/b/n+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -1950,11 +2057,11 @@ r0336:= -2/3*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(3/2)/b/n+_
 a0336:= integrate(t0336,x)
 --R 
 --R
---R                                      +----------------------+
---R            x                n      2 |               n
---R          ++  csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
---R   (83)   |   ------------------------------------------------ d%R
---R         ++                          %R
+--R                                     +----------------------+
+--R           x                n      2 |               n
+--R         ++  csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
+--R   (2)   |   ------------------------------------------------ d%R
+--R        ++                          %R
 --R                                         Type: Union(Expression(Integer),...)
 --E 183
 
@@ -1966,15 +2073,17 @@ a0336:= integrate(t0336,x)
 --d0336:= D(m0336,x)
 --E 185
 
+)clear all
+ 
 --S 186 of 460
 t0337:= 1/x/csch(a+b*log(c*x^n))^(1/2)
 --R 
 --R
---R                     1
---R   (84)  -------------------------
---R           +---------------------+
---R           |              n
---R         x\|csch(b log(c x ) + a)
+--R                    1
+--R   (1)  -------------------------
+--R          +---------------------+
+--R          |              n
+--R        x\|csch(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 186
 
@@ -1988,6 +2097,7 @@ r0337:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)/b/n/_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -2001,12 +2111,12 @@ r0337:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)/b/n/_
 a0337:= integrate(t0337,x)
 --R 
 --R
---R            x
---R          ++               1
---R   (85)   |   --------------------------- d%R
---R         ++      +----------------------+
---R                 |               n
---R              %R\|csch(b log(c %R ) + a)
+--R           x
+--R         ++               1
+--R   (2)   |   --------------------------- d%R
+--R        ++      +----------------------+
+--R                |               n
+--R             %R\|csch(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 188
 
@@ -2018,15 +2128,17 @@ a0337:= integrate(t0337,x)
 --d0337:= D(m0337,x)
 --E 190
 
+)clear all
+ 
 --S 191 of 460
 t0338:= 1/x/csch(a+b*log(c*x^n))^(3/2)
 --R 
 --R
---R                                1
---R   (86)  -----------------------------------------------
---R                                 +---------------------+
---R                         n       |              n
---R         x csch(b log(c x ) + a)\|csch(b log(c x ) + a)
+--R                               1
+--R   (1)  -----------------------------------------------
+--R                                +---------------------+
+--R                        n       |              n
+--R        x csch(b log(c x ) + a)\|csch(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 191
 
@@ -2041,6 +2153,7 @@ r0338:= 2/3*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(1/2)+_
 --R      to learn if there is any operation containing " EllipticF " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticF with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -2054,12 +2167,12 @@ r0338:= 2/3*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(1/2)+_
 a0338:= integrate(t0338,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (87)   |   -------------------------------------------------- d%R
---R         ++                             +----------------------+
---R                                n       |               n
---R              %R csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   -------------------------------------------------- d%R
+--R        ++                             +----------------------+
+--R                               n       |               n
+--R             %R csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 193
 
@@ -2071,15 +2184,17 @@ a0338:= integrate(t0338,x)
 --d0338:= D(m0338,x)
 --E 195
 
+)clear all
+ 
 --S 196 of 460
 t0339:= 1/x/csch(a+b*log(c*x^n))^(5/2)
 --R 
 --R
---R                                 1
---R   (88)  ------------------------------------------------
---R                                  +---------------------+
---R                         n      2 |              n
---R         x csch(b log(c x ) + a) \|csch(b log(c x ) + a)
+--R                                1
+--R   (1)  ------------------------------------------------
+--R                                 +---------------------+
+--R                        n      2 |              n
+--R        x csch(b log(c x ) + a) \|csch(b log(c x ) + a)
 --R                                                    Type: Expression(Integer)
 --E 196
 
@@ -2094,6 +2209,7 @@ r0339:= 2/5*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(3/2)+_
 --R      to learn if there is any operation containing " EllipticE " in 
 --R      its name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      EllipticE with argument type(s) 
 --R                   Expression(Complex(Fraction(Integer)))
@@ -2107,12 +2223,12 @@ r0339:= 2/5*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(3/2)+_
 a0339:= integrate(t0339,x)
 --R 
 --R
---R            x
---R          ++                           1
---R   (89)   |   --------------------------------------------------- d%R
---R         ++                              +----------------------+
---R                                n      2 |               n
---R              %R csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
+--R           x
+--R         ++                           1
+--R   (2)   |   --------------------------------------------------- d%R
+--R        ++                              +----------------------+
+--R                               n      2 |               n
+--R             %R csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 198
 
@@ -2124,13 +2240,15 @@ a0339:= integrate(t0339,x)
 --d0339:= D(m0339,x)
 --E 200
 
+)clear all
+ 
 --S 201 of 460
 t0340:= 1/2*log(a+b*x)
 --R 
 --R
---R         log(b x + a)
---R   (90)  ------------
---R               2
+--R        log(b x + a)
+--R   (1)  ------------
+--R              2
 --R                                                    Type: Expression(Integer)
 --E 201
 
@@ -2138,9 +2256,9 @@ t0340:= 1/2*log(a+b*x)
 r0340:= -1/2*x+1/2*(a+b*x)*log(a+b*x)/b
 --R 
 --R
---R         (b x + a)log(b x + a) - b x
---R   (91)  ---------------------------
---R                      2b
+--R        (b x + a)log(b x + a) - b x
+--R   (2)  ---------------------------
+--R                     2b
 --R                                                    Type: Expression(Integer)
 --E 202
 
@@ -2148,9 +2266,9 @@ r0340:= -1/2*x+1/2*(a+b*x)*log(a+b*x)/b
 a0340:= integrate(t0340,x)
 --R 
 --R
---R         (b x + a)log(b x + a) - b x
---R   (92)  ---------------------------
---R                      2b
+--R        (b x + a)log(b x + a) - b x
+--R   (3)  ---------------------------
+--R                     2b
 --R                                         Type: Union(Expression(Integer),...)
 --E 203
 
@@ -2158,7 +2276,7 @@ a0340:= integrate(t0340,x)
 m0340:= a0340-r0340
 --R 
 --R
---R   (93)  0
+--R   (4)  0
 --R                                                    Type: Expression(Integer)
 --E 204
 
@@ -2166,16 +2284,18 @@ m0340:= a0340-r0340
 d0340:= D(m0340,x)
 --R 
 --R
---R   (94)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 205
 
+)clear all
+ 
 --S 206 of 460
 t0341:= log(x^(1/2)+(1+x)^(1/2))
 --R 
 --R
---R              +-----+    +-+
---R   (95)  log(\|x + 1  + \|x )
+--R             +-----+    +-+
+--R   (1)  log(\|x + 1  + \|x )
 --R                                                    Type: Expression(Integer)
 --E 206
 
@@ -2184,45 +2304,66 @@ r0341:= -1/2*(x/(1+x))^(1/2)*(1+x)+1/2*atanh((x/(1+x))^(1/2))+_
         x*log(x^(1/2)+(1+x)^(1/2))
 --R 
 --R
---R                                          +-----+              +-----+
---R                 +-----+    +-+           |  x                 |  x
---R         2x log(\|x + 1  + \|x ) + atanh( |----- ) + (- x - 1) |-----
---R                                         \|x + 1              \|x + 1
---R   (96)  -------------------------------------------------------------
---R                                       2
+--R                                         +-----+              +-----+
+--R                +-----+    +-+           |  x                 |  x
+--R        2x log(\|x + 1  + \|x ) + atanh( |----- ) + (- x - 1) |-----
+--R                                        \|x + 1              \|x + 1
+--R   (2)  -------------------------------------------------------------
+--R                                      2
 --R                                                    Type: Expression(Integer)
 --E 207
 
---S 208 of 460
+--S 208 of 460 random value, ok to fail
 a0341:= integrate(t0341,x)
 --R 
 --R
---R   (97)
+--R   (3)
 --R                 +-+ +-----+     2               +-----+    +-+
---R       ((4x + 2)\|x \|x + 1  - 4x  - 4x - 1)log(\|x + 1  + \|x )
+--R       ((4x + 2)\|x \|x + 1  + 4x  + 4x + 1)log(\|x + 1  + \|x )
 --R     + 
---R                +-+ +-----+     2
---R       (2x + 1)\|x \|x + 1  - 2x  - 2x
+--R                  +-+ +-----+     2
+--R       (- 2x - 1)\|x \|x + 1  - 2x  - 2x
 --R  /
 --R       +-+ +-----+
---R     4\|x \|x + 1  - 4x - 2
+--R     4\|x \|x + 1  + 4x + 2
 --R                                         Type: Union(Expression(Integer),...)
 --E 208
 
 --S 209 of 460 random value, ok to fail
 m0341:= a0341-r0341
+--R 
+--R
+--R                                           +-----+            +-----+
+--R                  +-----+    +-+           |  x               |  x
+--R        - 2x log(\|x + 1  + \|x ) - atanh( |----- ) + (x + 1) |-----  + 2a0341
+--R                                          \|x + 1            \|x + 1
+--R   (4)  ----------------------------------------------------------------------
+--R                                           2
+--R                                                    Type: Expression(Integer)
 --E 209
 
 --S 210 of 460 random value, ok to fail
 d0341:= D(m0341,x)
+--R 
+--R
+--R                                               +-----+
+--R            +-+ +-----+     +-----+    +-+     |  x    +-+ +-----+
+--R        - 2\|x \|x + 1 log(\|x + 1  + \|x ) +  |----- \|x \|x + 1  - x
+--R                                              \|x + 1
+--R   (5)  --------------------------------------------------------------
+--R                                   +-+ +-----+
+--R                                 2\|x \|x + 1
+--R                                                    Type: Expression(Integer)
 --E 210
 
+)clear all
+ 
 --S 211 of 460
 t0342:= log(abs(a^2-x^2))
 --R 
 --R
---R                   2    2
---R   (100)  log(abs(x  - a ))
+--R                 2    2
+--R   (1)  log(abs(x  - a ))
 --R                                                    Type: Expression(Integer)
 --E 211
 
@@ -2230,11 +2371,11 @@ t0342:= log(abs(a^2-x^2))
 r0342:= -2*x+2*a*atanh(x/a)+1/2*x*log((a^2-x^2)^2)
 --R 
 --R
---R                 4     2 2    4             x
---R          x log(x  - 2a x  + a ) + 4a atanh(-) - 4x
---R                                            a
---R   (101)  -----------------------------------------
---R                              2
+--R               4     2 2    4             x
+--R        x log(x  - 2a x  + a ) + 4a atanh(-) - 4x
+--R                                          a
+--R   (2)  -----------------------------------------
+--R                            2
 --R                                                    Type: Expression(Integer)
 --E 212
 
@@ -2242,16 +2383,16 @@ r0342:= -2*x+2*a*atanh(x/a)+1/2*x*log((a^2-x^2)^2)
 a0342:= integrate(t0342,x)
 --R 
 --R
---R                     2    2
---R   (102)  x log(abs(x  - a )) + a log(x + a) - a log(x - a) - 2x
---R                                                    Type: Expression(Integer)
+--R                   2    2
+--R   (3)  x log(abs(x  - a )) + a log(x + a) - a log(x - a) - 2x
+--R                                         Type: Union(Expression(Integer),...)
 --E 213
 
 --S 214 of 460
 m0342:= a0342-r0342
 --R 
 --R
---R   (103)
+--R   (4)
 --R                   2    2            4     2 2    4
 --R       2x log(abs(x  - a )) - x log(x  - 2a x  + a ) + 2a log(x + a)
 --R     + 
@@ -2260,27 +2401,29 @@ m0342:= a0342-r0342
 --R                                  a
 --R  /
 --R     2
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 214
 
 --S 215 of 460
 d0342:= D(m0342,x)
 --R 
 --R
---R                    2    2          4     2 2    4
---R          2log(abs(x  - a )) - log(x  - 2a x  + a )
---R   (104)  -----------------------------------------
---R                              2
+--R                  2    2          4     2 2    4
+--R        2log(abs(x  - a )) - log(x  - 2a x  + a )
+--R   (5)  -----------------------------------------
+--R                            2
 --R                                                    Type: Expression(Integer)
 --E 215
 
+)clear all
+ 
 --S 216 of 460
 t0343:= log((-11+5*x)/(5+76*x))
 --R 
 --R
---R              5x - 11
---R   (105)  log(-------)
---R              76x + 5
+--R            5x - 11
+--R   (1)  log(-------)
+--R            76x + 5
 --R                                                    Type: Expression(Integer)
 --E 216
 
@@ -2288,11 +2431,11 @@ t0343:= log((-11+5*x)/(5+76*x))
 r0343:= -11/5*log(11-5*x)+x*log((-11+5*x)/(5+76*x))-5/76*log(5+76*x)
 --R 
 --R
---R                                      5x - 11
---R          - 25log(76x + 5) + 380x log(-------) - 836log(- 5x + 11)
---R                                      76x + 5
---R   (106)  --------------------------------------------------------
---R                                     380
+--R                                    5x - 11
+--R        - 25log(76x + 5) + 380x log(-------) - 836log(- 5x + 11)
+--R                                    76x + 5
+--R   (2)  --------------------------------------------------------
+--R                                   380
 --R                                                    Type: Expression(Integer)
 --E 217
 
@@ -2300,42 +2443,44 @@ r0343:= -11/5*log(11-5*x)+x*log((-11+5*x)/(5+76*x))-5/76*log(5+76*x)
 a0343:= integrate(t0343,x)
 --R 
 --R
---R                                                        5x - 11
---R          - 25log(76x + 5) - 836log(5x - 11) + 380x log(-------)
---R                                                        76x + 5
---R   (107)  ------------------------------------------------------
---R                                    380
---R                                                    Type: Expression(Integer)
+--R                                                      5x - 11
+--R        - 25log(76x + 5) - 836log(5x - 11) + 380x log(-------)
+--R                                                      76x + 5
+--R   (3)  ------------------------------------------------------
+--R                                  380
+--R                                         Type: Union(Expression(Integer),...)
 --E 218
 
 --S 219 of 460
 m0343:= a0343-r0343
 --R 
 --R
---R          - 11log(5x - 11) + 11log(- 5x + 11)
---R   (108)  -----------------------------------
---R                           5
---R                                         Type: Union(Expression(Integer),...)
+--R        - 11log(5x - 11) + 11log(- 5x + 11)
+--R   (4)  -----------------------------------
+--R                         5
+--R                                                    Type: Expression(Integer)
 --E 219
 
 --S 220 of 460
 d0343:= D(m0343,x)
 --R 
 --R
---R   (109)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 220
 
+)clear all
+ 
 --S 221 of 460
 t0344:= log((1+x)/(-1+x))/x^2
 --R 
 --R
---R              x + 1
---R          log(-----)
---R              x - 1
---R   (110)  ----------
---R               2
---R              x
+--R            x + 1
+--R        log(-----)
+--R            x - 1
+--R   (1)  ----------
+--R             2
+--R            x
 --R                                                    Type: Expression(Integer)
 --E 221
 
@@ -2343,11 +2488,11 @@ t0344:= log((1+x)/(-1+x))/x^2
 r0344:= 2*log(x)-log(-(1+x)/(1-x))/x-log(1-x^2)
 --R 
 --R
---R                          x + 1             2
---R          2x log(x) - log(-----) - x log(- x  + 1)
---R                          x - 1
---R   (111)  ----------------------------------------
---R                              x
+--R                        x + 1             2
+--R        2x log(x) - log(-----) - x log(- x  + 1)
+--R                        x - 1
+--R   (2)  ----------------------------------------
+--R                            x
 --R                                                    Type: Expression(Integer)
 --E 222
 
@@ -2355,39 +2500,41 @@ r0344:= 2*log(x)-log(-(1+x)/(1-x))/x-log(1-x^2)
 a0344:= integrate(t0344,x)
 --R 
 --R
---R                   2                        x + 1
---R          - x log(x  - 1) + 2x log(x) - log(-----)
---R                                            x - 1
---R   (112)  ----------------------------------------
---R                              x
---R                                                    Type: Expression(Integer)
+--R                 2                        x + 1
+--R        - x log(x  - 1) + 2x log(x) - log(-----)
+--R                                          x - 1
+--R   (3)  ----------------------------------------
+--R                            x
+--R                                         Type: Union(Expression(Integer),...)
 --E 223
 
 --S 224 of 460
 m0344:= a0344-r0344
 --R 
 --R
---R                 2               2
---R   (113)  - log(x  - 1) + log(- x  + 1)
---R                                         Type: Union(Expression(Integer),...)
+--R               2               2
+--R   (4)  - log(x  - 1) + log(- x  + 1)
+--R                                                    Type: Expression(Integer)
 --E 224
 
 --S 225 of 460
 d0344:= D(m0344,x)
 --R 
 --R
---R   (114)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 225
 
+)clear all
+ 
 --S 226 of 460
 t0345:= x*log((1+x)/x^2)
 --R 
 --R
---R                x + 1
---R   (115)  x log(-----)
---R                   2
---R                  x
+--R              x + 1
+--R   (1)  x log(-----)
+--R                 2
+--R                x
 --R                                                    Type: Expression(Integer)
 --E 226
 
@@ -2395,12 +2542,12 @@ t0345:= x*log((1+x)/x^2)
 r0345:= 1/2*x+1/4*x^2-1/2*log(1+x)+1/2*x^2*log((1+x)/x^2)
 --R 
 --R
---R                            2    x + 1     2
---R          - 2log(x + 1) + 2x log(-----) + x  + 2x
---R                                    2
---R                                   x
---R   (116)  ---------------------------------------
---R                             4
+--R                          2    x + 1     2
+--R        - 2log(x + 1) + 2x log(-----) + x  + 2x
+--R                                  2
+--R                                 x
+--R   (2)  ---------------------------------------
+--R                           4
 --R                                                    Type: Expression(Integer)
 --E 227
 
@@ -2408,37 +2555,39 @@ r0345:= 1/2*x+1/4*x^2-1/2*log(1+x)+1/2*x^2*log((1+x)/x^2)
 a0345:= integrate(t0345,x)
 --R 
 --R
---R                            2    x + 1     2
---R          - 2log(x + 1) + 2x log(-----) + x  + 2x
---R                                    2
---R                                   x
---R   (117)  ---------------------------------------
---R                             4
---R                                                    Type: Expression(Integer)
+--R                          2    x + 1     2
+--R        - 2log(x + 1) + 2x log(-----) + x  + 2x
+--R                                  2
+--R                                 x
+--R   (3)  ---------------------------------------
+--R                           4
+--R                                         Type: Union(Expression(Integer),...)
 --E 228
 
 --S 229 of 460
 m0345:= a0345-r0345
 --R 
 --R
---R   (118)  0
---R                                         Type: Union(Expression(Integer),...)
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
 --E 229
 
 --S 230 of 460
 d0345:= D(m0345,x)
 --R 
 --R
---R   (119)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 230
 
+)clear all
+ 
 --S 231 of 460
 t0346:= (a+b*x)^n*log(a+b*x)
 --R 
 --R
---R                               n
---R   (120)  log(b x + a)(b x + a)
+--R                             n
+--R   (1)  log(b x + a)(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 231
 
@@ -2446,11 +2595,11 @@ t0346:= (a+b*x)^n*log(a+b*x)
 r0346:= 1/b/(1+n)^2*(a+b*x)^(1+n)*(-1+log(a+b*x)+n*log(a+b*x))
 --R 
 --R
---R                                            n + 1
---R          ((n + 1)log(b x + a) - 1)(b x + a)
---R   (121)  ---------------------------------------
---R                         2
---R                      b n  + 2b n + b
+--R                                          n + 1
+--R        ((n + 1)log(b x + a) - 1)(b x + a)
+--R   (2)  ---------------------------------------
+--R                       2
+--R                    b n  + 2b n + b
 --R                                                    Type: Expression(Integer)
 --E 232
 
@@ -2458,19 +2607,19 @@ r0346:= 1/b/(1+n)^2*(a+b*x)^(1+n)*(-1+log(a+b*x)+n*log(a+b*x))
 a0346:= integrate(t0346,x)
 --R 
 --R
---R                                                          n log(b x + a)
---R          (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
---R   (122)  --------------------------------------------------------------
---R                                     2
---R                                  b n  + 2b n + b
---R                                                    Type: Expression(Integer)
+--R                                                        n log(b x + a)
+--R        (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
+--R   (3)  --------------------------------------------------------------
+--R                                   2
+--R                                b n  + 2b n + b
+--R                                         Type: Union(Expression(Integer),...)
 --E 233
 
 --S 234 of 460
 m0346:= a0346-r0346
 --R 
 --R
---R   (123)
+--R   (4)
 --R                                                       n log(b x + a)
 --R       (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
 --R     + 
@@ -2479,14 +2628,14 @@ m0346:= a0346-r0346
 --R  /
 --R        2
 --R     b n  + 2b n + b
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 234
 
 --S 235 of 460
 d0346:= D(m0346,x)
 --R 
 --R
---R   (124)
+--R   (5)
 --R                                           n log(b x + a)            n + 1
 --R       ((b n + b)x + a n + a)log(b x + a)%e               - (b x + a)
 --R     + 
@@ -2497,15 +2646,17 @@ d0346:= D(m0346,x)
 --R                                                    Type: Expression(Integer)
 --E 235
 
+)clear all
+ 
 --S 236 of 460
 t0347:= log((a+b*x)/(c+d*x))/x
 --R 
 --R
---R              b x + a
---R          log(-------)
---R              d x + c
---R   (125)  ------------
---R                x
+--R            b x + a
+--R        log(-------)
+--R            d x + c
+--R   (1)  ------------
+--R              x
 --R                                                    Type: Expression(Integer)
 --E 236
 
@@ -2520,6 +2671,7 @@ r0347:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))+_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -2533,12 +2685,12 @@ r0347:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))+_
 a0347:= integrate(t0347,x)
 --R 
 --R
---R                   %R b + a
---R             x log(--------)
---R           ++      %R d + c
---R   (126)   |   ------------- d%R
---R          ++         %R
---R                                                    Type: Expression(Integer)
+--R                 %R b + a
+--R           x log(--------)
+--R         ++      %R d + c
+--R   (2)   |   ------------- d%R
+--R        ++         %R
+--R                                         Type: Union(Expression(Integer),...)
 --E 238
 
 --S 239 of 460
@@ -2549,16 +2701,18 @@ a0347:= integrate(t0347,x)
 --d0347:= D(m0347,x)
 --E 240
 
+)clear all
+ 
 --S 241 of 460
 t0348:= log((a+b*x)/(c+d*x))^2/x
 --R 
 --R
---R              b x + a 2
---R          log(-------)
---R              d x + c
---R   (127)  -------------
---R                x
---R                                         Type: Union(Expression(Integer),...)
+--R            b x + a 2
+--R        log(-------)
+--R            d x + c
+--R   (1)  -------------
+--R              x
+--R                                                    Type: Expression(Integer)
 --E 241
 
 --S 242 of 460
@@ -2574,6 +2728,7 @@ r0348:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))^2+_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -2587,12 +2742,12 @@ r0348:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))^2+_
 a0348:= integrate(t0348,x)
 --R 
 --R
---R                   %R b + a 2
---R             x log(--------)
---R           ++      %R d + c
---R   (128)   |   -------------- d%R
---R          ++         %R
---R                                                    Type: Expression(Integer)
+--R                 %R b + a 2
+--R           x log(--------)
+--R         ++      %R d + c
+--R   (2)   |   -------------- d%R
+--R        ++         %R
+--R                                         Type: Union(Expression(Integer),...)
 --E 243
 
 --S 244 of 460
@@ -2603,29 +2758,31 @@ a0348:= integrate(t0348,x)
 --d0348:= D(m0348,x)
 --E 245
 
+)clear all
+ 
 --S 246 of 460
 t0349:= log(a*log(b*x^n)^p)
 --R 
 --R
---R                       n p
---R   (129)  log(a log(b x ) )
---R                                         Type: Union(Expression(Integer),...)
+--R                     n p
+--R   (1)  log(a log(b x ) )
+--R                                                    Type: Expression(Integer)
 --E 246
 
 --S 247 of 460
 r0349:= -p*x*Ei(1/n*log(b*x^n))/((b*x^n)^(1/n))+x*log(a*log(b*x^n)^p)
 --R 
 --R
---R                  1
---R                  -                                  n
---R                n n             n p           log(b x )
---R          x (b x ) log(a log(b x ) ) - p x Ei(---------)
---R                                                  n
---R   (130)  ----------------------------------------------
---R                                    1
---R                                    -
---R                                  n n
---R                              (b x )
+--R                1
+--R                -                                  n
+--R              n n             n p           log(b x )
+--R        x (b x ) log(a log(b x ) ) - p x Ei(---------)
+--R                                                n
+--R   (2)  ----------------------------------------------
+--R                                  1
+--R                                  -
+--R                                n n
+--R                            (b x )
 --R                                                    Type: Expression(Integer)
 --E 247
 
@@ -2633,11 +2790,11 @@ r0349:= -p*x*Ei(1/n*log(b*x^n))/((b*x^n)^(1/n))+x*log(a*log(b*x^n)^p)
 a0349:= integrate(t0349,x)
 --R 
 --R
---R             x
---R           ++                n p
---R   (131)   |   log(a log(b %R ) )d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++                n p
+--R   (3)   |   log(a log(b %R ) )d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 248
 
 --S 249 of 460
@@ -2648,13 +2805,15 @@ a0349:= integrate(t0349,x)
 --d0349:= D(m0349,x)
 --E 250
 
+)clear all
+ 
 --S 251 of 460
 t0350:= x^m*log(a*log(b*x)^p)
 --R 
 --R
---R           m              p
---R   (132)  x log(a log(b x) )
---R                                         Type: Union(Expression(Integer),...)
+--R         m              p
+--R   (1)  x log(a log(b x) )
+--R                                                    Type: Expression(Integer)
 --E 251
 
 --S 252 of 460
@@ -2662,10 +2821,10 @@ r0350:= -1/b/(1+m)*(p*x^m*(b*x)^(-m)*Ei((1+m)*log(b*x))-_
         x^(1+m)*log(a*log(b*x)^p)*b)
 --R 
 --R
---R             m + 1              p       m     - m
---R          b x     log(a log(b x) ) - p x (b x)   Ei((m + 1)log(b x))
---R   (133)  ----------------------------------------------------------
---R                                    b m + b
+--R           m + 1              p       m     - m
+--R        b x     log(a log(b x) ) - p x (b x)   Ei((m + 1)log(b x))
+--R   (2)  ----------------------------------------------------------
+--R                                  b m + b
 --R                                                    Type: Expression(Integer)
 --E 252
 
@@ -2673,11 +2832,11 @@ r0350:= -1/b/(1+m)*(p*x^m*(b*x)^(-m)*Ei((1+m)*log(b*x))-_
 a0350:= integrate(t0350,x)
 --R 
 --R
---R             x
---R           ++    m               p
---R   (134)   |   %R log(a log(%R b) )d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++    m               p
+--R   (3)   |   %R log(a log(%R b) )d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 253
 
 --S 254 of 460
@@ -2688,13 +2847,15 @@ a0350:= integrate(t0350,x)
 --d0350:= D(m0350,x)
 --E 255
 
+)clear all
+ 
 --S 256 of 460
 t0351:= x^m*log(a*log(b*x^n)^p)
 --R 
 --R
---R           m             n p
---R   (135)  x log(a log(b x ) )
---R                                         Type: Union(Expression(Integer),...)
+--R         m             n p
+--R   (1)  x log(a log(b x ) )
+--R                                                    Type: Expression(Integer)
 --E 256
 
 --S 257 of 460
@@ -2702,13 +2863,13 @@ r0351:= 1/(1+m)*x^(1+m)*(-p*Ei((1+m)/n*log(b*x^n))*(b*x^n)^(-(1+m)/n)+_
         log(a*log(b*x^n)^p))
 --R 
 --R
---R                                                  - m - 1
---R                                                  -------                 n
---R           m + 1             n p       m + 1    n    n      (m + 1)log(b x )
---R          x     log(a log(b x ) ) - p x     (b x )       Ei(----------------)
---R                                                                    n
---R   (136)  -------------------------------------------------------------------
---R                                         m + 1
+--R                                                - m - 1
+--R                                                -------                 n
+--R         m + 1             n p       m + 1    n    n      (m + 1)log(b x )
+--R        x     log(a log(b x ) ) - p x     (b x )       Ei(----------------)
+--R                                                                  n
+--R   (2)  -------------------------------------------------------------------
+--R                                       m + 1
 --R                                                    Type: Expression(Integer)
 --E 257
 
@@ -2716,11 +2877,11 @@ r0351:= 1/(1+m)*x^(1+m)*(-p*Ei((1+m)/n*log(b*x^n))*(b*x^n)^(-(1+m)/n)+_
 a0351:= integrate(t0351,x)
 --R 
 --R
---R             x
---R           ++    m              n p
---R   (137)   |   %R log(a log(b %R ) )d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++    m              n p
+--R   (3)   |   %R log(a log(b %R ) )d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 258
 
 --S 259 of 460
@@ -2731,15 +2892,17 @@ a0351:= integrate(t0351,x)
 --d0351:= D(m0351,x)
 --E 260
 
+)clear all
+ 
 --S 261 of 460
 t0352:= log(x)/(a+b*log(x))^(1/2)
 --R 
 --R
---R               log(x)
---R   (138)  ---------------
---R           +------------+
---R          \|b log(x) + a
---R                                         Type: Union(Expression(Integer),...)
+--R             log(x)
+--R   (1)  ---------------
+--R         +------------+
+--R        \|b log(x) + a
+--R                                                    Type: Expression(Integer)
 --E 261
 
 --S 262 of 460
@@ -2752,6 +2915,7 @@ r0352:= -1/2*(2*a+b)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
 --R      to learn if there is any operation containing " erfi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named erfi 
 --R      with argument type(s) 
 --R                             Expression(Integer)
@@ -2764,6 +2928,7 @@ r0352:= -1/2*(2*a+b)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
 a0352:= integrate(t0352,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -2779,14 +2944,16 @@ a0352:= integrate(t0352,x)
 --d0352:= D(m0352,x)
 --E 265
 
+)clear all
+ 
 --S 266 of 460
 t0353:= log(x)/(a-b*log(x))^(1/2)
 --R 
 --R
---R                log(x)
---R   (139)  -----------------
---R           +--------------+
---R          \|- b log(x) + a
+--R              log(x)
+--R   (1)  -----------------
+--R         +--------------+
+--R        \|- b log(x) + a
 --R                                                    Type: Expression(Integer)
 --E 266
 
@@ -2795,15 +2962,15 @@ r0353:= -1/2*(2*a-b)*exp(1)^(a/b)*%pi^(1/2)*erf((a-b*log(x))^(1/2)/_
         b^(1/2))/b^(3/2)-x*(a-b*log(x))^(1/2)/b
 --R 
 --R
---R                    a
---R                    -           +--------------+
---R                    b +---+    \|- b log(x) + a        +-+ +--------------+
---R          (b - 2a)%e \|%pi erf(-----------------) - 2x\|b \|- b log(x) + a
---R                                       +-+
---R                                      \|b
---R   (140)  -----------------------------------------------------------------
---R                                           +-+
---R                                        2b\|b
+--R                  a
+--R                  -           +--------------+
+--R                  b +---+    \|- b log(x) + a        +-+ +--------------+
+--R        (b - 2a)%e \|%pi erf(-----------------) - 2x\|b \|- b log(x) + a
+--R                                     +-+
+--R                                    \|b
+--R   (2)  -----------------------------------------------------------------
+--R                                         +-+
+--R                                      2b\|b
 --R                                                    Type: Expression(Integer)
 --E 267
 
@@ -2811,6 +2978,7 @@ r0353:= -1/2*(2*a-b)*exp(1)^(a/b)*%pi^(1/2)*erf((a-b*log(x))^(1/2)/_
 a0353:= integrate(t0353,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -2826,14 +2994,16 @@ a0353:= integrate(t0353,x)
 --d0353:= D(m0353,x)
 --E 270
 
+)clear all
+ 
 --S 271 of 460
 t0354:= (A+B*log(x))/(a+b*log(x))^(1/2)
 --R 
 --R
---R            B log(x) + A
---R   (141)  ---------------
---R           +------------+
---R          \|b log(x) + a
+--R          B log(x) + A
+--R   (1)  ---------------
+--R         +------------+
+--R        \|b log(x) + a
 --R                                                    Type: Expression(Integer)
 --E 271
 
@@ -2847,6 +3017,7 @@ r0354:= 1/2*(2*A*b-(2*a+b)*B)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
 --R      to learn if there is any operation containing " erfi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named erfi 
 --R      with argument type(s) 
 --R                             Expression(Integer)
@@ -2859,6 +3030,7 @@ r0354:= 1/2*(2*A*b-(2*a+b)*B)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
 a0354:= integrate(t0354,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -2874,14 +3046,16 @@ a0354:= integrate(t0354,x)
 --d0354:= D(m0354,x)
 --E 275
 
+)clear all
+ 
 --S 276 of 460
 t0355:= (A+B*log(x))/(a-b*log(x))^(1/2)
 --R 
 --R
---R             B log(x) + A
---R   (142)  -----------------
---R           +--------------+
---R          \|- b log(x) + a
+--R           B log(x) + A
+--R   (1)  -----------------
+--R         +--------------+
+--R        \|- b log(x) + a
 --R                                                    Type: Expression(Integer)
 --E 276
 
@@ -2890,7 +3064,7 @@ r0355:= -1/2*(2*A*b+(2*a-b)*B)*exp(1)^(a/b)*%pi^(1/2)*_
         erf((a-b*log(x))^(1/2)/b^(1/2))/b^(3/2)-B*x*(a-b*log(x))^(1/2)/b
 --R 
 --R
---R   (143)
+--R   (2)
 --R                       a
 --R                       -           +--------------+
 --R                       b +---+    \|- b log(x) + a          +-+ +--------------+
@@ -2907,6 +3081,7 @@ r0355:= -1/2*(2*A*b+(2*a-b)*B)*exp(1)^(a/b)*%pi^(1/2)*_
 a0355:= integrate(t0355,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -2922,11 +3097,13 @@ a0355:= integrate(t0355,x)
 --d0355:= D(m0355,x)
 --E 280
 
+)clear all
+ 
 --S 281 of 460
 t0356:= log(x)*sin(a+b*x)
 --R 
 --R
---R   (144)  log(x)sin(b x + a)
+--R   (1)  log(x)sin(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 281
 
@@ -2934,9 +3111,9 @@ t0356:= log(x)*sin(a+b*x)
 r0356:= (cos(a)*Ci(b*x)-log(x)*cos(a+b*x)-sin(a)*Si(b*x))/b
 --R 
 --R
---R          - Si(b x)sin(a) - cos(b x + a)log(x) + Ci(b x)cos(a)
---R   (145)  ----------------------------------------------------
---R                                    b
+--R        - Si(b x)sin(a) - cos(b x + a)log(x) + Ci(b x)cos(a)
+--R   (2)  ----------------------------------------------------
+--R                                  b
 --R                                                    Type: Expression(Integer)
 --E 282
 
@@ -2944,11 +3121,11 @@ r0356:= (cos(a)*Ci(b*x)-log(x)*cos(a+b*x)-sin(a)*Si(b*x))/b
 a0356:= integrate(t0356,x)
 --R 
 --R
---R             x
---R           ++
---R   (146)   |   log(%R)sin(%R b + a)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++
+--R   (3)   |   log(%R)sin(%R b + a)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 283
 
 --S 284 of 460
@@ -2959,13 +3136,15 @@ a0356:= integrate(t0356,x)
 --d0356:= D(m0356,x)
 --E 285
 
+)clear all
+ 
 --S 286 of 460
 t0357:= log(x)*sin(a+b*x)^2
 --R 
 --R
---R                            2
---R   (147)  log(x)sin(b x + a)
---R                                         Type: Union(Expression(Integer),...)
+--R                          2
+--R   (1)  log(x)sin(b x + a)
+--R                                                    Type: Expression(Integer)
 --E 286
 
 --S 287 of 460
@@ -2973,7 +3152,7 @@ r0357:= -1/4*(2*b*x-Ci(2*b*x)*sin(2*a)-2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
         sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
 --R 
 --R
---R   (148)
+--R   (2)
 --R       - 2cos(b x + a)log(x)sin(b x + a) + Ci(2b x)sin(2a) + 2b x log(x)
 --R     + 
 --R       Si(2b x)cos(2a) - 2b x
@@ -2986,11 +3165,11 @@ r0357:= -1/4*(2*b*x-Ci(2*b*x)*sin(2*a)-2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
 a0357:= integrate(t0357,x)
 --R 
 --R
---R             x
---R           ++                      2
---R   (149)   |   log(%R)sin(%R b + a) d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++                      2
+--R   (3)   |   log(%R)sin(%R b + a) d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 288
 
 --S 289 of 460
@@ -3001,13 +3180,15 @@ a0357:= integrate(t0357,x)
 --d0357:= D(m0357,x)
 --E 290
 
+)clear all
+ 
 --S 291 of 460
 t0358:= log(x)*sin(a+b*x)^3
 --R 
 --R
---R                            3
---R   (150)  log(x)sin(b x + a)
---R                                         Type: Union(Expression(Integer),...)
+--R                          3
+--R   (1)  log(x)sin(b x + a)
+--R                                                    Type: Expression(Integer)
 --E 291
 
 --S 292 of 460
@@ -3015,7 +3196,7 @@ r0358:= 1/12*(9*cos(a)*Ci(b*x)-cos(3*a)*Ci(3*b*x)-12*log(x)*cos(a+b*x)+_
         4*log(x)*cos(a+b*x)^3-9*sin(a)*Si(b*x)+sin(3*a)*Si(3*b*x))/b
 --R 
 --R
---R   (151)
+--R   (2)
 --R       Si(3b x)sin(3a) - 9Si(b x)sin(a)
 --R     + 
 --R                   3
@@ -3029,11 +3210,11 @@ r0358:= 1/12*(9*cos(a)*Ci(b*x)-cos(3*a)*Ci(3*b*x)-12*log(x)*cos(a+b*x)+_
 a0358:= integrate(t0358,x)
 --R 
 --R
---R             x
---R           ++                      3
---R   (152)   |   log(%R)sin(%R b + a) d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++                      3
+--R   (3)   |   log(%R)sin(%R b + a) d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 293
 
 --S 294 of 460
@@ -3044,21 +3225,23 @@ a0358:= integrate(t0358,x)
 --d0358:= D(m0358,x)
 --E 295
 
+)clear all
+ 
 --S 296 of 460
 t0359:= log(x)*cos(a+b*x)
 --R 
 --R
---R   (153)  cos(b x + a)log(x)
---R                                         Type: Union(Expression(Integer),...)
+--R   (1)  cos(b x + a)log(x)
+--R                                                    Type: Expression(Integer)
 --E 296
 
 --S 297 of 460
 r0359:= -(Ci(b*x)*sin(a)-log(x)*sin(a+b*x)+cos(a)*Si(b*x))/b
 --R 
 --R
---R          log(x)sin(b x + a) - Ci(b x)sin(a) - Si(b x)cos(a)
---R   (154)  --------------------------------------------------
---R                                   b
+--R        log(x)sin(b x + a) - Ci(b x)sin(a) - Si(b x)cos(a)
+--R   (2)  --------------------------------------------------
+--R                                 b
 --R                                                    Type: Expression(Integer)
 --E 297
 
@@ -3066,11 +3249,11 @@ r0359:= -(Ci(b*x)*sin(a)-log(x)*sin(a+b*x)+cos(a)*Si(b*x))/b
 a0359:= integrate(t0359,x)
 --R 
 --R
---R             x
---R           ++
---R   (155)   |   cos(%R b + a)log(%R)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++
+--R   (3)   |   cos(%R b + a)log(%R)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 298
 
 --S 299 of 460
@@ -3081,13 +3264,15 @@ a0359:= integrate(t0359,x)
 --d0359:= D(m0359,x)
 --E 300
 
+)clear all
+ 
 --S 301 of 460
 t0360:= log(x)*cos(a+b*x)^2
 --R 
 --R
---R                      2
---R   (156)  cos(b x + a) log(x)
---R                                         Type: Union(Expression(Integer),...)
+--R                    2
+--R   (1)  cos(b x + a) log(x)
+--R                                                    Type: Expression(Integer)
 --E 301
 
 --S 302 of 460
@@ -3095,7 +3280,7 @@ r0360:= 1/4*(-2*b*x-Ci(2*b*x)*sin(2*a)+2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
         sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
 --R 
 --R
---R   (157)
+--R   (2)
 --R       2cos(b x + a)log(x)sin(b x + a) - Ci(2b x)sin(2a) + 2b x log(x)
 --R     + 
 --R       - Si(2b x)cos(2a) - 2b x
@@ -3108,11 +3293,11 @@ r0360:= 1/4*(-2*b*x-Ci(2*b*x)*sin(2*a)+2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
 a0360:= integrate(t0360,x)
 --R 
 --R
---R             x
---R           ++               2
---R   (158)   |   cos(%R b + a) log(%R)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++               2
+--R   (3)   |   cos(%R b + a) log(%R)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 303
 
 --S 304 of 460
@@ -3123,13 +3308,15 @@ a0360:= integrate(t0360,x)
 --d0360:= D(m0360,x)
 --E 305
 
+)clear all
+ 
 --S 306 of 460
 t0361:= log(x)*cos(a+b*x)^3
 --R 
 --R
---R                      3
---R   (159)  cos(b x + a) log(x)
---R                                         Type: Union(Expression(Integer),...)
+--R                    3
+--R   (1)  cos(b x + a) log(x)
+--R                                                    Type: Expression(Integer)
 --E 306
 
 --S 307 of 460
@@ -3137,7 +3324,7 @@ r0361:= -1/12*(9*Ci(b*x)*sin(a)+Ci(3*b*x)*sin(3*a)-8*log(x)*sin(a+b*x)-_
         4*log(x)*sin(a+b*x)*cos(a+b*x)^2+9*cos(a)*Si(b*x)+cos(3*a)*Si(3*b*x))/b
 --R 
 --R
---R   (160)
+--R   (2)
 --R                     2
 --R       (4cos(b x + a)  + 8)log(x)sin(b x + a) - Ci(3b x)sin(3a) - 9Ci(b x)sin(a)
 --R     + 
@@ -3151,11 +3338,11 @@ r0361:= -1/12*(9*Ci(b*x)*sin(a)+Ci(3*b*x)*sin(3*a)-8*log(x)*sin(a+b*x)-_
 a0361:= integrate(t0361,x)
 --R 
 --R
---R             x
---R           ++               3
---R   (161)   |   cos(%R b + a) log(%R)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++               3
+--R   (3)   |   cos(%R b + a) log(%R)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 308
 
 --S 309 of 460
@@ -3166,12 +3353,14 @@ a0361:= integrate(t0361,x)
 --d0361:= D(m0361,x)
 --E 310
 
+)clear all
+ 
 --S 311 of 460
 t0362:= log(x)*sinh(a+b*x)
 --R 
 --R
---R   (162)  log(x)sinh(b x + a)
---R                                         Type: Union(Expression(Integer),...)
+--R   (1)  log(x)sinh(b x + a)
+--R                                                    Type: Expression(Integer)
 --E 311
 
 --S 312 of 460
@@ -3183,6 +3372,7 @@ r0362:= (-cosh(a)*Chi(b*x)+log(x)*cosh(a+b*x)-sinh(a)*Shi(b*x))/b
 --R      to learn if there is any operation containing " Chi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named Chi 
 --R      with argument type(s) 
 --R                             Polynomial(Integer)
@@ -3195,11 +3385,11 @@ r0362:= (-cosh(a)*Chi(b*x)+log(x)*cosh(a+b*x)-sinh(a)*Shi(b*x))/b
 a0362:= integrate(t0362,x)
 --R 
 --R
---R             x
---R           ++
---R   (163)   |   log(%R)sinh(%R b + a)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++
+--R   (2)   |   log(%R)sinh(%R b + a)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 313
 
 --S 314 of 460
@@ -3210,13 +3400,15 @@ a0362:= integrate(t0362,x)
 --d0362:= D(m0362,x)
 --E 315
 
+)clear all
+ 
 --S 316 of 460
 t0363:= log(x)*sinh(a+b*x)^3
 --R 
 --R
---R                             3
---R   (164)  log(x)sinh(b x + a)
---R                                         Type: Union(Expression(Integer),...)
+--R                           3
+--R   (1)  log(x)sinh(b x + a)
+--R                                                    Type: Expression(Integer)
 --E 316
 
 --S 317 of 460
@@ -3229,6 +3421,7 @@ r0363:= 1/12*(9*cosh(a)*Chi(b*x)-cosh(3*a)*Chi(3*b*x)-12*log(x)*cosh(a+b*x)+_
 --R      to learn if there is any operation containing " Chi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named Chi 
 --R      with argument type(s) 
 --R                             Polynomial(Integer)
@@ -3241,11 +3434,11 @@ r0363:= 1/12*(9*cosh(a)*Chi(b*x)-cosh(3*a)*Chi(3*b*x)-12*log(x)*cosh(a+b*x)+_
 a0363:= integrate(t0363,x)
 --R 
 --R
---R             x
---R           ++                       3
---R   (165)   |   log(%R)sinh(%R b + a) d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++                       3
+--R   (2)   |   log(%R)sinh(%R b + a) d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 318
 
 --S 319 of 460
@@ -3256,12 +3449,14 @@ a0363:= integrate(t0363,x)
 --d0363:= D(m0363,x)
 --E 320
 
+)clear all
+ 
 --S 321 of 460
 t0364:= log(x)*cosh(a+b*x)
 --R 
 --R
---R   (166)  cosh(b x + a)log(x)
---R                                         Type: Union(Expression(Integer),...)
+--R   (1)  cosh(b x + a)log(x)
+--R                                                    Type: Expression(Integer)
 --E 321
 
 --S 322 of 460
@@ -3273,6 +3468,7 @@ r0364:= (-Chi(b*x)*sinh(a)+log(x)*sinh(a+b*x)-cosh(a)*Shi(b*x))/b
 --R      to learn if there is any operation containing " Chi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named Chi 
 --R      with argument type(s) 
 --R                             Polynomial(Integer)
@@ -3285,11 +3481,11 @@ r0364:= (-Chi(b*x)*sinh(a)+log(x)*sinh(a+b*x)-cosh(a)*Shi(b*x))/b
 a0364:= integrate(t0364,x)
 --R 
 --R
---R             x
---R           ++
---R   (167)   |   cosh(%R b + a)log(%R)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++
+--R   (2)   |   cosh(%R b + a)log(%R)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 323
 
 --S 324 of 460
@@ -3300,13 +3496,15 @@ a0364:= integrate(t0364,x)
 --d0364:= D(m0364,x)
 --E 325
 
+)clear all
+ 
 --S 326 of 460
 t0365:= log(x)*cosh(a+b*x)^3
 --R 
 --R
---R                       3
---R   (168)  cosh(b x + a) log(x)
---R                                         Type: Union(Expression(Integer),...)
+--R                     3
+--R   (1)  cosh(b x + a) log(x)
+--R                                                    Type: Expression(Integer)
 --E 326
 
 --S 327 of 460
@@ -3320,6 +3518,7 @@ r0365:= 1/12/b*(-9*Chi(b*x)*sinh(a)-Chi(3*b*x)*sinh(3*a)+8*log(x)*_
 --R      to learn if there is any operation containing " Chi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named Chi 
 --R      with argument type(s) 
 --R                             Polynomial(Integer)
@@ -3332,11 +3531,11 @@ r0365:= 1/12/b*(-9*Chi(b*x)*sinh(a)-Chi(3*b*x)*sinh(3*a)+8*log(x)*_
 a0365:= integrate(t0365,x)
 --R 
 --R
---R             x
---R           ++                3
---R   (169)   |   cosh(%R b + a) log(%R)d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++                3
+--R   (2)   |   cosh(%R b + a) log(%R)d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 328
 
 --S 329 of 460
@@ -3347,14 +3546,16 @@ a0365:= integrate(t0365,x)
 --d0365:= D(m0365,x)
 --E 330
 
+)clear all
+ 
 --S 331 of 460
 t0366:= x*(4+x^2)^(1/2)*log(x)
 --R 
 --R
---R                   +------+
---R                   | 2
---R   (170)  x log(x)\|x  + 4
---R                                         Type: Union(Expression(Integer),...)
+--R                 +------+
+--R                 | 2
+--R   (1)  x log(x)\|x  + 4
+--R                                                    Type: Expression(Integer)
 --E 331
 
 --S 332 of 460
@@ -3362,13 +3563,13 @@ r0366:= -4/3*(4+x^2)^(1/2)-1/9*(4+x^2)^(3/2)+8/3*atanh(1/2*(4+x^2)^(1/2))+_
         1/3*(4+x^2)^(3/2)*log(x)
 --R 
 --R
---R                   +------+
---R                   | 2                                      +------+
---R                  \|x  + 4         2                2       | 2
---R          24atanh(---------) + ((3x  + 12)log(x) - x  - 16)\|x  + 4
---R                      2
---R   (171)  ----------------------------------------------------------
---R                                       9
+--R                 +------+
+--R                 | 2                                      +------+
+--R                \|x  + 4         2                2       | 2
+--R        24atanh(---------) + ((3x  + 12)log(x) - x  - 16)\|x  + 4
+--R                    2
+--R   (2)  ----------------------------------------------------------
+--R                                     9
 --R                                                    Type: Expression(Integer)
 --E 332
 
@@ -3376,7 +3577,7 @@ r0366:= -4/3*(4+x^2)^(1/2)-1/9*(4+x^2)^(3/2)+8/3*atanh(1/2*(4+x^2)^(1/2))+_
 a0366:= integrate(t0366,x)
 --R 
 --R
---R   (172)
+--R   (3)
 --R                    +------+                   +------+
 --R            2       | 2           3            | 2
 --R       ((24x  + 24)\|x  + 4  - 24x  - 72x)log(\|x  + 4  - x + 2)
@@ -3395,41 +3596,42 @@ a0366:= integrate(t0366,x)
 --R               +------+
 --R        2      | 2          3
 --R     (9x  + 9)\|x  + 4  - 9x  - 27x
---R                                                    Type: Expression(Integer)
+--R                                         Type: Union(Expression(Integer),...)
 --E 333
 
 --S 334 of 460
 m0366:= a0366-r0366
 --R 
 --R
---R   (173)
---R                                                               +------+
---R         +------+                  +------+                    | 2
---R         | 2                       | 2                        \|x  + 4
---R   8log(\|x  + 4  - x + 2) - 8log(\|x  + 4  - x - 2) - 8atanh(---------)
---R                                                                  2
---R   ---------------------------------------------------------------------
---R                                     3
---R                                         Type: Union(Expression(Integer),...)
+--R                                                                    +------+
+--R              +------+                  +------+                    | 2
+--R              | 2                       | 2                        \|x  + 4
+--R        8log(\|x  + 4  - x + 2) - 8log(\|x  + 4  - x - 2) - 8atanh(---------)
+--R                                                                       2
+--R   (4)  ---------------------------------------------------------------------
+--R                                          3
+--R                                                    Type: Expression(Integer)
 --E 334
 
 --S 335 of 460
 d0366:= D(m0366,x)
 --R 
 --R
---R   (174)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 335
 
+)clear all
+ 
 --S 336 of 460
 t0367:= x*log(x)/(-1+x^2)^(1/2)
 --R 
 --R
---R           x log(x)
---R   (175)  ---------
---R           +------+
---R           | 2
---R          \|x  - 1
+--R         x log(x)
+--R   (1)  ---------
+--R         +------+
+--R         | 2
+--R        \|x  - 1
 --R                                                    Type: Expression(Integer)
 --E 336
 
@@ -3437,9 +3639,9 @@ t0367:= x*log(x)/(-1+x^2)^(1/2)
 r0367:= -(-1+x^2)^(1/2)+atan((-1+x^2)^(1/2))+(-1+x^2)^(1/2)*log(x)
 --R 
 --R
---R                +------+                 +------+
---R                | 2                      | 2
---R   (176)  atan(\|x  - 1 ) + (log(x) - 1)\|x  - 1
+--R              +------+                 +------+
+--R              | 2                      | 2
+--R   (2)  atan(\|x  - 1 ) + (log(x) - 1)\|x  - 1
 --R                                                    Type: Expression(Integer)
 --E 337
 
@@ -3447,7 +3649,7 @@ r0367:= -(-1+x^2)^(1/2)+atan((-1+x^2)^(1/2))+(-1+x^2)^(1/2)*log(x)
 a0367:= integrate(t0367,x)
 --R 
 --R
---R   (177)
+--R   (3)
 --R          +------+            +------+                         +------+
 --R          | 2                 | 2                              | 2
 --R       (2\|x  - 1  - 2x)atan(\|x  - 1  - x) + (- x log(x) + x)\|x  - 1
@@ -3458,32 +3660,34 @@ a0367:= integrate(t0367,x)
 --R      +------+
 --R      | 2
 --R     \|x  - 1  - x
---R                                                    Type: Expression(Integer)
+--R                                         Type: Union(Expression(Integer),...)
 --E 338
 
 --S 339 of 460
 m0367:= a0367-r0367
 --R 
 --R
---R                  +------+           +------+
---R                  | 2                | 2
---R   (178)  - atan(\|x  - 1 ) + 2atan(\|x  - 1  - x)
---R                                         Type: Union(Expression(Integer),...)
+--R                +------+           +------+
+--R                | 2                | 2
+--R   (4)  - atan(\|x  - 1 ) + 2atan(\|x  - 1  - x)
+--R                                                    Type: Expression(Integer)
 --E 339
 
 --S 340 of 460
 d0367:= D(m0367,x)
 --R 
 --R
---R   (179)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 340
 
+)clear all
+ 
 --S 341 of 460
 t0368:= log(cos(x))*tan(x)
 --R 
 --R
---R   (180)  tan(x)log(cos(x))
+--R   (1)  tan(x)log(cos(x))
 --R                                                    Type: Expression(Integer)
 --E 341
 
@@ -3491,10 +3695,10 @@ t0368:= log(cos(x))*tan(x)
 r0368:= -1/2*log(cos(x))^2
 --R 
 --R
---R                       2
---R            log(cos(x))
---R   (181)  - ------------
---R                  2
+--R                     2
+--R          log(cos(x))
+--R   (2)  - ------------
+--R                2
 --R                                                    Type: Expression(Integer)
 --E 342
 
@@ -3502,34 +3706,36 @@ r0368:= -1/2*log(cos(x))^2
 a0368:= integrate(t0368,x)
 --R 
 --R
---R                       2
---R            log(cos(x))
---R   (182)  - ------------
---R                  2
---R                                                    Type: Expression(Integer)
+--R                     2
+--R          log(cos(x))
+--R   (3)  - ------------
+--R                2
+--R                                         Type: Union(Expression(Integer),...)
 --E 343
 
 --S 344 of 460
 m0368:= a0368-r0368
 --R 
 --R
---R   (183)  0
---R                                         Type: Union(Expression(Integer),...)
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
 --E 344
 
 --S 345 of 460
 d0368:= D(m0368,x)
 --R 
 --R
---R   (184)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 345
 
+)clear all
+ 
 --S 346 of 460
 t0369:= cos(x)*log(cos(x))
 --R 
 --R
---R   (185)  cos(x)log(cos(x))
+--R   (1)  cos(x)log(cos(x))
 --R                                                    Type: Expression(Integer)
 --E 346
 
@@ -3537,7 +3743,7 @@ t0369:= cos(x)*log(cos(x))
 r0369:= atanh(sin(x))-sin(x)+log(cos(x))*sin(x)
 --R 
 --R
---R   (186)  sin(x)log(cos(x)) + atanh(sin(x)) - sin(x)
+--R   (2)  sin(x)log(cos(x)) + atanh(sin(x)) - sin(x)
 --R                                                    Type: Expression(Integer)
 --E 347
 
@@ -3545,36 +3751,38 @@ r0369:= atanh(sin(x))-sin(x)+log(cos(x))*sin(x)
 a0369:= integrate(t0369,x)
 --R 
 --R
---R          log(sin(x) + 1) - log(sin(x) - 1) + 2sin(x)log(cos(x)) - 2sin(x)
---R   (187)  ----------------------------------------------------------------
---R                                          2
---R                                                    Type: Expression(Integer)
+--R        log(sin(x) + 1) - log(sin(x) - 1) + 2sin(x)log(cos(x)) - 2sin(x)
+--R   (3)  ----------------------------------------------------------------
+--R                                        2
+--R                                         Type: Union(Expression(Integer),...)
 --E 348
 
 --S 349 of 460
 m0369:= a0369-r0369
 --R 
 --R
---R          log(sin(x) + 1) - log(sin(x) - 1) - 2atanh(sin(x))
---R   (188)  --------------------------------------------------
---R                                   2
---R                                         Type: Union(Expression(Integer),...)
+--R        log(sin(x) + 1) - log(sin(x) - 1) - 2atanh(sin(x))
+--R   (4)  --------------------------------------------------
+--R                                 2
+--R                                                    Type: Expression(Integer)
 --E 349
 
 --S 350 of 460
 d0369:= D(m0369,x)
 --R 
 --R
---R   (189)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 350
 
+)clear all
+ 
 --S 351 of 460
 t0370:= log(sin(x))*sin(x)^2
 --R 
 --R
---R                2
---R   (190)  sin(x) log(sin(x))
+--R              2
+--R   (1)  sin(x) log(sin(x))
 --R                                                    Type: Expression(Integer)
 --E 351
 
@@ -3589,6 +3797,7 @@ r0370:= 1/4*x+1/4*%i*x^2-1/2*x*log(1-exp(1)^(2*%i*x))+_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -3602,11 +3811,11 @@ r0370:= 1/4*x+1/4*%i*x^2-1/2*x*log(1-exp(1)^(2*%i*x))+_
 a0370:= integrate(t0370,x)
 --R 
 --R
---R             x
---R           ++         2
---R   (191)   |   sin(%R) log(sin(%R))d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++         2
+--R   (2)   |   sin(%R) log(sin(%R))d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 353
 
 --S 354 of 460
@@ -3617,13 +3826,15 @@ a0370:= integrate(t0370,x)
 --d0370:= D(m0370,x)
 --E 355
 
+)clear all
+ 
 --S 356 of 460
 t0371:= log(sin(x))*sin(x)^3
 --R 
 --R
---R                3
---R   (192)  sin(x) log(sin(x))
---R                                         Type: Union(Expression(Integer),...)
+--R              3
+--R   (1)  sin(x) log(sin(x))
+--R                                                    Type: Expression(Integer)
 --E 356
 
 --S 357 of 460
@@ -3631,10 +3842,10 @@ r0371:= -2/3*atanh(cos(x))+2/3*cos(x)-1/9*cos(x)^3-_
         1/3*cos(x)*(3-cos(x)^2)*log(sin(x))
 --R 
 --R
---R                  3                                                3
---R          (3cos(x)  - 9cos(x))log(sin(x)) - 6atanh(cos(x)) - cos(x)  + 6cos(x)
---R   (193)  --------------------------------------------------------------------
---R                                            9
+--R                3                                                3
+--R        (3cos(x)  - 9cos(x))log(sin(x)) - 6atanh(cos(x)) - cos(x)  + 6cos(x)
+--R   (2)  --------------------------------------------------------------------
+--R                                          9
 --R                                                    Type: Expression(Integer)
 --E 357
 
@@ -3642,7 +3853,7 @@ r0371:= -2/3*atanh(cos(x))+2/3*cos(x)-1/9*cos(x)^3-_
 a0371:= integrate(t0371,x)
 --R 
 --R
---R   (194)
+--R   (3)
 --R               3
 --R       (3cos(x)  - 9cos(x))log(sin(x)) - 3log(cos(x) + 1) + 3log(cos(x) - 1)
 --R     + 
@@ -3650,7 +3861,7 @@ a0371:= integrate(t0371,x)
 --R       - cos(x)  + 6cos(x)
 --R  /
 --R     9
---R                                                    Type: Expression(Integer)
+--R                                         Type: Union(Expression(Integer),...)
 --E 358
 
 --S 359 of 460
@@ -3661,13 +3872,15 @@ a0371:= integrate(t0371,x)
 --d0371:= D(m0371,x)
 --E 360
 
+)clear all
+ 
 --S 361 of 460
 t0372:= log(sin(x^(1/2)))
 --R 
 --R
---R                   +-+
---R   (195)  log(sin(\|x ))
---R                                         Type: Union(Expression(Integer),...)
+--R                 +-+
+--R   (1)  log(sin(\|x ))
+--R                                                    Type: Expression(Integer)
 --E 361
 
 --S 362 of 460
@@ -3681,6 +3894,7 @@ r0372:= 1/3*%i*x^(3/2)-x*log(1-exp(2*%i*x^(1/2)))+x*log(sin(x^(1/2)))+_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -3694,11 +3908,11 @@ r0372:= 1/3*%i*x^(3/2)-x*log(1-exp(2*%i*x^(1/2)))+x*log(sin(x^(1/2)))+_
 a0372:= integrate(t0372,x)
 --R 
 --R
---R             x
---R           ++           +--+
---R   (196)   |   log(sin(\|%R ))d%R
---R          ++
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++           +--+
+--R   (2)   |   log(sin(\|%R ))d%R
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
 --E 363
 
 --S 364 of 460
@@ -3709,20 +3923,22 @@ a0372:= integrate(t0372,x)
 --d0372:= D(m0372,x)
 --E 365
 
+)clear all
+ 
 --S 366 of 460
 t0373:= log(sin(x))*csc(x)^2
 --R 
 --R
---R                2
---R   (197)  csc(x) log(sin(x))
---R                                         Type: Union(Expression(Integer),...)
+--R              2
+--R   (1)  csc(x) log(sin(x))
+--R                                                    Type: Expression(Integer)
 --E 366
 
 --S 367 of 460
 r0373:= -x-cot(x)-cot(x)*log(sin(x))
 --R 
 --R
---R   (198)  - cot(x)log(sin(x)) - cot(x) - x
+--R   (2)  - cot(x)log(sin(x)) - cot(x) - x
 --R                                                    Type: Expression(Integer)
 --E 367
 
@@ -3730,19 +3946,19 @@ r0373:= -x-cot(x)-cot(x)*log(sin(x))
 a0373:= integrate(t0373,x)
 --R 
 --R
---R                                                           2
---R          cos(x)sin(x)log(sin(x)) + cos(x)sin(x) - x cos(x)  + x
---R   (199)  ------------------------------------------------------
---R                                      2
---R                                cos(x)  - 1
---R                                                    Type: Expression(Integer)
+--R                                                         2
+--R        cos(x)sin(x)log(sin(x)) + cos(x)sin(x) - x cos(x)  + x
+--R   (3)  ------------------------------------------------------
+--R                                    2
+--R                              cos(x)  - 1
+--R                                         Type: Union(Expression(Integer),...)
 --E 368
 
 --S 369 of 460
 m0373:= a0373-r0373
 --R 
 --R
---R   (200)
+--R   (4)
 --R                              2
 --R       (cos(x)sin(x) + (cos(x)  - 1)cot(x))log(sin(x)) + cos(x)sin(x)
 --R     + 
@@ -3751,14 +3967,14 @@ m0373:= a0373-r0373
 --R  /
 --R           2
 --R     cos(x)  - 1
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 369
 
 --S 370 of 460
 d0373:= D(m0373,x)
 --R 
 --R
---R   (201)
+--R   (5)
 --R                  2           3
 --R           (cos(x)  + 1)sin(x)
 --R         + 
@@ -3781,14 +3997,16 @@ d0373:= D(m0373,x)
 --R                                                    Type: Expression(Integer)
 --E 370
 
+)clear all
+ 
 --S 371 of 460
 t0374:= x*log(x)/(a+b*x+c*x^2)
 --R 
 --R
---R             x log(x)
---R   (202)  --------------
---R             2
---R          c x  + b x + a
+--R           x log(x)
+--R   (1)  --------------
+--R           2
+--R        c x  + b x + a
 --R                                                    Type: Expression(Integer)
 --E 371
 
@@ -3808,6 +4026,7 @@ r0374:= 1/2*(1-b/(b^2-4*a*c)^(1/2))*log(x)*_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -3821,12 +4040,12 @@ r0374:= 1/2*(1-b/(b^2-4*a*c)^(1/2))*log(x)*_
 a0374:= integrate(t0374,x)
 --R 
 --R
---R             x
---R           ++     %R log(%R)
---R   (203)   |   --------------- d%R
---R          ++     2
---R               %R c + %R b + a
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++     %R log(%R)
+--R   (2)   |   --------------- d%R
+--R        ++     2
+--R             %R c + %R b + a
+--R                                         Type: Union(Expression(Integer),...)
 --E 373
 
 --S 374 of 460
@@ -3837,16 +4056,18 @@ a0374:= integrate(t0374,x)
 --d0374:= D(m0374,x)
 --E 375
 
+)clear all
+ 
 --S 376 of 460
 t0375:= x^2*log(x)/(a+b*x+c*x^2)
 --R 
 --R
---R              2
---R             x log(x)
---R   (204)  --------------
---R             2
---R          c x  + b x + a
---R                                         Type: Union(Expression(Integer),...)
+--R            2
+--R           x log(x)
+--R   (1)  --------------
+--R           2
+--R        c x  + b x + a
+--R                                                    Type: Expression(Integer)
 --E 376
 
 --S 377 of 460
@@ -3866,6 +4087,7 @@ r0375:= -x/c+x*log(x)/c+1/4*(b-(b^2-4*a*c)^(1/2))^2*log(x)*_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -3879,12 +4101,12 @@ r0375:= -x/c+x*log(x)/c+1/4*(b-(b^2-4*a*c)^(1/2))^2*log(x)*_
 a0375:= integrate(t0375,x)
 --R 
 --R
---R             x      2
---R           ++     %R log(%R)
---R   (205)   |   --------------- d%R
---R          ++     2
---R               %R c + %R b + a
---R                                                    Type: Expression(Integer)
+--R           x      2
+--R         ++     %R log(%R)
+--R   (2)   |   --------------- d%R
+--R        ++     2
+--R             %R c + %R b + a
+--R                                         Type: Union(Expression(Integer),...)
 --E 378
 
 --S 379 of 460
@@ -3895,15 +4117,17 @@ a0375:= integrate(t0375,x)
 --d0375:= D(m0375,x)
 --E 380
 
+)clear all
+ 
 --S 381 of 460
 t0376:= log(x)/x^2/(a+b*x+c*x^2)
 --R 
 --R
---R                log(x)
---R   (206)  ------------------
---R             4      3      2
---R          c x  + b x  + a x
---R                                         Type: Union(Expression(Integer),...)
+--R              log(x)
+--R   (1)  ------------------
+--R           4      3      2
+--R        c x  + b x  + a x
+--R                                                    Type: Expression(Integer)
 --E 381
 
 --S 382 of 460
@@ -3928,6 +4152,7 @@ r0376:= -2*c/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))/x+_
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -3941,12 +4166,12 @@ r0376:= -2*c/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))/x+_
 a0376:= integrate(t0376,x)
 --R 
 --R
---R             x
---R           ++        log(%R)
---R   (207)   |   ------------------ d%R
---R          ++     4      3      2
---R               %R c + %R b + %R a
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++        log(%R)
+--R   (2)   |   ------------------ d%R
+--R        ++     4      3      2
+--R             %R c + %R b + %R a
+--R                                         Type: Union(Expression(Integer),...)
 --E 383
 
 --S 384 of 460
@@ -3957,25 +4182,27 @@ a0376:= integrate(t0376,x)
 --d0376:= D(m0376,x)
 --E 385
 
+)clear all
+ 
 --S 386 of 460
 t0377:= (2-log(x))*(3+log(x))^2/x
 --R 
 --R
---R                  3          2
---R          - log(x)  - 4log(x)  + 3log(x) + 18
---R   (208)  -----------------------------------
---R                           x
---R                                         Type: Union(Expression(Integer),...)
+--R                3          2
+--R        - log(x)  - 4log(x)  + 3log(x) + 18
+--R   (1)  -----------------------------------
+--R                         x
+--R                                                    Type: Expression(Integer)
 --E 386
 
 --S 387 of 460
 r0377:= -1/12*(3+log(x))^3*(-11+3*log(x))
 --R 
 --R
---R                   4           3           2
---R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x) + 297
---R   (209)  ----------------------------------------------------
---R                                   12
+--R                 4           3           2
+--R        - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x) + 297
+--R   (2)  ----------------------------------------------------
+--R                                 12
 --R                                                    Type: Expression(Integer)
 --E 387
 
@@ -3983,39 +4210,41 @@ r0377:= -1/12*(3+log(x))^3*(-11+3*log(x))
 a0377:= integrate(t0377,x)
 --R 
 --R
---R                   4           3           2
---R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x)
---R   (210)  ----------------------------------------------
---R                                12
---R                                                    Type: Expression(Integer)
+--R                 4           3           2
+--R        - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x)
+--R   (3)  ----------------------------------------------
+--R                              12
+--R                                         Type: Union(Expression(Integer),...)
 --E 388
 
 --S 389 of 460
 m0377:= a0377-r0377
 --R 
 --R
---R            99
---R   (211)  - --
---R             4
---R                                         Type: Union(Expression(Integer),...)
+--R          99
+--R   (4)  - --
+--R           4
+--R                                                    Type: Expression(Integer)
 --E 389
 
 --S 390 of 460
 d0377:= D(m0377,x)
 --R 
 --R
---R   (212)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 390
 
+)clear all
+ 
 --S 391 of 460
 t0378:= (1+log(x))^(1/2)/x/log(x)
 --R 
 --R
---R           +----------+
---R          \|log(x) + 1
---R   (213)  -------------
---R             x log(x)
+--R         +----------+
+--R        \|log(x) + 1
+--R   (1)  -------------
+--R           x log(x)
 --R                                                    Type: Expression(Integer)
 --E 391
 
@@ -4023,8 +4252,8 @@ t0378:= (1+log(x))^(1/2)/x/log(x)
 r0378:= -2*atanh((1+log(x))^(1/2))+2*(1+log(x))^(1/2)
 --R 
 --R
---R                    +----------+      +----------+
---R   (214)  - 2atanh(\|log(x) + 1 ) + 2\|log(x) + 1
+--R                  +----------+      +----------+
+--R   (2)  - 2atanh(\|log(x) + 1 ) + 2\|log(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 392
 
@@ -4032,37 +4261,39 @@ r0378:= -2*atanh((1+log(x))^(1/2))+2*(1+log(x))^(1/2)
 a0378:= integrate(t0378,x)
 --R 
 --R
---R                 +----------+             +----------+          +----------+
---R   (215)  - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2\|log(x) + 1
---R                                                    Type: Expression(Integer)
+--R               +----------+             +----------+          +----------+
+--R   (3)  - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2\|log(x) + 1
+--R                                         Type: Union(Expression(Integer),...)
 --E 393
 
 --S 394 of 460
 m0378:= a0378-r0378
 --R 
 --R
---R   (216)
+--R   (4)
 --R          +----------+             +----------+                +----------+
 --R   - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2atanh(\|log(x) + 1 )
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 394
 
 --S 395 of 460
 d0378:= D(m0378,x)
 --R 
 --R
---R   (217)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 395
 
+)clear all
+ 
 --S 396 of 460
 t0379:= (log(a*x^n)^2)^p/x
 --R 
 --R
---R                 n 2p
---R          log(a x )
---R   (218)  -----------
---R               x
+--R               n 2p
+--R        log(a x )
+--R   (1)  -----------
+--R             x
 --R                                                    Type: Expression(Integer)
 --E 396
 
@@ -4070,10 +4301,10 @@ t0379:= (log(a*x^n)^2)^p/x
 r0379:= log(a*x^n)*(log(a*x^n)^2)^p/n/(1+2*p)
 --R 
 --R
---R                 n        n 2p
---R          log(a x )log(a x )
---R   (219)  --------------------
---R                2n p + n
+--R               n        n 2p
+--R        log(a x )log(a x )
+--R   (2)  --------------------
+--R              2n p + n
 --R                                                    Type: Expression(Integer)
 --E 397
 
@@ -4081,30 +4312,30 @@ r0379:= log(a*x^n)*(log(a*x^n)^2)^p/n/(1+2*p)
 a0379:= integrate(t0379,x)
 --R 
 --R
---R                               2p log(n log(x) + log(a))
---R          (n log(x) + log(a))%e
---R   (220)  ----------------------------------------------
---R                             2n p + n
---R                                                    Type: Expression(Integer)
+--R                             2p log(n log(x) + log(a))
+--R        (n log(x) + log(a))%e
+--R   (3)  ----------------------------------------------
+--R                           2n p + n
+--R                                         Type: Union(Expression(Integer),...)
 --E 398
 
 --S 399 of 460
 m0379:= a0379-r0379
 --R 
 --R
---R   (221)
+--R   (4)
 --R            n        n 2p                        2p log(n log(x) + log(a))
 --R   - log(a x )log(a x )   + (n log(x) + log(a))%e
 --R   -----------------------------------------------------------------------
 --R                                   2n p + n
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 399
 
 --S 400 of 460
 d0379:= D(m0379,x)
 --R 
 --R
---R   (222)
+--R   (5)
 --R            n - 1       n 2p         n - 1       n        n 2p - 1
 --R       - x x     log(a x )   - 2p x x     log(a x )log(a x )
 --R     + 
@@ -4116,14 +4347,16 @@ d0379:= D(m0379,x)
 --R                                                    Type: Expression(Integer)
 --E 400
 
+)clear all
+ 
 --S 401 of 460
 t0380:= (log(a*x^n)^m)^p/x
 --R 
 --R
---R                 n m p
---R          log(a x )
---R   (223)  ------------
---R                x
+--R               n m p
+--R        log(a x )
+--R   (1)  ------------
+--R              x
 --R                                                    Type: Expression(Integer)
 --E 401
 
@@ -4131,10 +4364,10 @@ t0380:= (log(a*x^n)^m)^p/x
 r0380:= log(a*x^n)*(log(a*x^n)^m)^p/n/(1+m*p)
 --R 
 --R
---R                 n        n m p
---R          log(a x )log(a x )
---R   (224)  ---------------------
---R                m n p + n
+--R               n        n m p
+--R        log(a x )log(a x )
+--R   (2)  ---------------------
+--R              m n p + n
 --R                                                    Type: Expression(Integer)
 --E 402
 
@@ -4142,30 +4375,30 @@ r0380:= log(a*x^n)*(log(a*x^n)^m)^p/n/(1+m*p)
 a0380:= integrate(t0380,x)
 --R 
 --R
---R                               m p log(n log(x) + log(a))
---R          (n log(x) + log(a))%e
---R   (225)  -----------------------------------------------
---R                             m n p + n
---R                                                    Type: Expression(Integer)
+--R                             m p log(n log(x) + log(a))
+--R        (n log(x) + log(a))%e
+--R   (3)  -----------------------------------------------
+--R                           m n p + n
+--R                                         Type: Union(Expression(Integer),...)
 --E 403
 
 --S 404 of 460
 m0380:= a0380-r0380
 --R 
 --R
---R   (226)
+--R   (4)
 --R            n        n m p                        m p log(n log(x) + log(a))
 --R   - log(a x )log(a x )    + (n log(x) + log(a))%e
 --R   -------------------------------------------------------------------------
 --R                                   m n p + n
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 404
 
 --S 405 of 460
 d0380:= D(m0380,x)
 --R 
 --R
---R   (227)
+--R   (5)
 --R            n - 1       n m p          n - 1       n        n m p - 1
 --R       - x x     log(a x )    - m p x x     log(a x )log(a x )
 --R     + 
@@ -4177,15 +4410,17 @@ d0380:= D(m0380,x)
 --R                                                    Type: Expression(Integer)
 --E 405
 
+)clear all
+ 
 --S 406 of 460
 t0381:= (log(a*x^n)^2)^(1/2)/x
 --R 
 --R
---R           +----------+
---R           |       n 2
---R          \|log(a x )
---R   (228)  -------------
---R                x
+--R         +----------+
+--R         |       n 2
+--R        \|log(a x )
+--R   (1)  -------------
+--R              x
 --R                                                    Type: Expression(Integer)
 --E 406
 
@@ -4198,6 +4433,7 @@ r0381:= 1/2*log(a*x^n)^2*csgn(log(a*x^n))/n
 --R      to learn if there is any operation containing " csgn " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named csgn 
 --R      with argument type(s) 
 --R                             Expression(Integer)
@@ -4210,42 +4446,44 @@ r0381:= 1/2*log(a*x^n)^2*csgn(log(a*x^n))/n
 a0381:= integrate(t0381,x)
 --R 
 --R
---R                  2
---R          n log(x)  + 2log(a)log(x)
---R   (229)  -------------------------
---R                      2
---R                                                    Type: Expression(Integer)
+--R                2
+--R        n log(x)  + 2log(a)log(x)
+--R   (2)  -------------------------
+--R                    2
+--R                                         Type: Union(Expression(Integer),...)
 --E 408
 
 --S 409 of 460
 m0381:= a0381-r0381
 --R 
 --R
---R                  2
---R          n log(x)  + 2log(a)log(x) - 2r0381
---R   (230)  ----------------------------------
---R                           2
---R                                         Type: Union(Expression(Integer),...)
+--R                2
+--R        n log(x)  + 2log(a)log(x) - 2r0381
+--R   (3)  ----------------------------------
+--R                         2
+--R                                                    Type: Expression(Integer)
 --E 409
 
 --S 410 of 460
 d0381:= D(m0381,x)
 --R 
 --R
---R          n log(x) + log(a)
---R   (231)  -----------------
---R                  x
+--R        n log(x) + log(a)
+--R   (4)  -----------------
+--R                x
 --R                                                    Type: Expression(Integer)
 --E 410
 
+)clear all
+ 
 --S 411 of 460
 t0382:= (b*log(a*x^n)^m)^p/x
 --R 
 --R
---R                    n m p
---R          (b log(a x ) )
---R   (232)  ---------------
---R                 x
+--R                  n m p
+--R        (b log(a x ) )
+--R   (1)  ---------------
+--R               x
 --R                                                    Type: Expression(Integer)
 --E 411
 
@@ -4253,10 +4491,10 @@ t0382:= (b*log(a*x^n)^m)^p/x
 r0382:= log(a*x^n)*(b*log(a*x^n)^m)^p/n/(1+m*p)
 --R 
 --R
---R                 n           n m p
---R          log(a x )(b log(a x ) )
---R   (233)  ------------------------
---R                  m n p + n
+--R               n           n m p
+--R        log(a x )(b log(a x ) )
+--R   (2)  ------------------------
+--R                m n p + n
 --R                                                    Type: Expression(Integer)
 --E 412
 
@@ -4264,18 +4502,18 @@ r0382:= log(a*x^n)*(b*log(a*x^n)^m)^p/n/(1+m*p)
 a0382:= integrate(t0382,x)
 --R 
 --R
---R                               m p log(n log(x) + log(a)) + p log(b)
---R          (n log(x) + log(a))%e
---R   (234)  ----------------------------------------------------------
---R                                   m n p + n
---R                                                    Type: Expression(Integer)
+--R                             m p log(n log(x) + log(a)) + p log(b)
+--R        (n log(x) + log(a))%e
+--R   (3)  ----------------------------------------------------------
+--R                                 m n p + n
+--R                                         Type: Union(Expression(Integer),...)
 --E 413
 
 --S 414 of 460
 m0382:= a0382-r0382
 --R 
 --R
---R   (235)
+--R   (4)
 --R                n           n m p
 --R       - log(a x )(b log(a x ) )
 --R     + 
@@ -4283,14 +4521,14 @@ m0382:= a0382-r0382
 --R       (n log(x) + log(a))%e
 --R  /
 --R     m n p + n
---R                                         Type: Union(Expression(Integer),...)
+--R                                                    Type: Expression(Integer)
 --E 414
 
 --S 415 of 460
 d0382:= D(m0382,x)
 --R 
 --R
---R   (236)
+--R   (5)
 --R            n - 1          n m p
 --R       - x x     (b log(a x ) )
 --R     + 
@@ -4305,15 +4543,17 @@ d0382:= D(m0382,x)
 --R                                                    Type: Expression(Integer)
 --E 415
 
+)clear all
+ 
 --S 416 of 460
 t0383:= 1/(-log(a*x^2))^(1/2)
 --R 
 --R
---R                 1
---R   (237)  --------------
---R           +-----------+
---R           |         2
---R          \|- log(a x )
+--R               1
+--R   (1)  --------------
+--R         +-----------+
+--R         |         2
+--R        \|- log(a x )
 --R                                                    Type: Expression(Integer)
 --E 416
 
@@ -4322,15 +4562,15 @@ r0383:= -1/2*2^(1/2)*%pi^(1/2)*x*erf(1/2*(-log(a*x^2))^(1/2)*2^(1/2))/_
         (a*x^2)^(1/2)
 --R 
 --R
---R                                +-----------+
---R                            +-+ |         2
---R              +-+ +---+    \|2 \|- log(a x )
---R            x\|2 \|%pi erf(------------------)
---R                                    2
---R   (238)  - ----------------------------------
---R                           +----+
---R                           |   2
---R                         2\|a x
+--R                              +-----------+
+--R                          +-+ |         2
+--R            +-+ +---+    \|2 \|- log(a x )
+--R          x\|2 \|%pi erf(------------------)
+--R                                  2
+--R   (2)  - ----------------------------------
+--R                         +----+
+--R                         |   2
+--R                       2\|a x
 --R                                                    Type: Expression(Integer)
 --E 417
 
@@ -4338,6 +4578,7 @@ r0383:= -1/2*2^(1/2)*%pi^(1/2)*x*erf(1/2*(-log(a*x^2))^(1/2)*2^(1/2))/_
 a0383:= integrate(t0383,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -4353,17 +4594,19 @@ a0383:= integrate(t0383,x)
 --d0383:= D(m0383,x)
 --E 420
 
+)clear all
+ 
 --S 421 of 460
 t0384:= 1/(-log(a/x^2))^(1/2)
 --R 
 --R
---R                1
---R   (239)  ------------
---R           +---------+
---R           |       a
---R           |- log(--)
---R           |       2
---R          \|      x
+--R              1
+--R   (1)  ------------
+--R         +---------+
+--R         |       a
+--R         |- log(--)
+--R         |       2
+--R        \|      x
 --R                                                    Type: Expression(Integer)
 --E 421
 
@@ -4377,6 +4620,7 @@ r0384:= 1/2*2^(1/2)*%pi^(1/2)*(a/x^2)^(1/2)*x*_
 --R      to learn if there is any operation containing " erfi " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named erfi 
 --R      with argument type(s) 
 --R                             Expression(Integer)
@@ -4389,6 +4633,7 @@ r0384:= 1/2*2^(1/2)*%pi^(1/2)*(a/x^2)^(1/2)*x*_
 a0384:= integrate(t0384,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -4404,15 +4649,17 @@ a0384:= integrate(t0384,x)
 --d0384:= D(m0384,x)
 --E 425
 
+)clear all
+ 
 --S 426 of 460
 t0385:= 1/(-log(a*x^n))^(1/2)
 --R 
 --R
---R                 1
---R   (240)  --------------
---R           +-----------+
---R           |         n
---R          \|- log(a x )
+--R               1
+--R   (1)  --------------
+--R         +-----------+
+--R         |         n
+--R        \|- log(a x )
 --R                                                    Type: Expression(Integer)
 --E 426
 
@@ -4420,17 +4667,17 @@ t0385:= 1/(-log(a*x^n))^(1/2)
 r0385:= -%pi^(1/2)*x*erf((-log(a*x^n))^(1/2)/n^(1/2))/n^(1/2)/((a*x^n)^(1/n))
 --R 
 --R
---R                        +-----------+
---R                        |         n
---R              +---+    \|- log(a x )
---R            x\|%pi erf(--------------)
---R                             +-+
---R                            \|n
---R   (241)  - --------------------------
---R                              1
---R                              -
---R                     +-+    n n
---R                    \|n (a x )
+--R                      +-----------+
+--R                      |         n
+--R            +---+    \|- log(a x )
+--R          x\|%pi erf(--------------)
+--R                           +-+
+--R                          \|n
+--R   (2)  - --------------------------
+--R                            1
+--R                            -
+--R                   +-+    n n
+--R                  \|n (a x )
 --R                                                    Type: Expression(Integer)
 --E 427
 
@@ -4438,6 +4685,7 @@ r0385:= -%pi^(1/2)*x*erf((-log(a*x^n))^(1/2)/n^(1/2))/n^(1/2)/((a*x^n)^(1/n))
 a0385:= integrate(t0385,x)
 --R 
 --R 
+--RDaly Bug
 --R   >> Error detected within library code:
 --R   integrate: implementation incomplete (constant residues)
 --R
@@ -4453,14 +4701,16 @@ a0385:= integrate(t0385,x)
 --d0385:= D(m0385,x)
 --E 430
 
+)clear all
+ 
 --S 431 of 460
 t0386:= log(x^n)/(a+b*x)
 --R 
 --R
---R               n
---R          log(x )
---R   (242)  -------
---R          b x + a
+--R             n
+--R        log(x )
+--R   (1)  -------
+--R        b x + a
 --R                                                    Type: Expression(Integer)
 --E 431
 
@@ -4473,6 +4723,7 @@ r0386:= 1/b*(log(x^n)*log((a+b*x)/a)+n*polylog(2,-b*x/a))
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -4486,11 +4737,11 @@ r0386:= 1/b*(log(x^n)*log((a+b*x)/a)+n*polylog(2,-b*x/a))
 a0386:= integrate(t0386,x)
 --R 
 --R
---R             x       n
---R           ++  log(%R )
---R   (243)   |   -------- d%R
---R          ++   %R b + a
---R                                                    Type: Expression(Integer)
+--R           x       n
+--R         ++  log(%R )
+--R   (2)   |   -------- d%R
+--R        ++   %R b + a
+--R                                         Type: Union(Expression(Integer),...)
 --E 433
 
 --S 434 of 460
@@ -4501,19 +4752,21 @@ a0386:= integrate(t0386,x)
 --d0386:= D(m0386,x)
 --E 435
 
+)clear all
+ 
 --S 436 of 460
 t0387:= sin(x*log(x))+log(x)*sin(x*log(x))
 --R 
 --R
---R   (244)  (log(x) + 1)sin(x log(x))
---R                                         Type: Union(Expression(Integer),...)
+--R   (1)  (log(x) + 1)sin(x log(x))
+--R                                                    Type: Expression(Integer)
 --E 436
 
 --S 437 of 460
 r0387:= -cos(x*log(x))
 --R 
 --R
---R   (245)  - cos(x log(x))
+--R   (2)  - cos(x log(x))
 --R                                                    Type: Expression(Integer)
 --E 437
 
@@ -4521,38 +4774,40 @@ r0387:= -cos(x*log(x))
 a0387:= integrate(t0387,x)
 --R 
 --R
---R   (246)  - cos(x log(x))
---R                                                    Type: Expression(Integer)
+--R   (3)  - cos(x log(x))
+--R                                         Type: Union(Expression(Integer),...)
 --E 438
 
 --S 439 of 460
 m0387:= a0387-r0387
 --R 
 --R
---R   (247)  0
---R                                         Type: Union(Expression(Integer),...)
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
 --E 439
 
 --S 440 of 460
 d0387:= D(m0387,x)
 --R 
 --R
---R   (248)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 440
 
+)clear all
+ 
 --S 441 of 460
 t0388:= log((1-x^2)/(1+x^2))/(1+x)^2
 --R 
 --R
---R                 2
---R              - x  + 1
---R          log(--------)
---R                2
---R               x  + 1
---R   (249)  -------------
---R            2
---R           x  + 2x + 1
+--R               2
+--R            - x  + 1
+--R        log(--------)
+--R              2
+--R             x  + 1
+--R   (1)  -------------
+--R          2
+--R         x  + 2x + 1
 --R                                                    Type: Expression(Integer)
 --E 441
 
@@ -4561,7 +4816,7 @@ r0388:= -1/(1+x)-atan(x)+1/2*log(1-x)+1/2*log(1+x)-_
         log((1-x^2)/(1+x^2))/(1+x)-1/2*log(1+x^2)
 --R 
 --R
---R   (250)
+--R   (2)
 --R                                                          2
 --R                     2                                 - x  + 1
 --R       (- x - 1)log(x  + 1) + (x + 1)log(x + 1) - 2log(--------)
@@ -4578,7 +4833,7 @@ r0388:= -1/(1+x)-atan(x)+1/2*log(1-x)+1/2*log(1+x)-_
 a0388:= integrate(t0388,x)
 --R 
 --R
---R   (251)
+--R   (3)
 --R                                                           2
 --R                     2                    2             - x  + 1
 --R       (- x - 1)log(x  + 1) + (x + 1)log(x  - 1) - 2log(--------)
@@ -4588,35 +4843,37 @@ a0388:= integrate(t0388,x)
 --R       (- 2x - 2)atan(x) - 2
 --R  /
 --R     2x + 2
---R                                                    Type: Expression(Integer)
+--R                                         Type: Union(Expression(Integer),...)
 --E 443
 
 --S 444 of 460
 m0388:= a0388-r0388
 --R 
 --R
---R               2
---R          log(x  - 1) - log(x + 1) - log(- x + 1)
---R   (252)  ---------------------------------------
---R                             2
---R                                         Type: Union(Expression(Integer),...)
+--R             2
+--R        log(x  - 1) - log(x + 1) - log(- x + 1)
+--R   (4)  ---------------------------------------
+--R                           2
+--R                                                    Type: Expression(Integer)
 --E 444
 
 --S 445 of 460
 d0388:= D(m0388,x)
 --R 
 --R
---R   (253)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 445
 
+)clear all
+ 
 --S 446 of 460
 t0389:= log((-1+x)/(1+x))
 --R 
 --R
---R              x - 1
---R   (254)  log(-----)
---R              x + 1
+--R            x - 1
+--R   (1)  log(-----)
+--R            x + 1
 --R                                                    Type: Expression(Integer)
 --E 446
 
@@ -4624,9 +4881,9 @@ t0389:= log((-1+x)/(1+x))
 r0389:= x*log((-1+x)/(1+x))-log(-(-1+x)*(1+x))
 --R 
 --R
---R                x - 1           2
---R   (255)  x log(-----) - log(- x  + 1)
---R                x + 1
+--R              x - 1           2
+--R   (2)  x log(-----) - log(- x  + 1)
+--R              x + 1
 --R                                                    Type: Expression(Integer)
 --E 447
 
@@ -4634,36 +4891,38 @@ r0389:= x*log((-1+x)/(1+x))-log(-(-1+x)*(1+x))
 a0389:= integrate(t0389,x)
 --R 
 --R
---R                 2              x - 1
---R   (256)  - log(x  - 1) + x log(-----)
---R                                x + 1
---R                                                    Type: Expression(Integer)
+--R               2              x - 1
+--R   (3)  - log(x  - 1) + x log(-----)
+--R                              x + 1
+--R                                         Type: Union(Expression(Integer),...)
 --E 448
 
 --S 449 of 460
 m0389:= a0389-r0389
 --R 
 --R
---R                 2               2
---R   (257)  - log(x  - 1) + log(- x  + 1)
---R                                         Type: Union(Expression(Integer),...)
+--R               2               2
+--R   (4)  - log(x  - 1) + log(- x  + 1)
+--R                                                    Type: Expression(Integer)
 --E 449
 
 --S 450 of 460
 d0389:= D(m0389,x)
 --R 
 --R
---R   (258)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 450
 
+)clear all
+ 
 --S 451 of 460
 t0390:= log(x)/(-1+x)
 --R 
 --R
---R          log(x)
---R   (259)  ------
---R           x - 1
+--R        log(x)
+--R   (1)  ------
+--R         x - 1
 --R                                                    Type: Expression(Integer)
 --E 451
 
@@ -4676,6 +4935,7 @@ r0390:= -polylog(2,1-x)
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -4689,8 +4949,8 @@ r0390:= -polylog(2,1-x)
 a0390:= integrate(t0390,x)
 --R 
 --R
---R   (260)  - dilog(x)
---R                                                    Type: Expression(Integer)
+--R   (2)  - dilog(x)
+--R                                         Type: Union(Expression(Integer),...)
 --E 453
 
 --S 454 of 460
@@ -4701,14 +4961,16 @@ a0390:= integrate(t0390,x)
 --d0390:= D(m0390,x)
 --E 455
 
+)clear all
+ 
 --S 456 of 460
 t0391:= x*log(1-a-b*x)/(a+b*x)
 --R 
 --R
---R          x log(- b x - a + 1)
---R   (261)  --------------------
---R                 b x + a
---R                                         Type: Union(Expression(Integer),...)
+--R        x log(- b x - a + 1)
+--R   (1)  --------------------
+--R               b x + a
+--R                                                    Type: Expression(Integer)
 --E 456
 
 --S 457 of 460
@@ -4720,6 +4982,7 @@ r0391:= -x/b-(1-a-b*x)*log(1-a-b*x)/b^2+a*polylog(2,a+b*x)/b^2
 --R      to learn if there is any operation containing " polylog " in its 
 --R      name.
 --R 
+--RDaly Bug
 --R   Cannot find a definition or applicable library operation named 
 --R      polylog with argument type(s) 
 --R                               PositiveInteger
@@ -4733,11 +4996,11 @@ r0391:= -x/b-(1-a-b*x)*log(1-a-b*x)/b^2+a*polylog(2,a+b*x)/b^2
 a0391:= integrate(t0391,x)
 --R 
 --R
---R             x
---R           ++  %R log(- %R b - a + 1)
---R   (262)   |   ---------------------- d%R
---R          ++          %R b + a
---R                                                    Type: Expression(Integer)
+--R           x
+--R         ++  %R log(- %R b - a + 1)
+--R   (2)   |   ---------------------- d%R
+--R        ++          %R b + a
+--R                                         Type: Union(Expression(Integer),...)
 --E 458
 
 --S 459 of 460
diff --git a/src/input/richtrig800-899.input.pamphlet b/src/input/richtrig800-899.input.pamphlet
index 9790f76..e9d0244 100644
--- a/src/input/richtrig800-899.input.pamphlet
+++ b/src/input/richtrig800-899.input.pamphlet
@@ -129,12 +129,15 @@ d0800:= D(m0800,x)
 --R                                                    Type: Expression(Integer)
 --E 5
 
+)clear all
+
+
 --S 6 of 526
 t0801:= cos(a+b*x)*csc(c+b*x)^3
 --R 
 --R
 --R                                3
---R   (6)  cos(b x + a)csc(b x + c)
+--R   (1)  cos(b x + a)csc(b x + c)
 --R                                                    Type: Expression(Integer)
 --E 6
 
@@ -144,7 +147,7 @@ r0801:= -1/2*cos(a-c)*csc(c+b*x)^2/b+cot(c+b*x)*sin(a-c)/b
 --R
 --R                                                          2
 --R        - 2cot(b x + c)sin(c - a) - cos(c - a)csc(b x + c)
---R   (7)  ---------------------------------------------------
+--R   (2)  ---------------------------------------------------
 --R                                 2b
 --R                                                    Type: Expression(Integer)
 --E 7
@@ -153,7 +156,7 @@ r0801:= -1/2*cos(a-c)*csc(c+b*x)^2/b+cot(c+b*x)*sin(a-c)/b
 a0801:= integrate(t0801,x)
 --R 
 --R
---R   (8)
+--R   (3)
 --R                      2         c - a 2                                c - a
 --R       (- cos(b x + c)  - 1)tan(-----)  + 8cos(b x + c)sin(b x + c)tan(-----)
 --R                                  2                                      2
@@ -171,7 +174,7 @@ a0801:= integrate(t0801,x)
 m0801:= a0801-r0801
 --R 
 --R
---R   (9)
+--R   (4)
 --R                         2
 --R           (4cos(b x + c)  - 4)cot(b x + c)sin(c - a)
 --R         + 
@@ -204,7 +207,7 @@ m0801:= a0801-r0801
 d0801:= D(m0801,x)
 --R 
 --R
---R   (10)
+--R   (5)
 --R           - cos(b x + c)sin(b x + c)
 --R         + 
 --R                              4                2                 2
@@ -257,14 +260,17 @@ d0801:= D(m0801,x)
 --R                                                    Type: Expression(Integer)
 --E 10
 
+)clear all
+
+
 --S 11 of 526
 t0802:= sin(x)^2/(a+b*sin(2*x))
 --R 
 --R
---R                  2
---R            sin(x)
---R   (11)  -------------
---R         b sin(2x) + a
+--R                 2
+--R           sin(x)
+--R   (1)  -------------
+--R        b sin(2x) + a
 --R                                                    Type: Expression(Integer)
 --E 11
 
@@ -273,16 +279,16 @@ r0802:= 1/2*atan((b+a*tan(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(1/2)-_
         1/4*log(a+b*sin(2*x))/b
 --R 
 --R
---R            +---------+
---R            |   2    2                              a tan(x) + b
---R         - \|- b  + a  log(b sin(2x) + a) + 2b atan(------------)
---R                                                     +---------+
---R                                                     |   2    2
---R                                                    \|- b  + a
---R   (12)  --------------------------------------------------------
---R                                 +---------+
---R                                 |   2    2
---R                              4b\|- b  + a
+--R           +---------+
+--R           |   2    2                              a tan(x) + b
+--R        - \|- b  + a  log(b sin(2x) + a) + 2b atan(------------)
+--R                                                    +---------+
+--R                                                    |   2    2
+--R                                                   \|- b  + a
+--R   (2)  --------------------------------------------------------
+--R                                +---------+
+--R                                |   2    2
+--R                             4b\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 12
 
@@ -290,7 +296,7 @@ r0802:= 1/2*atan((b+a*tan(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(1/2)-_
 a0802:= integrate(t0802,x)
 --R 
 --R
---R   (13)
+--R   (3)
 --R   [
 --R           b
 --R        *
@@ -349,7 +355,7 @@ a0802:= integrate(t0802,x)
 m0802a:= a0802.1-r0802
 --R 
 --R
---R   (14)
+--R   (4)
 --R           +---------+
 --R           |   2    2
 --R         b\|- b  + a
@@ -391,7 +397,7 @@ m0802a:= a0802.1-r0802
 d0802a:= D(m0802a,x)
 --R 
 --R
---R   (15)
+--R   (5)
 --R                     2 2            3
 --R                   2a b cos(x)sin(x)
 --R                 + 
@@ -753,7 +759,7 @@ d0802a:= D(m0802a,x)
 m0802b:= a0802.2-r0802
 --R 
 --R
---R   (16)
+--R   (6)
 --R        +---------+                      +---------+
 --R        |   2    2                       |   2    2      8b cos(x)sin(x) + 4a
 --R       \|- b  + a  log(b sin(2x) + a) - \|- b  + a  log(---------------------)
@@ -795,7 +801,7 @@ m0802b:= a0802.2-r0802
 d0802b:= D(m0802b,x)
 --R 
 --R
---R   (17)
+--R   (7)
 --R                 4        2     4             4        6
 --R               (a b cos(x)  + 4a b cos(x) + 4a b)sin(x)
 --R             + 
@@ -1792,14 +1798,17 @@ d0802b:= D(m0802b,x)
 --R                                                    Type: Expression(Integer)
 --E 17
 
+)clear all
+
+
 --S 18 of 526
 t0803:= cos(x)^2/(a+b*sin(2*x))
 --R 
 --R
---R                  2
---R            cos(x)
---R   (18)  -------------
---R         b sin(2x) + a
+--R                 2
+--R           cos(x)
+--R   (1)  -------------
+--R        b sin(2x) + a
 --R                                                    Type: Expression(Integer)
 --E 18
 
@@ -1808,16 +1817,16 @@ r0803:= 1/2*atan((b+a*tan(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(1/2)+_
         1/4*log(a+b*sin(2*x))/b
 --R 
 --R
---R          +---------+
---R          |   2    2                              a tan(x) + b
---R         \|- b  + a  log(b sin(2x) + a) + 2b atan(------------)
---R                                                   +---------+
---R                                                   |   2    2
---R                                                  \|- b  + a
---R   (19)  ------------------------------------------------------
---R                                +---------+
---R                                |   2    2
---R                             4b\|- b  + a
+--R         +---------+
+--R         |   2    2                              a tan(x) + b
+--R        \|- b  + a  log(b sin(2x) + a) + 2b atan(------------)
+--R                                                  +---------+
+--R                                                  |   2    2
+--R                                                 \|- b  + a
+--R   (2)  ------------------------------------------------------
+--R                               +---------+
+--R                               |   2    2
+--R                            4b\|- b  + a
 --R                                                    Type: Expression(Integer)
 --E 19
 
@@ -1825,7 +1834,7 @@ r0803:= 1/2*atan((b+a*tan(x))/(a^2-b^2)^(1/2))/(a^2-b^2)^(1/2)+_
 a0803:= integrate(t0803,x)
 --R 
 --R
---R   (20)
+--R   (3)
 --R   [
 --R           b
 --R        *
@@ -1884,7 +1893,7 @@ a0803:= integrate(t0803,x)
 m0803a:= a0803.1-r0803
 --R 
 --R
---R   (21)
+--R   (4)
 --R           +---------+
 --R           |   2    2
 --R         b\|- b  + a
@@ -1926,7 +1935,7 @@ m0803a:= a0803.1-r0803
 d0803a:= D(m0803a,x)
 --R 
 --R
---R   (22)
+--R   (5)
 --R                       2 2            3     3        2      2
 --R                   - 2a b cos(x)sin(x)  - 2a b cos(x) sin(x)
 --R                 + 
@@ -2243,7 +2252,7 @@ d0803a:= D(m0803a,x)
 m0803b:= a0803.2-r0803
 --R 
 --R
---R   (23)
+--R   (6)
 --R          +---------+                      +---------+
 --R          |   2    2                       |   2    2      8b cos(x)sin(x) + 4a
 --R       - \|- b  + a  log(b sin(2x) + a) + \|- b  + a  log(---------------------)
@@ -2285,7 +2294,7 @@ m0803b:= a0803.2-r0803
 d0803b:= D(m0803b,x)
 --R 
 --R
---R   (24)
+--R   (7)
 --R                   4        2     4             4        6
 --R               (- a b cos(x)  - 4a b cos(x) - 4a b)sin(x)
 --R             + 
@@ -3270,11 +3279,14 @@ d0803b:= D(m0803b,x)
 --R                                                    Type: Expression(Integer)
 --E 24
 
+)clear all
+
+
 --S 25 of 526
 t0804:= csc(2*x)*sin(x)
 --R 
 --R
---R   (25)  csc(2x)sin(x)
+--R   (1)  csc(2x)sin(x)
 --R                                                    Type: Expression(Integer)
 --E 25
 
@@ -3282,9 +3294,9 @@ t0804:= csc(2*x)*sin(x)
 r0804:= 1/2*atanh(sin(x))
 --R 
 --R
---R         atanh(sin(x))
---R   (26)  -------------
---R               2
+--R        atanh(sin(x))
+--R   (2)  -------------
+--R              2
 --R                                                    Type: Expression(Integer)
 --E 26
 
@@ -3292,11 +3304,11 @@ r0804:= 1/2*atanh(sin(x))
 a0804:= integrate(t0804,x)
 --R 
 --R
---R             sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R         log(-------------------) - log(-------------------)
---R                  cos(x) + 1                 cos(x) + 1
---R   (27)  ---------------------------------------------------
---R                                  2
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R        log(-------------------) - log(-------------------)
+--R                 cos(x) + 1                 cos(x) + 1
+--R   (3)  ---------------------------------------------------
+--R                                 2
 --R                                         Type: Union(Expression(Integer),...)
 --E 27
 
@@ -3304,11 +3316,11 @@ a0804:= integrate(t0804,x)
 m0804:= a0804-r0804
 --R 
 --R
---R             sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R         log(-------------------) - log(-------------------) - atanh(sin(x))
---R                  cos(x) + 1                 cos(x) + 1
---R   (28)  -------------------------------------------------------------------
---R                                          2
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R        log(-------------------) - log(-------------------) - atanh(sin(x))
+--R                 cos(x) + 1                 cos(x) + 1
+--R   (4)  -------------------------------------------------------------------
+--R                                         2
 --R                                                    Type: Expression(Integer)
 --E 28
 
@@ -3316,19 +3328,22 @@ m0804:= a0804-r0804
 d0804:= D(m0804,x)
 --R 
 --R
---R                     4             2                    2         3
---R            - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
---R   (29)  ---------------------------------------------------------------------
---R                4             2                     2          2
---R         2sin(x)  + (- 2cos(x)  - 4cos(x) - 4)sin(x)  + 2cos(x)  + 4cos(x) + 2
+--R                    4             2                    2         3
+--R           - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
+--R   (5)  ---------------------------------------------------------------------
+--R               4             2                     2          2
+--R        2sin(x)  + (- 2cos(x)  - 4cos(x) - 4)sin(x)  + 2cos(x)  + 4cos(x) + 2
 --R                                                    Type: Expression(Integer)
 --E 29
 
+)clear all
+
+
 --S 30 of 526
 t0805:= cos(4*x)*sec(2*x)
 --R 
 --R
---R   (30)  cos(4x)sec(2x)
+--R   (1)  cos(4x)sec(2x)
 --R                                                    Type: Expression(Integer)
 --E 30
 
@@ -3336,9 +3351,9 @@ t0805:= cos(4*x)*sec(2*x)
 r0805:= -1/2*atanh(sin(2*x))+sin(2*x)
 --R 
 --R
---R         - atanh(sin(2x)) + 2sin(2x)
---R   (31)  ---------------------------
---R                      2
+--R        - atanh(sin(2x)) + 2sin(2x)
+--R   (2)  ---------------------------
+--R                     2
 --R                                                    Type: Expression(Integer)
 --E 31
 
@@ -3346,11 +3361,11 @@ r0805:= -1/2*atanh(sin(2*x))+sin(2*x)
 a0805:= integrate(t0805,x)
 --R 
 --R
---R               sin(2x) + cos(2x) + 1        sin(2x) - cos(2x) - 1
---R         - log(---------------------) + log(---------------------) + 2sin(2x)
---R                    cos(2x) + 1                  cos(2x) + 1
---R   (32)  --------------------------------------------------------------------
---R                                           2
+--R              sin(2x) + cos(2x) + 1        sin(2x) - cos(2x) - 1
+--R        - log(---------------------) + log(---------------------) + 2sin(2x)
+--R                   cos(2x) + 1                  cos(2x) + 1
+--R   (3)  --------------------------------------------------------------------
+--R                                          2
 --R                                         Type: Union(Expression(Integer),...)
 --E 32
 
@@ -3358,7 +3373,7 @@ a0805:= integrate(t0805,x)
 m0805:= a0805-r0805
 --R 
 --R
---R   (33)
+--R   (4)
 --R         sin(2x) + cos(2x) + 1        sin(2x) - cos(2x) - 1
 --R   - log(---------------------) + log(---------------------) + atanh(sin(2x))
 --R              cos(2x) + 1                  cos(2x) + 1
@@ -3371,7 +3386,7 @@ m0805:= a0805-r0805
 d0805:= D(m0805,x)
 --R 
 --R
---R   (34)
+--R   (5)
 --R              4            2                      2          3
 --R      2sin(2x)  + (2cos(2x)  + cos(2x) - 2)sin(2x)  + cos(2x)  - cos(2x)
 --R   ------------------------------------------------------------------------
@@ -3380,12 +3395,15 @@ d0805:= D(m0805,x)
 --R                                                    Type: Expression(Integer)
 --E 34
 
+)clear all
+
+
 --S 35 of 526
 t0806:= x*cos(2*x)*sec(x)^3
 --R 
 --R
---R                        3
---R   (35)  x cos(2x)sec(x)
+--R                       3
+--R   (1)  x cos(2x)sec(x)
 --R                                                    Type: Expression(Integer)
 --E 35
 
@@ -3412,10 +3430,10 @@ r0806:= -3*%i*x*atan(exp(1)^(%i*x))+3/2*%i*polylog(2,-%i*exp(1)^(%i*x))-_
 a0806:= integrate(t0806,x)
 --R 
 --R
---R            x
---R          ++                    3
---R   (36)   |   %J cos(2%J)sec(%J) d%J
---R         ++
+--R           x
+--R         ++                    3
+--R   (2)   |   %J cos(2%J)sec(%J) d%J
+--R        ++
 --R                                         Type: Union(Expression(Integer),...)
 --E 37
 
@@ -3423,10 +3441,10 @@ a0806:= integrate(t0806,x)
 m0806:= a0806-r0806
 --R 
 --R
---R            x
---R          ++                    3
---R   (37)   |   %J cos(2%J)sec(%J) d%J  - r0806
---R         ++
+--R           x
+--R         ++                    3
+--R   (3)   |   %J cos(2%J)sec(%J) d%J  - r0806
+--R        ++
 --R                                                    Type: Expression(Integer)
 --E 38
 
@@ -3434,20 +3452,23 @@ m0806:= a0806-r0806
 d0806:= D(m0806,x)
 --R 
 --R
---R                        3
---R   (38)  x cos(2x)sec(x)
+--R                       3
+--R   (4)  x cos(2x)sec(x)
 --R                                                    Type: Expression(Integer)
 --E 39
 
+)clear all
+
+
 --S 40 of 526
 t0807:= sin(a+b*x)^(1/2)/cos(a+b*x)^(1/2)
 --R 
 --R
---R          +------------+
---R         \|sin(b x + a)
---R   (39)  ---------------
---R          +------------+
---R         \|cos(b x + a)
+--R         +------------+
+--R        \|sin(b x + a)
+--R   (1)  ---------------
+--R         +------------+
+--R        \|cos(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 40
 
@@ -3459,7 +3480,7 @@ r0807:= -1/2*atan(1-2^(1/2)*sin(a+b*x)^(1/2)/cos(a+b*x)^(1/2))*2^(1/2)/b+_
         log(1+2^(1/2)*sin(a+b*x)^(1/2)/cos(a+b*x)^(1/2)+tan(a+b*x))*2^(1/2)/b
 --R 
 --R
---R   (40)
+--R   (2)
 --R                  +-+ +------------+                      +------------+
 --R          +-+    \|2 \|sin(b x + a)  + (tan(b x + a) + 1)\|cos(b x + a)
 --R       - \|2 log(-------------------------------------------------------)
@@ -3492,11 +3513,11 @@ r0807:= -1/2*atan(1-2^(1/2)*sin(a+b*x)^(1/2)/cos(a+b*x)^(1/2))*2^(1/2)/b+_
 a0807:= integrate(t0807,x)
 --R 
 --R
---R            x  +-------------+
---R          ++  \|sin(%J b + a)
---R   (41)   |   ---------------- d%J
---R         ++    +-------------+
---R              \|cos(%J b + a)
+--R           x  +-------------+
+--R         ++  \|sin(%J b + a)
+--R   (3)   |   ---------------- d%J
+--R        ++    +-------------+
+--R             \|cos(%J b + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 42
 
@@ -3504,7 +3525,7 @@ a0807:= integrate(t0807,x)
 m0807:= a0807-r0807
 --R 
 --R
---R   (42)
+--R   (4)
 --R            x  +-------------+
 --R          ++  \|sin(%J b + a)
 --R       4b |   ---------------- d%J
@@ -3543,7 +3564,7 @@ m0807:= a0807-r0807
 d0807:= D(m0807,x)
 --R 
 --R
---R   (43)
+--R   (5)
 --R                                                   2             2
 --R         (- cos(b x + a)sin(b x + a) - cos(b x + a) )tan(b x + a)
 --R       + 
@@ -3569,15 +3590,18 @@ d0807:= D(m0807,x)
 --R                                                    Type: Expression(Integer)
 --E 44
 
+)clear all
+
+
 --S 45 of 526
 t0808:= cos(a+b*x)^(1/2)/sin(a+b*x)^(1/2)
 --R 
 --R
---R          +------------+
---R         \|cos(b x + a)
---R   (44)  ---------------
---R          +------------+
---R         \|sin(b x + a)
+--R         +------------+
+--R        \|cos(b x + a)
+--R   (1)  ---------------
+--R         +------------+
+--R        \|sin(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 45
 
@@ -3589,7 +3613,7 @@ r0808:= -1/2*atan(-1+2^(1/2)*cos(a+b*x)^(1/2)/sin(a+b*x)^(1/2))*2^(1/2)/b-_
         cos(a+b*x)^(1/2)/sin(a+b*x)^(1/2))*2^(1/2)/b
 --R 
 --R
---R   (45)
+--R   (2)
 --R                                  +------------+    +-+ +------------+
 --R        +-+    (cot(b x + a) + 1)\|sin(b x + a)  + \|2 \|cos(b x + a)
 --R       \|2 log(-------------------------------------------------------)
@@ -3622,11 +3646,11 @@ r0808:= -1/2*atan(-1+2^(1/2)*cos(a+b*x)^(1/2)/sin(a+b*x)^(1/2))*2^(1/2)/b-_
 a0808:= integrate(t0808,x)
 --R 
 --R
---R            x  +-------------+
---R          ++  \|cos(%J b + a)
---R   (46)   |   ---------------- d%J
---R         ++    +-------------+
---R              \|sin(%J b + a)
+--R           x  +-------------+
+--R         ++  \|cos(%J b + a)
+--R   (3)   |   ---------------- d%J
+--R        ++    +-------------+
+--R             \|sin(%J b + a)
 --R                                         Type: Union(Expression(Integer),...)
 --E 47
 
@@ -3634,7 +3658,7 @@ a0808:= integrate(t0808,x)
 m0808:= a0808-r0808
 --R 
 --R
---R   (47)
+--R   (4)
 --R            x  +-------------+
 --R          ++  \|cos(%J b + a)
 --R       4b |   ---------------- d%J
@@ -3673,7 +3697,7 @@ m0808:= a0808-r0808
 d0808:= D(m0808,x)
 --R 
 --R
---R   (48)
+--R   (5)
 --R                        2                            2
 --R         (- cot(b x + a)  - cot(b x + a))sin(b x + a)
 --R       + 
@@ -3705,15 +3729,18 @@ d0808:= D(m0808,x)
 --R                                                    Type: Expression(Integer)
 --E 49
 
+)clear all
+
+
 --S 50 of 526
 t0809:= sin(a+b*x)^(1/3)/cos(a+b*x)^(1/3)
 --R 
 --R
---R         3+------------+
---R         \|sin(b x + a)
---R   (49)  ---------------
---R         3+------------+
---R         \|cos(b x + a)
+--R        3+------------+
+--R        \|sin(b x + a)
+--R   (1)  ---------------
+--R        3+------------+
+--R        \|cos(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 50
 
@@ -3724,7 +3751,7 @@ r0809:= -1/2*3^(1/2)*atan(1/3*(1-2*sin(a+b*x)^(2/3)/cos(a+b*x)^(2/3))*_
         sin(a+b*x)^(4/3)/cos(a+b*x)^(4/3))/b
 --R 
 --R
---R   (50)
+--R   (2)
 --R              3+------------+2   3+------------+2
 --R              \|sin(b x + a)   + \|cos(b x + a)
 --R       - 2log(-----------------------------------)
@@ -3766,15 +3793,18 @@ r0809:= -1/2*3^(1/2)*atan(1/3*(1-2*sin(a+b*x)^(2/3)/cos(a+b*x)^(2/3))*_
 --d0809:= D(m0809,x)
 --E 54
 
+)clear all
+
+
 --S 55 of 526
 t0810:= cos(a+b*x)^(1/3)/sin(a+b*x)^(1/3)
 --R 
 --R
---R         3+------------+
---R         \|cos(b x + a)
---R   (51)  ---------------
---R         3+------------+
---R         \|sin(b x + a)
+--R        3+------------+
+--R        \|cos(b x + a)
+--R   (1)  ---------------
+--R        3+------------+
+--R        \|sin(b x + a)
 --R                                                    Type: Expression(Integer)
 --E 55
 
@@ -3785,7 +3815,7 @@ r0810:= 1/2*3^(1/2)*atan(1/3*(1-2*cos(a+b*x)^(2/3)/sin(a+b*x)^(2/3))*_
         1/2*log(1+cos(a+b*x)^(2/3)/sin(a+b*x)^(2/3))/b
 --R 
 --R
---R   (52)
+--R   (2)
 --R       -
 --R          log
 --R                             3+------------+2
@@ -3828,12 +3858,15 @@ r0810:= 1/2*3^(1/2)*atan(1/3*(1-2*cos(a+b*x)^(2/3)/sin(a+b*x)^(2/3))*_
 --d0810:= D(m0810,x)
 --E 59
 
+)clear all
+
+
 --S 60 of 526
 t0811:= x*sin(x)*sec(x)^(1/2)
 --R 
 --R
---R                  +------+
---R   (53)  x sin(x)\|sec(x)
+--R                 +------+
+--R   (1)  x sin(x)\|sec(x)
 --R                                                    Type: Expression(Integer)
 --E 60
 
@@ -3870,7 +3903,7 @@ a0811:= integrate(t0811,x)
 m0811:= a0811-r0811
 --R 
 --R
---R   (54)  - r0811 + a0811
+--R   (2)  - r0811 + a0811
 --R                                                    Type: Polynomial(Integer)
 --E 63
 
@@ -3878,16 +3911,19 @@ m0811:= a0811-r0811
 d0811:= D(m0811,x)
 --R 
 --R
---R   (55)  0
+--R   (3)  0
 --R                                                    Type: Polynomial(Integer)
 --E 64
 
+)clear all
+
+
 --S 65 of 526
 t0812:= x*cos(x)*csc(x)^(1/2)
 --R 
 --R
---R                  +------+
---R   (56)  x cos(x)\|csc(x)
+--R                 +------+
+--R   (1)  x cos(x)\|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 65
 
@@ -3925,7 +3961,7 @@ a0812:= integrate(t0812,x)
 m0812:= a0812-r0812
 --R 
 --R
---R   (57)  - r0812 + a0812
+--R   (2)  - r0812 + a0812
 --R                                                    Type: Polynomial(Integer)
 --E 68
 
@@ -3933,18 +3969,21 @@ m0812:= a0812-r0812
 d0812:= D(m0812,x)
 --R 
 --R
---R   (58)  0
+--R   (3)  0
 --R                                                    Type: Polynomial(Integer)
 --E 69
 
+)clear all
+
+
 --S 70 of 526
 t0813:= cos(x)/(cos(x)+1)^(1/2)
 --R 
 --R
---R             cos(x)
---R   (59)  -------------
---R          +----------+
---R         \|cos(x) + 1
+--R            cos(x)
+--R   (1)  -------------
+--R         +----------+
+--R        \|cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 70
 
@@ -3952,12 +3991,12 @@ t0813:= cos(x)/(cos(x)+1)^(1/2)
 r0813:= -2*(atanh(sin(1/2*x))*cos(1/2*x)-sin(x))/(cos(x)+1)^(1/2)
 --R 
 --R
---R                x           x
---R         - 2cos(-)atanh(sin(-)) + 2sin(x)
---R                2           2
---R   (60)  --------------------------------
---R                    +----------+
---R                   \|cos(x) + 1
+--R               x           x
+--R        - 2cos(-)atanh(sin(-)) + 2sin(x)
+--R               2           2
+--R   (2)  --------------------------------
+--R                   +----------+
+--R                  \|cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 71
 
@@ -3965,7 +4004,7 @@ r0813:= -2*(atanh(sin(1/2*x))*cos(1/2*x)-sin(x))/(cos(x)+1)^(1/2)
 a0813:= integrate(t0813,x)
 --R 
 --R
---R   (61)
+--R   (3)
 --R           +-+          +-+
 --R         (\|2 cos(x) + \|2 )
 --R      *
@@ -3986,7 +4025,7 @@ a0813:= integrate(t0813,x)
 m0813:= a0813-r0813
 --R 
 --R
---R   (62)
+--R   (4)
 --R                                +-+       +----------+         2
 --R        +-+ +----------+    - 2\|2 sin(x)\|cos(x) + 1  - cos(x)  + 2cos(x) + 3
 --R       \|2 \|cos(x) + 1 log(--------------------------------------------------)
@@ -4006,7 +4045,7 @@ m0813:= a0813-r0813
 d0813:= D(m0813,x)
 --R 
 --R
---R   (63)
+--R   (5)
 --R                  +-+    x     x 2     +-+    x        2
 --R               (2\|2 cos(-)sin(-)  - 2\|2 cos(-))sin(x)
 --R                         2     2              2
@@ -4088,14 +4127,17 @@ d0813:= D(m0813,x)
 --R                                                    Type: Expression(Integer)
 --E 74
 
+)clear all
+
+
 --S 75 of 526
 t0814:= cos(x)/(1-cos(2*x))^(1/2)
 --R 
 --R
---R              cos(x)
---R   (64)  ----------------
---R          +-------------+
---R         \|- cos(2x) + 1
+--R             cos(x)
+--R   (1)  ----------------
+--R         +-------------+
+--R        \|- cos(2x) + 1
 --R                                                    Type: Expression(Integer)
 --E 75
 
@@ -4103,10 +4145,10 @@ t0814:= cos(x)/(1-cos(2*x))^(1/2)
 r0814:= 1/2*log(sin(x))*2^(1/2)*cos(sin(x))
 --R 
 --R
---R          +-+
---R         \|2 cos(sin(x))log(sin(x))
---R   (65)  --------------------------
---R                      2
+--R         +-+
+--R        \|2 cos(sin(x))log(sin(x))
+--R   (2)  --------------------------
+--R                     2
 --R                                                    Type: Expression(Integer)
 --E 76
 
@@ -4114,11 +4156,11 @@ r0814:= 1/2*log(sin(x))*2^(1/2)*cos(sin(x))
 a0814:= integrate(t0814,x)
 --R 
 --R
---R          +-+      sin(x)       +-+         2
---R         \|2 log(----------) - \|2 log(----------)
---R                 cos(x) + 1            cos(x) + 1
---R   (66)  -----------------------------------------
---R                             2
+--R         +-+      sin(x)       +-+         2
+--R        \|2 log(----------) - \|2 log(----------)
+--R                cos(x) + 1            cos(x) + 1
+--R   (3)  -----------------------------------------
+--R                            2
 --R                                         Type: Union(Expression(Integer),...)
 --E 77
 
@@ -4126,7 +4168,7 @@ a0814:= integrate(t0814,x)
 m0814:= a0814-r0814
 --R 
 --R
---R   (67)
+--R   (4)
 --R      +-+                          +-+      sin(x)       +-+         2
 --R   - \|2 cos(sin(x))log(sin(x)) + \|2 log(----------) - \|2 log(----------)
 --R                                          cos(x) + 1            cos(x) + 1
@@ -4139,7 +4181,7 @@ m0814:= a0814-r0814
 d0814:= D(m0814,x)
 --R 
 --R
---R   (68)
+--R   (5)
 --R    +-+                                      +-+                     +-+
 --R   \|2 cos(x)sin(x)log(sin(x))sin(sin(x)) - \|2 cos(x)cos(sin(x)) + \|2 cos(x)
 --R   ---------------------------------------------------------------------------
@@ -4147,12 +4189,15 @@ d0814:= D(m0814,x)
 --R                                                    Type: Expression(Integer)
 --E 79
 
+)clear all
+
+
 --S 80 of 526
 t0815:= tan(x)*(2+3*cos(x))^(1/2)
 --R 
 --R
---R                +-----------+
---R   (69)  tan(x)\|3cos(x) + 2
+--R               +-----------+
+--R   (1)  tan(x)\|3cos(x) + 2
 --R                                                    Type: Expression(Integer)
 --E 80
 
@@ -4160,10 +4205,10 @@ t0815:= tan(x)*(2+3*cos(x))^(1/2)
 r0815:= 2*2^(1/2)*atanh(1/2*(2+3*cos(x))^(1/2)*2^(1/2))-2*(2+3*cos(x))^(1/2)
 --R 
 --R
---R                     +-+ +-----------+
---R           +-+      \|2 \|3cos(x) + 2       +-----------+
---R   (70)  2\|2 atanh(------------------) - 2\|3cos(x) + 2
---R                             2
+--R                    +-+ +-----------+
+--R          +-+      \|2 \|3cos(x) + 2       +-----------+
+--R   (2)  2\|2 atanh(------------------) - 2\|3cos(x) + 2
+--R                            2
 --R                                                    Type: Expression(Integer)
 --E 81
 
@@ -4171,7 +4216,7 @@ r0815:= 2*2^(1/2)*atanh(1/2*(2+3*cos(x))^(1/2)*2^(1/2))-2*(2+3*cos(x))^(1/2)
 a0815:= integrate(t0815,x)
 --R 
 --R
---R   (71)
+--R   (3)
 --R       -
 --R             +-+
 --R            \|2
@@ -4196,7 +4241,7 @@ a0815:= integrate(t0815,x)
 m0815:= a0815-r0815
 --R 
 --R
---R   (72)
+--R   (4)
 --R       -
 --R             +-+
 --R            \|2
@@ -4223,16 +4268,19 @@ m0815:= a0815-r0815
 d0815:= D(m0815,x)
 --R 
 --R
---R   (73)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 84
 
+)clear all
+
+
 --S 85 of 526
 t0816:= cot(x)*(1+sin(x))^(1/2)
 --R 
 --R
---R                +----------+
---R   (74)  cot(x)\|sin(x) + 1
+--R               +----------+
+--R   (1)  cot(x)\|sin(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 85
 
@@ -4240,8 +4288,8 @@ t0816:= cot(x)*(1+sin(x))^(1/2)
 r0816:= -2*atanh((1+sin(x))^(1/2))+2*(1+sin(x))^(1/2)
 --R 
 --R
---R                   +----------+      +----------+
---R   (75)  - 2atanh(\|sin(x) + 1 ) + 2\|sin(x) + 1
+--R                  +----------+      +----------+
+--R   (2)  - 2atanh(\|sin(x) + 1 ) + 2\|sin(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 86
 
@@ -4249,7 +4297,7 @@ r0816:= -2*atanh((1+sin(x))^(1/2))+2*(1+sin(x))^(1/2)
 a0816:= integrate(t0816,x)
 --R 
 --R
---R   (76)
+--R   (3)
 --R                         +---------------------+
 --R                         |          4
 --R         (- cos(x) - 1)  |---------------------
@@ -4302,7 +4350,7 @@ a0816:= integrate(t0816,x)
 m0816:= a0816-r0816
 --R 
 --R
---R   (77)
+--R   (4)
 --R                         +---------------------+
 --R                         |          4
 --R         (- cos(x) - 1)  |---------------------
@@ -4367,7 +4415,7 @@ m0816:= a0816-r0816
 d0816:= D(m0816,x)
 --R 
 --R
---R   (78)
+--R   (5)
 --R                      5                     4           2                    3
 --R               2sin(x)  + (cos(x) + 1)sin(x)  + (3cos(x)  + cos(x) - 2)sin(x)
 --R             + 
@@ -4457,14 +4505,17 @@ d0816:= D(m0816,x)
 --R                                                    Type: Expression(Integer)
 --E 89
 
+)clear all
+
+
 --S 90 of 526
 t0817:= cot(x)/(3-cos(x))^(1/2)
 --R 
 --R
---R              cot(x)
---R   (79)  ---------------
---R          +------------+
---R         \|- cos(x) + 3
+--R             cot(x)
+--R   (1)  ---------------
+--R         +------------+
+--R        \|- cos(x) + 3
 --R                                                    Type: Expression(Integer)
 --E 90
 
@@ -4473,12 +4524,12 @@ r0817:= -1/2*atanh(1/2*(3-cos(x))^(1/2))-_
         1/2*atanh(1/2*(3-cos(x))^(1/2)*2^(1/2))*2^(1/2)
 --R 
 --R
---R                      +-+ +------------+           +------------+
---R            +-+      \|2 \|- cos(x) + 3           \|- cos(x) + 3
---R         - \|2 atanh(-------------------) - atanh(---------------)
---R                              2                          2
---R   (80)  ---------------------------------------------------------
---R                                     2
+--R                     +-+ +------------+           +------------+
+--R           +-+      \|2 \|- cos(x) + 3           \|- cos(x) + 3
+--R        - \|2 atanh(-------------------) - atanh(---------------)
+--R                             2                          2
+--R   (2)  ---------------------------------------------------------
+--R                                    2
 --R                                                    Type: Expression(Integer)
 --E 91
 
@@ -4486,7 +4537,7 @@ r0817:= -1/2*atanh(1/2*(3-cos(x))^(1/2))-_
 a0817:= integrate(t0817,x)
 --R 
 --R
---R   (81)
+--R   (3)
 --R       log
 --R                       3            2                 +------------+         2
 --R              (16cos(x)  - 112cos(x)  - 8cos(x) + 56)\|- cos(x) + 3  + cos(x)
@@ -4521,7 +4572,7 @@ a0817:= integrate(t0817,x)
 m0817:= a0817-r0817
 --R 
 --R
---R   (82)
+--R   (4)
 --R       log
 --R                       3            2                 +------------+         2
 --R              (16cos(x)  - 112cos(x)  - 8cos(x) + 56)\|- cos(x) + 3  + cos(x)
@@ -4561,7 +4612,7 @@ m0817:= a0817-r0817
 d0817:= D(m0817,x)
 --R 
 --R
---R   (83)
+--R   (5)
 --R               +-+      6           +-+           5         +-+             4
 --R           128\|2 cos(x)  + (- 1920\|2  + 6)cos(x)  + (9024\|2  - 168)cos(x)
 --R         + 
@@ -4614,15 +4665,18 @@ d0817:= D(m0817,x)
 --R                                                    Type: Expression(Integer)
 --E 94
 
+)clear all
+
+
 --S 95 of 526
 t0818:= sin(x)/(1+sin(x)^2)^(1/2)
 --R 
 --R
---R             sin(x)
---R   (84)  --------------
---R          +-----------+
---R          |      2
---R         \|sin(x)  + 1
+--R            sin(x)
+--R   (1)  --------------
+--R         +-----------+
+--R         |      2
+--R        \|sin(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 95
 
@@ -4630,10 +4684,10 @@ t0818:= sin(x)/(1+sin(x)^2)^(1/2)
 r0818:= -asin(1/2*cos(x)*2^(1/2))
 --R 
 --R
---R                 +-+
---R                \|2 cos(x)
---R   (85)  - asin(----------)
---R                     2
+--R                +-+
+--R               \|2 cos(x)
+--R   (2)  - asin(----------)
+--R                    2
 --R                                                    Type: Expression(Integer)
 --E 96
 
@@ -4641,7 +4695,7 @@ r0818:= -asin(1/2*cos(x)*2^(1/2))
 a0818:= integrate(t0818,x)
 --R 
 --R
---R   (86)
+--R   (3)
 --R                                  +---------------------+
 --R                                  |             2
 --R                                  |    - 4cos(x)  + 8              2
@@ -4692,7 +4746,7 @@ a0818:= integrate(t0818,x)
 m0818:= a0818-r0818
 --R 
 --R
---R   (87)
+--R   (4)
 --R                                  +---------------------+
 --R                                  |             2
 --R                                  |    - 4cos(x)  + 8              2
@@ -4748,7 +4802,7 @@ m0818:= a0818-r0818
 d0818:= D(m0818,x)
 --R 
 --R
---R   (88)
+--R   (5)
 --R                             7           6           5           4           3
 --R                   - 16cos(x)  - 16cos(x)  + 48cos(x)  + 48cos(x)  - 36cos(x)
 --R                 + 
@@ -5027,13 +5081,16 @@ d0818:= D(m0818,x)
 --R                                                    Type: Expression(Integer)
 --E 99
 
+)clear all
+
+
 --S 100 of 526
 t0819:= sin(x)*(1+sin(x)^2)^(1/2)
 --R 
 --R
---R                +-----------+
---R                |      2
---R   (89)  sin(x)\|sin(x)  + 1
+--R               +-----------+
+--R               |      2
+--R   (1)  sin(x)\|sin(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 100
 
@@ -5041,12 +5098,12 @@ t0819:= sin(x)*(1+sin(x)^2)^(1/2)
 r0819:= -asin(1/2*cos(x)*2^(1/2))-1/2*cos(x)*(2-cos(x)^2)^(1/2)
 --R 
 --R
---R                  +-------------+          +-+
---R                  |        2              \|2 cos(x)
---R         - cos(x)\|- cos(x)  + 2  - 2asin(----------)
---R                                               2
---R   (90)  --------------------------------------------
---R                               2
+--R                 +-------------+          +-+
+--R                 |        2              \|2 cos(x)
+--R        - cos(x)\|- cos(x)  + 2  - 2asin(----------)
+--R                                              2
+--R   (2)  --------------------------------------------
+--R                              2
 --R                                                    Type: Expression(Integer)
 --E 101
 
@@ -5054,7 +5111,7 @@ r0819:= -asin(1/2*cos(x)*2^(1/2))-1/2*cos(x)*(2-cos(x)^2)^(1/2)
 a0819:= integrate(t0819,x)
 --R 
 --R
---R   (91)
+--R   (3)
 --R                                                         +---------------------+
 --R                                                         |             2
 --R                     3          2                        |    - 4cos(x)  + 8
@@ -5142,7 +5199,7 @@ a0819:= integrate(t0819,x)
 m0819:= a0819-r0819
 --R 
 --R
---R   (92)
+--R   (4)
 --R                                                         +---------------------+
 --R                                                         |             2
 --R                     3          2                        |    - 4cos(x)  + 8
@@ -5248,7 +5305,7 @@ m0819:= a0819-r0819
 d0819:= D(m0819,x)
 --R 
 --R
---R   (93)
+--R   (5)
 --R                             13             12             11             10
 --R                   1024cos(x)   + 1024cos(x)   - 8192cos(x)   - 8192cos(x)
 --R                 + 
@@ -5781,15 +5838,18 @@ d0819:= D(m0819,x)
 --R                                                    Type: Expression(Integer)
 --E 104
 
+)clear all
+
+
 --S 105 of 526
 t0820:= sin(7+3*x)/(3+sin(7+3*x)^2)^(1/2)
 --R 
 --R
---R             sin(3x + 7)
---R   (94)  -------------------
---R          +----------------+
---R          |           2
---R         \|sin(3x + 7)  + 3
+--R            sin(3x + 7)
+--R   (1)  -------------------
+--R         +----------------+
+--R         |           2
+--R        \|sin(3x + 7)  + 3
 --R                                                    Type: Expression(Integer)
 --E 105
 
@@ -5797,11 +5857,11 @@ t0820:= sin(7+3*x)/(3+sin(7+3*x)^2)^(1/2)
 r0820:= -1/3*asin(1/2*cos(7+3*x))
 --R 
 --R
---R                cos(3x + 7)
---R           asin(-----------)
---R                     2
---R   (95)  - -----------------
---R                   3
+--R               cos(3x + 7)
+--R          asin(-----------)
+--R                    2
+--R   (2)  - -----------------
+--R                  3
 --R                                                    Type: Expression(Integer)
 --E 106
 
@@ -5809,7 +5869,7 @@ r0820:= -1/3*asin(1/2*cos(7+3*x))
 a0820:= integrate(t0820,x)
 --R 
 --R
---R   (96)
+--R   (3)
 --R       -
 --R          atan
 --R                                              +-------------------------------+
@@ -5869,7 +5929,7 @@ a0820:= integrate(t0820,x)
 m0820:= a0820-r0820
 --R 
 --R
---R   (97)
+--R   (4)
 --R       -
 --R          atan
 --R                                              +-------------------------------+
@@ -5933,7 +5993,7 @@ m0820:= a0820-r0820
 d0820:= D(m0820,x)
 --R 
 --R
---R   (98)
+--R   (5)
 --R                                  7                6                 5
 --R                   - 64cos(3x + 7)  - 64cos(3x + 7)  + 384cos(3x + 7)
 --R                 + 
@@ -6298,15 +6358,18 @@ d0820:= D(m0820,x)
 --R                                                    Type: Expression(Integer)
 --E 109
 
+)clear all
+
+
 --S 110 of 526
 t0821:= cos(x)/(1+cos(x)^2)^(1/2)
 --R 
 --R
---R             cos(x)
---R   (99)  --------------
---R          +-----------+
---R          |      2
---R         \|cos(x)  + 1
+--R            cos(x)
+--R   (1)  --------------
+--R         +-----------+
+--R         |      2
+--R        \|cos(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 110
 
@@ -6314,10 +6377,10 @@ t0821:= cos(x)/(1+cos(x)^2)^(1/2)
 r0821:= asin(1/2*sin(x)*2^(1/2))
 --R 
 --R
---R                +-+
---R               \|2 sin(x)
---R   (100)  asin(----------)
---R                    2
+--R              +-+
+--R             \|2 sin(x)
+--R   (2)  asin(----------)
+--R                  2
 --R                                                    Type: Expression(Integer)
 --E 111
 
@@ -6325,7 +6388,7 @@ r0821:= asin(1/2*sin(x)*2^(1/2))
 a0821:= integrate(t0821,x)
 --R 
 --R
---R   (101)
+--R   (3)
 --R       -
 --R          atan
 --R                                             +---------------------+
@@ -6363,7 +6426,7 @@ a0821:= integrate(t0821,x)
 m0821:= a0821-r0821
 --R 
 --R
---R   (102)
+--R   (4)
 --R       -
 --R          atan
 --R                                             +---------------------+
@@ -6402,7 +6465,7 @@ m0821:= a0821-r0821
 d0821:= D(m0821,x)
 --R 
 --R
---R   (103)
+--R   (5)
 --R                             13           12            11            10
 --R                   - 64cos(x)   - 64cos(x)   - 112cos(x)   - 112cos(x)
 --R                 + 
@@ -6539,15 +6602,18 @@ d0821:= D(m0821,x)
 --R                                                    Type: Expression(Integer)
 --E 114
 
+)clear all
+
+
 --S 115 of 526
 t0822:= cos(5+3*x)/(3+cos(5+3*x)^2)^(1/2)
 --R 
 --R
---R              cos(3x + 5)
---R   (104)  -------------------
---R           +----------------+
---R           |           2
---R          \|cos(3x + 5)  + 3
+--R            cos(3x + 5)
+--R   (1)  -------------------
+--R         +----------------+
+--R         |           2
+--R        \|cos(3x + 5)  + 3
 --R                                                    Type: Expression(Integer)
 --E 115
 
@@ -6555,11 +6621,11 @@ t0822:= cos(5+3*x)/(3+cos(5+3*x)^2)^(1/2)
 r0822:= 1/3*asin(1/2*sin(5+3*x))
 --R 
 --R
---R               sin(3x + 5)
---R          asin(-----------)
---R                    2
---R   (105)  -----------------
---R                  3
+--R             sin(3x + 5)
+--R        asin(-----------)
+--R                  2
+--R   (2)  -----------------
+--R                3
 --R                                                    Type: Expression(Integer)
 --E 116
 
@@ -6567,7 +6633,7 @@ r0822:= 1/3*asin(1/2*sin(5+3*x))
 a0822:= integrate(t0822,x)
 --R 
 --R
---R   (106)
+--R   (3)
 --R       -
 --R          atan
 --R                                3               2
@@ -6608,7 +6674,7 @@ a0822:= integrate(t0822,x)
 m0822:= a0822-r0822
 --R 
 --R
---R   (107)
+--R   (4)
 --R       -
 --R          atan
 --R                                3               2
@@ -6649,7 +6715,7 @@ m0822:= a0822-r0822
 d0822:= D(m0822,x)
 --R 
 --R
---R   (108)
+--R   (5)
 --R                                  13                12                 11
 --R                   - 64cos(3x + 5)   - 64cos(3x + 5)   - 496cos(3x + 5)
 --R                 + 
@@ -6842,15 +6908,18 @@ d0822:= D(m0822,x)
 --R                                                    Type: Expression(Integer)
 --E 119
 
+)clear all
+
+
 --S 120 of 526
 t0823:= cos(x)/(4-cos(x)^2)^(1/2)
 --R 
 --R
---R               cos(x)
---R   (109)  ----------------
---R           +-------------+
---R           |        2
---R          \|- cos(x)  + 4
+--R             cos(x)
+--R   (1)  ----------------
+--R         +-------------+
+--R         |        2
+--R        \|- cos(x)  + 4
 --R                                                    Type: Expression(Integer)
 --E 120
 
@@ -6858,10 +6927,10 @@ t0823:= cos(x)/(4-cos(x)^2)^(1/2)
 r0823:= asinh(1/3*sin(x)*3^(1/2))
 --R 
 --R
---R                 +-+
---R                \|3 sin(x)
---R   (110)  asinh(----------)
---R                     3
+--R               +-+
+--R              \|3 sin(x)
+--R   (2)  asinh(----------)
+--R                   3
 --R                                                    Type: Expression(Integer)
 --E 121
 
@@ -6869,7 +6938,7 @@ r0823:= asinh(1/3*sin(x)*3^(1/2))
 a0823:= integrate(t0823,x)
 --R 
 --R
---R   (111)
+--R   (3)
 --R     log
 --R                                                        +---------------------+
 --R                                                        |            2
@@ -6889,7 +6958,7 @@ a0823:= integrate(t0823,x)
 m0823:= a0823-r0823
 --R 
 --R
---R   (112)
+--R   (4)
 --R       log
 --R                        3          2
 --R              (- 4cos(x)  - 4cos(x)  + 10cos(x) + 10)sin(x)
@@ -6917,7 +6986,7 @@ m0823:= a0823-r0823
 d0823:= D(m0823,x)
 --R 
 --R
---R   (113)
+--R   (5)
 --R                       4          3           2
 --R             (- 8cos(x)  - 8cos(x)  + 20cos(x)  + 20cos(x))sin(x)
 --R          *
@@ -6967,13 +7036,16 @@ d0823:= D(m0823,x)
 --R                                                    Type: Expression(Integer)
 --E 124
 
+)clear all
+
+
 --S 125 of 526
 t0824:= sin(x)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                 sin(x)
---R   (114)  -------------------
---R          b sin(x) + a cos(x)
+--R               sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 125
 
@@ -6981,10 +7053,10 @@ t0824:= sin(x)/(a*cos(x)+b*sin(x))
 r0824:= -(-b*x+a*log(a*cos(x)+b*sin(x)))/(a^2+b^2)
 --R 
 --R
---R          - a log(b sin(x) + a cos(x)) + b x
---R   (115)  ----------------------------------
---R                         2    2
---R                        b  + a
+--R        - a log(b sin(x) + a cos(x)) + b x
+--R   (2)  ----------------------------------
+--R                       2    2
+--R                      b  + a
 --R                                                    Type: Expression(Integer)
 --E 126
 
@@ -6992,12 +7064,12 @@ r0824:= -(-b*x+a*log(a*cos(x)+b*sin(x)))/(a^2+b^2)
 a0824:= integrate(t0824,x)
 --R 
 --R
---R                     2              - 2b sin(x) - 2a cos(x)
---R          a log(----------) - a log(-----------------------) + b x
---R                cos(x) + 1                 cos(x) + 1
---R   (116)  --------------------------------------------------------
---R                                    2    2
---R                                   b  + a
+--R                   2              - 2b sin(x) - 2a cos(x)
+--R        a log(----------) - a log(-----------------------) + b x
+--R              cos(x) + 1                 cos(x) + 1
+--R   (3)  --------------------------------------------------------
+--R                                  2    2
+--R                                 b  + a
 --R                                         Type: Union(Expression(Integer),...)
 --E 127
 
@@ -7005,7 +7077,7 @@ a0824:= integrate(t0824,x)
 m0824:= a0824-r0824
 --R 
 --R
---R   (117)
+--R   (4)
 --R                                               2
 --R       a log(b sin(x) + a cos(x)) + a log(----------)
 --R                                          cos(x) + 1
@@ -7023,18 +7095,21 @@ m0824:= a0824-r0824
 d0824:= D(m0824,x)
 --R 
 --R
---R   (118)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 129
 
+)clear all
+
+
 --S 130 of 526
 t0825:= sin(x)^2/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                      2
---R                sin(x)
---R   (119)  -------------------
---R          b sin(x) + a cos(x)
+--R                    2
+--R              sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 130
 
@@ -7043,16 +7118,16 @@ r0825:= -a^2*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
         b*cos(x)/(a^2+b^2)-a*sin(x)/(a^2+b^2)
 --R 
 --R
---R                                                                 +-------+
---R           2      a sin(x) - b cos(x)                            | 2    2
---R          a atanh(-------------------) + (- a sin(x) - b cos(x))\|b  + a
---R                        +-------+
---R                        | 2    2
---R                       \|b  + a
---R   (120)  ----------------------------------------------------------------
---R                                           +-------+
---R                                   2    2  | 2    2
---R                                 (b  + a )\|b  + a
+--R                                                               +-------+
+--R         2      a sin(x) - b cos(x)                            | 2    2
+--R        a atanh(-------------------) + (- a sin(x) - b cos(x))\|b  + a
+--R                      +-------+
+--R                      | 2    2
+--R                     \|b  + a
+--R   (2)  ----------------------------------------------------------------
+--R                                         +-------+
+--R                                 2    2  | 2    2
+--R                               (b  + a )\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 131
 
@@ -7060,7 +7135,7 @@ r0825:= -a^2*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
 a0825:= integrate(t0825,x)
 --R 
 --R
---R   (121)
+--R   (3)
 --R          2
 --R         a
 --R      *
@@ -7088,7 +7163,7 @@ a0825:= integrate(t0825,x)
 m0825:= a0825-r0825
 --R 
 --R
---R   (122)
+--R   (4)
 --R          2
 --R         a
 --R      *
@@ -7118,7 +7193,7 @@ m0825:= a0825-r0825
 d0825:= D(m0825,x)
 --R 
 --R
---R   (123)
+--R   (5)
 --R          3      3    2              2     3      2    3           2        3
 --R         a sin(x)  - a b cos(x)sin(x)  + (a cos(x)  - a )sin(x) - a b cos(x)
 --R       + 
@@ -7140,14 +7215,17 @@ d0825:= D(m0825,x)
 --R                                                    Type: Expression(Integer)
 --E 134
 
+)clear all
+
+
 --S 135 of 526
 t0826:= sin(x)^3/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                      3
---R                sin(x)
---R   (124)  -------------------
---R          b sin(x) + a cos(x)
+--R                    3
+--R              sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 135
 
@@ -7157,7 +7235,7 @@ r0826:= 1/2/(a^2+b^2)^2*(3*a^2*b*x+b^3*x-2*a^3*log(a*cos(x)+b*sin(x))-_
         b^2*a+b^2*a*cos(x)^2)
 --R 
 --R
---R   (125)
+--R   (2)
 --R           3                               3    2
 --R       - 2a log(b sin(x) + a cos(x)) + (- b  - a b)cos(x)sin(x)
 --R     + 
@@ -7173,7 +7251,7 @@ r0826:= 1/2/(a^2+b^2)^2*(3*a^2*b*x+b^3*x-2*a^3*log(a*cos(x)+b*sin(x))-_
 a0826:= integrate(t0826,x)
 --R 
 --R
---R   (126)
+--R   (3)
 --R         3         2          3    - 2b sin(x) - 2a cos(x)
 --R       2a log(----------) - 2a log(-----------------------)
 --R              cos(x) + 1                  cos(x) + 1
@@ -7190,7 +7268,7 @@ a0826:= integrate(t0826,x)
 m0826:= a0826-r0826
 --R 
 --R
---R   (127)
+--R   (4)
 --R         3                             3         2
 --R       2a log(b sin(x) + a cos(x)) + 2a log(----------)
 --R                                            cos(x) + 1
@@ -7208,18 +7286,21 @@ m0826:= a0826-r0826
 d0826:= D(m0826,x)
 --R 
 --R
---R   (128)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 139
 
+)clear all
+
+
 --S 140 of 526
 t0827:= sin(x)/(a*cos(x)+b*sin(x))^2
 --R 
 --R
---R                            sin(x)
---R   (129)  -----------------------------------------
---R           2      2                        2      2
---R          b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
+--R                          sin(x)
+--R   (1)  -----------------------------------------
+--R         2      2                        2      2
+--R        b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 140
 
@@ -7228,16 +7309,16 @@ r0827:= -b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)+_
         a/(a^2+b^2)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                                                                +-------+
---R            2                          a sin(x) - b cos(x)      | 2    2
---R          (b sin(x) + a b cos(x))atanh(-------------------) + a\|b  + a
---R                                             +-------+
---R                                             | 2    2
---R                                            \|b  + a
---R   (130)  ---------------------------------------------------------------
---R                                                         +-------+
---R                     3    2               2    3         | 2    2
---R                  ((b  + a b)sin(x) + (a b  + a )cos(x))\|b  + a
+--R                                                              +-------+
+--R          2                          a sin(x) - b cos(x)      | 2    2
+--R        (b sin(x) + a b cos(x))atanh(-------------------) + a\|b  + a
+--R                                           +-------+
+--R                                           | 2    2
+--R                                          \|b  + a
+--R   (2)  ---------------------------------------------------------------
+--R                                                       +-------+
+--R                   3    2               2    3         | 2    2
+--R                ((b  + a b)sin(x) + (a b  + a )cos(x))\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 141
 
@@ -7245,7 +7326,7 @@ r0827:= -b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)+_
 a0827:= integrate(t0827,x)
 --R 
 --R
---R   (131)
+--R   (3)
 --R           2
 --R         (b sin(x) + a b cos(x))
 --R      *
@@ -7273,7 +7354,7 @@ a0827:= integrate(t0827,x)
 m0827:= a0827-r0827
 --R 
 --R
---R   (132)
+--R   (4)
 --R         b
 --R      *
 --R         log
@@ -7303,7 +7384,7 @@ m0827:= a0827-r0827
 d0827:= D(m0827,x)
 --R 
 --R
---R   (133)
+--R   (5)
 --R                   3    2            2              2                 2      3
 --R         a b sin(x)  - b cos(x)sin(x)  + (a b cos(x)  - a b)sin(x) - b cos(x)
 --R       + 
@@ -7325,15 +7406,18 @@ d0827:= D(m0827,x)
 --R                                                    Type: Expression(Integer)
 --E 144
 
+)clear all
+
+
 --S 145 of 526
 t0828:= sin(x)^2/(a*cos(x)+b*sin(x))^2
 --R 
 --R
---R                                 2
---R                           sin(x)
---R   (134)  -----------------------------------------
---R           2      2                        2      2
---R          b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
+--R                               2
+--R                         sin(x)
+--R   (1)  -----------------------------------------
+--R         2      2                        2      2
+--R        b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 145
 
@@ -7342,7 +7426,7 @@ r0828:= -(a^2-b^2)*x/(a^2+b^2)^2+a/(a^2+b^2)/(b+a*cot(x))-_
         2*a*b*log(a*cos(x)+b*sin(x))/(a^2+b^2)^2
 --R 
 --R
---R   (135)
+--R   (2)
 --R            2               2                                2    3
 --R       (- 2a b cot(x) - 2a b )log(b sin(x) + a cos(x)) + (a b  - a )x cot(x)
 --R     + 
@@ -7358,7 +7442,7 @@ r0828:= -(a^2-b^2)*x/(a^2+b^2)^2+a/(a^2+b^2)/(b+a*cot(x))-_
 a0828:= integrate(t0828,x)
 --R 
 --R
---R   (136)
+--R   (3)
 --R            2           2                  2
 --R       (2a b sin(x) + 2a b cos(x))log(----------)
 --R                                      cos(x) + 1
@@ -7379,7 +7463,7 @@ a0828:= integrate(t0828,x)
 m0828:= a0828-r0828
 --R 
 --R
---R   (137)
+--R   (4)
 --R             2 2             3            3                   2 2
 --R         ((2a b cot(x) + 2a b )sin(x) + 2a b cos(x)cot(x) + 2a b cos(x))
 --R      *
@@ -7414,7 +7498,7 @@ m0828:= a0828-r0828
 d0828:= D(m0828,x)
 --R 
 --R
---R   (138)
+--R   (5)
 --R            2 2    4       2     3               2
 --R       ((- a b  + a )cot(x)  + 2a b cot(x))sin(x)
 --R     + 
@@ -7443,14 +7527,17 @@ d0828:= D(m0828,x)
 --R                                                    Type: Expression(Integer)
 --E 149
 
+)clear all
+
+
 --S 150 of 526
 t0829:= sin(x)/(a*cos(x)+b*sin(x))^3
 --R 
 --R
---R                                       sin(x)
---R   (139)  ---------------------------------------------------------------
---R           3      3       2            2     2        2          3      3
---R          b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
+--R                                     sin(x)
+--R   (1)  ---------------------------------------------------------------
+--R         3      3       2            2     2        2          3      3
+--R        b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 150
 
@@ -7459,7 +7546,7 @@ r0829:= 1/2*a/(a^2+b^2)/(a*cos(x)+b*sin(x))^2+_
         b*sin(x)/a/(a^2+b^2)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R   (140)
+--R   (2)
 --R                         2      2                        2
 --R                       2b sin(x)  + 2a b cos(x)sin(x) + a
 --R   --------------------------------------------------------------------------
@@ -7472,11 +7559,11 @@ r0829:= 1/2*a/(a^2+b^2)/(a*cos(x)+b*sin(x))^2+_
 a0829:= integrate(t0829,x)
 --R 
 --R
---R                                     2
---R                             - cos(x)  + 1
---R   (141)  --------------------------------------------------
---R            2                        2     3       2       2
---R          4a b cos(x)sin(x) + (- 2a b  + 2a )cos(x)  + 2a b
+--R                                   2
+--R                           - cos(x)  + 1
+--R   (3)  --------------------------------------------------
+--R          2                        2     3       2       2
+--R        4a b cos(x)sin(x) + (- 2a b  + 2a )cos(x)  + 2a b
 --R                                         Type: Union(Expression(Integer),...)
 --E 152
 
@@ -7484,7 +7571,7 @@ a0829:= integrate(t0829,x)
 m0829:= a0829-r0829
 --R 
 --R
---R   (142)
+--R   (4)
 --R             3            3      4     2 2       2    4    2 2       2
 --R       - 4a b cos(x)sin(x)  + ((b  - 7a b )cos(x)  - b  + a b )sin(x)
 --R     + 
@@ -7509,7 +7596,7 @@ m0829:= a0829-r0829
 d0829:= D(m0829,x)
 --R 
 --R
---R   (143)
+--R   (5)
 --R          6     2 4       2    6    2 4       5
 --R       ((b  - 3a b )cos(x)  + b  + a b )sin(x)
 --R     + 
@@ -7582,15 +7669,18 @@ d0829:= D(m0829,x)
 --R                                                    Type: Expression(Integer)
 --E 154
 
+)clear all
+
+
 --S 155 of 526
 t0830:= sin(x)^3/(a*cos(x)+b*sin(x))^3
 --R 
 --R
---R                                            3
---R                                      sin(x)
---R   (144)  ---------------------------------------------------------------
---R           3      3       2            2     2        2          3      3
---R          b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
+--R                                          3
+--R                                    sin(x)
+--R   (1)  ---------------------------------------------------------------
+--R         3      3       2            2     2        2          3      3
+--R        b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 155
 
@@ -7600,7 +7690,7 @@ r0830:= -b*(3*a^2-b^2)*x/(a^2+b^2)^3+1/2*a/(a^2+b^2)/(b+a*cot(x))^2+_
          log(a*cos(x)+b*sin(x))/(a^2+b^2)^3
 --R 
 --R
---R   (145)
+--R   (2)
 --R               3 2     5       2         2 3     4               4     3 2
 --R         ((- 6a b  + 2a )cot(x)  + (- 12a b  + 4a b)cot(x) - 6a b  + 2a b )
 --R      *
@@ -7624,7 +7714,7 @@ r0830:= -b*(3*a^2-b^2)*x/(a^2+b^2)^3+1/2*a/(a^2+b^2)/(b+a*cot(x))^2+_
 a0830:= integrate(t0830,x)
 --R 
 --R
---R   (146)
+--R   (3)
 --R               2 3     4                        4     3 2     5       2       4
 --R           (12a b  - 4a b)cos(x)sin(x) + (- 6a b  + 8a b  - 2a )cos(x)  + 6a b
 --R         + 
@@ -7666,7 +7756,7 @@ a0830:= integrate(t0830,x)
 m0830:= a0830-r0830
 --R 
 --R
---R   (147)
+--R   (4)
 --R                   4 3     6              2       3 4     5 2
 --R               (12a b  - 4a b)cos(x)cot(x)  + (24a b  - 8a b )cos(x)cot(x)
 --R             + 
@@ -7777,7 +7867,7 @@ m0830:= a0830-r0830
 d0830:= D(m0830,x)
 --R 
 --R
---R   (148)
+--R   (5)
 --R                 5 3     7        2     5 3    7        3
 --R           ((- 5a b  + 3a b)cos(x)  + 3a b  + a b)cot(x)
 --R         + 
@@ -7914,13 +8004,16 @@ d0830:= D(m0830,x)
 --R                                                    Type: Expression(Integer)
 --E 159
 
+)clear all
+
+
 --S 160 of 526
 t0831:= cos(x)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                 cos(x)
---R   (149)  -------------------
---R          b sin(x) + a cos(x)
+--R               cos(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 160
 
@@ -7928,10 +8021,10 @@ t0831:= cos(x)/(a*cos(x)+b*sin(x))
 r0831:= (a*x+b*log(a*cos(x)+b*sin(x)))/(a^2+b^2)
 --R 
 --R
---R          b log(b sin(x) + a cos(x)) + a x
---R   (150)  --------------------------------
---R                        2    2
---R                       b  + a
+--R        b log(b sin(x) + a cos(x)) + a x
+--R   (2)  --------------------------------
+--R                      2    2
+--R                     b  + a
 --R                                                    Type: Expression(Integer)
 --E 161
 
@@ -7939,12 +8032,12 @@ r0831:= (a*x+b*log(a*cos(x)+b*sin(x)))/(a^2+b^2)
 a0831:= integrate(t0831,x)
 --R 
 --R
---R                       2              - 2b sin(x) - 2a cos(x)
---R          - b log(----------) + b log(-----------------------) + a x
---R                  cos(x) + 1                 cos(x) + 1
---R   (151)  ----------------------------------------------------------
---R                                     2    2
---R                                    b  + a
+--R                     2              - 2b sin(x) - 2a cos(x)
+--R        - b log(----------) + b log(-----------------------) + a x
+--R                cos(x) + 1                 cos(x) + 1
+--R   (3)  ----------------------------------------------------------
+--R                                   2    2
+--R                                  b  + a
 --R                                         Type: Union(Expression(Integer),...)
 --E 162
 
@@ -7952,7 +8045,7 @@ a0831:= integrate(t0831,x)
 m0831:= a0831-r0831
 --R 
 --R
---R   (152)
+--R   (4)
 --R                                                 2
 --R       - b log(b sin(x) + a cos(x)) - b log(----------)
 --R                                            cos(x) + 1
@@ -7970,18 +8063,21 @@ m0831:= a0831-r0831
 d0831:= D(m0831,x)
 --R 
 --R
---R   (153)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 164
 
+)clear all
+
+
 --S 165 of 526
 t0832:= cos(x)^2/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                      2
---R                cos(x)
---R   (154)  -------------------
---R          b sin(x) + a cos(x)
+--R                    2
+--R              cos(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 165
 
@@ -7990,16 +8086,16 @@ r0832:= -b^2*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)+_
          b*cos(x)/(a^2+b^2)+a*sin(x)/(a^2+b^2)
 --R 
 --R
---R                                                               +-------+
---R           2      a sin(x) - b cos(x)                          | 2    2
---R          b atanh(-------------------) + (a sin(x) + b cos(x))\|b  + a
---R                        +-------+
---R                        | 2    2
---R                       \|b  + a
---R   (155)  --------------------------------------------------------------
---R                                          +-------+
---R                                  2    2  | 2    2
---R                                (b  + a )\|b  + a
+--R                                                             +-------+
+--R         2      a sin(x) - b cos(x)                          | 2    2
+--R        b atanh(-------------------) + (a sin(x) + b cos(x))\|b  + a
+--R                      +-------+
+--R                      | 2    2
+--R                     \|b  + a
+--R   (2)  --------------------------------------------------------------
+--R                                        +-------+
+--R                                2    2  | 2    2
+--R                              (b  + a )\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 166
 
@@ -8007,7 +8103,7 @@ r0832:= -b^2*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)+_
 a0832:= integrate(t0832,x)
 --R 
 --R
---R   (156)
+--R   (3)
 --R          2
 --R         b
 --R      *
@@ -8035,7 +8131,7 @@ a0832:= integrate(t0832,x)
 m0832:= a0832-r0832
 --R 
 --R
---R   (157)
+--R   (4)
 --R          2
 --R         b
 --R      *
@@ -8065,7 +8161,7 @@ m0832:= a0832-r0832
 d0832:= D(m0832,x)
 --R 
 --R
---R   (158)
+--R   (5)
 --R            2      3    3            2       2      2      2           3      3
 --R         a b sin(x)  - b cos(x)sin(x)  + (a b cos(x)  - a b )sin(x) - b cos(x)
 --R       + 
@@ -8087,14 +8183,17 @@ d0832:= D(m0832,x)
 --R                                                    Type: Expression(Integer)
 --E 169
 
+)clear all
+
+
 --S 170 of 526
 t0833:= cos(x)^3/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                      3
---R                cos(x)
---R   (159)  -------------------
---R          b sin(x) + a cos(x)
+--R                    3
+--R              cos(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 170
 
@@ -8104,7 +8203,7 @@ r0833:= 1/2/(a^2+b^2)^2*(3*a*b^2*x+a^3*x+2*b^3*log(a*cos(x)+_
         a^2*b+b*cos(x)^2*a^2-b^3+b^3*cos(x)^2)
 --R 
 --R
---R   (160)
+--R   (2)
 --R         3                               2    3                  3    2        2
 --R       2b log(b sin(x) + a cos(x)) + (a b  + a )cos(x)sin(x) + (b  + a b)cos(x)
 --R     + 
@@ -8120,7 +8219,7 @@ r0833:= 1/2/(a^2+b^2)^2*(3*a*b^2*x+a^3*x+2*b^3*log(a*cos(x)+_
 a0833:= integrate(t0833,x)
 --R 
 --R
---R   (161)
+--R   (3)
 --R           3         2          3    - 2b sin(x) - 2a cos(x)
 --R       - 2b log(----------) + 2b log(-----------------------)
 --R                cos(x) + 1                  cos(x) + 1
@@ -8137,7 +8236,7 @@ a0833:= integrate(t0833,x)
 m0833:= a0833-r0833
 --R 
 --R
---R   (162)
+--R   (4)
 --R           3                             3         2
 --R       - 2b log(b sin(x) + a cos(x)) - 2b log(----------)
 --R                                              cos(x) + 1
@@ -8155,18 +8254,21 @@ m0833:= a0833-r0833
 d0833:= D(m0833,x)
 --R 
 --R
---R   (163)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 174
 
+)clear all
+
+
 --S 175 of 526
 t0834:= cos(x)/(a*cos(x)+b*sin(x))^2
 --R 
 --R
---R                            cos(x)
---R   (164)  -----------------------------------------
---R           2      2                        2      2
---R          b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
+--R                          cos(x)
+--R   (1)  -----------------------------------------
+--R         2      2                        2      2
+--R        b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 175
 
@@ -8175,16 +8277,16 @@ r0834:= -a*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
         b/(a^2+b^2)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                                                                +-------+
---R                         2             a sin(x) - b cos(x)      | 2    2
---R          (a b sin(x) + a cos(x))atanh(-------------------) - b\|b  + a
---R                                             +-------+
---R                                             | 2    2
---R                                            \|b  + a
---R   (165)  ---------------------------------------------------------------
---R                                                         +-------+
---R                     3    2               2    3         | 2    2
---R                  ((b  + a b)sin(x) + (a b  + a )cos(x))\|b  + a
+--R                                                              +-------+
+--R                       2             a sin(x) - b cos(x)      | 2    2
+--R        (a b sin(x) + a cos(x))atanh(-------------------) - b\|b  + a
+--R                                           +-------+
+--R                                           | 2    2
+--R                                          \|b  + a
+--R   (2)  ---------------------------------------------------------------
+--R                                                       +-------+
+--R                   3    2               2    3         | 2    2
+--R                ((b  + a b)sin(x) + (a b  + a )cos(x))\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 176
 
@@ -8192,7 +8294,7 @@ r0834:= -a*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
 a0834:= integrate(t0834,x)
 --R 
 --R
---R   (166)
+--R   (3)
 --R           2            3
 --R         (a b sin(x) + a cos(x))
 --R      *
@@ -8220,7 +8322,7 @@ a0834:= integrate(t0834,x)
 m0834:= a0834-r0834
 --R 
 --R
---R   (167)
+--R   (4)
 --R          2
 --R         a
 --R      *
@@ -8251,7 +8353,7 @@ m0834:= a0834-r0834
 d0834:= D(m0834,x)
 --R 
 --R
---R   (168)
+--R   (5)
 --R          2      3                   2     2      2    2                    3
 --R         a sin(x)  - a b cos(x)sin(x)  + (a cos(x)  - a )sin(x) - a b cos(x)
 --R       + 
@@ -8272,15 +8374,18 @@ d0834:= D(m0834,x)
 --R                                                    Type: Expression(Integer)
 --E 179
 
+)clear all
+
+
 --S 180 of 526
 t0835:= cos(x)^2/(a*cos(x)+b*sin(x))^2
 --R 
 --R
---R                                 2
---R                           cos(x)
---R   (169)  -----------------------------------------
---R           2      2                        2      2
---R          b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
+--R                               2
+--R                         cos(x)
+--R   (1)  -----------------------------------------
+--R         2      2                        2      2
+--R        b sin(x)  + 2a b cos(x)sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 180
 
@@ -8289,7 +8394,7 @@ r0835:= (a^2-b^2)*x/(a^2+b^2)^2+2*a*b*log(a*cos(x)+b*sin(x))/(a^2+b^2)^2-_
         b/(a^2+b^2)/(a+b*tan(x))
 --R 
 --R
---R   (170)
+--R   (2)
 --R            2           2                                 3    2
 --R       (2a b tan(x) + 2a b)log(b sin(x) + a cos(x)) + (- b  + a b)x tan(x)
 --R     + 
@@ -8305,7 +8410,7 @@ r0835:= (a^2-b^2)*x/(a^2+b^2)^2+2*a*b*log(a*cos(x)+b*sin(x))/(a^2+b^2)^2-_
 a0835:= integrate(t0835,x)
 --R 
 --R
---R   (171)
+--R   (3)
 --R            2 2           3                  2
 --R       (- 2a b sin(x) - 2a b cos(x))log(----------)
 --R                                        cos(x) + 1
@@ -8326,7 +8431,7 @@ a0835:= integrate(t0835,x)
 m0835:= a0835-r0835
 --R 
 --R
---R   (172)
+--R   (4)
 --R               2 3           3 2                  3 2           4
 --R         ((- 2a b sin(x) - 2a b cos(x))tan(x) - 2a b sin(x) - 2a b cos(x))
 --R      *
@@ -8361,7 +8466,7 @@ m0835:= a0835-r0835
 d0835:= D(m0835,x)
 --R 
 --R
---R   (173)
+--R   (5)
 --R              3                 4    2 2       2       2
 --R       (- 2a b cos(x)sin(x) + (b  - a b )cos(x) )tan(x)
 --R     + 
@@ -8393,14 +8498,17 @@ d0835:= D(m0835,x)
 --R                                                    Type: Expression(Integer)
 --E 184
 
+)clear all
+
+
 --S 185 of 526
 t0836:= cos(x)/(a*cos(x)+b*sin(x))^3
 --R 
 --R
---R                                       cos(x)
---R   (174)  ---------------------------------------------------------------
---R           3      3       2            2     2        2          3      3
---R          b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
+--R                                     cos(x)
+--R   (1)  ---------------------------------------------------------------
+--R         3      3       2            2     2        2          3      3
+--R        b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 185
 
@@ -8409,7 +8517,7 @@ r0836:= -1/2*b/(a^2+b^2)/(a*cos(x)+b*sin(x))^2+_
         sin(x)/(a^2+b^2)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R   (175)
+--R   (2)
 --R                                2
 --R                       2b sin(x)  + 2a cos(x)sin(x) - b
 --R   ------------------------------------------------------------------------
@@ -8422,11 +8530,11 @@ r0836:= -1/2*b/(a^2+b^2)/(a*cos(x)+b*sin(x))^2+_
 a0836:= integrate(t0836,x)
 --R 
 --R
---R                                              2
---R                    2a cos(x)sin(x) - b cos(x)  + b
---R   (176)  --------------------------------------------------
---R            3                      2 2     4       2     2 2
---R          4a b cos(x)sin(x) + (- 2a b  + 2a )cos(x)  + 2a b
+--R                                            2
+--R                  2a cos(x)sin(x) - b cos(x)  + b
+--R   (3)  --------------------------------------------------
+--R          3                      2 2     4       2     2 2
+--R        4a b cos(x)sin(x) + (- 2a b  + 2a )cos(x)  + 2a b
 --R                                         Type: Union(Expression(Integer),...)
 --E 187
 
@@ -8434,7 +8542,7 @@ a0836:= integrate(t0836,x)
 m0836:= a0836-r0836
 --R 
 --R
---R   (177)
+--R   (4)
 --R            4     3 2             3
 --R       (2a b  - 2a b )cos(x)sin(x)
 --R     + 
@@ -8465,7 +8573,7 @@ m0836:= a0836-r0836
 d0836:= D(m0836,x)
 --R 
 --R
---R   (178)
+--R   (5)
 --R           5     3 3       2      5
 --R       (a b  - 3a b )cos(x) sin(x)
 --R     + 
@@ -8532,15 +8640,18 @@ d0836:= D(m0836,x)
 --R                                                    Type: Expression(Integer)
 --E 189
 
+)clear all
+
+
 --S 190 of 526
 t0837:= cos(x)^3/(a*cos(x)+b*sin(x))^3
 --R 
 --R
---R                                            3
---R                                      cos(x)
---R   (179)  ---------------------------------------------------------------
---R           3      3       2            2     2        2          3      3
---R          b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
+--R                                          3
+--R                                    cos(x)
+--R   (1)  ---------------------------------------------------------------
+--R         3      3       2            2     2        2          3      3
+--R        b sin(x)  + 3a b cos(x)sin(x)  + 3a b cos(x) sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 190
 
@@ -8550,7 +8661,7 @@ r0837:= (a^3*x-3*a*b^2*x)/(a^2+b^2)^3+b*(3*a^2-b^2)*_
         2*a*b/(a^2+b^2)^2/(a+b*tan(x))
 --R 
 --R
---R   (180)
+--R   (2)
 --R               5     2 3       2          4      3 2            2 3     4
 --R         ((- 2b  + 6a b )tan(x)  + (- 4a b  + 12a b )tan(x) - 2a b  + 6a b)
 --R      *
@@ -8574,7 +8685,7 @@ r0837:= (a^3*x-3*a*b^2*x)/(a^2+b^2)^3+b*(3*a^2-b^2)*_
 a0837:= integrate(t0837,x)
 --R 
 --R
---R   (181)
+--R   (3)
 --R              3 4      5 2                     2 5     4 3     6        2
 --R           (4a b  - 12a b )cos(x)sin(x) + (- 2a b  + 8a b  - 6a b)cos(x)
 --R         + 
@@ -8616,7 +8727,7 @@ a0837:= integrate(t0837,x)
 m0837:= a0837-r0837
 --R 
 --R
---R   (182)
+--R   (4)
 --R                  3 6      5 4                     2 7     4 5     6 3       2
 --R               (4a b  - 12a b )cos(x)sin(x) + (- 2a b  + 8a b  - 6a b )cos(x)
 --R             + 
@@ -8754,7 +8865,7 @@ m0837:= a0837-r0837
 d0837:= D(m0837,x)
 --R 
 --R
---R   (183)
+--R   (5)
 --R                 7     3 5       2       7       2
 --R           ((3a b  - 5a b )cos(x)  + 2a b )sin(x)
 --R         + 
@@ -8882,13 +8993,16 @@ d0837:= D(m0837,x)
 --R                                                    Type: Expression(Integer)
 --E 194
 
+)clear all
+
+
 --S 195 of 526
 t0838:= tan(x)/(b*cos(x)+a*sin(x))
 --R 
 --R
---R                 tan(x)
---R   (184)  -------------------
---R          a sin(x) + b cos(x)
+--R               tan(x)
+--R   (1)  -------------------
+--R        a sin(x) + b cos(x)
 --R                                                    Type: Expression(Integer)
 --E 195
 
@@ -8897,16 +9011,16 @@ r0838:= atanh(sin(x))/a+b*atanh((a*cos(x)-b*sin(x))/(a^2+b^2)^(1/2))/_
         a/(a^2+b^2)^(1/2)
 --R 
 --R
---R           +-------+
---R           | 2    2                         b sin(x) - a cos(x)
---R          \|b  + a  atanh(sin(x)) - b atanh(-------------------)
---R                                                  +-------+
---R                                                  | 2    2
---R                                                 \|b  + a
---R   (185)  ------------------------------------------------------
---R                                  +-------+
---R                                  | 2    2
---R                                a\|b  + a
+--R         +-------+
+--R         | 2    2                         b sin(x) - a cos(x)
+--R        \|b  + a  atanh(sin(x)) - b atanh(-------------------)
+--R                                                +-------+
+--R                                                | 2    2
+--R                                               \|b  + a
+--R   (2)  ------------------------------------------------------
+--R                                +-------+
+--R                                | 2    2
+--R                              a\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 196
 
@@ -8914,7 +9028,7 @@ r0838:= atanh(sin(x))/a+b*atanh((a*cos(x)-b*sin(x))/(a^2+b^2)^(1/2))/_
 a0838:= integrate(t0838,x)
 --R 
 --R
---R   (186)
+--R   (3)
 --R         b
 --R      *
 --R         log
@@ -8942,7 +9056,7 @@ a0838:= integrate(t0838,x)
 m0838:= a0838-r0838
 --R 
 --R
---R   (187)
+--R   (4)
 --R         b
 --R      *
 --R         log
@@ -8977,7 +9091,7 @@ m0838:= a0838-r0838
 d0838:= D(m0838,x)
 --R 
 --R
---R   (188)
+--R   (5)
 --R             5    2 3       8           4     3 2             4    3 2       7
 --R           (b  - a b )sin(x)  + ((- 4a b  + 4a b )cos(x) + a b  + a b )sin(x)
 --R         + 
@@ -9326,13 +9440,16 @@ d0838:= D(m0838,x)
 --R                                                    Type: Expression(Integer)
 --E 199
 
+)clear all
+
+
 --S 200 of 526
 t0839:= sec(x)/(sec(x)-tan(x))
 --R 
 --R
---R                 sec(x)
---R   (189)  - ---------------
---R            tan(x) - sec(x)
+--R               sec(x)
+--R   (1)  - ---------------
+--R          tan(x) - sec(x)
 --R                                                    Type: Expression(Integer)
 --E 200
 
@@ -9340,9 +9457,9 @@ t0839:= sec(x)/(sec(x)-tan(x))
 r0839:= (1+sin(x))/cos(x)
 --R 
 --R
---R          sin(x) + 1
---R   (190)  ----------
---R            cos(x)
+--R        sin(x) + 1
+--R   (2)  ----------
+--R          cos(x)
 --R                                                    Type: Expression(Integer)
 --E 201
 
@@ -9350,9 +9467,9 @@ r0839:= (1+sin(x))/cos(x)
 a0839:= integrate(t0839,x)
 --R 
 --R
---R             - 2cos(x) - 2
---R   (191)  -------------------
---R          sin(x) - cos(x) - 1
+--R           - 2cos(x) - 2
+--R   (3)  -------------------
+--R        sin(x) - cos(x) - 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 202
 
@@ -9360,11 +9477,11 @@ a0839:= integrate(t0839,x)
 m0839:= a0839-r0839
 --R 
 --R
---R                  2                         2
---R          - sin(x)  + cos(x)sin(x) - 2cos(x)  - cos(x) + 1
---R   (192)  ------------------------------------------------
---R                                        2
---R                   cos(x)sin(x) - cos(x)  - cos(x)
+--R                2                         2
+--R        - sin(x)  + cos(x)sin(x) - 2cos(x)  - cos(x) + 1
+--R   (4)  ------------------------------------------------
+--R                                      2
+--R                 cos(x)sin(x) - cos(x)  - cos(x)
 --R                                                    Type: Expression(Integer)
 --E 203
 
@@ -9372,7 +9489,7 @@ m0839:= a0839-r0839
 d0839:= D(m0839,x)
 --R 
 --R
---R   (193)
+--R   (5)
 --R               4                      3         2
 --R       - sin(x)  + (2cos(x) + 1)sin(x)  + sin(x)
 --R     + 
@@ -9387,13 +9504,16 @@ d0839:= D(m0839,x)
 --R                                                    Type: Expression(Integer)
 --E 204
 
+)clear all
+
+
 --S 205 of 526
 t0840:= tan(x)/(csc(x)+cot(x))
 --R 
 --R
---R               tan(x)
---R   (194)  ---------------
---R          csc(x) + cot(x)
+--R             tan(x)
+--R   (1)  ---------------
+--R        csc(x) + cot(x)
 --R                                                    Type: Expression(Integer)
 --E 205
 
@@ -9401,7 +9521,7 @@ t0840:= tan(x)/(csc(x)+cot(x))
 r0840:= -x+atanh(sin(x))
 --R 
 --R
---R   (195)  atanh(sin(x)) - x
+--R   (2)  atanh(sin(x)) - x
 --R                                                    Type: Expression(Integer)
 --E 206
 
@@ -9409,9 +9529,9 @@ r0840:= -x+atanh(sin(x))
 a0840:= integrate(t0840,x)
 --R 
 --R
---R              sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R   (196)  log(-------------------) - log(-------------------) - x
---R                   cos(x) + 1                 cos(x) + 1
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R   (3)  log(-------------------) - log(-------------------) - x
+--R                 cos(x) + 1                 cos(x) + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 207
 
@@ -9419,9 +9539,9 @@ a0840:= integrate(t0840,x)
 m0840:= a0840-r0840
 --R 
 --R
---R              sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R   (197)  log(-------------------) - log(-------------------) - atanh(sin(x))
---R                   cos(x) + 1                 cos(x) + 1
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R   (4)  log(-------------------) - log(-------------------) - atanh(sin(x))
+--R                 cos(x) + 1                 cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 208
 
@@ -9429,21 +9549,24 @@ m0840:= a0840-r0840
 d0840:= D(m0840,x)
 --R 
 --R
---R                    4             2                    2         3
---R           - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
---R   (198)  ------------------------------------------------------------------
---R                4            2                     2         2
---R          sin(x)  + (- cos(x)  - 2cos(x) - 2)sin(x)  + cos(x)  + 2cos(x) + 1
+--R                  4             2                    2         3
+--R         - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
+--R   (5)  ------------------------------------------------------------------
+--R              4            2                     2         2
+--R        sin(x)  + (- cos(x)  - 2cos(x) - 2)sin(x)  + cos(x)  + 2cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 209
 
+)clear all
+
+
 --S 210 of 526
 t0841:= tan(x)/(csc(x)-cot(x))
 --R 
 --R
---R               tan(x)
---R   (199)  ---------------
---R          csc(x) - cot(x)
+--R             tan(x)
+--R   (1)  ---------------
+--R        csc(x) - cot(x)
 --R                                                    Type: Expression(Integer)
 --E 210
 
@@ -9451,7 +9574,7 @@ t0841:= tan(x)/(csc(x)-cot(x))
 r0841:= x+atanh(sin(x))
 --R 
 --R
---R   (200)  atanh(sin(x)) + x
+--R   (2)  atanh(sin(x)) + x
 --R                                                    Type: Expression(Integer)
 --E 211
 
@@ -9459,9 +9582,9 @@ r0841:= x+atanh(sin(x))
 a0841:= integrate(t0841,x)
 --R 
 --R
---R              sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R   (201)  log(-------------------) - log(-------------------) + x
---R                   cos(x) + 1                 cos(x) + 1
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R   (3)  log(-------------------) - log(-------------------) + x
+--R                 cos(x) + 1                 cos(x) + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 212
 
@@ -9469,9 +9592,9 @@ a0841:= integrate(t0841,x)
 m0841:= a0841-r0841
 --R 
 --R
---R              sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
---R   (202)  log(-------------------) - log(-------------------) - atanh(sin(x))
---R                   cos(x) + 1                 cos(x) + 1
+--R            sin(x) + cos(x) + 1        sin(x) - cos(x) - 1
+--R   (4)  log(-------------------) - log(-------------------) - atanh(sin(x))
+--R                 cos(x) + 1                 cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 213
 
@@ -9479,21 +9602,24 @@ m0841:= a0841-r0841
 d0841:= D(m0841,x)
 --R 
 --R
---R                    4             2                    2         3
---R           - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
---R   (203)  ------------------------------------------------------------------
---R                4            2                     2         2
---R          sin(x)  + (- cos(x)  - 2cos(x) - 2)sin(x)  + cos(x)  + 2cos(x) + 1
+--R                  4             2                    2         3
+--R         - 2sin(x)  + (- 2cos(x)  - cos(x) + 2)sin(x)  - cos(x)  + cos(x)
+--R   (5)  ------------------------------------------------------------------
+--R              4            2                     2         2
+--R        sin(x)  + (- cos(x)  - 2cos(x) - 2)sin(x)  + cos(x)  + 2cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 214
 
+)clear all
+
+
 --S 215 of 526
 t0842:= cos(x)*sin(x)/(a*cos(x)+b*sin(x))
 --R 
 --R
---R              cos(x)sin(x)
---R   (204)  -------------------
---R          b sin(x) + a cos(x)
+--R            cos(x)sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 215
 
@@ -9502,16 +9628,16 @@ r0842:= a*b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
         a*cos(x)/(a^2+b^2)+b*sin(x)/(a^2+b^2)
 --R 
 --R
---R                                                                   +-------+
---R                      a sin(x) - b cos(x)                          | 2    2
---R          - a b atanh(-------------------) + (b sin(x) - a cos(x))\|b  + a
---R                            +-------+
---R                            | 2    2
---R                           \|b  + a
---R   (205)  ------------------------------------------------------------------
---R                                            +-------+
---R                                    2    2  | 2    2
---R                                  (b  + a )\|b  + a
+--R                                                                 +-------+
+--R                    a sin(x) - b cos(x)                          | 2    2
+--R        - a b atanh(-------------------) + (b sin(x) - a cos(x))\|b  + a
+--R                          +-------+
+--R                          | 2    2
+--R                         \|b  + a
+--R   (2)  ------------------------------------------------------------------
+--R                                          +-------+
+--R                                  2    2  | 2    2
+--R                                (b  + a )\|b  + a
 --R                                                    Type: Expression(Integer)
 --E 216
 
@@ -9519,7 +9645,7 @@ r0842:= a*b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(3/2)-_
 a0842:= integrate(t0842,x)
 --R 
 --R
---R   (206)
+--R   (3)
 --R         a b
 --R      *
 --R         log
@@ -9546,7 +9672,7 @@ a0842:= integrate(t0842,x)
 m0842:= a0842-r0842
 --R 
 --R
---R   (207)
+--R   (4)
 --R         a b
 --R      *
 --R         log
@@ -9575,7 +9701,7 @@ m0842:= a0842-r0842
 d0842:= D(m0842,x)
 --R 
 --R
---R   (208)
+--R   (5)
 --R          2        3      2            2     2        2    2
 --R         a b sin(x)  - a b cos(x)sin(x)  + (a b cos(x)  - a b)sin(x)
 --R       + 
@@ -9597,14 +9723,17 @@ d0842:= D(m0842,x)
 --R                                                    Type: Expression(Integer)
 --E 291
 
+)clear all
+
+
 --S 220 of 526
 t0843:= cos(x)*sin(x)^2/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                         2
---R             cos(x)sin(x)
---R   (209)  -------------------
---R          b sin(x) + a cos(x)
+--R                       2
+--R           cos(x)sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 220
 
@@ -9614,7 +9743,7 @@ r0843:= 1/2/(a^2+b^2)^2*(a^3*x-a*b^2*x+2*a^2*b*_
         cos(x)*sin(x)*b^2*a-b*cos(x)^2*a^2+a^2*b-b^3*cos(x)^2+b^3)
 --R 
 --R
---R   (210)
+--R   (2)
 --R         2                                   2    3
 --R       2a b log(b sin(x) + a cos(x)) + (- a b  - a )cos(x)sin(x)
 --R     + 
@@ -9630,7 +9759,7 @@ r0843:= 1/2/(a^2+b^2)^2*(a^3*x-a*b^2*x+2*a^2*b*_
 a0843:= integrate(t0843,x)
 --R 
 --R
---R   (211)
+--R   (3)
 --R           2           2          2      - 2b sin(x) - 2a cos(x)
 --R       - 2a b log(----------) + 2a b log(-----------------------)
 --R                  cos(x) + 1                    cos(x) + 1
@@ -9647,7 +9776,7 @@ a0843:= integrate(t0843,x)
 m0843:= a0843-r0843
 --R 
 --R
---R   (212)
+--R   (4)
 --R           2                               2           2
 --R       - 2a b log(b sin(x) + a cos(x)) - 2a b log(----------)
 --R                                                  cos(x) + 1
@@ -9665,18 +9794,21 @@ m0843:= a0843-r0843
 d0843:= D(m0843,x)
 --R 
 --R
---R   (213)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 224
 
+)clear all
+
+
 --S 225 of 526
 t0844:= cos(x)*sin(x)^3/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                         3
---R             cos(x)sin(x)
---R   (214)  -------------------
---R          b sin(x) + a cos(x)
+--R                       3
+--R           cos(x)sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 225
 
@@ -9687,7 +9819,7 @@ r0844:= a^3*b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(5/2)-_
         b*sin(x)^3/(3*a^2+3*b^2)
 --R 
 --R
---R   (215)
+--R   (2)
 --R           3        a sin(x) - b cos(x)
 --R       - 3a b atanh(-------------------)
 --R                          +-------+
@@ -9711,7 +9843,7 @@ r0844:= a^3*b*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(5/2)-_
 a0844:= integrate(t0844,x)
 --R 
 --R
---R   (216)
+--R   (3)
 --R           3
 --R         3a b
 --R      *
@@ -9745,7 +9877,7 @@ a0844:= integrate(t0844,x)
 m0844:= a0844-r0844
 --R 
 --R
---R   (217)
+--R   (4)
 --R           3
 --R         3a b
 --R      *
@@ -9779,7 +9911,7 @@ m0844:= a0844-r0844
 d0844:= D(m0844,x)
 --R 
 --R
---R   (218)
+--R   (5)
 --R             4        3     3 2            2      4        2     4
 --R           3a b sin(x)  - 3a b cos(x)sin(x)  + (3a b cos(x)  - 3a b)sin(x)
 --R         + 
@@ -9824,14 +9956,17 @@ d0844:= D(m0844,x)
 --R                                                    Type: Expression(Integer)
 --E 229
 
+)clear all
+
+
 --S 230 of 526
 t0845:= sin(x)*cos(x)^2/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                   2
---R             cos(x) sin(x)
---R   (219)  -------------------
---R          b sin(x) + a cos(x)
+--R                 2
+--R           cos(x) sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 230
 
@@ -9841,7 +9976,7 @@ r0845:= -1/2*(-b^3*x+a^2*b*x+2*a*b^2*log(a*cos(x)+b*sin(x))-_
         a^3+b^2*a*cos(x)^2-b^2*a)/(a^2+b^2)^2
 --R 
 --R
---R   (220)
+--R   (2)
 --R             2                             3    2
 --R       - 2a b log(b sin(x) + a cos(x)) + (b  + a b)cos(x)sin(x)
 --R     + 
@@ -9857,7 +9992,7 @@ r0845:= -1/2*(-b^3*x+a^2*b*x+2*a*b^2*log(a*cos(x)+b*sin(x))-_
 a0845:= integrate(t0845,x)
 --R 
 --R
---R   (221)
+--R   (3)
 --R           2         2            2    - 2b sin(x) - 2a cos(x)
 --R       2a b log(----------) - 2a b log(-----------------------)
 --R                cos(x) + 1                    cos(x) + 1
@@ -9874,7 +10009,7 @@ a0845:= integrate(t0845,x)
 m0845:= a0845-r0845
 --R 
 --R
---R   (222)
+--R   (4)
 --R           2                               2         2
 --R       2a b log(b sin(x) + a cos(x)) + 2a b log(----------)
 --R                                                cos(x) + 1
@@ -9892,18 +10027,21 @@ m0845:= a0845-r0845
 d0845:= D(m0845,x)
 --R 
 --R
---R   (223)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 234
 
+)clear all
+
+
 --S 235 of 526
 t0846:= sin(x)*cos(x)^3/(a*cos(x)+b*sin(x))
 --R 
 --R
---R                   3
---R             cos(x) sin(x)
---R   (224)  -------------------
---R          b sin(x) + a cos(x)
+--R                 3
+--R           cos(x) sin(x)
+--R   (1)  -------------------
+--R        b sin(x) + a cos(x)
 --R                                                    Type: Expression(Integer)
 --E 235
 
@@ -9913,7 +10051,7 @@ r0846:= a*b^3*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(5/2)-_
         a^2*b*sin(x)/(a^2+b^2)^2+b*sin(x)/(a^2+b^2)-b*sin(x)^3/(3*a^2+3*b^2)
 --R 
 --R
---R   (225)
+--R   (2)
 --R             3      a sin(x) - b cos(x)
 --R       - 3a b atanh(-------------------)
 --R                          +-------+
@@ -9937,7 +10075,7 @@ r0846:= a*b^3*atanh((b*cos(x)-a*sin(x))/(a^2+b^2)^(1/2))/(a^2+b^2)^(5/2)-_
 a0846:= integrate(t0846,x)
 --R 
 --R
---R   (226)
+--R   (3)
 --R             3
 --R         3a b
 --R      *
@@ -9971,7 +10109,7 @@ a0846:= integrate(t0846,x)
 m0846:= a0846-r0846
 --R 
 --R
---R   (227)
+--R   (4)
 --R             3
 --R         3a b
 --R      *
@@ -10005,7 +10143,7 @@ m0846:= a0846-r0846
 d0846:= D(m0846,x)
 --R 
 --R
---R   (228)
+--R   (5)
 --R             2 3      3       4            2      2 3      2     2 3
 --R           3a b sin(x)  - 3a b cos(x)sin(x)  + (3a b cos(x)  - 3a b )sin(x)
 --R         + 
@@ -10050,14 +10188,17 @@ d0846:= D(m0846,x)
 --R                                                    Type: Expression(Integer)
 --E 239
 
+)clear all
+
+
 --S 240 of 526
 t0847:= sec(x)^2/(a+b*tan(x)+c*sec(x))
 --R 
 --R
---R                        2
---R                  sec(x)
---R   (229)  -----------------------
---R          b tan(x) + c sec(x) + a
+--R                      2
+--R                sec(x)
+--R   (1)  -----------------------
+--R        b tan(x) + c sec(x) + a
 --R                                                    Type: Expression(Integer)
 --E 240
 
@@ -10068,7 +10209,7 @@ r0847:= -2*a*c*atanh((b-(a-c)*tan(1/2*x))/(a^2+b^2-c^2)^(1/2))/_
        tan(1/2*x)^2)/(b^2-c^2)
 --R 
 --R
---R   (230)
+--R   (2)
 --R           +--------------+
 --R           |   2    2    2                x 2          x
 --R       - b\|- c  + b  + a  log((c - a)tan(-)  + 2b tan(-) + c + a)
@@ -10097,7 +10238,7 @@ r0847:= -2*a*c*atanh((b-(a-c)*tan(1/2*x))/(a^2+b^2-c^2)^(1/2))/_
 a0847:= integrate(t0847,x)
 --R 
 --R
---R   (231)
+--R   (3)
 --R   [
 --R           a c
 --R        *
@@ -10173,7 +10314,7 @@ a0847:= integrate(t0847,x)
 m0847a:= a0847.1-r0847
 --R 
 --R
---R   (232)
+--R   (4)
 --R         a c
 --R      *
 --R         log
@@ -10235,7 +10376,7 @@ m0847a:= a0847.1-r0847
 d0847a:= D(m0847a,x)
 --R 
 --R
---R   (233)
+--R   (5)
 --R                 3 2       3     2 3       5
 --R               (b c  - 2a b c + a b )sin(x)
 --R             + 
@@ -13199,7 +13340,7 @@ d0847a:= D(m0847a,x)
 m0847b:= a0847.2-r0847
 --R 
 --R
---R   (234)
+--R   (6)
 --R         +--------------+ +------------+
 --R         |   2    2    2  | 2    2    2                x 2          x
 --R       b\|- c  + b  + a  \|c  - b  - a  log((c - a)tan(-)  + 2b tan(-) + c + a)
@@ -13255,7 +13396,7 @@ m0847b:= a0847.2-r0847
 d0847b:= D(m0847b,x)
 --R 
 --R
---R   (235)
+--R   (7)
 --R             2 2       2     2 2       6
 --R           (b c  - 2a b c + a b )sin(x)
 --R         + 
@@ -14301,14 +14442,17 @@ d0847b:= D(m0847b,x)
 --R                                                    Type: Expression(Integer)
 --E 246
 
+)clear all
+
+
 --S 247 of 526
 t0848:= csc(x)^2/(a+b*cot(x)+c*csc(x))
 --R 
 --R
---R                        2
---R                  csc(x)
---R   (236)  -----------------------
---R          c csc(x) + b cot(x) + a
+--R                      2
+--R                csc(x)
+--R   (1)  -----------------------
+--R        c csc(x) + b cot(x) + a
 --R                                                    Type: Expression(Integer)
 --E 247
 
@@ -14318,7 +14462,7 @@ r0848:= -2*a*c*atanh((a-(b-c)*tan(1/2*x))/(a^2+b^2-c^2)^(1/2))/_
        b*log(b+c+2*a*tan(1/2*x)-(b-c)*tan(1/2*x)^2)/(b^2-c^2)
 --R 
 --R
---R   (237)
+--R   (2)
 --R         +--------------+
 --R         |   2    2    2                x 2          x
 --R       b\|- c  + b  + a  log((c - b)tan(-)  + 2a tan(-) + c + b)
@@ -14342,7 +14486,7 @@ r0848:= -2*a*c*atanh((a-(b-c)*tan(1/2*x))/(a^2+b^2-c^2)^(1/2))/_
 a0848:= integrate(t0848,x)
 --R 
 --R
---R   (238)
+--R   (3)
 --R   [
 --R           a c
 --R        *
@@ -14408,7 +14552,7 @@ a0848:= integrate(t0848,x)
 m0848a:= a0848.1-r0848
 --R 
 --R
---R   (239)
+--R   (4)
 --R         a c
 --R      *
 --R         log
@@ -14460,7 +14604,7 @@ m0848a:= a0848.1-r0848
 d0848a:= D(m0848a,x)
 --R 
 --R
---R   (240)
+--R   (5)
 --R                    2 2    2 2           2 2    2 2       3
 --R               ((- a c  + a b )cos(x) - a c  + a b )sin(x)
 --R             + 
@@ -15375,7 +15519,7 @@ d0848a:= D(m0848a,x)
 m0848b:= a0848.2-r0848
 --R 
 --R
---R   (241)
+--R   (6)
 --R       -
 --R              +--------------+ +------------+
 --R              |   2    2    2  | 2    2    2
@@ -15425,7 +15569,7 @@ m0848b:= a0848.2-r0848
 d0848b:= D(m0848b,x)
 --R 
 --R
---R   (242)
+--R   (7)
 --R                  2      2             2      2       4
 --R           ((- a c  + a b )cos(x) - a c  + a b )sin(x)
 --R         + 
@@ -15811,13 +15955,16 @@ d0848b:= D(m0848b,x)
 --R                                                    Type: Expression(Integer)
 --E 253
 
+)clear all
+
+
 --S 254 of 526
 t0849:= (A+C*sin(x))/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R                C sin(x) + A
---R   (243)  -----------------------
---R          c sin(x) + b cos(x) + a
+--R              C sin(x) + A
+--R   (1)  -----------------------
+--R        c sin(x) + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 254
 
@@ -15827,7 +15974,7 @@ r0849:= c*C*x/(b^2+c^2)+2*(A-a*c*C/(b^2+c^2))*_
         b*C*log(a+b*cos(x)+c*sin(x))/(b^2+c^2)
 --R 
 --R
---R   (244)
+--R   (2)
 --R             +--------------+
 --R             |   2    2    2
 --R       - C b\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -15850,7 +15997,7 @@ r0849:= c*C*x/(b^2+c^2)+2*(A-a*c*C/(b^2+c^2))*_
 a0849:= integrate(t0849,x)
 --R 
 --R
---R   (245)
+--R   (3)
 --R   [
 --R                 2              2
 --R           (- A c  + C a c - A b )
@@ -15925,7 +16072,7 @@ a0849:= integrate(t0849,x)
 m0849a:= a0849.1-r0849
 --R 
 --R
---R   (246)
+--R   (4)
 --R                                 +--------------+
 --R               2              2  |   2    2    2
 --R         (- A c  + C a c - A b )\|- c  - b  + a
@@ -15978,7 +16125,7 @@ m0849a:= a0849.1-r0849
 d0849a:= D(m0849a,x)
 --R 
 --R
---R   (247)
+--R   (5)
 --R                         3         2      2   2         3       2 2      3
 --R                   (- A b  + 2A a b  - A a b)c  + (C a b  - 2C a b  + C a b)c
 --R                 + 
@@ -16504,7 +16651,7 @@ d0849a:= D(m0849a,x)
 m0849b:= a0849.2-r0849
 --R 
 --R
---R   (248)
+--R   (6)
 --R           +--------------+
 --R           |   2    2    2
 --R       C b\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -16547,7 +16694,7 @@ m0849b:= a0849.2-r0849
 d0849b:= D(m0849b,x)
 --R 
 --R
---R   (249)
+--R   (7)
 --R                          2               2        3        2       2
 --R           ((- A b + A a)c  + (C a b - C a )c - A b  + A a b )sin(x)
 --R         + 
@@ -16645,15 +16792,17 @@ d0849b:= D(m0849b,x)
 --R                                                    Type: Expression(Integer)
 --E 260
 
+)clear all
+
+
 --S 261 of 526
 t0850:= (A+C*sin(x))/(a+b*cos(x)+c*sin(x))^2
 --R 
 --R
---R   (250)
---R                                C sin(x) + A
---R   ---------------------------------------------------------------------
---R    2      2                                 2      2                  2
---R   c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
+--R                                     C sin(x) + A
+--R   (1)  ---------------------------------------------------------------------
+--R         2      2                                 2      2                  2
+--R        c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 261
 
@@ -16663,7 +16812,7 @@ r0850:= 2*(a*A-c*C)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
         (a^2-b^2-c^2)/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (251)
+--R   (2)
 --R                 2                                                            2
 --R         ((- 2C c  + 2A a c)sin(x) + (- 2C b c + 2A a b)cos(x) - 2C a c + 2A a )
 --R      *
@@ -16692,7 +16841,7 @@ r0850:= 2*(a*A-c*C)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
 a0850:= integrate(t0850,x)
 --R 
 --R
---R   (252)
+--R   (3)
 --R   [
 --R                          2                 2
 --R             ((C b - C a)c  + (- A a b + A a )c)sin(x)
@@ -16789,7 +16938,7 @@ a0850:= integrate(t0850,x)
 m0850a:= a0850.1-r0850
 --R 
 --R
---R   (253)
+--R   (4)
 --R                                       +--------------+
 --R                                    2  |   2    2    2
 --R         ((C b - C a)c - A a b + A a )\|- c  - b  + a
@@ -16832,7 +16981,7 @@ m0850a:= a0850.1-r0850
 d0850a:= D(m0850a,x)
 --R 
 --R
---R   (254)
+--R   (5)
 --R                      3         2      2           3       2 2      3        2
 --R               ((- C b  + 2C a b  - C a b)c + A a b  - 2A a b  + A a b)sin(x)
 --R             + 
@@ -17293,7 +17442,7 @@ d0850a:= D(m0850a,x)
 m0850b:= a0850.2-r0850
 --R 
 --R
---R   (255)
+--R   (6)
 --R                                        2
 --R         ((2C b - 2C a)c - 2A a b + 2A a )
 --R      *
@@ -17326,7 +17475,7 @@ m0850b:= a0850.2-r0850
 d0850b:= D(m0850b,x)
 --R 
 --R
---R   (256)
+--R   (7)
 --R                                        2       2
 --R           ((- C b + C a)c + A a b - A a )sin(x)
 --R         + 
@@ -17427,11 +17576,14 @@ d0850b:= D(m0850b,x)
 --R                                                    Type: Expression(Integer)
 --E 267
 
+)clear all
+
+
 --S 268 of 526
 t0851:= (A+C*sin(x))/(a+b*cos(x)+c*sin(x))^3
 --R 
 --R
---R   (257)
+--R   (1)
 --R     C sin(x) + A
 --R  /
 --R        3      3        2             2       2
@@ -17453,7 +17605,7 @@ r0851:= (2*a^2*A+A*b^2+c*(A*c-3*a*C))*atan((c+(a-b)*tan(1/2*x))/_
         sin(x))/(a^2-b^2-c^2)^2/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (258)
+--R   (2)
 --R                  4         3          2       2  2       2
 --R           (- 2A c  + 6C a c  + (- 2A b  - 4A a )c )sin(x)
 --R         + 
@@ -17536,7 +17688,7 @@ r0851:= (2*a^2*A+A*b^2+c*(A*c-3*a*C))*atan((c+(a-b)*tan(1/2*x))/_
 a0851:= integrate(t0851,x)
 --R 
 --R
---R   (259)
+--R   (3)
 --R   [
 --R                          3         2       2   3
 --R                     (2A b  - 4A a b  + 2A a b)c
@@ -17912,7 +18064,7 @@ a0851:= integrate(t0851,x)
 m0851a:= a0851.1-r0851
 --R 
 --R
---R   (260)
+--R   (4)
 --R                        3         2       2   5
 --R                   (2A b  - 4A a b  + 2A a b)c
 --R                 + 
@@ -18779,7 +18931,7 @@ m0851a:= a0851.1-r0851
 m0851b:= a0851.2-r0851
 --R 
 --R
---R   (261)
+--R   (5)
 --R                        3         2       2   5
 --R                   (4A b  - 8A a b  + 4A a b)c
 --R                 + 
@@ -19632,13 +19784,16 @@ m0851b:= a0851.2-r0851
 --d0851b:= D(m0851b,x)
 --E 274
 
+)clear all
+
+
 --S 275 of 526
 t0852:= (A+B*cos(x))/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R                B cos(x) + A
---R   (262)  -----------------------
---R          c sin(x) + b cos(x) + a
+--R              B cos(x) + A
+--R   (1)  -----------------------
+--R        c sin(x) + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 275
 
@@ -19648,7 +19803,7 @@ r0852:= b*B*x/(b^2+c^2)+2*(A-a*b*B/(b^2+c^2))*atan((c+(a-b)*_
         B*c*log(a+b*cos(x)+c*sin(x))/(b^2+c^2)
 --R 
 --R
---R   (263)
+--R   (2)
 --R           +--------------+
 --R           |   2    2    2
 --R       B c\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -19671,7 +19826,7 @@ r0852:= b*B*x/(b^2+c^2)+2*(A-a*b*B/(b^2+c^2))*atan((c+(a-b)*_
 a0852:= integrate(t0852,x)
 --R 
 --R
---R   (264)
+--R   (3)
 --R   [
 --R                 2      2
 --R           (- A c  - A b  + B a b)
@@ -19746,7 +19901,7 @@ a0852:= integrate(t0852,x)
 m0852a:= a0852.1-r0852
 --R 
 --R
---R   (265)
+--R   (4)
 --R                                 +--------------+
 --R               2      2          |   2    2    2
 --R         (- A c  - A b  + B a b)\|- c  - b  + a
@@ -19799,7 +19954,7 @@ m0852a:= a0852.1-r0852
 d0852a:= D(m0852a,x)
 --R 
 --R
---R   (266)
+--R   (5)
 --R                         3         2      2   2      5              4
 --R                   (- A b  + 2A a b  - A a b)c  - A b  + (B + 2A)a b
 --R                 + 
@@ -20304,7 +20459,7 @@ d0852a:= D(m0852a,x)
 m0852b:= a0852.2-r0852
 --R 
 --R
---R   (267)
+--R   (6)
 --R             +--------------+
 --R             |   2    2    2
 --R       - B c\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -20347,7 +20502,7 @@ m0852b:= a0852.2-r0852
 d0852b:= D(m0852b,x)
 --R 
 --R
---R   (268)
+--R   (7)
 --R                          2      3             2      2        2
 --R           ((- A b + A a)c  - A b  + (B + A)a b  - B a b)sin(x)
 --R         + 
@@ -20452,15 +20607,17 @@ d0852b:= D(m0852b,x)
 --R                                                    Type: Expression(Integer)
 --E 281
 
+)clear all
+
+
 --S 282 of 526
 t0853:= (A+B*cos(x))/(a+b*cos(x)+c*sin(x))^2
 --R 
 --R
---R   (269)
---R                                B cos(x) + A
---R   ---------------------------------------------------------------------
---R    2      2                                 2      2                  2
---R   c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
+--R                                     B cos(x) + A
+--R   (1)  ---------------------------------------------------------------------
+--R         2      2                                 2      2                  2
+--R        c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 282
 
@@ -20470,7 +20627,7 @@ r0853:= 2*(a*A-b*B)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
         (A*b-a*B)*sin(x))/(a^2-b^2-c^2)/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (270)
+--R   (2)
 --R                                           2                                2
 --R         ((- 2B b + 2A a)c sin(x) + (- 2B b  + 2A a b)cos(x) - 2B a b + 2A a )
 --R      *
@@ -20499,7 +20656,7 @@ r0853:= 2*(a*A-b*B)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
 a0853:= integrate(t0853,x)
 --R 
 --R
---R   (271)
+--R   (3)
 --R   [
 --R                 2                     2
 --R             (B b  + (- B - A)a b + A a )c sin(x)
@@ -20591,7 +20748,7 @@ a0853:= integrate(t0853,x)
 m0853a:= a0853.1-r0853
 --R 
 --R
---R   (272)
+--R   (4)
 --R                                      +--------------+
 --R             2                     2  |   2    2    2
 --R         (B b  + (- B - A)a b + A a )\|- c  - b  + a
@@ -20634,7 +20791,7 @@ m0853a:= a0853.1-r0853
 d0853a:= D(m0853a,x)
 --R 
 --R
---R   (273)
+--R   (5)
 --R                     4              3              2 2      3        2
 --R               (- B b  + (2B + A)a b  + (- B - 2A)a b  + A a b)sin(x)
 --R             + 
@@ -21058,7 +21215,7 @@ d0853a:= D(m0853a,x)
 m0853b:= a0853.2-r0853
 --R 
 --R
---R   (274)
+--R   (6)
 --R              2                        2
 --R         (2B b  + (- 2B - 2A)a b + 2A a )
 --R      *
@@ -21091,7 +21248,7 @@ m0853b:= a0853.2-r0853
 d0853b:= D(m0853b,x)
 --R 
 --R
---R   (275)
+--R   (7)
 --R                 2                   2       2
 --R           (- B b  + (B + A)a b - A a )sin(x)
 --R         + 
@@ -21189,11 +21346,14 @@ d0853b:= D(m0853b,x)
 --R                                                    Type: Expression(Integer)
 --E 288
 
+)clear all
+
+
 --S 289 of 526
 t0854:= (A+B*cos(x))/(a+b*cos(x)+c*sin(x))^3
 --R 
 --R
---R   (276)
+--R   (1)
 --R     B cos(x) + A
 --R  /
 --R        3      3        2             2       2
@@ -21215,7 +21375,7 @@ r0854:= (2*a^2*A+b*(A*b-3*a*B)+A*c^2)*atan((c+(a-b)*tan(1/2*x))/_
         (2*b^2*B-a*(3*A*b-a*B))*sin(x))/(a^2-b^2-c^2)^2/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (277)
+--R   (2)
 --R                  4          2                2  2       2
 --R           (- 2A c  + (- 2A b  + 6B a b - 4A a )c )sin(x)
 --R         + 
@@ -21295,7 +21455,7 @@ r0854:= (2*a^2*A+b*(A*b-3*a*B)+A*c^2)*atan((c+(a-b)*tan(1/2*x))/_
 a0854:= integrate(t0854,x)
 --R 
 --R
---R   (278)
+--R   (3)
 --R   [
 --R                          3         2       2   3
 --R                     (2A b  - 4A a b  + 2A a b)c
@@ -21672,7 +21832,7 @@ a0854:= integrate(t0854,x)
 m0854a:= a0854.1-r0854
 --R 
 --R
---R   (279)
+--R   (4)
 --R                        3         2       2   5
 --R                   (2A b  - 4A a b  + 2A a b)c
 --R                 + 
@@ -22668,7 +22828,7 @@ m0854a:= a0854.1-r0854
 m0854b:= a0854.2-r0854
 --R 
 --R
---R   (280)
+--R   (5)
 --R                        3         2       2   5
 --R                   (4A b  - 8A a b  + 4A a b)c
 --R                 + 
@@ -23653,13 +23813,16 @@ m0854b:= a0854.2-r0854
 --d0854b:= D(m0854b,x)
 --E 295
 
+)clear all
+
+
 --S 296 of 526
 t0855:= (A+B*cos(x)+C*sin(x))/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R          C sin(x) + B cos(x) + A
---R   (281)  -----------------------
---R          c sin(x) + b cos(x) + a
+--R        C sin(x) + B cos(x) + A
+--R   (1)  -----------------------
+--R        c sin(x) + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 296
 
@@ -23669,7 +23832,7 @@ r0855:= (b*B+c*C)*x/(b^2+c^2)+2*(A-a*(b*B+c*C)/(b^2+c^2))*_
         (B*c-b*C)*log(a+b*cos(x)+c*sin(x))/(b^2+c^2)
 --R 
 --R
---R   (282)
+--R   (2)
 --R                   +--------------+
 --R                   |   2    2    2
 --R       (B c - C b)\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -23696,7 +23859,7 @@ r0855:= (b*B+c*C)*x/(b^2+c^2)+2*(A-a*(b*B+c*C)/(b^2+c^2))*_
 a0855:= integrate(t0855,x)
 --R 
 --R
---R   (283)
+--R   (3)
 --R   [
 --R                 2              2
 --R           (- A c  + C a c - A b  + B a b)
@@ -23771,7 +23934,7 @@ a0855:= integrate(t0855,x)
 m0855a:= a0855.1-r0855
 --R 
 --R
---R   (284)
+--R   (4)
 --R                                         +--------------+
 --R               2              2          |   2    2    2
 --R         (- A c  + C a c - A b  + B a b)\|- c  - b  + a
@@ -23827,7 +23990,7 @@ m0855a:= a0855.1-r0855
 d0855a:= D(m0855a,x)
 --R 
 --R
---R   (285)
+--R   (5)
 --R                         3         2      2   2         3       2 2      3
 --R                   (- A b  + 2A a b  - A a b)c  + (C a b  - 2C a b  + C a b)c
 --R                 + 
@@ -24376,7 +24539,7 @@ d0855a:= D(m0855a,x)
 m0855b:= a0855.2-r0855
 --R 
 --R
---R   (286)
+--R   (6)
 --R                     +--------------+
 --R                     |   2    2    2
 --R       (- B c + C b)\|- c  - b  + a  log(c sin(x) + b cos(x) + a)
@@ -24419,7 +24582,7 @@ m0855b:= a0855.2-r0855
 d0855b:= D(m0855b,x)
 --R 
 --R
---R   (287)
+--R   (7)
 --R                            2               2        3             2      2
 --R             ((- A b + A a)c  + (C a b - C a )c - A b  + (B + A)a b  - B a b)
 --R          *
@@ -24542,15 +24705,17 @@ d0855b:= D(m0855b,x)
 --R                                                    Type: Expression(Integer)
 --E 302
 
+)clear all
+
+
 --S 303 of 526
 t0856:= (A+B*cos(x)+C*sin(x))/(a+b*cos(x)+c*sin(x))^2
 --R 
 --R
---R   (288)
---R                          C sin(x) + B cos(x) + A
---R   ---------------------------------------------------------------------
---R    2      2                                 2      2                  2
---R   c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
+--R                               C sin(x) + B cos(x) + A
+--R   (1)  ---------------------------------------------------------------------
+--R         2      2                                 2      2                  2
+--R        c sin(x)  + (2b c cos(x) + 2a c)sin(x) + b cos(x)  + 2a b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 303
 
@@ -24560,7 +24725,7 @@ r0856:= 2*(a*A-b*B-c*C)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
         (a^2-b^2-c^2)/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (289)
+--R   (2)
 --R                  2
 --R           (- 2C c  + (- 2B b + 2A a)c)sin(x)
 --R         + 
@@ -24592,7 +24757,7 @@ r0856:= 2*(a*A-b*B-c*C)*atan((c+(a-b)*tan(1/2*x))/(a^2-b^2-c^2)^(1/2))/_
 a0856:= integrate(t0856,x)
 --R 
 --R
---R   (290)
+--R   (3)
 --R   [
 --R                          2       2                     2
 --R             ((C b - C a)c  + (B b  + (- B - A)a b + A a )c)sin(x)
@@ -24689,7 +24854,7 @@ a0856:= integrate(t0856,x)
 m0856a:= a0856.1-r0856
 --R 
 --R
---R   (291)
+--R   (4)
 --R                                                     +--------------+
 --R                            2                     2  |   2    2    2
 --R         ((C b - C a)c + B b  + (- B - A)a b + A a )\|- c  - b  + a
@@ -24736,7 +24901,7 @@ m0856a:= a0856.1-r0856
 d0856a:= D(m0856a,x)
 --R 
 --R
---R   (292)
+--R   (5)
 --R                         3         2      2         4              3
 --R                   (- C b  + 2C a b  - C a b)c - B b  + (2B + A)a b
 --R                 + 
@@ -25284,7 +25449,7 @@ d0856a:= D(m0856a,x)
 m0856b:= a0856.2-r0856
 --R 
 --R
---R   (293)
+--R   (6)
 --R                               2                        2
 --R         ((2C b - 2C a)c + 2B b  + (- 2B - 2A)a b + 2A a )
 --R      *
@@ -25317,7 +25482,7 @@ m0856b:= a0856.2-r0856
 d0856b:= D(m0856b,x)
 --R 
 --R
---R   (294)
+--R   (7)
 --R                                2                   2       2
 --R           ((- C b + C a)c - B b  + (B + A)a b - A a )sin(x)
 --R         + 
@@ -25424,11 +25589,14 @@ d0856b:= D(m0856b,x)
 --R                                                    Type: Expression(Integer)
 --E 309
 
+)clear all
+
+
 --S 310 of 526
 t0857:= (A+B*cos(x)+C*sin(x))/(a+b*cos(x)+c*sin(x))^3
 --R 
 --R
---R   (295)
+--R   (1)
 --R     C sin(x) + B cos(x) + A
 --R  /
 --R        3      3        2             2       2
@@ -25452,7 +25620,7 @@ r0857:= -(b*(A*b-a*B)+c*(A*c-a*C)+2*a*(a*A-b*B-c*C))*_
         (-a^2+b^2+c^2)/(a+b*cos(x)+c*sin(x))
 --R 
 --R
---R   (296)
+--R   (2)
 --R                  4         3          2                2  2       2
 --R           (- 2A c  + 6C a c  + (- 2A b  + 6B a b - 4A a )c )sin(x)
 --R         + 
@@ -25540,7 +25708,7 @@ r0857:= -(b*(A*b-a*B)+c*(A*c-a*C)+2*a*(a*A-b*B-c*C))*_
 a0857:= integrate(t0857,x)
 --R 
 --R
---R   (297)
+--R   (3)
 --R   [
 --R                          3         2       2   3
 --R                     (2A b  - 4A a b  + 2A a b)c
@@ -25986,7 +26154,7 @@ a0857:= integrate(t0857,x)
 m0857a:= a0857.1-r0857
 --R 
 --R
---R   (298)
+--R   (4)
 --R                        3         2       2   5
 --R                   (2A b  - 4A a b  + 2A a b)c
 --R                 + 
@@ -27177,7 +27345,7 @@ m0857a:= a0857.1-r0857
 m0857b:= a0857.2-r0857
 --R 
 --R
---R   (299)
+--R   (5)
 --R                        3         2       2   5
 --R                   (4A b  - 8A a b  + 4A a b)c
 --R                 + 
@@ -28360,15 +28528,18 @@ m0857b:= a0857.2-r0857
 --d0857b:= D(m0857b,x)
 --E 316
 
+)clear all
+
+
 --S 317 of 526
 t0858:= sin(x)^3/(cos(x)^3+sin(x)^3)
 --R 
 --R
---R                     3
---R               sin(x)
---R   (300)  -----------------
---R                3         3
---R          sin(x)  + cos(x)
+--R                   3
+--R             sin(x)
+--R   (1)  -----------------
+--R              3         3
+--R        sin(x)  + cos(x)
 --R                                                    Type: Expression(Integer)
 --E 317
 
@@ -28376,9 +28547,9 @@ t0858:= sin(x)^3/(cos(x)^3+sin(x)^3)
 r0858:= 1/2*x-1/6*log(cos(x)+sin(x))+1/3*log(1-cos(x)*sin(x))
 --R 
 --R
---R          - log(sin(x) + cos(x)) + 2log(- cos(x)sin(x) + 1) + 3x
---R   (301)  ------------------------------------------------------
---R                                     6
+--R        - log(sin(x) + cos(x)) + 2log(- cos(x)sin(x) + 1) + 3x
+--R   (2)  ------------------------------------------------------
+--R                                   6
 --R                                                    Type: Expression(Integer)
 --E 318
 
@@ -28386,7 +28557,7 @@ r0858:= 1/2*x-1/6*log(cos(x)+sin(x))+1/3*log(1-cos(x)*sin(x))
 a0858:= integrate(t0858,x)
 --R 
 --R
---R   (302)
+--R   (3)
 --R                   2            - 2sin(x) - 2cos(x)
 --R       - 3log(----------) - log(-------------------)
 --R              cos(x) + 1             cos(x) + 1
@@ -28404,7 +28575,7 @@ a0858:= integrate(t0858,x)
 m0858:= a0858-r0858
 --R 
 --R
---R   (303)
+--R   (4)
 --R                                        2            - 2sin(x) - 2cos(x)
 --R       log(sin(x) + cos(x)) - 3log(----------) - log(-------------------)
 --R                                   cos(x) + 1             cos(x) + 1
@@ -28422,19 +28593,22 @@ m0858:= a0858-r0858
 d0858:= D(m0858,x)
 --R 
 --R
---R   (304)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 321
 
+)clear all
+
+
 --S 322 of 526
 t0859:= cos(x)^3/(cos(x)^3+sin(x)^3)
 --R 
 --R
---R                     3
---R               cos(x)
---R   (305)  -----------------
---R                3         3
---R          sin(x)  + cos(x)
+--R                   3
+--R             cos(x)
+--R   (1)  -----------------
+--R              3         3
+--R        sin(x)  + cos(x)
 --R                                                    Type: Expression(Integer)
 --E 322
 
@@ -28442,9 +28616,9 @@ t0859:= cos(x)^3/(cos(x)^3+sin(x)^3)
 r0859:= 1/2*x+1/6*log(cos(x)+sin(x))-1/3*log(1-cos(x)*sin(x))
 --R 
 --R
---R          log(sin(x) + cos(x)) - 2log(- cos(x)sin(x) + 1) + 3x
---R   (306)  ----------------------------------------------------
---R                                    6
+--R        log(sin(x) + cos(x)) - 2log(- cos(x)sin(x) + 1) + 3x
+--R   (2)  ----------------------------------------------------
+--R                                  6
 --R                                                    Type: Expression(Integer)
 --E 323
 
@@ -28452,7 +28626,7 @@ r0859:= 1/2*x+1/6*log(cos(x)+sin(x))-1/3*log(1-cos(x)*sin(x))
 a0859:= integrate(t0859,x)
 --R 
 --R
---R   (307)
+--R   (3)
 --R                 2            - 2sin(x) - 2cos(x)          - 4cos(x)sin(x) + 4
 --R       3log(----------) + log(-------------------) - 2log(---------------------)
 --R            cos(x) + 1             cos(x) + 1                   2
@@ -28468,7 +28642,7 @@ a0859:= integrate(t0859,x)
 m0859:= a0859-r0859
 --R 
 --R
---R   (308)
+--R   (4)
 --R                                          2            - 2sin(x) - 2cos(x)
 --R       - log(sin(x) + cos(x)) + 3log(----------) + log(-------------------)
 --R                                     cos(x) + 1             cos(x) + 1
@@ -28486,18 +28660,21 @@ m0859:= a0859-r0859
 d0859:= D(m0859,x)
 --R 
 --R
---R   (309)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 326
 
+)clear all
+
+
 --S 327 of 526
 t0860:= 1/(a+b*sin(x)+c*sin(x)^2)
 --R 
 --R
---R                      1
---R   (310)  ------------------------
---R                  2
---R          c sin(x)  + b sin(x) + a
+--R                    1
+--R   (1)  ------------------------
+--R                2
+--R        c sin(x)  + b sin(x) + a
 --R                                                    Type: Expression(Integer)
 --E 327
 
@@ -28510,7 +28687,7 @@ r0860:= -2*2^(1/2)*c*atanh(1/2*(2*c+(b-(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (311)
+--R   (2)
 --R            +---------------------------------+
 --R            |  +-----------+
 --R            |  |          2      2           2
@@ -28557,7 +28734,7 @@ r0860:= -2*2^(1/2)*c*atanh(1/2*(2*c+(b-(b^2-4*a*c)^(1/2))*_
 a0860:= integrate(t0860,x)
 --R 
 --R
---R   (312)
+--R   (3)
 --R       -
 --R            ROOT
 --R                             3        2      2  2           2     3       4
@@ -29059,7 +29236,7 @@ a0860:= integrate(t0860,x)
 m0860:= a0860-r0860
 --R 
 --R
---R   (313)
+--R   (4)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -29649,7 +29826,7 @@ m0860:= a0860-r0860
 d0860:= D(m0860,x)
 --R 
 --R
---R   (314)
+--R   (5)
 --R                   4                           3
 --R           a sin(x)  + (- 2b cos(x) - 2b)sin(x)
 --R         + 
@@ -29807,15 +29984,18 @@ d0860:= D(m0860,x)
 --R                                                    Type: Expression(Integer)
 --E 331
 
+)clear all
+
+
 --S 332 of 526
 t0861:= sin(x)^2/(a+b*sin(x)+c*sin(x)^2)
 --R 
 --R
---R                         2
---R                   sin(x)
---R   (315)  ------------------------
---R                  2
---R          c sin(x)  + b sin(x) + a
+--R                       2
+--R                 sin(x)
+--R   (1)  ------------------------
+--R                2
+--R        c sin(x)  + b sin(x) + a
 --R                                                    Type: Expression(Integer)
 --E 332
 
@@ -29829,7 +30009,7 @@ r0861:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (316)
+--R   (2)
 --R                                         +---------------------------------+
 --R             +-----------+               |  +-----------+
 --R             |          2             2  |  |          2      2           2
@@ -29890,7 +30070,7 @@ r0861:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
 a0861:= integrate(t0861,x)
 --R 
 --R
---R   (317)
+--R   (3)
 --R       -
 --R            c
 --R         *
@@ -30484,7 +30664,7 @@ a0861:= integrate(t0861,x)
 m0861:= a0861-r0861
 --R 
 --R
---R   (318)
+--R   (4)
 --R       -
 --R                            +-------------------------------------+
 --R              +-----------+ |     +-----------+
@@ -31158,7 +31338,7 @@ m0861:= a0861-r0861
 d0861:= D(m0861,x)
 --R 
 --R
---R   (319)
+--R   (5)
 --R              2      4                               3
 --R           - a sin(x)  + (- 2a b cos(x) - 2a b)sin(x)
 --R         + 
@@ -31354,15 +31534,18 @@ d0861:= D(m0861,x)
 --R                                                    Type: Expression(Integer)
 --E 336
 
+)clear all
+
+
 --S 337 of 526
 t0862:= sin(x)^3/(a+b*sin(x)+c*sin(x)^2)
 --R 
 --R
---R                         3
---R                   sin(x)
---R   (320)  ------------------------
---R                  2
---R          c sin(x)  + b sin(x) + a
+--R                       3
+--R                 sin(x)
+--R   (1)  ------------------------
+--R                2
+--R        c sin(x)  + b sin(x) + a
 --R                                                    Type: Expression(Integer)
 --E 337
 
@@ -31376,7 +31559,7 @@ r0862:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)-cos(x)/c
 --R 
 --R
---R   (321)
+--R   (2)
 --R                       +-----------+
 --R                    2  |          2               3
 --R         ((2a c - 2b )\|- 4a c + b   + 6a b c - 2b )
@@ -31445,7 +31628,7 @@ r0862:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
 a0862:= integrate(t0862,x)
 --R 
 --R
---R   (322)
+--R   (3)
 --R          2
 --R         c
 --R      *
@@ -32224,7 +32407,7 @@ a0862:= integrate(t0862,x)
 m0862:= a0862-r0862
 --R 
 --R
---R   (323)
+--R   (4)
 --R                          +-------------------------------------+
 --R            +-----------+ |     +-----------+
 --R          2 |          2  |     |          2      2            2
@@ -33082,7 +33265,7 @@ m0862:= a0862-r0862
 d0862:= D(m0862,x)
 --R 
 --R
---R   (324)
+--R   (5)
 --R            2        4         2        2            2        2       3
 --R           a b sin(x)  + ((- 4a c + 2a b )cos(x) - 4a c + 2a b )sin(x)
 --R         + 
@@ -33339,14 +33522,17 @@ d0862:= D(m0862,x)
 --R                                                    Type: Expression(Integer)
 --E 341
 
+)clear all
+
+
 --S 342 of 526
 t0863:= (a+b*sin(x))/(b^2+2*a*b*sin(x)+a^2*sin(x)^2)
 --R 
 --R
---R                  b sin(x) + a
---R   (325)  ----------------------------
---R           2      2                  2
---R          a sin(x)  + 2a b sin(x) + b
+--R                b sin(x) + a
+--R   (1)  ----------------------------
+--R         2      2                  2
+--R        a sin(x)  + 2a b sin(x) + b
 --R                                                    Type: Expression(Integer)
 --E 342
 
@@ -33354,9 +33540,9 @@ t0863:= (a+b*sin(x))/(b^2+2*a*b*sin(x)+a^2*sin(x)^2)
 r0863:= -cos(x)/(b+a*sin(x))
 --R 
 --R
---R               cos(x)
---R   (326)  - ------------
---R            a sin(x) + b
+--R             cos(x)
+--R   (2)  - ------------
+--R          a sin(x) + b
 --R                                                    Type: Expression(Integer)
 --E 343
 
@@ -33364,10 +33550,10 @@ r0863:= -cos(x)/(b+a*sin(x))
 a0863:= integrate(t0863,x)
 --R 
 --R
---R          - a sin(x) - b cos(x) - b
---R   (327)  -------------------------
---R                             2
---R               a b sin(x) + b
+--R        - a sin(x) - b cos(x) - b
+--R   (3)  -------------------------
+--R                           2
+--R             a b sin(x) + b
 --R                                         Type: Union(Expression(Integer),...)
 --E 344
 
@@ -33375,9 +33561,9 @@ a0863:= integrate(t0863,x)
 m0863:= a0863-r0863
 --R 
 --R
---R            1
---R   (328)  - -
---R            b
+--R          1
+--R   (4)  - -
+--R          b
 --R                                                    Type: Expression(Integer)
 --E 345
 
@@ -33385,18 +33571,21 @@ m0863:= a0863-r0863
 d0863:= D(m0863,x)
 --R 
 --R
---R   (329)  0
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 346
 
+)clear all
+
+
 --S 347 of 526
 t0864:= (d+e*sin(x))/(a+b*sin(x)+c*sin(x)^2)
 --R 
 --R
---R                e sin(x) + d
---R   (330)  ------------------------
---R                  2
---R          c sin(x)  + b sin(x) + a
+--R              e sin(x) + d
+--R   (1)  ------------------------
+--R                2
+--R        c sin(x)  + b sin(x) + a
 --R                                                    Type: Expression(Integer)
 --E 347
 
@@ -33411,7 +33600,7 @@ r0864:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (331)
+--R   (2)
 --R                                            +---------------------------------+
 --R               +-----------+                |  +-----------+
 --R               |          2                 |  |          2      2           2
@@ -33458,11 +33647,11 @@ r0864:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
 --R                                                    Type: Expression(Integer)
 --E 348
 
---S 349 of 526
+--S 349 of 526 ok to fail. known bug #7240 in buglist
 a0864:= integrate(t0864,x)
 --R 
 --R
---R   (332)
+--R   (3)
 --R       -
 --R            ROOT
 --R                             3        2      2  2           2     3       4
@@ -34466,33 +34655,150 @@ a0864:= integrate(t0864,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 349
 
---S 350 of 526
+--S 350 of 526 ok to fail due to known bug (see above)
 m0864:= a0864-r0864
 --R 
 --R
---R   (333)
---R       -
---R                           +-------------------------------------+
---R             +-----------+ |     +-----------+
---R             |          2  |     |          2      2            2
---R            \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R         *
---R            ROOT
---R                             3        2      2  2           2     3       4
---R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
---R                       + 
---R                             2 2
---R                         - 2a b
---R                  *
---R                     ROOT
---R                               2 4                   3
---R                            - b e  + (4b c + 4a b)d e
---R                          + 
---R                                 2            2     2  2 2                 3
---R                            (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                          + 
---R                               2 4
---R                            - b d
+--R   (3)
+--R                                          +---------------------------------+
+--R             +-----------+                |  +-----------+
+--R             |          2                 |  |          2      2           2
+--R         (2e\|- 4a c + b   + 2b e - 4c d)\|b\|- 4a c + b   + 2c  + 2a c - b
+--R      *
+--R                        +-----------+
+--R                     x  |          2          x
+--R                 tan(-)\|- 4a c + b   + b tan(-) + 2c
+--R                     2                        2
+--R         atanh(----------------------------------------)
+--R                +-------------------------------------+
+--R                |     +-----------+
+--R                |     |          2      2            2
+--R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R     + 
+--R                  +-----------+
+--R              +-+ |          2                 +-+
+--R         (- e\|2 \|- 4a c + b   + (b e - 2c d)\|2 )
+--R      *
+--R          +-------------------------------------+
+--R          |     +-----------+
+--R          |     |          2      2            2
+--R         \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R      *
+--R                          +-----------+
+--R                +-+    x  |          2      +-+    x       +-+
+--R               \|2 tan(-)\|- 4a c + b   - b\|2 tan(-) - 2c\|2
+--R                       2                           2
+--R         atanh(-----------------------------------------------)
+--R                      +---------------------------------+
+--R                      |  +-----------+
+--R                      |  |          2      2           2
+--R                    2\|b\|- 4a c + b   + 2c  + 2a c - b
+--R     + 
+--R                             +-------------------------------------+
+--R               +-----------+ |     +-----------+
+--R               |          2  |     |          2      2            2
+--R         a0864\|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R      *
+--R          +---------------------------------+
+--R          |  +-----------+
+--R          |  |          2      2           2
+--R         \|b\|- 4a c + b   + 2c  + 2a c - b
+--R  /
+--R                      +-------------------------------------+
+--R        +-----------+ |     +-----------+
+--R        |          2  |     |          2      2            2
+--R       \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R    *
+--R        +---------------------------------+
+--R        |  +-----------+
+--R        |  |          2      2           2
+--R       \|b\|- 4a c + b   + 2c  + 2a c - b
+--R                                                    Type: Expression(Integer)
+--E 350
+
+--S 351 of 526
+--d0864:= D(m0864,x)
+--E 351
+
+)clear all
+
+
+--S 352 of 526
+t0865:= 1/(a+b*cos(x)+c*cos(x)^2)
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R                2
+--R        c cos(x)  + b cos(x) + a
+--R                                                    Type: Expression(Integer)
+--E 352
+
+--S 353 of 526
+r0865:= -2*2^(1/2)*c*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*_
+        tan(1/2*x)*2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/_
+        (b^2-4*a*c)^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)+_
+        4*c*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*tan(1/2*x)/_
+        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/(b^2-4*a*c)^(1/2)/_
+        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
+--R 
+--R
+--R   (2)
+--R            +---------------------------------+
+--R            |  +-----------+
+--R            |  |          2      2           2
+--R         4c\|b\|- 4a c + b   + 2c  + 2a c - b
+--R      *
+--R                       +-----------+
+--R                    x  |          2                  x
+--R                tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
+--R                    2                                2
+--R         atanh(----------------------------------------)
+--R                +-------------------------------------+
+--R                |     +-----------+
+--R                |     |          2      2            2
+--R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R     + 
+--R                +-------------------------------------+
+--R                |     +-----------+
+--R            +-+ |     |          2      2            2
+--R         2c\|2 \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R      *
+--R                          +-----------+
+--R                +-+    x  |          2             +-+    x
+--R               \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
+--R                       2                                  2
+--R         atanh(---------------------------------------------)
+--R                     +---------------------------------+
+--R                     |  +-----------+
+--R                     |  |          2      2           2
+--R                   2\|b\|- 4a c + b   + 2c  + 2a c - b
+--R  /
+--R                      +-------------------------------------+
+--R        +-----------+ |     +-----------+
+--R        |          2  |     |          2      2            2
+--R       \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R    *
+--R        +---------------------------------+
+--R        |  +-----------+
+--R        |  |          2      2           2
+--R       \|b\|- 4a c + b   + 2c  + 2a c - b
+--R                                                    Type: Expression(Integer)
+--E 353
+
+--S 354 of 526
+a0865:= integrate(t0865,x)
+--R 
+--R
+--R   (3)
+--R         ROOT
+--R                       3        2      2  2           2     3       4     2 2
+--R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
+--R               *
+--R                  ROOT
+--R                     -
+--R                           2
+--R                          b
 --R                       /
 --R                                5       2      2  4           2      3  3
 --R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
@@ -34502,74 +34808,38 @@ m0864:= a0864-r0864
 --R                          + 
 --R                               6     2 4    4 2
 --R                            - b  + 2a b  - a b
---R                 + 
---R                             2     2  2
---R                   (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
---R                 + 
---R                        2            2  2
---R                   (- 4c  - 4a c + 2b )d
---R              /
---R                     3       2     2  2          2     3      4    2 2
---R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R         *
---R             +---------------------------------+
---R             |  +-----------+
---R             |  |          2      2           2
---R            \|b\|- 4a c + b   + 2c  + 2a c - b
---R         *
---R            log
---R                                     2 4          2      3  3
---R                                   8a c  + (- 6a b  + 24a )c
---R                                 + 
---R                                     4      2 2      4  2
---R                                   (b  - 22a b  + 24a )c
---R                                 + 
---R                                        4      3 2     5      6     2 4     4 2
---R                                   (8a b  - 18a b  + 8a )c - b  + 3a b  - 2a b
---R                              *
---R                                 e
---R                             + 
---R                                         4       3     2   3
---R                                   4a b c  + (- b  + 4a b)c
---R                                 + 
---R                                          3     3   2     5     2 3     4
---R                                   (- 5a b  - 4a b)c  + (b  + 5a b  - 4a b)c
---R                                 + 
---R                                        5    3 3
---R                                   - a b  + a b
---R                              *
---R                                 d
---R                          *
---R                             cos(x)
---R                         + 
---R                                 2 4          2      3  3
---R                               8a c  + (- 6a b  + 24a )c
---R                             + 
---R                                 4      2 2      4  2        4      3 2     5
---R                               (b  - 22a b  + 24a )c  + (8a b  - 18a b  + 8a )c
---R                             + 
---R                                  6     2 4     4 2
---R                               - b  + 3a b  - 2a b
---R                          *
---R                             e
---R                         + 
---R                                     4       3     2   3          3     3   2
---R                               4a b c  + (- b  + 4a b)c  + (- 5a b  - 4a b)c
---R                             + 
---R                                 5     2 3     4         5    3 3
---R                               (b  + 5a b  - 4a b)c - a b  + a b
---R                          *
---R                             d
---R                      *
---R                         ROOT
---R                                   2 4                   3
---R                                - b e  + (4b c + 4a b)d e
---R                              + 
---R                                     2            2     2  2 2
---R                                (- 4c  - 8a c - 2b  - 4a )d e
---R                              + 
---R                                              3     2 4
---R                                (4b c + 4a b)d e - b d
+--R              + 
+--R                    2            2
+--R                - 4c  - 4a c + 2b
+--R           /
+--R                  3       2     2  2          2     3      4    2 2
+--R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
+--R      *
+--R         log
+--R                                4        2             2  3
+--R                            8a c  + (- 2b  + 4a b + 16a )c
+--R                          + 
+--R                                3        2     2      3  2
+--R                            (- b  - 12a b  + 8a b + 8a )c
+--R                          + 
+--R                               4       3     2 2     3       5    2 3
+--R                            (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
+--R                       *
+--R                          cos(x)
+--R                      + 
+--R                            4        2             2  3
+--R                        8a c  + (- 2b  + 4a b + 16a )c
+--R                      + 
+--R                            3        2     2      3  2
+--R                        (- b  - 12a b  + 8a b + 8a )c
+--R                      + 
+--R                           4       3     2 2     3       5    2 3
+--R                        (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
+--R                   *
+--R                      ROOT
+--R                         -
+--R                               2
+--R                              b
 --R                           /
 --R                                    5       2      2  4           2      3  3
 --R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
@@ -34579,49 +34849,21 @@ m0864:= a0864-r0864
 --R                              + 
 --R                                     4      3 2     5      6     2 4    4 2
 --R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                     + 
---R                                2     4  3
---R                           (4a b c - b )e
---R                         + 
---R                                     2      3      2          3    2
---R                           (- 12a b c  + (3b  - 12a b)c + 3a b )d e
---R                         + 
---R                                3        2      2  2     3     4     2 2  2
---R                           (8a c  + (- 2b  + 16a )c  + 8a c - b  - 2a b )d e
---R                         + 
---R                                    2     3     2         3  3
---R                           (- 4a b c  + (b  - 4a b)c + a b )d
---R                      *
---R                         cos(x)
---R                     + 
---R                            2     4  3
---R                       (4a b c - b )e
---R                     + 
---R                                 2      3      2          3    2
---R                       (- 12a b c  + (3b  - 12a b)c + 3a b )d e
---R                     + 
---R                            3        2      2  2     3     4     2 2  2
---R                       (8a c  + (- 2b  + 16a )c  + 8a c - b  - 2a b )d e
---R                     + 
---R                                2     3     2         3  3
---R                       (- 4a b c  + (b  - 4a b)c + a b )d
---R                  *
---R                     ROOT
---R                                    3        2      2  2           2     3
---R                                8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                              + 
---R                                  4     2 2
---R                                2b  - 2a b
---R                           *
---R                              ROOT
---R                                        2 4                   3
---R                                     - b e  + (4b c + 4a b)d e
---R                                   + 
---R                                          2            2     2  2 2
---R                                     (- 4c  - 8a c - 2b  - 4a )d e
---R                                   + 
---R                                                   3     2 4
---R                                     (4b c + 4a b)d e - b d
+--R                  + 
+--R                               3                    3
+--R                    (4a b c - b )cos(x) + 4a b c - b
+--R               *
+--R                  ROOT
+--R                                 3        2      2  2           2     3       4
+--R                             8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
+--R                           + 
+--R                                 2 2
+--R                             - 2a b
+--R                        *
+--R                           ROOT
+--R                              -
+--R                                    2
+--R                                   b
 --R                                /
 --R                                         5       2      2  4
 --R                                     4a c  + (- b  + 16a )c
@@ -34634,492 +34876,79 @@ m0864:= a0864-r0864
 --R                                   + 
 --R                                        4      3 2     5      6     2 4    4 2
 --R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                          + 
---R                                      2     2  2
---R                            (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
---R                          + 
---R                                 2            2  2
---R                            (- 4c  - 4a c + 2b )d
---R                       /
---R                              3       2     2  2          2     3      4    2 2
---R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R                 + 
---R                                 2 3          2      3  2         2 2     4
---R                               8a c  + (- 2a b  + 16a )c  + (- 12a b  + 8a )c
---R                             + 
---R                                   4     3 2
---R                               2a b  - 2a b
---R                          *
---R                              2
---R                             e
---R                         + 
---R                                       3      3      2   2         3     3
---R                               - 8a b c  + (2b  - 16a b)c  + (12a b  - 8a b)c
---R                             + 
---R                                   5     2 3
---R                               - 2b  + 2a b
---R                          *
---R                             d e
---R                         + 
---R                                   4        2      2  3           2     3  2
---R                               8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                             + 
---R                                  4     2 2
---R                               (2b  - 2a b )c
---R                          *
---R                              2
---R                             d
---R                      *
---R                         cos(x)
---R                     + 
---R                             2 3          2      3  2         2 2     4
---R                           8a c  + (- 2a b  + 16a )c  + (- 12a b  + 8a )c
---R                         + 
---R                               4     3 2
---R                           2a b  - 2a b
---R                      *
---R                          2
---R                         e
---R                     + 
---R                                   3      3      2   2         3     3        5
---R                           - 8a b c  + (2b  - 16a b)c  + (12a b  - 8a b)c - 2b
---R                         + 
---R                             2 3
---R                           2a b
---R                      *
---R                         d e
---R                     + 
---R                               4        2      2  3           2     3  2
---R                           8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                         + 
---R                              4     2 2
---R                           (2b  - 2a b )c
---R                      *
---R                          2
---R                         d
---R                  *
---R                     ROOT
---R                               2 4                   3
---R                            - b e  + (4b c + 4a b)d e
---R                          + 
---R                                 2            2     2  2 2                 3
---R                            (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                          + 
---R                               2 4
---R                            - b d
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R                 + 
---R                         2   4        2        2     3    3
---R                       4a b e  + (- 8a c - 4a b  - 8a )d e
---R                     + 
---R                                     2   2 2          2     2        2  3
---R                       (12a b c + 12a b)d e  + (- 8a c  - 8a c - 4a b )d e
---R                     + 
---R                               4
---R                       4a b c d
---R                  *
---R                     sin(x)
---R                 + 
---R                           2 4                 3     2     3
---R                       2a b e  + (- 4a b c - 2b  - 4a b)d e
---R                     + 
---R                        2        2  2 2          2              3  3      2   4
---R                     (6b c + 6a b )d e  + (- 4b c  - 4a b c - 2b )d e + 2b c d
---R                  *
---R                     cos(x)
---R                 + 
---R                       2 4                 3     2     3      2        2  2 2
---R                   2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R                 + 
---R                          2              3  3      2   4
---R                   (- 4b c  - 4a b c - 2b )d e + 2b c d
---R              /
---R                 cos(x) + 1
---R     + 
---R                        +-------------------------------------+
---R          +-----------+ |     +-----------+
---R          |          2  |     |          2      2            2
---R         \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R      *
---R         ROOT
---R                         3      2      2  2         2     3       4     2 2
---R                  (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
---R               *
---R                  ROOT
---R                            2 4                   3
---R                         - b e  + (4b c + 4a b)d e
---R                       + 
---R                            2            2     2  2 2                 3     2 4
---R                       (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e - b d
---R                    /
---R                             5       2      2  4           2      3  3
---R                         4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                       + 
---R                            4      2 2      4  2        4      3 2     5      6
---R                         (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c - b
---R                       + 
---R                           2 4    4 2
---R                         2a b  - a b
---R              + 
---R                        2     2  2                           2            2  2
---R              (4a c - 2b  + 4a )e  + (4b c - 4a b)d e + (- 4c  - 4a c + 2b )d
---R           /
---R                  3       2     2  2          2     3      4    2 2
---R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R      *
---R          +---------------------------------+
---R          |  +-----------+
---R          |  |          2      2           2
---R         \|b\|- 4a c + b   + 2c  + 2a c - b
---R      *
---R         log
---R                                  2 4          2      3  3
---R                                8a c  + (- 6a b  + 24a )c
---R                              + 
---R                                  4      2 2      4  2        4      3 2     5
---R                                (b  - 22a b  + 24a )c  + (8a b  - 18a b  + 8a )c
---R                              + 
---R                                   6     2 4     4 2
---R                                - b  + 3a b  - 2a b
---R                           *
---R                              e
---R                          + 
---R                                      4       3     2   3          3     3   2
---R                                4a b c  + (- b  + 4a b)c  + (- 5a b  - 4a b)c
---R                              + 
---R                                  5     2 3     4         5    3 3
---R                                (b  + 5a b  - 4a b)c - a b  + a b
---R                           *
---R                              d
---R                       *
---R                          cos(x)
---R                      + 
---R                              2 4          2      3  3     4      2 2      4  2
---R                            8a c  + (- 6a b  + 24a )c  + (b  - 22a b  + 24a )c
---R                          + 
---R                                 4      3 2     5      6     2 4     4 2
---R                            (8a b  - 18a b  + 8a )c - b  + 3a b  - 2a b
---R                       *
---R                          e
---R                      + 
---R                                  4       3     2   3          3     3   2
---R                            4a b c  + (- b  + 4a b)c  + (- 5a b  - 4a b)c
---R                          + 
---R                              5     2 3     4         5    3 3
---R                            (b  + 5a b  - 4a b)c - a b  + a b
---R                       *
---R                          d
---R                   *
---R                      ROOT
---R                                2 4                   3
---R                             - b e  + (4b c + 4a b)d e
---R                           + 
---R                                  2            2     2  2 2                 3
---R                             (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                           + 
---R                                2 4
---R                             - b d
---R                        /
---R                                 5       2      2  4           2      3  3
---R                             4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                           + 
---R                                4      2 2      4  2        4      3 2     5
---R                             (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                           + 
---R                                6     2 4    4 2
---R                             - b  + 2a b  - a b
---R                  + 
---R                               2     4  3
---R                        (- 4a b c + b )e
---R                      + 
---R                                2        3      2          3    2
---R                        (12a b c  + (- 3b  + 12a b)c - 3a b )d e
---R                      + 
---R                               3      2      2  2     3     4     2 2  2
---R                        (- 8a c  + (2b  - 16a )c  - 8a c + b  + 2a b )d e
---R                      + 
---R                               2       3     2         3  3
---R                        (4a b c  + (- b  + 4a b)c - a b )d
---R                   *
---R                      cos(x)
---R                  + 
---R                           2     4  3
---R                    (- 4a b c + b )e
---R                  + 
---R                            2        3      2          3    2
---R                    (12a b c  + (- 3b  + 12a b)c - 3a b )d e
---R                  + 
---R                           3      2      2  2     3     4     2 2  2
---R                    (- 8a c  + (2b  - 16a )c  - 8a c + b  + 2a b )d e
---R                  + 
---R                           2       3     2         3  3
---R                    (4a b c  + (- b  + 4a b)c - a b )d
---R               *
---R                  ROOT
---R                                   3      2      2  2         2     3       4
---R                             - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
---R                           + 
---R                               2 2
---R                             2a b
---R                        *
---R                           ROOT
---R                                     2 4                   3
---R                                  - b e  + (4b c + 4a b)d e
---R                                + 
---R                                       2            2     2  2 2
---R                                  (- 4c  - 8a c - 2b  - 4a )d e
---R                                + 
---R                                                3     2 4
---R                                  (4b c + 4a b)d e - b d
---R                             /
---R                                      5       2      2  4           2      3  3
---R                                  4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                                + 
---R                                     4      2 2      4  2
---R                                  (2b  - 22a b  + 16a )c
---R                                + 
---R                                       4      3 2     5      6     2 4    4 2
---R                                  (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                       + 
---R                                   2     2  2
---R                         (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
 --R                       + 
---R                              2            2  2
---R                         (- 4c  - 4a c + 2b )d
+--R                             2            2
+--R                         - 4c  - 4a c + 2b
 --R                    /
 --R                           3       2     2  2          2     3      4    2 2
 --R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R              + 
---R                                2 3        2      3  2       2 2     4         4
---R                            - 8a c  + (2a b  - 16a )c  + (12a b  - 8a )c - 2a b
---R                          + 
---R                              3 2
---R                            2a b
---R                       *
---R                           2
---R                          e
---R                      + 
---R                                  3        3      2   2           3     3
---R                            8a b c  + (- 2b  + 16a b)c  + (- 12a b  + 8a b)c
---R                          + 
---R                              5     2 3
---R                            2b  - 2a b
---R                       *
---R                          d e
---R                      + 
---R                                  4      2      2  3         2     3  2
---R                            - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c
---R                          + 
---R                                 4     2 2
---R                            (- 2b  + 2a b )c
---R                       *
---R                           2
---R                          d
---R                   *
---R                      cos(x)
---R                  + 
---R                            2 3        2      3  2       2 2     4         4
---R                        - 8a c  + (2a b  - 16a )c  + (12a b  - 8a )c - 2a b
---R                      + 
---R                          3 2
---R                        2a b
---R                   *
---R                       2
---R                      e
---R                  + 
---R                              3        3      2   2           3     3        5
---R                        8a b c  + (- 2b  + 16a b)c  + (- 12a b  + 8a b)c + 2b
---R                      + 
---R                            2 3
---R                        - 2a b
---R                   *
---R                      d e
---R                  + 
---R                              4      2      2  3         2     3  2
---R                        - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c
---R                      + 
---R                             4     2 2
---R                        (- 2b  + 2a b )c
---R                   *
---R                       2
---R                      d
---R               *
---R                  ROOT
---R                            2 4                   3
---R                         - b e  + (4b c + 4a b)d e
---R                       + 
---R                            2            2     2  2 2                 3     2 4
---R                       (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e - b d
---R                    /
---R                             5       2      2  4           2      3  3
---R                         4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                       + 
---R                            4      2 2      4  2        4      3 2     5      6
---R                         (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c - b
---R                       + 
---R                           2 4    4 2
---R                         2a b  - a b
---R              + 
---R                      2   4        2        2     3    3                 2   2 2
---R                    4a b e  + (- 8a c - 4a b  - 8a )d e  + (12a b c + 12a b)d e
---R                  + 
---R                           2     2        2  3            4
---R                    (- 8a c  - 8a c - 4a b )d e + 4a b c d
---R               *
---R                  sin(x)
---R              + 
---R                        2 4                 3     2     3      2        2  2 2
---R                    2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R                  + 
---R                           2              3  3      2   4
---R                    (- 4b c  - 4a b c - 2b )d e + 2b c d
---R               *
---R                  cos(x)
---R              + 
---R                    2 4                 3     2     3      2        2  2 2
---R                2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R              + 
---R                       2              3  3      2   4
---R                (- 4b c  - 4a b c - 2b )d e + 2b c d
+--R                4b c sin(x)
 --R           /
 --R              cos(x) + 1
 --R     + 
 --R       -
---R                           +-------------------------------------+
---R             +-----------+ |     +-----------+
---R             |          2  |     |          2      2            2
---R            \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R         *
 --R            ROOT
 --R                            3      2      2  2         2     3       4     2 2
 --R                     (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
 --R                  *
 --R                     ROOT
---R                               2 4                   3
---R                            - b e  + (4b c + 4a b)d e
---R                          + 
---R                                 2            2     2  2 2                 3
---R                            (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                          + 
---R                               2 4
---R                            - b d
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R                 + 
---R                             2     2  2
---R                   (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
+--R                        -
+--R                              2
+--R                             b
+--R                          /
+--R                                   5       2      2  4           2      3  3
+--R                               4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                             + 
+--R                                  4      2 2      4  2        4      3 2     5
+--R                               (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
+--R                             + 
+--R                                  6     2 4    4 2
+--R                               - b  + 2a b  - a b
 --R                 + 
---R                        2            2  2
---R                   (- 4c  - 4a c + 2b )d
+--R                       2            2
+--R                   - 4c  - 4a c + 2b
 --R              /
 --R                     3       2     2  2          2     3      4    2 2
 --R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R         *
---R             +---------------------------------+
---R             |  +-----------+
---R             |  |          2      2           2
---R            \|b\|- 4a c + b   + 2c  + 2a c - b
---R         *
 --R            log
---R                                       2 4        2      3  3
---R                                   - 8a c  + (6a b  - 24a )c
---R                                 + 
---R                                       4      2 2      4  2
---R                                   (- b  + 22a b  - 24a )c
---R                                 + 
---R                                        4      3 2     5      6     2 4     4 2
---R                                 (- 8a b  + 18a b  - 8a )c + b  - 3a b  + 2a b
---R                              *
---R                                 e
---R                             + 
---R                                           4     3     2   3        3     3   2
---R                                   - 4a b c  + (b  - 4a b)c  + (5a b  + 4a b)c
---R                                 + 
---R                                       5     2 3     4         5    3 3
---R                                   (- b  - 5a b  + 4a b)c + a b  - a b
---R                              *
---R                                 d
---R                          *
---R                             cos(x)
---R                         + 
---R                                   2 4        2      3  3
---R                               - 8a c  + (6a b  - 24a )c
---R                             + 
---R                                   4      2 2      4  2
---R                               (- b  + 22a b  - 24a )c
+--R                                   4        2             2  3
+--R                               8a c  + (- 2b  + 4a b + 16a )c
 --R                             + 
---R                                      4      3 2     5      6     2 4     4 2
---R                               (- 8a b  + 18a b  - 8a )c + b  - 3a b  + 2a b
---R                          *
---R                             e
---R                         + 
---R                                       4     3     2   3        3     3   2
---R                               - 4a b c  + (b  - 4a b)c  + (5a b  + 4a b)c
+--R                                   3        2     2      3  2
+--R                               (- b  - 12a b  + 8a b + 8a )c
 --R                             + 
---R                                   5     2 3     4         5    3 3
---R                               (- b  - 5a b  + 4a b)c + a b  - a b
+--R                                  4       3     2 2     3       5    2 3
+--R                               (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
 --R                          *
---R                             d
---R                      *
---R                         ROOT
---R                                   2 4                   3
---R                                - b e  + (4b c + 4a b)d e
---R                              + 
---R                                     2            2     2  2 2
---R                                (- 4c  - 8a c - 2b  - 4a )d e
---R                              + 
---R                                              3     2 4
---R                                (4b c + 4a b)d e - b d
---R                           /
---R                                    5       2      2  4           2      3  3
---R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                              + 
---R                                   4      2 2      4  2
---R                                (2b  - 22a b  + 16a )c
---R                              + 
---R                                     4      3 2     5      6     2 4    4 2
---R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                     + 
---R                                2     4  3
---R                           (4a b c - b )e
+--R                             cos(x)
 --R                         + 
---R                                     2      3      2          3    2
---R                           (- 12a b c  + (3b  - 12a b)c + 3a b )d e
+--R                               4        2             2  3
+--R                           8a c  + (- 2b  + 4a b + 16a )c
 --R                         + 
---R                                3        2      2  2     3     4     2 2  2
---R                           (8a c  + (- 2b  + 16a )c  + 8a c - b  - 2a b )d e
+--R                               3        2     2      3  2
+--R                           (- b  - 12a b  + 8a b + 8a )c
 --R                         + 
---R                                    2     3     2         3  3
---R                           (- 4a b c  + (b  - 4a b)c + a b )d
+--R                              4       3     2 2     3       5    2 3
+--R                           (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
 --R                      *
---R                         cos(x)
---R                     + 
---R                            2     4  3
---R                       (4a b c - b )e
---R                     + 
---R                                 2      3      2          3    2
---R                       (- 12a b c  + (3b  - 12a b)c + 3a b )d e
---R                     + 
---R                            3        2      2  2     3     4     2 2  2
---R                       (8a c  + (- 2b  + 16a )c  + 8a c - b  - 2a b )d e
+--R                         ROOT
+--R                            -
+--R                                  2
+--R                                 b
+--R                              /
+--R                                       5       2      2  4           2      3  3
+--R                                   4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                                 + 
+--R                                      4      2 2      4  2
+--R                                   (2b  - 22a b  + 16a )c
+--R                                 + 
+--R                                        4      3 2     5      6     2 4    4 2
+--R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
 --R                     + 
---R                                2     3     2         3  3
---R                       (- 4a b c  + (b  - 4a b)c + a b )d
+--R                                    3                    3
+--R                       (- 4a b c + b )cos(x) - 4a b c + b
 --R                  *
 --R                     ROOT
 --R                                      3      2      2  2         2     3       4
@@ -35129,505 +34958,253 @@ m0864:= a0864-r0864
 --R                                2a b
 --R                           *
 --R                              ROOT
---R                                        2 4                   3
---R                                     - b e  + (4b c + 4a b)d e
---R                                   + 
---R                                          2            2     2  2 2
---R                                     (- 4c  - 8a c - 2b  - 4a )d e
---R                                   + 
---R                                                   3     2 4
---R                                     (4b c + 4a b)d e - b d
---R                                /
---R                                         5       2      2  4
---R                                     4a c  + (- b  + 16a )c
---R                                   + 
---R                                             2      3  3
---R                                     (- 12a b  + 24a )c
---R                                   + 
---R                                        4      2 2      4  2
---R                                     (2b  - 22a b  + 16a )c
---R                                   + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                          + 
---R                                      2     2  2
---R                            (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
+--R                                 -
+--R                                       2
+--R                                      b
+--R                                   /
+--R                                            5       2      2  4
+--R                                        4a c  + (- b  + 16a )c
+--R                                      + 
+--R                                                2      3  3
+--R                                        (- 12a b  + 24a )c
+--R                                      + 
+--R                                           4      2 2      4  2
+--R                                        (2b  - 22a b  + 16a )c
+--R                                      + 
+--R                                             4      3 2     5      6     2 4
+--R                                        (8a b  - 12a b  + 4a )c - b  + 2a b
+--R                                      + 
+--R                                           4 2
+--R                                        - a b
 --R                          + 
---R                                 2            2  2
---R                            (- 4c  - 4a c + 2b )d
+--R                                2            2
+--R                            - 4c  - 4a c + 2b
 --R                       /
 --R                              3       2     2  2          2     3      4    2 2
 --R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R                 + 
---R                                   2 3        2      3  2       2 2     4
---R                               - 8a c  + (2a b  - 16a )c  + (12a b  - 8a )c
---R                             + 
---R                                     4     3 2
---R                               - 2a b  + 2a b
---R                          *
---R                              2
---R                             e
---R                         + 
---R                                     3        3      2   2           3     3
---R                               8a b c  + (- 2b  + 16a b)c  + (- 12a b  + 8a b)c
---R                             + 
---R                                 5     2 3
---R                               2b  - 2a b
---R                          *
---R                             d e
---R                         + 
---R                                     4      2      2  3         2     3  2
---R                               - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c
---R                             + 
---R                                    4     2 2
---R                               (- 2b  + 2a b )c
---R                          *
---R                              2
---R                             d
---R                      *
---R                         cos(x)
---R                     + 
---R                               2 3        2      3  2       2 2     4         4
---R                           - 8a c  + (2a b  - 16a )c  + (12a b  - 8a )c - 2a b
---R                         + 
---R                             3 2
---R                           2a b
---R                      *
---R                          2
---R                         e
---R                     + 
---R                                 3        3      2   2           3     3
---R                           8a b c  + (- 2b  + 16a b)c  + (- 12a b  + 8a b)c
---R                         + 
---R                             5     2 3
---R                           2b  - 2a b
---R                      *
---R                         d e
---R                     + 
---R                                 4      2      2  3         2     3  2
---R                           - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c
---R                         + 
---R                                4     2 2
---R                           (- 2b  + 2a b )c
---R                      *
---R                          2
---R                         d
---R                  *
---R                     ROOT
---R                               2 4                   3
---R                            - b e  + (4b c + 4a b)d e
---R                          + 
---R                                 2            2     2  2 2                 3
---R                            (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                          + 
---R                               2 4
---R                            - b d
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R                 + 
---R                         2   4        2        2     3    3
---R                       4a b e  + (- 8a c - 4a b  - 8a )d e
---R                     + 
---R                                     2   2 2          2     2        2  3
---R                       (12a b c + 12a b)d e  + (- 8a c  - 8a c - 4a b )d e
---R                     + 
---R                               4
---R                       4a b c d
---R                  *
---R                     sin(x)
---R                 + 
---R                           2 4                 3     2     3
---R                       2a b e  + (- 4a b c - 2b  - 4a b)d e
---R                     + 
---R                        2        2  2 2          2              3  3      2   4
---R                     (6b c + 6a b )d e  + (- 4b c  - 4a b c - 2b )d e + 2b c d
---R                  *
---R                     cos(x)
---R                 + 
---R                       2 4                 3     2     3      2        2  2 2
---R                   2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R                 + 
---R                          2              3  3      2   4
---R                   (- 4b c  - 4a b c - 2b )d e + 2b c d
+--R                   4b c sin(x)
 --R              /
 --R                 cos(x) + 1
 --R     + 
---R                        +-------------------------------------+
---R          +-----------+ |     +-----------+
---R          |          2  |     |          2      2            2
---R         \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R      *
 --R         ROOT
---R                       3        2      2  2           2     3       4     2 2
---R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
+--R                         3      2      2  2         2     3       4     2 2
+--R                  (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
 --R               *
 --R                  ROOT
---R                            2 4                   3
---R                         - b e  + (4b c + 4a b)d e
---R                       + 
---R                            2            2     2  2 2                 3     2 4
---R                       (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e - b d
---R                    /
---R                             5       2      2  4           2      3  3
---R                         4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                       + 
---R                            4      2 2      4  2        4      3 2     5      6
---R                         (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c - b
---R                       + 
---R                           2 4    4 2
---R                         2a b  - a b
+--R                     -
+--R                           2
+--R                          b
+--R                       /
+--R                                5       2      2  4           2      3  3
+--R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                          + 
+--R                               4      2 2      4  2        4      3 2     5
+--R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
+--R                          + 
+--R                               6     2 4    4 2
+--R                            - b  + 2a b  - a b
 --R              + 
---R                        2     2  2                           2            2  2
---R              (4a c - 2b  + 4a )e  + (4b c - 4a b)d e + (- 4c  - 4a c + 2b )d
+--R                    2            2
+--R                - 4c  - 4a c + 2b
 --R           /
 --R                  3       2     2  2          2     3      4    2 2
 --R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R      *
---R          +---------------------------------+
---R          |  +-----------+
---R          |  |          2      2           2
---R         \|b\|- 4a c + b   + 2c  + 2a c - b
---R      *
 --R         log
---R                                    2 4        2      3  3
---R                                - 8a c  + (6a b  - 24a )c
---R                              + 
---R                                    4      2 2      4  2
---R                                (- b  + 22a b  - 24a )c
---R                              + 
---R                                       4      3 2     5      6     2 4     4 2
---R                                (- 8a b  + 18a b  - 8a )c + b  - 3a b  + 2a b
---R                           *
---R                              e
---R                          + 
---R                                        4     3     2   3        3     3   2
---R                                - 4a b c  + (b  - 4a b)c  + (5a b  + 4a b)c
---R                              + 
---R                                    5     2 3     4         5    3 3
---R                                (- b  - 5a b  + 4a b)c + a b  - a b
---R                           *
---R                              d
---R                       *
---R                          cos(x)
---R                      + 
---R                                2 4        2      3  3
---R                            - 8a c  + (6a b  - 24a )c
---R                          + 
---R                                4      2 2      4  2          4      3 2     5
---R                            (- b  + 22a b  - 24a )c  + (- 8a b  + 18a b  - 8a )c
+--R                                  4      2             2  3
+--R                            - 8a c  + (2b  - 4a b - 16a )c
 --R                          + 
---R                             6     2 4     4 2
---R                            b  - 3a b  + 2a b
---R                       *
---R                          e
---R                      + 
---R                                    4     3     2   3        3     3   2
---R                            - 4a b c  + (b  - 4a b)c  + (5a b  + 4a b)c
+--R                              3        2     2      3  2
+--R                            (b  + 12a b  - 8a b - 8a )c
 --R                          + 
---R                                5     2 3     4         5    3 3
---R                            (- b  - 5a b  + 4a b)c + a b  - a b
+--R                                 4       3     2 2     3       5    2 3
+--R                            (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
 --R                       *
---R                          d
---R                   *
---R                      ROOT
---R                                2 4                   3
---R                             - b e  + (4b c + 4a b)d e
---R                           + 
---R                                  2            2     2  2 2                 3
---R                             (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e
---R                           + 
---R                                2 4
---R                             - b d
---R                        /
---R                                 5       2      2  4           2      3  3
---R                             4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                           + 
---R                                4      2 2      4  2        4      3 2     5
---R                             (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                           + 
---R                                6     2 4    4 2
---R                             - b  + 2a b  - a b
---R                  + 
---R                               2     4  3
---R                        (- 4a b c + b )e
+--R                          cos(x)
 --R                      + 
---R                                2        3      2          3    2
---R                        (12a b c  + (- 3b  + 12a b)c - 3a b )d e
+--R                              4      2             2  3
+--R                        - 8a c  + (2b  - 4a b - 16a )c
 --R                      + 
---R                               3      2      2  2     3     4     2 2  2
---R                        (- 8a c  + (2b  - 16a )c  - 8a c + b  + 2a b )d e
+--R                          3        2     2      3  2
+--R                        (b  + 12a b  - 8a b - 8a )c
 --R                      + 
---R                               2       3     2         3  3
---R                        (4a b c  + (- b  + 4a b)c - a b )d
+--R                             4       3     2 2     3       5    2 3
+--R                        (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
 --R                   *
---R                      cos(x)
---R                  + 
---R                           2     4  3
---R                    (- 4a b c + b )e
---R                  + 
---R                            2        3      2          3    2
---R                    (12a b c  + (- 3b  + 12a b)c - 3a b )d e
---R                  + 
---R                           3      2      2  2     3     4     2 2  2
---R                    (- 8a c  + (2b  - 16a )c  - 8a c + b  + 2a b )d e
+--R                      ROOT
+--R                         -
+--R                               2
+--R                              b
+--R                           /
+--R                                    5       2      2  4           2      3  3
+--R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                              + 
+--R                                   4      2 2      4  2
+--R                                (2b  - 22a b  + 16a )c
+--R                              + 
+--R                                     4      3 2     5      6     2 4    4 2
+--R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
 --R                  + 
---R                           2       3     2         3  3
---R                    (4a b c  + (- b  + 4a b)c - a b )d
+--R                               3                    3
+--R                    (4a b c - b )cos(x) + 4a b c - b
 --R               *
 --R                  ROOT
---R                                 3        2      2  2           2     3       4
---R                             8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
+--R                                   3      2      2  2         2     3       4
+--R                             - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
 --R                           + 
---R                                 2 2
---R                             - 2a b
+--R                               2 2
+--R                             2a b
 --R                        *
 --R                           ROOT
---R                                     2 4                   3
---R                                  - b e  + (4b c + 4a b)d e
---R                                + 
---R                                       2            2     2  2 2
---R                                  (- 4c  - 8a c - 2b  - 4a )d e
---R                                + 
---R                                                3     2 4
---R                                  (4b c + 4a b)d e - b d
---R                             /
---R                                      5       2      2  4           2      3  3
---R                                  4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                                + 
---R                                     4      2 2      4  2
---R                                  (2b  - 22a b  + 16a )c
---R                                + 
---R                                       4      3 2     5      6     2 4    4 2
---R                                  (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                       + 
---R                                   2     2  2
---R                         (4a c - 2b  + 4a )e  + (4b c - 4a b)d e
+--R                              -
+--R                                    2
+--R                                   b
+--R                                /
+--R                                         5       2      2  4
+--R                                     4a c  + (- b  + 16a )c
+--R                                   + 
+--R                                             2      3  3
+--R                                     (- 12a b  + 24a )c
+--R                                   + 
+--R                                        4      2 2      4  2
+--R                                     (2b  - 22a b  + 16a )c
+--R                                   + 
+--R                                        4      3 2     5      6     2 4    4 2
+--R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
 --R                       + 
---R                              2            2  2
---R                         (- 4c  - 4a c + 2b )d
+--R                             2            2
+--R                         - 4c  - 4a c + 2b
 --R                    /
 --R                           3       2     2  2          2     3      4    2 2
 --R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R              + 
---R                              2 3          2      3  2         2 2     4
---R                            8a c  + (- 2a b  + 16a )c  + (- 12a b  + 8a )c
---R                          + 
---R                                4     3 2
---R                            2a b  - 2a b
---R                       *
---R                           2
---R                          e
---R                      + 
---R                                    3      3      2   2         3     3        5
---R                            - 8a b c  + (2b  - 16a b)c  + (12a b  - 8a b)c - 2b
---R                          + 
---R                              2 3
---R                            2a b
---R                       *
---R                          d e
---R                      + 
---R                                4        2      2  3           2     3  2
---R                            8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                          + 
---R                               4     2 2
---R                            (2b  - 2a b )c
---R                       *
---R                           2
---R                          d
---R                   *
---R                      cos(x)
---R                  + 
---R                          2 3          2      3  2         2 2     4         4
---R                        8a c  + (- 2a b  + 16a )c  + (- 12a b  + 8a )c + 2a b
---R                      + 
---R                            3 2
---R                        - 2a b
---R                   *
---R                       2
---R                      e
---R                  + 
---R                                3      3      2   2         3     3        5
---R                        - 8a b c  + (2b  - 16a b)c  + (12a b  - 8a b)c - 2b
---R                      + 
---R                          2 3
---R                        2a b
---R                   *
---R                      d e
---R                  + 
---R                            4        2      2  3           2     3  2
---R                        8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                      + 
---R                           4     2 2
---R                        (2b  - 2a b )c
---R                   *
---R                       2
---R                      d
---R               *
---R                  ROOT
---R                            2 4                   3
---R                         - b e  + (4b c + 4a b)d e
---R                       + 
---R                            2            2     2  2 2                 3     2 4
---R                       (- 4c  - 8a c - 2b  - 4a )d e  + (4b c + 4a b)d e - b d
---R                    /
---R                             5       2      2  4           2      3  3
---R                         4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                       + 
---R                            4      2 2      4  2        4      3 2     5      6
---R                         (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c - b
---R                       + 
---R                           2 4    4 2
---R                         2a b  - a b
---R              + 
---R                      2   4        2        2     3    3                 2   2 2
---R                    4a b e  + (- 8a c - 4a b  - 8a )d e  + (12a b c + 12a b)d e
---R                  + 
---R                           2     2        2  3            4
---R                    (- 8a c  - 8a c - 4a b )d e + 4a b c d
---R               *
---R                  sin(x)
---R              + 
---R                        2 4                 3     2     3      2        2  2 2
---R                    2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R                  + 
---R                           2              3  3      2   4
---R                    (- 4b c  - 4a b c - 2b )d e + 2b c d
---R               *
---R                  cos(x)
---R              + 
---R                    2 4                 3     2     3      2        2  2 2
---R                2a b e  + (- 4a b c - 2b  - 4a b)d e  + (6b c + 6a b )d e
---R              + 
---R                       2              3  3      2   4
---R                (- 4b c  - 4a b c - 2b )d e + 2b c d
+--R                4b c sin(x)
 --R           /
 --R              cos(x) + 1
 --R     + 
---R                                          +---------------------------------+
---R             +-----------+                |  +-----------+
---R             |          2                 |  |          2      2           2
---R         (4e\|- 4a c + b   + 4b e - 8c d)\|b\|- 4a c + b   + 2c  + 2a c - b
---R      *
---R                        +-----------+
---R                     x  |          2          x
---R                 tan(-)\|- 4a c + b   + b tan(-) + 2c
---R                     2                        2
---R         atanh(----------------------------------------)
---R                +-------------------------------------+
---R                |     +-----------+
---R                |     |          2      2            2
---R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R     + 
---R                   +-----------+
---R               +-+ |          2                  +-+
---R         (- 2e\|2 \|- 4a c + b   + (2b e - 4c d)\|2 )
---R      *
---R          +-------------------------------------+
---R          |     +-----------+
---R          |     |          2      2            2
---R         \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R      *
---R                          +-----------+
---R                +-+    x  |          2      +-+    x       +-+
---R               \|2 tan(-)\|- 4a c + b   - b\|2 tan(-) - 2c\|2
---R                       2                           2
---R         atanh(-----------------------------------------------)
---R                      +---------------------------------+
---R                      |  +-----------+
---R                      |  |          2      2           2
---R                    2\|b\|- 4a c + b   + 2c  + 2a c - b
+--R       -
+--R            ROOT
+--R                             3        2      2  2           2     3       4
+--R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
+--R                       + 
+--R                             2 2
+--R                         - 2a b
+--R                  *
+--R                     ROOT
+--R                        -
+--R                              2
+--R                             b
+--R                          /
+--R                                   5       2      2  4           2      3  3
+--R                               4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                             + 
+--R                                  4      2 2      4  2        4      3 2     5
+--R                               (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
+--R                             + 
+--R                                  6     2 4    4 2
+--R                               - b  + 2a b  - a b
+--R                 + 
+--R                       2            2
+--R                   - 4c  - 4a c + 2b
+--R              /
+--R                     3       2     2  2          2     3      4    2 2
+--R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
+--R         *
+--R            log
+--R                                     4      2             2  3
+--R                               - 8a c  + (2b  - 4a b - 16a )c
+--R                             + 
+--R                                 3        2     2      3  2
+--R                               (b  + 12a b  - 8a b - 8a )c
+--R                             + 
+--R                                    4       3     2 2     3       5    2 3
+--R                               (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                          *
+--R                             cos(x)
+--R                         + 
+--R                                 4      2             2  3
+--R                           - 8a c  + (2b  - 4a b - 16a )c
+--R                         + 
+--R                             3        2     2      3  2
+--R                           (b  + 12a b  - 8a b - 8a )c
+--R                         + 
+--R                                4       3     2 2     3       5    2 3
+--R                           (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                      *
+--R                         ROOT
+--R                            -
+--R                                  2
+--R                                 b
+--R                              /
+--R                                       5       2      2  4           2      3  3
+--R                                   4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                                 + 
+--R                                      4      2 2      4  2
+--R                                   (2b  - 22a b  + 16a )c
+--R                                 + 
+--R                                        4      3 2     5      6     2 4    4 2
+--R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
+--R                     + 
+--R                                    3                    3
+--R                       (- 4a b c + b )cos(x) - 4a b c + b
+--R                  *
+--R                     ROOT
+--R                                    3        2      2  2           2     3
+--R                                8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
+--R                              + 
+--R                                  4     2 2
+--R                                2b  - 2a b
+--R                           *
+--R                              ROOT
+--R                                 -
+--R                                       2
+--R                                      b
+--R                                   /
+--R                                            5       2      2  4
+--R                                        4a c  + (- b  + 16a )c
+--R                                      + 
+--R                                                2      3  3
+--R                                        (- 12a b  + 24a )c
+--R                                      + 
+--R                                           4      2 2      4  2
+--R                                        (2b  - 22a b  + 16a )c
+--R                                      + 
+--R                                             4      3 2     5      6     2 4
+--R                                        (8a b  - 12a b  + 4a )c - b  + 2a b
+--R                                      + 
+--R                                           4 2
+--R                                        - a b
+--R                          + 
+--R                                2            2
+--R                            - 4c  - 4a c + 2b
+--R                       /
+--R                              3       2     2  2          2     3      4    2 2
+--R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
+--R                 + 
+--R                   4b c sin(x)
+--R              /
+--R                 cos(x) + 1
 --R  /
---R                       +-------------------------------------+
---R         +-----------+ |     +-----------+
---R         |          2  |     |          2      2            2
---R       2\|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R    *
---R        +---------------------------------+
---R        |  +-----------+
---R        |  |          2      2           2
---R       \|b\|- 4a c + b   + 2c  + 2a c - b
---R                                                    Type: Expression(Integer)
---E 350
-
---S 351 of 526
---d0864:= D(m0864,x)
---E 351
-
---S 352 of 526
-t0865:= 1/(a+b*cos(x)+c*cos(x)^2)
---R 
---R
---R                      1
---R   (334)  ------------------------
---R                  2
---R          c cos(x)  + b cos(x) + a
---R                                                    Type: Expression(Integer)
---E 352
+--R     2
+--R                                         Type: Union(Expression(Integer),...)
+--E 354
 
---S 353 of 526
-r0865:= -2*2^(1/2)*c*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*_
-        tan(1/2*x)*2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/_
-        (b^2-4*a*c)^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)+_
-        4*c*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*tan(1/2*x)/_
-        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/(b^2-4*a*c)^(1/2)/_
-        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
+--S 355 of 526
+m0865:= a0865-r0865
 --R 
 --R
---R   (335)
---R            +---------------------------------+
---R            |  +-----------+
---R            |  |          2      2           2
---R         4c\|b\|- 4a c + b   + 2c  + 2a c - b
+--R   (4)
+--R                        +-------------------------------------+
+--R          +-----------+ |     +-----------+
+--R          |          2  |     |          2      2            2
+--R         \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
 --R      *
---R                       +-----------+
---R                    x  |          2                  x
---R                tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
---R                    2                                2
---R         atanh(----------------------------------------)
---R                +-------------------------------------+
---R                |     +-----------+
---R                |     |          2      2            2
---R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R     + 
---R                +-------------------------------------+
---R                |     +-----------+
---R            +-+ |     |          2      2            2
---R         2c\|2 \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R          +---------------------------------+
+--R          |  +-----------+
+--R          |  |          2      2           2
+--R         \|b\|- 4a c + b   + 2c  + 2a c - b
 --R      *
---R                          +-----------+
---R                +-+    x  |          2             +-+    x
---R               \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
---R                       2                                  2
---R         atanh(---------------------------------------------)
---R                     +---------------------------------+
---R                     |  +-----------+
---R                     |  |          2      2           2
---R                   2\|b\|- 4a c + b   + 2c  + 2a c - b
---R  /
---R                      +-------------------------------------+
---R        +-----------+ |     +-----------+
---R        |          2  |     |          2      2            2
---R       \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R    *
---R        +---------------------------------+
---R        |  +-----------+
---R        |  |          2      2           2
---R       \|b\|- 4a c + b   + 2c  + 2a c - b
---R                                                    Type: Expression(Integer)
---E 353
-
---S 354 of 526
-a0865:= integrate(t0865,x)
---R 
---R
---R   (336)
 --R         ROOT
 --R                       3        2      2  2           2     3       4     2 2
 --R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
@@ -35725,6 +35302,10 @@ a0865:= integrate(t0865,x)
 --R              cos(x) + 1
 --R     + 
 --R       -
+--R             +-----------+
+--R             |          2
+--R            \|- 4a c + b
+--R         *
 --R            ROOT
 --R                            3      2      2  2         2     3       4     2 2
 --R                     (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
@@ -35749,6 +35330,16 @@ a0865:= integrate(t0865,x)
 --R                     3       2     2  2          2     3      4    2 2
 --R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R         *
+--R             +-------------------------------------+
+--R             |     +-----------+
+--R             |     |          2      2            2
+--R            \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R         *
+--R             +---------------------------------+
+--R             |  +-----------+
+--R             |  |          2      2           2
+--R            \|b\|- 4a c + b   + 2c  + 2a c - b
+--R         *
 --R            log
 --R                                   4        2             2  3
 --R                               8a c  + (- 2b  + 4a b + 16a )c
@@ -35824,6 +35415,10 @@ a0865:= integrate(t0865,x)
 --R              /
 --R                 cos(x) + 1
 --R     + 
+--R          +-----------+
+--R          |          2
+--R         \|- 4a c + b
+--R      *
 --R         ROOT
 --R                         3      2      2  2         2     3       4     2 2
 --R                  (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
@@ -35848,6 +35443,16 @@ a0865:= integrate(t0865,x)
 --R                  3       2     2  2          2     3      4    2 2
 --R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R      *
+--R          +-------------------------------------+
+--R          |     +-----------+
+--R          |     |          2      2            2
+--R         \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R      *
+--R          +---------------------------------+
+--R          |  +-----------+
+--R          |  |          2      2           2
+--R         \|b\|- 4a c + b   + 2c  + 2a c - b
+--R      *
 --R         log
 --R                                  4      2             2  3
 --R                            - 8a c  + (2b  - 4a b - 16a )c
@@ -35921,6 +35526,16 @@ a0865:= integrate(t0865,x)
 --R              cos(x) + 1
 --R     + 
 --R       -
+--R                           +-------------------------------------+
+--R             +-----------+ |     +-----------+
+--R             |          2  |     |          2      2            2
+--R            \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R         *
+--R             +---------------------------------+
+--R             |  +-----------+
+--R             |  |          2      2           2
+--R            \|b\|- 4a c + b   + 2c  + 2a c - b
+--R         *
 --R            ROOT
 --R                             3        2      2  2           2     3       4
 --R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
@@ -36022,130 +35637,259 @@ a0865:= integrate(t0865,x)
 --R                   4b c sin(x)
 --R              /
 --R                 cos(x) + 1
+--R     + 
+--R       -
+--R               +---------------------------------+
+--R               |  +-----------+
+--R               |  |          2      2           2
+--R            8c\|b\|- 4a c + b   + 2c  + 2a c - b
+--R         *
+--R                          +-----------+
+--R                       x  |          2                  x
+--R                   tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
+--R                       2                                2
+--R            atanh(----------------------------------------)
+--R                   +-------------------------------------+
+--R                   |     +-----------+
+--R                   |     |          2      2            2
+--R                  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R     + 
+--R       -
+--R                   +-------------------------------------+
+--R                   |     +-----------+
+--R               +-+ |     |          2      2            2
+--R            4c\|2 \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R         *
+--R                             +-----------+
+--R                   +-+    x  |          2             +-+    x
+--R                  \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
+--R                          2                                  2
+--R            atanh(---------------------------------------------)
+--R                        +---------------------------------+
+--R                        |  +-----------+
+--R                        |  |          2      2           2
+--R                      2\|b\|- 4a c + b   + 2c  + 2a c - b
 --R  /
---R     2
---R                                         Type: Union(Expression(Integer),...)
---E 354
+--R                       +-------------------------------------+
+--R         +-----------+ |     +-----------+
+--R         |          2  |     |          2      2            2
+--R       2\|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R    *
+--R        +---------------------------------+
+--R        |  +-----------+
+--R        |  |          2      2           2
+--R       \|b\|- 4a c + b   + 2c  + 2a c - b
+--R                                                    Type: Expression(Integer)
+--E 355
 
---S 355 of 526
-m0865:= a0865-r0865
+--S 356 of 526
+d0865:= D(m0865,x)
 --R 
 --R
---R   (337)
---R                        +-------------------------------------+
---R          +-----------+ |     +-----------+
---R          |          2  |     |          2      2            2
---R         \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R   (5)
+--R                            4
+--R           (c - b + a)sin(x)
+--R         + 
+--R                                2                                         2
+--R           ((6c - 4b + 2a)cos(x)  + (10c - 6b + 2a)cos(x) + 4c - 2b)sin(x)
+--R         + 
+--R                             4                        3             2
+--R           (c - 3b + a)cos(x)  + (2c - 10b + 2a)cos(x)  - 12b cos(x)
+--R         + 
+--R           (- 2c - 6b - 2a)cos(x) - c - b - a
 --R      *
---R          +---------------------------------+
---R          |  +-----------+
---R          |  |          2      2           2
---R         \|b\|- 4a c + b   + 2c  + 2a c - b
+--R             x 4
+--R         tan(-)
+--R             2
+--R     + 
+--R                                 4
+--R           (- 6c + 2b + 2a)sin(x)
+--R         + 
+--R                             2                           2
+--R           ((- 4c + 4a)cos(x)  + (- 4c + 4a)cos(x))sin(x)
+--R         + 
+--R                                 4                          3
+--R           (- 6c - 2b + 2a)cos(x)  + (- 20c - 8b + 4a)cos(x)
+--R         + 
+--R                              2
+--R           (- 24c - 12b)cos(x)  + (- 12c - 8b - 4a)cos(x) - 2c - 2b - 2a
 --R      *
---R         ROOT
---R                       3        2      2  2           2     3       4     2 2
---R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
---R               *
---R                  ROOT
---R                     -
---R                           2
---R                          b
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R              + 
---R                    2            2
---R                - 4c  - 4a c + 2b
---R           /
---R                  3       2     2  2          2     3      4    2 2
---R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
+--R             x 2
+--R         tan(-)
+--R             2
+--R     + 
+--R                         4
+--R       (c + 3b + a)sin(x)
+--R     + 
+--R                            2                                         2
+--R       ((6c + 4b + 2a)cos(x)  + (10c + 6b + 2a)cos(x) + 4c + 2b)sin(x)
+--R     + 
+--R                        4                       3
+--R       (c + b + a)cos(x)  + (2c + 2b + 2a)cos(x)  + (- 2c - 2b - 2a)cos(x) - c
+--R     + 
+--R       - b - a
+--R  /
+--R             2                   2           2       4
+--R           (c  + (- 2b + 2a)c + b  - 2a b + a )sin(x)
+--R         + 
+--R                    2                   2       2
+--R               (- 2c  + 2b c - 2a b + 2a )cos(x)
+--R             + 
+--R                    2                   2            2                   2
+--R               (- 4c  + 4b c - 4a b + 4a )cos(x) - 2c  + 2b c - 2a b + 2a
+--R          *
+--R                   2
+--R             sin(x)
+--R         + 
+--R             2           2    2       4      2            2     2       3
+--R           (c  + 2a c - b  + a )cos(x)  + (4c  + 8a c - 4b  + 4a )cos(x)
+--R         + 
+--R              2             2     2       2      2            2     2
+--R           (6c  + 12a c - 6b  + 6a )cos(x)  + (4c  + 8a c - 4b  + 4a )cos(x)
+--R         + 
+--R            2           2    2
+--R           c  + 2a c - b  + a
 --R      *
---R         log
---R                                4        2             2  3
---R                            8a c  + (- 2b  + 4a b + 16a )c
---R                          + 
---R                                3        2     2      3  2
---R                            (- b  - 12a b  + 8a b + 8a )c
---R                          + 
---R                               4       3     2 2     3       5    2 3
---R                            (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
---R                       *
---R                          cos(x)
---R                      + 
---R                            4        2             2  3
---R                        8a c  + (- 2b  + 4a b + 16a )c
---R                      + 
---R                            3        2     2      3  2
---R                        (- b  - 12a b  + 8a b + 8a )c
---R                      + 
---R                           4       3     2 2     3       5    2 3
---R                        (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
---R                   *
---R                      ROOT
---R                         -
---R                               2
---R                              b
---R                           /
---R                                    5       2      2  4           2      3  3
---R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                              + 
---R                                   4      2 2      4  2
---R                                (2b  - 22a b  + 16a )c
---R                              + 
---R                                     4      3 2     5      6     2 4    4 2
---R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                  + 
---R                               3                    3
---R                    (4a b c - b )cos(x) + 4a b c - b
---R               *
---R                  ROOT
---R                                 3        2      2  2           2     3       4
---R                             8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
---R                           + 
---R                                 2 2
---R                             - 2a b
---R                        *
---R                           ROOT
---R                              -
---R                                    2
---R                                   b
---R                                /
---R                                         5       2      2  4
---R                                     4a c  + (- b  + 16a )c
---R                                   + 
---R                                             2      3  3
---R                                     (- 12a b  + 24a )c
---R                                   + 
---R                                        4      2 2      4  2
---R                                     (2b  - 22a b  + 16a )c
---R                                   + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                       + 
---R                             2            2
---R                         - 4c  - 4a c + 2b
---R                    /
---R                           3       2     2  2          2     3      4    2 2
---R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R              + 
---R                4b c sin(x)
---R           /
---R              cos(x) + 1
+--R             x 4
+--R         tan(-)
+--R             2
+--R     + 
+--R                2                   2       4
+--R           (- 2c  + 2b c - 2a b + 2a )sin(x)
+--R         + 
+--R                  2            2       2      2             2            2
+--R               (4c  - 8a c + 4a )cos(x)  + (8c  - 16a c + 8a )cos(x) + 4c
+--R             + 
+--R                          2
+--R               - 8a c + 4a
+--R          *
+--R                   2
+--R             sin(x)
+--R         + 
+--R                2                   2       4
+--R           (- 2c  - 2b c + 2a b + 2a )cos(x)
+--R         + 
+--R                2                   2       3
+--R           (- 8c  - 8b c + 8a b + 8a )cos(x)
+--R         + 
+--R                 2                      2       2
+--R           (- 12c  - 12b c + 12a b + 12a )cos(x)
+--R         + 
+--R                2                   2            2                   2
+--R           (- 8c  - 8b c + 8a b + 8a )cos(x) - 2c  - 2b c + 2a b + 2a
+--R      *
+--R             x 2
+--R         tan(-)
+--R             2
+--R     + 
+--R         2           2    2       4
+--R       (c  + 2a c - b  + a )sin(x)
+--R     + 
+--R                2                   2       2
+--R           (- 2c  - 2b c + 2a b + 2a )cos(x)
+--R         + 
+--R                2                   2            2                   2
+--R           (- 4c  - 4b c + 4a b + 4a )cos(x) - 2c  - 2b c + 2a b + 2a
+--R      *
+--R               2
+--R         sin(x)
+--R     + 
+--R         2                 2           2       4
+--R       (c  + (2b + 2a)c + b  + 2a b + a )cos(x)
+--R     + 
+--R          2                  2            2       3
+--R       (4c  + (8b + 8a)c + 4b  + 8a b + 4a )cos(x)
+--R     + 
+--R          2                    2             2       2
+--R       (6c  + (12b + 12a)c + 6b  + 12a b + 6a )cos(x)
+--R     + 
+--R          2                  2            2           2                 2
+--R       (4c  + (8b + 8a)c + 4b  + 8a b + 4a )cos(x) + c  + (2b + 2a)c + b  + 2a b
+--R     + 
+--R        2
+--R       a
+--R                                                    Type: Expression(Integer)
+--E 356
+
+)clear all
+
+
+--S 357 of 526
+t0866:= cos(x)/(a+b*cos(x)+c*cos(x)^2)
+--R 
+--R
+--R                 cos(x)
+--R   (1)  ------------------------
+--R                2
+--R        c cos(x)  + b cos(x) + a
+--R                                                    Type: Expression(Integer)
+--E 357
+
+--S 358 of 526
+r0866:= -2^(1/2)*(1-b/(b^2-4*a*c)^(1/2))*_
+        atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan(1/2*x)*_
+        2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/_
+        (-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)-_
+        2*(1+b/(b^2-4*a*c)^(1/2))*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*_
+        tan(1/2*x)/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/_
+        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
+--R 
+--R
+--R   (2)
+--R                                  +---------------------------------+
+--R              +-----------+       |  +-----------+
+--R              |          2        |  |          2      2           2
+--R         (- 2\|- 4a c + b   - 2b)\|b\|- 4a c + b   + 2c  + 2a c - b
+--R      *
+--R                       +-----------+
+--R                    x  |          2                  x
+--R                tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
+--R                    2                                2
+--R         atanh(----------------------------------------)
+--R                +-------------------------------------+
+--R                |     +-----------+
+--R                |     |          2      2            2
+--R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
 --R     + 
+--R                                      +-------------------------------------+
+--R               +-----------+          |     +-----------+
+--R           +-+ |          2      +-+  |     |          2      2            2
+--R         (\|2 \|- 4a c + b   - b\|2 )\|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R      *
+--R                          +-----------+
+--R                +-+    x  |          2             +-+    x
+--R               \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
+--R                       2                                  2
+--R         atanh(---------------------------------------------)
+--R                     +---------------------------------+
+--R                     |  +-----------+
+--R                     |  |          2      2           2
+--R                   2\|b\|- 4a c + b   + 2c  + 2a c - b
+--R  /
+--R                      +-------------------------------------+
+--R        +-----------+ |     +-----------+
+--R        |          2  |     |          2      2            2
+--R       \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R    *
+--R        +---------------------------------+
+--R        |  +-----------+
+--R        |  |          2      2           2
+--R       \|b\|- 4a c + b   + 2c  + 2a c - b
+--R                                                    Type: Expression(Integer)
+--E 358
+
+--S 359 of 526
+a0866:= integrate(t0866,x)
+--R 
+--R
+--R   (3)
 --R       -
---R             +-----------+
---R             |          2
---R            \|- 4a c + b
---R         *
 --R            ROOT
---R                            3      2      2  2         2     3       4     2 2
---R                     (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
+--R                             3        2      2  2           2     3       4
+--R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
+--R                       + 
+--R                             2 2
+--R                         - 2a b
 --R                  *
 --R                     ROOT
 --R                        -
@@ -36161,42 +35905,32 @@ m0865:= a0865-r0865
 --R                                  6     2 4    4 2
 --R                               - b  + 2a b  - a b
 --R                 + 
---R                       2            2
---R                   - 4c  - 4a c + 2b
+--R                            2     2
+--R                   4a c - 2b  + 4a
 --R              /
 --R                     3       2     2  2          2     3      4    2 2
 --R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R         *
---R             +-------------------------------------+
---R             |     +-----------+
---R             |     |          2      2            2
---R            \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R         *
---R             +---------------------------------+
---R             |  +-----------+
---R             |  |          2      2           2
---R            \|b\|- 4a c + b   + 2c  + 2a c - b
---R         *
 --R            log
---R                                   4        2             2  3
---R                               8a c  + (- 2b  + 4a b + 16a )c
+--R                                         2  3       3       2     2       3  2
+--R                               (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
 --R                             + 
---R                                   3        2     2      3  2
---R                               (- b  - 12a b  + 8a b + 8a )c
+--R                                      3      2 2     3      4      5       4
+--R                               (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b
 --R                             + 
---R                                  4       3     2 2     3       5    2 3
---R                               (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
+--R                                  2 3     3 2
+--R                               - a b  - 2a b
 --R                          *
 --R                             cos(x)
 --R                         + 
---R                               4        2             2  3
---R                           8a c  + (- 2b  + 4a b + 16a )c
+--R                                     2  3       3       2     2       3  2
+--R                           (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
 --R                         + 
---R                               3        2     2      3  2
---R                           (- b  - 12a b  + 8a b + 8a )c
+--R                                  3      2 2     3      4      5       4    2 3
+--R                           (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
 --R                         + 
---R                              4       3     2 2     3       5    2 3
---R                           (2b  - 6a b  - 2a b  + 4a b)c + b  - a b
+--R                               3 2
+--R                           - 2a b
 --R                      *
 --R                         ROOT
 --R                            -
@@ -36216,11 +35950,11 @@ m0865:= a0865-r0865
 --R                       (- 4a b c + b )cos(x) - 4a b c + b
 --R                  *
 --R                     ROOT
---R                                      3      2      2  2         2     3       4
---R                                - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
+--R                                    3        2      2  2           2     3
+--R                                8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
 --R                              + 
---R                                  2 2
---R                                2a b
+--R                                  4     2 2
+--R                                2b  - 2a b
 --R                           *
 --R                              ROOT
 --R                                 -
@@ -36242,20 +35976,16 @@ m0865:= a0865-r0865
 --R                                           4 2
 --R                                        - a b
 --R                          + 
---R                                2            2
---R                            - 4c  - 4a c + 2b
+--R                                     2     2
+--R                            4a c - 2b  + 4a
 --R                       /
 --R                              3       2     2  2          2     3      4    2 2
 --R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R                 + 
---R                   4b c sin(x)
+--R                   4a b sin(x)
 --R              /
 --R                 cos(x) + 1
 --R     + 
---R          +-----------+
---R          |          2
---R         \|- 4a c + b
---R      *
 --R         ROOT
 --R                         3      2      2  2         2     3       4     2 2
 --R                  (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
@@ -36274,42 +36004,32 @@ m0865:= a0865-r0865
 --R                               6     2 4    4 2
 --R                            - b  + 2a b  - a b
 --R              + 
---R                    2            2
---R                - 4c  - 4a c + 2b
+--R                         2     2
+--R                4a c - 2b  + 4a
 --R           /
 --R                  3       2     2  2          2     3      4    2 2
 --R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R      *
---R          +-------------------------------------+
---R          |     +-----------+
---R          |     |          2      2            2
---R         \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R      *
---R          +---------------------------------+
---R          |  +-----------+
---R          |  |          2      2           2
---R         \|b\|- 4a c + b   + 2c  + 2a c - b
---R      *
 --R         log
---R                                  4      2             2  3
---R                            - 8a c  + (2b  - 4a b - 16a )c
+--R                                      2  3       3       2     2       3  2
+--R                            (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
 --R                          + 
---R                              3        2     2      3  2
---R                            (b  + 12a b  - 8a b - 8a )c
+--R                                   3      2 2     3      4      5       4    2 3
+--R                            (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
 --R                          + 
---R                                 4       3     2 2     3       5    2 3
---R                            (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                                3 2
+--R                            - 2a b
 --R                       *
 --R                          cos(x)
 --R                      + 
---R                              4      2             2  3
---R                        - 8a c  + (2b  - 4a b - 16a )c
+--R                                  2  3       3       2     2       3  2
+--R                        (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
 --R                      + 
---R                          3        2     2      3  2
---R                        (b  + 12a b  - 8a b - 8a )c
+--R                               3      2 2     3      4      5       4    2 3
+--R                        (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
 --R                      + 
---R                             4       3     2 2     3       5    2 3
---R                        (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                            3 2
+--R                        - 2a b
 --R                   *
 --R                      ROOT
 --R                         -
@@ -36352,33 +36072,20 @@ m0865:= a0865-r0865
 --R                                        4      3 2     5      6     2 4    4 2
 --R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
 --R                       + 
---R                             2            2
---R                         - 4c  - 4a c + 2b
+--R                                  2     2
+--R                         4a c - 2b  + 4a
 --R                    /
 --R                           3       2     2  2          2     3      4    2 2
 --R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R              + 
---R                4b c sin(x)
+--R                4a b sin(x)
 --R           /
 --R              cos(x) + 1
 --R     + 
 --R       -
---R                           +-------------------------------------+
---R             +-----------+ |     +-----------+
---R             |          2  |     |          2      2            2
---R            \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R         *
---R             +---------------------------------+
---R             |  +-----------+
---R             |  |          2      2           2
---R            \|b\|- 4a c + b   + 2c  + 2a c - b
---R         *
 --R            ROOT
---R                             3        2      2  2           2     3       4
---R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
---R                       + 
---R                             2 2
---R                         - 2a b
+--R                            3      2      2  2         2     3       4     2 2
+--R                     (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
 --R                  *
 --R                     ROOT
 --R                        -
@@ -36394,32 +36101,32 @@ m0865:= a0865-r0865
 --R                                  6     2 4    4 2
 --R                               - b  + 2a b  - a b
 --R                 + 
---R                       2            2
---R                   - 4c  - 4a c + 2b
+--R                            2     2
+--R                   4a c - 2b  + 4a
 --R              /
 --R                     3       2     2  2          2     3      4    2 2
 --R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R         *
 --R            log
---R                                     4      2             2  3
---R                               - 8a c  + (2b  - 4a b - 16a )c
+--R                                           2  3     3       2     2       3  2
+--R                               (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
 --R                             + 
---R                                 3        2     2      3  2
---R                               (b  + 12a b  - 8a b - 8a )c
+--R                                    3      2 2     3      4      5       4
+--R                               (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b
 --R                             + 
---R                                    4       3     2 2     3       5    2 3
---R                               (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                                2 3     3 2
+--R                               a b  + 2a b
 --R                          *
 --R                             cos(x)
 --R                         + 
---R                                 4      2             2  3
---R                           - 8a c  + (2b  - 4a b - 16a )c
+--R                                       2  3     3       2     2       3  2
+--R                           (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
 --R                         + 
---R                             3        2     2      3  2
---R                           (b  + 12a b  - 8a b - 8a )c
+--R                                3      2 2     3      4      5       4    2 3
+--R                           (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b
 --R                         + 
---R                                4       3     2 2     3       5    2 3
---R                           (- 2b  + 6a b  + 2a b  - 4a b)c - b  + a b
+--R                             3 2
+--R                           2a b
 --R                      *
 --R                         ROOT
 --R                            -
@@ -36439,11 +36146,11 @@ m0865:= a0865-r0865
 --R                       (- 4a b c + b )cos(x) - 4a b c + b
 --R                  *
 --R                     ROOT
---R                                    3        2      2  2           2     3
---R                                8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
+--R                                      3      2      2  2         2     3       4
+--R                                - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
 --R                              + 
---R                                  4     2 2
---R                                2b  - 2a b
+--R                                  2 2
+--R                                2a b
 --R                           *
 --R                              ROOT
 --R                                 -
@@ -36465,269 +36172,118 @@ m0865:= a0865-r0865
 --R                                           4 2
 --R                                        - a b
 --R                          + 
---R                                2            2
---R                            - 4c  - 4a c + 2b
+--R                                     2     2
+--R                            4a c - 2b  + 4a
 --R                       /
 --R                              3       2     2  2          2     3      4    2 2
 --R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R                 + 
---R                   4b c sin(x)
+--R                   4a b sin(x)
 --R              /
 --R                 cos(x) + 1
 --R     + 
---R       -
---R               +---------------------------------+
---R               |  +-----------+
---R               |  |          2      2           2
---R            8c\|b\|- 4a c + b   + 2c  + 2a c - b
---R         *
---R                          +-----------+
---R                       x  |          2                  x
---R                   tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
---R                       2                                2
---R            atanh(----------------------------------------)
---R                   +-------------------------------------+
---R                   |     +-----------+
---R                   |     |          2      2            2
---R                  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R     + 
---R       -
---R                   +-------------------------------------+
---R                   |     +-----------+
---R               +-+ |     |          2      2            2
---R            4c\|2 \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R         *
---R                             +-----------+
---R                   +-+    x  |          2             +-+    x
---R                  \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
---R                          2                                  2
---R            atanh(---------------------------------------------)
---R                        +---------------------------------+
---R                        |  +-----------+
---R                        |  |          2      2           2
---R                      2\|b\|- 4a c + b   + 2c  + 2a c - b
---R  /
---R                       +-------------------------------------+
---R         +-----------+ |     +-----------+
---R         |          2  |     |          2      2            2
---R       2\|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R    *
---R        +---------------------------------+
---R        |  +-----------+
---R        |  |          2      2           2
---R       \|b\|- 4a c + b   + 2c  + 2a c - b
---R                                                    Type: Expression(Integer)
---E 355
-
---S 356 of 526
-d0865:= D(m0865,x)
---R 
---R
---R   (338)
---R                            4
---R           (c - b + a)sin(x)
---R         + 
---R                                2                                         2
---R           ((6c - 4b + 2a)cos(x)  + (10c - 6b + 2a)cos(x) + 4c - 2b)sin(x)
---R         + 
---R                             4                        3             2
---R           (c - 3b + a)cos(x)  + (2c - 10b + 2a)cos(x)  - 12b cos(x)
---R         + 
---R           (- 2c - 6b - 2a)cos(x) - c - b - a
---R      *
---R             x 4
---R         tan(-)
---R             2
---R     + 
---R                                 4
---R           (- 6c + 2b + 2a)sin(x)
---R         + 
---R                             2                           2
---R           ((- 4c + 4a)cos(x)  + (- 4c + 4a)cos(x))sin(x)
---R         + 
---R                                 4                          3
---R           (- 6c - 2b + 2a)cos(x)  + (- 20c - 8b + 4a)cos(x)
---R         + 
---R                              2
---R           (- 24c - 12b)cos(x)  + (- 12c - 8b - 4a)cos(x) - 2c - 2b - 2a
---R      *
---R             x 2
---R         tan(-)
---R             2
---R     + 
---R                         4
---R       (c + 3b + a)sin(x)
---R     + 
---R                            2                                         2
---R       ((6c + 4b + 2a)cos(x)  + (10c + 6b + 2a)cos(x) + 4c + 2b)sin(x)
---R     + 
---R                        4                       3
---R       (c + b + a)cos(x)  + (2c + 2b + 2a)cos(x)  + (- 2c - 2b - 2a)cos(x) - c
---R     + 
---R       - b - a
---R  /
---R             2                   2           2       4
---R           (c  + (- 2b + 2a)c + b  - 2a b + a )sin(x)
---R         + 
---R                    2                   2       2
---R               (- 2c  + 2b c - 2a b + 2a )cos(x)
---R             + 
---R                    2                   2            2                   2
---R               (- 4c  + 4b c - 4a b + 4a )cos(x) - 2c  + 2b c - 2a b + 2a
---R          *
---R                   2
---R             sin(x)
---R         + 
---R             2           2    2       4      2            2     2       3
---R           (c  + 2a c - b  + a )cos(x)  + (4c  + 8a c - 4b  + 4a )cos(x)
---R         + 
---R              2             2     2       2      2            2     2
---R           (6c  + 12a c - 6b  + 6a )cos(x)  + (4c  + 8a c - 4b  + 4a )cos(x)
---R         + 
---R            2           2    2
---R           c  + 2a c - b  + a
---R      *
---R             x 4
---R         tan(-)
---R             2
---R     + 
---R                2                   2       4
---R           (- 2c  + 2b c - 2a b + 2a )sin(x)
---R         + 
---R                  2            2       2      2             2            2
---R               (4c  - 8a c + 4a )cos(x)  + (8c  - 16a c + 8a )cos(x) + 4c
---R             + 
---R                          2
---R               - 8a c + 4a
---R          *
---R                   2
---R             sin(x)
---R         + 
---R                2                   2       4
---R           (- 2c  - 2b c + 2a b + 2a )cos(x)
---R         + 
---R                2                   2       3
---R           (- 8c  - 8b c + 8a b + 8a )cos(x)
---R         + 
---R                 2                      2       2
---R           (- 12c  - 12b c + 12a b + 12a )cos(x)
---R         + 
---R                2                   2            2                   2
---R           (- 8c  - 8b c + 8a b + 8a )cos(x) - 2c  - 2b c + 2a b + 2a
---R      *
---R             x 2
---R         tan(-)
---R             2
---R     + 
---R         2           2    2       4
---R       (c  + 2a c - b  + a )sin(x)
---R     + 
---R                2                   2       2
---R           (- 2c  - 2b c + 2a b + 2a )cos(x)
---R         + 
---R                2                   2            2                   2
---R           (- 4c  - 4b c + 4a b + 4a )cos(x) - 2c  - 2b c + 2a b + 2a
---R      *
---R               2
---R         sin(x)
---R     + 
---R         2                 2           2       4
---R       (c  + (2b + 2a)c + b  + 2a b + a )cos(x)
---R     + 
---R          2                  2            2       3
---R       (4c  + (8b + 8a)c + 4b  + 8a b + 4a )cos(x)
---R     + 
---R          2                    2             2       2
---R       (6c  + (12b + 12a)c + 6b  + 12a b + 6a )cos(x)
---R     + 
---R          2                  2            2           2                 2
---R       (4c  + (8b + 8a)c + 4b  + 8a b + 4a )cos(x) + c  + (2b + 2a)c + b  + 2a b
---R     + 
---R        2
---R       a
---R                                                    Type: Expression(Integer)
---E 356
-
---S 357 of 526
-t0866:= cos(x)/(a+b*cos(x)+c*cos(x)^2)
---R 
---R
---R                   cos(x)
---R   (339)  ------------------------
---R                  2
---R          c cos(x)  + b cos(x) + a
---R                                                    Type: Expression(Integer)
---E 357
-
---S 358 of 526
-r0866:= -2^(1/2)*(1-b/(b^2-4*a*c)^(1/2))*_
-        atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan(1/2*x)*_
-        2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/_
-        (-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)-_
-        2*(1+b/(b^2-4*a*c)^(1/2))*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*_
-        tan(1/2*x)/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/_
-        (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
---R 
---R
---R   (340)
---R                                  +---------------------------------+
---R              +-----------+       |  +-----------+
---R              |          2        |  |          2      2           2
---R         (- 2\|- 4a c + b   - 2b)\|b\|- 4a c + b   + 2c  + 2a c - b
---R      *
---R                       +-----------+
---R                    x  |          2                  x
---R                tan(-)\|- 4a c + b   + (- 2c + b)tan(-)
---R                    2                                2
---R         atanh(----------------------------------------)
---R                +-------------------------------------+
---R                |     +-----------+
---R                |     |          2      2            2
---R               \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R     + 
---R                                      +-------------------------------------+
---R               +-----------+          |     +-----------+
---R           +-+ |          2      +-+  |     |          2      2            2
---R         (\|2 \|- 4a c + b   - b\|2 )\|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
+--R         ROOT
+--R                       3        2      2  2           2     3       4     2 2
+--R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
+--R               *
+--R                  ROOT
+--R                     -
+--R                           2
+--R                          b
+--R                       /
+--R                                5       2      2  4           2      3  3
+--R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                          + 
+--R                               4      2 2      4  2        4      3 2     5
+--R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
+--R                          + 
+--R                               6     2 4    4 2
+--R                            - b  + 2a b  - a b
+--R              + 
+--R                         2     2
+--R                4a c - 2b  + 4a
+--R           /
+--R                  3       2     2  2          2     3      4    2 2
+--R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
 --R      *
---R                          +-----------+
---R                +-+    x  |          2             +-+    x
---R               \|2 tan(-)\|- 4a c + b   + (2c - b)\|2 tan(-)
---R                       2                                  2
---R         atanh(---------------------------------------------)
---R                     +---------------------------------+
---R                     |  +-----------+
---R                     |  |          2      2           2
---R                   2\|b\|- 4a c + b   + 2c  + 2a c - b
+--R         log
+--R                                        2  3     3       2     2       3  2
+--R                            (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
+--R                          + 
+--R                                 3      2 2     3      4      5       4    2 3
+--R                            (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b
+--R                          + 
+--R                              3 2
+--R                            2a b
+--R                       *
+--R                          cos(x)
+--R                      + 
+--R                                    2  3     3       2     2       3  2
+--R                        (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
+--R                      + 
+--R                           3      2 2     3      4      5       4    2 3     3 2
+--R                      (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b  + 2a b
+--R                   *
+--R                      ROOT
+--R                         -
+--R                               2
+--R                              b
+--R                           /
+--R                                    5       2      2  4           2      3  3
+--R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
+--R                              + 
+--R                                   4      2 2      4  2
+--R                                (2b  - 22a b  + 16a )c
+--R                              + 
+--R                                     4      3 2     5      6     2 4    4 2
+--R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
+--R                  + 
+--R                               3                    3
+--R                    (4a b c - b )cos(x) + 4a b c - b
+--R               *
+--R                  ROOT
+--R                                 3        2      2  2           2     3       4
+--R                             8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
+--R                           + 
+--R                                 2 2
+--R                             - 2a b
+--R                        *
+--R                           ROOT
+--R                              -
+--R                                    2
+--R                                   b
+--R                                /
+--R                                         5       2      2  4
+--R                                     4a c  + (- b  + 16a )c
+--R                                   + 
+--R                                             2      3  3
+--R                                     (- 12a b  + 24a )c
+--R                                   + 
+--R                                        4      2 2      4  2
+--R                                     (2b  - 22a b  + 16a )c
+--R                                   + 
+--R                                        4      3 2     5      6     2 4    4 2
+--R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
+--R                       + 
+--R                                  2     2
+--R                         4a c - 2b  + 4a
+--R                    /
+--R                           3       2     2  2          2     3      4    2 2
+--R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
+--R              + 
+--R                4a b sin(x)
+--R           /
+--R              cos(x) + 1
 --R  /
---R                      +-------------------------------------+
---R        +-----------+ |     +-----------+
---R        |          2  |     |          2      2            2
---R       \|- 4a c + b  \|- 2b\|- 4a c + b   + 4c  + 4a c - 2b
---R    *
---R        +---------------------------------+
---R        |  +-----------+
---R        |  |          2      2           2
---R       \|b\|- 4a c + b   + 2c  + 2a c - b
---R                                                    Type: Expression(Integer)
---E 358
-
---S 359 of 526
-a0866:= integrate(t0866,x)
---R 
---R 
---R   >> Error detected within library code:
---R   Table construction failed in MLIFT
---R
---R   Continuing to read the file...
---R
+--R     2
+--R                                         Type: Union(Expression(Integer),...)
 --E 359
 
 --S 360 of 526
 m0866:= a0866-r0866
 --R 
 --R
---R   (341)
+--R   (4)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -37218,7 +36774,7 @@ m0866:= a0866-r0866
 d0866:= D(m0866,x)
 --R 
 --R
---R   (342)
+--R   (5)
 --R                              4
 --R           (- c + b - a)sin(x)
 --R         + 
@@ -37339,15 +36895,18 @@ d0866:= D(m0866,x)
 --R                                                    Type: Expression(Integer)
 --E 361
 
+)clear all
+
+
 --S 362 of 526
 t0867:= cos(x)^2/(a+b*cos(x)+c*cos(x)^2)
 --R 
 --R
---R                         2
---R                   cos(x)
---R   (343)  ------------------------
---R                  2
---R          c cos(x)  + b cos(x) + a
+--R                       2
+--R                 cos(x)
+--R   (1)  ------------------------
+--R                2
+--R        c cos(x)  + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 362
 
@@ -37361,7 +36920,7 @@ r0867:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (344)
+--R   (2)
 --R                                         +---------------------------------+
 --R             +-----------+               |  +-----------+
 --R             |          2             2  |  |          2      2           2
@@ -37422,7 +36981,7 @@ r0867:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*_
 a0867:= integrate(t0867,x)
 --R 
 --R
---R   (345)
+--R   (3)
 --R         c
 --R      *
 --R         ROOT
@@ -37923,7 +37482,7 @@ a0867:= integrate(t0867,x)
 m0867:= a0867-r0867
 --R 
 --R
---R   (346)
+--R   (4)
 --R                         +-------------------------------------+
 --R           +-----------+ |     +-----------+
 --R           |          2  |     |          2      2            2
@@ -38504,7 +38063,7 @@ m0867:= a0867-r0867
 d0867:= D(m0867,x)
 --R 
 --R
---R   (347)
+--R   (5)
 --R                        2           2       4
 --R           ((b - a)c - b  + 2a b - a )sin(x)
 --R         + 
@@ -38663,15 +38222,18 @@ d0867:= D(m0867,x)
 --R                                                    Type: Expression(Integer)
 --E 366
 
+)clear all
+
+
 --S 367 of 526
 t0868:= cos(x)^3/(a+b*cos(x)+c*cos(x)^2)
 --R 
 --R
---R                         3
---R                   cos(x)
---R   (348)  ------------------------
---R                  2
---R          c cos(x)  + b cos(x) + a
+--R                       3
+--R                 cos(x)
+--R   (1)  ------------------------
+--R                2
+--R        c cos(x)  + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 367
 
@@ -38685,7 +38247,7 @@ r0868:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)+sin(x)/c
 --R 
 --R
---R   (349)
+--R   (2)
 --R                       +-----------+
 --R                    2  |          2               3
 --R         ((2a c - 2b )\|- 4a c + b   + 6a b c - 2b )
@@ -38750,7 +38312,7 @@ r0868:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*_
 a0868:= integrate(t0868,x)
 --R 
 --R
---R   (350)
+--R   (3)
 --R          2
 --R         c
 --R      *
@@ -39388,7 +38950,7 @@ a0868:= integrate(t0868,x)
 m0868:= a0868-r0868
 --R 
 --R
---R   (351)
+--R   (4)
 --R                          +-------------------------------------+
 --R            +-----------+ |     +-----------+
 --R          2 |          2  |     |          2      2            2
@@ -40105,7 +39667,7 @@ m0868:= a0868-r0868
 d0868:= D(m0868,x)
 --R 
 --R
---R   (352)
+--R   (5)
 --R               2       2    2      3       2    2        4
 --R           (a c  + (- b  + a )c + b  - 2a b  + a b)sin(x)
 --R         + 
@@ -40289,14 +39851,17 @@ d0868:= D(m0868,x)
 --R                                                    Type: Expression(Integer)
 --E 371
 
+)clear all
+
+
 --S 372 of 526
 t0869:= (d+e*cos(x))/(a+b*cos(x)+c*cos(x)^2)
 --R 
 --R
---R                e cos(x) + d
---R   (353)  ------------------------
---R                  2
---R          c cos(x)  + b cos(x) + a
+--R              e cos(x) + d
+--R   (1)  ------------------------
+--R                2
+--R        c cos(x)  + b cos(x) + a
 --R                                                    Type: Expression(Integer)
 --E 372
 
@@ -40310,7 +39875,7 @@ r0869:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
         (4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (354)
+--R   (2)
 --R                                            +---------------------------------+
 --R               +-----------+                |  +-----------+
 --R               |          2                 |  |          2      2           2
@@ -40361,7 +39926,7 @@ r0869:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*_
 a0869:= integrate(t0869,x)
 --R 
 --R
---R   (355)
+--R   (3)
 --R       -
 --R            ROOT
 --R                             3        2      2  2           2     3       4
@@ -41051,7 +40616,7 @@ a0869:= integrate(t0869,x)
 m0869:= a0869-r0869
 --R 
 --R
---R   (356)
+--R   (4)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -41823,7 +41388,7 @@ m0869:= a0869-r0869
 d0869:= D(m0869,x)
 --R 
 --R
---R   (357)
+--R   (5)
 --R                                                4
 --R           ((- c + b - a)e + (c - b + a)d)sin(x)
 --R         + 
@@ -41983,14 +41548,17 @@ d0869:= D(m0869,x)
 --R                                                    Type: Expression(Integer)
 --E 376
 
+)clear all
+
+
 --S 377 of 526
 t0870:= cos(x)/(2-3*sin(x)+sin(x)^2)
 --R 
 --R
---R                  cos(x)
---R   (358)  ---------------------
---R                2
---R          sin(x)  - 3sin(x) + 2
+--R                cos(x)
+--R   (1)  ---------------------
+--R              2
+--R        sin(x)  - 3sin(x) + 2
 --R                                                    Type: Expression(Integer)
 --E 377
 
@@ -41998,7 +41566,7 @@ t0870:= cos(x)/(2-3*sin(x)+sin(x)^2)
 r0870:= -2*atanh(-3+2*sin(x))
 --R 
 --R
---R   (359)  - 2atanh(2sin(x) - 3)
+--R   (2)  - 2atanh(2sin(x) - 3)
 --R                                                    Type: Expression(Integer)
 --E 378
 
@@ -42006,9 +41574,9 @@ r0870:= -2*atanh(-3+2*sin(x))
 a0870:= integrate(t0870,x)
 --R 
 --R
---R                 sin(x) - cos(x) - 1        - sin(x) + 2
---R   (360)  - 2log(-------------------) + log(------------)
---R                      cos(x) + 1             cos(x) + 1
+--R               sin(x) - cos(x) - 1        - sin(x) + 2
+--R   (3)  - 2log(-------------------) + log(------------)
+--R                    cos(x) + 1             cos(x) + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 379
 
@@ -42016,10 +41584,9 @@ a0870:= integrate(t0870,x)
 m0870:= a0870-r0870
 --R 
 --R
---R   (361)
---R          sin(x) - cos(x) - 1        - sin(x) + 2
---R   - 2log(-------------------) + log(------------) + 2atanh(2sin(x) - 3)
---R               cos(x) + 1             cos(x) + 1
+--R               sin(x) - cos(x) - 1        - sin(x) + 2
+--R   (4)  - 2log(-------------------) + log(------------) + 2atanh(2sin(x) - 3)
+--R                    cos(x) + 1             cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 380
 
@@ -42027,7 +41594,7 @@ m0870:= a0870-r0870
 d0870:= D(m0870,x)
 --R 
 --R
---R   (362)
+--R   (5)
 --R                3               2            2                    3
 --R        - sin(x)  - cos(x)sin(x)  + (- cos(x)  + 1)sin(x) - cos(x)  + cos(x)
 --R   -----------------------------------------------------------------------------
@@ -42036,15 +41603,18 @@ d0870:= D(m0870,x)
 --R                                                    Type: Expression(Integer)
 --E 381
 
+)clear all
+
+
 --S 382 of 526
 t0871:= csc(x)*(cos(x)+sin(x))^(1/2)/cos(x)^(3/2)
 --R 
 --R
---R                 +---------------+
---R          csc(x)\|sin(x) + cos(x)
---R   (363)  ------------------------
---R                      +------+
---R               cos(x)\|cos(x)
+--R               +---------------+
+--R        csc(x)\|sin(x) + cos(x)
+--R   (1)  ------------------------
+--R                    +------+
+--R             cos(x)\|cos(x)
 --R                                                    Type: Expression(Integer)
 --E 382
 
@@ -42053,7 +41623,7 @@ r0871:= -log(sin(x))+2*log(-cos(x)^(1/2)+(cos(x)+sin(x))^(1/2))+_
         2*(cos(x)+sin(x))^(1/2)/cos(x)^(1/2)
 --R 
 --R
---R   (364)
+--R   (2)
 --R         +------+     +---------------+    +------+      +---------------+
 --R       2\|cos(x) log(\|sin(x) + cos(x)  - \|cos(x) ) + 2\|sin(x) + cos(x)
 --R     + 
@@ -42080,7 +41650,7 @@ a0871:= integrate(t0871,x)
 m0871:= a0871-r0871
 --R 
 --R
---R   (365)
+--R   (3)
 --R           +------+     +---------------+    +------+      +---------------+
 --R       - 2\|cos(x) log(\|sin(x) + cos(x)  - \|cos(x) ) - 2\|sin(x) + cos(x)
 --R     + 
@@ -42096,7 +41666,7 @@ m0871:= a0871-r0871
 d0871:= D(m0871,x)
 --R 
 --R
---R   (366)
+--R   (4)
 --R              2         2  +------+ +---------------+         3               2
 --R       (sin(x)  + cos(x) )\|cos(x) \|sin(x) + cos(x)  - sin(x)  - cos(x)sin(x)
 --R     + 
@@ -42108,14 +41678,17 @@ d0871:= D(m0871,x)
 --R                                                    Type: Expression(Integer)
 --E 386
 
+)clear all
+
+
 --S 387 of 526
 t0872:= (cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 --R 
 --R
---R          sin(x) + cos(x)
---R   (367)  ---------------
---R            +-----------+
---R           \|sin(2x) + 1
+--R        sin(x) + cos(x)
+--R   (1)  ---------------
+--R          +-----------+
+--R         \|sin(2x) + 1
 --R                                                    Type: Expression(Integer)
 --E 387
 
@@ -42123,10 +41696,10 @@ t0872:= (cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 r0872:= x*(cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 --R 
 --R
---R          x sin(x) + x cos(x)
---R   (368)  -------------------
---R              +-----------+
---R             \|sin(2x) + 1
+--R        x sin(x) + x cos(x)
+--R   (2)  -------------------
+--R            +-----------+
+--R           \|sin(2x) + 1
 --R                                                    Type: Expression(Integer)
 --E 388
 
@@ -42134,7 +41707,7 @@ r0872:= x*(cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 a0872:= integrate(t0872,x)
 --R 
 --R
---R   (369)  - x
+--R   (3)  - x
 --R                                         Type: Union(Expression(Integer),...)
 --E 389
 
@@ -42142,11 +41715,11 @@ a0872:= integrate(t0872,x)
 m0872:= a0872-r0872
 --R 
 --R
---R              +-----------+
---R          - x\|sin(2x) + 1  - x sin(x) - x cos(x)
---R   (370)  ---------------------------------------
---R                        +-----------+
---R                       \|sin(2x) + 1
+--R            +-----------+
+--R        - x\|sin(2x) + 1  - x sin(x) - x cos(x)
+--R   (4)  ---------------------------------------
+--R                      +-----------+
+--R                     \|sin(2x) + 1
 --R                                                    Type: Expression(Integer)
 --E 390
 
@@ -42154,7 +41727,7 @@ m0872:= a0872-r0872
 d0872:= D(m0872,x)
 --R 
 --R
---R   (371)
+--R   (5)
 --R                       +-----------+
 --R       (- sin(2x) - 1)\|sin(2x) + 1  + ((x - 1)sin(x) + (- x - 1)cos(x))sin(2x)
 --R     + 
@@ -42165,12 +41738,15 @@ d0872:= D(m0872,x)
 --R                                                    Type: Expression(Integer)
 --E 391
 
+)clear all
+
+
 --S 392 of 526
 t0873:= csc(x)^(1/2)*(x*cos(x)-4*sec(x)*tan(x))
 --R 
 --R
---R                                       +------+
---R   (372)  (- 4sec(x)tan(x) + x cos(x))\|csc(x)
+--R                                     +------+
+--R   (1)  (- 4sec(x)tan(x) + x cos(x))\|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 392
 
@@ -42178,10 +41754,10 @@ t0873:= csc(x)^(1/2)*(x*cos(x)-4*sec(x)*tan(x))
 r0873:= 2*x/csc(x)^(1/2)-4*sec(x)/csc(x)^(3/2)
 --R 
 --R
---R          - 4sec(x) + 2x csc(x)
---R   (373)  ---------------------
---R                    +------+
---R             csc(x)\|csc(x)
+--R        - 4sec(x) + 2x csc(x)
+--R   (2)  ---------------------
+--R                  +------+
+--R           csc(x)\|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 393
 
@@ -42200,11 +41776,11 @@ a0873:= integrate(t0873,x)
 m0873:= a0873-r0873
 --R 
 --R
---R                       +------+
---R          a0873 csc(x)\|csc(x)  + 4sec(x) - 2x csc(x)
---R   (374)  -------------------------------------------
---R                               +------+
---R                        csc(x)\|csc(x)
+--R                     +------+
+--R        a0873 csc(x)\|csc(x)  + 4sec(x) - 2x csc(x)
+--R   (3)  -------------------------------------------
+--R                             +------+
+--R                      csc(x)\|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 395
 
@@ -42212,18 +41788,21 @@ m0873:= a0873-r0873
 d0873:= D(m0873,x)
 --R 
 --R
---R          4sec(x)tan(x) + 6cot(x)sec(x) + (- x cot(x) - 2)csc(x)
---R   (375)  ------------------------------------------------------
---R                                     +------+
---R                              csc(x)\|csc(x)
+--R        4sec(x)tan(x) + 6cot(x)sec(x) + (- x cot(x) - 2)csc(x)
+--R   (4)  ------------------------------------------------------
+--R                                   +------+
+--R                            csc(x)\|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 396
 
+)clear all
+
+
 --S 397 of 526
 t0874:= cos(x)*(-1+csc(x)^2)^(1/2)*(1-sin(x)^2)^3
 --R 
 --R
---R   (376)
+--R   (1)
 --R                                                                +-----------+
 --R                  6                4                2           |      2
 --R   (- cos(x)sin(x)  + 3cos(x)sin(x)  - 3cos(x)sin(x)  + cos(x))\|csc(x)  - 1
@@ -42235,7 +41814,7 @@ r0874:= -1/105*(105*atanh(cos(x))-105*cos(x)-35*cos(x)^3-_
         21*cos(x)^5-15*cos(x)^7)*(cot(x)^2)^(1/2)*tan(x)
 --R 
 --R
---R   (377)
+--R   (2)
 --R         - 105tan(x)atanh(cos(x))
 --R       + 
 --R                  7           5           3
@@ -42253,11 +41832,11 @@ r0874:= -1/105*(105*atanh(cos(x))-105*cos(x)-35*cos(x)^3-_
 a0874:= integrate(t0874,x)
 --R 
 --R
---R                     sin(x)              7           5           3
---R          - 105log(----------) - 15cos(x)  - 21cos(x)  - 35cos(x)  - 105cos(x)
---R                   cos(x) + 1
---R   (378)  --------------------------------------------------------------------
---R                                           105
+--R                   sin(x)              7           5           3
+--R        - 105log(----------) - 15cos(x)  - 21cos(x)  - 35cos(x)  - 105cos(x)
+--R                 cos(x) + 1
+--R   (3)  --------------------------------------------------------------------
+--R                                         105
 --R                                         Type: Union(Expression(Integer),...)
 --E 399
 
@@ -42265,7 +41844,7 @@ a0874:= integrate(t0874,x)
 m0874:= a0874-r0874
 --R 
 --R
---R   (379)
+--R   (4)
 --R           105tan(x)atanh(cos(x))
 --R         + 
 --R                      7           5           3
@@ -42287,7 +41866,7 @@ m0874:= a0874-r0874
 d0874:= D(m0874,x)
 --R 
 --R
---R   (380)
+--R   (5)
 --R                                                                  +-------+
 --R                  8                   2            3              |      2
 --R       ((105cos(x)  - 105cos(x))sin(x)  - 105cos(x)  + 105cos(x))\|cot(x)
@@ -42333,12 +41912,15 @@ d0874:= D(m0874,x)
 --R                                                    Type: Expression(Integer)
 --E 401
 
+)clear all
+
+
 --S 402 of 526
 t0875:= cos(x)*csc(x)^(7/3)
 --R 
 --R
---R                      2 3+------+
---R   (381)  cos(x)csc(x)  \|csc(x)
+--R                    2 3+------+
+--R   (1)  cos(x)csc(x)  \|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 402
 
@@ -42346,10 +41928,10 @@ t0875:= cos(x)*csc(x)^(7/3)
 r0875:= -3/4*csc(x)^(4/3)
 --R 
 --R
---R                   3+------+
---R            3csc(x)\|csc(x)
---R   (382)  - ----------------
---R                    4
+--R                 3+------+
+--R          3csc(x)\|csc(x)
+--R   (2)  - ----------------
+--R                  4
 --R                                                    Type: Expression(Integer)
 --E 403
 
@@ -42357,14 +41939,14 @@ r0875:= -3/4*csc(x)^(4/3)
 a0875:= integrate(t0875,x)
 --R 
 --R
---R                                +-------------+
---R                  2             |       1
---R          (6cos(x)  - 3)sin(x)  |- -----------
---R                               6|        2
---R                               \|  cos(x)  - 1
---R   (383)  ------------------------------------
---R                       4           2
---R               16cos(x)  - 32cos(x)  + 16
+--R                              +-------------+
+--R                2             |       1
+--R        (6cos(x)  - 3)sin(x)  |- -----------
+--R                             6|        2
+--R                             \|  cos(x)  - 1
+--R   (3)  ------------------------------------
+--R                     4           2
+--R             16cos(x)  - 32cos(x)  + 16
 --R                                         Type: Union(Expression(Integer),...)
 --E 404
 
@@ -42372,7 +41954,7 @@ a0875:= integrate(t0875,x)
 m0875:= a0875-r0875
 --R 
 --R
---R   (384)
+--R   (4)
 --R                4           2            3+------+
 --R       (12cos(x)  - 24cos(x)  + 12)csc(x)\|csc(x)
 --R     + 
@@ -42391,7 +41973,7 @@ m0875:= a0875-r0875
 d0875:= D(m0875,x)
 --R 
 --R
---R   (385)
+--R   (5)
 --R                   3                2          5          3           3+------+2
 --R       ((- 14cos(x)  + cos(x))sin(x)  - 6cos(x)  + 9cos(x)  - 3cos(x))\|csc(x)
 --R     + 
@@ -42415,12 +41997,15 @@ d0875:= D(m0875,x)
 --R                                                    Type: Expression(Integer)
 --E 406
 
+)clear all
+
+
 --S 407 of 526
 t0876:= cos(x)*(1+csc(x))^(1/2)
 --R 
 --R
---R                 +----------+
---R   (386)  cos(x)\|csc(x) + 1
+--R               +----------+
+--R   (1)  cos(x)\|csc(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 407
 
@@ -42428,8 +42013,8 @@ t0876:= cos(x)*(1+csc(x))^(1/2)
 r0876:= atanh((1+csc(x))^(1/2))+(1+csc(x))^(1/2)*sin(x)
 --R 
 --R
---R                 +----------+           +----------+
---R   (387)  atanh(\|csc(x) + 1 ) + sin(x)\|csc(x) + 1
+--R               +----------+           +----------+
+--R   (2)  atanh(\|csc(x) + 1 ) + sin(x)\|csc(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 408
 
@@ -42437,7 +42022,7 @@ r0876:= atanh((1+csc(x))^(1/2))+(1+csc(x))^(1/2)*sin(x)
 a0876:= integrate(t0876,x)
 --R 
 --R
---R   (388)
+--R   (3)
 --R       log
 --R                            +-------------+2
 --R                            |- 4cos(x) + 4
@@ -42478,7 +42063,7 @@ a0876:= integrate(t0876,x)
 m0876:= a0876-r0876
 --R 
 --R
---R   (389)
+--R   (4)
 --R       log
 --R                            +-------------+2
 --R                            |- 4cos(x) + 4
@@ -42522,7 +42107,7 @@ m0876:= a0876-r0876
 d0876:= D(m0876,x)
 --R 
 --R
---R   (390)
+--R   (5)
 --R                                 4           3          2                     3
 --R               (cos(x) + 1)sin(x)  + (2cos(x)  + 3cos(x)  + 3cos(x) + 2)sin(x)
 --R             + 
@@ -42696,16 +42281,19 @@ d0876:= D(m0876,x)
 --R                                                    Type: Expression(Integer)
 --E 411
 
+)clear all
+
+
 --S 412 of 526
 t0877:= cos(x)^3/(sin(x)^3)^(1/2)
 --R 
 --R
---R                  3
---R            cos(x)
---R   (391)  ----------
---R           +-------+
---R           |      3
---R          \|sin(x)
+--R                3
+--R          cos(x)
+--R   (1)  ----------
+--R         +-------+
+--R         |      3
+--R        \|sin(x)
 --R                                                    Type: Expression(Integer)
 --E 412
 
@@ -42713,12 +42301,12 @@ t0877:= cos(x)^3/(sin(x)^3)^(1/2)
 r0877:= 2/3*(-4+cos(x)^2)*sin(x)/(sin(x)^3)^(1/2)
 --R 
 --R
---R                  2
---R          (2cos(x)  - 8)sin(x)
---R   (392)  --------------------
---R                 +-------+
---R                 |      3
---R               3\|sin(x)
+--R                2
+--R        (2cos(x)  - 8)sin(x)
+--R   (2)  --------------------
+--R               +-------+
+--R               |      3
+--R             3\|sin(x)
 --R                                                    Type: Expression(Integer)
 --E 413
 
@@ -42726,11 +42314,11 @@ r0877:= 2/3*(-4+cos(x)^2)*sin(x)/(sin(x)^3)^(1/2)
 a0877:= integrate(t0877,x)
 --R 
 --R
---R                    2            +------+
---R          (- 2cos(x)  + 8)sin(x)\|sin(x)
---R   (393)  -------------------------------
---R                           2
---R                    3cos(x)  - 3
+--R                  2            +------+
+--R        (- 2cos(x)  + 8)sin(x)\|sin(x)
+--R   (3)  -------------------------------
+--R                         2
+--R                  3cos(x)  - 3
 --R                                         Type: Union(Expression(Integer),...)
 --E 414
 
@@ -42738,7 +42326,7 @@ a0877:= integrate(t0877,x)
 m0877:= a0877-r0877
 --R 
 --R
---R   (394)
+--R   (4)
 --R                                       +-------+
 --R                 2            +------+ |      3
 --R       (- 2cos(x)  + 8)sin(x)\|sin(x) \|sin(x)
@@ -42756,7 +42344,7 @@ m0877:= a0877-r0877
 d0877:= D(m0877,x)
 --R 
 --R
---R   (395)
+--R   (5)
 --R                                                                     +-------+
 --R                      3             5           3                    |      3
 --R       (12cos(x)sin(x)  + (- 3cos(x)  + 15cos(x)  - 12cos(x))sin(x))\|sin(x)
@@ -42776,12 +42364,15 @@ d0877:= D(m0877,x)
 --R                                                    Type: Expression(Integer)
 --E 416
 
+)clear all
+
+
 --S 417 of 526
 t0878:= cos(x)^3*csc(x)^(1/2)
 --R 
 --R
---R                3 +------+
---R   (396)  cos(x) \|csc(x)
+--R              3 +------+
+--R   (1)  cos(x) \|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 417
 
@@ -42789,13 +42380,13 @@ t0878:= cos(x)^3*csc(x)^(1/2)
 r0878:= -2/5*(-5+sin(x)^2)/(1/sin(x))^(1/2)
 --R 
 --R
---R                   2
---R          - 2sin(x)  + 10
---R   (397)  ---------------
---R                +------+
---R                |   1
---R             5  |------
---R               \|sin(x)
+--R                 2
+--R        - 2sin(x)  + 10
+--R   (2)  ---------------
+--R              +------+
+--R              |   1
+--R           5  |------
+--R             \|sin(x)
 --R                                                    Type: Expression(Integer)
 --E 418
 
@@ -42803,13 +42394,13 @@ r0878:= -2/5*(-5+sin(x)^2)/(1/sin(x))^(1/2)
 a0878:= integrate(t0878,x)
 --R 
 --R
---R                                +-------------+
---R                  2             |       1
---R          (2cos(x)  + 8)sin(x)  |- -----------
---R                               4|        2
---R                               \|  cos(x)  - 1
---R   (398)  ------------------------------------
---R                            5
+--R                              +-------------+
+--R                2             |       1
+--R        (2cos(x)  + 8)sin(x)  |- -----------
+--R                             4|        2
+--R                             \|  cos(x)  - 1
+--R   (3)  ------------------------------------
+--R                          5
 --R                                         Type: Union(Expression(Integer),...)
 --E 419
 
@@ -42817,16 +42408,16 @@ a0878:= integrate(t0878,x)
 m0878:= a0878-r0878
 --R 
 --R
---R                                +-------------+ +------+
---R                  2             |       1       |   1            2
---R          (2cos(x)  + 8)sin(x)  |- -----------  |------ + 2sin(x)  - 10
---R                               4|        2     \|sin(x)
---R                               \|  cos(x)  - 1
---R   (399)  -------------------------------------------------------------
---R                                       +------+
---R                                       |   1
---R                                    5  |------
---R                                      \|sin(x)
+--R                              +-------------+ +------+
+--R                2             |       1       |   1            2
+--R        (2cos(x)  + 8)sin(x)  |- -----------  |------ + 2sin(x)  - 10
+--R                             4|        2     \|sin(x)
+--R                             \|  cos(x)  - 1
+--R   (4)  -------------------------------------------------------------
+--R                                     +------+
+--R                                     |   1
+--R                                  5  |------
+--R                                    \|sin(x)
 --R                                                    Type: Expression(Integer)
 --E 420
 
@@ -42834,7 +42425,7 @@ m0878:= a0878-r0878
 d0878:= D(m0878,x)
 --R 
 --R
---R   (400)
+--R   (5)
 --R                  3                 3             5          3
 --R         ((3cos(x)  - 8cos(x))sin(x)  + (- 2cos(x)  - 6cos(x)  + 8cos(x))sin(x))
 --R      *
@@ -42862,12 +42453,15 @@ d0878:= D(m0878,x)
 --R                                                    Type: Expression(Integer)
 --E 421
 
+)clear all
+
+
 --S 422 of 526
 t0879:= cos(x)^3*csc(x)^(9/2)
 --R 
 --R
---R                3      4 +------+
---R   (401)  cos(x) csc(x) \|csc(x)
+--R              3      4 +------+
+--R   (1)  cos(x) csc(x) \|csc(x)
 --R                                                    Type: Expression(Integer)
 --E 422
 
@@ -42875,10 +42469,10 @@ t0879:= cos(x)^3*csc(x)^(9/2)
 r0879:= 2/3*csc(x)^(3/2)-2/7*csc(x)^(7/2)
 --R 
 --R
---R                    3             +------+
---R          (- 6csc(x)  + 14csc(x))\|csc(x)
---R   (402)  --------------------------------
---R                         21
+--R                  3             +------+
+--R        (- 6csc(x)  + 14csc(x))\|csc(x)
+--R   (2)  --------------------------------
+--R                       21
 --R                                                    Type: Expression(Integer)
 --E 423
 
@@ -42886,14 +42480,14 @@ r0879:= 2/3*csc(x)^(3/2)-2/7*csc(x)^(7/2)
 a0879:= integrate(t0879,x)
 --R 
 --R
---R                                               +-------------+
---R                     4           2             |       1
---R          (- 14cos(x)  + 15cos(x)  - 4)sin(x)  |- -----------
---R                                              4|        2
---R                                              \|  cos(x)  - 1
---R   (403)  ---------------------------------------------------
---R                        6            4            2
---R                42cos(x)  - 126cos(x)  + 126cos(x)  - 42
+--R                                             +-------------+
+--R                   4           2             |       1
+--R        (- 14cos(x)  + 15cos(x)  - 4)sin(x)  |- -----------
+--R                                            4|        2
+--R                                            \|  cos(x)  - 1
+--R   (3)  ---------------------------------------------------
+--R                      6            4            2
+--R              42cos(x)  - 126cos(x)  + 126cos(x)  - 42
 --R                                         Type: Union(Expression(Integer),...)
 --E 424
 
@@ -42901,7 +42495,7 @@ a0879:= integrate(t0879,x)
 m0879:= a0879-r0879
 --R 
 --R
---R   (404)
+--R   (4)
 --R                    6           4           2            3
 --R           (12cos(x)  - 36cos(x)  + 36cos(x)  - 12)csc(x)
 --R         + 
@@ -42926,7 +42520,7 @@ m0879:= a0879-r0879
 d0879:= D(m0879,x)
 --R 
 --R
---R   (405)
+--R   (5)
 --R                    5           3                 2           7           5
 --R           (70cos(x)  - 23cos(x)  - 8cos(x))sin(x)  + 28cos(x)  - 58cos(x)
 --R         + 
@@ -42969,12 +42563,15 @@ d0879:= D(m0879,x)
 --R                                                    Type: Expression(Integer)
 --E 426
 
+)clear all
+
+
 --S 427 of 526
 t0880:= sec(x)^2*(a+b*tan(x))^n
 --R 
 --R
---R                2              n
---R   (406)  sec(x) (b tan(x) + a)
+--R              2              n
+--R   (1)  sec(x) (b tan(x) + a)
 --R                                                    Type: Expression(Integer)
 --E 427
 
@@ -42982,10 +42579,10 @@ t0880:= sec(x)^2*(a+b*tan(x))^n
 r0880:= (a+b*tan(x))^(1+n)/b/(1+n)
 --R 
 --R
---R                        n + 1
---R          (b tan(x) + a)
---R   (407)  -------------------
---R                b n + b
+--R                      n + 1
+--R        (b tan(x) + a)
+--R   (2)  -------------------
+--R              b n + b
 --R                                                    Type: Expression(Integer)
 --E 428
 
@@ -42993,12 +42590,12 @@ r0880:= (a+b*tan(x))^(1+n)/b/(1+n)
 a0880:= integrate(t0880,x)
 --R 
 --R
---R                                       b sin(x) + a cos(x)
---R                                 n log(-------------------)
---R                                              cos(x)
---R          (b sin(x) + a cos(x))%e
---R   (408)  -------------------------------------------------
---R                           (b n + b)cos(x)
+--R                                     b sin(x) + a cos(x)
+--R                               n log(-------------------)
+--R                                            cos(x)
+--R        (b sin(x) + a cos(x))%e
+--R   (3)  -------------------------------------------------
+--R                         (b n + b)cos(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 429
 
@@ -43006,7 +42603,7 @@ a0880:= integrate(t0880,x)
 m0880:= a0880-r0880
 --R 
 --R
---R   (409)
+--R   (4)
 --R                                b sin(x) + a cos(x)
 --R                          n log(-------------------)
 --R                                       cos(x)                              n + 1
@@ -43020,7 +42617,7 @@ m0880:= a0880-r0880
 d0880:= D(m0880,x)
 --R 
 --R
---R   (410)
+--R   (5)
 --R                                  b sin(x) + a cos(x)
 --R                            n log(-------------------)
 --R              2         2                cos(x)
@@ -43034,15 +42631,18 @@ d0880:= D(m0880,x)
 --R                                                    Type: Expression(Integer)
 --E 431
 
+)clear all
+
+
 --S 432 of 526
 t0881:= sec(x)^2/(tan(x)^2+tan(x)^3)
 --R 
 --R
---R                     2
---R               sec(x)
---R   (411)  -----------------
---R                3         2
---R          tan(x)  + tan(x)
+--R                   2
+--R             sec(x)
+--R   (1)  -----------------
+--R              3         2
+--R        tan(x)  + tan(x)
 --R                                                    Type: Expression(Integer)
 --E 432
 
@@ -43050,7 +42650,7 @@ t0881:= sec(x)^2/(tan(x)^2+tan(x)^3)
 r0881:= -cot(x)+log(1+cot(x))
 --R 
 --R
---R   (412)  log(cot(x) + 1) - cot(x)
+--R   (2)  log(cot(x) + 1) - cot(x)
 --R                                                    Type: Expression(Integer)
 --E 433
 
@@ -43058,11 +42658,11 @@ r0881:= -cot(x)+log(1+cot(x))
 a0881:= integrate(t0881,x)
 --R 
 --R
---R                        sin(x)                - 2sin(x) - 2cos(x)
---R          - sin(x)log(----------) + sin(x)log(-------------------) - cos(x)
---R                      cos(x) + 1                   cos(x) + 1
---R   (413)  -----------------------------------------------------------------
---R                                        sin(x)
+--R                      sin(x)                - 2sin(x) - 2cos(x)
+--R        - sin(x)log(----------) + sin(x)log(-------------------) - cos(x)
+--R                    cos(x) + 1                   cos(x) + 1
+--R   (3)  -----------------------------------------------------------------
+--R                                      sin(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 434
 
@@ -43070,7 +42670,7 @@ a0881:= integrate(t0881,x)
 m0881:= a0881-r0881
 --R 
 --R
---R   (414)
+--R   (4)
 --R                     sin(x)
 --R       - sin(x)log(----------) - sin(x)log(cot(x) + 1)
 --R                   cos(x) + 1
@@ -43087,7 +42687,7 @@ m0881:= a0881-r0881
 d0881:= D(m0881,x)
 --R 
 --R
---R   (415)
+--R   (5)
 --R                3                3                  3                2
 --R       (- cot(x)  - cot(x))sin(x)  + (- cos(x)cot(x)  + cos(x))sin(x)
 --R     + 
@@ -43099,15 +42699,18 @@ d0881:= D(m0881,x)
 --R                                                    Type: Expression(Integer)
 --E 436
 
+)clear all
+
+
 --S 437 of 526
 t0882:= sec(x)^2/(-tan(x)^2+tan(x)^3)
 --R 
 --R
---R                     2
---R               sec(x)
---R   (416)  -----------------
---R                3         2
---R          tan(x)  - tan(x)
+--R                   2
+--R             sec(x)
+--R   (1)  -----------------
+--R              3         2
+--R        tan(x)  - tan(x)
 --R                                                    Type: Expression(Integer)
 --E 437
 
@@ -43115,7 +42718,7 @@ t0882:= sec(x)^2/(-tan(x)^2+tan(x)^3)
 r0882:= cot(x)+log(1-cot(x))
 --R 
 --R
---R   (417)  log(- cot(x) + 1) + cot(x)
+--R   (2)  log(- cot(x) + 1) + cot(x)
 --R                                                    Type: Expression(Integer)
 --E 438
 
@@ -43123,11 +42726,11 @@ r0882:= cot(x)+log(1-cot(x))
 a0882:= integrate(t0882,x)
 --R 
 --R
---R                    2sin(x) - 2cos(x)                sin(x)
---R          sin(x)log(-----------------) - sin(x)log(----------) + cos(x)
---R                        cos(x) + 1                 cos(x) + 1
---R   (418)  -------------------------------------------------------------
---R                                      sin(x)
+--R                  2sin(x) - 2cos(x)                sin(x)
+--R        sin(x)log(-----------------) - sin(x)log(----------) + cos(x)
+--R                      cos(x) + 1                 cos(x) + 1
+--R   (3)  -------------------------------------------------------------
+--R                                    sin(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 439
 
@@ -43135,7 +42738,7 @@ a0882:= integrate(t0882,x)
 m0882:= a0882-r0882
 --R 
 --R
---R   (419)
+--R   (4)
 --R                 2sin(x) - 2cos(x)                sin(x)
 --R       sin(x)log(-----------------) - sin(x)log(----------)
 --R                     cos(x) + 1                 cos(x) + 1
@@ -43150,7 +42753,7 @@ m0882:= a0882-r0882
 d0882:= D(m0882,x)
 --R 
 --R
---R   (420)
+--R   (5)
 --R              3                3                  3                2
 --R       (cot(x)  + cot(x))sin(x)  + (- cos(x)cot(x)  - cos(x))sin(x)
 --R     + 
@@ -43162,15 +42765,18 @@ d0882:= D(m0882,x)
 --R                                                    Type: Expression(Integer)
 --E 441
 
+)clear all
+
+
 --S 442 of 526
 t0883:= sec(x)^2/(3-4*tan(x)^3)
 --R 
 --R
---R                     2
---R               sec(x)
---R   (421)  - ------------
---R                   3
---R            4tan(x)  - 3
+--R                   2
+--R             sec(x)
+--R   (1)  - ------------
+--R                 3
+--R          4tan(x)  - 3
 --R                                                    Type: Expression(Integer)
 --E 442
 
@@ -43180,7 +42786,7 @@ r0883:= 1/18*atan(1/6*(6^(1/3)+4*tan(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-_
         2*6^(1/3)*tan(x)+4*tan(x)^2)*6^(1/3)
 --R 
 --R
---R   (422)
+--R   (2)
 --R       3+-+           2    3+-+         3+-+2     3+-+                3+-+
 --R       \|6 log(4tan(x)  + 2\|6 tan(x) + \|6  ) - 2\|6 log(- 2tan(x) + \|6 )
 --R     + 
@@ -43197,7 +42803,7 @@ r0883:= 1/18*atan(1/6*(6^(1/3)+4*tan(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-_
 a0883:= integrate(t0883,x)
 --R 
 --R
---R   (423)
+--R   (3)
 --R       -
 --R            3+---+ +-+
 --R            \|- 1 \|3
@@ -43248,7 +42854,7 @@ a0883:= integrate(t0883,x)
 m0883:= a0883-r0883
 --R 
 --R
---R   (424)
+--R   (4)
 --R          +-+3+-+3+--+           2    3+-+         3+-+2
 --R       - \|3 \|6 \|36 log(4tan(x)  + 2\|6 tan(x) + \|6  )
 --R     + 
@@ -43310,15 +42916,18 @@ m0883:= a0883-r0883
 --d0883:= D(m0883,x)
 --E 446
 
+)clear all
+
+
 --S 447 of 526
 t0884:= sec(x)^2/(1+sec(x)^2-3*tan(x))
 --R 
 --R
---R                         2
---R                   sec(x)
---R   (425)  - ---------------------
---R                            2
---R            3tan(x) - sec(x)  - 1
+--R                       2
+--R                 sec(x)
+--R   (1)  - ---------------------
+--R                          2
+--R          3tan(x) - sec(x)  - 1
 --R                                                    Type: Expression(Integer)
 --E 447
 
@@ -43326,7 +42935,7 @@ t0884:= sec(x)^2/(1+sec(x)^2-3*tan(x))
 r0884:= -2*atanh(-3+2*tan(x))
 --R 
 --R
---R   (426)  - 2atanh(2tan(x) - 3)
+--R   (2)  - 2atanh(2tan(x) - 3)
 --R                                                    Type: Expression(Integer)
 --E 448
 
@@ -43334,9 +42943,9 @@ r0884:= -2*atanh(-3+2*tan(x))
 a0884:= integrate(t0884,x)
 --R 
 --R
---R                2sin(x) - 2cos(x)        sin(x) - 2cos(x)
---R   (427)  - log(-----------------) + log(----------------)
---R                    cos(x) + 1              cos(x) + 1
+--R              2sin(x) - 2cos(x)        sin(x) - 2cos(x)
+--R   (3)  - log(-----------------) + log(----------------)
+--R                  cos(x) + 1              cos(x) + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 449
 
@@ -43344,10 +42953,9 @@ a0884:= integrate(t0884,x)
 m0884:= a0884-r0884
 --R 
 --R
---R   (428)
---R         2sin(x) - 2cos(x)        sin(x) - 2cos(x)
---R   - log(-----------------) + log(----------------) + 2atanh(2tan(x) - 3)
---R             cos(x) + 1              cos(x) + 1
+--R              2sin(x) - 2cos(x)        sin(x) - 2cos(x)
+--R   (4)  - log(-----------------) + log(----------------) + 2atanh(2tan(x) - 3)
+--R                  cos(x) + 1              cos(x) + 1
 --R                                                    Type: Expression(Integer)
 --E 450
 
@@ -43355,7 +42963,7 @@ m0884:= a0884-r0884
 d0884:= D(m0884,x)
 --R 
 --R
---R   (429)
+--R   (5)
 --R                              2       2             2          2
 --R       (3cos(x)sin(x) - cos(x) )tan(x)  + (- 3sin(x)  - 3cos(x) )tan(x)
 --R     + 
@@ -43373,14 +42981,17 @@ d0884:= D(m0884,x)
 --R                                                    Type: Expression(Integer)
 --E 451
 
+)clear all
+
+
 --S 452 of 526
 t0885:= sec(x)^2*(a+b*tan(x))^2/(c+d*tan(x))
 --R 
 --R
---R           2      2      2              2          2      2
---R          b sec(x) tan(x)  + 2a b sec(x) tan(x) + a sec(x)
---R   (430)  -------------------------------------------------
---R                             d tan(x) + c
+--R         2      2      2              2          2      2
+--R        b sec(x) tan(x)  + 2a b sec(x) tan(x) + a sec(x)
+--R   (1)  -------------------------------------------------
+--R                           d tan(x) + c
 --R                                                    Type: Expression(Integer)
 --E 452
 
@@ -43389,7 +43000,7 @@ r0885:= (b*c-a*d)^2*log(c+d*tan(x))/d^3-b*(b*c-a*d)*_
         tan(x)/d^2+1/2*(a+b*tan(x))^2/d
 --R 
 --R
---R   (431)
+--R   (2)
 --R          2 2                2 2                      2 2      2
 --R       (2a d  - 4a b c d + 2b c )log(d tan(x) + c) + b d tan(x)
 --R     + 
@@ -43405,7 +43016,7 @@ r0885:= (b*c-a*d)^2*log(c+d*tan(x))/d^3-b*(b*c-a*d)*_
 a0885:= integrate(t0885,x)
 --R 
 --R
---R   (432)
+--R   (3)
 --R            2 2                2 2       2        2cos(x)
 --R       (- 2a d  + 4a b c d - 2b c )cos(x) log(- ----------)
 --R                                                cos(x) + 1
@@ -43426,7 +43037,7 @@ a0885:= integrate(t0885,x)
 m0885:= a0885-r0885
 --R 
 --R
---R   (433)
+--R   (4)
 --R            2 2                2 2       2
 --R       (- 2a d  + 4a b c d - 2b c )cos(x) log(d tan(x) + c)
 --R     + 
@@ -43453,7 +43064,7 @@ m0885:= a0885-r0885
 d0885:= D(m0885,x)
 --R 
 --R
---R   (434)
+--R   (5)
 --R           2 2      3          2          4       4
 --R       (- b d cos(x) sin(x) - b c d cos(x) )tan(x)
 --R     + 
@@ -43482,11 +43093,14 @@ d0885:= D(m0885,x)
 --R                                                    Type: Expression(Integer)
 --E 456
 
+)clear all
+
+
 --S 457 of 526
 t0886:= sec(x)^2*(a+b*tan(x))^3/(c+d*tan(x))
 --R 
 --R
---R   (435)
+--R   (1)
 --R    3      2      3       2      2      2     2        2          3      2
 --R   b sec(x) tan(x)  + 3a b sec(x) tan(x)  + 3a b sec(x) tan(x) + a sec(x)
 --R   -----------------------------------------------------------------------
@@ -43499,7 +43113,7 @@ r0886:= -(b*c-a*d)^3*log(c+d*tan(x))/d^4+b*(b*c-a*d)^2*_
         tan(x)/d^3-1/2*(b*c-a*d)*(a+b*tan(x))^2/d^2+1/3*(a+b*tan(x))^3/d
 --R 
 --R
---R   (436)
+--R   (2)
 --R          3 3      2     2        2 2      3 3                       3 3      3
 --R       (6a d  - 18a b c d  + 18a b c d - 6b c )log(d tan(x) + c) + 2b d tan(x)
 --R     + 
@@ -43518,7 +43132,7 @@ r0886:= -(b*c-a*d)^3*log(c+d*tan(x))/d^4+b*(b*c-a*d)^2*_
 a0886:= integrate(t0886,x)
 --R 
 --R
---R   (437)
+--R   (3)
 --R            3 3      2     2        2 2      3 3       3        2cos(x)
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )cos(x) log(- ----------)
 --R                                                              cos(x) + 1
@@ -43545,7 +43159,7 @@ a0886:= integrate(t0886,x)
 m0886:= a0886-r0886
 --R 
 --R
---R   (438)
+--R   (4)
 --R            3 3      2     2        2 2      3 3       3
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )cos(x) log(d tan(x) + c)
 --R     + 
@@ -43581,7 +43195,7 @@ m0886:= a0886-r0886
 d0886:= D(m0886,x)
 --R 
 --R
---R   (439)
+--R   (5)
 --R            3 3      4           3   2      5       5
 --R       (- 3b d cos(x) sin(x) - 3b c d cos(x) )tan(x)
 --R     + 
@@ -43635,12 +43249,15 @@ d0886:= D(m0886,x)
 --R                                                    Type: Expression(Integer)
 --E 461
 
+)clear all
+
+
 --S 462 of 526
 t0887:= sec(x)^4*(-1+sec(x)^2)^2*tan(x)
 --R 
 --R
---R                 8          6         4
---R   (440)  (sec(x)  - 2sec(x)  + sec(x) )tan(x)
+--R               8          6         4
+--R   (1)  (sec(x)  - 2sec(x)  + sec(x) )tan(x)
 --R                                                    Type: Expression(Integer)
 --E 462
 
@@ -43648,10 +43265,10 @@ t0887:= sec(x)^4*(-1+sec(x)^2)^2*tan(x)
 r0887:= 1/24*tan(x)^6*(4+3*tan(x)^2)
 --R 
 --R
---R                 8          6
---R          3tan(x)  + 4tan(x)
---R   (441)  -------------------
---R                   24
+--R               8          6
+--R        3tan(x)  + 4tan(x)
+--R   (2)  -------------------
+--R                 24
 --R                                                    Type: Expression(Integer)
 --E 463
 
@@ -43659,11 +43276,11 @@ r0887:= 1/24*tan(x)^6*(4+3*tan(x)^2)
 a0887:= integrate(t0887,x)
 --R 
 --R
---R                  8          4          2
---R          - cos(x)  + 6cos(x)  - 8cos(x)  + 3
---R   (442)  -----------------------------------
---R                               8
---R                       24cos(x)
+--R                8          4          2
+--R        - cos(x)  + 6cos(x)  - 8cos(x)  + 3
+--R   (3)  -----------------------------------
+--R                             8
+--R                     24cos(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 464
 
@@ -43671,7 +43288,7 @@ a0887:= integrate(t0887,x)
 m0887:= a0887-r0887
 --R 
 --R
---R   (443)
+--R   (4)
 --R            8      8          8      6         8          4          2
 --R   - 3cos(x) tan(x)  - 4cos(x) tan(x)  - cos(x)  + 6cos(x)  - 8cos(x)  + 3
 --R   -----------------------------------------------------------------------
@@ -43684,7 +43301,7 @@ m0887:= a0887-r0887
 d0887:= D(m0887,x)
 --R 
 --R
---R   (444)
+--R   (5)
 --R               9      9          9      7         9      5
 --R       - cos(x) tan(x)  - 2cos(x) tan(x)  - cos(x) tan(x)
 --R     + 
@@ -43696,12 +43313,15 @@ d0887:= D(m0887,x)
 --R                                                    Type: Expression(Integer)
 --E 466
 
+)clear all
+
+
 --S 467 of 526
 t0888:= tan(x)^n*sec(x)^4
 --R 
 --R
---R                4      n
---R   (445)  sec(x) tan(x)
+--R              4      n
+--R   (1)  sec(x) tan(x)
 --R                                                    Type: Expression(Integer)
 --E 467
 
@@ -43709,11 +43329,11 @@ t0888:= tan(x)^n*sec(x)^4
 r0888:= tan(x)^(1+n)/(1+n)+tan(x)^(3+n)/(3+n)
 --R 
 --R
---R                       n + 3                n + 1
---R          (n + 1)tan(x)      + (n + 3)tan(x)
---R   (446)  ---------------------------------------
---R                         2
---R                        n  + 4n + 3
+--R                     n + 3                n + 1
+--R        (n + 1)tan(x)      + (n + 3)tan(x)
+--R   (2)  ---------------------------------------
+--R                       2
+--R                      n  + 4n + 3
 --R                                                    Type: Expression(Integer)
 --E 468
 
@@ -43721,13 +43341,13 @@ r0888:= tan(x)^(1+n)/(1+n)+tan(x)^(3+n)/(3+n)
 a0888:= integrate(t0888,x)
 --R 
 --R
---R                                          sin(x)
---R                                    n log(------)
---R                  2                       cos(x)
---R          (2cos(x)  + n + 1)sin(x)%e
---R   (447)  ---------------------------------------
---R                      2                3
---R                    (n  + 4n + 3)cos(x)
+--R                                        sin(x)
+--R                                  n log(------)
+--R                2                       cos(x)
+--R        (2cos(x)  + n + 1)sin(x)%e
+--R   (3)  ---------------------------------------
+--R                    2                3
+--R                  (n  + 4n + 3)cos(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 469
 
@@ -43735,7 +43355,7 @@ a0888:= integrate(t0888,x)
 m0888:= a0888-r0888
 --R 
 --R
---R   (448)
+--R   (4)
 --R                                       sin(x)
 --R                                 n log(------)
 --R               2                       cos(x)                   3      n + 3
@@ -43753,7 +43373,7 @@ m0888:= a0888-r0888
 d0888:= D(m0888,x)
 --R 
 --R
---R   (449)
+--R   (5)
 --R                                                                      sin(x)
 --R                                                                n log(------)
 --R                2               2          4                2         cos(x)
@@ -43770,16 +43390,19 @@ d0888:= D(m0888,x)
 --R                                                    Type: Expression(Integer)
 --E 471
 
+)clear all
+
+
 --S 472 of 526
 t0889:= sec(x)^2/(4-sec(x)^2)^(1/2)
 --R 
 --R
---R                     2
---R               sec(x)
---R   (450)  ----------------
---R           +-------------+
---R           |        2
---R          \|- sec(x)  + 4
+--R                   2
+--R             sec(x)
+--R   (1)  ----------------
+--R         +-------------+
+--R         |        2
+--R        \|- sec(x)  + 4
 --R                                                    Type: Expression(Integer)
 --E 472
 
@@ -43787,10 +43410,10 @@ t0889:= sec(x)^2/(4-sec(x)^2)^(1/2)
 r0889:= asin(1/3*tan(x)*3^(1/2))
 --R 
 --R
---R                +-+
---R               \|3 tan(x)
---R   (451)  asin(----------)
---R                    3
+--R              +-+
+--R             \|3 tan(x)
+--R   (2)  asin(----------)
+--R                  3
 --R                                                    Type: Expression(Integer)
 --E 473
 
@@ -43798,19 +43421,19 @@ r0889:= asin(1/3*tan(x)*3^(1/2))
 a0889:= integrate(t0889,x)
 --R 
 --R
---R                                   +---------------------+
---R                                   |            2
---R                                   |    16cos(x)  - 4
---R                (cos(x) + 1)sin(x) |---------------------  - 4cos(x)sin(x)
---R                                   |      2
---R                                  \|cos(x)  + 2cos(x) + 1
---R   (452)  atan(-----------------------------------------------------------)
---R                                    +---------------------+
---R                                    |            2
---R                       2            |    16cos(x)  - 4               2
---R               (2cos(x)  + 2cos(x)) |---------------------  - 8cos(x)  + 2
---R                                    |      2
---R                                   \|cos(x)  + 2cos(x) + 1
+--R                                 +---------------------+
+--R                                 |            2
+--R                                 |    16cos(x)  - 4
+--R              (cos(x) + 1)sin(x) |---------------------  - 4cos(x)sin(x)
+--R                                 |      2
+--R                                \|cos(x)  + 2cos(x) + 1
+--R   (3)  atan(-----------------------------------------------------------)
+--R                                  +---------------------+
+--R                                  |            2
+--R                     2            |    16cos(x)  - 4               2
+--R             (2cos(x)  + 2cos(x)) |---------------------  - 8cos(x)  + 2
+--R                                  |      2
+--R                                 \|cos(x)  + 2cos(x) + 1
 --R                                         Type: Union(Expression(Integer),...)
 --E 474
 
@@ -43818,7 +43441,7 @@ a0889:= integrate(t0889,x)
 m0889:= a0889-r0889
 --R 
 --R
---R   (453)
+--R   (4)
 --R                              +---------------------+
 --R                              |            2
 --R                              |    16cos(x)  - 4
@@ -43844,7 +43467,7 @@ m0889:= a0889-r0889
 d0889:= D(m0889,x)
 --R 
 --R
---R   (454)
+--R   (5)
 --R                                2          3          2                    2
 --R           ((- cos(x) - 1)sin(x)  - 4cos(x)  - 4cos(x)  + cos(x) + 1)tan(x)
 --R         + 
@@ -43875,16 +43498,19 @@ d0889:= D(m0889,x)
 --R                                                    Type: Expression(Integer)
 --E 476
 
+)clear all
+
+
 --S 477 of 526
 t0890:= sec(x)^2/(1-4*tan(x)^2)^(1/2)
 --R 
 --R
---R                     2
---R               sec(x)
---R   (455)  -----------------
---R           +--------------+
---R           |         2
---R          \|- 4tan(x)  + 1
+--R                   2
+--R             sec(x)
+--R   (1)  -----------------
+--R         +--------------+
+--R         |         2
+--R        \|- 4tan(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 477
 
@@ -43892,9 +43518,9 @@ t0890:= sec(x)^2/(1-4*tan(x)^2)^(1/2)
 r0890:= 1/2*asin(2*tan(x))
 --R 
 --R
---R          asin(2tan(x))
---R   (456)  -------------
---R                2
+--R        asin(2tan(x))
+--R   (2)  -------------
+--R              2
 --R                                                    Type: Expression(Integer)
 --E 478
 
@@ -43902,7 +43528,7 @@ r0890:= 1/2*asin(2*tan(x))
 a0890:= integrate(t0890,x)
 --R 
 --R
---R   (457)
+--R   (3)
 --R                              +---------------------+
 --R                              |            2
 --R                              |    20cos(x)  - 16         +-+
@@ -43925,7 +43551,7 @@ a0890:= integrate(t0890,x)
 m0890:= a0890-r0890
 --R 
 --R
---R   (458)
+--R   (4)
 --R                                  +---------------------+
 --R                                  |            2
 --R                                  |    20cos(x)  - 16         +-+
@@ -43950,7 +43576,7 @@ m0890:= a0890-r0890
 d0890:= D(m0890,x)
 --R 
 --R
---R   (459)
+--R   (5)
 --R                                 2          3          2                     2
 --R           ((- 4cos(x) - 4)sin(x)  - 5cos(x)  - 5cos(x)  + 4cos(x) + 4)tan(x)
 --R         + 
@@ -43980,16 +43606,19 @@ d0890:= D(m0890,x)
 --R                                                    Type: Expression(Integer)
 --E 481
 
+)clear all
+
+
 --S 482 of 526
 t0891:= sec(x)^2/(-4+tan(x)^2)^(1/2)
 --R 
 --R
---R                    2
---R              sec(x)
---R   (460)  --------------
---R           +-----------+
---R           |      2
---R          \|tan(x)  - 4
+--R                  2
+--R            sec(x)
+--R   (1)  --------------
+--R         +-----------+
+--R         |      2
+--R        \|tan(x)  - 4
 --R                                                    Type: Expression(Integer)
 --E 482
 
@@ -43997,9 +43626,9 @@ t0891:= sec(x)^2/(-4+tan(x)^2)^(1/2)
 r0891:= atanh(cot(x)*(-4+tan(x)^2)^(1/2))
 --R 
 --R
---R                       +-----------+
---R                       |      2
---R   (461)  atanh(cot(x)\|tan(x)  - 4 )
+--R                     +-----------+
+--R                     |      2
+--R   (2)  atanh(cot(x)\|tan(x)  - 4 )
 --R                                                    Type: Expression(Integer)
 --E 483
 
@@ -44007,7 +43636,7 @@ r0891:= atanh(cot(x)*(-4+tan(x)^2)^(1/2))
 a0891:= integrate(t0891,x)
 --R 
 --R
---R   (462)
+--R   (3)
 --R                                +---------------------+
 --R                                |             2
 --R                                |    - 5cos(x)  + 1        +-+      2
@@ -44030,7 +43659,7 @@ a0891:= integrate(t0891,x)
 m0891:= a0891-r0891
 --R 
 --R
---R   (463)
+--R   (4)
 --R                                +---------------------+
 --R                                |             2
 --R                                |    - 5cos(x)  + 1        +-+      2
@@ -44057,7 +43686,7 @@ m0891:= a0891-r0891
 d0891:= D(m0891,x)
 --R 
 --R
---R   (464)
+--R   (5)
 --R                             2                 2      2
 --R                   (- 5cos(x)  - 5cos(x))cot(x) sin(x)
 --R                 + 
@@ -44237,13 +43866,16 @@ d0891:= D(m0891,x)
 --R                                                    Type: Expression(Integer)
 --E 486
 
+)clear all
+
+
 --S 487 of 526
 t0892:= sec(x)^2*(1-cot(x)^2)^(1/2)
 --R 
 --R
---R                  +-------------+
---R                2 |        2
---R   (465)  sec(x) \|- cot(x)  + 1
+--R                +-------------+
+--R              2 |        2
+--R   (1)  sec(x) \|- cot(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 487
 
@@ -44251,9 +43883,9 @@ t0892:= sec(x)^2*(1-cot(x)^2)^(1/2)
 r0892:= asin(cot(x))+(1-cot(x)^2)^(1/2)*tan(x)
 --R 
 --R
---R                 +-------------+
---R                 |        2
---R   (466)  tan(x)\|- cot(x)  + 1  + asin(cot(x))
+--R               +-------------+
+--R               |        2
+--R   (2)  tan(x)\|- cot(x)  + 1  + asin(cot(x))
 --R                                                    Type: Expression(Integer)
 --E 488
 
@@ -44261,7 +43893,7 @@ r0892:= asin(cot(x))+(1-cot(x)^2)^(1/2)*tan(x)
 a0892:= integrate(t0892,x)
 --R 
 --R
---R   (467)
+--R   (3)
 --R                                                +---------------------+
 --R                                                |             2
 --R                +-+      2     +-+              |    - 8cos(x)  + 4
@@ -44311,7 +43943,7 @@ a0892:= integrate(t0892,x)
 m0892:= a0892-r0892
 --R 
 --R
---R   (468)
+--R   (4)
 --R                                                +---------------------+
 --R                                                |             2
 --R                +-+      2     +-+              |    - 8cos(x)  + 4
@@ -44375,7 +44007,7 @@ m0892:= a0892-r0892
 d0892:= D(m0892,x)
 --R 
 --R
---R   (469)
+--R   (5)
 --R                    +-+      5      +-+      4      +-+      3      +-+      2
 --R               - 32\|2 cos(x)  - 32\|2 cos(x)  + 40\|2 cos(x)  + 40\|2 cos(x)
 --R             + 
@@ -44558,13 +44190,16 @@ d0892:= D(m0892,x)
 --R                                                    Type: Expression(Integer)
 --E 491
 
+)clear all
+
+
 --S 492 of 526
 t0893:= sec(x)^2*(1-tan(x)^2)^(1/2)
 --R 
 --R
---R                  +-------------+
---R                2 |        2
---R   (470)  sec(x) \|- tan(x)  + 1
+--R                +-------------+
+--R              2 |        2
+--R   (1)  sec(x) \|- tan(x)  + 1
 --R                                                    Type: Expression(Integer)
 --E 492
 
@@ -44572,11 +44207,11 @@ t0893:= sec(x)^2*(1-tan(x)^2)^(1/2)
 r0893:= 1/2*asin(tan(x))+1/2*tan(x)*(1-tan(x)^2)^(1/2)
 --R 
 --R
---R                 +-------------+
---R                 |        2
---R          tan(x)\|- tan(x)  + 1  + asin(tan(x))
---R   (471)  -------------------------------------
---R                            2
+--R               +-------------+
+--R               |        2
+--R        tan(x)\|- tan(x)  + 1  + asin(tan(x))
+--R   (2)  -------------------------------------
+--R                          2
 --R                                                    Type: Expression(Integer)
 --E 493
 
@@ -44584,7 +44219,7 @@ r0893:= 1/2*asin(tan(x))+1/2*tan(x)*(1-tan(x)^2)^(1/2)
 a0893:= integrate(t0893,x)
 --R 
 --R
---R   (472)
+--R   (3)
 --R                 +-+      6      +-+      5     +-+      4     +-+      3
 --R             (16\|2 cos(x)  + 16\|2 cos(x)  - 4\|2 cos(x)  - 4\|2 cos(x) )
 --R          *
@@ -44644,7 +44279,7 @@ a0893:= integrate(t0893,x)
 m0893:= a0893-r0893
 --R 
 --R
---R   (473)
+--R   (4)
 --R                 +-+      6      +-+      5     +-+      4     +-+      3
 --R             (16\|2 cos(x)  + 16\|2 cos(x)  - 4\|2 cos(x)  - 4\|2 cos(x) )
 --R          *
@@ -44723,7 +44358,7 @@ m0893:= a0893-r0893
 d0893:= D(m0893,x)
 --R 
 --R
---R   (474)
+--R   (5)
 --R                        +-+      10        +-+      9        +-+      8
 --R                   1024\|2 cos(x)   + 1024\|2 cos(x)  - 1792\|2 cos(x)
 --R                 + 
@@ -44926,14 +44561,17 @@ d0893:= D(m0893,x)
 --R                                                    Type: Expression(Integer)
 --E 496
 
+)clear all
+
+
 --S 497 of 526
 t0894:= csc(x)^2/(a+b*cot(x))
 --R 
 --R
---R                   2
---R             csc(x)
---R   (475)  ------------
---R          b cot(x) + a
+--R                 2
+--R           csc(x)
+--R   (1)  ------------
+--R        b cot(x) + a
 --R                                                    Type: Expression(Integer)
 --E 497
 
@@ -44941,9 +44579,9 @@ t0894:= csc(x)^2/(a+b*cot(x))
 r0894:= -log(a+b*cot(x))/b
 --R 
 --R
---R            log(b cot(x) + a)
---R   (476)  - -----------------
---R                    b
+--R          log(b cot(x) + a)
+--R   (2)  - -----------------
+--R                  b
 --R                                                    Type: Expression(Integer)
 --E 498
 
@@ -44951,11 +44589,11 @@ r0894:= -log(a+b*cot(x))/b
 a0894:= integrate(t0894,x)
 --R 
 --R
---R                sin(x)          - 2a sin(x) - 2b cos(x)
---R          log(----------) - log(-----------------------)
---R              cos(x) + 1               cos(x) + 1
---R   (477)  ----------------------------------------------
---R                                 b
+--R              sin(x)          - 2a sin(x) - 2b cos(x)
+--R        log(----------) - log(-----------------------)
+--R            cos(x) + 1               cos(x) + 1
+--R   (3)  ----------------------------------------------
+--R                               b
 --R                                         Type: Union(Expression(Integer),...)
 --E 499
 
@@ -44963,11 +44601,11 @@ a0894:= integrate(t0894,x)
 m0894:= a0894-r0894
 --R 
 --R
---R                sin(x)                              - 2a sin(x) - 2b cos(x)
---R          log(----------) + log(b cot(x) + a) - log(-----------------------)
---R              cos(x) + 1                                   cos(x) + 1
---R   (478)  ------------------------------------------------------------------
---R                                           b
+--R              sin(x)                              - 2a sin(x) - 2b cos(x)
+--R        log(----------) + log(b cot(x) + a) - log(-----------------------)
+--R            cos(x) + 1                                   cos(x) + 1
+--R   (4)  ------------------------------------------------------------------
+--R                                         b
 --R                                                    Type: Expression(Integer)
 --E 500
 
@@ -44975,7 +44613,7 @@ m0894:= a0894-r0894
 d0894:= D(m0894,x)
 --R 
 --R
---R   (479)
+--R   (5)
 --R                  2                  2                    2
 --R       (- a cot(x)  + b cot(x))sin(x)  + (- b cos(x)cot(x)  - b cos(x))sin(x)
 --R     + 
@@ -44987,12 +44625,15 @@ d0894:= D(m0894,x)
 --R                                                    Type: Expression(Integer)
 --E 501
 
+)clear all
+
+
 --S 502 of 526
 t0895:= csc(x)^2*(a+b*cot(x))^n
 --R 
 --R
---R                2              n
---R   (480)  csc(x) (b cot(x) + a)
+--R              2              n
+--R   (1)  csc(x) (b cot(x) + a)
 --R                                                    Type: Expression(Integer)
 --E 502
 
@@ -45000,10 +44641,10 @@ t0895:= csc(x)^2*(a+b*cot(x))^n
 r0895:= -(a+b*cot(x))^(1+n)/b/(1+n)
 --R 
 --R
---R                          n + 1
---R            (b cot(x) + a)
---R   (481)  - -------------------
---R                  b n + b
+--R                        n + 1
+--R          (b cot(x) + a)
+--R   (2)  - -------------------
+--R                b n + b
 --R                                                    Type: Expression(Integer)
 --E 503
 
@@ -45011,12 +44652,12 @@ r0895:= -(a+b*cot(x))^(1+n)/b/(1+n)
 a0895:= integrate(t0895,x)
 --R 
 --R
---R                                         a sin(x) + b cos(x)
---R                                   n log(-------------------)
---R                                                sin(x)
---R          (- a sin(x) - b cos(x))%e
---R   (482)  ---------------------------------------------------
---R                            (b n + b)sin(x)
+--R                                       a sin(x) + b cos(x)
+--R                                 n log(-------------------)
+--R                                              sin(x)
+--R        (- a sin(x) - b cos(x))%e
+--R   (3)  ---------------------------------------------------
+--R                          (b n + b)sin(x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 504
 
@@ -45024,7 +44665,7 @@ a0895:= integrate(t0895,x)
 m0895:= a0895-r0895
 --R 
 --R
---R   (483)
+--R   (4)
 --R                                      a sin(x) + b cos(x)
 --R                                n log(-------------------)
 --R                                             sin(x)
@@ -45041,7 +44682,7 @@ m0895:= a0895-r0895
 d0895:= D(m0895,x)
 --R 
 --R
---R   (484)
+--R   (5)
 --R                                  a sin(x) + b cos(x)
 --R                            n log(-------------------)
 --R              2         2                sin(x)
@@ -45055,12 +44696,15 @@ d0895:= D(m0895,x)
 --R                                                    Type: Expression(Integer)
 --E 506
 
+)clear all
+
+
 --S 507 of 526
 t0896:= 2+cot(x)^2
 --R 
 --R
---R                2
---R   (485)  cot(x)  + 2
+--R              2
+--R   (1)  cot(x)  + 2
 --R                                                    Type: Expression(Integer)
 --E 507
 
@@ -45068,7 +44712,7 @@ t0896:= 2+cot(x)^2
 r0896:= x-cot(x)
 --R 
 --R
---R   (486)  - cot(x) + x
+--R   (2)  - cot(x) + x
 --R                                                    Type: Expression(Integer)
 --E 508
 
@@ -45076,9 +44720,9 @@ r0896:= x-cot(x)
 a0896:= integrate(t0896,x)
 --R 
 --R
---R          x sin(2x) - cos(2x) - 1
---R   (487)  -----------------------
---R                  sin(2x)
+--R        x sin(2x) - cos(2x) - 1
+--R   (3)  -----------------------
+--R                sin(2x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 509
 
@@ -45086,9 +44730,9 @@ a0896:= integrate(t0896,x)
 m0896:= a0896-r0896
 --R 
 --R
---R          cot(x)sin(2x) - cos(2x) - 1
---R   (488)  ---------------------------
---R                    sin(2x)
+--R        cot(x)sin(2x) - cos(2x) - 1
+--R   (4)  ---------------------------
+--R                  sin(2x)
 --R                                                    Type: Expression(Integer)
 --E 510
 
@@ -45096,22 +44740,25 @@ m0896:= a0896-r0896
 d0896:= D(m0896,x)
 --R 
 --R
---R                   2            2           2
---R          (- cot(x)  + 1)sin(2x)  + 2cos(2x)  + 2cos(2x)
---R   (489)  ----------------------------------------------
---R                                    2
---R                             sin(2x)
+--R                 2            2           2
+--R        (- cot(x)  + 1)sin(2x)  + 2cos(2x)  + 2cos(2x)
+--R   (5)  ----------------------------------------------
+--R                                  2
+--R                           sin(2x)
 --R                                                    Type: Expression(Integer)
 --E 511
 
+)clear all
+
+
 --S 512 of 526
 t0897:= csc(x)^2*(a+b*cot(x))/(c+d*cot(x))
 --R 
 --R
---R                              2
---R          (b cot(x) + a)csc(x)
---R   (490)  ---------------------
---R               d cot(x) + c
+--R                            2
+--R        (b cot(x) + a)csc(x)
+--R   (1)  ---------------------
+--R             d cot(x) + c
 --R                                                    Type: Expression(Integer)
 --E 512
 
@@ -45119,10 +44766,10 @@ t0897:= csc(x)^2*(a+b*cot(x))/(c+d*cot(x))
 r0897:= -b*cot(x)/d+(b*c-a*d)*log(c+d*cot(x))/d^2
 --R 
 --R
---R          (- a d + b c)log(d cot(x) + c) - b d cot(x)
---R   (491)  -------------------------------------------
---R                                2
---R                               d
+--R        (- a d + b c)log(d cot(x) + c) - b d cot(x)
+--R   (2)  -------------------------------------------
+--R                              2
+--R                             d
 --R                                                    Type: Expression(Integer)
 --E 513
 
@@ -45130,7 +44777,7 @@ r0897:= -b*cot(x)/d+(b*c-a*d)*log(c+d*cot(x))/d^2
 a0897:= integrate(t0897,x)
 --R 
 --R
---R   (492)
+--R   (3)
 --R                              sin(x)
 --R       (a d - b c)sin(x)log(----------)
 --R                            cos(x) + 1
@@ -45148,7 +44795,7 @@ a0897:= integrate(t0897,x)
 m0897:= a0897-r0897
 --R 
 --R
---R   (493)
+--R   (4)
 --R                              sin(x)
 --R       (a d - b c)sin(x)log(----------) + (a d - b c)sin(x)log(d cot(x) + c)
 --R                            cos(x) + 1
@@ -45168,7 +44815,7 @@ m0897:= a0897-r0897
 d0897:= D(m0897,x)
 --R 
 --R
---R   (494)
+--R   (5)
 --R                    3             2                           3
 --R       (- b c cot(x)  - a c cot(x)  + (a d - b c)cot(x))sin(x)
 --R     + 
@@ -45183,14 +44830,17 @@ d0897:= D(m0897,x)
 --R                                                    Type: Expression(Integer)
 --E 516
 
+)clear all
+
+
 --S 517 of 526
 t0898:= csc(x)^2*(a+b*cot(x))^2/(c+d*cot(x))
 --R 
 --R
---R            2      2                  2       2
---R          (b cot(x)  + 2a b cot(x) + a )csc(x)
---R   (495)  -------------------------------------
---R                       d cot(x) + c
+--R          2      2                  2       2
+--R        (b cot(x)  + 2a b cot(x) + a )csc(x)
+--R   (1)  -------------------------------------
+--R                     d cot(x) + c
 --R                                                    Type: Expression(Integer)
 --E 517
 
@@ -45199,7 +44849,7 @@ r0898:= b*(b*c-a*d)*cot(x)/d^2-1/2*(a+b*cot(x))^2/d-_
         (b*c-a*d)^2*log(c+d*cot(x))/d^3
 --R 
 --R
---R   (496)
+--R   (2)
 --R            2 2                2 2                      2 2      2
 --R       (- 2a d  + 4a b c d - 2b c )log(d cot(x) + c) - b d cot(x)
 --R     + 
@@ -45215,7 +44865,7 @@ r0898:= b*(b*c-a*d)*cot(x)/d^2-1/2*(a+b*cot(x))^2/d-_
 a0898:= integrate(t0898,x)
 --R 
 --R
---R   (497)
+--R   (3)
 --R             2 2                2 2       2     2 2                2 2
 --R         ((4a d  - 8a b c d + 4b c )cos(x)  - 4a d  + 8a b c d - 4b c )
 --R      *
@@ -45242,7 +44892,7 @@ a0898:= integrate(t0898,x)
 m0898:= a0898-r0898
 --R 
 --R
---R   (498)
+--R   (4)
 --R             2 2                2 2       2     2 2                2 2
 --R         ((4a d  - 8a b c d + 4b c )cos(x)  - 4a d  + 8a b c d - 4b c )
 --R      *
@@ -45280,7 +44930,7 @@ m0898:= a0898-r0898
 d0898:= D(m0898,x)
 --R 
 --R
---R   (499)
+--R   (5)
 --R                     2    2 2        2           2    2 2
 --R           ((2a b c d  - b c d)cos(x)  + 2a b c d  - b c d)cot(x)
 --R         + 
@@ -45387,14 +45037,17 @@ d0898:= D(m0898,x)
 --R                                                    Type: Expression(Integer)
 --E 521
 
+)clear all
+
+
 --S 522 of 526
 t0899:= csc(x)^2*(a+b*cot(x))^3/(c+d*cot(x))
 --R 
 --R
---R            3      3       2      2     2            3       2
---R          (b cot(x)  + 3a b cot(x)  + 3a b cot(x) + a )csc(x)
---R   (500)  ----------------------------------------------------
---R                              d cot(x) + c
+--R          3      3       2      2     2            3       2
+--R        (b cot(x)  + 3a b cot(x)  + 3a b cot(x) + a )csc(x)
+--R   (1)  ----------------------------------------------------
+--R                            d cot(x) + c
 --R                                                    Type: Expression(Integer)
 --E 522
 
@@ -45403,7 +45056,7 @@ r0899:= -b*(b*c-a*d)^2*cot(x)/d^3+1/2*(b*c-a*d)*(a+b*cot(x))^2/d^2-_
         1/3*(a+b*cot(x))^3/d+(b*c-a*d)^3*log(c+d*cot(x))/d^4
 --R 
 --R
---R   (501)
+--R   (2)
 --R            3 3      2     2        2 2      3 3
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(d cot(x) + c)
 --R     + 
@@ -45422,7 +45075,7 @@ r0899:= -b*(b*c-a*d)^2*cot(x)/d^3+1/2*(b*c-a*d)*(a+b*cot(x))^2/d^2-_
 a0899:= integrate(t0899,x)
 --R 
 --R
---R   (502)
+--R   (3)
 --R               3 3      2     2        2 2       3 3       2      3 3
 --R           (12a d  - 36a b c d  + 36a b c d - 12b c )cos(x)  - 12a d
 --R         + 
@@ -45461,7 +45114,7 @@ a0899:= integrate(t0899,x)
 m0899:= a0899-r0899
 --R 
 --R
---R   (503)
+--R   (4)
 --R               3 3      2     2        2 2       3 3       2      3 3
 --R           (12a d  - 36a b c d  + 36a b c d - 12b c )cos(x)  - 12a d
 --R         + 
@@ -45527,7 +45180,7 @@ m0899:= a0899-r0899
 d0899:= D(m0899,x)
 --R 
 --R
---R   (504)
+--R   (5)
 --R             2   2     3 2                      2 2      3 3              4
 --R       ((9a b c d  - 3b c d)cos(x)cot(x) + (9a b c d - 3b c )cos(x))sin(x)
 --R     + 
